"""
<description not available>
"""

# this file was auto-generated!

from datetime import date
from openminds.base import IRI

from openminds.base import LinkedMetadata
from openminds.properties import Property


class ScholarlyArticle(LinkedMetadata):
    """
    <description not available>
    """

    type_ = "https://openminds.om-i.org/types/ScholarlyArticle"
    context = {"@vocab": "https://openminds.om-i.org/props/"}
    schema_version = "v4.0"

    properties = [
        Property(
            "iri",
            IRI,
            "IRI",
            description="Stands for Internationalized Resource Identifier which is an internet protocol standard that builds on the URI protocol, extending the set of permitted characters to include Unicode/ISO 10646.",
            instructions="Enter the internationalized resource identifier (IRI) to this creative work.",
        ),
        Property(
            "abstract",
            str,
            "abstract",
            formatting="text/plain",
            multiline=True,
            description="no description available",
            instructions="Enter the abstract or a short description of the creative work.",
        ),
        Property(
            "authors",
            ["openminds.v4.core.Consortium", "openminds.v4.core.Organization", "openminds.v4.core.Person"],
            "author",
            multiple=True,
            unique_items=True,
            min_items=1,
            required=True,
            description="Creator of a literary or creative work, as well as a dataset publication.",
            instructions="Add all parties that contributed to this creative work as authors.",
        ),
        Property(
            "cited_publications",
            ["openminds.v4.core.DOI", "openminds.v4.core.ISBN"],
            "citedPublication",
            multiple=True,
            unique_items=True,
            min_items=1,
            description="no description available",
            instructions="Add all references this creative work cites.",
        ),
        Property(
            "copyright",
            "openminds.v4.core.Copyright",
            "copyright",
            description="Exclusive and assignable legal right of an originator to reproduce, publish, sell, or distribute the matter and form of a creative work for a defined time period.",
            instructions="Enter the copyright information of this creative work.",
        ),
        Property(
            "creation_date",
            date,
            "creationDate",
            description="no description available",
            instructions="Enter the date on which this creative work was created, formatted as '2023-02-07'.",
        ),
        Property(
            "custodians",
            ["openminds.v4.core.Consortium", "openminds.v4.core.Organization", "openminds.v4.core.Person"],
            "custodian",
            multiple=True,
            unique_items=True,
            min_items=1,
            description="The 'custodian' is a legal person who is responsible for the content and quality of the data, metadata, and/or code of a research product.",
            instructions="Add all parties that fulfill the role of a custodian for this creative work (e.g., a corresponding author). Custodians are typically the main contact in case of misconduct, obtain permission from the contributors to publish personal information, and maintain the content and quality of the creative work.",
        ),
        Property(
            "digital_identifier",
            "openminds.v4.core.DOI",
            "digitalIdentifier",
            description="Digital handle to identify objects or legal persons.",
            instructions="Add the globally unique and persistent digital identifier of this creative work.",
        ),
        Property(
            "editors",
            "openminds.v4.core.Person",
            "editor",
            multiple=True,
            unique_items=True,
            min_items=1,
            description="no description available",
            instructions="Add all persons that edited this creative work.",
        ),
        Property(
            "funding",
            "openminds.v4.core.Funding",
            "funding",
            multiple=True,
            unique_items=True,
            min_items=1,
            description="Money provided by a legal person for a particular purpose.",
            instructions="Add all funding information of this creative work.",
        ),
        Property(
            "is_part_of",
            ["openminds.v4.publications.PublicationIssue", "openminds.v4.publications.PublicationVolume"],
            "isPartOf",
            required=True,
            description="Reference to the ensemble of multiple things or beings.",
            instructions="Add the publication issue or volume this scholarly article is part of.",
        ),
        Property(
            "keywords",
            [
                "openminds.v4.controlled_terms.ActionStatusType",
                "openminds.v4.controlled_terms.AgeCategory",
                "openminds.v4.controlled_terms.AnalysisTechnique",
                "openminds.v4.controlled_terms.AnatomicalAxesOrientation",
                "openminds.v4.controlled_terms.AnatomicalIdentificationType",
                "openminds.v4.controlled_terms.AnatomicalPlane",
                "openminds.v4.controlled_terms.AnnotationCriteriaType",
                "openminds.v4.controlled_terms.AnnotationType",
                "openminds.v4.controlled_terms.AtlasType",
                "openminds.v4.controlled_terms.AuditoryStimulusType",
                "openminds.v4.controlled_terms.BiologicalOrder",
                "openminds.v4.controlled_terms.BiologicalProcess",
                "openminds.v4.controlled_terms.BiologicalSex",
                "openminds.v4.controlled_terms.BreedingType",
                "openminds.v4.controlled_terms.CellCultureType",
                "openminds.v4.controlled_terms.CellType",
                "openminds.v4.controlled_terms.ChemicalMixtureType",
                "openminds.v4.controlled_terms.Colormap",
                "openminds.v4.controlled_terms.ContributionType",
                "openminds.v4.controlled_terms.CranialWindowConstructionType",
                "openminds.v4.controlled_terms.CranialWindowReinforcementType",
                "openminds.v4.controlled_terms.CriteriaQualityType",
                "openminds.v4.controlled_terms.DataType",
                "openminds.v4.controlled_terms.DeviceType",
                "openminds.v4.controlled_terms.DifferenceMeasure",
                "openminds.v4.controlled_terms.Disease",
                "openminds.v4.controlled_terms.DiseaseModel",
                "openminds.v4.controlled_terms.EducationalLevel",
                "openminds.v4.controlled_terms.ElectricalStimulusType",
                "openminds.v4.controlled_terms.EthicsAssessment",
                "openminds.v4.controlled_terms.ExperimentalApproach",
                "openminds.v4.controlled_terms.FileBundleGrouping",
                "openminds.v4.controlled_terms.FileRepositoryType",
                "openminds.v4.controlled_terms.FileUsageRole",
                "openminds.v4.controlled_terms.GeneticStrainType",
                "openminds.v4.controlled_terms.GustatoryStimulusType",
                "openminds.v4.controlled_terms.Handedness",
                "openminds.v4.controlled_terms.Language",
                "openminds.v4.controlled_terms.Laterality",
                "openminds.v4.controlled_terms.LearningResourceType",
                "openminds.v4.controlled_terms.MRIPulseSequence",
                "openminds.v4.controlled_terms.MRIWeighting",
                "openminds.v4.controlled_terms.MeasuredQuantity",
                "openminds.v4.controlled_terms.MeasuredSignalType",
                "openminds.v4.controlled_terms.MetaDataModelType",
                "openminds.v4.controlled_terms.ModelAbstractionLevel",
                "openminds.v4.controlled_terms.ModelScope",
                "openminds.v4.controlled_terms.MolecularEntity",
                "openminds.v4.controlled_terms.OlfactoryStimulusType",
                "openminds.v4.controlled_terms.OperatingDevice",
                "openminds.v4.controlled_terms.OperatingSystem",
                "openminds.v4.controlled_terms.OpticalStimulusType",
                "openminds.v4.controlled_terms.Organ",
                "openminds.v4.controlled_terms.OrganismSubstance",
                "openminds.v4.controlled_terms.OrganismSystem",
                "openminds.v4.controlled_terms.PatchClampVariation",
                "openminds.v4.controlled_terms.PreparationType",
                "openminds.v4.controlled_terms.ProductAccessibility",
                "openminds.v4.controlled_terms.ProgrammingLanguage",
                "openminds.v4.controlled_terms.QualitativeOverlap",
                "openminds.v4.controlled_terms.SemanticDataType",
                "openminds.v4.controlled_terms.Service",
                "openminds.v4.controlled_terms.SetupType",
                "openminds.v4.controlled_terms.SoftwareApplicationCategory",
                "openminds.v4.controlled_terms.SoftwareFeature",
                "openminds.v4.controlled_terms.Species",
                "openminds.v4.controlled_terms.StimulationApproach",
                "openminds.v4.controlled_terms.StimulationTechnique",
                "openminds.v4.controlled_terms.SubcellularEntity",
                "openminds.v4.controlled_terms.SubjectAttribute",
                "openminds.v4.controlled_terms.TactileStimulusType",
                "openminds.v4.controlled_terms.Technique",
                "openminds.v4.controlled_terms.TermSuggestion",
                "openminds.v4.controlled_terms.Terminology",
                "openminds.v4.controlled_terms.TissueSampleAttribute",
                "openminds.v4.controlled_terms.TissueSampleType",
                "openminds.v4.controlled_terms.TypeOfUncertainty",
                "openminds.v4.controlled_terms.UBERONParcellation",
                "openminds.v4.controlled_terms.UnitOfMeasurement",
                "openminds.v4.controlled_terms.VisualStimulusType",
            ],
            "keyword",
            multiple=True,
            unique_items=True,
            min_items=1,
            description="Significant word or concept that are representative of the scholarly article.",
            instructions="Add all relevant keywords to this creative work either by adding controlled terms or by suggesting new terms.",
        ),
        Property(
            "license",
            "openminds.v4.core.License",
            "license",
            description="Grant by a party to another party as an element of an agreement between those parties that permits to do, use, or own something.",
            instructions="Add the license of this creative work.",
        ),
        Property(
            "modification_date",
            date,
            "modificationDate",
            description="no description available",
            instructions="Enter the date on which this creative work was last modified, formatted as '2023-02-07'.",
        ),
        Property(
            "name",
            str,
            "name",
            formatting="text/plain",
            required=True,
            description="Word or phrase that constitutes the distinctive designation of the scholarly article.",
            instructions="Enter the name (or title) of this creative work.",
        ),
        Property(
            "pagination",
            str,
            "pagination",
            formatting="text/plain",
            description="no description available",
            instructions="Enter the page range of this scholarly article.",
        ),
        Property(
            "publication_date",
            date,
            "publicationDate",
            required=True,
            description="no description available",
            instructions="Enter the date on which this creative work was published, formatted as '2023-02-07'.",
        ),
        Property(
            "publisher",
            ["openminds.v4.core.Consortium", "openminds.v4.core.Organization", "openminds.v4.core.Person"],
            "publisher",
            description="no description available",
            instructions="Add the party (private or commercial) that published this creative work.",
        ),
        Property(
            "version_identifier",
            str,
            "versionIdentifier",
            formatting="text/plain",
            description="Term or code used to identify the version of something.",
            instructions="Enter the version identifier of this creative work.",
        ),
    ]

    def __init__(
        self,
        id=None,
        iri=None,
        abstract=None,
        authors=None,
        cited_publications=None,
        copyright=None,
        creation_date=None,
        custodians=None,
        digital_identifier=None,
        editors=None,
        funding=None,
        is_part_of=None,
        keywords=None,
        license=None,
        modification_date=None,
        name=None,
        pagination=None,
        publication_date=None,
        publisher=None,
        version_identifier=None,
    ):
        return super().__init__(
            id=id,
            iri=iri,
            abstract=abstract,
            authors=authors,
            cited_publications=cited_publications,
            copyright=copyright,
            creation_date=creation_date,
            custodians=custodians,
            digital_identifier=digital_identifier,
            editors=editors,
            funding=funding,
            is_part_of=is_part_of,
            keywords=keywords,
            license=license,
            modification_date=modification_date,
            name=name,
            pagination=pagination,
            publication_date=publication_date,
            publisher=publisher,
            version_identifier=version_identifier,
        )
