"""
<description not available>
"""

# this file was auto-generated!

from datetime import date
from openminds.base import IRI

from openminds.base import LinkedMetadata
from openminds.properties import Property


class BrainAtlasVersion(LinkedMetadata):
    """
    <description not available>
    """

    type_ = "https://openminds.om-i.org/types/BrainAtlasVersion"
    context = {"@vocab": "https://openminds.om-i.org/props/"}
    schema_version = "latest"

    properties = [
        Property(
            "abbreviation",
            str,
            "abbreviation",
            formatting="text/plain",
            description="no description available",
            instructions="Enter the official abbreviation of this brain atlas version.",
        ),
        Property(
            "accessibility",
            "openminds.latest.controlled_terms.ProductAccessibility",
            "accessibility",
            required=True,
            description="Level to which something is accessible to the brain atlas version.",
            instructions="Add the accessibility of the data for this research product version.",
        ),
        Property(
            "authors",
            ["openminds.latest.core.Consortium", "openminds.latest.core.Organization", "openminds.latest.core.Person"],
            "author",
            multiple=True,
            unique_items=True,
            min_items=1,
            description="Creator of a literary or creative work, as well as a dataset publication.",
            instructions="Add all parties that contributed to this brain atlas version as authors. Note that these authors will overwrite the author list provided for the overarching brain atlas.",
        ),
        Property(
            "coordinate_space",
            "openminds.latest.sands.CommonCoordinateSpaceVersion",
            "coordinateSpace",
            required=True,
            description="Two or three dimensional geometric setting.",
            instructions="Add the specific common coordinate space in which this brain atlas version exists.",
        ),
        Property(
            "copyright",
            "openminds.latest.core.Copyright",
            "copyright",
            description="Exclusive and assignable legal right of an originator to reproduce, publish, sell, or distribute the matter and form of a creative work for a defined time period.",
            instructions="Enter the copyright information of this research product version.",
        ),
        Property(
            "custodians",
            ["openminds.latest.core.Consortium", "openminds.latest.core.Organization", "openminds.latest.core.Person"],
            "custodian",
            multiple=True,
            unique_items=True,
            min_items=1,
            description="The 'custodian' is a legal person who is responsible for the content and quality of the data, metadata, and/or code of a research product.",
            instructions="Add all parties that fulfill the role of a custodian for the research product version (e.g., a research group leader or principle investigator). Custodians are typically the main contact in case of misconduct, obtain permission from the contributors to publish personal information, and maintain the content and quality of the data, metadata, and/or code of the research product version.",
        ),
        Property(
            "description",
            str,
            "description",
            formatting="text/markdown",
            multiline=True,
            description="Longer statement or account giving the characteristics of the brain atlas version.",
            instructions="Enter a description (or abstract) of this research product version. Note that this version specific description will overwrite the description for the overarching dataset.",
        ),
        Property(
            "digital_identifier",
            ["openminds.latest.core.DOI", "openminds.latest.core.ISBN", "openminds.latest.core.RRID"],
            "digitalIdentifier",
            description="Digital handle to identify objects or legal persons.",
            instructions="Add the globally unique and persistent digital identifier of this research product version.",
        ),
        Property(
            "full_documentation",
            [
                "openminds.latest.core.DOI",
                "openminds.latest.core.File",
                "openminds.latest.core.ISBN",
                "openminds.latest.core.WebResource",
            ],
            "fullDocumentation",
            required=True,
            description="Non-abridged instructions, comments, and information for using a particular product.",
            instructions="Add the publication or file that acts as the full documentation of this research product version.",
        ),
        Property(
            "full_name",
            str,
            "fullName",
            formatting="text/plain",
            description="Whole, non-abbreviated name of the brain atlas version.",
            instructions="Enter a descriptive full name (or title) for this research product version. Note that this version specific full name will overwrite the full name for the overarching dataset.",
        ),
        Property(
            "funding",
            "openminds.latest.core.Funding",
            "funding",
            multiple=True,
            unique_items=True,
            min_items=1,
            description="Money provided by a legal person for a particular purpose.",
            instructions="Add all funding information of this research product version.",
        ),
        Property(
            "has_terminology",
            "openminds.latest.sands.ParcellationTerminologyVersion",
            "hasTerminology",
            required=True,
            description="no description available",
            instructions="Enter the specific parcellation terminology of this brain atlas version.",
        ),
        Property(
            "homepage",
            IRI,
            "homepage",
            description="Main website of the brain atlas version.",
            instructions="Enter the internationalized resource identifier (IRI) to the homepage of this research product version.",
        ),
        Property(
            "how_to_cite",
            str,
            "howToCite",
            formatting="text/markdown",
            multiline=True,
            description="Preferred format for citing a particular object or legal person.",
            instructions="Enter the preferred citation text for this research product version. Leave blank if citation text can be extracted from the assigned digital identifier.",
        ),
        Property(
            "is_alternative_version_of",
            "openminds.latest.sands.BrainAtlasVersion",
            "isAlternativeVersionOf",
            multiple=True,
            unique_items=True,
            min_items=1,
            description="Reference to an original form where the essence was preserved, but presented in an alternative form.",
            instructions="Add all brain atlas versions that can be used alternatively to this brain atlas version.",
        ),
        Property(
            "is_new_version_of",
            "openminds.latest.sands.BrainAtlasVersion",
            "isNewVersionOf",
            description="Reference to a previous (potentially outdated) particular form of something.",
            instructions="Add the brain atlas version preceding this brain atlas version.",
        ),
        Property(
            "keywords",
            [
                "openminds.latest.controlled_terms.ActionStatusType",
                "openminds.latest.controlled_terms.AgeCategory",
                "openminds.latest.controlled_terms.AnalysisTechnique",
                "openminds.latest.controlled_terms.AnatomicalAxesOrientation",
                "openminds.latest.controlled_terms.AnatomicalIdentificationType",
                "openminds.latest.controlled_terms.AnatomicalPlane",
                "openminds.latest.controlled_terms.AnnotationCriteriaType",
                "openminds.latest.controlled_terms.AnnotationType",
                "openminds.latest.controlled_terms.AtlasType",
                "openminds.latest.controlled_terms.AuditoryStimulusType",
                "openminds.latest.controlled_terms.BiologicalOrder",
                "openminds.latest.controlled_terms.BiologicalProcess",
                "openminds.latest.controlled_terms.BiologicalSex",
                "openminds.latest.controlled_terms.BreedingType",
                "openminds.latest.controlled_terms.CellCultureType",
                "openminds.latest.controlled_terms.CellType",
                "openminds.latest.controlled_terms.ChemicalMixtureType",
                "openminds.latest.controlled_terms.Colormap",
                "openminds.latest.controlled_terms.ContributionType",
                "openminds.latest.controlled_terms.CranialWindowConstructionType",
                "openminds.latest.controlled_terms.CranialWindowReinforcementType",
                "openminds.latest.controlled_terms.CriteriaQualityType",
                "openminds.latest.controlled_terms.DataType",
                "openminds.latest.controlled_terms.DeviceType",
                "openminds.latest.controlled_terms.DifferenceMeasure",
                "openminds.latest.controlled_terms.Disease",
                "openminds.latest.controlled_terms.DiseaseModel",
                "openminds.latest.controlled_terms.EducationalLevel",
                "openminds.latest.controlled_terms.ElectricalStimulusType",
                "openminds.latest.controlled_terms.EthicsAssessment",
                "openminds.latest.controlled_terms.ExperimentalApproach",
                "openminds.latest.controlled_terms.FileBundleGrouping",
                "openminds.latest.controlled_terms.FileRepositoryType",
                "openminds.latest.controlled_terms.FileUsageRole",
                "openminds.latest.controlled_terms.GeneticStrainType",
                "openminds.latest.controlled_terms.GustatoryStimulusType",
                "openminds.latest.controlled_terms.Handedness",
                "openminds.latest.controlled_terms.Language",
                "openminds.latest.controlled_terms.Laterality",
                "openminds.latest.controlled_terms.LearningResourceType",
                "openminds.latest.controlled_terms.MRAcquisitionType",
                "openminds.latest.controlled_terms.MRIPulseSequence",
                "openminds.latest.controlled_terms.MRIWeighting",
                "openminds.latest.controlled_terms.MeasuredQuantity",
                "openminds.latest.controlled_terms.MeasuredSignalType",
                "openminds.latest.controlled_terms.MetaDataModelType",
                "openminds.latest.controlled_terms.ModelAbstractionLevel",
                "openminds.latest.controlled_terms.ModelScope",
                "openminds.latest.controlled_terms.MolecularEntity",
                "openminds.latest.controlled_terms.OlfactoryStimulusType",
                "openminds.latest.controlled_terms.OperatingDevice",
                "openminds.latest.controlled_terms.OperatingSystem",
                "openminds.latest.controlled_terms.OpticalStimulusType",
                "openminds.latest.controlled_terms.Organ",
                "openminds.latest.controlled_terms.OrganismSubstance",
                "openminds.latest.controlled_terms.OrganismSystem",
                "openminds.latest.controlled_terms.PatchClampVariation",
                "openminds.latest.controlled_terms.PreparationType",
                "openminds.latest.controlled_terms.ProductAccessibility",
                "openminds.latest.controlled_terms.ProgrammingLanguage",
                "openminds.latest.controlled_terms.QualitativeOverlap",
                "openminds.latest.controlled_terms.SemanticDataType",
                "openminds.latest.controlled_terms.Service",
                "openminds.latest.controlled_terms.SetupType",
                "openminds.latest.controlled_terms.SoftwareApplicationCategory",
                "openminds.latest.controlled_terms.SoftwareFeature",
                "openminds.latest.controlled_terms.Species",
                "openminds.latest.controlled_terms.StimulationApproach",
                "openminds.latest.controlled_terms.StimulationTechnique",
                "openminds.latest.controlled_terms.SubcellularEntity",
                "openminds.latest.controlled_terms.SubjectAttribute",
                "openminds.latest.controlled_terms.TactileStimulusType",
                "openminds.latest.controlled_terms.Technique",
                "openminds.latest.controlled_terms.TermSuggestion",
                "openminds.latest.controlled_terms.Terminology",
                "openminds.latest.controlled_terms.TissueSampleAttribute",
                "openminds.latest.controlled_terms.TissueSampleType",
                "openminds.latest.controlled_terms.TypeOfUncertainty",
                "openminds.latest.controlled_terms.UBERONParcellation",
                "openminds.latest.controlled_terms.UnitOfMeasurement",
                "openminds.latest.controlled_terms.VisualStimulusType",
            ],
            "keyword",
            multiple=True,
            unique_items=True,
            min_items=1,
            description="Significant word or concept that are representative of the brain atlas version.",
            instructions="Add all relevant keywords to this research product version either by adding controlled terms or by suggesting new terms.",
        ),
        Property(
            "license",
            "openminds.latest.core.License",
            "license",
            required=True,
            description="Grant by a party to another party as an element of an agreement between those parties that permits to do, use, or own something.",
            instructions="Add the license of this brain atlas version.",
        ),
        Property(
            "major_version_identifier",
            str,
            "majorVersionIdentifier",
            formatting="text/plain",
            description="no description available",
            instructions="Enter the identifier of the major version release this research product version belongs to.",
        ),
        Property(
            "ontology_identifier",
            IRI,
            "ontologyIdentifier",
            description="Term or code used to identify the brain atlas version registered within a particular ontology.",
            instructions="Enter the internationalized resource identifier (IRI) to the related ontological term matching this brain atlas version.",
        ),
        Property(
            "other_contributions",
            "openminds.latest.core.Contribution",
            "otherContribution",
            multiple=True,
            unique_items=True,
            min_items=1,
            description="Giving or supplying of something (such as money or time) as a part or share other than what is covered elsewhere.",
            instructions="Add any other contributions to this research product version that are not covered under 'author'/'developer' or 'custodian'.",
        ),
        Property(
            "related_publications",
            [
                "openminds.latest.core.DOI",
                "openminds.latest.core.HANDLE",
                "openminds.latest.core.ISBN",
                "openminds.latest.core.ISSN",
                "openminds.latest.publications.Book",
                "openminds.latest.publications.Chapter",
                "openminds.latest.publications.ScholarlyArticle",
            ],
            "relatedPublication",
            multiple=True,
            unique_items=True,
            min_items=1,
            description="Reference to something that was made available for the general public to see or buy.",
            instructions="Add all further publications besides the full documentation that provide the original context for the production of this research product version (e.g., an original research article that used or produced the data of this research product version).",
        ),
        Property(
            "release_date",
            date,
            "releaseDate",
            required=True,
            description="Fixed date on which a product is due to become or was made available for the general public to see or buy",
            instructions="Enter the date (actual or intended) on which this research product version was first release, formatted as 'YYYY-MM-DD'.",
        ),
        Property(
            "repository",
            "openminds.latest.core.FileRepository",
            "repository",
            description="Place, room, or container where something is deposited or stored.",
            instructions="Add the file repository of this research product version.",
        ),
        Property(
            "short_name",
            str,
            "shortName",
            formatting="text/plain",
            required=True,
            description="Shortened or fully abbreviated name of the brain atlas version.",
            instructions="Enter a short name (or alias) for this research product version that could be used as a shortened display title (e.g., for web services with too little space to display the full name).",
        ),
        Property(
            "support_channels",
            str,
            "supportChannel",
            multiple=True,
            unique_items=True,
            min_items=1,
            formatting="text/plain",
            description="Way of communication used to interact with users or customers.",
            instructions="Enter all channels through which a user can receive support for handling this research product version.",
        ),
        Property(
            "type",
            "openminds.latest.controlled_terms.AtlasType",
            "type",
            description="Distinct class to which a group of entities or concepts with similar characteristics or attributes belong to.",
            instructions="Add the type of this brain atlas version.",
        ),
        Property(
            "used_specimens",
            [
                "openminds.latest.core.Subject",
                "openminds.latest.core.SubjectGroup",
                "openminds.latest.core.TissueSample",
                "openminds.latest.core.TissueSampleCollection",
            ],
            "usedSpecimen",
            multiple=True,
            unique_items=True,
            min_items=1,
            description="no description available",
            instructions="Add the specimen that was used for the creation of this brain atlas version.",
        ),
        Property(
            "version_identifier",
            str,
            "versionIdentifier",
            formatting="text/plain",
            required=True,
            description="Term or code used to identify the version of something.",
            instructions="Enter the version identifier of this research product version.",
        ),
        Property(
            "version_innovation",
            str,
            "versionInnovation",
            formatting="text/markdown",
            multiline=True,
            required=True,
            description="Documentation on what changed in comparison to a previously published form of something.",
            instructions="Enter a short description (or summary) of the novelties/peculiarities of this research product version in comparison to its preceding versions. If this research product version is the first version, you can enter the following disclaimer 'This is the first version of this research product'.",
        ),
    ]

    def __init__(
        self,
        id=None,
        abbreviation=None,
        accessibility=None,
        authors=None,
        coordinate_space=None,
        copyright=None,
        custodians=None,
        description=None,
        digital_identifier=None,
        full_documentation=None,
        full_name=None,
        funding=None,
        has_terminology=None,
        homepage=None,
        how_to_cite=None,
        is_alternative_version_of=None,
        is_new_version_of=None,
        keywords=None,
        license=None,
        major_version_identifier=None,
        ontology_identifier=None,
        other_contributions=None,
        related_publications=None,
        release_date=None,
        repository=None,
        short_name=None,
        support_channels=None,
        type=None,
        used_specimens=None,
        version_identifier=None,
        version_innovation=None,
    ):
        return super().__init__(
            id=id,
            abbreviation=abbreviation,
            accessibility=accessibility,
            authors=authors,
            coordinate_space=coordinate_space,
            copyright=copyright,
            custodians=custodians,
            description=description,
            digital_identifier=digital_identifier,
            full_documentation=full_documentation,
            full_name=full_name,
            funding=funding,
            has_terminology=has_terminology,
            homepage=homepage,
            how_to_cite=how_to_cite,
            is_alternative_version_of=is_alternative_version_of,
            is_new_version_of=is_new_version_of,
            keywords=keywords,
            license=license,
            major_version_identifier=major_version_identifier,
            ontology_identifier=ontology_identifier,
            other_contributions=other_contributions,
            related_publications=related_publications,
            release_date=release_date,
            repository=repository,
            short_name=short_name,
            support_channels=support_channels,
            type=type,
            used_specimens=used_specimens,
            version_identifier=version_identifier,
            version_innovation=version_innovation,
        )

    @classmethod
    def instances(cls):
        return [value for value in cls.__dict__.values() if isinstance(value, cls)]

    @classmethod
    def by_name(cls, name):
        if cls._instance_lookup is None:
            cls._instance_lookup = {}
            for instance in cls.instances():
                cls._instance_lookup[instance.name] = instance
                if instance.synonyms:
                    for synonym in instance.synonyms:
                        cls._instance_lookup[synonym] = instance
        return cls._instance_lookup[name]


BrainAtlasVersion.aal1_spm12_v4 = BrainAtlasVersion(
    id="https://openminds.om-i.org/instances/brainAtlasVersion/AAL1_SPM12-v4",
    abbreviation="AAL1",
    accessibility={"@id": "https://openminds.om-i.org/instances/productAccessibility/freeAccess"},
    coordinate_space={"@id": "https://openminds.om-i.org/instances/commonCoordinateSpaceVersion/MNI-Colin27_1998"},
    description="The AAL1 atlas comprises an anatomical parcellation of the spatially normalized single-subject high-resolution T1 volume (Colin27, 2008) provided by the Montreal Neurological Institute (MNI) which can be used to automatically label individual subject brains of functional studies. The MNI single-subjectmain sulci were first delineated and further used as landmarks for the 3D definition of 45 anatomical volumes of interest (AVOI) in each hemisphere. This procedure was performed using a dedicated software which allowed a 3D following of the sulci course on the edited brain. Regions of interest were then drawn manually with the same software every 2mm on the axial slices of the high-resolution MNI single subject. The 90 AVOI were reconstructed and assigned a label. For automated anatomical labelling of functional studies according to this parcellation method, three procedures are proposed: (1) labelling of an extremum defined by a set of coordinates; (2) percentage of voxels belonging to teach of the AVOI intersected by a sphere centered by a set of coordinates; (3) percentage of voxels belonging to each of the AVOI intersected by an activated cluster. An interface with the Statistical Parametric Mapping (SPM) packages is provided as a freeware to researchers of the neuroimaging community to conduct the automated labelling procedures.",
    full_name="Automated Anatomical Labeling Atlas 1",
    has_terminology={
        "@type": "https://openminds.om-i.org/types/ParcellationTerminologyVersion",
        "dataLocation": None,
        "hasEntity": [
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AAL1_SPM12-v4_PRE"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AAL1_SPM12-v4_POST"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AAL1_SPM12-v4_RO"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AAL1_SPM12-v4_F1"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AAL1_SPM12-v4_F2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AAL1_SPM12-v4_F3OP"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AAL1_SPM12-v4_F3T"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AAL1_SPM12-v4_F1M"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AAL1_SPM12-v4_SMA"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AAL1_SPM12-v4_PCL"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AAL1_SPM12-v4_F1O"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AAL1_SPM12-v4_F1MO"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AAL1_SPM12-v4_F2O"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AAL1_SPM12-v4_F3O"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AAL1_SPM12-v4_GR"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AAL1_SPM12-v4_OC"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AAL1_SPM12-v4_T1"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AAL1_SPM12-v4_HES"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AAL1_SPM12-v4_T2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AAL1_SPM12-v4_T3"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AAL1_SPM12-v4_P1"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AAL1_SPM12-v4_P2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AAL1_SPM12-v4_AG"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AAL1_SPM12-v4_SMG"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AAL1_SPM12-v4_PQ"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AAL1_SPM12-v4_O1"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AAL1_SPM12-v4_O2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AAL1_SPM12-v4_O3"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AAL1_SPM12-v4_Q"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AAL1_SPM12-v4_V1"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AAL1_SPM12-v4_LING"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AAL1_SPM12-v4_FUSI"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AAL1_SPM12-v4_T1P"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AAL1_SPM12-v4_T2P"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AAL1_SPM12-v4_ACIN"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AAL1_SPM12-v4_MCIN"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AAL1_SPM12-v4_PCIN"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AAL1_SPM12-v4_HIP"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AAL1_SPM12-v4_PHIP"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AAL1_SPM12-v4_IN"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AAL1_SPM12-v4_AMYG"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AAL1_SPM12-v4_CAU"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AAL1_SPM12-v4_PUT"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AAL1_SPM12-v4_PAL"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AAL1_SPM12-v4_THA"},
        ],
        "ontologyIdentifier": None,
    },
    license={"@id": "https://openminds.om-i.org/instances/licenses/ccByNcNd4.0"},
    short_name="AAL Atlas 1",
    type={"@id": "https://openminds.om-i.org/instances/atlasType/deterministicAtlas"},
    version_identifier="SPM12, v4",
    version_innovation="This is the 2018 release of the SPM12 version of the AAL Atlas 1 containing 3D definitions of 45 anatomical volumes of interest in each hemisphere.",
)
BrainAtlasVersion.amba_cc_fv3_2015 = BrainAtlasVersion(
    id="https://openminds.om-i.org/instances/brainAtlasVersion/AMBA_CCFv3-2015",
    abbreviation="AMBA",
    accessibility={"@id": "https://openminds.om-i.org/instances/productAccessibility/freeAccess"},
    coordinate_space={"@id": "https://openminds.om-i.org/instances/commonCoordinateSpace/AMB-CCF_v3"},
    full_name="Allen Mouse Brain Atlas",
    has_terminology={
        "@type": "https://openminds.om-i.org/types/ParcellationTerminology",
        "dataLocation": None,
        "hasEntity": [
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_root"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_basicCellGroupsAndRegions"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_cerebrum"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_cerebralCortex"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_corticalPlate"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_isocortex"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_frontalPoleCerebralCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_frontalPoleLayer1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_frontalPoleLayer2-3"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_somatomotorAreas"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_somatomotorAreasLayer1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_somatomotorAreasLayer2-3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_somatomotorAreasLayer5"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_somatomotorAreasLayer6a"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_somatomotorAreasLayer6b"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primaryMotorArea"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primaryMotorAreaLayer1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primaryMotorAreaLayer2-3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primaryMotorAreaLayer5"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primaryMotorAreaLayer6a"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primaryMotorAreaLayer6b"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_secondaryMotorArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_secondaryMotorAreaLayer1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_secondaryMotorAreaLayer2-3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_secondaryMotorAreaLayer5"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_secondaryMotorAreaLayer6a"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_secondaryMotorAreaLayer6b"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_somatosensoryAreas"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_somatosensoryAreasLayer1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_somatosensoryAreasLayer2-3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_somatosensoryAreasLayer4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_somatosensoryAreasLayer5"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_somatosensoryAreasLayer6a"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_somatosensoryAreasLayer6b"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primarySomatosensoryArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primarySomatosensoryAreaLayer1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primarySomatosensoryAreaLayer2-3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primarySomatosensoryAreaLayer4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primarySomatosensoryAreaLayer5"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primarySomatosensoryAreaLayer6a"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primarySomatosensoryAreaLayer6b"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primarySomatosensoryAreaNose"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primarySomatosensoryAreaNoseLayer1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primarySomatosensoryAreaNoseLayer2-3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primarySomatosensoryAreaNoseLayer4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primarySomatosensoryAreaNoseLayer5"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primarySomatosensoryAreaNoseLayer6a"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primarySomatosensoryAreaNoseLayer6b"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primarySomatosensoryAreaBarrelField"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primarySomatosensoryAreaBarrelFieldLayer1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primarySomatosensoryAreaBarrelFieldLayer2-3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primarySomatosensoryAreaBarrelFieldLayer4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primarySomatosensoryAreaBarrelFieldLayer5"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primarySomatosensoryAreaBarrelFieldLayer6a"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primarySomatosensoryAreaBarrelFieldLayer6b"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_rostrolateralLateralVisualArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_rostrolateralLateralVisualAreaLayer1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_rostrolateralLateralVisualAreaLayer2-3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_rostrolateralLateralVisualAreaLayer4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_rostrolateralLateralVisualArealayer5"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_rostrolateralLateralVisualAreaLayer6a"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_rostrolateralLateralVisualAreaLayer6b"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primarySomatosensoryAreaLowerLimb"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primarySomatosensoryAreaLowerLimbLayer1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primarySomatosensoryAreaLowerLimbLayer2-3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primarySomatosensoryAreaLowerLimbLayer4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primarySomatosensoryAreaLowerLimbLayer5"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primarySomatosensoryAreaLowerLimbLayer6a"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primarySomatosensoryAreaLowerLimbLayer6b"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primarySomatosensoryAreaMouth"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primarySomatosensoryAreaMouthLayer1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primarySomatosensoryAreaMouthLayer2-3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primarySomatosensoryAreaMouthLayer4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primarySomatosensoryAreaMouthLayer5"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primarySomatosensoryAreaMouthLayer6a"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primarySomatosensoryAreaMouthLayer6b"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primarySomatosensoryAreaUpperLimb"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primarySomatosensoryAreaUpperLimbLayer1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primarySomatosensoryAreaUpperLimbLayer2-3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primarySomatosensoryAreaUpperLimbLayer4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primarySomatosensoryAreaUpperLimbLayer5"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primarySomatosensoryAreaUpperLimbLayer6a"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primarySomatosensoryAreaUpperLimbLayer6b"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primarySomatosensoryAreaTrunk"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primarySomatosensoryAreaTrunkLayer1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primarySomatosensoryAreaTrunkLayer2-3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primarySomatosensoryAreaTrunkLayer4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primarySomatosensoryAreaTrunkLayer5"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primarySomatosensoryAreaTrunkLayer6a"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primarySomatosensoryAreaTrunkLayer6b"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primarySomatosensoryAreaUnassigned"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primarySomatosensoryAreaUnassignedLayer1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primarySomatosensoryAreaUnassignedLayer2-3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primarySomatosensoryAreaUnassignedLayer4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primarySomatosensoryAreaUnassignedLayer5"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primarySomatosensoryAreaUnassignedLayer6a"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primarySomatosensoryAreaUnassignedLayer6b"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_supplementalSomatosensoryArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_supplementalSomatosensoryAreaLayer1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_supplementalSomatosensoryAreaLayer2-3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_supplementalSomatosensoryAreaLayer4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_supplementalSomatosensoryAreaLayer5"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_supplementalSomatosensoryAreaLayer6a"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_supplementalSomatosensoryAreaLayer6b"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_gustatoryAreas"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_gustatoryAreasLayer1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_gustatoryAreasLayer2-3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_gustatoryAreasLayer4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_gustatoryAreasLayer5"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_gustatoryAreasLayer6a"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_gustatoryAreasLayer6b"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_visceralArea"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_visceralAreaLayer1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_visceralAreaLayer2-3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_visceralAreaLayer4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_visceralAreaLayer5"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_visceralAreaLayer6a"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_visceralAreaLayer6b"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_auditoryAreas"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_dorsalAuditoryArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_dorsalAuditoryAreaLayer1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_dorsalAuditoryAreaLayer2-3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_dorsalAuditoryAreaLayer4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_dorsalAuditoryAreaLayer5"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_dorsalAuditoryAreaLayer6a"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_dorsalAuditoryAreaLayer6b"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_laterolateralAnteriorVisualArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_laterolateralAnteriorVisualAreaLayer1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_laterolateralAnteriorVisualAreaLayer2-3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_laterolateralAnteriorVisualAreaLayer4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_laterolateralAnteriorVisualArealayer5"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_laterolateralAnteriorVisualAreaLayer6a"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_laterolateralAnteriorVisualAreaLayer6b"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primaryAuditoryArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primaryAuditoryAreaLayer1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primaryAuditoryAreaLayer2-3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primaryAuditoryAreaLayer4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primaryAuditoryAreaLayer5"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primaryAuditoryAreaLayer6a"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primaryAuditoryAreaLayer6b"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_posteriorAuditoryArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_posteriorAuditoryAreaLayer1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_posteriorAuditoryAreaLayer2-3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_posteriorAuditoryAreaLayer4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_posteriorAuditoryAreaLayer5"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_posteriorAuditoryAreaLayer6a"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_posteriorAuditoryAreaLayer6b"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_ventralAuditoryArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_ventralAuditoryAreaLayer1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_ventralAuditoryAreaLayer2-3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_ventralAuditoryAreaLayer4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_ventralAuditoryAreaLayer5"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_ventralAuditoryAreaLayer6a"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_ventralAuditoryAreaLayer6b"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_visualAreas"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_visualAreasLayer1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_visualAreasLayer2-3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_visualAreasLayer4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_visualAreasLayer5"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_visualAreasLayer6a"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_visualAreasLayer6b"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anterolateralVisualArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anterolateralVisualAreaLayer1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anterolateralVisualAreaLayer2-3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anterolateralVisualAreaLayer4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anterolateralVisualAreaLayer5"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anterolateralVisualAreaLayer6a"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anterolateralVisualAreaLayer6b"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anteromedialVisualArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anteromedialVisualAreaLayer1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anteromedialVisualAreaLayer2-3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anteromedialVisualAreaLayer4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anteromedialVisualAreaLayer5"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anteromedialVisualAreaLayer6a"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anteromedialVisualAreaLayer6b"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_lateralVisualArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_lateralVisualAreaLayer1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_lateralVisualAreaLayer2-3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_lateralVisualAreaLayer4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_lateralVisualAreaLayer5"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_lateralVisualAreaLayer6a"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_lateralVisualAreaLayer6b"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primaryVisualArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primaryVisualAreaLayer1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primaryVisualAreaLayer2-3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primaryVisualAreaLayer4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primaryVisualAreaLayer5"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primaryVisualAreaLayer6a"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primaryVisualAreaLayer6b"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_posterolateralVisualArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_posterolateralVisualAreaLayer1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_posterolateralVisualAreaLayer2-3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_posterolateralVisualAreaLayer4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_posterolateralVisualAreaLayer5"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_posterolateralVisualAreaLayer6a"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_posterolateralVisualAreaLayer6b"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_posteromedialVisualArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_posteromedialVisualAreaLayer1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_posteromedialVisualAreaLayer2-3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_posteromedialVisualAreaLayer4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_posteromedialVisualAreaLayer5"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_posteromedialVisualAreaLayer6a"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_posteromedialVisualAreaLayer6b"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_laterointermediateArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_laterointermediateAreaLayer1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_laterointermediateAreaLayer2-3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_laterointermediateAreaLayer4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_laterointermediateAreaLayer5"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_laterointermediateAreaLayer6a"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_laterointermediateAreaLayer6b"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_postrhinalArea"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_postrhinalAreaLayer1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_postrhinalAreaLayer2-3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_postrhinalAreaLayer4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_postrhinalAreaLayer5"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_postrhinalAreaLayer6a"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_postrhinalAreaLayer6b"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anteriorCingulateArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anteriorCingulateAreaLayer1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anteriorCingulateAreaLayer2-3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anteriorCingulateAreaLayer5"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anteriorCingulateAreaLayer6a"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anteriorCingulateAreaLayer6b"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anteriorCingulateAreaDorsalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anteriorCingulateAreaDorsalPartLayer1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anteriorCingulateAreaDorsalPartLayer2-3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anteriorCingulateAreaDorsalPartLayer5"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anteriorCingulateAreaDorsalPartLayer6a"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anteriorCingulateAreaDorsalPartLayer6b"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anteriorCingulateAreaVentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anteriorCingulateAreaVentralPartLayer1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anteriorCingulateAreaVentralPartLayer2-3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anteriorCingulateAreaVentralPartLayer5"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anteriorCingulateAreaVentralPart6a"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anteriorCingulateAreaVentralPart6b"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_prelimbicArea"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_prelimbicAreaLayer1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_prelimbicAreaLayer2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_prelimbicAreaLayer2-3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_prelimbicAreaLayer5"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_prelimbicAreaLayer6a"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_prelimbicAreaLayer6b"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_infralimbicArea"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_infralimbicAreaLayer1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_infralimbicAreaLayer2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_infralimbicAreaLayer2-3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_infralimbicAreaLayer5"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_infralimbicAreaLayer6a"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_infralimbicAreaLayer6b"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_orbitalArea"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_orbitalAreaLayer1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_orbitalAreaLayer2-3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_orbitalAreaLayer5"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_orbitalAreaLayer6a"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_orbitalAreaLayer6b"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_orbitalAreaLateralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_orbitalAreaLateralPartLayer1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_orbitalAreaLateralPartLayer2-3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_orbitalAreaLateralPartLayer5"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_orbitalAreaLateralPartLayer6a"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_orbitalAreaLateralPartLayer6b"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_orbitalAreaMedialPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_orbitalAreaMedialPartLayer1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_orbitalAreaMedialPartLayer2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_orbitalAreaMedialPartLayer2-3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_orbitalAreaMedialPartLayer5"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_orbitalAreaMedialPartLayer6a"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_orbitalAreaVentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_orbitalAreaVentrolateralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_orbitalAreaVentrolateralPartLayer1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_orbitalAreaVentrolateralPartLayer2-3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_orbitalAreaVentrolateralPartLayer5"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_orbitalAreaVentrolateralPartLayer6a"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_orbitalAreaVentrolateralPartLayer6b"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_agranularInsularArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_agranularInsularAreaDorsalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_agranularInsularAreaDorsalPartLayer1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_agranularInsularAreaDorsalPartLayer2-3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_agranularInsularAreaDorsalPartLayer5"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_agranularInsularAreaDorsalPartLayer6a"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_agranularInsularAreaDorsalPartLayer6b"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_agranularInsularAreaPosteriorPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_agranularInsularAreaPosteriorPartLayer1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_agranularInsularAreaPosteriorPartLayer2-3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_agranularInsularAreaPosteriorPartLayer5"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_agranularInsularAreaPosteriorPartLayer6a"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_agranularInsularAreaPosteriorPartLayer6b"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_agranularInsularAreaVentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_agranularInsularAreaVentralPartLayer1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_agranularInsularAreaVentralPartLayer2-3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_agranularInsularAreaVentralPartLayer5"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_agranularInsularAreaVentralPartLayer6a"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_agranularInsularAreaVentralPartLayer6b"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_retrosplenialArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_retrosplenialAreaLateralAgranularPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_retrosplenialAreaLateralAgranularPartLayer1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_retrosplenialAreaLateralAgranularPartLayer2-3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_retrosplenialAreaLateralAgranularPartLayer5"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_retrosplenialAreaLateralAgranularPartLayer6a"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_retrosplenialAreaLateralAgranularPartLayer6b"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_mediomedialAnteriorVisualArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_mediomedialAnteriorVisualAreaLayer1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_mediomedialAnteriorVisualAreaLayer2-3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_mediomedialAnteriorVisualAreaLayer4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_mediomedialAnteriorVisualArealayer5"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_mediomedialAnteriorVisualAreaLayer6a"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_mediomedialAnteriorVisualAreaLayer6b"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_mediomedialPosteriorVisualArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_mediomedialPosteriorVisualAreaLayer1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_mediomedialPosteriorVisualAreaLayer2-3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_mediomedialPosteriorVisualAreaLayer4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_mediomedialPosteriorVisualArealayer5"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_mediomedialPosteriorVisualAreaLayer6a"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_mediomedialPosteriorVisualAreaLayer6b"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_medialVisualArea"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_medialVisualAreaLayer1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_medialVisualAreaLayer2-3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_medialVisualAreaLayer4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_medialVisualArealayer5"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_medialVisualAreaLayer6a"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_medialVisualAreaLayer6b"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_retrosplenialAreaDorsalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_retrosplenialAreaDorsalPartLayer1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_retrosplenialAreaDorsalPartLayer2-3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_retrosplenialAreaDorsalPartLayer4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_retrosplenialAreaDorsalPartLayer5"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_retrosplenialAreaDorsalPartLayer6a"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_retrosplenialAreaDorsalPartLayer6b"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_retrosplenialAreaVentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_retrosplenialAreaVentralPartLayer1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_retrosplenialAreaVentralPartLayer2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_retrosplenialAreaVentralPartLayer2-3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_retrosplenialAreaVentralPartLayer5"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_retrosplenialAreaVentralPartLayer6a"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_retrosplenialAreaVentralPartLayer6b"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_posteriorParietalAssociationAreas"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_posteriorParietalAssociationAreasLayer1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_posteriorParietalAssociationAreasLayer2-3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_posteriorParietalAssociationAreasLayer4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_posteriorParietalAssociationAreasLayer5"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_posteriorParietalAssociationAreasLayer6a"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_posteriorParietalAssociationAreasLayer6b"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anteriorArea"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anteriorAreaLayer1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anteriorAreaLayer2-3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anteriorAreaLayer4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anteriorAreaLayer5"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anteriorAreaLayer6a"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anteriorAreaLayer6b"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_rostrolateralVisualArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_rostrolateralAreaLayer1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_rostrolateralAreaLayer2-3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_rostrolateralAreaLayer4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_rostrolateralAreaLayer5"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_rostrolateralAreaLayer6a"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_rostrolateralAreaLayer6b"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_temporalAssociationAreas"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_temporalAssociationAreasLayer1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_temporalAssociationAreasLayer2-3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_temporalAssociationAreasLayer4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_temporalAssociationAreasLayer5"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_temporalAssociationAreasLayer6a"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_temporalAssociationAreasLayer6b"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_perirhinalArea"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_perirhinalAreaLayer6a"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_perirhinalAreaLayer6b"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_perirhinalAreaLayer1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_perirhinalAreaLayer5"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_perirhinalAreaLayer2-3"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_ectorhinalArea"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_ectorhinalAreaLayer1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_ectorhinalAreaLayer2-3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_ectorhinalAreaLayer5"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_ectorhinalAreaLayer6a"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_ectorhinalAreaLayer6b"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_olfactoryAreas"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_mainOlfactoryBulb"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_mainOlfactoryBulbGlomerularLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_mainOlfactoryBulbGranuleLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_mainOlfactoryBulbInnerPlexiformLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_mainOlfactoryBulbMitralLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_mainOlfactoryBulbOuterPlexiformLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_accessoryOlfactoryBulb"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_accessoryOlfactoryBulbGlomerularLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_accessoryOlfactoryBulbGranularLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_accessoryOlfactoryBulbMitralLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anteriorOlfactoryNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anteriorOlfactoryNucleusDorsalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anteriorOlfactoryNucleusExternalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anteriorOlfactoryNucleusLateralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anteriorOlfactoryNucleusMedialPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anteriorOlfactoryNucleusPosteroventralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anteriorOlfactoryNucleusLayer1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anteriorOlfactoryNucleusLayer2"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_taeniaTecta"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_taeniaTectaDorsalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_taeniaTectaDorsalPartLayers14"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_taeniaTectaDorsalPartLayer1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_taeniaTectaDorsalPartLayer2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_taeniaTectaDorsalPartLayer3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_taeniaTectaDorsalPartLayer4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_taeniaTectaVentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_taeniaTectaVentralPartLayers13"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_taeniaTectaVentralPartLayer1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_taeniaTectaVentralPartLayer2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_taeniaTectaVentralPartLayer3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_dorsalPeduncularArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_dorsalPeduncularAreaLayer1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_dorsalPeduncularAreaLayer2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_dorsalPeduncularAreaLayer2-3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_dorsalPeduncularAreaLayer5"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_dorsalPeduncularAreaLayer6a"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_piriformArea"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_piriformAreaLayers13"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_piriformAreaMolecularLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_piriformAreaPyramidalLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_piriformAreaPolymorphLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_nucleusOfTheLateralOlfactoryTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_nucleusOfTheLateralOlfactoryTractLayers13"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_nucleusOfTheLateralOlfactoryTractMolecularLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_nucleusOfTheLateralOlfactoryTractPyramidalLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_nucleusOfTheLateralOlfactoryTractLayer3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_corticalAmygdalarArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_corticalAmygdalarAreaAnteriorPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_corticalAmygdalarAreaAnteriorPartLayer1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_corticalAmygdalarAreaAnteriorPartLayer2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_corticalAmygdalarAreaAnteriorPartLayer3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_corticalAmygdalarAreaPosteriorPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_corticalAmygdalarAreaPosteriorPartLateralZone"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_corticalAmygdalarAreaPosteriorPartLateralZoneLayers12"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_corticalAmygdalarAreaPosteriorPartLateralZoneLayers13"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_corticalAmygdalarAreaPosteriorPartLateralZoneLayer1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_corticalAmygdalarAreaPosteriorPartLateralZoneLayer2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_corticalAmygdalarAreaPosteriorPartLateralZoneLayer3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_corticalAmygdalarAreaPosteriorPartMedialZone"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_corticalAmygdalarAreaPosteriorPartMedialZoneLayers12"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_corticalAmygdalarAreaPosteriorPartMedialZoneLayers13"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_corticalAmygdalarAreaPosteriorPartMedialZoneLayer1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_corticalAmygdalarAreaPosteriorPartMedialZoneLayer2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_corticalAmygdalarAreaPosteriorPartMedialZoneLayer3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_piriformamygdalarArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_piriformamygdalarAreaLayers13"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_piriformamygdalarAreaMolecularLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_piriformamygdalarAreaPyramidalLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_piriformamygdalarAreaPolymorphLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_postpiriformTransitionArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_postpiriformTransitionAreaLayers13"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_postpiriformTransitionAreaLayers1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_postpiriformTransitionAreaLayers2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_postpiriformTransitionAreaLayers3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_hippocampalFormation"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_hippocampalRegion"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_ammonsHorn"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_fieldCA1"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_fieldCA1StratumLacunosummoleculare"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_fieldCA1StratumOriens"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_fieldCA1PyramidalLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_fieldCA1StratumRadiatum"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_fieldCA2"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_fieldCA2StratumLacunosummoleculare"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_fieldCA2StratumOriens"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_fieldCA2PyramidalLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_fieldCA2StratumRadiatum"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_fieldCA3"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_fieldCA3StratumLacunosummoleculare"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_fieldCA3StratumLucidum"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_fieldCA3StratumOriens"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_fieldCA3PyramidalLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_fieldCA3StratumRadiatum"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_dentateGyrus"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_dentateGyrusMolecularLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_dentateGyrusPolymorphLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_dentateGyrusGranuleCellLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_dentateGyrusSubgranularZone"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_dentateGyrusCrest"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_dentateGyrusCrestMolecularLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_dentateGyrusCrestPolymorphLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_dentateGyrusCrestGranuleCellLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_dentateGyrusLateralBlade"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_dentateGyrusLateralBladeMolecularLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_dentateGyrusLateralBladePolymorphLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_dentateGyrusLateralBladeGranuleCellLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_dentateGyrusMedialBlade"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_dentateGyrusMedialBladeMolecularLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_dentateGyrusMedialBladePolymorphLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_dentateGyrusMedialBladeGranuleCellLayer"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_fasciolaCinerea"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_induseumGriseum"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_retrohippocampalRegion"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_entorhinalArea"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_entorhinalAreaLateralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_entorhinalAreaLateralPartLayer1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_entorhinalAreaLateralPartLayer2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_entorhinalAreaLateralPartLayer2-3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_entorhinalAreaLateralPartLayer2a"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_entorhinalAreaLateralPartLayer2b"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_entorhinalAreaLateralPartLayer3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_entorhinalAreaLateralPartLayer4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_entorhinalAreaLateralPartLayer4-5"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_entorhinalAreaLateralPartLayer5"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_entorhinalAreaLateralPartLayer5-6"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_entorhinalAreaLateralPartLayer6a"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_entorhinalAreaLateralPartLayer6b"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_entorhinalAreaMedialPartDorsalZone"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_entorhinalAreaMedialPartDorsalZoneLayer1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_entorhinalAreaMedialPartDorsalZoneLayer2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_entorhinalAreaMedialPartDorsalZoneLayer2a"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_entorhinalAreaMedialPartDorsalZoneLayer2b"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_entorhinalAreaMedialPartDorsalZoneLayer3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_entorhinalAreaMedialPartDorsalZoneLayer4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_entorhinalAreaMedialPartDorsalZoneLayer5"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_entorhinalAreaMedialPartDorsalZoneLayer5-6"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_entorhinalAreaMedialPartDorsalZoneLayer6"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_entorhinalAreaMedialPartVentralZone"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_entorhinalAreaMedialPartVentralZoneLayer1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_entorhinalAreaMedialPartVentralZoneLayer2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_entorhinalAreaMedialPartVentralZoneLayer3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_entorhinalAreaMedialPartVentralZoneLayer4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_entorhinalAreaMedialPartVentralZoneLayer5-6"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_parasubiculum"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_parasubiculumLayer1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_parasubiculumLayer2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_parasubiculumLayer3"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_postsubiculum"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_postsubiculumLayer1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_postsubiculumLayer2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_postsubiculumLayer3"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_presubiculum"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_presubiculumLayer1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_presubiculumLayer2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_presubiculumLayer3"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_subiculum"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_subiculumDorsalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_subiculumDorsalPartMolecularLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_subiculumDorsalPartPyramidalLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_subiculumDorsalPartStratumRadiatum"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_subiculumVentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_subiculumVentralPartMolecularLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_subiculumVentralPartPyramidalLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_subiculumVentralPartStratumRadiatum"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_prosubiculum"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_prosubiculumDorsalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_prosubiculumDorsalPartMolecularLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_prosubiculumDorsalPartPyramidalLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_prosubiculumDorsalPartStratumRadiatum"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_prosubiculumVentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_prosubiculumVentralPartMolecularLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_prosubiculumVentralPartPyramidalLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_prosubiculumVentralPartStratumRadiatum"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_areaProstriata"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_corticalSubplate"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_layer6bIsocortex"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_claustrum"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_endopiriformNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_endopiriformNucleusDorsalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_endopiriformNucleusVentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_lateralAmygdalarNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_basolateralAmygdalarNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_basolateralAmygdalarNucleusAnteriorPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_basolateralAmygdalarNucleusPosteriorPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_basolateralAmygdalarNucleusVentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_basomedialAmygdalarNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_basomedialAmygdalarNucleusAnteriorPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_basomedialAmygdalarNucleusPosteriorPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_posteriorAmygdalarNucleus"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_cerebralNuclei"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_striatum"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_striatumDorsalRegion"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_caudoputamen"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_striatumVentralRegion"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_nucleusAccumbens"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_fundusOfStriatum"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_olfactoryTubercle"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_islandsOfCalleja"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_majorIslandOfCalleja"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_olfactoryTubercleLayers13"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_olfactoryTubercleMolecularLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_olfactoryTuberclePyramidalLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_olfactoryTuberclePolymorphLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_lateralSeptalComplex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_lateralSeptalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_lateralSeptalNucleusCaudalCaudodorsalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_lateralSeptalNucleusRostralRostroventralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_lateralSeptalNucleusVentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_septofimbrialNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_septohippocampalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_striatumlikeAmygdalarNuclei"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anteriorAmygdalarArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_bedNucleusOfTheAccessoryOlfactoryTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_centralAmygdalarNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_centralAmygdalarNucleusCapsularPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_centralAmygdalarNucleusLateralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_centralAmygdalarNucleusMedialPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_intercalatedAmygdalarNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_medialAmygdalarNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_medialAmygdalarNucleusAnterodorsalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_medialAmygdalarNucleusAnteroventralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_medialAmygdalarNucleusPosterodorsalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_medialAmygdalarNucleusPosterodorsalPartSublayerA"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_medialAmygdalarNucleusPosterodorsalPartSublayerB"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_medialAmygdalarNucleusPosterodorsalPartSublayerC"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_medialAmygdalarNucleusPosteroventralPart"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_pallidum"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_pallidumDorsalRegion"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_globusPallidusExternalSegment"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_globusPallidusInternalSegment"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_pallidumVentralRegion"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_substantiaInnominata"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_magnocellularNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_pallidumMedialRegion"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_medialSeptalComplex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_medialSeptalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_diagonalBandNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_triangularNucleusOfSeptum"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_pallidumCaudalRegion"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_bedNucleiOfTheStriaTerminalis"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_bedNucleiOfTheStriaTerminalisAnteriorDivision"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_bedNucleiOfTheStriaTerminalisAnteriorDivisionAnterolateralArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_bedNucleiOfTheStriaTerminalisAnteriorDivisionAnteromedialArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_bedNucleiOfTheStriaTerminalisAnteriorDivisionDorsomedialNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_bedNucleiOfTheStriaTerminalisAnteriorDivisionFusiformNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_bedNucleiOfTheStriaTerminalisAnteriorDivisionJuxtacapsularNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_bedNucleiOfTheStriaTerminalisAnteriorDivisionMagnocellularNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_bedNucleiOfTheStriaTerminalisAnteriorDivisionOvalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_bedNucleiOfTheStriaTerminalisAnteriorDivisionRhomboidNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_bedNucleiOfTheStriaTerminalisAnteriorDivisionVentralNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_bedNucleiOfTheStriaTerminalisPosteriorDivision"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_bedNucleiOfTheStriaTerminalisPosteriorDivisionDorsalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_bedNucleiOfTheStriaTerminalisPosteriorDivisionPrincipalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_bedNucleiOfTheStriaTerminalisPosteriorDivisionInterfascicularNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_bedNucleiOfTheStriaTerminalisPosteriorDivisionTransverseNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_bedNucleiOfTheStriaTerminalisPosteriorDivisionStrialExtension"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_bedNucleusOfTheAnteriorCommissure"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_brainStem"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_interbrain"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_thalamus"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_thalamusSensorymotorCortexRelated"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_ventralGroupOfTheDorsalThalamus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_ventralAnteriorlateralComplexOfTheThalamus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_ventralMedialNucleusOfTheThalamus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_ventralPosteriorComplexOfTheThalamus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_ventralPosterolateralNucleusOfTheThalamus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_ventralPosterolateralNucleusOfTheThalamusParvicellularPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_ventralPosteromedialNucleusOfTheThalamus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_ventralPosteromedialNucleusOfTheThalamusParvicellularPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_subparafascicularNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_subparafascicularNucleusMagnocellularPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_subparafascicularNucleusParvicellularPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_subparafascicularArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_peripeduncularNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_geniculateGroupDorsalThalamus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_medialGeniculateComplex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_medialGeniculateComplexDorsalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_medialGeniculateComplexVentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_medialGeniculateComplexMedialPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_dorsalPartOfTheLateralGeniculateComplex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_dorsalPartOfTheLateralGeniculateComplexShell"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_dorsalPartOfTheLateralGeniculateComplexCore"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_dorsalPartOfTheLateralGeniculateComplexIpsilateralZone"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_thalamusPolymodalAssociationCortexRelated"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_lateralGroupOfTheDorsalThalamus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_lateralPosteriorNucleusOfTheThalamus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_posteriorComplexOfTheThalamus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_posteriorLimitingNucleusOfTheThalamus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_suprageniculateNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anteriorGroupOfTheDorsalThalamus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anteroventralNucleusOfThalamus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anteromedialNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anteromedialNucleusDorsalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anteromedialNucleusVentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anterodorsalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_interanteromedialNucleusOfTheThalamus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_interanterodorsalNucleusOfTheThalamus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_lateralDorsalNucleusOfThalamus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_medialGroupOfTheDorsalThalamus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_intermediodorsalNucleusOfTheThalamus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_mediodorsalNucleusOfThalamus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_mediodorsalNucleusOfTheThalamusCentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_mediodorsalNucleusOfTheThalamusLateralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_mediodorsalNucleusOfTheThalamusMedialPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_submedialNucleusOfTheThalamus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_perireunensisNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_midlineGroupOfTheDorsalThalamus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_paraventricularNucleusOfTheThalamus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_parataenialNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_nucleusOfReunions"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_intralaminarNucleiOfTheDorsalThalamus"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_rhomboidNucleus"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_centralMedialNucleusOfTheThalamus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_paracentralNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_centralLateralNucleusOfTheThalamus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_parafascicularNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_reticularNucleusOfTheThalamus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_geniculateGroupVentralThalamus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_intergeniculateLeafletOfTheLateralGeniculateComplex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_ventralPartOfTheLateralGeniculateComplex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_ventralPartOfTheLateralGeniculateComplexLateralZone"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_ventralPartOfTheLateralGeniculateComplexMedialZone"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_subgeniculateNucleus"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_epithalamus"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_medialHabenula"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_lateralHabenula"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_pinealBody"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_hypothalamus"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_periventricularZone"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_supraopticNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_accessorySupraopticGroup"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_nucleusCircularis"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_paraventricularHypothalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_paraventricularHypothalamicNucleusMagnocellularDivision"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_paraventricularHypothalamicNucleusMagnocellularDivisionAnteriorMagnocellularPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_paraventricularHypothalamicNucleusMagnocellularDivisionMedialMagnocellularPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_paraventricularHypothalamicNucleusMagnocellularDivisionPosteriorMagnocellularPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_paraventricularHypothalamicNucleusMagnocellularDivisionPosteriorMagnocellularPartLateralZone"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_paraventricularHypothalamicNucleusMagnocellularDivisionPosteriorMagnocellularPartMedialZone"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_paraventricularHypothalamicNucleusParvicellularDivision"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_paraventricularHypothalamicNucleusParvicellularDivisionAnteriorParvicellularPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_paraventricularHypothalamicNucleusParvicellularDivisionMedialParvicellularPartDorsalZone"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_paraventricularHypothalamicNucleusParvicellularDivisionPeriventricularPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_periventricularHypothalamicNucleusAnteriorPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_periventricularHypothalamicNucleusIntermediatePart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_arcuateHypothalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_periventricularRegion"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anterodorsalPreopticNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anteriorHypothalamicArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anteroventralPreopticNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anteroventralPeriventricularNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_dorsomedialNucleusOfTheHypothalamus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_dorsomedialNucleusOfTheHypothalamusAnteriorPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_dorsomedialNucleusOfTheHypothalamusPosteriorPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_dorsomedialNucleusOfTheHypothalamusVentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_medianPreopticNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_medialPreopticArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_vascularOrganOfTheLaminaTerminalis"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_posterodorsalPreopticNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_parastrialNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_suprachiasmaticPreopticNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_periventricularHypothalamicNucleusPosteriorPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_periventricularHypothalamicNucleusPreopticPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_subparaventricularZone"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_suprachiasmaticNucleus"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_subfornicalOrgan"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_ventrolateralPreopticNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_hypothalamicMedialZone"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anteriorHypothalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anteriorHypothalamicNucleusAnteriorPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anteriorHypothalamicNucleusCentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anteriorHypothalamicNucleusDorsalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anteriorHypothalamicNucleusPosteriorPart"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_mammillaryBody"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_lateralMammillaryNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_medialMammillaryNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_medialMammillaryNucleusMedianPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_supramammillaryNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_supramammillaryNucleusLateralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_supramammillaryNucleusMedialPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_tuberomammillaryNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_tuberomammillaryNucleusDorsalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_tuberomammillaryNucleusVentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_medialPreopticNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_medialPreopticNucleusCentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_medialPreopticNucleusLateralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_medialPreopticNucleusMedialPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_dorsalPremammillaryNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_ventralPremammillaryNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_paraventricularHypothalamicNucleusDescendingDivision"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_paraventricularHypothalamicNucleusDescendingDivisionDorsalParvicellularPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_paraventricularHypothalamicNucleusDescendingDivisionFornicealPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_paraventricularHypothalamicNucleusDescendingDivisionLateralParvicellularPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_paraventricularHypothalamicNucleusDescendingDivisionMedialParvicellularPartVentralZone"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_ventromedialHypothalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_ventromedialHypothalamicNucleusAnteriorPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_ventromedialHypothalamicNucleusCentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_ventromedialHypothalamicNucleusDorsomedialPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_ventromedialHypothalamicNucleusVentrolateralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_posteriorHypothalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_hypothalamicLateralZone"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_lateralHypothalamicArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_lateralPreopticArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_preparasubthalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_parasubthalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_retrochiasmaticArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_subthalamicNucleus"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_tuberalNucleus"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_zonaIncerta"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_dopaminergicA13Group"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_fieldsOfForel"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_medianEminence"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_midbrain"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_midbrainSensoryRelated"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_superiorColliculusSensoryRelated"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_superiorColliculusOpticLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_superiorColliculusSuperficialGrayLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_superiorColliculusZonalLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_inferiorColliculus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_inferiorColliculusCentralNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_inferiorColliculusDorsalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_inferiorColliculusExternalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_nucleusOfTheBrachiumOfTheInferiorColliculus"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_nucleusSagulum"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_parabigeminalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_midbrainTrigeminalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_midbrainMotorRelated"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_substantiaNigraReticularPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_ventralTegmentalArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_midbrainReticularNucleusRetrorubralArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_midbrainReticularNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_midbrainReticularNucleusMagnocellularPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_midbrainReticularNucleusMagnocellularPartGeneral"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_midbrainReticularNucleusParvicellularPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_superiorColliculusMotorRelated"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_superiorColliculusMotorRelatedDeepGrayLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_superiorColliculusMotorRelatedDeepWhiteLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_superiorColliculusMotorRelatedIntermediateWhiteLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_superiorColliculusMotorRelatedIntermediateGrayLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_superiorColliculusMotorRelatedIntermediateGrayLayerSublayerA"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_superiorColliculusMotorRelatedIntermediateGrayLayerSublayerB"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_superiorColliculusMotorRelatedIntermediateGrayLayerSublayerC"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_periaqueductalGray"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_precommissuralNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_interstitialNucleusOfCajal"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_nucleusOfDarkschewitsch"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_pretectalRegion"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anteriorPretectalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_medialPretectalArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_nucleusOfTheOpticTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_nucleusOfThePosteriorCommissure"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_olivaryPretectalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_posteriorPretectalNucleus"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_cuneiformNucleus"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_redNucleus"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_oculomotorNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_edingerWestphalNucleus"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_trochlearNucleus"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_ventralTegmentalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anteriorTegmentalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_lateralTerminalNucleusOfTheAccessoryOpticTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_dorsalTerminalNucleusOfTheAccessoryOpticTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_medialTerminalNucleusOfTheAccessoryOpticTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_substantiaNigraLateralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_midbrainBehavioralStateRelated"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_substantiaNigraCompactPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_pedunculopontineNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_midbrainRapheNuclei"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_interfascicularNucleusRaphe"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_interpeduncularNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_rostralLinearNucleusRaphe"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_centralLinearNucleusRaphe"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_dorsalNucleusRaphe"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_hindbrain"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_pons"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_ponsSensoryRelated"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_nucleusOfTheLateralLemniscus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_nucleusOfTheLateralLemniscusDorsalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_nucleusOfTheLateralLemniscusHorizontalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_nucleusOfTheLateralLemniscusVentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_principalSensoryNucleusOfTheTrigeminal"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_parabrachialNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_koellikerFuseSubnucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_parabrachialNucleusLateralDivision"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_parabrachialNucleusLateralDivisionCentralLateralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_parabrachialNucleusLateralDivisionDorsalLateralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_parabrachialNucleusLateralDivisionExternalLateralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_parabrachialNucleusLateralDivisionSuperiorLateralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_parabrachialNucleusLateralDivisionVentralLateralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_parabrachialNucleusMedialDivision"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_parabrachialNucleusMedialDivisionExternalMedialPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_parabrachialNucleusMedialDivisionMedialMedialPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_parabrachialNucleusMedialDivisionVentralMedialPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_superiorOlivaryComplex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_superiorOlivaryComplexPeriolivaryRegion"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_superiorOlivaryComplexMedialPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_superiorOlivaryComplexLateralPart"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_ponsMotorRelated"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_barringtonsNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_dorsalTegmentalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_lateralTegmentalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_pontineCentralGray"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_pontineGray"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_pontineReticularNucleusCaudalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_pontineReticularNucleusVentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_supragenualNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_superiorSalivatoryNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_supratrigeminalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_tegmentalReticularNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_motorNucleusOfTrigeminal"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_ponsBehavioralStateRelated"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_superiorCentralNucleusRaphe"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_superiorCentralNucleusRapheLateralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_superiorCentralNucleusRapheMedialPart"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_locusCeruleus"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_laterodorsalTegmentalNucleus"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_nucleusIncertus"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_pontineReticularNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_nucleusRaphePontis"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_subceruleusNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_sublaterodorsalNucleus"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_medulla"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_medullaSensoryRelated"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_areaPostrema"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_cochlearNuclei"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_granularLaminaOfTheCochlearNuclei"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_cochlearNucleusSubpedunclularGranularRegion"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_dorsalCochlearNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_ventralCochlearNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_dorsalColumnNuclei"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_cuneateNucleus"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_gracileNucleus"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_externalCuneateNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_nucleusOfTheTrapezoidBody"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_nucleusOfTheSolitaryTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_nucleusOfTheSolitaryTractCentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_nucleusOfTheSolitaryTractCommissuralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_nucleusOfTheSolitaryTractGelatinousPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_nucleusOfTheSolitaryTractLateralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_nucleusOfTheSolitaryTractMedialPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_spinalNucleusOfTheTrigeminalCaudalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_spinalNucleusOfTheTrigeminalInterpolarPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_spinalNucleusOfTheTrigeminalOralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_spinalNucleusOfTheTrigeminalOralPartCaudalDorsomedialPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_spinalNucleusOfTheTrigeminalOralPartMiddleDorsomedialPartDorsalZone"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_spinalNucleusOfTheTrigeminalOralPartMiddleDorsomedialPartVentralZone"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_spinalNucleusOfTheTrigeminalOralPartRostralDorsomedialPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_spinalNucleusOfTheTrigeminalOralPartVentrolateralPart"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_nucleusZ"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_medullaMotorRelated"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_abducensNucleus"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_accessoryAbducensNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_facialMotorNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_accessoryFacialMotorNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_efferentVestibularNucleus"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_nucleusAmbiguus"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_nucleusAmbiguusDorsalDivision"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_nucleusAmbiguusVentralDivision"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_dorsalMotorNucleusOfTheVagusNerve"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_efferentCochlearGroup"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_gigantocellularReticularNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_infracerebellarNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_inferiorOlivaryComplex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_intermediateReticularNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_inferiorSalivatoryNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_linearNucleusOfTheMedulla"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_lateralReticularNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_lateralReticularNucleusMagnocellularPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_lateralReticularNucleusParvicellularPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_magnocellularReticularNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_medullaryReticularNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_medullaryReticularNucleusDorsalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_medullaryReticularNucleusVentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_parvicellularReticularNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_parasolitaryNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_paragigantocellularReticularNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_paragigantocellularReticularNucleusDorsalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_paragigantocellularReticularNucleusLateralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_perihypoglossalNuclei"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_nucleusIntercalatus"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_nucleusOfRoller"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_nucleusPrepositus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_paramedianReticularNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_parapyramidalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_parapyramidalNucleusDeepPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_parapyramidalNucleusSuperficialPart"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_vestibularNuclei"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_lateralVestibularNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_medialVestibularNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_spinalVestibularNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_superiorVestibularNucleus"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_nucleusX"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_hypoglossalNucleus"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_nucleusY"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_interstitialNucleusOfTheVestibularNerve"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_medullaBehavioralStateRelated"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_nucleusRapheMagnus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_nucleusRaphePallidus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_nucleusRapheObscurus"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_cerebellum"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_cerebellarCortex"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_vermalRegions"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_lingulaI"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_lingulaIMolecularLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_lingulaIPurkinjeLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_lingulaIGranularLayer"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_centralLobule"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_lobuleII"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_lobuleIIMolecularLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_lobuleIIPurkinjeLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_lobuleIIGranularLayer"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_lobuleIII"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_lobuleIIIMolecularLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_lobuleIIIPurkinjeLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_lobuleIIIGranularLayer"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_culmen"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_lobuleIV"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_lobuleIVMolecularLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_lobuleIVPurkinjeLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_lobuleIVGranularLayer"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_lobuleV"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_lobuleVMolecularLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_lobuleVPurkinjeLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_lobuleVGranularLayer"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_lobulesIV-V"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_lobulesIV-VMolecularLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_lobulesIV-VPurkinjeLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_lobulesIV-VGranularLayer"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_decliveVI"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_decliveVIMolecularLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_decliveVIPurkinjeLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_decliveVIGranularLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_foliumtuberVermisVII"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_foliumtuberVermisVIIMolecularLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_foliumtuberVermisVIIPurkinjeLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_foliumtuberVermisVIIGranularLayer"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_pyramusVIII"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_pyramusVIIIMolecularLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_pyramusVIIIPurkinjeLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_pyramusVIIIGranularLayer"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_uvulaIX"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_uvulaIXMolecularLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_uvulaIXPurkinjeLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_uvulaIXGranularLayer"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_nodulusX"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_nodulusXMolecularLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_nodulusXPurkinjeLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_nodulusXGranularLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_hemisphericRegions"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_simpleLobule"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_simpleLobuleMolecularLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_simpleLobulePurkinjeLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_simpleLobuleGranularLayer"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_ansiformLobule"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_crus1"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_crus1MolecularLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_crus1PurkinjeLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_crus1GranularLayer"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_crus2"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_crus2MolecularLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_crus2PurkinjeLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_crus2GranularLayer"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_paramedianLobule"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_paramedianLobuleMolecularLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_paramedianLobulePurkinjeLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_paramedianLobuleGranularLayer"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_copulaPyramidis"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_copulaPyramidisMolecularLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_copulaPyramidisPurkinjeLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_copulaPyramidisGranularLayer"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_paraflocculus"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_paraflocculusMolecularLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_paraflocculusPurkinjeLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_paraflocculusGranularLayer"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_flocculus"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_flocculusMolecularLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_flocculusPurkinjeLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_flocculusGranularLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_cerebellarCortexMolecularLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_cerebellarCortexPurkinjeLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_cerebellarCortexGranularLayer"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_cerebellarNuclei"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_fastigialNucleus"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_interposedNucleus"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_dentateNucleus"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_fiberTracts"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_cranialNerves"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_terminalNerve"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_vomeronasalNerve"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_olfactoryNerve"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_olfactoryNerveLayerOfMainOlfactoryBulb"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_lateralOlfactoryTractGeneral"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_lateralOlfactoryTractBody"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_dorsalLimb"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_accessoryOlfactoryTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anteriorCommissureOlfactoryLimb"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_opticNerve"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_accessoryOpticTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_brachiumOfTheSuperiorColliculus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_superiorColliculusCommissure"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_opticChiasm"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_opticTract"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_tectothalamicPathway"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_oculomotorNerve"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_medialLongitudinalFascicle"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_posteriorCommissure"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_trochlearNerve"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_trochlearNerveDecussation"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_abducensNerve"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_trigeminalNerve"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_motorRootOfTheTrigeminalNerve"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_sensoryRootOfTheTrigeminalNerve"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_midbrainTractOfTheTrigeminalNerve"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_spinalTractOfTheTrigeminalNerve"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_facialNerve"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_intermediateNerve"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_genuOfTheFacialNerve"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_vestibulocochlearNerve"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_efferentCochleovestibularBundle"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_vestibularNerve"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_cochlearNerve"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_trapezoidBody"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_intermediateAcousticStria"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_dorsalAcousticStria"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_lateralLemniscus"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_inferiorColliculusCommissure"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_brachiumOfTheInferiorColliculus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_glossopharyngealNerve"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_vagusNerve"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_solitaryTract"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_accessorySpinalNerve"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_hypoglossalNerve"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_ventralRoots"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_dorsalRoots"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_cervicothalamicTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_dorsolateralFascicle"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_dorsalCommissureOfTheSpinalCord"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_ventralCommissureOfTheSpinalCord"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_fasciculusProprius"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_dorsalColumn"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_cuneateFascicle"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_gracileFascicle"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_internalArcuateFibers"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_medialLemniscus"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_spinothalamicTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_lateralSpinothalamicTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_ventralSpinothalamicTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_spinocervicalTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_spinoolivaryPathway"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_spinoreticularPathway"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_spinovestibularPathway"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_spinotectalPathway"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_spinohypothalamicPathway"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_spinotelenchephalicPathway"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_hypothalamohypophysialTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_cerebellumRelatedFiberTracts"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_cerebellarCommissure"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_cerebellarPeduncles"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_superiorCerebelarPeduncles"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_superiorCerebellarPeduncleDecussation"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_spinocerebellarTract"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_uncinateFascicle"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_ventralSpinocerebellarTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_middleCerebellarPeduncle"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_inferiorCerebellarPeduncle"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_dorsalSpinocerebellarTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_cuneocerebellarTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_juxtarestiformBody"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_bulbocerebellarTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_olivocerebellarTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_reticulocerebellarTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_trigeminocerebellarTract"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_arborVitae"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_supracallosalCerebralWhiteMatter"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_lateralForebrainBundleSystem"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_corpusCallosum"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_corpusCallosumAnteriorForceps"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_externalCapsule"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_corpusCallosumExtremeCapsule"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_genuOfCorpusCallosum"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_corpusCallosumPosteriorForceps"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_corpusCallosumRostrum"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_corpusCallosumBody"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_corpusCallosumSplenium"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_corticospinalTract"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_internalCapsule"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_cerebalPeduncle"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_corticotectalTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_corticorubralTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_corticopontineTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_corticobulbarTract"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_pyramid"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_pyramidalDecussation"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_corticospinalTractCrossed"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_corticospinalTractUncrossed"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_thalamusRelated"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_externalMedullaryLaminaOfTheThalamus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_internalMedullaryLaminaOfTheThalamus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_middleThalamicCommissure"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_thalamicPeduncles"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_opticRadiation"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_auditoryRadiation"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_extrapyramidalFiberSystems"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_cerebralNucleiRelated"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_pallidothalmicPathway"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_nigrostriatalTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_nigrothalamicFibers"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_pallidotegmentalFascicle"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_striatonigralPathway"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_subthalamicFascicle"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_tectospinalPathway"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_directTectospinalPathway"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_doralTegmentalDecussation"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_crossedTectospinalPathway"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_rubrospinalTract"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_ventralTegmentalDecussation"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_rubroreticularTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_centralTegmentalBundle"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_retriculospinalTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_retriculospinalTractLateralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_retriculospinalTractMedialPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_vestibulospinalPathway"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_medialForebrainBundleSystem"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_cerebrumRelated"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_amygdalarCapsule"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_ansaPeduncularis"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anteriorCommissureTemporalLimb"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_cingulumBundle"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_fornixSystem"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_alveus"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_dorsalFornix"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_fimbria"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_precommissuralFornixGeneral"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_precommissuralFornixDiagonalBand"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_postcommissuralFornix"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_medialCorticohypothalmicTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_columnsOfTheFornix"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_hippocampalCommissures"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_dorsalHippocampalCommissure"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_ventralHippocampalCommissure"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_perforantPath"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_angularPath"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_longitudinalAssociationBundle"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_striaTerminalis"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_commissuralBranchOfStriaTerminalis"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_hypothalamusRelated"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_medialForebrainBundle"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_ventrolateralHypothalamicTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_preopticCommissure"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_supraopticCommissures"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_supraopticCommissuresAnterior"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_supraopticCommissuresDorsal"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_supraopticCommissuresVentral"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_premammillaryCommissure"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_supramammillaryDecussation"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_propriohypothalamicPathways"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_propriohypothalamicPathwaysDorsal"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_propriohypothalamicPathwaysLateral"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_propriohypothalamicPathwaysMedial"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_propriohypothalamicPathwaysVentral"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_periventricularBundleOfTheHypothalamus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_mammillaryRelated"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_principalMammillaryTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_mammilothalmicTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_mammillotegmentalTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_mammillaryPeduncle"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_dorsalThalamusRelated"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_periventricularBundleOfTheThalamus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_epithalamusRelated"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_striaMedullaris"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_fasciculusRetroflexus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_habenularCommissure"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_pinealStalk"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_midbrainRelated"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_dorsalLongitudinalFascicle"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_dorsalTegmentalTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_ventricularSystems"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_lateralVentricle"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_rhinocele"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_subependymalZone"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_choroidPlexus"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_choroidFissure"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_interventricularForamen"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_thirdVentricle"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_cerebralAqueduct"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_fourthVentricle"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_lateralRecess"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_centralCanalSpinalCordmedulla"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_grooves"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_groovesOfTheCerebralCortex"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_endorhinalGroove"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_hippocampalFissure"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_rhinalFissure"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_rhinalIncisure"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_groovesOfTheCerebellarCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_precentralFissure"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_preculminateFissure"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primaryFissure"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_posteriorSuperiorFissure"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_prepyramidalFissure"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_secondaryFissure"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_posterolateralFissure"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_nodularFissure"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_simpleFissure"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_intercruralFissure"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_ansoparamedianFissure"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_intraparafloccularFissure"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_paramedianSulcus"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_parafloccularSulcus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_interpeduncularFossa"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2015_retina"},
        ],
        "ontologyIdentifier": None,
    },
    short_name="Allen Mouse Brain Atlas",
    type={"@id": "https://openminds.om-i.org/instances/atlasType/deterministicAtlas"},
    version_identifier="CCFv3, 2015",
)
BrainAtlasVersion.amba_cc_fv3_2017 = BrainAtlasVersion(
    id="https://openminds.om-i.org/instances/brainAtlasVersion/AMBA_CCFv3-2017",
    abbreviation="AMBA",
    accessibility={"@id": "https://openminds.om-i.org/instances/productAccessibility/freeAccess"},
    coordinate_space={"@id": "https://openminds.om-i.org/instances/commonCoordinateSpace/AMB-CCF_v3"},
    full_name="Allen Mouse Brain Atlas",
    has_terminology={
        "@type": "https://openminds.om-i.org/types/ParcellationTerminology",
        "dataLocation": None,
        "hasEntity": [
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_root"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_basicCellGroupsAndRegions"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_cerebrum"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_cerebralCortex"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_corticalPlate"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_isocortex"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_frontalPoleCerebralCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_frontalPoleLayer1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_frontalPoleLayer2-3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_frontalPoleLayer5"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_frontalPoleLayer6a"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_frontalPoleLayer6b"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_somatomotorAreas"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_somatomotorAreasLayer1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_somatomotorAreasLayer2-3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_somatomotorAreasLayer5"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_somatomotorAreasLayer6a"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_somatomotorAreasLayer6b"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primaryMotorArea"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primaryMotorAreaLayer1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primaryMotorAreaLayer2-3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primaryMotorAreaLayer5"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primaryMotorAreaLayer6a"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primaryMotorAreaLayer6b"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_secondaryMotorArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_secondaryMotorAreaLayer1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_secondaryMotorAreaLayer2-3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_secondaryMotorAreaLayer5"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_secondaryMotorAreaLayer6a"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_secondaryMotorAreaLayer6b"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_somatosensoryAreas"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_somatosensoryAreasLayer1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_somatosensoryAreasLayer2-3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_somatosensoryAreasLayer4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_somatosensoryAreasLayer5"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_somatosensoryAreasLayer6a"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_somatosensoryAreasLayer6b"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primarySomatosensoryArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primarySomatosensoryAreaLayer1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primarySomatosensoryAreaLayer2-3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primarySomatosensoryAreaLayer4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primarySomatosensoryAreaLayer5"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primarySomatosensoryAreaLayer6a"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primarySomatosensoryAreaLayer6b"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primarySomatosensoryAreaNose"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primarySomatosensoryAreaNoseLayer1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primarySomatosensoryAreaNoseLayer2-3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primarySomatosensoryAreaNoseLayer4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primarySomatosensoryAreaNoseLayer5"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primarySomatosensoryAreaNoseLayer6a"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primarySomatosensoryAreaNoseLayer6b"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primarySomatosensoryAreaBarrelField"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primarySomatosensoryAreaBarrelFieldLayer1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primarySomatosensoryAreaBarrelFieldLayer2-3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primarySomatosensoryAreaBarrelFieldLayer4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primarySomatosensoryAreaBarrelFieldLayer5"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primarySomatosensoryAreaBarrelFieldLayer6a"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primarySomatosensoryAreaBarrelFieldLayer6b"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_rostrolateralLateralVisualArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_rostrolateralLateralVisualAreaLayer1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_rostrolateralLateralVisualAreaLayer2-3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_rostrolateralLateralVisualAreaLayer4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_rostrolateralLateralVisualArealayer5"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_rostrolateralLateralVisualAreaLayer6a"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_rostrolateralLateralVisualAreaLayer6b"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primarySomatosensoryAreaLowerLimb"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primarySomatosensoryAreaLowerLimbLayer1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primarySomatosensoryAreaLowerLimbLayer2-3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primarySomatosensoryAreaLowerLimbLayer4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primarySomatosensoryAreaLowerLimbLayer5"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primarySomatosensoryAreaLowerLimbLayer6a"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primarySomatosensoryAreaLowerLimbLayer6b"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primarySomatosensoryAreaMouth"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primarySomatosensoryAreaMouthLayer1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primarySomatosensoryAreaMouthLayer2-3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primarySomatosensoryAreaMouthLayer4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primarySomatosensoryAreaMouthLayer5"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primarySomatosensoryAreaMouthLayer6a"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primarySomatosensoryAreaMouthLayer6b"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primarySomatosensoryAreaUpperLimb"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primarySomatosensoryAreaUpperLimbLayer1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primarySomatosensoryAreaUpperLimbLayer2-3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primarySomatosensoryAreaUpperLimbLayer4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primarySomatosensoryAreaUpperLimbLayer5"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primarySomatosensoryAreaUpperLimbLayer6a"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primarySomatosensoryAreaUpperLimbLayer6b"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primarySomatosensoryAreaTrunk"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primarySomatosensoryAreaTrunkLayer1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primarySomatosensoryAreaTrunkLayer2-3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primarySomatosensoryAreaTrunkLayer4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primarySomatosensoryAreaTrunkLayer5"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primarySomatosensoryAreaTrunkLayer6a"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primarySomatosensoryAreaTrunkLayer6b"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primarySomatosensoryAreaUnassigned"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primarySomatosensoryAreaUnassignedLayer1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primarySomatosensoryAreaUnassignedLayer2-3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primarySomatosensoryAreaUnassignedLayer4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primarySomatosensoryAreaUnassignedLayer5"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primarySomatosensoryAreaUnassignedLayer6a"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primarySomatosensoryAreaUnassignedLayer6b"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_supplementalSomatosensoryArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_supplementalSomatosensoryAreaLayer1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_supplementalSomatosensoryAreaLayer2-3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_supplementalSomatosensoryAreaLayer4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_supplementalSomatosensoryAreaLayer5"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_supplementalSomatosensoryAreaLayer6a"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_supplementalSomatosensoryAreaLayer6b"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_gustatoryAreas"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_gustatoryAreasLayer1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_gustatoryAreasLayer2-3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_gustatoryAreasLayer4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_gustatoryAreasLayer5"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_gustatoryAreasLayer6a"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_gustatoryAreasLayer6b"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_visceralArea"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_visceralAreaLayer1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_visceralAreaLayer2-3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_visceralAreaLayer4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_visceralAreaLayer5"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_visceralAreaLayer6a"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_visceralAreaLayer6b"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_auditoryAreas"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_dorsalAuditoryArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_dorsalAuditoryAreaLayer1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_dorsalAuditoryAreaLayer2-3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_dorsalAuditoryAreaLayer4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_dorsalAuditoryAreaLayer5"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_dorsalAuditoryAreaLayer6a"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_dorsalAuditoryAreaLayer6b"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_laterolateralAnteriorVisualArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_laterolateralAnteriorVisualAreaLayer1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_laterolateralAnteriorVisualAreaLayer2-3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_laterolateralAnteriorVisualAreaLayer4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_laterolateralAnteriorVisualArealayer5"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_laterolateralAnteriorVisualAreaLayer6a"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_laterolateralAnteriorVisualAreaLayer6b"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primaryAuditoryArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primaryAuditoryAreaLayer1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primaryAuditoryAreaLayer2-3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primaryAuditoryAreaLayer4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primaryAuditoryAreaLayer5"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primaryAuditoryAreaLayer6a"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primaryAuditoryAreaLayer6b"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_posteriorAuditoryArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_posteriorAuditoryAreaLayer1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_posteriorAuditoryAreaLayer2-3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_posteriorAuditoryAreaLayer4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_posteriorAuditoryAreaLayer5"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_posteriorAuditoryAreaLayer6a"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_posteriorAuditoryAreaLayer6b"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_ventralAuditoryArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_ventralAuditoryAreaLayer1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_ventralAuditoryAreaLayer2-3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_ventralAuditoryAreaLayer4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_ventralAuditoryAreaLayer5"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_ventralAuditoryAreaLayer6a"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_ventralAuditoryAreaLayer6b"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_visualAreas"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_visualAreasLayer1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_visualAreasLayer2-3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_visualAreasLayer4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_visualAreasLayer5"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_visualAreasLayer6a"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_visualAreasLayer6b"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anterolateralVisualArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anterolateralVisualAreaLayer1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anterolateralVisualAreaLayer2-3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anterolateralVisualAreaLayer4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anterolateralVisualAreaLayer5"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anterolateralVisualAreaLayer6a"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anterolateralVisualAreaLayer6b"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anteromedialVisualArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anteromedialVisualAreaLayer1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anteromedialVisualAreaLayer2-3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anteromedialVisualAreaLayer4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anteromedialVisualAreaLayer5"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anteromedialVisualAreaLayer6a"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anteromedialVisualAreaLayer6b"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_lateralVisualArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_lateralVisualAreaLayer1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_lateralVisualAreaLayer2-3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_lateralVisualAreaLayer4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_lateralVisualAreaLayer5"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_lateralVisualAreaLayer6a"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_lateralVisualAreaLayer6b"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primaryVisualArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primaryVisualAreaLayer1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primaryVisualAreaLayer2-3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primaryVisualAreaLayer4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primaryVisualAreaLayer5"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primaryVisualAreaLayer6a"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primaryVisualAreaLayer6b"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_posterolateralVisualArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_posterolateralVisualAreaLayer1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_posterolateralVisualAreaLayer2-3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_posterolateralVisualAreaLayer4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_posterolateralVisualAreaLayer5"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_posterolateralVisualAreaLayer6a"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_posterolateralVisualAreaLayer6b"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_posteromedialVisualArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_posteromedialVisualAreaLayer1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_posteromedialVisualAreaLayer2-3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_posteromedialVisualAreaLayer4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_posteromedialVisualAreaLayer5"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_posteromedialVisualAreaLayer6a"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_posteromedialVisualAreaLayer6b"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_laterointermediateArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_laterointermediateAreaLayer1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_laterointermediateAreaLayer2-3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_laterointermediateAreaLayer4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_laterointermediateAreaLayer5"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_laterointermediateAreaLayer6a"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_laterointermediateAreaLayer6b"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_postrhinalArea"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_postrhinalAreaLayer1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_postrhinalAreaLayer2-3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_postrhinalAreaLayer4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_postrhinalAreaLayer5"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_postrhinalAreaLayer6a"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_postrhinalAreaLayer6b"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anteriorCingulateArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anteriorCingulateAreaLayer1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anteriorCingulateAreaLayer2-3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anteriorCingulateAreaLayer5"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anteriorCingulateAreaLayer6a"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anteriorCingulateAreaLayer6b"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anteriorCingulateAreaDorsalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anteriorCingulateAreaDorsalPartLayer1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anteriorCingulateAreaDorsalPartLayer2-3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anteriorCingulateAreaDorsalPartLayer5"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anteriorCingulateAreaDorsalPartLayer6a"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anteriorCingulateAreaDorsalPartLayer6b"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anteriorCingulateAreaVentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anteriorCingulateAreaVentralPartLayer1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anteriorCingulateAreaVentralPartLayer2-3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anteriorCingulateAreaVentralPartLayer5"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anteriorCingulateAreaVentralPart6a"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anteriorCingulateAreaVentralPart6b"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_prelimbicArea"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_prelimbicAreaLayer1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_prelimbicAreaLayer2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_prelimbicAreaLayer2-3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_prelimbicAreaLayer5"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_prelimbicAreaLayer6a"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_prelimbicAreaLayer6b"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_infralimbicArea"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_infralimbicAreaLayer1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_infralimbicAreaLayer2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_infralimbicAreaLayer2-3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_infralimbicAreaLayer5"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_infralimbicAreaLayer6a"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_infralimbicAreaLayer6b"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_orbitalArea"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_orbitalAreaLayer1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_orbitalAreaLayer2-3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_orbitalAreaLayer5"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_orbitalAreaLayer6a"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_orbitalAreaLayer6b"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_orbitalAreaLateralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_orbitalAreaLateralPartLayer1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_orbitalAreaLateralPartLayer2-3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_orbitalAreaLateralPartLayer5"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_orbitalAreaLateralPartLayer6a"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_orbitalAreaLateralPartLayer6b"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_orbitalAreaMedialPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_orbitalAreaMedialPartLayer1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_orbitalAreaMedialPartLayer2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_orbitalAreaMedialPartLayer2-3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_orbitalAreaMedialPartLayer5"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_orbitalAreaMedialPartLayer6a"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_orbitalAreaMedialPartLayer6b"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_orbitalAreaVentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_orbitalAreaVentrolateralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_orbitalAreaVentrolateralPartLayer1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_orbitalAreaVentrolateralPartLayer2-3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_orbitalAreaVentrolateralPartLayer5"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_orbitalAreaVentrolateralPartLayer6a"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_orbitalAreaVentrolateralPartLayer6b"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_agranularInsularArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_agranularInsularAreaDorsalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_agranularInsularAreaDorsalPartLayer1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_agranularInsularAreaDorsalPartLayer2-3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_agranularInsularAreaDorsalPartLayer5"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_agranularInsularAreaDorsalPartLayer6a"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_agranularInsularAreaDorsalPartLayer6b"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_agranularInsularAreaPosteriorPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_agranularInsularAreaPosteriorPartLayer1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_agranularInsularAreaPosteriorPartLayer2-3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_agranularInsularAreaPosteriorPartLayer5"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_agranularInsularAreaPosteriorPartLayer6a"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_agranularInsularAreaPosteriorPartLayer6b"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_agranularInsularAreaVentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_agranularInsularAreaVentralPartLayer1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_agranularInsularAreaVentralPartLayer2-3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_agranularInsularAreaVentralPartLayer5"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_agranularInsularAreaVentralPartLayer6a"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_agranularInsularAreaVentralPartLayer6b"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_retrosplenialArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_retrosplenialAreaLateralAgranularPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_retrosplenialAreaLateralAgranularPartLayer1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_retrosplenialAreaLateralAgranularPartLayer2-3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_retrosplenialAreaLateralAgranularPartLayer5"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_retrosplenialAreaLateralAgranularPartLayer6a"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_retrosplenialAreaLateralAgranularPartLayer6b"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_mediomedialAnteriorVisualArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_mediomedialAnteriorVisualAreaLayer1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_mediomedialAnteriorVisualAreaLayer2-3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_mediomedialAnteriorVisualAreaLayer4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_mediomedialAnteriorVisualArealayer5"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_mediomedialAnteriorVisualAreaLayer6a"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_mediomedialAnteriorVisualAreaLayer6b"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_mediomedialPosteriorVisualArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_mediomedialPosteriorVisualAreaLayer1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_mediomedialPosteriorVisualAreaLayer2-3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_mediomedialPosteriorVisualAreaLayer4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_mediomedialPosteriorVisualArealayer5"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_mediomedialPosteriorVisualAreaLayer6a"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_mediomedialPosteriorVisualAreaLayer6b"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_medialVisualArea"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_medialVisualAreaLayer1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_medialVisualAreaLayer2-3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_medialVisualAreaLayer4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_medialVisualArealayer5"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_medialVisualAreaLayer6a"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_medialVisualAreaLayer6b"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_retrosplenialAreaDorsalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_retrosplenialAreaDorsalPartLayer1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_retrosplenialAreaDorsalPartLayer2-3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_retrosplenialAreaDorsalPartLayer4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_retrosplenialAreaDorsalPartLayer5"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_retrosplenialAreaDorsalPartLayer6a"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_retrosplenialAreaDorsalPartLayer6b"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_retrosplenialAreaVentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_retrosplenialAreaVentralPartLayer1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_retrosplenialAreaVentralPartLayer2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_retrosplenialAreaVentralPartLayer2-3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_retrosplenialAreaVentralPartLayer5"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_retrosplenialAreaVentralPartLayer6a"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_retrosplenialAreaVentralPartLayer6b"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_posteriorParietalAssociationAreas"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_posteriorParietalAssociationAreasLayer1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_posteriorParietalAssociationAreasLayer2-3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_posteriorParietalAssociationAreasLayer4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_posteriorParietalAssociationAreasLayer5"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_posteriorParietalAssociationAreasLayer6a"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_posteriorParietalAssociationAreasLayer6b"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anteriorArea"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anteriorAreaLayer1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anteriorAreaLayer2-3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anteriorAreaLayer4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anteriorAreaLayer5"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anteriorAreaLayer6a"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anteriorAreaLayer6b"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_rostrolateralVisualArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_rostrolateralAreaLayer1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_rostrolateralAreaLayer2-3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_rostrolateralAreaLayer4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_rostrolateralAreaLayer5"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_rostrolateralAreaLayer6a"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_rostrolateralAreaLayer6b"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_temporalAssociationAreas"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_temporalAssociationAreasLayer1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_temporalAssociationAreasLayer2-3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_temporalAssociationAreasLayer4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_temporalAssociationAreasLayer5"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_temporalAssociationAreasLayer6a"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_temporalAssociationAreasLayer6b"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_perirhinalArea"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_perirhinalAreaLayer1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_perirhinalAreaLayer2-3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_perirhinalAreaLayer5"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_perirhinalAreaLayer6a"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_perirhinalAreaLayer6b"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_ectorhinalArea"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_ectorhinalAreaLayer1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_ectorhinalAreaLayer2-3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_ectorhinalAreaLayer5"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_ectorhinalAreaLayer6a"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_ectorhinalAreaLayer6b"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_olfactoryAreas"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_mainOlfactoryBulb"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_mainOlfactoryBulbGlomerularLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_mainOlfactoryBulbGranuleLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_mainOlfactoryBulbInnerPlexiformLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_mainOlfactoryBulbMitralLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_mainOlfactoryBulbOuterPlexiformLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_accessoryOlfactoryBulb"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_accessoryOlfactoryBulbGlomerularLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_accessoryOlfactoryBulbGranularLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_accessoryOlfactoryBulbMitralLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anteriorOlfactoryNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anteriorOlfactoryNucleusDorsalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anteriorOlfactoryNucleusExternalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anteriorOlfactoryNucleusLateralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anteriorOlfactoryNucleusMedialPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anteriorOlfactoryNucleusPosteroventralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anteriorOlfactoryNucleusLayer1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anteriorOlfactoryNucleusLayer2"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_taeniaTecta"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_taeniaTectaDorsalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_taeniaTectaDorsalPartLayers14"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_taeniaTectaDorsalPartLayer1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_taeniaTectaDorsalPartLayer2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_taeniaTectaDorsalPartLayer3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_taeniaTectaDorsalPartLayer4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_taeniaTectaVentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_taeniaTectaVentralPartLayers13"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_taeniaTectaVentralPartLayer1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_taeniaTectaVentralPartLayer2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_taeniaTectaVentralPartLayer3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_dorsalPeduncularArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_dorsalPeduncularAreaLayer1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_dorsalPeduncularAreaLayer2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_dorsalPeduncularAreaLayer2-3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_dorsalPeduncularAreaLayer5"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_dorsalPeduncularAreaLayer6a"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_piriformArea"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_piriformAreaLayers13"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_piriformAreaMolecularLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_piriformAreaPyramidalLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_piriformAreaPolymorphLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_nucleusOfTheLateralOlfactoryTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_nucleusOfTheLateralOlfactoryTractLayers13"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_nucleusOfTheLateralOlfactoryTractMolecularLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_nucleusOfTheLateralOlfactoryTractPyramidalLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_nucleusOfTheLateralOlfactoryTractLayer3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_corticalAmygdalarArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_corticalAmygdalarAreaAnteriorPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_corticalAmygdalarAreaAnteriorPartLayer1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_corticalAmygdalarAreaAnteriorPartLayer2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_corticalAmygdalarAreaAnteriorPartLayer3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_corticalAmygdalarAreaPosteriorPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_corticalAmygdalarAreaPosteriorPartLateralZone"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_corticalAmygdalarAreaPosteriorPartLateralZoneLayers12"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_corticalAmygdalarAreaPosteriorPartLateralZoneLayers13"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_corticalAmygdalarAreaPosteriorPartLateralZoneLayer1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_corticalAmygdalarAreaPosteriorPartLateralZoneLayer2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_corticalAmygdalarAreaPosteriorPartLateralZoneLayer3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_corticalAmygdalarAreaPosteriorPartMedialZone"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_corticalAmygdalarAreaPosteriorPartMedialZoneLayers12"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_corticalAmygdalarAreaPosteriorPartMedialZoneLayers13"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_corticalAmygdalarAreaPosteriorPartMedialZoneLayer1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_corticalAmygdalarAreaPosteriorPartMedialZoneLayer2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_corticalAmygdalarAreaPosteriorPartMedialZoneLayer3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_piriformamygdalarArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_piriformamygdalarAreaLayers13"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_piriformamygdalarAreaMolecularLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_piriformamygdalarAreaPyramidalLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_piriformamygdalarAreaPolymorphLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_postpiriformTransitionArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_postpiriformTransitionAreaLayers13"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_postpiriformTransitionAreaLayers1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_postpiriformTransitionAreaLayers2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_postpiriformTransitionAreaLayers3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_hippocampalFormation"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_hippocampalRegion"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_ammonsHorn"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_fieldCA1"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_fieldCA1StratumLacunosummoleculare"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_fieldCA1StratumOriens"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_fieldCA1PyramidalLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_fieldCA1StratumRadiatum"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_fieldCA2"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_fieldCA2StratumLacunosummoleculare"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_fieldCA2StratumOriens"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_fieldCA2PyramidalLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_fieldCA2StratumRadiatum"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_fieldCA3"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_fieldCA3StratumLacunosummoleculare"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_fieldCA3StratumLucidum"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_fieldCA3StratumOriens"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_fieldCA3PyramidalLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_fieldCA3StratumRadiatum"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_dentateGyrus"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_dentateGyrusMolecularLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_dentateGyrusPolymorphLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_dentateGyrusGranuleCellLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_dentateGyrusSubgranularZone"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_dentateGyrusCrest"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_dentateGyrusCrestMolecularLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_dentateGyrusCrestPolymorphLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_dentateGyrusCrestGranuleCellLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_dentateGyrusLateralBlade"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_dentateGyrusLateralBladeMolecularLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_dentateGyrusLateralBladePolymorphLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_dentateGyrusLateralBladeGranuleCellLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_dentateGyrusMedialBlade"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_dentateGyrusMedialBladeMolecularLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_dentateGyrusMedialBladePolymorphLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_dentateGyrusMedialBladeGranuleCellLayer"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_fasciolaCinerea"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_induseumGriseum"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_retrohippocampalRegion"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_entorhinalArea"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_entorhinalAreaLateralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_entorhinalAreaLateralPartLayer1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_entorhinalAreaLateralPartLayer2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_entorhinalAreaLateralPartLayer2-3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_entorhinalAreaLateralPartLayer2a"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_entorhinalAreaLateralPartLayer2b"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_entorhinalAreaLateralPartLayer3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_entorhinalAreaLateralPartLayer4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_entorhinalAreaLateralPartLayer4-5"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_entorhinalAreaLateralPartLayer5"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_entorhinalAreaLateralPartLayer5-6"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_entorhinalAreaLateralPartLayer6a"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_entorhinalAreaLateralPartLayer6b"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_entorhinalAreaMedialPartDorsalZone"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_entorhinalAreaMedialPartDorsalZoneLayer1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_entorhinalAreaMedialPartDorsalZoneLayer2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_entorhinalAreaMedialPartDorsalZoneLayer2a"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_entorhinalAreaMedialPartDorsalZoneLayer2b"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_entorhinalAreaMedialPartDorsalZoneLayer3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_entorhinalAreaMedialPartDorsalZoneLayer4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_entorhinalAreaMedialPartDorsalZoneLayer5"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_entorhinalAreaMedialPartDorsalZoneLayer5-6"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_entorhinalAreaMedialPartDorsalZoneLayer6"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_entorhinalAreaMedialPartVentralZone"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_entorhinalAreaMedialPartVentralZoneLayer1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_entorhinalAreaMedialPartVentralZoneLayer2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_entorhinalAreaMedialPartVentralZoneLayer3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_entorhinalAreaMedialPartVentralZoneLayer4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_entorhinalAreaMedialPartVentralZoneLayer5-6"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_parasubiculum"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_parasubiculumLayer1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_parasubiculumLayer2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_parasubiculumLayer3"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_postsubiculum"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_postsubiculumLayer1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_postsubiculumLayer2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_postsubiculumLayer3"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_presubiculum"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_presubiculumLayer1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_presubiculumLayer2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_presubiculumLayer3"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_subiculum"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_subiculumDorsalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_subiculumDorsalPartMolecularLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_subiculumDorsalPartPyramidalLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_subiculumDorsalPartStratumRadiatum"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_subiculumVentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_subiculumVentralPartMolecularLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_subiculumVentralPartPyramidalLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_subiculumVentralPartStratumRadiatum"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_prosubiculum"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_prosubiculumDorsalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_prosubiculumDorsalPartMolecularLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_prosubiculumDorsalPartPyramidalLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_prosubiculumDorsalPartStratumRadiatum"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_prosubiculumVentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_prosubiculumVentralPartMolecularLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_prosubiculumVentralPartPyramidalLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_prosubiculumVentralPartStratumRadiatum"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_hippocampoamygdalarTransitionArea"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_areaProstriata"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_corticalSubplate"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_layer6bIsocortex"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_claustrum"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_endopiriformNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_endopiriformNucleusDorsalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_endopiriformNucleusVentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_lateralAmygdalarNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_basolateralAmygdalarNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_basolateralAmygdalarNucleusAnteriorPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_basolateralAmygdalarNucleusPosteriorPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_basolateralAmygdalarNucleusVentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_basomedialAmygdalarNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_basomedialAmygdalarNucleusAnteriorPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_basomedialAmygdalarNucleusPosteriorPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_posteriorAmygdalarNucleus"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_cerebralNuclei"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_striatum"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_striatumDorsalRegion"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_caudoputamen"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_striatumVentralRegion"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_nucleusAccumbens"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_fundusOfStriatum"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_olfactoryTubercle"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_islandsOfCalleja"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_majorIslandOfCalleja"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_olfactoryTubercleLayers13"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_olfactoryTubercleMolecularLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_olfactoryTuberclePyramidalLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_olfactoryTuberclePolymorphLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_lateralStripOfStriatum"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_lateralSeptalComplex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_lateralSeptalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_lateralSeptalNucleusCaudalCaudodorsalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_lateralSeptalNucleusRostralRostroventralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_lateralSeptalNucleusVentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_septofimbrialNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_septohippocampalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_striatumlikeAmygdalarNuclei"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anteriorAmygdalarArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_bedNucleusOfTheAccessoryOlfactoryTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_centralAmygdalarNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_centralAmygdalarNucleusCapsularPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_centralAmygdalarNucleusLateralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_centralAmygdalarNucleusMedialPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_intercalatedAmygdalarNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_medialAmygdalarNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_medialAmygdalarNucleusAnterodorsalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_medialAmygdalarNucleusAnteroventralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_medialAmygdalarNucleusPosterodorsalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_medialAmygdalarNucleusPosterodorsalPartSublayerA"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_medialAmygdalarNucleusPosterodorsalPartSublayerB"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_medialAmygdalarNucleusPosterodorsalPartSublayerC"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_medialAmygdalarNucleusPosteroventralPart"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_pallidum"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_pallidumDorsalRegion"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_globusPallidusExternalSegment"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_globusPallidusInternalSegment"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_pallidumVentralRegion"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_substantiaInnominata"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_magnocellularNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_pallidumMedialRegion"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_medialSeptalComplex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_medialSeptalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_diagonalBandNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_triangularNucleusOfSeptum"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_pallidumCaudalRegion"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_bedNucleiOfTheStriaTerminalis"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_bedNucleiOfTheStriaTerminalisAnteriorDivision"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_bedNucleiOfTheStriaTerminalisAnteriorDivisionAnterolateralArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_bedNucleiOfTheStriaTerminalisAnteriorDivisionAnteromedialArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_bedNucleiOfTheStriaTerminalisAnteriorDivisionDorsomedialNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_bedNucleiOfTheStriaTerminalisAnteriorDivisionFusiformNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_bedNucleiOfTheStriaTerminalisAnteriorDivisionJuxtacapsularNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_bedNucleiOfTheStriaTerminalisAnteriorDivisionMagnocellularNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_bedNucleiOfTheStriaTerminalisAnteriorDivisionOvalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_bedNucleiOfTheStriaTerminalisAnteriorDivisionRhomboidNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_bedNucleiOfTheStriaTerminalisAnteriorDivisionVentralNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_bedNucleiOfTheStriaTerminalisPosteriorDivision"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_bedNucleiOfTheStriaTerminalisPosteriorDivisionDorsalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_bedNucleiOfTheStriaTerminalisPosteriorDivisionPrincipalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_bedNucleiOfTheStriaTerminalisPosteriorDivisionInterfascicularNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_bedNucleiOfTheStriaTerminalisPosteriorDivisionTransverseNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_bedNucleiOfTheStriaTerminalisPosteriorDivisionStrialExtension"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_bedNucleusOfTheAnteriorCommissure"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_brainStem"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_interbrain"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_thalamus"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_thalamusSensorymotorCortexRelated"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_ventralGroupOfTheDorsalThalamus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_ventralAnteriorlateralComplexOfTheThalamus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_ventralMedialNucleusOfTheThalamus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_ventralPosteriorComplexOfTheThalamus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_ventralPosterolateralNucleusOfTheThalamus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_ventralPosterolateralNucleusOfTheThalamusParvicellularPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_ventralPosteromedialNucleusOfTheThalamus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_ventralPosteromedialNucleusOfTheThalamusParvicellularPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_posteriorTriangularThalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_subparafascicularNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_subparafascicularNucleusMagnocellularPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_subparafascicularNucleusParvicellularPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_subparafascicularArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_peripeduncularNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_geniculateGroupDorsalThalamus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_medialGeniculateComplex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_medialGeniculateComplexDorsalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_medialGeniculateComplexVentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_medialGeniculateComplexMedialPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_dorsalPartOfTheLateralGeniculateComplex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_dorsalPartOfTheLateralGeniculateComplexShell"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_dorsalPartOfTheLateralGeniculateComplexCore"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_dorsalPartOfTheLateralGeniculateComplexIpsilateralZone"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_thalamusPolymodalAssociationCortexRelated"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_lateralGroupOfTheDorsalThalamus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_lateralPosteriorNucleusOfTheThalamus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_posteriorComplexOfTheThalamus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_posteriorLimitingNucleusOfTheThalamus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_suprageniculateNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_ethmoidNucleusOfTheThalamus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_retroethmoidNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anteriorGroupOfTheDorsalThalamus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anteroventralNucleusOfThalamus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anteromedialNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anteromedialNucleusDorsalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anteromedialNucleusVentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anterodorsalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_interanteromedialNucleusOfTheThalamus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_interanterodorsalNucleusOfTheThalamus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_lateralDorsalNucleusOfThalamus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_medialGroupOfTheDorsalThalamus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_intermediodorsalNucleusOfTheThalamus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_mediodorsalNucleusOfThalamus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_mediodorsalNucleusOfTheThalamusCentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_mediodorsalNucleusOfTheThalamusLateralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_mediodorsalNucleusOfTheThalamusMedialPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_submedialNucleusOfTheThalamus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_perireunensisNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_midlineGroupOfTheDorsalThalamus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_paraventricularNucleusOfTheThalamus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_parataenialNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_nucleusOfReuniens"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_xiphoidThalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_intralaminarNucleiOfTheDorsalThalamus"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_rhomboidNucleus"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_centralMedialNucleusOfTheThalamus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_paracentralNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_centralLateralNucleusOfTheThalamus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_parafascicularNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_posteriorIntralaminarThalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_reticularNucleusOfTheThalamus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_geniculateGroupVentralThalamus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_intergeniculateLeafletOfTheLateralGeniculateComplex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_intermediateGeniculateNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_ventralPartOfTheLateralGeniculateComplex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_ventralPartOfTheLateralGeniculateComplexLateralZone"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_ventralPartOfTheLateralGeniculateComplexMedialZone"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_subgeniculateNucleus"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_epithalamus"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_medialHabenula"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_lateralHabenula"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_pinealBody"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_hypothalamus"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_periventricularZone"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_supraopticNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_accessorySupraopticGroup"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_nucleusCircularis"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_paraventricularHypothalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_paraventricularHypothalamicNucleusMagnocellularDivision"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_paraventricularHypothalamicNucleusMagnocellularDivisionAnteriorMagnocellularPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_paraventricularHypothalamicNucleusMagnocellularDivisionMedialMagnocellularPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_paraventricularHypothalamicNucleusMagnocellularDivisionPosteriorMagnocellularPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_paraventricularHypothalamicNucleusMagnocellularDivisionPosteriorMagnocellularPartLateralZone"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_paraventricularHypothalamicNucleusMagnocellularDivisionPosteriorMagnocellularPartMedialZone"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_paraventricularHypothalamicNucleusParvicellularDivision"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_paraventricularHypothalamicNucleusParvicellularDivisionAnteriorParvicellularPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_paraventricularHypothalamicNucleusParvicellularDivisionMedialParvicellularPartDorsalZone"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_paraventricularHypothalamicNucleusParvicellularDivisionPeriventricularPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_periventricularHypothalamicNucleusAnteriorPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_periventricularHypothalamicNucleusIntermediatePart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_arcuateHypothalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_periventricularRegion"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anterodorsalPreopticNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anteriorHypothalamicArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anteroventralPreopticNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anteroventralPeriventricularNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_dorsomedialNucleusOfTheHypothalamus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_dorsomedialNucleusOfTheHypothalamusAnteriorPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_dorsomedialNucleusOfTheHypothalamusPosteriorPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_dorsomedialNucleusOfTheHypothalamusVentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_medianPreopticNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_medialPreopticArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_vascularOrganOfTheLaminaTerminalis"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_posterodorsalPreopticNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_parastrialNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_suprachiasmaticPreopticNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_periventricularHypothalamicNucleusPosteriorPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_periventricularHypothalamicNucleusPreopticPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_subparaventricularZone"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_suprachiasmaticNucleus"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_subfornicalOrgan"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_ventromedialPreopticNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_ventrolateralPreopticNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_hypothalamicMedialZone"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anteriorHypothalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anteriorHypothalamicNucleusAnteriorPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anteriorHypothalamicNucleusCentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anteriorHypothalamicNucleusDorsalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anteriorHypothalamicNucleusPosteriorPart"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_mammillaryBody"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_lateralMammillaryNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_medialMammillaryNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_medialMammillaryNucleusMedianPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_medialMammillaryNucleusLateralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_medialMammillaryNucleusMedialPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_medialMammillaryNucleusPosteriorPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_medialMammillaryNucleusDorsalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_supramammillaryNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_supramammillaryNucleusLateralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_supramammillaryNucleusMedialPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_tuberomammillaryNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_tuberomammillaryNucleusDorsalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_tuberomammillaryNucleusVentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_medialPreopticNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_medialPreopticNucleusCentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_medialPreopticNucleusLateralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_medialPreopticNucleusMedialPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_dorsalPremammillaryNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_ventralPremammillaryNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_paraventricularHypothalamicNucleusDescendingDivision"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_paraventricularHypothalamicNucleusDescendingDivisionDorsalParvicellularPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_paraventricularHypothalamicNucleusDescendingDivisionFornicealPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_paraventricularHypothalamicNucleusDescendingDivisionLateralParvicellularPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_paraventricularHypothalamicNucleusDescendingDivisionMedialParvicellularPartVentralZone"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_ventromedialHypothalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_ventromedialHypothalamicNucleusAnteriorPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_ventromedialHypothalamicNucleusCentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_ventromedialHypothalamicNucleusDorsomedialPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_ventromedialHypothalamicNucleusVentrolateralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_posteriorHypothalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_hypothalamicLateralZone"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_lateralHypothalamicArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_lateralPreopticArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_preparasubthalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_parasubthalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_perifornicalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_retrochiasmaticArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_subthalamicNucleus"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_tuberalNucleus"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_zonaIncerta"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_dopaminergicA13Group"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_fieldsOfForel"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_medianEminence"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_midbrain"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_midbrainSensoryRelated"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_superiorColliculusSensoryRelated"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_superiorColliculusOpticLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_superiorColliculusSuperficialGrayLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_superiorColliculusZonalLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_inferiorColliculus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_inferiorColliculusCentralNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_inferiorColliculusDorsalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_inferiorColliculusExternalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_nucleusOfTheBrachiumOfTheInferiorColliculus"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_nucleusSagulum"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_parabigeminalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_midbrainTrigeminalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_subcommissuralOrgan"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_midbrainMotorRelated"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_substantiaNigraReticularPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_ventralTegmentalArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_paranigralNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_midbrainReticularNucleusRetrorubralArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_midbrainReticularNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_midbrainReticularNucleusMagnocellularPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_midbrainReticularNucleusMagnocellularPartGeneral"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_midbrainReticularNucleusParvicellularPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_superiorColliculusMotorRelated"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_superiorColliculusMotorRelatedDeepGrayLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_superiorColliculusMotorRelatedDeepWhiteLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_superiorColliculusMotorRelatedIntermediateWhiteLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_superiorColliculusMotorRelatedIntermediateGrayLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_superiorColliculusMotorRelatedIntermediateGrayLayerSublayerA"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_superiorColliculusMotorRelatedIntermediateGrayLayerSublayerB"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_superiorColliculusMotorRelatedIntermediateGrayLayerSublayerC"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_periaqueductalGray"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_precommissuralNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_interstitialNucleusOfCajal"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_nucleusOfDarkschewitsch"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_supraoculomotorPeriaqueductalGray"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_pretectalRegion"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anteriorPretectalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_medialPretectalArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_nucleusOfTheOpticTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_nucleusOfThePosteriorCommissure"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_olivaryPretectalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_posteriorPretectalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_retroparafascicularNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_intercollicularNucleus"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_cuneiformNucleus"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_redNucleus"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_oculomotorNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_medialAccesoryOculomotorNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_edingerWestphalNucleus"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_trochlearNucleus"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_paratrochlearNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_ventralTegmentalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anteriorTegmentalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_lateralTerminalNucleusOfTheAccessoryOpticTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_dorsalTerminalNucleusOfTheAccessoryOpticTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_medialTerminalNucleusOfTheAccessoryOpticTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_substantiaNigraLateralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_midbrainBehavioralStateRelated"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_substantiaNigraCompactPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_pedunculopontineNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_midbrainRapheNuclei"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_interfascicularNucleusRaphe"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_interpeduncularNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_interpeduncularNucleusRostral"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_interpeduncularNucleusCaudal"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_interpeduncularNucleusApical"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_interpeduncularNucleusLateral"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_interpeduncularNucleusIntermediate"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_interpeduncularNucleusDorsomedial"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_interpeduncularNucleusDorsolateral"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_interpeduncularNucleusRostrolateral"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_rostralLinearNucleusRaphe"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_centralLinearNucleusRaphe"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_dorsalNucleusRaphe"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_hindbrain"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_pons"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_ponsSensoryRelated"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_nucleusOfTheLateralLemniscus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_nucleusOfTheLateralLemniscusDorsalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_nucleusOfTheLateralLemniscusHorizontalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_nucleusOfTheLateralLemniscusVentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_principalSensoryNucleusOfTheTrigeminal"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_parabrachialNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_koellikerFuseSubnucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_parabrachialNucleusLateralDivision"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_parabrachialNucleusLateralDivisionCentralLateralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_parabrachialNucleusLateralDivisionDorsalLateralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_parabrachialNucleusLateralDivisionExternalLateralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_parabrachialNucleusLateralDivisionSuperiorLateralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_parabrachialNucleusLateralDivisionVentralLateralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_parabrachialNucleusMedialDivision"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_parabrachialNucleusMedialDivisionExternalMedialPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_parabrachialNucleusMedialDivisionMedialMedialPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_parabrachialNucleusMedialDivisionVentralMedialPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_superiorOlivaryComplex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_superiorOlivaryComplexPeriolivaryRegion"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_superiorOlivaryComplexMedialPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_superiorOlivaryComplexLateralPart"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_ponsMotorRelated"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_barringtonsNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_dorsalTegmentalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_lateralTegmentalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_posterodorsalTegmentalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_pontineCentralGray"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_pontineGray"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_pontineReticularNucleusCaudalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_pontineReticularNucleusVentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_supragenualNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_superiorSalivatoryNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_supratrigeminalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_tegmentalReticularNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_motorNucleusOfTrigeminal"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_peritrigeminalZone"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_accessoryTrigeminalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_parvicellularMotor5Nucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_intertrigeminalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_ponsBehavioralStateRelated"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_superiorCentralNucleusRaphe"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_superiorCentralNucleusRapheLateralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_superiorCentralNucleusRapheMedialPart"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_locusCeruleus"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_laterodorsalTegmentalNucleus"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_nucleusIncertus"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_pontineReticularNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_nucleusRaphePontis"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_subceruleusNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_sublaterodorsalNucleus"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_medulla"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_medullaSensoryRelated"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_areaPostrema"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_cochlearNuclei"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_granularLaminaOfTheCochlearNuclei"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_cochlearNucleusSubpedunclularGranularRegion"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_dorsalCochlearNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_ventralCochlearNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_dorsalColumnNuclei"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_cuneateNucleus"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_gracileNucleus"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_externalCuneateNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_nucleusOfTheTrapezoidBody"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_nucleusOfTheSolitaryTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_nucleusOfTheSolitaryTractCentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_nucleusOfTheSolitaryTractCommissuralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_nucleusOfTheSolitaryTractGelatinousPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_nucleusOfTheSolitaryTractLateralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_nucleusOfTheSolitaryTractMedialPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_spinalNucleusOfTheTrigeminalCaudalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_spinalNucleusOfTheTrigeminalInterpolarPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_spinalNucleusOfTheTrigeminalOralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_spinalNucleusOfTheTrigeminalOralPartCaudalDorsomedialPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_spinalNucleusOfTheTrigeminalOralPartMiddleDorsomedialPartDorsalZone"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_spinalNucleusOfTheTrigeminalOralPartMiddleDorsomedialPartVentralZone"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_spinalNucleusOfTheTrigeminalOralPartRostralDorsomedialPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_spinalNucleusOfTheTrigeminalOralPartVentrolateralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_paratrigeminalNucleus"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_nucleusZ"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_medullaMotorRelated"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_abducensNucleus"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_accessoryAbducensNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_facialMotorNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_accessoryFacialMotorNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_efferentVestibularNucleus"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_nucleusAmbiguus"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_nucleusAmbiguusDorsalDivision"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_nucleusAmbiguusVentralDivision"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_dorsalMotorNucleusOfTheVagusNerve"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_efferentCochlearGroup"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_gigantocellularReticularNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_infracerebellarNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_inferiorOlivaryComplex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_intermediateReticularNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_inferiorSalivatoryNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_linearNucleusOfTheMedulla"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_lateralReticularNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_lateralReticularNucleusMagnocellularPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_lateralReticularNucleusParvicellularPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_magnocellularReticularNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_medullaryReticularNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_medullaryReticularNucleusDorsalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_medullaryReticularNucleusVentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_parvicellularReticularNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_parasolitaryNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_paragigantocellularReticularNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_paragigantocellularReticularNucleusDorsalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_paragigantocellularReticularNucleusLateralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_perihypoglossalNuclei"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_nucleusIntercalatus"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_nucleusOfRoller"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_nucleusPrepositus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_paramedianReticularNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_parapyramidalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_parapyramidalNucleusDeepPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_parapyramidalNucleusSuperficialPart"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_vestibularNuclei"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_lateralVestibularNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_medialVestibularNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_spinalVestibularNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_superiorVestibularNucleus"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_nucleusX"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_hypoglossalNucleus"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_nucleusY"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_interstitialNucleusOfTheVestibularNerve"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_medullaBehavioralStateRelated"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_nucleusRapheMagnus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_nucleusRaphePallidus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_nucleusRapheObscurus"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_cerebellum"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_cerebellarCortex"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_cerebellarCortexMolecularLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_cerebellarCortexPurkinjeLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_cerebellarCortexGranularLayer"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_vermalRegions"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_lingulaI"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_lingulaIMolecularLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_lingulaIPurkinjeLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_lingulaIGranularLayer"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_centralLobule"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_lobuleII"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_lobuleIIMolecularLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_lobuleIIPurkinjeLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_lobuleIIGranularLayer"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_lobuleIII"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_lobuleIIIMolecularLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_lobuleIIIPurkinjeLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_lobuleIIIGranularLayer"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_culmen"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_lobuleIV"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_lobuleIVMolecularLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_lobuleIVPurkinjeLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_lobuleIVGranularLayer"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_lobuleV"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_lobuleVMolecularLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_lobuleVPurkinjeLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_lobuleVGranularLayer"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_lobulesIV-V"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_lobulesIV-VMolecularLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_lobulesIV-VPurkinjeLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_lobulesIV-VGranularLayer"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_decliveVI"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_decliveVIMolecularLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_decliveVIPurkinjeLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_decliveVIGranularLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_foliumtuberVermisVII"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_foliumtuberVermisVIIMolecularLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_foliumtuberVermisVIIPurkinjeLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_foliumtuberVermisVIIGranularLayer"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_pyramusVIII"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_pyramusVIIIMolecularLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_pyramusVIIIPurkinjeLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_pyramusVIIIGranularLayer"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_uvulaIX"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_uvulaIXMolecularLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_uvulaIXPurkinjeLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_uvulaIXGranularLayer"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_nodulusX"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_nodulusXMolecularLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_nodulusXPurkinjeLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_nodulusXGranularLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_hemisphericRegions"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_simpleLobule"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_simpleLobuleMolecularLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_simpleLobulePurkinjeLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_simpleLobuleGranularLayer"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_ansiformLobule"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_crus1"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_crus1MolecularLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_crus1PurkinjeLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_crus1GranularLayer"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_crus2"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_crus2MolecularLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_crus2PurkinjeLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_crus2GranularLayer"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_paramedianLobule"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_paramedianLobuleMolecularLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_paramedianLobulePurkinjeLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_paramedianLobuleGranularLayer"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_copulaPyramidis"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_copulaPyramidisMolecularLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_copulaPyramidisPurkinjeLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_copulaPyramidisGranularLayer"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_paraflocculus"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_paraflocculusMolecularLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_paraflocculusPurkinjeLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_paraflocculusGranularLayer"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_flocculus"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_flocculusMolecularLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_flocculusPurkinjeLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_flocculusGranularLayer"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_cerebellarNuclei"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_fastigialNucleus"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_interposedNucleus"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_dentateNucleus"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_vestibulocerebellarNucleus"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_fiberTracts"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_cranialNerves"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_terminalNerve"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_vomeronasalNerve"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_olfactoryNerve"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_olfactoryNerveLayerOfMainOlfactoryBulb"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_lateralOlfactoryTractGeneral"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_lateralOlfactoryTractBody"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_dorsalLimb"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_accessoryOlfactoryTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anteriorCommissureOlfactoryLimb"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_opticNerve"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_accessoryOpticTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_brachiumOfTheSuperiorColliculus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_superiorColliculusCommissure"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_opticChiasm"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_opticTract"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_tectothalamicPathway"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_oculomotorNerve"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_medialLongitudinalFascicle"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_posteriorCommissure"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_trochlearNerve"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_trochlearNerveDecussation"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_abducensNerve"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_trigeminalNerve"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_motorRootOfTheTrigeminalNerve"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_sensoryRootOfTheTrigeminalNerve"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_midbrainTractOfTheTrigeminalNerve"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_spinalTractOfTheTrigeminalNerve"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_facialNerve"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_intermediateNerve"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_genuOfTheFacialNerve"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_vestibulocochlearNerve"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_efferentCochleovestibularBundle"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_vestibularNerve"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_cochlearNerve"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_trapezoidBody"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_intermediateAcousticStria"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_dorsalAcousticStria"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_lateralLemniscus"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_inferiorColliculusCommissure"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_brachiumOfTheInferiorColliculus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_glossopharyngealNerve"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_vagusNerve"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_solitaryTract"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_accessorySpinalNerve"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_hypoglossalNerve"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_ventralRoots"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_dorsalRoots"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_cervicothalamicTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_dorsolateralFascicle"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_dorsalCommissureOfTheSpinalCord"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_ventralCommissureOfTheSpinalCord"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_fasciculusProprius"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_dorsalColumn"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_cuneateFascicle"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_gracileFascicle"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_internalArcuateFibers"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_medialLemniscus"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_spinothalamicTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_lateralSpinothalamicTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_ventralSpinothalamicTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_spinocervicalTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_spinoolivaryPathway"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_spinoreticularPathway"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_spinovestibularPathway"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_spinotectalPathway"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_spinohypothalamicPathway"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_spinotelenchephalicPathway"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_hypothalamohypophysialTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_cerebellumRelatedFiberTracts"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_cerebellarCommissure"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_cerebellarPeduncles"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_superiorCerebelarPeduncles"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_superiorCerebellarPeduncleDecussation"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_spinocerebellarTract"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_uncinateFascicle"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_ventralSpinocerebellarTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_middleCerebellarPeduncle"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_inferiorCerebellarPeduncle"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_dorsalSpinocerebellarTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_cuneocerebellarTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_juxtarestiformBody"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_bulbocerebellarTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_olivocerebellarTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_reticulocerebellarTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_trigeminocerebellarTract"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_arborVitae"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_supracallosalCerebralWhiteMatter"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_lateralForebrainBundleSystem"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_corpusCallosum"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_corpusCallosumAnteriorForceps"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_externalCapsule"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_corpusCallosumExtremeCapsule"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_genuOfCorpusCallosum"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_corpusCallosumPosteriorForceps"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_corpusCallosumRostrum"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_corpusCallosumBody"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_corpusCallosumSplenium"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_corticospinalTract"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_internalCapsule"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_cerebalPeduncle"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_corticotectalTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_corticorubralTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_corticopontineTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_corticobulbarTract"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_pyramid"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_pyramidalDecussation"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_corticospinalTractCrossed"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_corticospinalTractUncrossed"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_thalamusRelated"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_externalMedullaryLaminaOfTheThalamus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_internalMedullaryLaminaOfTheThalamus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_middleThalamicCommissure"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_thalamicPeduncles"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_opticRadiation"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_auditoryRadiation"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_extrapyramidalFiberSystems"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_cerebralNucleiRelated"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_pallidothalamicPathway"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_nigrostriatalTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_nigrothalamicFibers"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_pallidotegmentalFascicle"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_striatonigralPathway"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_subthalamicFascicle"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_tectospinalPathway"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_directTectospinalPathway"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_doralTegmentalDecussation"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_crossedTectospinalPathway"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_rubrospinalTract"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_ventralTegmentalDecussation"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_rubroreticularTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_centralTegmentalBundle"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_retriculospinalTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_retriculospinalTractLateralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_retriculospinalTractMedialPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_vestibulospinalPathway"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_medialForebrainBundleSystem"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_cerebrumRelated"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_amygdalarCapsule"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_ansaPeduncularis"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anteriorCommissureTemporalLimb"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_cingulumBundle"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_fornixSystem"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_alveus"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_dorsalFornix"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_fimbria"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_precommissuralFornixGeneral"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_precommissuralFornixDiagonalBand"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_postcommissuralFornix"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_medialCorticohypothalamicTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_columnsOfTheFornix"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_hippocampalCommissures"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_dorsalHippocampalCommissure"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_ventralHippocampalCommissure"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_perforantPath"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_angularPath"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_longitudinalAssociationBundle"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_striaTerminalis"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_commissuralBranchOfStriaTerminalis"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_hypothalamusRelated"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_medialForebrainBundle"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_ventrolateralHypothalamicTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_preopticCommissure"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_supraopticCommissures"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_supraopticCommissuresAnterior"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_supraopticCommissuresDorsal"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_supraopticCommissuresVentral"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_premammillaryCommissure"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_supramammillaryDecussation"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_propriohypothalamicPathways"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_propriohypothalamicPathwaysDorsal"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_propriohypothalamicPathwaysLateral"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_propriohypothalamicPathwaysMedial"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_propriohypothalamicPathwaysVentral"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_periventricularBundleOfTheHypothalamus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_mammillaryRelated"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_principalMammillaryTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_mammillothalamicTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_mammillotegmentalTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_mammillaryPeduncle"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_dorsalThalamusRelated"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_periventricularBundleOfTheThalamus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_epithalamusRelated"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_striaMedullaris"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_fasciculusRetroflexus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_habenularCommissure"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_pinealStalk"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_midbrainRelated"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_dorsalLongitudinalFascicle"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_dorsalTegmentalTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_ventricularSystems"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_lateralVentricle"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_rhinocele"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_subependymalZone"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_choroidPlexus"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_choroidFissure"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_interventricularForamen"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_thirdVentricle"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_cerebralAqueduct"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_fourthVentricle"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_lateralRecess"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_centralCanalSpinalCordmedulla"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_grooves"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_groovesOfTheCerebralCortex"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_endorhinalGroove"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_hippocampalFissure"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_rhinalFissure"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_rhinalIncisure"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_groovesOfTheCerebellarCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_precentralFissure"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_preculminateFissure"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primaryFissure"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_posteriorSuperiorFissure"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_prepyramidalFissure"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_secondaryFissure"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_posterolateralFissure"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_nodularFissure"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_simpleFissure"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_intercruralFissure"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_ansoparamedianFissure"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_intraparafloccularFissure"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_paramedianSulcus"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_parafloccularSulcus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_interpeduncularFossa"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/AMBA_CCFv3-2017_retina"},
        ],
        "ontologyIdentifier": None,
    },
    short_name="Allen Mouse Brain Atlas",
    type={"@id": "https://openminds.om-i.org/instances/atlasType/deterministicAtlas"},
    version_identifier="CCFv3, 2017",
)
BrainAtlasVersion.ba_human_1909 = BrainAtlasVersion(
    id="https://openminds.om-i.org/instances/brainAtlasVersion/BA-human_1909",
    abbreviation="BA-human",
    accessibility={"@id": "https://openminds.om-i.org/instances/productAccessibility/freeAccess"},
    full_name="Brodmann Cortical Parcellation Scheme (human)",
    has_terminology={
        "@type": "https://openminds.om-i.org/types/ParcellationTerminologyVersion",
        "dataLocation": None,
        "hasEntity": [
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/BA-human_1909_BA1"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/BA-human_1909_BA2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/BA-human_1909_BA3"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/BA-human_1909_BA4"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/BA-human_1909_BA5"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/BA-human_1909_BA6"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/BA-human_1909_BA7"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/BA-human_1909_BA8"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/BA-human_1909_BA8a"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/BA-human_1909_BA9"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/BA-human_1909_BA10"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/BA-human_1909_BA11"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/BA-human_1909_BA12"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/BA-human_1909_BA13"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/BA-human_1909_BA14"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/BA-human_1909_BA15"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/BA-human_1909_BA16"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/BA-human_1909_BA17"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/BA-human_1909_BA18"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/BA-human_1909_BA19"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/BA-human_1909_BA20"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/BA-human_1909_BA21"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/BA-human_1909_BA22"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/BA-human_1909_BA23"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/BA-human_1909_BA24"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/BA-human_1909_BA25"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/BA-human_1909_BA26"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/BA-human_1909_BA27"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/BA-human_1909_BA28"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/BA-human_1909_BA29"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/BA-human_1909_BA30"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/BA-human_1909_BA31"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/BA-human_1909_BA32"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/BA-human_1909_BA33"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/BA-human_1909_BA34"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/BA-human_1909_BA35"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/BA-human_1909_BA36"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/BA-human_1909_BA37"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/BA-human_1909_BA38"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/BA-human_1909_BA39"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/BA-human_1909_BA40"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/BA-human_1909_BA41"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/BA-human_1909_BA42"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/BA-human_1909_BA43"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/BA-human_1909_BA44"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/BA-human_1909_BA45"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/BA-human_1909_BA46"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/BA-human_1909_BA47"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/BA-human_1909_BA48"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/BA-human_1909_BA52"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/BA-human_1909_cerebralCortex"},
        ],
        "ontologyIdentifier": None,
    },
    ontology_identifier=IRI("http://uri.interlex.org/base/ilx_0101468"),
    short_name="Brodmann Areas (human)",
    type={"@id": "https://openminds.om-i.org/instances/atlasType/parcellationScheme"},
    version_identifier="1909",
    version_innovation="This is the second released version of the human Brodmann cortical parcellation scheme.",
)
BrainAtlasVersion.dwma_2018 = BrainAtlasVersion(
    id="https://openminds.om-i.org/instances/brainAtlasVersion/DWMA_2018",
    abbreviation="DWMA",
    accessibility={"@id": "https://openminds.om-i.org/instances/productAccessibility/freeAccess"},
    coordinate_space={
        "@id": "https://openminds.om-i.org/instances/commonCoordinateSpaceVersion/MNI-ICBM152_nonlinear-2009c-asym"
    },
    full_name="Atlas of Deep White Matter Fibre Bundles",
    has_terminology={
        "@type": "https://openminds.om-i.org/types/ParcellationTerminologyVersion",
        "dataLocation": None,
        "hasEntity": [
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/DWMA_2018_anteriorSegementOfArcuateFasciculus"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/DWMA_2018_corticospinalTract"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/DWMA_2018_directSegementOfArcuateFasciculus"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/DWMA_2018_fornix"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/DWMA_2018_inferiorFronto-occipitalFasciculus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/DWMA_2018_inferiorLongitudinalFasciculus"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/DWMA_2018_longCingulateFibres"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/DWMA_2018_posteriorSegementOfArcuateFasciculus"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/DWMA_2018_shortCingulateFibres"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/DWMA_2018_temporalCingulateFibres"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/DWMA_2018_uncinateFasciculus"},
        ],
        "ontologyIdentifier": None,
    },
    license={"@id": "https://openminds.om-i.org/instances/licenses/ccByNcSa4.0"},
    short_name="Deep White Matter Atlas",
    version_identifier="2018",
    version_innovation="This is the first released version of this brain atlas.",
)
BrainAtlasVersion.jba_v1_13__colin27 = BrainAtlasVersion(
    id="https://openminds.om-i.org/instances/brainAtlasVersion/JBA_v1.13-Colin27",
    abbreviation="JBA",
    accessibility={"@id": "https://openminds.om-i.org/instances/productAccessibility/freeAccess"},
    coordinate_space={"@id": "https://openminds.om-i.org/instances/commonCoordinateSpace/MNI-Colin27_1998"},
    full_name="Julich-Brain Cytoarchitectonic Atlas",
    has_terminology={
        "@type": "https://openminds.om-i.org/types/ParcellationTerminologyVersion",
        "dataLocation": None,
        "hasEntity": [
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-1_PM-v8.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-2_PM-v3.2"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-25_PM-v16.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-33_PM-v16.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-3a_PM-v8.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-3b_PM-v8.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-44_PM-v7.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-45_PM-v7.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-4a_PM-v9.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-4p_PM-v9.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-5Ci_PM-v8.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-5L_PM-v8.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-5M_PM-v8.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-7A_PM-v8.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-7M_PM-v8.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-7P_PM-v8.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-7PC_PM-v8.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-FG1_PM-v1.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-FG2_PM-v1.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-FG3_PM-v6.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-FG4_PM-v6.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-Fo1_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-Fo2_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-Fo3_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-Fp1_PM-v2.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-Fp2_PM-v2.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-Id1_PM-v11.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-Ig1_PM-v11.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-Ig2_PM-v11.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-OP1_PM-v9.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-OP2_PM-v9.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-OP3_PM-v9.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-OP4_PM-v9.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-PF_PM-v9.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-PFcm_PM-v9.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-PFm_PM-v9.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-PFop_PM-v9.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-PFt_PM-v9.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-PGa_PM-v9.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-PGp_PM-v9.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-TE-1.0_PM-v5.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-TE-1.1_PM-v5.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-TE-1.2_PM-v5.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-TE-3_PM-v5.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-hIP1_PM-v6.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-hIP2_PM-v6.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-hIP3_PM-v8.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-hOc1_PM-v2.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-hOc2_PM-v2.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-hOc3d_PM-v2.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-hOc3v_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-hOc4d_PM-v2.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-hOc4la_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-hOc4lp_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-hOc4v_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-hOc5_PM-v2.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-s24_PM-v16.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-s32_PM-v16.0"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.13-Colin27_CA1_PM-v11b.0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.13-Colin27_CA2_PM-v11b.0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.13-Colin27_CA3_PM-v11b.0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.13-Colin27_CM_PM-v6.1"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Ch-123_PM-v4.0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Ch-4_PM-v4.0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.13-Colin27_DG_PM-v11b.0"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Dorsal-Dentate-Nucleus_PM-v6.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Entorhinal-Cortex_PM-v11b.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Fastigial-Nucleus_PM-v6.0"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.13-Colin27_HATA_PM-v11b.0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.13-Colin27_IF_PM-v6.1"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Interposed-Nucleus_PM-v6.0"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.13-Colin27_LB_PM-v6.1"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.13-Colin27_MF_PM-v6.1"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.13-Colin27_SF_PM-v6.1"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Subiculum_PM-v11b.0"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.13-Colin27_VTM_PM-v6.1"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Ventral-Dentate-Nucleus_PM-v6.0"
            },
        ],
        "ontologyIdentifier": None,
    },
    homepage=IRI("https://julich-brain-atlas.de/"),
    how_to_cite="Please refer to the atlas by its [RRID:SCR_023277](https://scicrunch.org/resolver/SCR_023277), and cite the following publications: [Amunts and Zilles (2015)](https://doi.org/10.1016/j.neuron.2015.12.001); [Amunts et al. (2020)](https://doi.org/10.1126/science.abb4588), [Amunts et al. (2019)](https://doi.org/10.25493/Q3ZS-NV6).",
    license={"@id": "https://openminds.om-i.org/instances/licenses/ccByNcSa4.0"},
    major_version_identifier="v1.13",
    short_name="Julich-Brain Atlas",
    support_channels=["julich-brain@fz-juelich.de"],
    type={"@id": "https://openminds.om-i.org/instances/atlasType/probabilisticAtlas"},
    version_identifier="v1.13, Colin27",
    version_innovation="This is the first release of the Julich-Brain Atlas using the common coordinate space Colin27 (1998).",
)
BrainAtlasVersion.jba_v1_18__colin27 = BrainAtlasVersion(
    id="https://openminds.om-i.org/instances/brainAtlasVersion/JBA_v1.18-Colin27",
    abbreviation="JBA",
    accessibility={"@id": "https://openminds.om-i.org/instances/productAccessibility/freeAccess"},
    coordinate_space={"@id": "https://openminds.om-i.org/instances/commonCoordinateSpaceVersion/MNI-Colin27_1998"},
    full_name="Julich-Brain Cytoarchitectonic Atlas",
    has_terminology={
        "@type": "https://openminds.om-i.org/types/ParcellationTerminologyVersion",
        "dataLocation": None,
        "hasEntity": [
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-1_PM-v8.4"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-2_PM-v3.4"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-25_PM-v16.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-33_PM-v16.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-3a_PM-v8.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-3b_PM-v8.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-44_PM-v7.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-45_PM-v7.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-4a_PM-v9.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-4p_PM-v9.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-5Ci_PM-v8.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-5L_PM-v8.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-5M_PM-v8.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-6d1_PM-v4.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-6d2_PM-v4.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-6d3_PM-v4.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-6ma_PM-v9.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-6mp_PM-v9.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-7A_PM-v8.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-7M_PM-v8.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-7P_PM-v8.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-7PC_PM-v8.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-FG1_PM-v1.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-FG2_PM-v1.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-FG3_PM-v6.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-FG4_PM-v6.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-Fo1_PM-v3.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-Fo2_PM-v3.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-Fo3_PM-v3.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-Fo4_PM-v2.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-Fo5_PM-v2.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-Fo6_PM-v2.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-Fo7_PM-v2.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-Fp1_PM-v2.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-Fp2_PM-v2.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-Ia_PM-v3.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-Id1_PM-v13.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-Id2_PM-v7.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-Id3_PM-v7.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-Id4_PM-v3.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-Id5_PM-v3.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-Id6_PM-v3.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-Id7_PM-v6.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-Ig1_PM-v13.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-Ig2_PM-v13.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-Ig3_PM-v3.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-OP1_PM-v9.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-OP2_PM-v9.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-OP3_PM-v9.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-OP4_PM-v9.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-OP8_PM-v5.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-OP9_PM-v5.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-PF_PM-v9.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-PFcm_PM-v9.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-PFm_PM-v9.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-PFop_PM-v9.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-PFt_PM-v9.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-PGa_PM-v9.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-PGp_PM-v9.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-STS1_PM-v3.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-STS2_PM-v3.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-TE-1.0_PM-v5.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-TE-1.1_PM-v5.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-TE-1.2_PM-v5.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-TE-3_PM-v5.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-hIP1_PM-v6.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-hIP2_PM-v6.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-hIP3_PM-v8.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-hIP4_PM-v7.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-hIP5_PM-v7.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-hIP6_PM-v7.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-hIP7_PM-v7.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-hIP8_PM-v7.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-hOc1_PM-v2.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-hOc2_PM-v2.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-hOc3d_PM-v2.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-hOc3v_PM-v3.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-hOc4d_PM-v2.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-hOc4la_PM-v3.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-hOc4lp_PM-v3.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-hOc4v_PM-v3.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-hOc5_PM-v2.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-hOc6_PM-v7.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-hPO1_PM-v7.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-p24ab_PM-v16.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-p24c_PM-v16.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-p32_PM-v16.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-s24_PM-v16.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-s32_PM-v16.1"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-Colin27_CA_PM-v11.1"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-Colin27_CM_PM-v6.4"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Ch-123_PM-v4.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Ch-4_PM-v4.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-Colin27_DG_PM-v11.1"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Dorsal-Dentate-Nucleus_PM-v6.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Entorhinal-Cortex_PM-v11.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Fastigial-Nucleus_PM-v6.2"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-Colin27_HATA_PM-v11.1"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-Colin27_IF_PM-v6.4"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Interposed-Nucleus_PM-v6.2"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-Colin27_LB_PM-v6.4"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-Colin27_MF_PM-v6.4"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-Colin27_SF_PM-v6.4"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Subiculum_PM-v11.1"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-Colin27_VTM_PM-v6.4"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Ventral-Dentate-Nucleus_PM-v6.2"
            },
        ],
        "ontologyIdentifier": None,
    },
    homepage=IRI("https://julich-brain-atlas.de/"),
    how_to_cite="Please refer to the atlas by its [RRID:SCR_023277](https://scicrunch.org/resolver/SCR_023277), and cite the following publications: [Amunts and Zilles (2015)](https://doi.org/10.1016/j.neuron.2015.12.001); [Amunts et al. (2020)](https://doi.org/10.1126/science.abb4588), [Amunts et al. (2019)](https://doi.org/10.25493/8EGG-ZAR).",
    is_alternative_version_of=[{"@id": "https://openminds.om-i.org/instances/brainAtlasVersion/JBA_v1.18-MNI152"}],
    is_new_version_of={"@id": "https://openminds.om-i.org/instances/brainAtlasVersion/JBA_v1.13-Colin27"},
    license={"@id": "https://openminds.om-i.org/instances/licenses/ccByNcSa4.0"},
    major_version_identifier="v1.18",
    short_name="Julich-Brain Atlas",
    support_channels=["julich-brain@fz-juelich.de"],
    type={"@id": "https://openminds.om-i.org/instances/atlasType/probabilisticAtlas"},
    version_identifier="v1.18, Colin27",
)
BrainAtlasVersion.jba_v1_18_mni152 = BrainAtlasVersion(
    id="https://openminds.om-i.org/instances/brainAtlasVersion/JBA_v1.18-MNI152",
    abbreviation="JBA",
    accessibility={"@id": "https://openminds.om-i.org/instances/productAccessibility/freeAccess"},
    coordinate_space={
        "@id": "https://openminds.om-i.org/instances/commonCoordinateSpaceVersion/MNI-ICBM152_nonlinear-2009c-asym"
    },
    full_name="Julich-Brain Cytoarchitectonic Atlas",
    has_terminology={
        "@type": "https://openminds.om-i.org/types/ParcellationTerminologyVersion",
        "dataLocation": None,
        "hasEntity": [
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-1_PM-v8.4"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-2_PM-v3.4"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-25_PM-v16.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-33_PM-v16.1"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-3a_PM-v8.4"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-3b_PM-v8.4"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-44_PM-v7.4"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-45_PM-v7.4"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-4a_PM-v9.4"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-4p_PM-v9.4"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-5Ci_PM-v8.4"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-5L_PM-v8.4"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-5M_PM-v8.4"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-6d1_PM-v4.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-6d2_PM-v4.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-6d3_PM-v4.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-6ma_PM-v9.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-6mp_PM-v9.1"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-7A_PM-v8.4"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-7M_PM-v8.4"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-7P_PM-v8.4"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-7PC_PM-v8.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-FG1_PM-v1.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-FG2_PM-v1.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-FG3_PM-v6.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-FG4_PM-v6.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-Fo1_PM-v3.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-Fo2_PM-v3.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-Fo3_PM-v3.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-Fo4_PM-v2.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-Fo5_PM-v2.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-Fo6_PM-v2.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-Fo7_PM-v2.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-Fp1_PM-v2.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-Fp2_PM-v2.4"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-Ia_PM-v3.1"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-Id1_PM-v13.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-Id2_PM-v7.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-Id3_PM-v7.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-Id4_PM-v3.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-Id5_PM-v3.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-Id6_PM-v3.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-Id7_PM-v6.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-Ig1_PM-v13.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-Ig2_PM-v13.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-Ig3_PM-v3.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-OP1_PM-v9.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-OP2_PM-v9.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-OP3_PM-v9.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-OP4_PM-v9.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-OP8_PM-v5.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-OP9_PM-v5.1"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-PF_PM-v9.4"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-PFcm_PM-v9.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-PFm_PM-v9.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-PFop_PM-v9.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-PFt_PM-v9.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-PGa_PM-v9.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-PGp_PM-v9.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-STS1_PM-v3.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-STS2_PM-v3.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-TE-1.0_PM-v5.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-TE-1.1_PM-v5.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-TE-1.2_PM-v5.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-TE-3_PM-v5.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-hIP1_PM-v6.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-hIP2_PM-v6.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-hIP3_PM-v8.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-hIP4_PM-v7.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-hIP5_PM-v7.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-hIP6_PM-v7.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-hIP7_PM-v7.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-hIP8_PM-v7.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-hOc1_PM-v2.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-hOc2_PM-v2.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-hOc3d_PM-v2.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-hOc3v_PM-v3.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-hOc4d_PM-v2.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-hOc4la_PM-v3.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-hOc4lp_PM-v3.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-hOc4v_PM-v3.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-hOc5_PM-v2.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-hOc6_PM-v7.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-hPO1_PM-v7.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-p24ab_PM-v16.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-p24c_PM-v16.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-p32_PM-v16.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-s24_PM-v16.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-s32_PM-v16.1"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-MNI152_CA_PM-v11.1"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-MNI152_CM_PM-v6.4"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Ch-123_PM-v4.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Ch-4_PM-v4.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-MNI152_DG_PM-v11.1"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Dorsal-Dentate-Nucleus_PM-v6.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Entorhinal-Cortex_PM-v11.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Fastigial-Nucleus_PM-v6.2"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-MNI152_HATA_PM-v11.1"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-MNI152_IF_PM-v6.4"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Interposed-Nucleus_PM-v6.2"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-MNI152_LB_PM-v6.4"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-MNI152_MF_PM-v6.4"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-MNI152_SF_PM-v6.4"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Subiculum_PM-v11.1"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-MNI152_VTM_PM-v6.4"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Ventral-Dentate-Nucleus_PM-v6.2"
            },
        ],
        "ontologyIdentifier": None,
    },
    homepage=IRI("https://julich-brain-atlas.de/"),
    how_to_cite="Please refer to the atlas by its [RRID:SCR_023277](https://scicrunch.org/resolver/SCR_023277), and cite the following publications: [Amunts and Zilles (2015)](https://doi.org/10.1016/j.neuron.2015.12.001); [Amunts et al. (2020)](https://doi.org/10.1126/science.abb4588), [Amunts et al. (2019)](https://doi.org/10.25493/8EGG-ZAR).",
    is_alternative_version_of=[{"@id": "https://openminds.om-i.org/instances/brainAtlasVersion/JBA_v1.18-Colin27"}],
    license={"@id": "https://openminds.om-i.org/instances/licenses/ccByNcSa4.0"},
    major_version_identifier="v1.18",
    short_name="Julich-Brain Atlas",
    support_channels=["julich-brain@fz-juelich.de"],
    type={"@id": "https://openminds.om-i.org/instances/atlasType/probabilisticAtlas"},
    version_identifier="v1.18, MNI152",
    version_innovation="This is the first release of the Julich-Brain Atlas using the common coordinate space MNI ICBM152 (2009c Nonlinear Asymmetric).",
)
BrainAtlasVersion.jba_v2_2__colin27 = BrainAtlasVersion(
    id="https://openminds.om-i.org/instances/brainAtlasVersion/JBA_v2.2-Colin27",
    abbreviation="JBA",
    accessibility={"@id": "https://openminds.om-i.org/instances/productAccessibility/freeAccess"},
    coordinate_space={"@id": "https://openminds.om-i.org/instances/commonCoordinateSpaceVersion/MNI-Colin27_1998"},
    full_name="Julich-Brain Cytoarchitectonic Atlas",
    has_terminology={
        "@type": "https://openminds.om-i.org/types/ParcellationTerminologyVersion",
        "dataLocation": None,
        "hasEntity": [
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-1_PM-v8.4"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-2_PM-v3.4"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-25_PM-v16.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-33_PM-v16.1"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-3a_PM-v8.4"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-3b_PM-v8.4"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-44_PM-v7.4"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-45_PM-v7.4"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-4a_PM-v9.4"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-4p_PM-v9.4"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-5Ci_PM-v8.4"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-5L_PM-v8.4"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-5M_PM-v8.4"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-6d1_PM-v4.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-6d2_PM-v4.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-6d3_PM-v4.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-6ma_PM-v9.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-6mp_PM-v9.1"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-7A_PM-v8.4"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-7P_PM-v8.4"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-7PC_PM-v8.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-FG1_PM-v1.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-FG2_PM-v1.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-FG3_PM-v6.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-FG4_PM-v6.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-Fo1_PM-v3.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-Fo2_PM-v3.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-Fo3_PM-v3.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-Fo4_PM-v2.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-Fo5_PM-v2.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-Fo6_PM-v2.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-Fo7_PM-v2.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-Fp1_PM-v2.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-Fp2_PM-v2.4"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-Ia_PM-v3.1"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-Id1_PM-v13.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-Id2_PM-v7.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-Id3_PM-v7.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-Id4_PM-v3.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-Id5_PM-v3.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-Id6_PM-v3.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-Id7_PM-v6.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-Ig1_PM-v13.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-Ig2_PM-v13.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-Ig3_PM-v3.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-OP1_PM-v11.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-OP2_PM-v11.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-OP3_PM-v11.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-OP4_PM-v11.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-OP5_PM-v2.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-OP6_PM-v2.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-OP7_PM-v2.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-OP8_PM-v5.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-OP9_PM-v5.1"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-PF_PM-v9.4"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-PFcm_PM-v9.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-PFm_PM-v9.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-PFop_PM-v9.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-PFt_PM-v9.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-PGa_PM-v9.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-PGp_PM-v9.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-STS1_PM-v3.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-STS2_PM-v3.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-TE-1.0_PM-v5.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-TE-1.1_PM-v5.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-TE-1.2_PM-v5.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-TE-2.1_PM-v5.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-TE-2.2_PM-v5.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-TE-3_PM-v5.1"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-TI_PM-v5.1"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-TeI_PM-v5.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-a29_PM-v11.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-a30_PM-v11.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-hIP1_PM-v6.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-hIP2_PM-v6.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-hIP3_PM-v8.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-hIP4_PM-v7.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-hIP5_PM-v7.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-hIP6_PM-v7.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-hIP7_PM-v7.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-hIP8_PM-v7.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-hOc1_PM-v2.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-hOc2_PM-v2.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-hOc3d_PM-v2.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-hOc3v_PM-v3.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-hOc4d_PM-v2.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-hOc4la_PM-v3.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-hOc4lp_PM-v3.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-hOc4v_PM-v3.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-hOc5_PM-v2.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-hOc6_PM-v7.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-hPO1_PM-v7.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-i29_PM-v11.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-i30_PM-v11.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-p24ab_PM-v16.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-p24c_PM-v16.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-p29_PM-v11.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-p30_PM-v11.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-p32_PM-v16.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-s24_PM-v16.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-s32_PM-v16.1"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-Colin27_CA1_PM-v11.1"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-Colin27_CA2_PM-v11.1"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-Colin27_CA3_PM-v11.1"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-Colin27_CM_PM-v6.4"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Ch-123_PM-v4.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Ch-4_PM-v4.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-Colin27_DG_PM-v11.1"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Dorsal-Dentate-Nucleus_PM-v6.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Entorhinal-Cortex_PM-v11.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Fastigial-Nucleus_PM-v6.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Frontal-I_PM-v9.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Frontal-II_PM-v9.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Frontal-to-Occipital_PM-v9.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Frontal-to-Temporal_PM-v9.0"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-Colin27_HATA_PM-v11.1"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-Colin27_IF_PM-v6.4"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Interposed-Nucleus_PM-v6.2"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-Colin27_LB_PM-v6.4"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-Colin27_MF_PM-v6.4"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-Colin27_SF_PM-v6.4"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Subiculum_PM-v11.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Temporal-to-Parietal_PM-v9.0"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-Colin27_VTM_PM-v6.4"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Ventral-Dentate-Nucleus_PM-v6.2"
            },
        ],
        "ontologyIdentifier": None,
    },
    homepage=IRI("https://julich-brain-atlas.de/"),
    how_to_cite="Please refer to the atlas by its [RRID:SCR_023277](https://scicrunch.org/resolver/SCR_023277), and cite the following publications: [Amunts and Zilles (2015)](https://doi.org/10.1016/j.neuron.2015.12.001); [Amunts et al. (2020)](https://doi.org/10.1126/science.abb4588), [Amunts et al. (2020)](https://doi.org/10.25493/TAKY-64D).",
    is_alternative_version_of=[{"@id": "https://openminds.om-i.org/instances/brainAtlasVersion/JBA_v2.2-MNI152"}],
    is_new_version_of={"@id": "https://openminds.om-i.org/instances/brainAtlasVersion/JBA_v1.18-Colin27"},
    license={"@id": "https://openminds.om-i.org/instances/licenses/ccByNcSa4.0"},
    major_version_identifier="v2.2",
    short_name="Julich-Brain Atlas",
    support_channels=["julich-brain@fz-juelich.de"],
    type={"@id": "https://openminds.om-i.org/instances/atlasType/probabilisticAtlas"},
    version_identifier="v2.2, Colin27",
)
BrainAtlasVersion.jba_v2_2_mni152 = BrainAtlasVersion(
    id="https://openminds.om-i.org/instances/brainAtlasVersion/JBA_v2.2-MNI152",
    abbreviation="JBA",
    accessibility={"@id": "https://openminds.om-i.org/instances/productAccessibility/freeAccess"},
    coordinate_space={
        "@id": "https://openminds.om-i.org/instances/commonCoordinateSpaceVersion/MNI-ICBM152_nonlinear-2009c-asym"
    },
    full_name="Julich-Brain Cytoarchitectonic Atlas",
    has_terminology={
        "@type": "https://openminds.om-i.org/types/ParcellationTerminologyVersion",
        "dataLocation": None,
        "hasEntity": [
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-1_PM-v8.4"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-2_PM-v3.4"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-25_PM-v16.1"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-33_PM-v16.1"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-3a_PM-v8.4"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-3b_PM-v8.4"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-44_PM-v7.4"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-45_PM-v7.4"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-4a_PM-v9.4"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-4p_PM-v9.4"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-5Ci_PM-v8.4"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-5L_PM-v8.4"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-5M_PM-v8.4"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-6d1_PM-v4.1"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-6d2_PM-v4.1"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-6d3_PM-v4.1"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-6ma_PM-v9.1"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-6mp_PM-v9.1"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-7A_PM-v8.4"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-7P_PM-v8.4"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-7PC_PM-v8.4"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-FG1_PM-v1.4"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-FG2_PM-v1.4"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-FG3_PM-v6.1"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-FG4_PM-v6.1"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-Fo1_PM-v3.4"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-Fo2_PM-v3.4"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-Fo3_PM-v3.4"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-Fo4_PM-v2.1"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-Fo5_PM-v2.1"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-Fo6_PM-v2.1"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-Fo7_PM-v2.1"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-Fp1_PM-v2.4"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-Fp2_PM-v2.4"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-Ia_PM-v3.1"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-Id1_PM-v13.1"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-Id2_PM-v7.1"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-Id3_PM-v7.1"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-Id4_PM-v3.1"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-Id5_PM-v3.1"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-Id6_PM-v3.1"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-Id7_PM-v6.1"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-Ig1_PM-v13.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-Ig2_PM-v13.1"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-Ig3_PM-v3.1"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-OP1_PM-v11.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-OP2_PM-v11.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-OP3_PM-v11.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-OP4_PM-v11.0"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-OP5_PM-v2.0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-OP6_PM-v2.0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-OP7_PM-v2.0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-OP8_PM-v5.1"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-OP9_PM-v5.1"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-PF_PM-v9.4"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-PFcm_PM-v9.4"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-PFm_PM-v9.4"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-PFop_PM-v9.4"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-PFt_PM-v9.4"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-PGa_PM-v9.4"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-PGp_PM-v9.4"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-STS1_PM-v3.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-STS2_PM-v3.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-TE-1.0_PM-v5.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-TE-1.1_PM-v5.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-TE-1.2_PM-v5.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-TE-2.1_PM-v5.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-TE-2.2_PM-v5.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-TE-3_PM-v5.1"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-TI_PM-v5.1"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-TeI_PM-v5.1"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-a29_PM-v11.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-a30_PM-v11.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-hIP1_PM-v6.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-hIP2_PM-v6.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-hIP3_PM-v8.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-hIP4_PM-v7.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-hIP5_PM-v7.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-hIP6_PM-v7.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-hIP7_PM-v7.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-hIP8_PM-v7.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-hOc1_PM-v2.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-hOc2_PM-v2.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-hOc3d_PM-v2.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-hOc3v_PM-v3.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-hOc4d_PM-v2.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-hOc4la_PM-v3.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-hOc4lp_PM-v3.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-hOc4v_PM-v3.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-hOc5_PM-v2.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-hOc6_PM-v7.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-hPO1_PM-v7.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-i29_PM-v11.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-i30_PM-v11.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-p24ab_PM-v16.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-p24c_PM-v16.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-p29_PM-v11.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-p30_PM-v11.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-p32_PM-v16.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-s24_PM-v16.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-s32_PM-v16.1"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-MNI152_CA1_PM-v11.1"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-MNI152_CA2_PM-v11.1"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-MNI152_CA3_PM-v11.1"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-MNI152_CM_PM-v6.4"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Ch-123_PM-v4.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Ch-4_PM-v4.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-MNI152_DG_PM-v11.1"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Dorsal-Dentate-Nucleus_PM-v6.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Entorhinal-Cortex_PM-v11.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Fastigial-Nucleus_PM-v6.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Frontal-I_PM-v9.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Frontal-II_PM-v9.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Frontal-to-Occipital_PM-v9.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Frontal-to-Temporal_PM-v9.0"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-MNI152_HATA_PM-v11.1"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-MNI152_IF_PM-v6.4"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Interposed-Nucleus_PM-v6.2"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-MNI152_LB_PM-v6.4"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-MNI152_MF_PM-v6.4"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-MNI152_SF_PM-v6.4"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Subiculum_PM-v11.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Temporal-to-Parietal_PM-v9.0"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-MNI152_VTM_PM-v6.4"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Ventral-Dentate-Nucleus_PM-v6.2"
            },
        ],
        "ontologyIdentifier": None,
    },
    homepage=IRI("https://julich-brain-atlas.de/"),
    how_to_cite="Please refer to the atlas by its [RRID:SCR_023277](https://scicrunch.org/resolver/SCR_023277), and cite the following publications: [Amunts and Zilles (2015)](https://doi.org/10.1016/j.neuron.2015.12.001); [Amunts et al. (2020)](https://doi.org/10.1126/science.abb4588), [Amunts et al. (2020)](https://doi.org/10.25493/TAKY-64D).",
    is_alternative_version_of=[{"@id": "https://openminds.om-i.org/instances/brainAtlasVersion/JBA_v2.2-Colin27"}],
    is_new_version_of={"@id": "https://openminds.om-i.org/instances/brainAtlasVersion/JBA_v1.18-MNI152"},
    license={"@id": "https://openminds.om-i.org/instances/licenses/ccByNcSa4.0"},
    major_version_identifier="v2.2",
    short_name="Julich-Brain Atlas",
    support_channels=["julich-brain@fz-juelich.de"],
    type={"@id": "https://openminds.om-i.org/instances/atlasType/probabilisticAtlas"},
    version_identifier="v2.2, MNI152",
)
BrainAtlasVersion.jba_v2_4__colin27 = BrainAtlasVersion(
    id="https://openminds.om-i.org/instances/brainAtlasVersion/JBA_v2.4-Colin27",
    abbreviation="JBA",
    accessibility={"@id": "https://openminds.om-i.org/instances/productAccessibility/freeAccess"},
    coordinate_space={"@id": "https://openminds.om-i.org/instances/commonCoordinateSpaceVersion/MNI-Colin27_1998"},
    full_name="Julich-Brain Cytoarchitectonic Atlas",
    has_terminology={
        "@type": "https://openminds.om-i.org/types/ParcellationTerminologyVersion",
        "dataLocation": None,
        "hasEntity": [
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-1_PM-v8.4"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-2_PM-v3.4"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-25_PM-v16.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-33_PM-v16.1"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-3a_PM-v8.4"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-3b_PM-v8.4"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-44_PM-v7.4"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-45_PM-v7.4"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-4a_PM-v9.4"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-4p_PM-v9.4"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-5Ci_PM-v8.4"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-5L_PM-v8.4"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-5M_PM-v8.4"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-6d1_PM-v4.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-6d2_PM-v4.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-6d3_PM-v4.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-6ma_PM-v9.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-6mp_PM-v9.1"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-7A_PM-v8.4"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-7P_PM-v8.4"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-7PC_PM-v8.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-FG1_PM-v1.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-FG2_PM-v1.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-FG3_PM-v6.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-FG4_PM-v6.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-Fo1_PM-v3.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-Fo2_PM-v3.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-Fo3_PM-v3.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-Fo4_PM-v2.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-Fo5_PM-v2.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-Fo6_PM-v2.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-Fo7_PM-v2.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-Fp1_PM-v2.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-Fp2_PM-v2.4"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-Ia_PM-v3.1"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-Id1_PM-v13.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-Id2_PM-v7.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-Id3_PM-v7.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-Id4_PM-v3.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-Id5_PM-v3.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-Id6_PM-v3.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-Id7_PM-v6.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-Ig1_PM-v13.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-Ig2_PM-v13.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-Ig3_PM-v3.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-OP1_PM-v11.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-OP2_PM-v11.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-OP3_PM-v11.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-OP4_PM-v11.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-OP5_PM-v2.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-OP6_PM-v2.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-OP7_PM-v2.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-OP8_PM-v5.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-OP9_PM-v5.1"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-PF_PM-v9.4"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-PFcm_PM-v9.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-PFm_PM-v9.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-PFop_PM-v9.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-PFt_PM-v9.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-PGa_PM-v9.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-PGp_PM-v9.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-STS1_PM-v3.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-STS2_PM-v3.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-TE-1.0_PM-v5.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-TE-1.1_PM-v5.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-TE-1.2_PM-v5.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-TE-2.1_PM-v5.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-TE-2.2_PM-v5.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-TE-3_PM-v5.1"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-TI_PM-v5.1"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-TeI_PM-v5.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-a29_PM-v11.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-a30_PM-v11.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-hIP1_PM-v6.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-hIP2_PM-v6.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-hIP3_PM-v8.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-hIP4_PM-v7.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-hIP5_PM-v7.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-hIP6_PM-v7.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-hIP7_PM-v7.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-hIP8_PM-v7.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-hOc1_PM-v2.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-hOc2_PM-v2.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-hOc3d_PM-v2.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-hOc3v_PM-v3.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-hOc4d_PM-v2.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-hOc4la_PM-v3.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-hOc4lp_PM-v3.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-hOc4v_PM-v3.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-hOc5_PM-v2.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-hOc6_PM-v7.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-hPO1_PM-v7.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-i29_PM-v11.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-i30_PM-v11.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-p24ab_PM-v16.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-p24c_PM-v16.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-p29_PM-v11.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-p30_PM-v11.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-p32_PM-v16.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-s24_PM-v16.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-s32_PM-v16.1"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-Colin27_CA1_PM-v11.1"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-Colin27_CA2_PM-v11.1"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-Colin27_CA3_PM-v11.1"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-Colin27_CM_PM-v6.4"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Ch-123_PM-v4.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Ch-4_PM-v4.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-Colin27_DG_PM-v11.1"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Dorsal-Dentate-Nucleus_PM-v6.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Entorhinal-Cortex_PM-v11.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Fastigial-Nucleus_PM-v6.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Frontal-I_PM-v9.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Frontal-II_PM-v9.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Frontal-to-Occipital_PM-v9.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Frontal-to-Temporal_PM-v9.2"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-Colin27_HATA_PM-v11.1"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-Colin27_IF_PM-v6.4"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Interposed-Nucleus_PM-v6.2"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-Colin27_LB_PM-v6.4"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-Colin27_MF_PM-v6.4"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-Colin27_SF_PM-v6.4"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Subiculum_PM-v11.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Temporal-to-Parietal_PM-v9.2"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-Colin27_VTM_PM-v6.4"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Ventral-Dentate-Nucleus_PM-v6.2"
            },
        ],
        "ontologyIdentifier": None,
    },
    homepage=IRI("https://julich-brain-atlas.de/"),
    how_to_cite="Please refer to the atlas by its [RRID:SCR_023277](https://scicrunch.org/resolver/SCR_023277), and cite the following publications: [Amunts and Zilles (2015)](https://doi.org/10.1016/j.neuron.2015.12.001); [Amunts et al. (2020)](https://doi.org/10.1126/science.abb4588), [Amunts et al. (2020)](https://doi.org/10.25493/A7Y0-NX9).",
    is_alternative_version_of=[{"@id": "https://openminds.om-i.org/instances/brainAtlasVersion/JBA_v2.4-MNI152"}],
    is_new_version_of={"@id": "https://openminds.om-i.org/instances/brainAtlasVersion/JBA_v2.2-Colin27"},
    license={"@id": "https://openminds.om-i.org/instances/licenses/ccByNcSa4.0"},
    major_version_identifier="v2.4",
    short_name="Julich-Brain Atlas",
    support_channels=["julich-brain@fz-juelich.de"],
    type={"@id": "https://openminds.om-i.org/instances/atlasType/probabilisticAtlas"},
    version_identifier="v2.4, Colin27",
)
BrainAtlasVersion.jba_v2_4_mni152 = BrainAtlasVersion(
    id="https://openminds.om-i.org/instances/brainAtlasVersion/JBA_v2.4-MNI152",
    abbreviation="JBA",
    accessibility={"@id": "https://openminds.om-i.org/instances/productAccessibility/freeAccess"},
    coordinate_space={
        "@id": "https://openminds.om-i.org/instances/commonCoordinateSpaceVersion/MNI-ICBM152_nonlinear-2009c-asym"
    },
    full_name="Julich-Brain Cytoarchitectonic Atlas",
    has_terminology={
        "@type": "https://openminds.om-i.org/types/ParcellationTerminologyVersion",
        "dataLocation": None,
        "hasEntity": [
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-1_PM-v8.4"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-2_PM-v3.4"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-25_PM-v16.1"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-33_PM-v16.1"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-3a_PM-v8.4"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-3b_PM-v8.4"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-44_PM-v7.4"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-45_PM-v7.4"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-4a_PM-v9.4"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-4p_PM-v9.4"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-5Ci_PM-v8.4"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-5L_PM-v8.4"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-5M_PM-v8.4"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-6d1_PM-v4.1"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-6d2_PM-v4.1"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-6d3_PM-v4.1"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-6ma_PM-v9.1"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-6mp_PM-v9.1"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-7A_PM-v8.4"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-7P_PM-v8.4"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-7PC_PM-v8.4"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-FG1_PM-v1.4"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-FG2_PM-v1.4"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-FG3_PM-v6.1"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-FG4_PM-v6.1"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-Fo1_PM-v3.4"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-Fo2_PM-v3.4"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-Fo3_PM-v3.4"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-Fo4_PM-v2.1"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-Fo5_PM-v2.1"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-Fo6_PM-v2.1"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-Fo7_PM-v2.1"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-Fp1_PM-v2.4"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-Fp2_PM-v2.4"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-Ia_PM-v3.1"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-Id1_PM-v13.1"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-Id2_PM-v7.1"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-Id3_PM-v7.1"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-Id4_PM-v3.1"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-Id5_PM-v3.1"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-Id6_PM-v3.1"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-Id7_PM-v6.1"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-Ig1_PM-v13.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-Ig2_PM-v13.1"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-Ig3_PM-v3.1"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-OP1_PM-v11.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-OP2_PM-v11.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-OP3_PM-v11.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-OP4_PM-v11.0"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-OP5_PM-v2.0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-OP6_PM-v2.0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-OP7_PM-v2.0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-OP8_PM-v5.1"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-OP9_PM-v5.1"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-PF_PM-v9.4"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-PFcm_PM-v9.4"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-PFm_PM-v9.4"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-PFop_PM-v9.4"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-PFt_PM-v9.4"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-PGa_PM-v9.4"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-PGp_PM-v9.4"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-STS1_PM-v3.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-STS2_PM-v3.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-TE-1.0_PM-v5.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-TE-1.1_PM-v5.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-TE-1.2_PM-v5.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-TE-2.1_PM-v5.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-TE-2.2_PM-v5.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-TE-3_PM-v5.1"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-TI_PM-v5.1"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-TeI_PM-v5.1"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-a29_PM-v11.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-a30_PM-v11.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-hIP1_PM-v6.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-hIP2_PM-v6.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-hIP3_PM-v8.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-hIP4_PM-v7.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-hIP5_PM-v7.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-hIP6_PM-v7.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-hIP7_PM-v7.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-hIP8_PM-v7.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-hOc1_PM-v2.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-hOc2_PM-v2.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-hOc3d_PM-v2.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-hOc3v_PM-v3.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-hOc4d_PM-v2.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-hOc4la_PM-v3.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-hOc4lp_PM-v3.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-hOc4v_PM-v3.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-hOc5_PM-v2.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-hOc6_PM-v7.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-hPO1_PM-v7.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-i29_PM-v11.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-i30_PM-v11.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-p24ab_PM-v16.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-p24c_PM-v16.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-p29_PM-v11.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-p30_PM-v11.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-p32_PM-v16.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-s24_PM-v16.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-s32_PM-v16.1"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-MNI152_CA1_PM-v11.1"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-MNI152_CA2_PM-v11.1"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-MNI152_CA3_PM-v11.1"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-MNI152_CM_PM-v6.4"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Ch-123_PM-v4.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Ch-4_PM-v4.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-MNI152_DG_PM-v11.1"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Dorsal-Dentate-Nucleus_PM-v6.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Entorhinal-Cortex_PM-v11.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Fastigial-Nucleus_PM-v6.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Frontal-I_PM-v9.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Frontal-II_PM-v9.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Frontal-to-Occipital_PM-v9.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Frontal-to-Temporal_PM-v9.2"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-MNI152_HATA_PM-v11.1"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-MNI152_IF_PM-v6.4"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Interposed-Nucleus_PM-v6.2"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-MNI152_LB_PM-v6.4"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-MNI152_MF_PM-v6.4"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-MNI152_SF_PM-v6.4"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Subiculum_PM-v11.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Temporal-to-Parietal_PM-v9.2"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-MNI152_VTM_PM-v6.4"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Ventral-Dentate-Nucleus_PM-v6.2"
            },
        ],
        "ontologyIdentifier": None,
    },
    homepage=IRI("https://julich-brain-atlas.de/"),
    how_to_cite="Please refer to the atlas by its [RRID:SCR_023277](https://scicrunch.org/resolver/SCR_023277), and cite the following publications: [Amunts and Zilles (2015)](https://doi.org/10.1016/j.neuron.2015.12.001); [Amunts et al. (2020)](https://doi.org/10.1126/science.abb4588), [Amunts et al. (2020)](https://doi.org/10.25493/A7Y0-NX9).",
    is_alternative_version_of=[{"@id": "https://openminds.om-i.org/instances/brainAtlasVersion/JBA_v2.4-Colin27"}],
    is_new_version_of={"@id": "https://openminds.om-i.org/instances/brainAtlasVersion/JBA_v2.2-MNI152"},
    license={"@id": "https://openminds.om-i.org/instances/licenses/ccByNcSa4.0"},
    major_version_identifier="v2.4",
    short_name="Julich-Brain Atlas",
    support_channels=["julich-brain@fz-juelich.de"],
    type={"@id": "https://openminds.om-i.org/instances/atlasType/probabilisticAtlas"},
    version_identifier="v2.4, MNI152",
)
BrainAtlasVersion.jba_v2_5__colin27 = BrainAtlasVersion(
    id="https://openminds.om-i.org/instances/brainAtlasVersion/JBA_v2.5-Colin27",
    abbreviation="JBA",
    accessibility={"@id": "https://openminds.om-i.org/instances/productAccessibility/freeAccess"},
    coordinate_space={"@id": "https://openminds.om-i.org/instances/commonCoordinateSpaceVersion/MNI-Colin27_1998"},
    full_name="Julich-Brain Cytoarchitectonic Atlas",
    has_terminology={
        "@type": "https://openminds.om-i.org/types/ParcellationTerminologyVersion",
        "dataLocation": None,
        "hasEntity": [
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-1_PM-v10.0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-2_PM-v5.0"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-25_PM-v18.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-33_PM-v18.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-3a_PM-v10.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-3b_PM-v10.0"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-44_PM-v9.0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-45_PM-v9.0"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-4a_PM-v11.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-4p_PM-v11.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-5Ci_PM-v9.0"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-5L_PM-v9.0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-5M_PM-v9.0"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-6d1_PM-v5.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-6d2_PM-v5.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-6d3_PM-v5.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-6ma_PM-v10.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-6mp_PM-v10.0"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-7A_PM-v9.0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-7M_PM-v9.0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-7P_PM-v9.0"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-7PC_PM-v9.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-FG1_PM-v3.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-FG2_PM-v3.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-FG3_PM-v7.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-FG4_PM-v7.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-Fo1_PM-v5.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-Fo2_PM-v5.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-Fo3_PM-v5.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-Fo4_PM-v3.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-Fo5_PM-v3.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-Fo6_PM-v3.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-Fo7_PM-v3.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-Fp1_PM-v4.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-Fp2_PM-v4.0"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-Ia_PM-v4.0"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-Id1_PM-v14.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-Id2_PM-v8.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-Id3_PM-v8.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-Id4_PM-v4.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-Id5_PM-v4.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-Id6_PM-v4.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-Id7_PM-v7.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-Ig1_PM-v14.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-Ig2_PM-v14.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-Ig3_PM-v4.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-OP1_PM-v12.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-OP2_PM-v12.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-OP3_PM-v12.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-OP4_PM-v12.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-OP5_PM-v3.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-OP6_PM-v3.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-OP7_PM-v3.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-OP8_PM-v6.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-OP9_PM-v6.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-PF_PM-v11.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-PFcm_PM-v11.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-PFm_PM-v11.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-PFop_PM-v11.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-PFt_PM-v11.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-PGa_PM-v11.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-PGp_PM-v11.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-STS1_PM-v5.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-STS2_PM-v5.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-TE-1.0_PM-v6.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-TE-1.1_PM-v6.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-TE-1.2_PM-v6.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-TE-2.1_PM-v6.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-TE-2.2_PM-v6.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-TE-3_PM-v6.0"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-TI_PM-v6.0"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-TeI_PM-v6.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-hIP1_PM-v7.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-hIP2_PM-v7.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-hIP3_PM-v9.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-hIP4_PM-v7.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-hIP5_PM-v7.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-hIP6_PM-v7.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-hIP7_PM-v7.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-hIP8_PM-v7.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-hOc1_PM-v4.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-hOc2_PM-v4.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-hOc3d_PM-v4.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-hOc3v_PM-v5.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-hOc4d_PM-v4.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-hOc4la_PM-v5.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-hOc4lp_PM-v5.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-hOc4v_PM-v5.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-hOc5_PM-v4.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-hOc6_PM-v7.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-hPO1_PM-v7.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-p24ab_PM-v18.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-p24c_PM-v18.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-p32_PM-v18.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-s24_PM-v18.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-s32_PM-v18.0"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-Colin27_CA1_PM-v13.0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-Colin27_CA2_PM-v13.0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-Colin27_CA3_PM-v13.0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-Colin27_CM_PM-v8.0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Ch-123_PM-v4.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Ch-4_PM-v4.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-Colin27_DG_PM-v13.0"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Dorsal-Dentate-Nucleus_PM-v6.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Entorhinal-Cortex_PM-v13.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Fastigial-Nucleus_PM-v6.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Frontal-I_PM-v10.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Frontal-II_PM-v10.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Frontal-to-Occipital_PM-v10.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Frontal-to-Temporal_PM-v10.0"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-Colin27_HATA_PM-v13.0"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-Colin27_HC-Transsubiculum_PM-v13.0"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-Colin27_IF_PM-v8.1"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Interposed-Nucleus_PM-v6.2"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-Colin27_LB_PM-v8.0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-Colin27_MF_PM-v8.1"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-Colin27_SF_PM-v8.0"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Subiculum.PaS_PM-v13.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Subiculum.PreS_PM-v13.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Subiculum.ProS_PM-v13.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Subiculum.Sub_PM-v13.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Temporal-to-Parietal_PM-v10.0"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-Colin27_VTM_PM-v8.0"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Ventral-Dentate-Nucleus_PM-v6.2"
            },
        ],
        "ontologyIdentifier": None,
    },
    homepage=IRI("https://julich-brain-atlas.de/"),
    how_to_cite="Please refer to the atlas by its [RRID:SCR_023277](https://scicrunch.org/resolver/SCR_023277), and cite the following publications: [Amunts and Zilles (2015)](https://doi.org/10.1016/j.neuron.2015.12.001); [Amunts et al. (2020)](https://doi.org/10.1126/science.abb4588), [Amunts et al. (2020)](https://doi.org/10.25493/8JKE-M53).",
    is_alternative_version_of=[{"@id": "https://openminds.om-i.org/instances/brainAtlasVersion/JBA_v2.5-MNI152"}],
    is_new_version_of={"@id": "https://openminds.om-i.org/instances/brainAtlasVersion/JBA_v2.4-Colin27"},
    license={"@id": "https://openminds.om-i.org/instances/licenses/ccByNcSa4.0"},
    major_version_identifier="v2.5",
    short_name="Julich-Brain Atlas",
    support_channels=["julich-brain@fz-juelich.de"],
    type={"@id": "https://openminds.om-i.org/instances/atlasType/probabilisticAtlas"},
    version_identifier="v2.5, Colin27",
)
BrainAtlasVersion.jba_v2_5_mni152 = BrainAtlasVersion(
    id="https://openminds.om-i.org/instances/brainAtlasVersion/JBA_v2.5-MNI152",
    abbreviation="JBA",
    accessibility={"@id": "https://openminds.om-i.org/instances/productAccessibility/freeAccess"},
    coordinate_space={
        "@id": "https://openminds.om-i.org/instances/commonCoordinateSpaceVersion/MNI-ICBM152_nonlinear-2009c-asym"
    },
    full_name="Julich-Brain Cytoarchitectonic Atlas",
    has_terminology={
        "@type": "https://openminds.om-i.org/types/ParcellationTerminologyVersion",
        "dataLocation": None,
        "hasEntity": [
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-1_PM-v10.0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-2_PM-v5.0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-25_PM-v18.0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-33_PM-v18.0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-3a_PM-v10.0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-3b_PM-v10.0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-44_PM-v9.0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-45_PM-v9.0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-4a_PM-v11.0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-4p_PM-v11.0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-5Ci_PM-v9.0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-5L_PM-v9.0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-5M_PM-v9.0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-6d1_PM-v5.0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-6d2_PM-v5.0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-6d3_PM-v5.0"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-6ma_PM-v10.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-6mp_PM-v10.0"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-7A_PM-v9.0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-7M_PM-v9.0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-7P_PM-v9.0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-7PC_PM-v9.0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-FG1_PM-v3.0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-FG2_PM-v3.0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-FG3_PM-v7.0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-FG4_PM-v7.0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-Fo1_PM-v5.0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-Fo2_PM-v5.0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-Fo3_PM-v5.0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-Fo4_PM-v3.0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-Fo5_PM-v3.0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-Fo6_PM-v3.0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-Fo7_PM-v3.0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-Fp1_PM-v4.0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-Fp2_PM-v4.0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-Ia_PM-v4.0"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-Id1_PM-v14.0"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-Id2_PM-v8.0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-Id3_PM-v8.0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-Id4_PM-v4.0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-Id5_PM-v4.0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-Id6_PM-v4.0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-Id7_PM-v7.0"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-Ig1_PM-v14.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-Ig2_PM-v14.0"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-Ig3_PM-v4.0"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-OP1_PM-v12.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-OP2_PM-v12.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-OP3_PM-v12.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-OP4_PM-v12.0"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-OP5_PM-v3.0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-OP6_PM-v3.0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-OP7_PM-v3.0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-OP8_PM-v6.0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-OP9_PM-v6.0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-PF_PM-v11.0"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-PFcm_PM-v11.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-PFm_PM-v11.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-PFop_PM-v11.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-PFt_PM-v11.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-PGa_PM-v11.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-PGp_PM-v11.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-STS1_PM-v5.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-STS2_PM-v5.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-TE-1.0_PM-v6.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-TE-1.1_PM-v6.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-TE-1.2_PM-v6.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-TE-2.1_PM-v6.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-TE-2.2_PM-v6.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-TE-3_PM-v6.0"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-TI_PM-v6.0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-TeI_PM-v6.0"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-hIP1_PM-v7.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-hIP2_PM-v7.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-hIP3_PM-v9.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-hIP4_PM-v7.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-hIP5_PM-v7.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-hIP6_PM-v7.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-hIP7_PM-v7.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-hIP8_PM-v7.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-hOc1_PM-v4.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-hOc2_PM-v4.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-hOc3d_PM-v4.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-hOc3v_PM-v5.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-hOc4d_PM-v4.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-hOc4la_PM-v5.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-hOc4lp_PM-v5.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-hOc4v_PM-v5.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-hOc5_PM-v4.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-hOc6_PM-v7.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-hPO1_PM-v7.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-p24ab_PM-v18.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-p24c_PM-v18.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-p32_PM-v18.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-s24_PM-v18.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-s32_PM-v18.0"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-MNI152_CA1_PM-v13.0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-MNI152_CA2_PM-v13.0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-MNI152_CA3_PM-v13.0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-MNI152_CM_PM-v8.0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Ch-123_PM-v4.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Ch-4_PM-v4.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-MNI152_DG_PM-v13.0"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Dorsal-Dentate-Nucleus_PM-v6.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Entorhinal-Cortex_PM-v13.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Fastigial-Nucleus_PM-v6.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Frontal-I_PM-v10.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Frontal-II_PM-v10.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Frontal-to-Occipital_PM-v10.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Frontal-to-Temporal_PM-v10.0"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-MNI152_HATA_PM-v13.0"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-MNI152_HC-Transsubiculum_PM-v13.0"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-MNI152_IF_PM-v8.1"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Interposed-Nucleus_PM-v6.2"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-MNI152_LB_PM-v8.0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-MNI152_MF_PM-v8.1"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-MNI152_SF_PM-v8.0"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Subiculum.PaS_PM-v13.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Subiculum.PreS_PM-v13.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Subiculum.ProS_PM-v13.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Subiculum.Sub_PM-v13.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Temporal-to-Parietal_PM-v10.0"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-MNI152_VTM_PM-v8.0"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Ventral-Dentate-Nucleus_PM-v6.2"
            },
        ],
        "ontologyIdentifier": None,
    },
    homepage=IRI("https://julich-brain-atlas.de/"),
    how_to_cite="Please refer to the atlas by its [RRID:SCR_023277](https://scicrunch.org/resolver/SCR_023277), and cite the following publications: [Amunts and Zilles (2015)](https://doi.org/10.1016/j.neuron.2015.12.001); [Amunts et al. (2020)](https://doi.org/10.1126/science.abb4588), [Amunts et al. (2020)](https://doi.org/10.25493/8JKE-M53).",
    is_alternative_version_of=[{"@id": "https://openminds.om-i.org/instances/brainAtlasVersion/JBA_v2.5-Colin27"}],
    is_new_version_of={"@id": "https://openminds.om-i.org/instances/brainAtlasVersion/JBA_v2.4-MNI152"},
    license={"@id": "https://openminds.om-i.org/instances/licenses/ccByNcSa4.0"},
    major_version_identifier="v2.5",
    short_name="Julich-Brain Atlas",
    support_channels=["julich-brain@fz-juelich.de"],
    type={"@id": "https://openminds.om-i.org/instances/atlasType/probabilisticAtlas"},
    version_identifier="v2.5, MNI152",
)
BrainAtlasVersion.jba_v2_6_mni152 = BrainAtlasVersion(
    id="https://openminds.om-i.org/instances/brainAtlasVersion/JBA_v2.6-MNI152",
    abbreviation="JBA",
    accessibility={"@id": "https://openminds.om-i.org/instances/productAccessibility/freeAccess"},
    coordinate_space={
        "@id": "https://openminds.om-i.org/instances/commonCoordinateSpaceVersion/MNI-ICBM152_nonlinear-2009c-asym"
    },
    full_name="Julich-Brain Cytoarchitectonic Atlas",
    has_terminology={
        "@type": "https://openminds.om-i.org/types/ParcellationTerminologyVersion",
        "dataLocation": None,
        "hasEntity": [
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-1_PM-v10.0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-2_PM-v5.0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-25_PM-v18.0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-33_PM-v18.0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-3a_PM-v10.0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-3b_PM-v10.0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-44_PM-v9.0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-45_PM-v9.0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-4a_PM-v11.0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-4p_PM-v11.0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-5Ci_PM-v9.0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-5L_PM-v9.0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-5M_PM-v9.0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-6d1_PM-v5.0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-6d2_PM-v5.0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-6d3_PM-v5.0"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-6ma_PM-v10.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-6mp_PM-v10.0"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-7A_PM-v9.0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-7M_PM-v9.0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-7P_PM-v9.0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-7PC_PM-v9.0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-FG1_PM-v3.0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-FG2_PM-v3.0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-FG3_PM-v7.0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-FG4_PM-v7.0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-Fo1_PM-v5.0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-Fo2_PM-v5.0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-Fo3_PM-v5.0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-Fo4_PM-v3.0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-Fo5_PM-v3.0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-Fo6_PM-v3.0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-Fo7_PM-v3.0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-Fp1_PM-v4.0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-Fp2_PM-v4.0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-Ia_PM-v4.0"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-Id1_PM-v14.0"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-Id2_PM-v8.0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-Id3_PM-v8.0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-Id4_PM-v4.0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-Id5_PM-v4.0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-Id6_PM-v4.0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-Id7_PM-v7.0"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-Ig1_PM-v14.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-Ig2_PM-v14.0"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-Ig3_PM-v4.0"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-OP1_PM-v12.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-OP2_PM-v12.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-OP3_PM-v12.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-OP4_PM-v12.0"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-OP5_PM-v3.0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-OP6_PM-v3.0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-OP7_PM-v3.0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-OP8_PM-v6.0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-OP9_PM-v6.0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-PF_PM-v11.0"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-PFcm_PM-v11.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-PFm_PM-v11.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-PFop_PM-v11.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-PFt_PM-v11.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-PGa_PM-v11.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-PGp_PM-v11.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-STS1_PM-v5.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-STS2_PM-v5.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-TE-1.0_PM-v6.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-TE-1.1_PM-v6.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-TE-1.2_PM-v6.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-TE-2.1_PM-v6.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-TE-2.2_PM-v6.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-TE-3_PM-v6.0"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-TI_PM-v6.0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-TeI_PM-v6.0"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-hIP1_PM-v7.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-hIP2_PM-v7.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-hIP3_PM-v9.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-hIP4_PM-v7.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-hIP5_PM-v7.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-hIP6_PM-v7.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-hIP7_PM-v7.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-hIP8_PM-v7.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-hOc1_PM-v4.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-hOc2_PM-v4.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-hOc3d_PM-v4.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-hOc3v_PM-v5.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-hOc4d_PM-v4.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-hOc4la_PM-v5.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-hOc4lp_PM-v5.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-hOc4v_PM-v5.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-hOc5_PM-v4.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-hOc6_PM-v7.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-hPO1_PM-v7.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-p24ab_PM-v18.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-p24c_PM-v18.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-p32_PM-v18.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-s24_PM-v18.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-s32_PM-v18.0"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.6-MNI152_CA1_PM-v13.0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.6-MNI152_CA2_PM-v13.0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.6-MNI152_CA3_PM-v13.0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.6-MNI152_CM_PM-v8.0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Ch-123_PM-v4.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Ch-4_PM-v4.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.6-MNI152_DG_PM-v13.0"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Dorsal-Dentate-Nucleus_PM-v6.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Entorhinal-Cortex_PM-v13.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Fastigial-Nucleus_PM-v6.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Frontal-I_PM-v10.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Frontal-II_PM-v10.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Frontal-to-Occipital_PM-v10.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Frontal-to-Temporal_PM-v10.0"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.6-MNI152_HATA_PM-v13.0"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.6-MNI152_HC-Transsubiculum_PM-v13.0"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.6-MNI152_IF_PM-v8.1"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Interposed-Nucleus_PM-v6.2"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.6-MNI152_LB_PM-v8.0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.6-MNI152_MF_PM-v8.1"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.6-MNI152_SF_PM-v8.0"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Subiculum.PaS_PM-v13.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Subiculum.PreS_PM-v13.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Subiculum.ProS_PM-v13.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Subiculum.Sub_PM-v13.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Temporal-to-Parietal_PM-v10.0"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.6-MNI152_VTM_PM-v8.0"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Ventral-Dentate-Nucleus_PM-v6.2"
            },
        ],
        "ontologyIdentifier": None,
    },
    homepage=IRI("https://julich-brain-atlas.de/"),
    how_to_cite="Please refer to the atlas by its [RRID:SCR_023277](https://scicrunch.org/resolver/SCR_023277), and cite the following publications: [Amunts and Zilles (2015)](https://doi.org/10.1016/j.neuron.2015.12.001); [Amunts et al. (2020)](https://doi.org/10.1126/science.abb4588), [Amunts et al. (2021)](https://doi.org/10.25493/KJQN-AM0).",
    is_new_version_of={"@id": "https://openminds.om-i.org/instances/brainAtlasVersion/JBA_v2.5-MNI152"},
    license={"@id": "https://openminds.om-i.org/instances/licenses/ccByNcSa4.0"},
    major_version_identifier="v2.6",
    short_name="Julich-Brain Atlas",
    support_channels=["julich-brain@fz-juelich.de"],
    type={"@id": "https://openminds.om-i.org/instances/atlasType/probabilisticAtlas"},
    version_identifier="v2.6, MNI152",
)
BrainAtlasVersion.jba_v2_9__big_brain = BrainAtlasVersion(
    id="https://openminds.om-i.org/instances/brainAtlasVersion/JBA_v2.9-BigBrain",
    abbreviation="JBA",
    accessibility={"@id": "https://openminds.om-i.org/instances/productAccessibility/freeAccess"},
    coordinate_space={"@id": "https://openminds.om-i.org/instances/commonCoordinateSpaceVersion/BigBrain_2015"},
    full_name="Julich-Brain Cytoarchitectonic Atlas",
    has_terminology={
        "@type": "https://openminds.om-i.org/types/ParcellationTerminologyVersion",
        "dataLocation": None,
        "hasEntity": [
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-6d1_int"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-6d2_int"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-6d3_int"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-6ma_int"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-MFG1_deep"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-MFG2_deep"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-SFS1_deep"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-SFS2_deep"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-STS1_int"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-STS2_int"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-TE-1.0_int"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-TE-1.1_int"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-TE-1.2_int"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-TE-3_int"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-hIP4_int"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-hIP5_int"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-hIP6_int"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-hIP7_int"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-hIP8_int"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-hOc1_deep"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-hOc2_deep"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-hOc3v_deep"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-hOc5_deep"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-hOc6_int"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-hPO1_int"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_CGM.CGMd_deep"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_CGM.CGMm_deep"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_CGM.CGMv_deep"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Entorhinal-Cortex_int"
            },
        ],
        "ontologyIdentifier": None,
    },
    homepage=IRI("https://julich-brain-atlas.de/"),
    how_to_cite="Please refer to the atlas by its [RRID:SCR_023277](https://scicrunch.org/resolver/SCR_023277), and cite the following publications: [Amunts and Zilles (2015)](https://doi.org/10.1016/j.neuron.2015.12.001); [Amunts et al. (2020)](https://doi.org/10.1126/science.abb4588), [Amunts et al. (2021)](https://doi.org/10.25493/VSMK-H94).",
    is_alternative_version_of=[
        {"@id": "https://openminds.om-i.org/instances/brainAtlasVersion/JBA_v2.9-Colin27"},
        {"@id": "https://openminds.om-i.org/instances/brainAtlasVersion/JBA_v2.9-fsaverage"},
        {"@id": "https://openminds.om-i.org/instances/brainAtlasVersion/JBA_v2.9-MNI152"},
    ],
    license={"@id": "https://openminds.om-i.org/instances/licenses/ccByNcSa4.0"},
    major_version_identifier="v2.9",
    short_name="Julich-Brain Atlas",
    support_channels=["julich-brain@fz-juelich.de"],
    type={"@id": "https://openminds.om-i.org/instances/atlasType/deterministicAtlas"},
    version_identifier="v2.9, BigBrain",
    version_innovation="This is the first release of the Julich-Brain Atlas using the common coordinate space BigBrain (2015).",
)
BrainAtlasVersion.jba_v2_9__colin27 = BrainAtlasVersion(
    id="https://openminds.om-i.org/instances/brainAtlasVersion/JBA_v2.9-Colin27",
    abbreviation="JBA",
    accessibility={"@id": "https://openminds.om-i.org/instances/productAccessibility/freeAccess"},
    coordinate_space={"@id": "https://openminds.om-i.org/instances/commonCoordinateSpaceVersion/MNI-Colin27_1998"},
    full_name="Julich-Brain Cytoarchitectonic Atlas",
    has_terminology={
        "@type": "https://openminds.om-i.org/types/ParcellationTerminologyVersion",
        "dataLocation": None,
        "hasEntity": [
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-1_PM-v12.1"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-2_PM-v7.1"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-25_PM-v20.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-33_PM-v20.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-3a_PM-v12.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-3b_PM-v12.1"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-44_PM-v9.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-45_PM-v9.2"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-4a_PM-v13.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-4p_PM-v13.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-5Ci_PM-v9.2"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-5L_PM-v9.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-5M_PM-v9.2"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-6d1_PM-v7.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-6d2_PM-v7.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-6d3_PM-v7.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-6ma_PM-v12.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-6mp_PM-v12.1"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-7A_PM-v9.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-7M_PM-v9.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-7P_PM-v9.2"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-7PC_PM-v9.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-8d1_PM-v4.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-8d2_PM-v4.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-8v1_PM-v4.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-8v2_PM-v4.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-CoS1_PM-v7.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-FG1_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-FG2_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-FG3_PM-v7.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-FG4_PM-v7.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-Fo1_PM-v5.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-Fo2_PM-v5.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-Fo3_PM-v5.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-Fo4_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-Fo5_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-Fo6_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-Fo7_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-Fp1_PM-v5.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-Fp2_PM-v5.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-IFJ1_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-IFJ2_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-IFS1_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-IFS2_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-IFS3_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-IFS4_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-Ia1_PM-v5.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-Ia2_PM-v4.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-Ia3_PM-v4.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-Id1_PM-v14.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-Id10_PM-v4.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-Id2_PM-v9.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-Id3_PM-v9.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-Id4_PM-v5.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-Id5_PM-v5.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-Id6_PM-v5.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-Id7_PM-v8.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-Id8_PM-v4.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-Id9_PM-v4.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-Ig1_PM-v14.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-Ig2_PM-v14.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-Ig3_PM-v5.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-OP1_PM-v12.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-OP2_PM-v12.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-OP3_PM-v12.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-OP4_PM-v12.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-OP5_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-OP6_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-OP7_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-OP8_PM-v6.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-OP9_PM-v6.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-PF_PM-v11.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-PFcm_PM-v11.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-PFm_PM-v11.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-PFop_PM-v11.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-PFt_PM-v11.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-PGa_PM-v11.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-PGp_PM-v11.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-Ph1_PM-v7.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-Ph2_PM-v7.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-Ph3_PM-v7.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-STS1_PM-v5.3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-STS2_PM-v5.3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-TE-1.0_PM-v6.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-TE-1.1_PM-v6.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-TE-1.2_PM-v6.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-TE-2.1_PM-v6.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-TE-2.2_PM-v6.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-TE-3_PM-v6.2"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-TI_PM-v6.2"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-TPJ_PM-v6.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-TeI_PM-v6.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-hIP1_PM-v7.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-hIP2_PM-v7.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-hIP3_PM-v9.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-hIP4_PM-v7.3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-hIP5_PM-v7.3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-hIP6_PM-v7.3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-hIP7_PM-v7.3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-hIP8_PM-v7.3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-hOc1_PM-v4.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-hOc2_PM-v4.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-hOc3d_PM-v4.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-hOc3v_PM-v5.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-hOc4d_PM-v4.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-hOc4la_PM-v5.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-hOc4lp_PM-v5.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-hOc4v_PM-v5.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-hOc5_PM-v4.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-hOc6_PM-v7.3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-hPO1_PM-v7.3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-p24ab_PM-v20.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-p24c_PM-v20.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-p32_PM-v20.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-s24_PM-v20.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-s32_PM-v20.1"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-Colin27_BST_PM-v6.1"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-Colin27_CA1_PM-v13.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-Colin27_CA2_PM-v13.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-Colin27_CA3_PM-v13.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-Colin27_CGL_PM-v5.0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-Colin27_CGM_PM-v5.0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-Colin27_CM_PM-v8.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Ch-123_PM-v4.3"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Ch-4_PM-v4.3"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-Colin27_DG_PM-v13.2"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Dorsal-Dentate-Nucleus_PM-v6.3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Entorhinal-Cortex_PM-v13.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Fastigial-Nucleus_PM-v6.3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Frontal-I_PM-v11.3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Frontal-II_PM-v11.3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Frontal-to-Occipital_PM-v11.3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Frontal-to-Temporal-I_PM-v11.3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Frontal-to-Temporal-II_PM-v11.3"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-Colin27_HATA_PM-v13.2"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-Colin27_HC-Transsubiculum_PM-v13.2"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-Colin27_IF_PM-v8.2"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Interposed-Nucleus_PM-v6.3"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-Colin27_LB_PM-v8.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-Colin27_MF_PM-v8.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-Colin27_SF_PM-v8.2"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Subiculum.PaS_PM-v13.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Subiculum.PreS_PM-v13.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Subiculum.ProS_PM-v13.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Subiculum.Sub_PM-v13.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Temporal-to-Parietal_PM-v11.3"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-Colin27_VTM_PM-v8.2"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Ventral-Dentate-Nucleus_PM-v6.3"
            },
        ],
        "ontologyIdentifier": None,
    },
    homepage=IRI("https://julich-brain-atlas.de/"),
    how_to_cite="Please refer to the atlas by its [RRID:SCR_023277](https://scicrunch.org/resolver/SCR_023277), and cite the following publications: [Amunts and Zilles (2015)](https://doi.org/10.1016/j.neuron.2015.12.001); [Amunts et al. (2020)](https://doi.org/10.1126/science.abb4588), [Amunts et al. (2021)](https://doi.org/10.25493/VSMK-H94).",
    is_alternative_version_of=[
        {"@id": "https://openminds.om-i.org/instances/brainAtlasVersion/JBA_v2.9-BigBrain"},
        {"@id": "https://openminds.om-i.org/instances/brainAtlasVersion/JBA_v2.9-fsaverage"},
        {"@id": "https://openminds.om-i.org/instances/brainAtlasVersion/JBA_v2.9-MNI152"},
    ],
    is_new_version_of={"@id": "https://openminds.om-i.org/instances/brainAtlasVersion/JBA_v2.5-Colin27"},
    license={"@id": "https://openminds.om-i.org/instances/licenses/ccByNcSa4.0"},
    major_version_identifier="v2.9",
    short_name="Julich-Brain Atlas",
    support_channels=["julich-brain@fz-juelich.de"],
    type={"@id": "https://openminds.om-i.org/instances/atlasType/probabilisticAtlas"},
    version_identifier="v2.9, Colin27",
)
BrainAtlasVersion.jba_v2_9_fsaverage = BrainAtlasVersion(
    id="https://openminds.om-i.org/instances/brainAtlasVersion/JBA_v2.9-fsaverage",
    abbreviation="JBA",
    accessibility={"@id": "https://openminds.om-i.org/instances/productAccessibility/freeAccess"},
    coordinate_space={"@id": "https://openminds.om-i.org/instances/commonCoordinateSpaceVersion/fsaverage_7"},
    full_name="Julich-Brain Cytoarchitectonic Atlas",
    has_terminology={
        "@type": "https://openminds.om-i.org/types/ParcellationTerminologyVersion",
        "dataLocation": None,
        "hasEntity": [
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-1_PM-v12.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-2_PM-v7.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-25_PM-v20.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-33_PM-v20.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-3a_PM-v12.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-3b_PM-v12.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-44_PM-v9.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-45_PM-v9.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-4a_PM-v13.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-4p_PM-v13.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-5Ci_PM-v9.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-5L_PM-v9.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-5M_PM-v9.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-6d1_PM-v7.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-6d2_PM-v7.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-6d3_PM-v7.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-6ma_PM-v12.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-6mp_PM-v12.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-7A_PM-v9.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-7M_PM-v9.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-7P_PM-v9.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-7PC_PM-v9.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-8d1_PM-v4.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-8d2_PM-v4.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-8v1_PM-v4.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-8v2_PM-v4.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-CoS1_PM-v7.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-FG1_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-FG2_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-FG3_PM-v7.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-FG4_PM-v7.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-Fo1_PM-v5.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-Fo2_PM-v5.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-Fo3_PM-v5.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-Fo4_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-Fo5_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-Fo6_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-Fo7_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-Fp1_PM-v5.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-Fp2_PM-v5.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-IFJ1_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-IFJ2_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-IFS1_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-IFS2_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-IFS3_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-IFS4_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-Ia1_PM-v5.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-Ia2_PM-v4.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-Ia3_PM-v4.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-Id1_PM-v14.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-Id10_PM-v4.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-Id2_PM-v9.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-Id3_PM-v9.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-Id4_PM-v5.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-Id5_PM-v5.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-Id6_PM-v5.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-Id7_PM-v8.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-Id8_PM-v4.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-Id9_PM-v4.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-Ig1_PM-v14.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-Ig2_PM-v14.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-Ig3_PM-v5.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-OP1_PM-v12.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-OP2_PM-v12.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-OP3_PM-v12.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-OP4_PM-v12.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-OP5_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-OP6_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-OP7_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-OP8_PM-v6.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-OP9_PM-v6.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-PF_PM-v11.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-PFcm_PM-v11.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-PFm_PM-v11.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-PFop_PM-v11.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-PFt_PM-v11.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-PGa_PM-v11.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-PGp_PM-v11.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-Ph1_PM-v7.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-Ph2_PM-v7.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-Ph3_PM-v7.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-STS1_PM-v5.3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-STS2_PM-v5.3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-TE-1.0_PM-v6.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-TE-1.1_PM-v6.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-TE-1.2_PM-v6.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-TE-2.1_PM-v6.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-TE-2.2_PM-v6.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-TE-3_PM-v6.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-TI_PM-v6.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-TPJ_PM-v6.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-TeI_PM-v6.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-hIP1_PM-v7.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-hIP2_PM-v7.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-hIP3_PM-v9.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-hIP4_PM-v7.3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-hIP5_PM-v7.3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-hIP6_PM-v7.3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-hIP7_PM-v7.3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-hIP8_PM-v7.3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-hOc1_PM-v4.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-hOc2_PM-v4.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-hOc3d_PM-v4.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-hOc3v_PM-v5.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-hOc4d_PM-v4.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-hOc4la_PM-v5.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-hOc4lp_PM-v5.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-hOc4v_PM-v5.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-hOc5_PM-v4.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-hOc6_PM-v7.3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-hPO1_PM-v7.3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-p24ab_PM-v20.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-p24c_PM-v20.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-p32_PM-v20.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-s24_PM-v20.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-s32_PM-v20.1"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_CA1_PM-v13.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_CA2_PM-v13.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_CA3_PM-v13.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_CGL_PM-v5.0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_CGM_PM-v5.0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_DG_PM-v13.2"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Entorhinal-Cortex_PM-v13.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Frontal-I_PM-v11.3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Frontal-II_PM-v11.3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Frontal-to-Occipital_PM-v11.3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Frontal-to-Temporal-I_PM-v11.3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Frontal-to-Temporal-II_PM-v11.3"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_HATA_PM-v13.2"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_HC-Transsubiculum_PM-v13.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Subiculum.PaS_PM-v13.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Subiculum.PreS_PM-v13.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Subiculum.ProS_PM-v13.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Subiculum.Sub_PM-v13.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Temporal-to-Parietal_PM-v11.3"
            },
        ],
        "ontologyIdentifier": None,
    },
    homepage=IRI("https://julich-brain-atlas.de/"),
    how_to_cite="Please refer to the atlas by its [RRID:SCR_023277](https://scicrunch.org/resolver/SCR_023277), and cite the following publications: [Amunts and Zilles (2015)](https://doi.org/10.1016/j.neuron.2015.12.001); [Amunts et al. (2020)](https://doi.org/10.1126/science.abb4588), [Amunts et al. (2021)](https://doi.org/10.25493/VSMK-H94).",
    is_alternative_version_of=[
        {"@id": "https://openminds.om-i.org/instances/brainAtlasVersion/JBA_v2.9-BigBrain"},
        {"@id": "https://openminds.om-i.org/instances/brainAtlasVersion/JBA_v2.9-Colin27"},
        {"@id": "https://openminds.om-i.org/instances/brainAtlasVersion/JBA_v2.9-MNI152"},
    ],
    license={"@id": "https://openminds.om-i.org/instances/licenses/ccByNcSa4.0"},
    major_version_identifier="v2.9",
    short_name="Julich-Brain Atlas",
    support_channels=["julich-brain@fz-juelich.de"],
    type={"@id": "https://openminds.om-i.org/instances/atlasType/probabilisticAtlas"},
    version_identifier="v2.9, fsaverage",
    version_innovation="This is the first release of the Julich-Brain Atlas using the common coordinate space FsAverage (7).",
)
BrainAtlasVersion.jba_v2_9_mni152 = BrainAtlasVersion(
    id="https://openminds.om-i.org/instances/brainAtlasVersion/JBA_v2.9-MNI152",
    abbreviation="JBA",
    accessibility={"@id": "https://openminds.om-i.org/instances/productAccessibility/freeAccess"},
    coordinate_space={
        "@id": "https://openminds.om-i.org/instances/commonCoordinateSpaceVersion/MNI-ICBM152_nonlinear-2009c-asym"
    },
    full_name="Julich-Brain Cytoarchitectonic Atlas",
    has_terminology={
        "@type": "https://openminds.om-i.org/types/ParcellationTerminologyVersion",
        "dataLocation": None,
        "hasEntity": [
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-1_PM-v12.1"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-2_PM-v7.1"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-25_PM-v20.1"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-33_PM-v20.1"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-3a_PM-v12.1"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-3b_PM-v12.1"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-44_PM-v9.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-45_PM-v9.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-4a_PM-v13.1"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-4p_PM-v13.1"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-5Ci_PM-v9.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-5L_PM-v9.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-5M_PM-v9.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-6d1_PM-v7.1"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-6d2_PM-v7.1"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-6d3_PM-v7.1"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-6ma_PM-v12.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-6mp_PM-v12.1"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-7A_PM-v9.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-7M_PM-v9.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-7P_PM-v9.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-7PC_PM-v9.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-8d1_PM-v4.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-8d2_PM-v4.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-8v1_PM-v4.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-8v2_PM-v4.2"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-CoS1_PM-v7.2"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-FG1_PM-v3.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-FG2_PM-v3.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-FG3_PM-v7.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-FG4_PM-v7.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-Fo1_PM-v5.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-Fo2_PM-v5.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-Fo3_PM-v5.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-Fo4_PM-v3.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-Fo5_PM-v3.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-Fo6_PM-v3.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-Fo7_PM-v3.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-Fp1_PM-v5.1"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-Fp2_PM-v5.1"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-IFJ1_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-IFJ2_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-IFS1_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-IFS2_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-IFS3_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-IFS4_PM-v3.2"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-Ia1_PM-v5.1"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-Ia2_PM-v4.0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-Ia3_PM-v4.0"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-Id1_PM-v14.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-Id10_PM-v4.0"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-Id2_PM-v9.1"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-Id3_PM-v9.1"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-Id4_PM-v5.1"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-Id5_PM-v5.1"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-Id6_PM-v5.1"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-Id7_PM-v8.1"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-Id8_PM-v4.0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-Id9_PM-v4.0"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-Ig1_PM-v14.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-Ig2_PM-v14.2"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-Ig3_PM-v5.1"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-OP1_PM-v12.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-OP2_PM-v12.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-OP3_PM-v12.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-OP4_PM-v12.2"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-OP5_PM-v3.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-OP6_PM-v3.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-OP7_PM-v3.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-OP8_PM-v6.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-OP9_PM-v6.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-PF_PM-v11.2"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-PFcm_PM-v11.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-PFm_PM-v11.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-PFop_PM-v11.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-PFt_PM-v11.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-PGa_PM-v11.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-PGp_PM-v11.2"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-Ph1_PM-v7.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-Ph2_PM-v7.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-Ph3_PM-v7.2"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-STS1_PM-v5.3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-STS2_PM-v5.3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-TE-1.0_PM-v6.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-TE-1.1_PM-v6.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-TE-1.2_PM-v6.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-TE-2.1_PM-v6.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-TE-2.2_PM-v6.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-TE-3_PM-v6.2"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-TI_PM-v6.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-TPJ_PM-v6.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-TeI_PM-v6.2"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-hIP1_PM-v7.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-hIP2_PM-v7.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-hIP3_PM-v9.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-hIP4_PM-v7.3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-hIP5_PM-v7.3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-hIP6_PM-v7.3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-hIP7_PM-v7.3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-hIP8_PM-v7.3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-hOc1_PM-v4.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-hOc2_PM-v4.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-hOc3d_PM-v4.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-hOc3v_PM-v5.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-hOc4d_PM-v4.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-hOc4la_PM-v5.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-hOc4lp_PM-v5.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-hOc4v_PM-v5.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-hOc5_PM-v4.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-hOc6_PM-v7.3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-hPO1_PM-v7.3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-p24ab_PM-v20.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-p24c_PM-v20.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-p32_PM-v20.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-s24_PM-v20.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-s32_PM-v20.1"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-MNI152_BST_PM-v6.1"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-MNI152_CA1_PM-v13.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-MNI152_CA2_PM-v13.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-MNI152_CA3_PM-v13.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-MNI152_CGL_PM-v5.0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-MNI152_CGM_PM-v5.0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-MNI152_CM_PM-v8.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Ch-123_PM-v4.3"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Ch-4_PM-v4.3"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-MNI152_DG_PM-v13.2"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Dorsal-Dentate-Nucleus_PM-v6.3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Entorhinal-Cortex_PM-v13.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Fastigial-Nucleus_PM-v6.3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Frontal-I_PM-v11.3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Frontal-II_PM-v11.3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Frontal-to-Occipital_PM-v11.3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Frontal-to-Temporal-I_PM-v11.3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Frontal-to-Temporal-II_PM-v11.3"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-MNI152_HATA_PM-v13.2"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-MNI152_HC-Transsubiculum_PM-v13.2"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-MNI152_IF_PM-v8.2"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Interposed-Nucleus_PM-v6.3"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-MNI152_LB_PM-v8.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-MNI152_MF_PM-v8.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-MNI152_SF_PM-v8.2"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Subiculum.PaS_PM-v13.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Subiculum.PreS_PM-v13.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Subiculum.ProS_PM-v13.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Subiculum.Sub_PM-v13.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Temporal-to-Parietal_PM-v11.3"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-MNI152_VTM_PM-v8.2"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Ventral-Dentate-Nucleus_PM-v6.3"
            },
        ],
        "ontologyIdentifier": None,
    },
    homepage=IRI("https://julich-brain-atlas.de/"),
    how_to_cite="Please refer to the atlas by its [RRID:SCR_023277](https://scicrunch.org/resolver/SCR_023277), and cite the following publications: [Amunts and Zilles (2015)](https://doi.org/10.1016/j.neuron.2015.12.001); [Amunts et al. (2020)](https://doi.org/10.1126/science.abb4588), [Amunts et al. (2021)](https://doi.org/10.25493/VSMK-H94).",
    is_alternative_version_of=[
        {"@id": "https://openminds.om-i.org/instances/brainAtlasVersion/JBA_v2.9-BigBrain"},
        {"@id": "https://openminds.om-i.org/instances/brainAtlasVersion/JBA_v2.9-Colin27"},
        {"@id": "https://openminds.om-i.org/instances/brainAtlasVersion/JBA_v2.9-fsaverage"},
    ],
    is_new_version_of={"@id": "https://openminds.om-i.org/instances/brainAtlasVersion/JBA_v2.6-MNI152"},
    license={"@id": "https://openminds.om-i.org/instances/licenses/ccByNcSa4.0"},
    major_version_identifier="v2.9",
    short_name="Julich-Brain Atlas",
    support_channels=["julich-brain@fz-juelich.de"],
    type={"@id": "https://openminds.om-i.org/instances/atlasType/probabilisticAtlas"},
    version_identifier="v2.9, MNI152",
)
BrainAtlasVersion.jba_v3_0_1__big_brain = BrainAtlasVersion(
    id="https://openminds.om-i.org/instances/brainAtlasVersion/JBA_v3.0.1-BigBrain",
    abbreviation="JBA",
    accessibility={"@id": "https://openminds.om-i.org/instances/productAccessibility/freeAccess"},
    coordinate_space={"@id": "https://openminds.om-i.org/instances/commonCoordinateSpaceVersion/BigBrain_2015"},
    full_name="Julich-Brain Cytoarchitectonic Atlas",
    has_terminology={
        "@type": "https://openminds.om-i.org/types/ParcellationTerminologyVersion",
        "dataLocation": None,
        "hasEntity": [
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-BigBrain_Area-6d1_int"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-BigBrain_Area-6d2_int"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-BigBrain_Area-6d3_int"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-BigBrain_Area-6ma_int"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-BigBrain_Area-MFG1_deep"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-BigBrain_Area-MFG2_deep"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-BigBrain_Area-SFS1_deep"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-BigBrain_Area-SFS2_deep"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-BigBrain_Area-STS1_int"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-BigBrain_Area-STS2_int"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-BigBrain_Area-TE-1.0_int"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-BigBrain_Area-TE-1.1_int"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-BigBrain_Area-TE-1.2_int"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-BigBrain_Area-TE-3_int"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-BigBrain_Area-hIP4_int"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-BigBrain_Area-hIP5_int"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-BigBrain_Area-hIP6_int"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-BigBrain_Area-hIP7_int"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-BigBrain_Area-hIP8_int"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-BigBrain_Area-hOc1_deep"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-BigBrain_Area-hOc2_deep"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-BigBrain_Area-hOc3v_deep"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-BigBrain_Area-hOc5_deep"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-BigBrain_Area-hOc6_int"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-BigBrain_Area-hPO1_int"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-BigBrain_CGM.CGMd_deep"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-BigBrain_CGM.CGMm_deep"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-BigBrain_CGM.CGMv_deep"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-BigBrain_Entorhinal-Cortex_int"
            },
        ],
        "ontologyIdentifier": None,
    },
    homepage=IRI("https://julich-brain-atlas.de/"),
    how_to_cite="Please refer to the atlas by its [RRID:SCR_023277](https://scicrunch.org/resolver/SCR_023277), and cite the following publications: [Amunts and Zilles (2015)](https://doi.org/10.1016/j.neuron.2015.12.001); [Amunts et al. (2020)](https://doi.org/10.1126/science.abb4588), [Amunts et al. (2022)](https://doi.org/10.25493/2BV2-001).",
    is_alternative_version_of=[
        {"@id": "https://openminds.om-i.org/instances/brainAtlasVersion/JBA_v3.0.1-Colin27"},
        {"@id": "https://openminds.om-i.org/instances/brainAtlasVersion/JBA_v3.0.1-fsaverage"},
        {"@id": "https://openminds.om-i.org/instances/brainAtlasVersion/JBA_v3.0.1-MNI152"},
    ],
    is_new_version_of={"@id": "https://openminds.om-i.org/instances/brainAtlasVersion/JBA_v3.0-BigBrain"},
    license={"@id": "https://openminds.om-i.org/instances/licenses/ccByNcSa4.0"},
    major_version_identifier="v3.0.1",
    short_name="Julich-Brain Atlas",
    support_channels=["julich-brain@fz-juelich.de"],
    type={"@id": "https://openminds.om-i.org/instances/atlasType/deterministicAtlas"},
    version_identifier="v3.0.1, BigBrain",
)
BrainAtlasVersion.jba_v3_0_1__colin27 = BrainAtlasVersion(
    id="https://openminds.om-i.org/instances/brainAtlasVersion/JBA_v3.0.1-Colin27",
    abbreviation="JBA",
    accessibility={"@id": "https://openminds.om-i.org/instances/productAccessibility/freeAccess"},
    coordinate_space={"@id": "https://openminds.om-i.org/instances/commonCoordinateSpaceVersion/MNI-Colin27_1998"},
    full_name="Julich-Brain Cytoarchitectonic Atlas",
    has_terminology={
        "@type": "https://openminds.om-i.org/types/ParcellationTerminologyVersion",
        "dataLocation": None,
        "hasEntity": [
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_AcbL_PM-v5.0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_AcbM_PM-v5.0"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-1_PM-v12.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-2_PM-v7.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-25_PM-v20.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-25.25a_PM-v20.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-25.25p_PM-v20.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-33_PM-v20.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-3a_PM-v12.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-3b_PM-v12.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-44_PM-v9.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-45_PM-v9.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-4a_PM-v13.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-4p_PM-v13.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-5Ci_PM-v9.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-5L_PM-v9.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-5M_PM-v9.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-6d1_PM-v7.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-6d2_PM-v7.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-6d3_PM-v7.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-6ma_PM-v12.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-6mp_PM-v12.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-7A_PM-v9.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-7M_PM-v9.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-7P_PM-v9.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-7PC_PM-v9.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-8d1_PM-v4.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-8d2_PM-v4.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-8v1_PM-v4.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-8v2_PM-v4.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-CoS1_PM-v7.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-FG1_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-FG2_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-FG3_PM-v7.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-FG4_PM-v7.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-Fo1_PM-v5.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-Fo2_PM-v5.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-Fo3_PM-v5.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-Fo4_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-Fo5_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-Fo6_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-Fo7_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-Fp1_PM-v5.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-Fp2_PM-v5.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-IFJ1_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-IFJ2_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-IFS1_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-IFS2_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-IFS3_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-IFS4_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-Ia1_PM-v5.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-Ia2_PM-v4.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-Ia3_PM-v4.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-Id1_PM-v14.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-Id10_PM-v4.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-Id2_PM-v9.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-Id3_PM-v9.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-Id4_PM-v5.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-Id5_PM-v5.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-Id6_PM-v5.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-Id7_PM-v8.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-Id8_PM-v4.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-Id9_PM-v4.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-Ig1_PM-v14.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-Ig2_PM-v14.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-Ig3_PM-v5.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-MFG1_PM-v9.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-MFG2_PM-v9.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-OP1_PM-v12.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-OP2_PM-v12.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-OP3_PM-v12.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-OP4_PM-v12.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-OP5_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-OP6_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-OP7_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-OP8_PM-v6.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-OP9_PM-v6.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-PF_PM-v11.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-PFcm_PM-v11.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-PFm_PM-v11.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-PFop_PM-v11.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-PFt_PM-v11.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-PGa_PM-v11.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-PGp_PM-v11.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-Ph1_PM-v7.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-Ph2_PM-v7.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-Ph3_PM-v7.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-SFS1_PM-v9.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-SFS2_PM-v9.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-STS1_PM-v5.3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-STS2_PM-v5.3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-TE-1.0_PM-v6.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-TE-1.1_PM-v6.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-TE-1.2_PM-v6.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-TE-2.1_PM-v6.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-TE-2.2_PM-v6.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-TE-3_PM-v6.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-TI_PM-v6.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-TPJ_PM-v6.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-TeI_PM-v6.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-hIP1_PM-v7.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-hIP2_PM-v7.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-hIP3_PM-v9.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-hIP4_PM-v7.3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-hIP5_PM-v7.3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-hIP6_PM-v7.3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-hIP7_PM-v7.3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-hIP8_PM-v7.3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-hOc1_PM-v4.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-hOc2_PM-v4.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-hOc3d_PM-v4.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-hOc3v_PM-v5.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-hOc4d_PM-v4.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-hOc4la_PM-v5.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-hOc4lp_PM-v5.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-hOc4v_PM-v5.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-hOc5_PM-v4.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-hOc6_PM-v7.3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-hPO1_PM-v7.3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-p24ab_PM-v20.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-p24ab.p24a_PM-v20.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-p24ab.p24b_PM-v20.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-p24c_PM-v20.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-p24c.pd24cd_PM-v20.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-p24c.pd24cv_PM-v20.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-p24c.pv24c_PM-v20.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-p32_PM-v20.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-s24_PM-v20.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-s24.s24a_PM-v20.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-s24.s24b_PM-v20.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-s32_PM-v20.1"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_BST_PM-v6.1"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_CA1_PM-v13.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_CA2_PM-v13.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_CA3_PM-v13.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_CGL_PM-v10.0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_CGM_PM-v10.0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_CM_PM-v8.2"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_CM.AAA_PM-v8.2"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_CM.Ce_PM-v8.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_CM.Me_PM-v8.2"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Ch-123_PM-v4.3"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Ch-4_PM-v4.3"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_DG_PM-v13.2"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Dorsal-Dentate-Nucleus_PM-v6.3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Entorhinal-Cortex_PM-v13.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Fastigial-Nucleus_PM-v6.3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Frontal-I_PM-v11.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Frontal-II_PM-v11.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Frontal-to-Occipital_PM-v11.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Frontal-to-Temporal-I_PM-v11.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Frontal-to-Temporal-II_PM-v11.4"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_FuCd_PM-v5.0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_FuP_PM-v5.0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_HATA_PM-v13.2"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_HC-Transsubiculum_PM-v13.2"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_IF_PM-v8.2"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_IF.ice_PM-v8.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_IF.iol_PM-v8.2"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_IF.ld_PM-v8.2"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Interposed-Nucleus_PM-v6.3"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_LB_PM-v8.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_LB.Bl_PM-v8.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_LB.Bm_PM-v8.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_LB.La_PM-v8.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_LB.Pl_PM-v8.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_MF_PM-v8.2"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_MF.icm_PM-v8.2"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_MF.lm_PM-v8.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_SF_PM-v8.2"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_SF.AHi_PM-v8.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_SF.APir_PM-v8.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_SF.VCo_PM-v8.2"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_STN_PM-v5.0"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Subiculum.PaS_PM-v13.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Subiculum.PreS_PM-v13.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Subiculum.ProS_PM-v13.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Subiculum.Sub_PM-v13.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Temporal-to-Parietal_PM-v11.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Terminal-islands_PM-v4.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Tuberculum_PM-v4.0"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_VP_PM-v5.0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_VTM_PM-v8.2"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Ventral-Dentate-Nucleus_PM-v6.3"
            },
        ],
        "ontologyIdentifier": None,
    },
    homepage=IRI("https://julich-brain-atlas.de/"),
    how_to_cite="Please refer to the atlas by its [RRID:SCR_023277](https://scicrunch.org/resolver/SCR_023277), and cite the following publications: [Amunts and Zilles (2015)](https://doi.org/10.1016/j.neuron.2015.12.001); [Amunts et al. (2020)](https://doi.org/10.1126/science.abb4588), [Amunts et al. (2022)](https://doi.org/10.25493/2BV2-001).",
    is_alternative_version_of=[
        {"@id": "https://openminds.om-i.org/instances/brainAtlasVersion/JBA_v3.0.1-BigBrain"},
        {"@id": "https://openminds.om-i.org/instances/brainAtlasVersion/JBA_v3.0.1-fsaverage"},
        {"@id": "https://openminds.om-i.org/instances/brainAtlasVersion/JBA_v3.0.1-MNI152"},
    ],
    is_new_version_of={"@id": "https://openminds.om-i.org/instances/brainAtlasVersion/JBA_v3.0-Colin27"},
    license={"@id": "https://openminds.om-i.org/instances/licenses/ccByNcSa4.0"},
    major_version_identifier="v3.0.1",
    short_name="Julich-Brain Atlas",
    support_channels=["julich-brain@fz-juelich.de"],
    type={"@id": "https://openminds.om-i.org/instances/atlasType/probabilisticAtlas"},
    version_identifier="v3.0.1, Colin27",
)
BrainAtlasVersion.jba_v3_0_1_fsaverage = BrainAtlasVersion(
    id="https://openminds.om-i.org/instances/brainAtlasVersion/JBA_v3.0.1-fsaverage",
    abbreviation="JBA",
    accessibility={"@id": "https://openminds.om-i.org/instances/productAccessibility/freeAccess"},
    coordinate_space={"@id": "https://openminds.om-i.org/instances/commonCoordinateSpaceVersion/fsaverage_7"},
    full_name="Julich-Brain Cytoarchitectonic Atlas",
    has_terminology={
        "@type": "https://openminds.om-i.org/types/ParcellationTerminologyVersion",
        "dataLocation": None,
        "hasEntity": [
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-1_PM-v12.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-2_PM-v7.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-25_PM-v20.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-33_PM-v20.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-3a_PM-v12.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-3b_PM-v12.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-44_PM-v9.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-45_PM-v9.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-4a_PM-v13.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-4p_PM-v13.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-5Ci_PM-v9.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-5L_PM-v9.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-5M_PM-v9.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-6d1_PM-v7.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-6d2_PM-v7.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-6d3_PM-v7.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-6ma_PM-v12.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-6mp_PM-v12.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-7A_PM-v9.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-7M_PM-v9.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-7P_PM-v9.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-7PC_PM-v9.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-8d1_PM-v4.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-8d2_PM-v4.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-8v1_PM-v4.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-8v2_PM-v4.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-CoS1_PM-v7.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-FG1_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-FG2_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-FG3_PM-v7.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-FG4_PM-v7.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-Fo1_PM-v5.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-Fo2_PM-v5.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-Fo3_PM-v5.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-Fo4_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-Fo5_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-Fo6_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-Fo7_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-Fp1_PM-v5.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-Fp2_PM-v5.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-IFJ1_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-IFJ2_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-IFS1_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-IFS2_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-IFS3_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-IFS4_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-Ia1_PM-v5.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-Ia2_PM-v4.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-Ia3_PM-v4.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-Id1_PM-v14.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-Id10_PM-v4.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-Id2_PM-v9.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-Id3_PM-v9.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-Id4_PM-v5.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-Id5_PM-v5.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-Id6_PM-v5.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-Id7_PM-v8.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-Id8_PM-v4.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-Id9_PM-v4.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-Ig1_PM-v14.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-Ig2_PM-v14.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-Ig3_PM-v5.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-MFG1_PM-v9.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-MFG2_PM-v9.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-OP1_PM-v12.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-OP2_PM-v12.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-OP3_PM-v12.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-OP4_PM-v12.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-OP5_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-OP6_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-OP7_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-OP8_PM-v6.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-OP9_PM-v6.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-PF_PM-v11.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-PFcm_PM-v11.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-PFm_PM-v11.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-PFop_PM-v11.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-PFt_PM-v11.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-PGa_PM-v11.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-PGp_PM-v11.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-Ph1_PM-v7.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-Ph2_PM-v7.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-Ph3_PM-v7.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-SFS1_PM-v9.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-SFS2_PM-v9.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-STS1_PM-v5.3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-STS2_PM-v5.3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-TE-1.0_PM-v6.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-TE-1.1_PM-v6.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-TE-1.2_PM-v6.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-TE-2.1_PM-v6.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-TE-2.2_PM-v6.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-TE-3_PM-v6.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-TI_PM-v6.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-TPJ_PM-v6.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-TeI_PM-v6.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-hIP1_PM-v7.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-hIP2_PM-v7.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-hIP3_PM-v9.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-hIP4_PM-v7.3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-hIP5_PM-v7.3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-hIP6_PM-v7.3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-hIP7_PM-v7.3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-hIP8_PM-v7.3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-hOc1_PM-v4.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-hOc2_PM-v4.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-hOc3d_PM-v4.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-hOc3v_PM-v5.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-hOc4d_PM-v4.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-hOc4la_PM-v5.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-hOc4lp_PM-v5.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-hOc4v_PM-v5.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-hOc5_PM-v4.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-hOc6_PM-v7.3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-hPO1_PM-v7.3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-p24ab_PM-v20.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-p24c_PM-v20.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-p32_PM-v20.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-s24_PM-v20.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-s32_PM-v20.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_CA1_PM-v13.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_CA2_PM-v13.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_CA3_PM-v13.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_CGL_PM-v10.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_CGM_PM-v10.0"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_DG_PM-v13.2"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Entorhinal-Cortex_PM-v13.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Frontal-I_PM-v11.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Frontal-II_PM-v11.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Frontal-to-Occipital_PM-v11.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Frontal-to-Temporal-I_PM-v11.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Frontal-to-Temporal-II_PM-v11.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_HATA_PM-v13.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_HC-Transsubiculum_PM-v13.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Subiculum.PaS_PM-v13.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Subiculum.PreS_PM-v13.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Subiculum.ProS_PM-v13.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Subiculum.Sub_PM-v13.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Temporal-to-Parietal_PM-v11.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Tuberculum_PM-v4.0"
            },
        ],
        "ontologyIdentifier": None,
    },
    homepage=IRI("https://julich-brain-atlas.de/"),
    how_to_cite="Please refer to the atlas by its [RRID:SCR_023277](https://scicrunch.org/resolver/SCR_023277), and cite the following publications: [Amunts and Zilles (2015)](https://doi.org/10.1016/j.neuron.2015.12.001); [Amunts et al. (2020)](https://doi.org/10.1126/science.abb4588), [Amunts et al. (2022)](https://doi.org/10.25493/2BV2-001).",
    is_alternative_version_of=[
        {"@id": "https://openminds.om-i.org/instances/brainAtlasVersion/JBA_v3.0.1-BigBrain"},
        {"@id": "https://openminds.om-i.org/instances/brainAtlasVersion/JBA_v3.0.1-Colin27"},
        {"@id": "https://openminds.om-i.org/instances/brainAtlasVersion/JBA_v3.0.1-MNI152"},
    ],
    is_new_version_of={"@id": "https://openminds.om-i.org/instances/brainAtlasVersion/JBA_v3.0-fsaverage"},
    license={"@id": "https://openminds.om-i.org/instances/licenses/ccByNcSa4.0"},
    major_version_identifier="v3.0.1",
    short_name="Julich-Brain Atlas",
    support_channels=["julich-brain@fz-juelich.de"],
    type={"@id": "https://openminds.om-i.org/instances/atlasType/probabilisticAtlas"},
    version_identifier="v3.0.1, fsaverage",
)
BrainAtlasVersion.jba_v3_0_1_mni152 = BrainAtlasVersion(
    id="https://openminds.om-i.org/instances/brainAtlasVersion/JBA_v3.0.1-MNI152",
    abbreviation="JBA",
    accessibility={"@id": "https://openminds.om-i.org/instances/productAccessibility/freeAccess"},
    coordinate_space={
        "@id": "https://openminds.om-i.org/instances/commonCoordinateSpaceVersion/MNI-ICBM152_nonlinear-2009c-asym"
    },
    full_name="Julich-Brain Cytoarchitectonic Atlas",
    has_terminology={
        "@type": "https://openminds.om-i.org/types/ParcellationTerminologyVersion",
        "dataLocation": None,
        "hasEntity": [
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_AcbL_PM-v5.0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_AcbM_PM-v5.0"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-1_PM-v12.1"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-2_PM-v7.1"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-25_PM-v20.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-25.25a_PM-v20.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-25.25p_PM-v20.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-33_PM-v20.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-3a_PM-v12.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-3b_PM-v12.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-44_PM-v9.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-45_PM-v9.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-4a_PM-v13.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-4p_PM-v13.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-5Ci_PM-v9.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-5L_PM-v9.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-5M_PM-v9.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-6d1_PM-v7.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-6d2_PM-v7.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-6d3_PM-v7.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-6ma_PM-v12.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-6mp_PM-v12.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-7A_PM-v9.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-7M_PM-v9.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-7P_PM-v9.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-7PC_PM-v9.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-8d1_PM-v4.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-8d2_PM-v4.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-8v1_PM-v4.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-8v2_PM-v4.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-CoS1_PM-v7.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-FG1_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-FG2_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-FG3_PM-v7.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-FG4_PM-v7.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-Fo1_PM-v5.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-Fo2_PM-v5.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-Fo3_PM-v5.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-Fo4_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-Fo5_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-Fo6_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-Fo7_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-Fp1_PM-v5.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-Fp2_PM-v5.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-IFJ1_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-IFJ2_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-IFS1_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-IFS2_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-IFS3_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-IFS4_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-Ia1_PM-v5.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-Ia2_PM-v4.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-Ia3_PM-v4.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-Id1_PM-v14.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-Id10_PM-v4.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-Id2_PM-v9.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-Id3_PM-v9.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-Id4_PM-v5.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-Id5_PM-v5.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-Id6_PM-v5.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-Id7_PM-v8.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-Id8_PM-v4.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-Id9_PM-v4.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-Ig1_PM-v14.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-Ig2_PM-v14.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-Ig3_PM-v5.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-MFG1_PM-v9.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-MFG2_PM-v9.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-OP1_PM-v12.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-OP2_PM-v12.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-OP3_PM-v12.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-OP4_PM-v12.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-OP5_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-OP6_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-OP7_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-OP8_PM-v6.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-OP9_PM-v6.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-PF_PM-v11.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-PFcm_PM-v11.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-PFm_PM-v11.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-PFop_PM-v11.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-PFt_PM-v11.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-PGa_PM-v11.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-PGp_PM-v11.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-Ph1_PM-v7.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-Ph2_PM-v7.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-Ph3_PM-v7.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-SFS1_PM-v9.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-SFS2_PM-v9.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-STS1_PM-v5.3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-STS2_PM-v5.3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-TE-1.0_PM-v6.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-TE-1.1_PM-v6.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-TE-1.2_PM-v6.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-TE-2.1_PM-v6.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-TE-2.2_PM-v6.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-TE-3_PM-v6.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-TI_PM-v6.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-TPJ_PM-v6.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-TeI_PM-v6.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-hIP1_PM-v7.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-hIP2_PM-v7.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-hIP3_PM-v9.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-hIP4_PM-v7.3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-hIP5_PM-v7.3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-hIP6_PM-v7.3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-hIP7_PM-v7.3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-hIP8_PM-v7.3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-hOc1_PM-v4.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-hOc2_PM-v4.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-hOc3d_PM-v4.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-hOc3v_PM-v5.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-hOc4d_PM-v4.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-hOc4la_PM-v5.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-hOc4lp_PM-v5.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-hOc4v_PM-v5.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-hOc5_PM-v4.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-hOc6_PM-v7.3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-hPO1_PM-v7.3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-p24ab_PM-v20.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-p24ab.p24a_PM-v20.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-p24ab.p24b_PM-v20.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-p24c_PM-v20.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-p24c.pd24cd_PM-v20.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-p24c.pd24cv_PM-v20.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-p24c.pv24c_PM-v20.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-p32_PM-v20.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-s24_PM-v20.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-s24.s24a_PM-v20.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-s24.s24b_PM-v20.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-s32_PM-v20.1"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_BST_PM-v6.1"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_CA1_PM-v13.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_CA2_PM-v13.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_CA3_PM-v13.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_CGL_PM-v10.0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_CGM_PM-v10.0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_CM_PM-v8.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_CM.AAA_PM-v8.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_CM.Ce_PM-v8.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_CM.Me_PM-v8.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Ch-123_PM-v4.3"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Ch-4_PM-v4.3"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_DG_PM-v13.2"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Dorsal-Dentate-Nucleus_PM-v6.3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Entorhinal-Cortex_PM-v13.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Fastigial-Nucleus_PM-v6.3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Frontal-I_PM-v11.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Frontal-II_PM-v11.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Frontal-to-Occipital_PM-v11.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Frontal-to-Temporal-I_PM-v11.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Frontal-to-Temporal-II_PM-v11.4"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_FuCd_PM-v5.0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_FuP_PM-v5.0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_HATA_PM-v13.2"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_HC-Transsubiculum_PM-v13.2"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_IF_PM-v8.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_IF.ice_PM-v8.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_IF.iol_PM-v8.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_IF.ld_PM-v8.2"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Interposed-Nucleus_PM-v6.3"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_LB_PM-v8.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_LB.Bl_PM-v8.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_LB.Bm_PM-v8.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_LB.La_PM-v8.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_LB.Pl_PM-v8.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_MF_PM-v8.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_MF.icm_PM-v8.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_MF.lm_PM-v8.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_SF_PM-v8.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_SF.AHi_PM-v8.2"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_SF.APir_PM-v8.2"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_SF.VCo_PM-v8.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_STN_PM-v5.0"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Subiculum.PaS_PM-v13.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Subiculum.PreS_PM-v13.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Subiculum.ProS_PM-v13.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Subiculum.Sub_PM-v13.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Temporal-to-Parietal_PM-v11.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Terminal-islands_PM-v4.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Tuberculum_PM-v4.0"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_VP_PM-v5.0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_VTM_PM-v8.2"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Ventral-Dentate-Nucleus_PM-v6.3"
            },
        ],
        "ontologyIdentifier": None,
    },
    homepage=IRI("https://julich-brain-atlas.de/"),
    how_to_cite="Please refer to the atlas by its [RRID:SCR_023277](https://scicrunch.org/resolver/SCR_023277), and cite the following publications: [Amunts and Zilles (2015)](https://doi.org/10.1016/j.neuron.2015.12.001); [Amunts et al. (2020)](https://doi.org/10.1126/science.abb4588), [Amunts et al. (2022)](https://doi.org/10.25493/2BV2-001).",
    is_alternative_version_of=[
        {"@id": "https://openminds.om-i.org/instances/brainAtlasVersion/JBA_v3.0.1-BigBrain"},
        {"@id": "https://openminds.om-i.org/instances/brainAtlasVersion/JBA_v3.0.1-Colin27"},
        {"@id": "https://openminds.om-i.org/instances/brainAtlasVersion/JBA_v3.0.1-fsaverage"},
    ],
    is_new_version_of={"@id": "https://openminds.om-i.org/instances/brainAtlasVersion/JBA_v3.0-MNI152"},
    license={"@id": "https://openminds.om-i.org/instances/licenses/ccByNcSa4.0"},
    major_version_identifier="v3.0.1",
    short_name="Julich-Brain Atlas",
    support_channels=["julich-brain@fz-juelich.de"],
    type={"@id": "https://openminds.om-i.org/instances/atlasType/probabilisticAtlas"},
    version_identifier="v3.0.1, MNI152",
)
BrainAtlasVersion.jba_v3_0_2__big_brain = BrainAtlasVersion(
    id="https://openminds.om-i.org/instances/brainAtlasVersion/JBA_v3.0.2-BigBrain",
    abbreviation="JBA",
    accessibility={"@id": "https://openminds.om-i.org/instances/productAccessibility/freeAccess"},
    coordinate_space={"@id": "https://openminds.om-i.org/instances/commonCoordinateSpaceVersion/BigBrain_2015"},
    full_name="Julich-Brain Cytoarchitectonic Atlas",
    has_terminology={
        "@type": "https://openminds.om-i.org/types/ParcellationTerminologyVersion",
        "dataLocation": None,
        "hasEntity": [
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-6d1_int"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-6d2_int"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-6d3_int"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-6ma_int"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-MFG1_deep"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-MFG2_deep"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-SFS1_deep"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-SFS2_deep"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-STS1_int"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-STS2_int"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-TE-1.0_int"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-TE-1.1_int"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-TE-1.2_int"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-TE-3_int"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-hIP4_int"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-hIP5_int"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-hIP6_int"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-hIP7_int"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-hIP8_int"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-hOc1_deep"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-hOc2_deep"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-hOc3v_deep"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-hOc5_deep"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-hOc6_int"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-hPO1_int"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_CGM.CGMd_deep"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_CGM.CGMm_deep"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_CGM.CGMv_deep"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Entorhinal-Cortex_int"
            },
        ],
        "ontologyIdentifier": None,
    },
    homepage=IRI("https://julich-brain-atlas.de/"),
    how_to_cite="Please refer to the atlas by its [RRID:SCR_023277](https://scicrunch.org/resolver/SCR_023277), and cite the following publications: [Amunts and Zilles (2015)](https://doi.org/10.1016/j.neuron.2015.12.001); [Amunts et al. (2020)](https://doi.org/10.1126/science.abb4588), [Amunts et al. (2022)](https://doi.org/10.25493/TMQ3-0EP).",
    is_alternative_version_of=[
        {"@id": "https://openminds.om-i.org/instances/brainAtlasVersion/JBA_v3.0.2-Colin27"},
        {"@id": "https://openminds.om-i.org/instances/brainAtlasVersion/JBA_v3.0.2-fsaverage"},
        {"@id": "https://openminds.om-i.org/instances/brainAtlasVersion/JBA_v3.0.2-MNI152"},
    ],
    is_new_version_of={"@id": "https://openminds.om-i.org/instances/brainAtlasVersion/JBA_v3.0.1-BigBrain"},
    license={"@id": "https://openminds.om-i.org/instances/licenses/ccByNcSa4.0"},
    major_version_identifier="v3.0.2",
    short_name="Julich-Brain Atlas",
    support_channels=["julich-brain@fz-juelich.de"],
    type={"@id": "https://openminds.om-i.org/instances/atlasType/deterministicAtlas"},
    version_identifier="v3.0.2, BigBrain",
)
BrainAtlasVersion.jba_v3_0_2__colin27 = BrainAtlasVersion(
    id="https://openminds.om-i.org/instances/brainAtlasVersion/JBA_v3.0.2-Colin27",
    abbreviation="JBA",
    accessibility={"@id": "https://openminds.om-i.org/instances/productAccessibility/freeAccess"},
    coordinate_space={"@id": "https://openminds.om-i.org/instances/commonCoordinateSpaceVersion/MNI-Colin27_1998"},
    full_name="Julich-Brain Cytoarchitectonic Atlas",
    has_terminology={
        "@type": "https://openminds.om-i.org/types/ParcellationTerminologyVersion",
        "dataLocation": None,
        "hasEntity": [
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_AcbL_PM-v5.0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_AcbM_PM-v5.0"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-1_PM-v12.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-2_PM-v7.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-25_PM-v20.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-25.25a_PM-v20.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-25.25p_PM-v20.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-33_PM-v20.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-3a_PM-v12.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-3b_PM-v12.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-44_PM-v9.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-45_PM-v9.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-4a_PM-v13.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-4p_PM-v13.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-5Ci_PM-v9.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-5L_PM-v9.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-5M_PM-v9.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-6d1_PM-v7.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-6d2_PM-v7.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-6d3_PM-v7.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-6ma_PM-v12.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-6mp_PM-v12.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-7A_PM-v9.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-7M_PM-v9.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-7P_PM-v9.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-7PC_PM-v9.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-8d1_PM-v4.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-8d2_PM-v4.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-8v1_PM-v4.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-8v2_PM-v4.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-CoS1_PM-v7.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-FG1_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-FG2_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-FG3_PM-v7.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-FG4_PM-v7.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-Fo1_PM-v5.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-Fo2_PM-v5.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-Fo3_PM-v5.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-Fo4_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-Fo5_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-Fo6_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-Fo7_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-Fp1_PM-v5.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-Fp2_PM-v5.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-IFJ1_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-IFJ2_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-IFS1_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-IFS2_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-IFS3_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-IFS4_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-Ia1_PM-v5.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-Ia2_PM-v4.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-Ia3_PM-v4.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-Id1_PM-v14.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-Id10_PM-v4.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-Id2_PM-v9.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-Id3_PM-v9.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-Id4_PM-v5.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-Id5_PM-v5.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-Id6_PM-v5.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-Id7_PM-v8.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-Id8_PM-v4.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-Id9_PM-v4.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-Ig1_PM-v14.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-Ig2_PM-v14.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-Ig3_PM-v5.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-MFG1_PM-v9.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-MFG2_PM-v9.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-OP1_PM-v12.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-OP2_PM-v12.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-OP3_PM-v12.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-OP4_PM-v12.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-OP5_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-OP6_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-OP7_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-OP8_PM-v6.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-OP9_PM-v6.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-PF_PM-v11.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-PFcm_PM-v11.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-PFm_PM-v11.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-PFop_PM-v11.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-PFt_PM-v11.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-PGa_PM-v11.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-PGp_PM-v11.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-Ph1_PM-v7.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-Ph2_PM-v7.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-Ph3_PM-v7.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-SFS1_PM-v9.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-SFS2_PM-v9.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-STS1_PM-v5.3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-STS2_PM-v5.3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-TE-1.0_PM-v6.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-TE-1.1_PM-v6.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-TE-1.2_PM-v6.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-TE-2.1_PM-v6.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-TE-2.2_PM-v6.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-TE-3_PM-v6.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-TI_PM-v6.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-TPJ_PM-v6.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-TeI_PM-v6.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-hIP1_PM-v7.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-hIP2_PM-v7.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-hIP3_PM-v9.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-hIP4_PM-v7.3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-hIP5_PM-v7.3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-hIP6_PM-v7.3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-hIP7_PM-v7.3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-hIP8_PM-v7.3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-hOc1_PM-v4.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-hOc2_PM-v4.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-hOc3d_PM-v4.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-hOc3v_PM-v5.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-hOc4d_PM-v4.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-hOc4la_PM-v5.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-hOc4lp_PM-v5.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-hOc4v_PM-v5.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-hOc5_PM-v4.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-hOc6_PM-v7.3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-hPO1_PM-v7.3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-p24ab_PM-v20.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-p24ab.p24a_PM-v20.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-p24ab.p24b_PM-v20.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-p24c_PM-v20.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-p24c.pd24cd_PM-v20.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-p24c.pd24cv_PM-v20.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-p24c.pv24c_PM-v20.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-p32_PM-v20.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-s24_PM-v20.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-s24.s24a_PM-v20.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-s24.s24b_PM-v20.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-s32_PM-v20.1"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_BST_PM-v6.1"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_CA1_PM-v13.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_CA2_PM-v13.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_CA3_PM-v13.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_CGL_PM-v10.0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_CGM_PM-v10.0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_CM_PM-v8.2"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_CM.AAA_PM-v8.2"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_CM.Ce_PM-v8.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_CM.Me_PM-v8.2"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Ch-123_PM-v4.3"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Ch-4_PM-v4.3"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_DG_PM-v13.2"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Dorsal-Dentate-Nucleus_PM-v6.3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Entorhinal-Cortex_PM-v13.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Fastigial-Nucleus_PM-v6.3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Frontal-I_PM-v11.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Frontal-II_PM-v11.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Frontal-to-Occipital_PM-v11.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Frontal-to-Temporal-I_PM-v11.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Frontal-to-Temporal-II_PM-v11.4"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_FuCd_PM-v5.0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_FuP_PM-v5.0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_HATA_PM-v13.2"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_HC-Transsubiculum_PM-v13.2"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_IF_PM-v8.2"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_IF.ice_PM-v8.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_IF.iol_PM-v8.2"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_IF.ld_PM-v8.2"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Interposed-Nucleus_PM-v6.3"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_LB_PM-v8.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_LB.Bl_PM-v8.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_LB.Bm_PM-v8.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_LB.La_PM-v8.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_LB.Pl_PM-v8.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_MF_PM-v8.2"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_MF.icm_PM-v8.2"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_MF.lm_PM-v8.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_SF_PM-v8.2"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_SF.AHi_PM-v8.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_SF.APir_PM-v8.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_SF.VCo_PM-v8.2"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_STN_PM-v5.0"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Subiculum.PaS_PM-v13.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Subiculum.PreS_PM-v13.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Subiculum.ProS_PM-v13.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Subiculum.Sub_PM-v13.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Temporal-to-Parietal_PM-v11.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Terminal-islands_PM-v4.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Tuberculum_PM-v4.0"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_VP_PM-v5.0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_VTM_PM-v8.2"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Ventral-Dentate-Nucleus_PM-v6.3"
            },
        ],
        "ontologyIdentifier": None,
    },
    homepage=IRI("https://julich-brain-atlas.de/"),
    how_to_cite="Please refer to the atlas by its [RRID:SCR_023277](https://scicrunch.org/resolver/SCR_023277), and cite the following publications: [Amunts and Zilles (2015)](https://doi.org/10.1016/j.neuron.2015.12.001); [Amunts et al. (2020)](https://doi.org/10.1126/science.abb4588), [Amunts et al. (2022)](https://doi.org/10.25493/TMQ3-0EP).",
    is_alternative_version_of=[
        {"@id": "https://openminds.om-i.org/instances/brainAtlasVersion/JBA_v3.0.2-BigBrain"},
        {"@id": "https://openminds.om-i.org/instances/brainAtlasVersion/JBA_v3.0.2-fsaverage"},
        {"@id": "https://openminds.om-i.org/instances/brainAtlasVersion/JBA_v3.0.2-MNI152"},
    ],
    is_new_version_of={"@id": "https://openminds.om-i.org/instances/brainAtlasVersion/JBA_v3.0.1-Colin27"},
    license={"@id": "https://openminds.om-i.org/instances/licenses/ccByNcSa4.0"},
    major_version_identifier="v3.0.2",
    short_name="Julich-Brain Atlas",
    support_channels=["julich-brain@fz-juelich.de"],
    type={"@id": "https://openminds.om-i.org/instances/atlasType/probabilisticAtlas"},
    version_identifier="v3.0.2, Colin27",
)
BrainAtlasVersion.jba_v3_0_2_fsaverage = BrainAtlasVersion(
    id="https://openminds.om-i.org/instances/brainAtlasVersion/JBA_v3.0.2-fsaverage",
    abbreviation="JBA",
    accessibility={"@id": "https://openminds.om-i.org/instances/productAccessibility/freeAccess"},
    coordinate_space={"@id": "https://openminds.om-i.org/instances/commonCoordinateSpaceVersion/fsaverage_7"},
    full_name="Julich-Brain Cytoarchitectonic Atlas",
    has_terminology={
        "@type": "https://openminds.om-i.org/types/ParcellationTerminologyVersion",
        "dataLocation": None,
        "hasEntity": [
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-1_PM-v12.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-2_PM-v7.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-25_PM-v20.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-33_PM-v20.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-3a_PM-v12.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-3b_PM-v12.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-44_PM-v9.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-45_PM-v9.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-4a_PM-v13.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-4p_PM-v13.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-5Ci_PM-v9.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-5L_PM-v9.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-5M_PM-v9.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-6d1_PM-v7.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-6d2_PM-v7.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-6d3_PM-v7.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-6ma_PM-v12.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-6mp_PM-v12.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-7A_PM-v9.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-7M_PM-v9.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-7P_PM-v9.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-7PC_PM-v9.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-8d1_PM-v4.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-8d2_PM-v4.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-8v1_PM-v4.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-8v2_PM-v4.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-CoS1_PM-v7.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-FG1_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-FG2_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-FG3_PM-v7.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-FG4_PM-v7.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-Fo1_PM-v5.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-Fo2_PM-v5.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-Fo3_PM-v5.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-Fo4_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-Fo5_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-Fo6_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-Fo7_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-Fp1_PM-v5.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-Fp2_PM-v5.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-IFJ1_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-IFJ2_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-IFS1_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-IFS2_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-IFS3_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-IFS4_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-Ia1_PM-v5.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-Ia2_PM-v4.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-Ia3_PM-v4.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-Id1_PM-v14.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-Id10_PM-v4.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-Id2_PM-v9.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-Id3_PM-v9.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-Id4_PM-v5.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-Id5_PM-v5.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-Id6_PM-v5.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-Id7_PM-v8.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-Id8_PM-v4.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-Id9_PM-v4.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-Ig1_PM-v14.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-Ig2_PM-v14.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-Ig3_PM-v5.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-MFG1_PM-v9.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-MFG2_PM-v9.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-OP1_PM-v12.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-OP2_PM-v12.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-OP3_PM-v12.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-OP4_PM-v12.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-OP5_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-OP6_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-OP7_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-OP8_PM-v6.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-OP9_PM-v6.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-PF_PM-v11.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-PFcm_PM-v11.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-PFm_PM-v11.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-PFop_PM-v11.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-PFt_PM-v11.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-PGa_PM-v11.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-PGp_PM-v11.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-Ph1_PM-v7.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-Ph2_PM-v7.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-Ph3_PM-v7.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-SFS1_PM-v9.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-SFS2_PM-v9.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-STS1_PM-v5.3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-STS2_PM-v5.3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-TE-1.0_PM-v6.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-TE-1.1_PM-v6.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-TE-1.2_PM-v6.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-TE-2.1_PM-v6.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-TE-2.2_PM-v6.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-TE-3_PM-v6.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-TI_PM-v6.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-TPJ_PM-v6.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-TeI_PM-v6.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-hIP1_PM-v7.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-hIP2_PM-v7.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-hIP3_PM-v9.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-hIP4_PM-v7.3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-hIP5_PM-v7.3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-hIP6_PM-v7.3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-hIP7_PM-v7.3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-hIP8_PM-v7.3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-hOc1_PM-v4.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-hOc2_PM-v4.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-hOc3d_PM-v4.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-hOc3v_PM-v5.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-hOc4d_PM-v4.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-hOc4la_PM-v5.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-hOc4lp_PM-v5.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-hOc4v_PM-v5.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-hOc5_PM-v4.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-hOc6_PM-v7.3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-hPO1_PM-v7.3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-p24ab_PM-v20.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-p24c_PM-v20.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-p32_PM-v20.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-s24_PM-v20.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-s32_PM-v20.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_CA1_PM-v13.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_CA2_PM-v13.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_CA3_PM-v13.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_CGL_PM-v10.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_CGM_PM-v10.0"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_DG_PM-v13.2"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Entorhinal-Cortex_PM-v13.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Frontal-I_PM-v11.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Frontal-II_PM-v11.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Frontal-to-Occipital_PM-v11.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Frontal-to-Temporal-I_PM-v11.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Frontal-to-Temporal-II_PM-v11.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_HATA_PM-v13.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_HC-Transsubiculum_PM-v13.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Subiculum.PaS_PM-v13.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Subiculum.PreS_PM-v13.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Subiculum.ProS_PM-v13.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Subiculum.Sub_PM-v13.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Temporal-to-Parietal_PM-v11.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Tuberculum_PM-v4.0"
            },
        ],
        "ontologyIdentifier": None,
    },
    homepage=IRI("https://julich-brain-atlas.de/"),
    how_to_cite="Please refer to the atlas by its [RRID:SCR_023277](https://scicrunch.org/resolver/SCR_023277), and cite the following publications: [Amunts and Zilles (2015)](https://doi.org/10.1016/j.neuron.2015.12.001); [Amunts et al. (2020)](https://doi.org/10.1126/science.abb4588), [Amunts et al. (2022)](https://doi.org/10.25493/TMQ3-0EP).",
    is_alternative_version_of=[
        {"@id": "https://openminds.om-i.org/instances/brainAtlasVersion/JBA_v3.0.2-BigBrain"},
        {"@id": "https://openminds.om-i.org/instances/brainAtlasVersion/JBA_v3.0.2-Colin27"},
        {"@id": "https://openminds.om-i.org/instances/brainAtlasVersion/JBA_v3.0.2-MNI152"},
    ],
    is_new_version_of={"@id": "https://openminds.om-i.org/instances/brainAtlasVersion/JBA_v3.0.1-fsaverage"},
    license={"@id": "https://openminds.om-i.org/instances/licenses/ccByNcSa4.0"},
    major_version_identifier="v3.0.2",
    short_name="Julich-Brain Atlas",
    support_channels=["julich-brain@fz-juelich.de"],
    type={"@id": "https://openminds.om-i.org/instances/atlasType/probabilisticAtlas"},
    version_identifier="v3.0.2, fsaverage",
)
BrainAtlasVersion.jba_v3_0_2_mni152 = BrainAtlasVersion(
    id="https://openminds.om-i.org/instances/brainAtlasVersion/JBA_v3.0.2-MNI152",
    abbreviation="JBA",
    accessibility={"@id": "https://openminds.om-i.org/instances/productAccessibility/freeAccess"},
    coordinate_space={
        "@id": "https://openminds.om-i.org/instances/commonCoordinateSpaceVersion/MNI-ICBM152_nonlinear-2009c-asym"
    },
    full_name="Julich-Brain Cytoarchitectonic Atlas",
    has_terminology={
        "@type": "https://openminds.om-i.org/types/ParcellationTerminologyVersion",
        "dataLocation": None,
        "hasEntity": [
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_AcbL_PM-v5.0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_AcbM_PM-v5.0"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-1_PM-v12.1"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-2_PM-v7.1"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-25_PM-v20.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-25.25a_PM-v20.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-25.25p_PM-v20.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-33_PM-v20.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-3a_PM-v12.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-3b_PM-v12.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-44_PM-v9.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-45_PM-v9.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-4a_PM-v13.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-4p_PM-v13.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-5Ci_PM-v9.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-5L_PM-v9.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-5M_PM-v9.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-6d1_PM-v7.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-6d2_PM-v7.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-6d3_PM-v7.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-6ma_PM-v12.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-6mp_PM-v12.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-7A_PM-v9.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-7M_PM-v9.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-7P_PM-v9.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-7PC_PM-v9.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-8d1_PM-v4.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-8d2_PM-v4.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-8v1_PM-v4.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-8v2_PM-v4.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-CoS1_PM-v7.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-FG1_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-FG2_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-FG3_PM-v7.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-FG4_PM-v7.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-Fo1_PM-v5.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-Fo2_PM-v5.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-Fo3_PM-v5.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-Fo4_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-Fo5_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-Fo6_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-Fo7_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-Fp1_PM-v5.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-Fp2_PM-v5.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-IFJ1_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-IFJ2_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-IFS1_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-IFS2_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-IFS3_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-IFS4_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-Ia1_PM-v5.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-Ia2_PM-v4.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-Ia3_PM-v4.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-Id1_PM-v14.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-Id10_PM-v4.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-Id2_PM-v9.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-Id3_PM-v9.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-Id4_PM-v5.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-Id5_PM-v5.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-Id6_PM-v5.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-Id7_PM-v8.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-Id8_PM-v4.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-Id9_PM-v4.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-Ig1_PM-v14.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-Ig2_PM-v14.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-Ig3_PM-v5.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-MFG1_PM-v9.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-MFG2_PM-v9.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-OP1_PM-v12.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-OP2_PM-v12.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-OP3_PM-v12.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-OP4_PM-v12.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-OP5_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-OP6_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-OP7_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-OP8_PM-v6.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-OP9_PM-v6.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-PF_PM-v11.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-PFcm_PM-v11.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-PFm_PM-v11.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-PFop_PM-v11.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-PFt_PM-v11.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-PGa_PM-v11.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-PGp_PM-v11.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-Ph1_PM-v7.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-Ph2_PM-v7.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-Ph3_PM-v7.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-SFS1_PM-v9.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-SFS2_PM-v9.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-STS1_PM-v5.3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-STS2_PM-v5.3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-TE-1.0_PM-v6.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-TE-1.1_PM-v6.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-TE-1.2_PM-v6.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-TE-2.1_PM-v6.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-TE-2.2_PM-v6.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-TE-3_PM-v6.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-TI_PM-v6.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-TPJ_PM-v6.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-TeI_PM-v6.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-hIP1_PM-v7.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-hIP2_PM-v7.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-hIP3_PM-v9.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-hIP4_PM-v7.3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-hIP5_PM-v7.3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-hIP6_PM-v7.3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-hIP7_PM-v7.3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-hIP8_PM-v7.3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-hOc1_PM-v4.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-hOc2_PM-v4.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-hOc3d_PM-v4.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-hOc3v_PM-v5.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-hOc4d_PM-v4.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-hOc4la_PM-v5.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-hOc4lp_PM-v5.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-hOc4v_PM-v5.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-hOc5_PM-v4.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-hOc6_PM-v7.3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-hPO1_PM-v7.3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-p24ab_PM-v20.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-p24ab.p24a_PM-v20.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-p24ab.p24b_PM-v20.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-p24c_PM-v20.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-p24c.pd24cd_PM-v20.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-p24c.pd24cv_PM-v20.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-p24c.pv24c_PM-v20.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-p32_PM-v20.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-s24_PM-v20.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-s24.s24a_PM-v20.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-s24.s24b_PM-v20.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-s32_PM-v20.1"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_BST_PM-v6.1"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_CA1_PM-v13.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_CA2_PM-v13.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_CA3_PM-v13.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_CGL_PM-v10.0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_CGM_PM-v10.0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_CM_PM-v8.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_CM.AAA_PM-v8.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_CM.Ce_PM-v8.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_CM.Me_PM-v8.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Ch-123_PM-v4.3"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Ch-4_PM-v4.3"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_DG_PM-v13.2"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Dorsal-Dentate-Nucleus_PM-v6.3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Entorhinal-Cortex_PM-v13.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Fastigial-Nucleus_PM-v6.3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Frontal-I_PM-v11.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Frontal-II_PM-v11.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Frontal-to-Occipital_PM-v11.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Frontal-to-Temporal-I_PM-v11.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Frontal-to-Temporal-II_PM-v11.4"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_FuCd_PM-v5.0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_FuP_PM-v5.0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_HATA_PM-v13.2"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_HC-Transsubiculum_PM-v13.2"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_IF_PM-v8.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_IF.ice_PM-v8.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_IF.iol_PM-v8.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_IF.ld_PM-v8.2"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Interposed-Nucleus_PM-v6.3"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_LB_PM-v8.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_LB.Bl_PM-v8.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_LB.Bm_PM-v8.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_LB.La_PM-v8.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_LB.Pl_PM-v8.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_MF_PM-v8.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_MF.icm_PM-v8.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_MF.lm_PM-v8.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_SF_PM-v8.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_SF.AHi_PM-v8.2"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_SF.APir_PM-v8.2"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_SF.VCo_PM-v8.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_STN_PM-v5.0"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Subiculum.PaS_PM-v13.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Subiculum.PreS_PM-v13.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Subiculum.ProS_PM-v13.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Subiculum.Sub_PM-v13.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Temporal-to-Parietal_PM-v11.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Terminal-islands_PM-v4.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Tuberculum_PM-v4.0"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_VP_PM-v5.0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_VTM_PM-v8.2"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Ventral-Dentate-Nucleus_PM-v6.3"
            },
        ],
        "ontologyIdentifier": None,
    },
    homepage=IRI("https://julich-brain-atlas.de/"),
    how_to_cite="Please refer to the atlas by its [RRID:SCR_023277](https://scicrunch.org/resolver/SCR_023277), and cite the following publications: [Amunts and Zilles (2015)](https://doi.org/10.1016/j.neuron.2015.12.001); [Amunts et al. (2020)](https://doi.org/10.1126/science.abb4588), [Amunts et al. (2022)](https://doi.org/10.25493/TMQ3-0EP).",
    is_alternative_version_of=[
        {"@id": "https://openminds.om-i.org/instances/brainAtlasVersion/JBA_v3.0.2-BigBrain"},
        {"@id": "https://openminds.om-i.org/instances/brainAtlasVersion/JBA_v3.0.2-Colin27"},
        {"@id": "https://openminds.om-i.org/instances/brainAtlasVersion/JBA_v3.0.2-fsaverage"},
    ],
    is_new_version_of={"@id": "https://openminds.om-i.org/instances/brainAtlasVersion/JBA_v3.0.1-MNI152"},
    license={"@id": "https://openminds.om-i.org/instances/licenses/ccByNcSa4.0"},
    major_version_identifier="v3.0.2",
    short_name="Julich-Brain Atlas",
    support_channels=["julich-brain@fz-juelich.de"],
    type={"@id": "https://openminds.om-i.org/instances/atlasType/probabilisticAtlas"},
    version_identifier="v3.0.2, MNI152",
)
BrainAtlasVersion.jba_v3_0_3__big_brain = BrainAtlasVersion(
    id="https://openminds.om-i.org/instances/brainAtlasVersion/JBA_v3.0.3-BigBrain",
    abbreviation="JBA",
    accessibility={"@id": "https://openminds.om-i.org/instances/productAccessibility/freeAccess"},
    coordinate_space={"@id": "https://openminds.om-i.org/instances/commonCoordinateSpaceVersion/BigBrain_2015"},
    full_name="Julich-Brain Cytoarchitectonic Atlas",
    has_terminology={
        "@type": "https://openminds.om-i.org/types/ParcellationTerminologyVersion",
        "dataLocation": None,
        "hasEntity": [
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-BigBrain_Area-6d1_int"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-BigBrain_Area-6d2_int"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-BigBrain_Area-6d3_int"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-BigBrain_Area-6ma_int"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-BigBrain_Area-MFG1_deep"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-BigBrain_Area-MFG2_deep"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-BigBrain_Area-SFS1_deep"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-BigBrain_Area-SFS2_deep"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-BigBrain_Area-STS1_int"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-BigBrain_Area-STS2_int"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-BigBrain_Area-TE-1.0_int"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-BigBrain_Area-TE-1.1_int"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-BigBrain_Area-TE-1.2_int"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-BigBrain_Area-TE-3_int"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-BigBrain_Area-hIP4_int"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-BigBrain_Area-hIP5_int"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-BigBrain_Area-hIP6_int"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-BigBrain_Area-hIP7_int"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-BigBrain_Area-hIP8_int"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-BigBrain_Area-hOc1_deep"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-BigBrain_Area-hOc2_deep"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-BigBrain_Area-hOc3v_deep"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-BigBrain_Area-hOc5_deep"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-BigBrain_Area-hOc6_int"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-BigBrain_Area-hPO1_int"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-BigBrain_CGM.CGMd_deep"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-BigBrain_CGM.CGMm_deep"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-BigBrain_CGM.CGMv_deep"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-BigBrain_Entorhinal-Cortex_int"
            },
        ],
        "ontologyIdentifier": None,
    },
    homepage=IRI("https://julich-brain-atlas.de/"),
    how_to_cite="Please refer to the atlas by its [RRID:SCR_023277](https://scicrunch.org/resolver/SCR_023277), and cite the following publications: [Amunts and Zilles (2015)](https://doi.org/10.1016/j.neuron.2015.12.001); [Amunts et al. (2020)](https://doi.org/10.1126/science.abb4588), [Amunts et al. (2023)](https://doi.org/10.25493/56EM-75H).",
    is_alternative_version_of=[
        {"@id": "https://openminds.om-i.org/instances/brainAtlasVersion/JBA_v3.0.3-Colin27"},
        {"@id": "https://openminds.om-i.org/instances/brainAtlasVersion/JBA_v3.0.3-fsaverage"},
        {"@id": "https://openminds.om-i.org/instances/brainAtlasVersion/JBA_v3.0.3-MNI152"},
    ],
    is_new_version_of={"@id": "https://openminds.om-i.org/instances/brainAtlasVersion/JBA_v3.0.2-BigBrain"},
    license={"@id": "https://openminds.om-i.org/instances/licenses/ccByNcSa4.0"},
    major_version_identifier="v3.0.3",
    short_name="Julich-Brain Atlas",
    support_channels=["julich-brain@fz-juelich.de"],
    type={"@id": "https://openminds.om-i.org/instances/atlasType/deterministicAtlas"},
    version_identifier="v3.0.3, BigBrain",
)
BrainAtlasVersion.jba_v3_0_3__colin27 = BrainAtlasVersion(
    id="https://openminds.om-i.org/instances/brainAtlasVersion/JBA_v3.0.3-Colin27",
    abbreviation="JBA",
    accessibility={"@id": "https://openminds.om-i.org/instances/productAccessibility/freeAccess"},
    coordinate_space={"@id": "https://openminds.om-i.org/instances/commonCoordinateSpaceVersion/MNI-Colin27_1998"},
    full_name="Julich-Brain Cytoarchitectonic Atlas",
    has_terminology={
        "@type": "https://openminds.om-i.org/types/ParcellationTerminologyVersion",
        "dataLocation": None,
        "hasEntity": [
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_AcbL_PM-v5.0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_AcbM_PM-v5.0"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-1_PM-v12.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-2_PM-v7.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-25_PM-v20.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-25.25a_PM-v20.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-25.25p_PM-v20.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-33_PM-v20.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-3a_PM-v12.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-3b_PM-v12.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-44_PM-v9.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-45_PM-v9.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-4a_PM-v13.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-4p_PM-v13.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-5Ci_PM-v9.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-5L_PM-v9.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-5M_PM-v9.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-6d1_PM-v7.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-6d2_PM-v7.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-6d3_PM-v7.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-6ma_PM-v12.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-6mp_PM-v12.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-7A_PM-v9.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-7M_PM-v9.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-7P_PM-v9.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-7PC_PM-v9.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-8d1_PM-v4.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-8d2_PM-v4.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-8v1_PM-v4.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-8v2_PM-v4.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-CoS1_PM-v7.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-FG1_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-FG2_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-FG3_PM-v7.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-FG4_PM-v7.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-Fo1_PM-v5.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-Fo2_PM-v5.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-Fo3_PM-v5.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-Fo4_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-Fo5_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-Fo6_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-Fo7_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-Fp1_PM-v5.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-Fp2_PM-v5.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-IFJ1_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-IFJ2_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-IFS1_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-IFS2_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-IFS3_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-IFS4_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-Ia1_PM-v5.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-Ia2_PM-v4.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-Ia3_PM-v4.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-Id1_PM-v14.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-Id10_PM-v4.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-Id2_PM-v9.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-Id3_PM-v9.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-Id4_PM-v5.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-Id5_PM-v5.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-Id6_PM-v5.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-Id7_PM-v8.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-Id8_PM-v4.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-Id9_PM-v4.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-Ig1_PM-v14.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-Ig2_PM-v14.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-Ig3_PM-v5.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-MFG1_PM-v9.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-MFG2_PM-v9.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-OP1_PM-v12.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-OP2_PM-v12.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-OP3_PM-v12.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-OP4_PM-v12.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-OP5_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-OP6_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-OP7_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-OP8_PM-v6.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-OP9_PM-v6.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-PF_PM-v11.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-PFcm_PM-v11.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-PFm_PM-v11.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-PFop_PM-v11.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-PFt_PM-v11.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-PGa_PM-v11.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-PGp_PM-v11.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-Ph1_PM-v7.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-Ph2_PM-v7.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-Ph3_PM-v7.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-SFS1_PM-v9.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-SFS2_PM-v9.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-STS1_PM-v5.3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-STS2_PM-v5.3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-TE-1.0_PM-v6.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-TE-1.1_PM-v6.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-TE-1.2_PM-v6.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-TE-2.1_PM-v6.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-TE-2.2_PM-v6.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-TE-3_PM-v6.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-TI_PM-v6.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-TPJ_PM-v6.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-TeI_PM-v6.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-hIP1_PM-v7.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-hIP2_PM-v7.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-hIP3_PM-v9.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-hIP4_PM-v7.3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-hIP5_PM-v7.3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-hIP6_PM-v7.3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-hIP7_PM-v7.3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-hIP8_PM-v7.3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-hOc1_PM-v4.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-hOc2_PM-v4.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-hOc3d_PM-v4.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-hOc3v_PM-v5.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-hOc4d_PM-v4.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-hOc4la_PM-v5.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-hOc4lp_PM-v5.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-hOc4v_PM-v5.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-hOc5_PM-v4.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-hOc6_PM-v7.3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-hPO1_PM-v7.3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-p24ab_PM-v20.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-p24ab.p24a_PM-v20.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-p24ab.p24b_PM-v20.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-p24c_PM-v20.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-p24c.pd24cd_PM-v20.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-p24c.pd24cv_PM-v20.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-p24c.pv24c_PM-v20.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-p32_PM-v20.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-s24_PM-v20.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-s24.s24a_PM-v20.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-s24.s24b_PM-v20.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-s32_PM-v20.1"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_BST_PM-v6.1"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_CA1_PM-v13.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_CA2_PM-v13.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_CA3_PM-v13.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_CGL_PM-v10.0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_CGM_PM-v10.0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_CM_PM-v8.2"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_CM.AAA_PM-v8.2"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_CM.Ce_PM-v8.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_CM.Me_PM-v8.2"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Ch-123_PM-v4.3"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Ch-4_PM-v4.3"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_DG_PM-v13.2"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Dorsal-Dentate-Nucleus_PM-v6.3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Entorhinal-Cortex_PM-v13.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Fastigial-Nucleus_PM-v6.3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Frontal-I_PM-v11.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Frontal-II_PM-v11.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Frontal-to-Occipital_PM-v11.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Frontal-to-Temporal-I_PM-v11.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Frontal-to-Temporal-II_PM-v11.4"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_FuCd_PM-v5.0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_FuP_PM-v5.0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_HATA_PM-v13.2"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_HC-Transsubiculum_PM-v13.2"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_IF_PM-v8.2"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_IF.ice_PM-v8.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_IF.iol_PM-v8.2"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_IF.ld_PM-v8.2"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Interposed-Nucleus_PM-v6.3"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_LB_PM-v8.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_LB.Bl_PM-v8.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_LB.Bm_PM-v8.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_LB.La_PM-v8.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_LB.Pl_PM-v8.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_MF_PM-v8.2"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_MF.icm_PM-v8.2"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_MF.lm_PM-v8.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_SF_PM-v8.2"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_SF.AHi_PM-v8.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_SF.APir_PM-v8.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_SF.VCo_PM-v8.2"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_STN_PM-v5.0"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Subiculum.PaS_PM-v13.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Subiculum.PreS_PM-v13.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Subiculum.ProS_PM-v13.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Subiculum.Sub_PM-v13.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Temporal-to-Parietal_PM-v11.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Terminal-islands_PM-v4.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Tuberculum_PM-v4.0"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_VP_PM-v5.0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_VTM_PM-v8.2"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Ventral-Dentate-Nucleus_PM-v6.3"
            },
        ],
        "ontologyIdentifier": None,
    },
    homepage=IRI("https://julich-brain-atlas.de/"),
    how_to_cite="Please refer to the atlas by its [RRID:SCR_023277](https://scicrunch.org/resolver/SCR_023277), and cite the following publications: [Amunts and Zilles (2015)](https://doi.org/10.1016/j.neuron.2015.12.001); [Amunts et al. (2020)](https://doi.org/10.1126/science.abb4588), [Amunts et al. (2023)](https://doi.org/10.25493/56EM-75H).",
    is_alternative_version_of=[
        {"@id": "https://openminds.om-i.org/instances/brainAtlasVersion/JBA_v3.0.3-BigBrain"},
        {"@id": "https://openminds.om-i.org/instances/brainAtlasVersion/JBA_v3.0.3-fsaverage"},
        {"@id": "https://openminds.om-i.org/instances/brainAtlasVersion/JBA_v3.0.3-MNI152"},
    ],
    is_new_version_of={"@id": "https://openminds.om-i.org/instances/brainAtlasVersion/JBA_v3.0.2-Colin27"},
    license={"@id": "https://openminds.om-i.org/instances/licenses/ccByNcSa4.0"},
    major_version_identifier="v3.0.3",
    short_name="Julich-Brain Atlas",
    support_channels=["julich-brain@fz-juelich.de"],
    type={"@id": "https://openminds.om-i.org/instances/atlasType/probabilisticAtlas"},
    version_identifier="v3.0.3, Colin27",
)
BrainAtlasVersion.jba_v3_0_3_fsaverage = BrainAtlasVersion(
    id="https://openminds.om-i.org/instances/brainAtlasVersion/JBA_v3.0.3-fsaverage",
    abbreviation="JBA",
    accessibility={"@id": "https://openminds.om-i.org/instances/productAccessibility/freeAccess"},
    coordinate_space={"@id": "https://openminds.om-i.org/instances/commonCoordinateSpaceVersion/fsaverage_7"},
    full_name="Julich-Brain Cytoarchitectonic Atlas",
    has_terminology={
        "@type": "https://openminds.om-i.org/types/ParcellationTerminologyVersion",
        "dataLocation": None,
        "hasEntity": [
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-1_PM-v12.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-2_PM-v7.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-25_PM-v20.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-33_PM-v20.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-3a_PM-v12.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-3b_PM-v12.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-44_PM-v9.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-45_PM-v9.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-4a_PM-v13.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-4p_PM-v13.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-5Ci_PM-v9.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-5L_PM-v9.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-5M_PM-v9.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-6d1_PM-v7.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-6d2_PM-v7.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-6d3_PM-v7.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-6ma_PM-v12.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-6mp_PM-v12.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-7A_PM-v9.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-7M_PM-v9.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-7P_PM-v9.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-7PC_PM-v9.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-8d1_PM-v4.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-8d2_PM-v4.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-8v1_PM-v4.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-8v2_PM-v4.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-CoS1_PM-v7.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-FG1_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-FG2_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-FG3_PM-v7.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-FG4_PM-v7.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-Fo1_PM-v5.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-Fo2_PM-v5.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-Fo3_PM-v5.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-Fo4_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-Fo5_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-Fo6_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-Fo7_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-Fp1_PM-v5.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-Fp2_PM-v5.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-IFJ1_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-IFJ2_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-IFS1_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-IFS2_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-IFS3_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-IFS4_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-Ia1_PM-v5.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-Ia2_PM-v4.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-Ia3_PM-v4.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-Id1_PM-v14.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-Id10_PM-v4.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-Id2_PM-v9.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-Id3_PM-v9.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-Id4_PM-v5.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-Id5_PM-v5.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-Id6_PM-v5.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-Id7_PM-v8.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-Id8_PM-v4.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-Id9_PM-v4.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-Ig1_PM-v14.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-Ig2_PM-v14.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-Ig3_PM-v5.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-MFG1_PM-v9.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-MFG2_PM-v9.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-OP1_PM-v12.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-OP2_PM-v12.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-OP3_PM-v12.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-OP4_PM-v12.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-OP5_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-OP6_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-OP7_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-OP8_PM-v6.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-OP9_PM-v6.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-PF_PM-v11.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-PFcm_PM-v11.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-PFm_PM-v11.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-PFop_PM-v11.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-PFt_PM-v11.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-PGa_PM-v11.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-PGp_PM-v11.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-Ph1_PM-v7.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-Ph2_PM-v7.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-Ph3_PM-v7.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-SFS1_PM-v9.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-SFS2_PM-v9.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-STS1_PM-v5.3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-STS2_PM-v5.3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-TE-1.0_PM-v6.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-TE-1.1_PM-v6.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-TE-1.2_PM-v6.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-TE-2.1_PM-v6.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-TE-2.2_PM-v6.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-TE-3_PM-v6.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-TI_PM-v6.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-TPJ_PM-v6.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-TeI_PM-v6.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-hIP1_PM-v7.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-hIP2_PM-v7.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-hIP3_PM-v9.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-hIP4_PM-v7.3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-hIP5_PM-v7.3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-hIP6_PM-v7.3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-hIP7_PM-v7.3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-hIP8_PM-v7.3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-hOc1_PM-v4.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-hOc2_PM-v4.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-hOc3d_PM-v4.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-hOc3v_PM-v5.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-hOc4d_PM-v4.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-hOc4la_PM-v5.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-hOc4lp_PM-v5.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-hOc4v_PM-v5.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-hOc5_PM-v4.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-hOc6_PM-v7.3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-hPO1_PM-v7.3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-p24ab_PM-v20.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-p24c_PM-v20.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-p32_PM-v20.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-s24_PM-v20.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-s32_PM-v20.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_CA1_PM-v13.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_CA2_PM-v13.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_CA3_PM-v13.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_CGL_PM-v10.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_CGM_PM-v10.0"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_DG_PM-v13.2"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Entorhinal-Cortex_PM-v13.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Frontal-I_PM-v11.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Frontal-II_PM-v11.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Frontal-to-Occipital_PM-v11.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Frontal-to-Temporal-I_PM-v11.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Frontal-to-Temporal-II_PM-v11.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_HATA_PM-v13.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_HC-Transsubiculum_PM-v13.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Subiculum.PaS_PM-v13.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Subiculum.PreS_PM-v13.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Subiculum.ProS_PM-v13.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Subiculum.Sub_PM-v13.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Temporal-to-Parietal_PM-v11.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Tuberculum_PM-v4.0"
            },
        ],
        "ontologyIdentifier": None,
    },
    homepage=IRI("https://julich-brain-atlas.de/"),
    how_to_cite="Please refer to the atlas by its [RRID:SCR_023277](https://scicrunch.org/resolver/SCR_023277), and cite the following publications: [Amunts and Zilles (2015)](https://doi.org/10.1016/j.neuron.2015.12.001); [Amunts et al. (2020)](https://doi.org/10.1126/science.abb4588), [Amunts et al. (2023)](https://doi.org/10.25493/56EM-75H).",
    is_alternative_version_of=[
        {"@id": "https://openminds.om-i.org/instances/brainAtlasVersion/JBA_v3.0.3-BigBrain"},
        {"@id": "https://openminds.om-i.org/instances/brainAtlasVersion/JBA_v3.0.3-Colin27"},
        {"@id": "https://openminds.om-i.org/instances/brainAtlasVersion/JBA_v3.0.3-MNI152"},
    ],
    is_new_version_of={"@id": "https://openminds.om-i.org/instances/brainAtlasVersion/JBA_v3.0.2-fsaverage"},
    license={"@id": "https://openminds.om-i.org/instances/licenses/ccByNcSa4.0"},
    major_version_identifier="v3.0.3",
    short_name="Julich-Brain Atlas",
    support_channels=["julich-brain@fz-juelich.de"],
    type={"@id": "https://openminds.om-i.org/instances/atlasType/probabilisticAtlas"},
    version_identifier="v3.0.3, fsaverage",
)
BrainAtlasVersion.jba_v3_0_3_mni152 = BrainAtlasVersion(
    id="https://openminds.om-i.org/instances/brainAtlasVersion/JBA_v3.0.3-MNI152",
    abbreviation="JBA",
    accessibility={"@id": "https://openminds.om-i.org/instances/productAccessibility/freeAccess"},
    coordinate_space={
        "@id": "https://openminds.om-i.org/instances/commonCoordinateSpaceVersion/MNI-ICBM152_nonlinear-2009c-asym"
    },
    full_name="Julich-Brain Cytoarchitectonic Atlas",
    has_terminology={
        "@type": "https://openminds.om-i.org/types/ParcellationTerminologyVersion",
        "dataLocation": None,
        "hasEntity": [
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_AcbL_PM-v5.0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_AcbM_PM-v5.0"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-1_PM-v12.1"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-2_PM-v7.1"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-25_PM-v20.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-25.25a_PM-v20.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-25.25p_PM-v20.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-33_PM-v20.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-3a_PM-v12.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-3b_PM-v12.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-44_PM-v9.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-45_PM-v9.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-4a_PM-v13.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-4p_PM-v13.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-5Ci_PM-v9.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-5L_PM-v9.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-5M_PM-v9.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-6d1_PM-v7.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-6d2_PM-v7.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-6d3_PM-v7.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-6ma_PM-v12.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-6mp_PM-v12.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-7A_PM-v9.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-7M_PM-v9.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-7P_PM-v9.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-7PC_PM-v9.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-8d1_PM-v4.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-8d2_PM-v4.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-8v1_PM-v4.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-8v2_PM-v4.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-CoS1_PM-v7.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-FG1_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-FG2_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-FG3_PM-v7.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-FG4_PM-v7.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-Fo1_PM-v5.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-Fo2_PM-v5.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-Fo3_PM-v5.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-Fo4_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-Fo5_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-Fo6_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-Fo7_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-Fp1_PM-v5.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-Fp2_PM-v5.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-IFJ1_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-IFJ2_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-IFS1_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-IFS2_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-IFS3_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-IFS4_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-Ia1_PM-v5.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-Ia2_PM-v4.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-Ia3_PM-v4.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-Id1_PM-v14.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-Id10_PM-v4.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-Id2_PM-v9.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-Id3_PM-v9.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-Id4_PM-v5.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-Id5_PM-v5.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-Id6_PM-v5.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-Id7_PM-v8.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-Id8_PM-v4.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-Id9_PM-v4.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-Ig1_PM-v14.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-Ig2_PM-v14.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-Ig3_PM-v5.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-MFG1_PM-v9.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-MFG2_PM-v9.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-OP1_PM-v12.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-OP2_PM-v12.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-OP3_PM-v12.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-OP4_PM-v12.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-OP5_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-OP6_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-OP7_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-OP8_PM-v6.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-OP9_PM-v6.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-PF_PM-v11.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-PFcm_PM-v11.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-PFm_PM-v11.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-PFop_PM-v11.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-PFt_PM-v11.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-PGa_PM-v11.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-PGp_PM-v11.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-Ph1_PM-v7.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-Ph2_PM-v7.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-Ph3_PM-v7.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-SFS1_PM-v9.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-SFS2_PM-v9.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-STS1_PM-v5.3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-STS2_PM-v5.3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-TE-1.0_PM-v6.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-TE-1.1_PM-v6.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-TE-1.2_PM-v6.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-TE-2.1_PM-v6.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-TE-2.2_PM-v6.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-TE-3_PM-v6.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-TI_PM-v6.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-TPJ_PM-v6.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-TeI_PM-v6.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-hIP1_PM-v7.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-hIP2_PM-v7.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-hIP3_PM-v9.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-hIP4_PM-v7.3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-hIP5_PM-v7.3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-hIP6_PM-v7.3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-hIP7_PM-v7.3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-hIP8_PM-v7.3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-hOc1_PM-v4.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-hOc2_PM-v4.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-hOc3d_PM-v4.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-hOc3v_PM-v5.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-hOc4d_PM-v4.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-hOc4la_PM-v5.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-hOc4lp_PM-v5.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-hOc4v_PM-v5.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-hOc5_PM-v4.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-hOc6_PM-v7.3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-hPO1_PM-v7.3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-p24ab_PM-v20.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-p24ab.p24a_PM-v20.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-p24ab.p24b_PM-v20.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-p24c_PM-v20.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-p24c.pd24cd_PM-v20.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-p24c.pd24cv_PM-v20.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-p24c.pv24c_PM-v20.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-p32_PM-v20.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-s24_PM-v20.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-s24.s24a_PM-v20.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-s24.s24b_PM-v20.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-s32_PM-v20.1"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_BST_PM-v6.1"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_CA1_PM-v13.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_CA2_PM-v13.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_CA3_PM-v13.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_CGL_PM-v10.0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_CGM_PM-v10.0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_CM_PM-v8.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_CM.AAA_PM-v8.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_CM.Ce_PM-v8.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_CM.Me_PM-v8.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Ch-123_PM-v4.3"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Ch-4_PM-v4.3"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_DG_PM-v13.2"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Dorsal-Dentate-Nucleus_PM-v6.3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Entorhinal-Cortex_PM-v13.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Fastigial-Nucleus_PM-v6.3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Frontal-I_PM-v11.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Frontal-II_PM-v11.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Frontal-to-Occipital_PM-v11.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Frontal-to-Temporal-I_PM-v11.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Frontal-to-Temporal-II_PM-v11.4"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_FuCd_PM-v5.0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_FuP_PM-v5.0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_HATA_PM-v13.2"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_HC-Transsubiculum_PM-v13.2"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_IF_PM-v8.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_IF.ice_PM-v8.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_IF.iol_PM-v8.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_IF.ld_PM-v8.2"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Interposed-Nucleus_PM-v6.3"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_LB_PM-v8.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_LB.Bl_PM-v8.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_LB.Bm_PM-v8.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_LB.La_PM-v8.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_LB.Pl_PM-v8.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_MF_PM-v8.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_MF.icm_PM-v8.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_MF.lm_PM-v8.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_SF_PM-v8.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_SF.AHi_PM-v8.2"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_SF.APir_PM-v8.2"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_SF.VCo_PM-v8.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_STN_PM-v5.0"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Subiculum.PaS_PM-v13.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Subiculum.PreS_PM-v13.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Subiculum.ProS_PM-v13.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Subiculum.Sub_PM-v13.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Temporal-to-Parietal_PM-v11.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Terminal-islands_PM-v4.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Tuberculum_PM-v4.0"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_VP_PM-v5.0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_VTM_PM-v8.2"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Ventral-Dentate-Nucleus_PM-v6.3"
            },
        ],
        "ontologyIdentifier": None,
    },
    homepage=IRI("https://julich-brain-atlas.de/"),
    how_to_cite="Please refer to the atlas by its [RRID:SCR_023277](https://scicrunch.org/resolver/SCR_023277), and cite the following publications: [Amunts and Zilles (2015)](https://doi.org/10.1016/j.neuron.2015.12.001); [Amunts et al. (2020)](https://doi.org/10.1126/science.abb4588), [Amunts et al. (2023)](https://doi.org/10.25493/56EM-75H).",
    is_alternative_version_of=[
        {"@id": "https://openminds.om-i.org/instances/brainAtlasVersion/JBA_v3.0.3-BigBrain"},
        {"@id": "https://openminds.om-i.org/instances/brainAtlasVersion/JBA_v3.0.3-Colin27"},
        {"@id": "https://openminds.om-i.org/instances/brainAtlasVersion/JBA_v3.0.3-fsaverage"},
    ],
    is_new_version_of={"@id": "https://openminds.om-i.org/instances/brainAtlasVersion/JBA_v3.0.2-MNI152"},
    license={"@id": "https://openminds.om-i.org/instances/licenses/ccByNcSa4.0"},
    major_version_identifier="v3.0.3",
    short_name="Julich-Brain Atlas",
    support_channels=["julich-brain@fz-juelich.de"],
    type={"@id": "https://openminds.om-i.org/instances/atlasType/probabilisticAtlas"},
    version_identifier="v3.0.3, MNI152",
)
BrainAtlasVersion.jba_v3_0__big_brain = BrainAtlasVersion(
    id="https://openminds.om-i.org/instances/brainAtlasVersion/JBA_v3.0-BigBrain",
    abbreviation="JBA",
    accessibility={"@id": "https://openminds.om-i.org/instances/productAccessibility/freeAccess"},
    coordinate_space={"@id": "https://openminds.om-i.org/instances/commonCoordinateSpaceVersion/BigBrain_2015"},
    full_name="Julich-Brain Cytoarchitectonic Atlas",
    has_terminology={
        "@type": "https://openminds.om-i.org/types/ParcellationTerminologyVersion",
        "dataLocation": None,
        "hasEntity": [
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-BigBrain_Area-6d1_int"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-BigBrain_Area-6d2_int"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-BigBrain_Area-6d3_int"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-BigBrain_Area-6ma_int"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-BigBrain_Area-MFG1_deep"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-BigBrain_Area-MFG2_deep"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-BigBrain_Area-SFS1_deep"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-BigBrain_Area-SFS2_deep"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-BigBrain_Area-STS1_int"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-BigBrain_Area-STS2_int"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-BigBrain_Area-TE-1.0_int"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-BigBrain_Area-TE-1.1_int"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-BigBrain_Area-TE-1.2_int"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-BigBrain_Area-TE-3_int"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-BigBrain_Area-hIP4_int"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-BigBrain_Area-hIP5_int"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-BigBrain_Area-hIP6_int"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-BigBrain_Area-hIP7_int"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-BigBrain_Area-hIP8_int"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-BigBrain_Area-hOc1_deep"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-BigBrain_Area-hOc2_deep"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-BigBrain_Area-hOc3v_deep"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-BigBrain_Area-hOc5_deep"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-BigBrain_Area-hOc6_int"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-BigBrain_Area-hPO1_int"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-BigBrain_CGM.CGMd_deep"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-BigBrain_CGM.CGMm_deep"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-BigBrain_CGM.CGMv_deep"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-BigBrain_Entorhinal-Cortex_int"
            },
        ],
        "ontologyIdentifier": None,
    },
    homepage=IRI("https://julich-brain-atlas.de/"),
    how_to_cite="Please refer to the atlas by its [RRID:SCR_023277](https://scicrunch.org/resolver/SCR_023277), and cite the following publications: [Amunts and Zilles (2015)](https://doi.org/10.1016/j.neuron.2015.12.001); [Amunts et al. (2020)](https://doi.org/10.1126/science.abb4588), [Amunts et al. (2022)](https://doi.org/10.25493/MGKP-Z5T).",
    is_alternative_version_of=[
        {"@id": "https://openminds.om-i.org/instances/brainAtlasVersion/JBA_v3.0-Colin27"},
        {"@id": "https://openminds.om-i.org/instances/brainAtlasVersion/JBA_v3.0-fsaverage"},
        {"@id": "https://openminds.om-i.org/instances/brainAtlasVersion/JBA_v3.0-MNI152"},
    ],
    is_new_version_of={"@id": "https://openminds.om-i.org/instances/brainAtlasVersion/JBA_v2.9-BigBrain"},
    license={"@id": "https://openminds.om-i.org/instances/licenses/ccByNcSa4.0"},
    major_version_identifier="v3.0",
    short_name="Julich-Brain Atlas",
    support_channels=["julich-brain@fz-juelich.de"],
    type={"@id": "https://openminds.om-i.org/instances/atlasType/deterministicAtlas"},
    version_identifier="v3.0, BigBrain",
)
BrainAtlasVersion.jba_v3_0__colin27 = BrainAtlasVersion(
    id="https://openminds.om-i.org/instances/brainAtlasVersion/JBA_v3.0-Colin27",
    abbreviation="JBA",
    accessibility={"@id": "https://openminds.om-i.org/instances/productAccessibility/freeAccess"},
    coordinate_space={"@id": "https://openminds.om-i.org/instances/commonCoordinateSpaceVersion/MNI-Colin27_1998"},
    full_name="Julich-Brain Cytoarchitectonic Atlas",
    has_terminology={
        "@type": "https://openminds.om-i.org/types/ParcellationTerminologyVersion",
        "dataLocation": None,
        "hasEntity": [
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_AcbL_PM-v5.0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_AcbM_PM-v5.0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-1_PM-v12.1"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-2_PM-v7.1"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-25_PM-v20.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-25.25a_PM-v20.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-25.25p_PM-v20.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-33_PM-v20.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-3a_PM-v12.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-3b_PM-v12.1"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-44_PM-v9.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-45_PM-v9.2"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-4a_PM-v13.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-4p_PM-v13.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-5Ci_PM-v9.2"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-5L_PM-v9.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-5M_PM-v9.2"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-6d1_PM-v7.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-6d2_PM-v7.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-6d3_PM-v7.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-6ma_PM-v12.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-6mp_PM-v12.1"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-7A_PM-v9.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-7M_PM-v9.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-7P_PM-v9.2"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-7PC_PM-v9.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-8d1_PM-v4.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-8d2_PM-v4.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-8v1_PM-v4.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-8v2_PM-v4.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-CoS1_PM-v7.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-FG1_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-FG2_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-FG3_PM-v7.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-FG4_PM-v7.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-Fo1_PM-v5.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-Fo2_PM-v5.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-Fo3_PM-v5.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-Fo4_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-Fo5_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-Fo6_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-Fo7_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-Fp1_PM-v5.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-Fp2_PM-v5.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-IFJ1_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-IFJ2_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-IFS1_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-IFS2_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-IFS3_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-IFS4_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-Ia1_PM-v5.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-Ia2_PM-v4.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-Ia3_PM-v4.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-Id1_PM-v14.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-Id10_PM-v4.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-Id2_PM-v9.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-Id3_PM-v9.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-Id4_PM-v5.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-Id5_PM-v5.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-Id6_PM-v5.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-Id7_PM-v8.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-Id8_PM-v4.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-Id9_PM-v4.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-Ig1_PM-v14.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-Ig2_PM-v14.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-Ig3_PM-v5.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-MFG1_PM-v9.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-MFG2_PM-v9.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-OP1_PM-v12.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-OP2_PM-v12.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-OP3_PM-v12.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-OP4_PM-v12.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-OP5_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-OP6_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-OP7_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-OP8_PM-v6.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-OP9_PM-v6.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-PF_PM-v11.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-PFcm_PM-v11.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-PFm_PM-v11.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-PFop_PM-v11.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-PFt_PM-v11.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-PGa_PM-v11.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-PGp_PM-v11.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-Ph1_PM-v7.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-Ph2_PM-v7.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-Ph3_PM-v7.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-SFS1_PM-v9.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-SFS2_PM-v9.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-STS1_PM-v5.3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-STS2_PM-v5.3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-TE-1.0_PM-v6.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-TE-1.1_PM-v6.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-TE-1.2_PM-v6.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-TE-2.1_PM-v6.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-TE-2.2_PM-v6.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-TE-3_PM-v6.2"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-TI_PM-v6.2"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-TPJ_PM-v6.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-TeI_PM-v6.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-hIP1_PM-v7.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-hIP2_PM-v7.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-hIP3_PM-v9.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-hIP4_PM-v7.3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-hIP5_PM-v7.3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-hIP6_PM-v7.3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-hIP7_PM-v7.3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-hIP8_PM-v7.3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-hOc1_PM-v4.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-hOc2_PM-v4.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-hOc3d_PM-v4.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-hOc3v_PM-v5.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-hOc4d_PM-v4.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-hOc4la_PM-v5.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-hOc4lp_PM-v5.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-hOc4v_PM-v5.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-hOc5_PM-v4.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-hOc6_PM-v7.3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-hPO1_PM-v7.3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-p24ab_PM-v20.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-p24ab.p24a_PM-v20.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-p24ab.p24b_PM-v20.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-p24c_PM-v20.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-p24c.pd24cd_PM-v20.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-p24c.pd24cv_PM-v20.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-p24c.pv24c_PM-v20.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-p32_PM-v20.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-s24_PM-v20.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-s24.s24a_PM-v20.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-s24.s24b_PM-v20.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-s32_PM-v20.1"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_BST_PM-v6.1"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_CA1_PM-v13.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_CA2_PM-v13.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_CA3_PM-v13.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_CGL_PM-v10.0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_CGM_PM-v10.0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_CM_PM-v8.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_CM.AAA_PM-v8.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_CM.Ce_PM-v8.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_CM.Me_PM-v8.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Ch-123_PM-v4.3"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Ch-4_PM-v4.3"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_DG_PM-v13.2"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Dorsal-Dentate-Nucleus_PM-v6.3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Entorhinal-Cortex_PM-v13.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Fastigial-Nucleus_PM-v6.3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Frontal-I_PM-v11.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Frontal-II_PM-v11.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Frontal-to-Occipital_PM-v11.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Frontal-to-Temporal-I_PM-v11.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Frontal-to-Temporal-II_PM-v11.4"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_FuCd_PM-v5.0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_FuP_PM-v5.0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_HATA_PM-v13.2"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_HC-Transsubiculum_PM-v13.2"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_IF_PM-v8.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_IF.ice_PM-v8.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_IF.iol_PM-v8.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_IF.ld_PM-v8.2"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Interposed-Nucleus_PM-v6.3"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_LB_PM-v8.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_LB.Bl_PM-v8.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_LB.Bm_PM-v8.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_LB.La_PM-v8.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_LB.Pl_PM-v8.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_MF_PM-v8.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_MF.icm_PM-v8.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_MF.lm_PM-v8.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_SF_PM-v8.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_SF.AHi_PM-v8.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_SF.APir_PM-v8.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_SF.VCo_PM-v8.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_STN_PM-v5.0"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Subiculum.PaS_PM-v13.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Subiculum.PreS_PM-v13.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Subiculum.ProS_PM-v13.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Subiculum.Sub_PM-v13.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Temporal-to-Parietal_PM-v11.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Terminal-islands_PM-v4.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Tuberculum_PM-v4.0"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_VP_PM-v5.0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_VTM_PM-v8.2"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Ventral-Dentate-Nucleus_PM-v6.3"
            },
        ],
        "ontologyIdentifier": None,
    },
    homepage=IRI("https://julich-brain-atlas.de/"),
    how_to_cite="Please refer to the atlas by its [RRID:SCR_023277](https://scicrunch.org/resolver/SCR_023277), and cite the following publications: [Amunts and Zilles (2015)](https://doi.org/10.1016/j.neuron.2015.12.001); [Amunts et al. (2020)](https://doi.org/10.1126/science.abb4588), [Amunts et al. (2022)](https://doi.org/10.25493/MGKP-Z5T).",
    is_alternative_version_of=[
        {"@id": "https://openminds.om-i.org/instances/brainAtlasVersion/JBA_v3.0-BigBrain"},
        {"@id": "https://openminds.om-i.org/instances/brainAtlasVersion/JBA_v3.0-fsaverage"},
        {"@id": "https://openminds.om-i.org/instances/brainAtlasVersion/JBA_v3.0-MNI152"},
    ],
    is_new_version_of={"@id": "https://openminds.om-i.org/instances/brainAtlasVersion/JBA_v2.9-Colin27"},
    license={"@id": "https://openminds.om-i.org/instances/licenses/ccByNcSa4.0"},
    major_version_identifier="v3.0",
    short_name="Julich-Brain Atlas",
    support_channels=["julich-brain@fz-juelich.de"],
    type={"@id": "https://openminds.om-i.org/instances/atlasType/probabilisticAtlas"},
    version_identifier="v3.0, Colin27",
)
BrainAtlasVersion.jba_v3_0_fsaverage = BrainAtlasVersion(
    id="https://openminds.om-i.org/instances/brainAtlasVersion/JBA_v3.0-fsaverage",
    abbreviation="JBA",
    accessibility={"@id": "https://openminds.om-i.org/instances/productAccessibility/freeAccess"},
    coordinate_space={"@id": "https://openminds.om-i.org/instances/commonCoordinateSpaceVersion/fsaverage_7"},
    full_name="Julich-Brain Cytoarchitectonic Atlas",
    has_terminology={
        "@type": "https://openminds.om-i.org/types/ParcellationTerminologyVersion",
        "dataLocation": None,
        "hasEntity": [
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-1_PM-v12.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-2_PM-v7.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-25_PM-v20.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-33_PM-v20.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-3a_PM-v12.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-3b_PM-v12.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-44_PM-v9.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-45_PM-v9.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-4a_PM-v13.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-4p_PM-v13.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-5Ci_PM-v9.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-5L_PM-v9.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-5M_PM-v9.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-6d1_PM-v7.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-6d2_PM-v7.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-6d3_PM-v7.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-6ma_PM-v12.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-6mp_PM-v12.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-7A_PM-v9.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-7M_PM-v9.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-7P_PM-v9.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-7PC_PM-v9.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-8d1_PM-v4.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-8d2_PM-v4.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-8v1_PM-v4.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-8v2_PM-v4.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-CoS1_PM-v7.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-FG1_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-FG2_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-FG3_PM-v7.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-FG4_PM-v7.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-Fo1_PM-v5.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-Fo2_PM-v5.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-Fo3_PM-v5.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-Fo4_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-Fo5_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-Fo6_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-Fo7_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-Fp1_PM-v5.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-Fp2_PM-v5.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-IFJ1_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-IFJ2_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-IFS1_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-IFS2_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-IFS3_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-IFS4_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-Ia1_PM-v5.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-Ia2_PM-v4.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-Ia3_PM-v4.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-Id1_PM-v14.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-Id10_PM-v4.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-Id2_PM-v9.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-Id3_PM-v9.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-Id4_PM-v5.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-Id5_PM-v5.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-Id6_PM-v5.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-Id7_PM-v8.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-Id8_PM-v4.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-Id9_PM-v4.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-Ig1_PM-v14.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-Ig2_PM-v14.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-Ig3_PM-v5.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-MFG1_PM-v9.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-MFG2_PM-v9.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-OP1_PM-v12.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-OP2_PM-v12.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-OP3_PM-v12.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-OP4_PM-v12.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-OP5_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-OP6_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-OP7_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-OP8_PM-v6.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-OP9_PM-v6.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-PF_PM-v11.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-PFcm_PM-v11.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-PFm_PM-v11.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-PFop_PM-v11.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-PFt_PM-v11.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-PGa_PM-v11.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-PGp_PM-v11.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-Ph1_PM-v7.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-Ph2_PM-v7.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-Ph3_PM-v7.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-SFS1_PM-v9.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-SFS2_PM-v9.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-STS1_PM-v5.3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-STS2_PM-v5.3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-TE-1.0_PM-v6.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-TE-1.1_PM-v6.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-TE-1.2_PM-v6.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-TE-2.1_PM-v6.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-TE-2.2_PM-v6.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-TE-3_PM-v6.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-TI_PM-v6.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-TPJ_PM-v6.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-TeI_PM-v6.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-hIP1_PM-v7.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-hIP2_PM-v7.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-hIP3_PM-v9.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-hIP4_PM-v7.3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-hIP5_PM-v7.3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-hIP6_PM-v7.3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-hIP7_PM-v7.3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-hIP8_PM-v7.3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-hOc1_PM-v4.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-hOc2_PM-v4.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-hOc3d_PM-v4.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-hOc3v_PM-v5.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-hOc4d_PM-v4.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-hOc4la_PM-v5.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-hOc4lp_PM-v5.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-hOc4v_PM-v5.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-hOc5_PM-v4.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-hOc6_PM-v7.3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-hPO1_PM-v7.3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-p24ab_PM-v20.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-p24c_PM-v20.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-p32_PM-v20.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-s24_PM-v20.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-s32_PM-v20.1"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_CA1_PM-v13.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_CA2_PM-v13.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_CA3_PM-v13.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_CGL_PM-v10.0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_CGM_PM-v10.0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_DG_PM-v13.2"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Entorhinal-Cortex_PM-v13.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Frontal-I_PM-v11.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Frontal-II_PM-v11.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Frontal-to-Occipital_PM-v11.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Frontal-to-Temporal-I_PM-v11.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Frontal-to-Temporal-II_PM-v11.4"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_HATA_PM-v13.2"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_HC-Transsubiculum_PM-v13.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Subiculum.PaS_PM-v13.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Subiculum.PreS_PM-v13.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Subiculum.ProS_PM-v13.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Subiculum.Sub_PM-v13.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Temporal-to-Parietal_PM-v11.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Tuberculum_PM-v4.0"
            },
        ],
        "ontologyIdentifier": None,
    },
    homepage=IRI("https://julich-brain-atlas.de/"),
    how_to_cite="Please refer to the atlas by its [RRID:SCR_023277](https://scicrunch.org/resolver/SCR_023277), and cite the following publications: [Amunts and Zilles (2015)](https://doi.org/10.1016/j.neuron.2015.12.001); [Amunts et al. (2020)](https://doi.org/10.1126/science.abb4588), [Amunts et al. (2022)](https://doi.org/10.25493/MGKP-Z5T).",
    is_alternative_version_of=[
        {"@id": "https://openminds.om-i.org/instances/brainAtlasVersion/JBA_v3.0-BigBrain"},
        {"@id": "https://openminds.om-i.org/instances/brainAtlasVersion/JBA_v3.0-Colin27"},
        {"@id": "https://openminds.om-i.org/instances/brainAtlasVersion/JBA_v3.0-MNI152"},
    ],
    is_new_version_of={"@id": "https://openminds.om-i.org/instances/brainAtlasVersion/JBA_v2.9-fsaverage"},
    license={"@id": "https://openminds.om-i.org/instances/licenses/ccByNcSa4.0"},
    major_version_identifier="v3.0",
    short_name="Julich-Brain Atlas",
    support_channels=["julich-brain@fz-juelich.de"],
    type={"@id": "https://openminds.om-i.org/instances/atlasType/probabilisticAtlas"},
    version_identifier="v3.0, fsaverage",
)
BrainAtlasVersion.jba_v3_0_mni152 = BrainAtlasVersion(
    id="https://openminds.om-i.org/instances/brainAtlasVersion/JBA_v3.0-MNI152",
    abbreviation="JBA",
    accessibility={"@id": "https://openminds.om-i.org/instances/productAccessibility/freeAccess"},
    coordinate_space={
        "@id": "https://openminds.om-i.org/instances/commonCoordinateSpaceVersion/MNI-ICBM152_nonlinear-2009c-asym"
    },
    full_name="Julich-Brain Cytoarchitectonic Atlas",
    has_terminology={
        "@type": "https://openminds.om-i.org/types/ParcellationTerminologyVersion",
        "dataLocation": None,
        "hasEntity": [
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_AcbL_PM-v5.0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_AcbM_PM-v5.0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-1_PM-v12.1"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-2_PM-v7.1"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-25_PM-v20.1"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-25.25a_PM-v20.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-25.25p_PM-v20.1"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-33_PM-v20.1"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-3a_PM-v12.1"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-3b_PM-v12.1"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-44_PM-v9.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-45_PM-v9.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-4a_PM-v13.1"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-4p_PM-v13.1"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-5Ci_PM-v9.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-5L_PM-v9.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-5M_PM-v9.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-6d1_PM-v7.1"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-6d2_PM-v7.1"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-6d3_PM-v7.1"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-6ma_PM-v12.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-6mp_PM-v12.1"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-7A_PM-v9.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-7M_PM-v9.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-7P_PM-v9.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-7PC_PM-v9.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-8d1_PM-v4.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-8d2_PM-v4.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-8v1_PM-v4.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-8v2_PM-v4.2"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-CoS1_PM-v7.2"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-FG1_PM-v3.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-FG2_PM-v3.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-FG3_PM-v7.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-FG4_PM-v7.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-Fo1_PM-v5.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-Fo2_PM-v5.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-Fo3_PM-v5.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-Fo4_PM-v3.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-Fo5_PM-v3.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-Fo6_PM-v3.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-Fo7_PM-v3.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-Fp1_PM-v5.1"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-Fp2_PM-v5.1"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-IFJ1_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-IFJ2_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-IFS1_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-IFS2_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-IFS3_PM-v3.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-IFS4_PM-v3.2"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-Ia1_PM-v5.1"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-Ia2_PM-v4.0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-Ia3_PM-v4.0"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-Id1_PM-v14.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-Id10_PM-v4.0"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-Id2_PM-v9.1"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-Id3_PM-v9.1"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-Id4_PM-v5.1"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-Id5_PM-v5.1"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-Id6_PM-v5.1"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-Id7_PM-v8.1"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-Id8_PM-v4.0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-Id9_PM-v4.0"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-Ig1_PM-v14.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-Ig2_PM-v14.2"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-Ig3_PM-v5.1"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-MFG1_PM-v9.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-MFG2_PM-v9.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-OP1_PM-v12.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-OP2_PM-v12.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-OP3_PM-v12.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-OP4_PM-v12.2"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-OP5_PM-v3.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-OP6_PM-v3.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-OP7_PM-v3.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-OP8_PM-v6.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-OP9_PM-v6.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-PF_PM-v11.2"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-PFcm_PM-v11.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-PFm_PM-v11.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-PFop_PM-v11.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-PFt_PM-v11.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-PGa_PM-v11.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-PGp_PM-v11.2"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-Ph1_PM-v7.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-Ph2_PM-v7.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-Ph3_PM-v7.2"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-SFS1_PM-v9.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-SFS2_PM-v9.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-STS1_PM-v5.3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-STS2_PM-v5.3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-TE-1.0_PM-v6.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-TE-1.1_PM-v6.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-TE-1.2_PM-v6.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-TE-2.1_PM-v6.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-TE-2.2_PM-v6.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-TE-3_PM-v6.2"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-TI_PM-v6.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-TPJ_PM-v6.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-TeI_PM-v6.2"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-hIP1_PM-v7.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-hIP2_PM-v7.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-hIP3_PM-v9.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-hIP4_PM-v7.3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-hIP5_PM-v7.3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-hIP6_PM-v7.3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-hIP7_PM-v7.3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-hIP8_PM-v7.3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-hOc1_PM-v4.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-hOc2_PM-v4.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-hOc3d_PM-v4.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-hOc3v_PM-v5.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-hOc4d_PM-v4.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-hOc4la_PM-v5.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-hOc4lp_PM-v5.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-hOc4v_PM-v5.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-hOc5_PM-v4.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-hOc6_PM-v7.3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-hPO1_PM-v7.3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-p24ab_PM-v20.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-p24ab.p24a_PM-v20.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-p24ab.p24b_PM-v20.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-p24c_PM-v20.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-p24c.pd24cd_PM-v20.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-p24c.pd24cv_PM-v20.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-p24c.pv24c_PM-v20.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-p32_PM-v20.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-s24_PM-v20.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-s24.s24a_PM-v20.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-s24.s24b_PM-v20.1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-s32_PM-v20.1"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_BST_PM-v6.1"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_CA1_PM-v13.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_CA2_PM-v13.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_CA3_PM-v13.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_CGL_PM-v10.0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_CGM_PM-v10.0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_CM_PM-v8.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_CM.AAA_PM-v8.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_CM.Ce_PM-v8.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_CM.Me_PM-v8.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Ch-123_PM-v4.3"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Ch-4_PM-v4.3"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_DG_PM-v13.2"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Dorsal-Dentate-Nucleus_PM-v6.3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Entorhinal-Cortex_PM-v13.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Fastigial-Nucleus_PM-v6.3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Frontal-I_PM-v11.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Frontal-II_PM-v11.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Frontal-to-Occipital_PM-v11.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Frontal-to-Temporal-I_PM-v11.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Frontal-to-Temporal-II_PM-v11.4"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_FuCd_PM-v5.0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_FuP_PM-v5.0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_HATA_PM-v13.2"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_HC-Transsubiculum_PM-v13.2"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_IF_PM-v8.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_IF.ice_PM-v8.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_IF.iol_PM-v8.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_IF.ld_PM-v8.2"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Interposed-Nucleus_PM-v6.3"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_LB_PM-v8.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_LB.Bl_PM-v8.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_LB.Bm_PM-v8.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_LB.La_PM-v8.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_LB.Pl_PM-v8.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_MF_PM-v8.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_MF.icm_PM-v8.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_MF.lm_PM-v8.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_SF_PM-v8.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_SF.AHi_PM-v8.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_SF.APir_PM-v8.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_SF.VCo_PM-v8.2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_STN_PM-v5.0"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Subiculum.PaS_PM-v13.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Subiculum.PreS_PM-v13.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Subiculum.ProS_PM-v13.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Subiculum.Sub_PM-v13.2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Temporal-to-Parietal_PM-v11.4"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Terminal-islands_PM-v4.0"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Tuberculum_PM-v4.0"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_VP_PM-v5.0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_VTM_PM-v8.2"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Ventral-Dentate-Nucleus_PM-v6.3"
            },
        ],
        "ontologyIdentifier": None,
    },
    homepage=IRI("https://julich-brain-atlas.de/"),
    how_to_cite="Please refer to the atlas by its [RRID:SCR_023277](https://scicrunch.org/resolver/SCR_023277), and cite the following publications: [Amunts and Zilles (2015)](https://doi.org/10.1016/j.neuron.2015.12.001); [Amunts et al. (2020)](https://doi.org/10.1126/science.abb4588), [Amunts et al. (2022)](https://doi.org/10.25493/MGKP-Z5T).",
    is_alternative_version_of=[
        {"@id": "https://openminds.om-i.org/instances/brainAtlasVersion/JBA_v3.0-BigBrain"},
        {"@id": "https://openminds.om-i.org/instances/brainAtlasVersion/JBA_v3.0-Colin27"},
        {"@id": "https://openminds.om-i.org/instances/brainAtlasVersion/JBA_v3.0-fsaverage"},
    ],
    is_new_version_of={"@id": "https://openminds.om-i.org/instances/brainAtlasVersion/JBA_v2.9-MNI152"},
    license={"@id": "https://openminds.om-i.org/instances/licenses/ccByNcSa4.0"},
    major_version_identifier="v3.0",
    short_name="Julich-Brain Atlas",
    support_channels=["julich-brain@fz-juelich.de"],
    type={"@id": "https://openminds.om-i.org/instances/atlasType/probabilisticAtlas"},
    version_identifier="v3.0, MNI152",
)
BrainAtlasVersion.pw_rbsc_cor_6th_ed__bregma_lia = BrainAtlasVersion(
    id="https://openminds.om-i.org/instances/brainAtlasVersion/PW-RBSC-cor_6th-ed-Bregma-LIA",
    abbreviation="PW-RBSC-cor",
    accessibility={"@id": "https://openminds.om-i.org/instances/productAccessibility/paidAccess"},
    coordinate_space={
        "@id": "https://openminds.om-i.org/instances/commonCoordinateSpaceVersion/PW-RBSC-corT_v2004-Bregma-LIA"
    },
    digital_identifier={"@id": "https://openminds.om-i.org/instances/ISBN/0-12-547612-4"},
    full_documentation={"@id": "https://openminds.om-i.org/instances/ISBN/0-12-547612-4"},
    full_name="Paxinos and Watson's The Rat Brain in Stereotaxic Coordinates - Coronal Plates",
    has_terminology={
        "@type": "https://openminds.om-i.org/types/ParcellationTerminologyVersion",
        "dataLocation": None,
        "hasEntity": [
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_10thCerebellarLobuleNodule"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_1stCerebellarLobuleLingula"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_2bCerebellarLobule"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_2ndAnd3rdCerebellarLobules"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_2ndCerebellarLobule"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_3rdAnd4thCerebellarLobules"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_3rdCerebellarLobule"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_3rdVentricle"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_4thAnd5thCerebellarLobules"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_4thCerebellarLobule"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_4thVentricle"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_5thCerebellarLobule"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_6aCerebellarLobule"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_6bCerebellarLobule"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_6cCerebellarLobule"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_6thCerebellarLobule"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_7thCerebellarLobule"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_8thCerebellarLobule"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_9thCerebellarLobule"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_9thCerebellarLobuleA"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_9thCerebellarLobuleAAndB"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_9thCerebellarLobuleB"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_9thCerebellarLobuleC"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_A11dopamineCells"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_A13DopamineCells"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_A1NoradrenalineCells"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_A1NoradrenalineCellsC1AdrenalineCells"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_A2NoradrenalineCells"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_A5NoradrenalineCells"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_A7NoradrenalineCells"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_B9SerotoninCells"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_BarringtonsNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_BotzingerComplex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_C1AdrenalineCells"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_C1AdrenalineCellsAndA1NoradrenalineCells"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_C2AdrenalineCells"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_C3AdrenalineCells"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_EdingerWestphalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_FCellGroupOfTheVestibularComplex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_KillikerFuseNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_PurkinjeCellLayerOfTheCerebellum"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_abducensNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_abducensNucleusRetractorBulbiPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_accessoryAbducensFacialNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_accessoryNerveNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_accessoryNeurosecretoryNuclei"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_accessoryOlfactoryBulb"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_accessoryOlfactoryTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_accumbensNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_accumbensNucleusCore"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_accumbensNucleusShell"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_agranularInsularCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_agranularInsularCortexDorsalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_agranularInsularCortexPosteriorPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_agranularInsularCortexVentralPart"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_alarNucleus"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_alveusOfTheHippocampus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ambiguusNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ambiguusNucleusCompactPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ambiguusNucleusLoosePart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ambiguusNucleusSubcompactPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_amygdalohippocampalArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_amygdalohippocampalAreaAnterolateralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_amygdalohippocampalAreaPosterolateralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_amygdalohippocampalAreaPosteromedialPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_amygdaloidFissure"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_amygdaloidIntramedullaryGray"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_amygdalopiriformTransitionArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_amygdalostriatalTransitionArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_angularThalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ansoparamedianFissure"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteriorAmygdaloidArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteriorCerebralArtery"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteriorCommissuralNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteriorCommissure"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteriorCommissureAnteriorPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteriorCommissureIntrabulbarPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteriorCommissurePosteriorPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteriorCorticalAmygdaloidNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteriorHypothalamicArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteriorHypothalamicAreaAnteriorPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteriorHypothalamicAreaCentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteriorHypothalamicAreaPosteriorPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteriorLobeOfPituitary"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteriorOlfactoryNucleusDorsalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteriorOlfactoryNucleusExternalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteriorOlfactoryNucleusLateralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteriorOlfactoryNucleusMedialPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteriorOlfactoryNucleusPosteriorPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteriorOlfactoryNucleusVentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteriorOlfactoryNucleusVentroposteriorPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteriorPerifornicalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteriorPretectalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteriorPretectalNucleusDorsalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteriorPretectalNucleusVentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteriorSpinalArtery"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteriorTegmentalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anterodorsalThalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteromedialThalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteromedialThalamicNucleusVentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteroventThalamicNucleusDorsomedialPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteroventralPeriventricularNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteroventralThalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteroventralThalamicNucleusVentrolateralPart"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_aqueduct"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_arcuateHypothalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_arcuateHypothalamicNucleusDorsalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_arcuateHypothalamicNucleusLateralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_arcuateHypothalamicNucleusLateroposteriorPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_arcuateHypothalamicNucleusMedialPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_arcuateHypothalamicNucleusMedialPosteriorPart"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_areaPostrema"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_artery"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ascendingFibersOfTheFacialNerve"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_azygousAnteriorCerebralArtery"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_azygousPericallosalArtery"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_basalNucleusCompactPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_basalNucleusMeynert"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_basilarArtery"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_basolateralAmygdaloidNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_basolateralAmygdaloidNucleusAnteriorPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_basolateralAmygdaloidNucleusPosteriorPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_basolateralAmygdaloidNucleusVentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_basomedialAmygdaloidNucleusAnteriorPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_basomedialAmygdaloidNucleusPosteriorPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_bedNucleusOfStriaTerminalisFusiformPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_bedNucleusOfStriaTerminalisSupracapsularDivision"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_bedNucleusOfStriaTerminalisSupracapsularDivisionLateralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_bedNucleusOfStriaTerminalisSupracapsularDivisionMedialPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_bedNucleusOfTheAccessoryOlfactoryTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_bedNucleusOfTheAnteriorCommissure"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_bedNucleusOfTheStriaTerminalisIntermediateDivision"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_bedNucleusOfTheStriaTerminalisIntraamygdaloidDivision"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_bedNucleusOfTheStriaTerminalisLateralDivision"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_bedNucleusOfTheStriaTerminalisLateralDivisionDorsalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_bedNucleusOfTheStriaTerminalisLateralDivisionIntermediatePart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_bedNucleusOfTheStriaTerminalisLateralDivisionJuxtacapsularPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_bedNucleusOfTheStriaTerminalisLateralDivisionPosteriorPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_bedNucleusOfTheStriaTerminalisLateralDivisionVentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_bedNucleusOfTheStriaTerminalisMedialDivision"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_bedNucleusOfTheStriaTerminalisMedialDivisionAnteriorPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_bedNucleusOfTheStriaTerminalisMedialDivisionAnterolateralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_bedNucleusOfTheStriaTerminalisMedialDivisionAnteromedialPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_bedNucleusOfTheStriaTerminalisMedialDivisionPosteriorPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_bedNucleusOfTheStriaTerminalisMedialDivisionPosterointermediatePart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_bedNucleusOfTheStriaTerminalisMedialDivisionPosterolateralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_bedNucleusOfTheStriaTerminalisMedialDivisionPosteromedialPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_bedNucleusOfTheStriaTerminalisMedialDivisionVentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_brachiumOfTheInferiorColliculus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_brachiumOfTheSuperiorColliculus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_caudalInterstitialNucleusOfTheMedialLongitudinalFasciculus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_caudalLinearNucleusOfTheRaphe"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_caudalPeriolivaryNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_caudatePutamenStriatum"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_caudomedialEntothinalCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_caudoventrolateralReticularNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_cellBridgesOfTheVentralStriatum"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_centralAmygdaloidNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_centralAmygdaloidNucleusCapsularPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_centralAmygdaloidNucleusLateralDivision"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_centralAmygdaloidNucleusMedialDivision"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_centralCanal"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_centralCervicalNucleusOfTheSpinalCord"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_centralGray"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_centralGrayAlphaPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_centralGrayBetaPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_centralGrayGammaPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_centralGrayNucleusO"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_centralGrayOfThePons"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_centralMedialThalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_centralNucleusOfTheInferiorColliculus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_centrolateralThalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_cerebellarCommissure"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_cerebellarWhiteMatter"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_cerebellum"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_cerebralCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_cerebralPeduncle"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_choroidPlexus"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_cingulateCortexArea1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_cingulateCortexArea2"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_cingulum"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_circularNucleus"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_claustrum"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_cochlearRootOfTheVestibulocochlearNerve"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_commissuralNucleusOfTheInferiorColliculus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_commissuralStriaTerminalis"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_commissureOfTheInferiorColliculus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_commissureOfTheLateralLemniscus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_commissureOfTheSuperiorColliculus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_conterminalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_copulaOfThePyramis"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_corpusCallosum"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_cortexAmygdalaTransitionZone"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_cortexAmygdalaTransitionZoneLayer1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_crus1OfTheAnsiformLobule"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_crus2OfTheAnsiformLobule"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_cuneateFasciculus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_cuneateNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_cuneateNucleusRotundusPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_cuneiformNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_cuneiformNucleusDorsalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_cuneiformNucleusIntermediatePart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_cuneiformNucleusVentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_decussationOfTheSuperiorCerebellarPeduncle"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_decussationOfTheTrapezoidBody"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_deepCerebralWhiteMatter"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_deepGrayLayerOfTheSuperiorColliculus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_deepWhiteLayerOfTheSuperiorColliculus"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dentateGyrus"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsal3rdVentricle"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalAcousticStria"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalCochlearNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalCochlearNucleusDeepCore"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalCochlearNucleusFusiformLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalCochlearNucleusGranularLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalCochlearNucleusMolecularLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalCortexOfTheInferiorColliculus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalCorticospinalTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalEndopiriformNucleus"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalFornix"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalHippocampalCommissure"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalHypothalamicArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalIntermediateEntorhinalCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalLateralGeniculateNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalLateralOlfactoryTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalMotorNucleusOfVagus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalNucleusOfTheLateralLemniscus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalNucleusOfTheSpinalCord"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalParagigantocellularNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalPartOfClaustrum"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalPeduncularCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalPeduncularPontineNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalPeriolivaryRegion"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalRapheNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalRapheNucleusCaudalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalRapheNucleusDorsalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalRapheNucleusLateralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalRapheNucleusVentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalSpinocerebellarTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalSpinocerebellarTractAndOlivocerebellarTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalSubiculum"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalTegmentalDecussation"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalTegmentalNucleusCentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalTegmentalNucleusPericentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalTeniaTecta"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalTeniaTectaLayer1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalTerminalNucleusOfTheAccessoryOpticTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalTransitionZone"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalTuberomammillaryNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsolateralEntorhinalCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsolateralOrbitalCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsolateralPeriaqueductalGray"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsomedialHypothalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsomedialHypothalamicNucleusCompactPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsomedialHypothalamicNucleusDorsalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsomedialHypothalamicNucleusVentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsomedialPeriaqueductalGray"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsomedialSpinalTrigeminalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsomedialTegmentalArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dysgranularInsularCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ectorhinalCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ectotrigeminalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_entopeduncularNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_entorhinalCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ependymaAndSubependymalLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ependymalAndSubendymalLayerOlfactoryVentricle"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_epifascicularNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_epilemniscalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_epipeduncularNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_epirubrospinalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_episupraopticNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ethmoidThalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_externalCapsule"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_externalCortexOfTheInferiorColliculus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_externalCortexOfTheInferiorColliculusLayer1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_externalCuneateNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_externalMedullaryLamina"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_externalPlexiformLayerOfTheAccessoryOlfactoryBulb"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_externalPlexiformLayerOfTheOlfactoryBulb"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_facialNerve"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_facialNucleus"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_facialNucleusDorsalIntermediateSubnucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_facialNucleusDorsolateralSubnucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_facialNucleusDorsomedialSubnucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_facialNucleusLateralSubnucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_facialNucleusStylohyoidPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_facialNucleusVentralIntermediateSubnucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_facialNucleusVentromedialSubnucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_fasciculusRetroflexus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_fasciolaCinereum"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_fieldCA1OfTheHippocampus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_fieldCA2OfTheHippocampus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_fieldCA3OfTheHippocampus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_fimbriaOfTheHippocampus"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_flocculus"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_forcepsMajorOfTheCorpusCallosum"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_forcepsMinorOfTheCorpusCallosum"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_fornix"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_frontalAssociationCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_frontalCortexArea3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_gelatinousLayerOfTheCaudalSpinalTrigeminalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_geminiHypothalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_genuOfTheCorpusCallosum"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_genuOfTheFacialNerve"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_gigantocellularReticularNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_gigantocellularReticularNucleusAlphaPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_gigantocellularReticularNucleusVentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_globusPallidus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_glomerularLayerOfTheAccessoryOlfactoryBulb"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_glomerularLayerOfTheOlfactoryBulb"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_glossopharyngealNerve"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_gracileFasciculus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_gracileNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_granularCellLayerOfTheOlfactoryBulb"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_granularInsularCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_granularLayerOfTheDentateGyrus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_granuleCellLayerOfCochlearNuclei"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_granuleCellLayerOfTheAccessoryOlfactoryBulb"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_granuleCellLayerOfTheCerebellum"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_habenularCommissure"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_hilusOfTheDentateGyrus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_hippocampalFissure"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_hypoglossalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_hypoglossalNucleusGeniohyoidPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_indusiumGriseum"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_inferiorCerebellarPeduncleDecussation"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_inferiorCerebellarPeduncleRestiformBody"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_inferiorColliculus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_inferiorOliveBetaSubnucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_inferiorOliveCapOfKooyOfTheMedialNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_inferiorOliveDorsalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_inferiorOliveDorsomedialCellGroup"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_inferiorOliveMedialNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_inferiorOlivePrincipalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_inferiorOliveSubnucleusAOfMedialNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_inferiorOliveSubnucleusBOfMedialNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_inferiorOliveSubnucleusCOfMedialNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_inferiorOliveVentrolateralProtrusion"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_inferiorSalivatoryNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_infralimbicCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_infundibularRecess"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_infundibularStem"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_interanterodorsalThalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_interanteromedialThalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_intercalatedAmygdaloidNucleusMainPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_intercalatedNucleiOfTheAmygdala"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_intercalatedNucleusOfTheMedulla"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_intercruralFissure"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_interfascicularNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_intergeniculateLeaf"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_intermediateEndopiriformNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_intermediateGrayLayerOfTheSuperiorColliculus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_intermediateInterstitialNucleusOfTheMedialLongitudinalFasciculus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_intermediateLobeOfPituitary"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_intermediateNucleusOfTheLateralLemniscus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_intermediateReticularNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_intermediateReticularNucleusAlphaPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_intermediateWhiteLayerOfTheSuperiorColliculus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_intermediodorsalThalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_intermediolateralCellColumnOfTheSpinalCord"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_intermedioventralThalamicCommissure"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_intermediusNucleusOfTheMedulla"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_internalArcuateFibers"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_internalCapsule"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_internalCarotidArtery"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_internalMedullaryLamina"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_internalPlexiformLayerOfTheOlfactoryBulb"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_interpeduncularFossa"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_interpeduncularNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_interpeduncularNucleusApicalSubnucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_interpeduncularNucleusCaudalSubnucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_interpeduncularNucleusDorsolateralSubnucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_interpeduncularNucleusDorsomedialSubnucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_interpeduncularNucleusIntermediateSubnucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_interpeduncularNucleusLateralSubnucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_interpeduncularNucleusRostralSubnucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_interposedCerebellarNucleusAnteriorPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_interposedCerebellarNucleusDorsolateralHump"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_interposedCerebellarNucleusDorsomedialCrest"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_interposedCerebellarNucleusPosteriorPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_interposedCerebellarNucleusPosteriorParvicellularPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_interstitialNucleusOfCajal"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_interstitialNucleusOfCajalShellRegion"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_interstitialNucleusOfTheDecussationOfTheSuperiorCerebellarPeduncle"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_interstitialNucleusOfTheMedulla"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_interstitialNucleusOfThePosteriorLimbOfTheAnteriorCommissure"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_interstitialNucleusOfThePosteriorLimbOfTheAnteriorCommissureLateralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_interstitialNucleusOfThePosteriorLimbOfTheAnteriorCommissureMedialPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_interstitialNucleusOfTheVestibulocochlearNerve"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_interventricularForamen"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_intramedullaryThalamicArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_islandsOfCalleja"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_islandsOfCallejaMajorIsland"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_isthmicPeriaqueductalGray"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_isthmicReticularFormation"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_juxtaolivaryNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_juxtaparaventricularPartOfLateralHypothalamus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lacunosumMoleculareLayerOfTheHippocampus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lambdoidSeptalZone"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralAccumbensShell"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralAmygdaloidNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralAmygdaloidNucleusDorsolateralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralAmygdaloidNucleusVentrolateralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralAmygdaloidNucleusVentromedialPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralCerebellarNucleusParvicellularPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralCervicalNucleusOfTheSpinalCord"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralDentateCerebellarNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralEntorhinalCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralHabenularNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralHabenularNucleusLateralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralHabenularNucleusMedialPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralHypothalamicArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralLemniscus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralMammillaryNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralOlfactoryTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralOrbitalCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralOrbitofrontalArtery"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralParabrachialNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralParabrachialNucleusCentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralParabrachialNucleusCrescentPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralParabrachialNucleusDorsalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralParabrachialNucleusExternalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralParabrachialNucleusInternalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralParabrachialNucleusMedialPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralParabrachialNucleusSuperiorPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralParabrachialNucleusVentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralParagigantocellularNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralParagigantocellularNucleusAlphaPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralParagigantocellularNucleusExternalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralParietalAssociationCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralPeriaqueductalGray"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralPosteriorThalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralPosteriorThalamicNucleusLaterocaudalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralPosteriorThalamicNucleusLaterorostralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralPosteriorThalamicNucleusMediocaudalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralPosteriorThalamicNucleusMediorostralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralPreopticArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralRecessOfThe4thVentricle"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralReticularNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralReticularNucleusParvicellularPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralReticularNucleusSubtrigeminalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralSeptalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralSeptalNucleusDorsalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralSeptalNucleusIntermediatePart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralSeptalNucleusVentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralSpinalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralStripeOfTheStriatum"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralSuperiorOlive"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralTerminalNucleusOfTheAccessoryOpticTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralVentricle"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralVestibularNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateroanteriorHypothalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_laterodorsalTegmentalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_laterodorsalTegmentalNucleusVentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_laterodorsalThalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_laterodorsalThalamicNucleusDorsomedialPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_laterodorsalThalamicNucleusVentrolateralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateroventralPeriolivaryNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_layer1OfCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_layer1bOfCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_layer2OfCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_layer3OfCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_layer4OfCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_layer5OfCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_layer5aOfCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_layer5bOfCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_layer6OfCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_layer6aOfCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_layer6bOfCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_leminaTerminalis"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_linearNucleusOfTheMedulla"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lithoidNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_locusCoeruleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_longitudinalFasciculusOfThePons"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_magnocellularNucleusOfTheLateralHypothalamus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_magnocellularNucleusOfThePosteriorCommissure"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_magnocellularPreopticNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_mammillaryPeduncle"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_mammillaryRecessOfThe3rdVentricle"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_mammillotegmentalTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_mammillothalamicTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_marginalZoneOfTheMedialGeniculate"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_matrixRegionOfTheMedulla"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialAccessoryOculomotorNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialAmygdaloidNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialAmygdaloidNucleusAnteriorPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialAmygdaloidNucleusAnterodorsalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialAmygdaloidNucleusAnteroventralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialAmygdaloidNucleusPosterodorsalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialAmygdaloidNucleusPosteroventralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialCerebellarNucleusCaudomedialPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialCerebellarNucleusDorsolateralProtuberance"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialCerebellarNucleusLateralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialCorticohypothalamicTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialEminenceExternalLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialEminenceInternalLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialEntorhinalCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialEntorhinalCortexVentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialFastigialCerebellarNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialForebrainBundle"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialForebrainBundleAComponent"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialForebrainBundleBComponent"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialGeniculateNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialGeniculateNucleusDorsalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialGeniculateNucleusMedialPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialGeniculateNucleusVentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialHabenularNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialLemniscus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialLemniscusDecussation"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialLongitudinalFasciculus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialMammillaryNucleusLateralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialMammillaryNucleusMedialPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialMammillaryNucleusMedianPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialOrbitalCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialOrbitofrontalArtery"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialParabrachialNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialParabrachialNucleusExternalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialParalemniscialNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialParietalAssociationCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialPreopticArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialPreopticNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialPreopticNucleusCentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialPreopticNucleusLateralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialPreopticNucleusMedialPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialPretectalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialSeptalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialSuperiorOlive"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialTerminalNucleusOfTheAccessoryOpticTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialTuberalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialVestibularNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialVestibularNucleusMagnocellularPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialVestibularNucleusParvicellularPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medianAccessoryNucleusOfTheMedulla"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medianEminence"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medianPreopticNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medianRapheNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_mediodorsalThalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_mediodorsalThalamicNucleusCentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_mediodorsalThalamicNucleusLateralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_mediodorsalThalamicNucleusMedialPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medioventralPeriolivaryNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medullaryReticularNucleusDorsalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medullaryReticularNucleusVentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_mesencephalicReticularFormation"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_mesencephalicTrigeminalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_mesencephalicTrigeminalTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_microcellularTegmentalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_middleCerebellarPeduncle"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_middleCerebralArtery"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_mitralCellLayerOfTheAccessoryOlfactoryBulb"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_mitralCellLayerOfTheOlfactoryBulb"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_molecularLayerOfTheCerebellum"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_molecularLayerOfTheDentateGyrus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_molecularLayerOfTheSubiculum"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_motorRootOfTheTrigeminalNerve"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_motorTrigeminalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_motorTrigeminalNucleusAnteriorDigastricPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_motorTrigeminalNucleusMasseterPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_motorTrigeminalNucleusMylohyoidPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_motorTrigeminalNucleusTemporalisPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_motorTrigeminalNucleusTensorTympaniPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_navicularNucleusOfTheBasalForebrain"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nervusIntermediusComponentOfTheFacialNerve"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nigrostriatalBundle"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nucleusOfDarkschewitsch"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nucleusOfOriginOfEfferentsOfTheVestibularNerve"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nucleusOfRoller"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nucleusOfTheAnsaLenticularis"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nucleusOfTheBrachiumOfTheInferiorColliculus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nucleusOfTheCentralAcousticTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nucleusOfTheCommissuralStriaTerminalis"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nucleusOfTheFieldsOfForel"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nucleusOfTheHorizontalLimbOfTheDiagonalBand"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nucleusOfTheLateralOlfactoryTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nucleusOfTheLateralOlfactoryTractLayer1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nucleusOfTheOpticTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nucleusOfThePosteriorCommissure"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nucleusOfTheSolitaryTractCentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nucleusOfTheSolitaryTractCommissuralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nucleusOfTheSolitaryTractDorsomedialPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nucleusOfTheSolitaryTractGelatinousPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nucleusOfTheSolitaryTractIntermediatePart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nucleusOfTheSolitaryTractInterstitialPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nucleusOfTheSolitaryTractLateralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nucleusOfTheSolitaryTractMedialPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nucleusOfTheSolitaryTractRostrolateralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nucleusOfTheSolitaryTractVentrolateralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nucleusOfTheStriaMedullaris"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nucleusOfTheTrapezoidBody"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nucleusOfTheVerticalLimbOfTheDiagonalBand"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nucleusX"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nucleusY"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nucleusZ"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_obex"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_oculomotorNerve"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_oculomotorNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_oculomotorNucleusParvicellularPart"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_olfactoryBulb"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_olfactoryNerveLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_olfactoryTubercle"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_olfactoryVentricleOlfactoryPartOfLateralVentricle"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_olivaryPretectalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_olivocerebellarTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_olivocochlearBundle"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_opticChiasm"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_opticNerve"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_opticNerveLayerOfTheSuperiorColliculus"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_opticTract"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_oriensLayerOfTheHippocampus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ovalParacentralThalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_p1PeriaqueductalGray"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_paraabducensNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_parabigeminalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_parabrachialPigmentedNucleusOfTheVTA"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_paracentralThalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_paracochlearGlialSubstance"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_paracommissuralNucleusOfThePosteriorCommissure"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_parafascicularThalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_parafloccularSulcus"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_paraflocculus"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_parainterfascicularNucleusOfTheVTA"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_paralambdoidSeptalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_paralemniscalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_paramedianLobule"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_paramedianRapheNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_paramedianReticularNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_paramedianSulcus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_paranigralNucleusOfTheVTA"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_parapyramidalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_pararubralNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_parasolitaryNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_parastrialNucleus"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_parasubiculum"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_parasubthalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_paratenialThalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_paratereteNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_paratrigeminalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_paratrochlearNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_paraventricularHypothalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_paraventricularHypothalamicNucleusAnteriorParvicellularPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_paraventricularHypothalamicNucleusDorsalCap"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_paraventricularHypothalamicNucleusLateralMagnocellularPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_paraventricularHypothalamicNucleusMedialMagnocellularPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_paraventricularHypothalamicNucleusMedialParvicellularPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_paraventricularHypothalamicNucleusPosteriorPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_paraventricularHypothalamicNucleusVentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_paraventricularThalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_paraventricularThalamicNucleusAnteriorPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_paraventricularThalamicNucleusPosteriorPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_paraxiphoidNucleusOfThalamus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_parietalCortexPosteriorAreaCaudalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_parietalCortexPosteriorAreaDorsalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_parietalCortexPosteriorAreaRostralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_parvicellularReticularNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_parvicellularReticularNucleusAlphaPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_peduncularPartOfLateralHypothalamus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_pedunculopontineTegmentalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_periaqueductalGray"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_perifacialZone"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_perifornicalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_perifornicalPartOfLateralHypothalamus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_perilemniscalNucleusVentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_periolivaryHorn"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_peripeduncularNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_perirhinalCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_peritrigeminalZone"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_periventricularGray"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_periventricularHypothalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_periventricularHypothalamicNucleusAnteriorParvicellularPart"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_pinealGland"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_pinealStalk"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_piriformCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_piriformCortexLayer1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_pleomorphicPartOfPeriaqueductaiGray"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_polymorphLayerOfTheDentateGyrus"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_pontineNuclei"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_pontineRapheNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_pontineReticularNucleusCaudalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_pontineReticularNucleusOralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_pontineReticularNucleusVentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_posteriorCerebralArtery"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_posteriorCommissure"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_posteriorHypothalamicArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_posteriorHypothalamicAreaDorsalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_posteriorHypothalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_posteriorIntralaminarThalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_posteriorLimitansThalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_posteriorLobeOfPituitary"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_posteriorPretectalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_posteriorSuperiorFissure"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_posteriorThalamicNuclearGroup"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_posteriorThalamicNuclearGroupTriangularPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_posterodorsalPreopticNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_posterodorsalRapheNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_posterodorsalTegmentalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_posterolateralCorticalAmygdaloidNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_posterolateralCorticalAmygdaloidNucleusLayer1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_posterolateralFissure"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_posteromedialCorticalAmygdaloidNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_posteromedianThalamicNucleus"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_postsubiculum"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_preBotzingerComplex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_preEdingerWestphalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_precommissuralNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_preculminateFissure"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_precuneiformArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_prelimbicCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_premammillaryNucleusDorsalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_premammillaryNucleusVentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_preopticRecessOfThe3rdVentricle"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_prepositusNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_prepyramidalFissure"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_prerubralField"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_presubiculum"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_primaryAuditoryCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_primaryFissure"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_primaryMotorCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_primarySomatosensoryCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_primarySomatosensoryCortexBarrelField"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_primarySomatosensoryCortexDysgranularZone"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_primarySomatosensoryCortexForelimbRegion"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_primarySomatosensoryCortexHindlimbRegion"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_primarySomatosensoryCortexJawRegion"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_primarySomatosensoryCortexOralDysgranularZone"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_primarySomatosensoryCortexShoulderRegion"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_primarySomatosensoryCortexTrunkRegion"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_primarySomatosensoryCortexUpperLipRegion"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_primaryVisualCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_primaryVisualCortexBinocularArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_primaryVisualCortexMonocularArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_principalMammillaryTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_principalSensoryTrigeminalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_principalSensoryTrigeminalNucleusDorsomedialPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_principalSensoryTrigeminalNucleusVentrolateralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_pyramidalCellLayerOfTheHippocampus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_pyramidalDecussation"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_pyramidalTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_r1ReticularFormation"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_r2ReticularFormation"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_r3ReticularFormation"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_radiatumLayerOfTheHippocampus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_rapheInterpositusNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_rapheMagnusNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_rapheObscurusNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_raphePallidusNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_recessOfTheInferiorColliculus"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_redNucleus"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_redNucleusMagnocellularPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_redNucleusParvicellularPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_regionWhereVAAndVLOverlap"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_reticluostrialNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_reticularThalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_reticulotegmentalNucleusOfThePons"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_reticulotegmentalNucleusOfThePonsLateralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_reticulotegmentalNucleusOfThePonsPericentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_retroambiguusNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_retrochiasmaticArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_retrochiasmaticAreaLateralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_retroendopiriformNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_retroethmoidNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_retrolemniscalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_retroparafascicularNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_retrorubralField"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_retrorubralNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_retrosplenialDysgranularCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_retrosplenialGranularCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_retrosplenialGranularCortexARegion"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_retrosplenialGranularCortexBRegion"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_retrosplenialGranularCortexCRegion"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_retrouniensArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_reuniensThalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_rhabdoidNucleus"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_rhinalFissure"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_rhinalIncisure"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_rhomboidThalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_rootOfAbducensNerve"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_rootOfAccessoryNerve"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_rootOfHypoglossalNerve"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_rostralAmygdalopiriformArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_rostralInterstitialNucleusOfMedialLongitudinalFasciculus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_rostralLinearNucleusOfTheRaphe"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_rostralVentralRespiratoryGroup"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_rostroventrolateralReticularNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_rostrumOfTheCorpusCallosum"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_rubrospinalTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_sagulumNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_scaphoidThalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_secondaryAuditoryCortexDorsalArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_secondaryAuditoryCortexVentralArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_secondaryFissure"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_secondaryMotorCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_secondarySomatosensoryCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_secondaryVisualCortexLateralArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_secondaryVisualCortexMediolateralArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_secondaryVisualCortexMediomedialArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_sensoryRootOfTheTrigeminalNerve"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_septofimbrialNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_septohippocampalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_septohypothalamicNucleus"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_simpleLobule"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_simpleLobuleA"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_simpleLobuleB"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_simplexFissure"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_solitaryNucleusDorsolateralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_solitaryNucleusVentralPart"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_solitaryTract"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_sphenoidNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_spinalTrigeminalNucleusCaudalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_spinalTrigeminalNucleusInterpolarPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_spinalTrigeminalNucleusOralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_spinalTrigeminalTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_spinalVestibularNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_spleniumOfTheCorpusCallosum"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_stigmoidHypothalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_stratumLucidumOfTheHippocampus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_striaMedullarisOfTheThalamus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_striaTerminalis"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_strialPartOfThePreopticArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_striohypothalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_subbrachialNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_subcoeruleusNucleusAlphaPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_subcoeruleusNucleusDorsalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_subcoeruleusNucleusVentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_subcommissuralOrgan"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_subfornicalOrgan"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_subgeniculateNucleus"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_subiculum"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_subiculumTransitionArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_subincertalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_sublenticularExtendedAmygdala"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_sublenticularExtendedAmygdalaCentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_sublenticularExtendedAmygdalaMedialPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_submammillothalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_submediusThalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_submediusThalamicNucleusDorsalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_submediusThalamicNucleusVentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_subparafascicularThalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_subparafascicularThalamicNucleusParvicellularPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_subparaventricularZoneOfTheHypothalamus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_subpeduncularTegmentalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_subpostremaArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_substantiaInnominata"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_substantiaInnominataBasalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_substantiaNigraCompactPartDorsalTier"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_substantiaNigraCompactPartMedialTier"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_substantiaNigraCompactaPartVentralTier"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_substantiaNigraLateralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_substantiaNigraReticularPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_subthalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_superficialGrayLayerOfTheSuperiorColliculus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_superiorCerebellarPeduncleBrachiumConjunctivum"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_superiorCerebellarPeduncleDescendingLimb"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_superiorMedullaryVelum"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_superiorParaolivaryNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_superiorSalivatoryNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_superiorThalamicRadiation"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_superiorVestibularNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_suprachiasmaticNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_suprachiasmaticNucleusDorsolateralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_suprachiasmaticNucleusVentromedialPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_suprageniculateThalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_supragenualNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_supramammillaryDecussation"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_supramammillaryNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_supramammillaryNucleusLateralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_supramammillaryNucleusMedialPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_supraoculomotorCap"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_supraoculomotorPeriaqueductalGray"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_supraopticDecussation"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_supraopticNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_supraopticNucleusRetrochiasmaticPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_supratrigeminalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_tectospinalTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_temporalAssociationCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_tereteHypothalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_transverseFibersOfThePons"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_trapezoidBody"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_triangularNucleusLateralLemniscus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_triangularSeptalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_trigeminalGanglion"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_trigeminalSolitaryTransitionZone"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_trigeminalTransitionZone"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_trigeminothalamicTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_trochlearNerve"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_trochlearNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_trochlearNucluesShellRegion"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_tuberalRegionOfLateralHypothalamus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_uncinateFasciculusDecussation"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_uncinateFasciculusOfTheCerebellum"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_vagusNerve"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_vascularOrganOfTheLaminaTerminalis"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_vein"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventralAnteriorThalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventralCochlearNucleusAnteriorPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventralCochlearNucleusCapsularPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventralCochlearNucleusGranuleCellLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventralCochlearNucleusPosteriorPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventralCochlearNucleusPosteriorPartOctopusCellArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventralEndopiriformNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventralGeniculateNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventralGeniculateNucleusLayer1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventralHippocampalCommissure"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventralIntermediateEntorhinalCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventralLinearNucleusOfTheThalamus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventralNucleusOfTheLatLemniscus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventralOrbitalCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventralPallidum"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventralPartOfClaustrum"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventralPosteriorNucleusOfTheThalamusParvicellularPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventralPosterolateralThalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventralPosteromedialThalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventralReuniensThalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventralSpinocerebellarTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventralSpinocerebellarTractDecussation"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventralSubiculum"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventralTegmentalArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventralTegmentalAreaRostralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventralTegmentalDecussation"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventralTegmentalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventralTeniaTecta"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventralTeniaTectaLayer1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventralTuberomammillaryNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventrolateralHypothalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventrolateralHypothalamicTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventrolateralPeriaqueductalGray"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventrolateralPreopticNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventrolateralThalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventromedialHypothalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventromedialHypothalamicNucleusAnteriorPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventromedialHypothalamicNucleusCentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventromedialHypothalamicNucleusDorsomedialPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventromedialHypothalamicNucleusVentrolateralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventromedialNucleusOfTheHypothalamusShell"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventromedialPreopticNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventromedialThalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_vertebralArtery"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_vestibularRootOfTheVestibulocochlearNerve"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_vestibulocerebellarNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_vestibulocochlearGanglion"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_vestibulocochlearNerve"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_vestibulomesencephalicTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_vestibulospinalTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_vomeronasalNerve"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_vomeronasalNerveLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_xiphoidThalamicNucleus"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_zonaIncerta"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_zonaIncertaCaudalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_zonaIncertaDorsalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_zonaIncertaRostralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_zonaIncertaVentralPart"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_zonaLimitans"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_zonalLayerOfTheSuperiorColliculus"
            },
        ],
        "ontologyIdentifier": None,
    },
    how_to_cite="Paxinos, G. and Watson, C. (2006) The Rat Brain in Stereotaxic Coordinates. 6th Edition, Academic Press, San Diego.",
    release_date="2006-11-02",
    short_name="Paxinos and Watson's Stereotaxic Rat Brain Atlas (Coronal)",
    type={"@id": "https://openminds.om-i.org/instances/atlasType/deterministicAtlas"},
    version_identifier="6th ed. (Bregma, LIA)",
    version_innovation="The 6th edition introduces color photographs of the coronal brain section. All diagrams from the previous editions have been completely revised [paraphrased from the ‘Preface’ of the book ISBN: 0-12-547612-4].",
)
BrainAtlasVersion.pw_rbsc_cor_6th_ed__bregma_ria = BrainAtlasVersion(
    id="https://openminds.om-i.org/instances/brainAtlasVersion/PW-RBSC-cor_6th-ed-Bregma-RIA",
    abbreviation="PW-RBSC-cor",
    accessibility={"@id": "https://openminds.om-i.org/instances/productAccessibility/paidAccess"},
    coordinate_space={
        "@id": "https://openminds.om-i.org/instances/commonCoordinateSpaceVersion/PW-RBSC-corT_v2004-Bregma-RIA"
    },
    digital_identifier={"@id": "https://openminds.om-i.org/instances/ISBN/0-12-547612-4"},
    full_documentation={"@id": "https://openminds.om-i.org/instances/ISBN/0-12-547612-4"},
    full_name="Paxinos and Watson's The Rat Brain in Stereotaxic Coordinates - Coronal Plates",
    has_terminology={
        "@type": "https://openminds.om-i.org/types/ParcellationTerminologyVersion",
        "dataLocation": None,
        "hasEntity": [
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_10thCerebellarLobuleNodule"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_1stCerebellarLobuleLingula"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_2bCerebellarLobule"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_2ndAnd3rdCerebellarLobules"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_2ndCerebellarLobule"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_3rdAnd4thCerebellarLobules"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_3rdCerebellarLobule"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_3rdVentricle"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_4thAnd5thCerebellarLobules"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_4thCerebellarLobule"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_4thVentricle"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_5thCerebellarLobule"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_6aCerebellarLobule"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_6bCerebellarLobule"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_6cCerebellarLobule"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_6thCerebellarLobule"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_7thCerebellarLobule"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_8thCerebellarLobule"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_9thCerebellarLobule"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_9thCerebellarLobuleA"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_9thCerebellarLobuleAAndB"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_9thCerebellarLobuleB"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_9thCerebellarLobuleC"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_A11dopamineCells"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_A13DopamineCells"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_A1NoradrenalineCells"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_A1NoradrenalineCellsC1AdrenalineCells"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_A2NoradrenalineCells"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_A5NoradrenalineCells"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_A7NoradrenalineCells"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_B9SerotoninCells"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_BarringtonsNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_BotzingerComplex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_C1AdrenalineCells"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_C1AdrenalineCellsAndA1NoradrenalineCells"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_C2AdrenalineCells"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_C3AdrenalineCells"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_EdingerWestphalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_FCellGroupOfTheVestibularComplex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_KillikerFuseNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_PurkinjeCellLayerOfTheCerebellum"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_abducensNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_abducensNucleusRetractorBulbiPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_accessoryAbducensFacialNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_accessoryNerveNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_accessoryNeurosecretoryNuclei"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_accessoryOlfactoryBulb"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_accessoryOlfactoryTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_accumbensNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_accumbensNucleusCore"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_accumbensNucleusShell"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_agranularInsularCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_agranularInsularCortexDorsalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_agranularInsularCortexPosteriorPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_agranularInsularCortexVentralPart"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_alarNucleus"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_alveusOfTheHippocampus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ambiguusNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ambiguusNucleusCompactPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ambiguusNucleusLoosePart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ambiguusNucleusSubcompactPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_amygdalohippocampalArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_amygdalohippocampalAreaAnterolateralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_amygdalohippocampalAreaPosterolateralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_amygdalohippocampalAreaPosteromedialPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_amygdaloidFissure"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_amygdaloidIntramedullaryGray"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_amygdalopiriformTransitionArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_amygdalostriatalTransitionArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_angularThalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ansoparamedianFissure"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteriorAmygdaloidArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteriorCerebralArtery"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteriorCommissuralNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteriorCommissure"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteriorCommissureAnteriorPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteriorCommissureIntrabulbarPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteriorCommissurePosteriorPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteriorCorticalAmygdaloidNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteriorHypothalamicArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteriorHypothalamicAreaAnteriorPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteriorHypothalamicAreaCentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteriorHypothalamicAreaPosteriorPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteriorLobeOfPituitary"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteriorOlfactoryNucleusDorsalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteriorOlfactoryNucleusExternalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteriorOlfactoryNucleusLateralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteriorOlfactoryNucleusMedialPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteriorOlfactoryNucleusPosteriorPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteriorOlfactoryNucleusVentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteriorOlfactoryNucleusVentroposteriorPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteriorPerifornicalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteriorPretectalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteriorPretectalNucleusDorsalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteriorPretectalNucleusVentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteriorSpinalArtery"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteriorTegmentalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anterodorsalThalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteromedialThalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteromedialThalamicNucleusVentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteroventThalamicNucleusDorsomedialPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteroventralPeriventricularNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteroventralThalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteroventralThalamicNucleusVentrolateralPart"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_aqueduct"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_arcuateHypothalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_arcuateHypothalamicNucleusDorsalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_arcuateHypothalamicNucleusLateralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_arcuateHypothalamicNucleusLateroposteriorPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_arcuateHypothalamicNucleusMedialPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_arcuateHypothalamicNucleusMedialPosteriorPart"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_areaPostrema"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_artery"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ascendingFibersOfTheFacialNerve"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_azygousAnteriorCerebralArtery"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_azygousPericallosalArtery"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_basalNucleusCompactPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_basalNucleusMeynert"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_basilarArtery"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_basolateralAmygdaloidNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_basolateralAmygdaloidNucleusAnteriorPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_basolateralAmygdaloidNucleusPosteriorPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_basolateralAmygdaloidNucleusVentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_basomedialAmygdaloidNucleusAnteriorPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_basomedialAmygdaloidNucleusPosteriorPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_bedNucleusOfStriaTerminalisFusiformPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_bedNucleusOfStriaTerminalisSupracapsularDivision"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_bedNucleusOfStriaTerminalisSupracapsularDivisionLateralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_bedNucleusOfStriaTerminalisSupracapsularDivisionMedialPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_bedNucleusOfTheAccessoryOlfactoryTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_bedNucleusOfTheAnteriorCommissure"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_bedNucleusOfTheStriaTerminalisIntermediateDivision"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_bedNucleusOfTheStriaTerminalisIntraamygdaloidDivision"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_bedNucleusOfTheStriaTerminalisLateralDivision"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_bedNucleusOfTheStriaTerminalisLateralDivisionDorsalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_bedNucleusOfTheStriaTerminalisLateralDivisionIntermediatePart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_bedNucleusOfTheStriaTerminalisLateralDivisionJuxtacapsularPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_bedNucleusOfTheStriaTerminalisLateralDivisionPosteriorPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_bedNucleusOfTheStriaTerminalisLateralDivisionVentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_bedNucleusOfTheStriaTerminalisMedialDivision"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_bedNucleusOfTheStriaTerminalisMedialDivisionAnteriorPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_bedNucleusOfTheStriaTerminalisMedialDivisionAnterolateralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_bedNucleusOfTheStriaTerminalisMedialDivisionAnteromedialPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_bedNucleusOfTheStriaTerminalisMedialDivisionPosteriorPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_bedNucleusOfTheStriaTerminalisMedialDivisionPosterointermediatePart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_bedNucleusOfTheStriaTerminalisMedialDivisionPosterolateralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_bedNucleusOfTheStriaTerminalisMedialDivisionPosteromedialPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_bedNucleusOfTheStriaTerminalisMedialDivisionVentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_brachiumOfTheInferiorColliculus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_brachiumOfTheSuperiorColliculus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_caudalInterstitialNucleusOfTheMedialLongitudinalFasciculus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_caudalLinearNucleusOfTheRaphe"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_caudalPeriolivaryNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_caudatePutamenStriatum"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_caudomedialEntothinalCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_caudoventrolateralReticularNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_cellBridgesOfTheVentralStriatum"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_centralAmygdaloidNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_centralAmygdaloidNucleusCapsularPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_centralAmygdaloidNucleusLateralDivision"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_centralAmygdaloidNucleusMedialDivision"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_centralCanal"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_centralCervicalNucleusOfTheSpinalCord"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_centralGray"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_centralGrayAlphaPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_centralGrayBetaPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_centralGrayGammaPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_centralGrayNucleusO"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_centralGrayOfThePons"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_centralMedialThalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_centralNucleusOfTheInferiorColliculus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_centrolateralThalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_cerebellarCommissure"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_cerebellarWhiteMatter"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_cerebellum"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_cerebralCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_cerebralPeduncle"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_choroidPlexus"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_cingulateCortexArea1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_cingulateCortexArea2"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_cingulum"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_circularNucleus"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_claustrum"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_cochlearRootOfTheVestibulocochlearNerve"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_commissuralNucleusOfTheInferiorColliculus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_commissuralStriaTerminalis"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_commissureOfTheInferiorColliculus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_commissureOfTheLateralLemniscus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_commissureOfTheSuperiorColliculus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_conterminalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_copulaOfThePyramis"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_corpusCallosum"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_cortexAmygdalaTransitionZone"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_cortexAmygdalaTransitionZoneLayer1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_crus1OfTheAnsiformLobule"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_crus2OfTheAnsiformLobule"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_cuneateFasciculus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_cuneateNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_cuneateNucleusRotundusPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_cuneiformNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_cuneiformNucleusDorsalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_cuneiformNucleusIntermediatePart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_cuneiformNucleusVentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_decussationOfTheSuperiorCerebellarPeduncle"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_decussationOfTheTrapezoidBody"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_deepCerebralWhiteMatter"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_deepGrayLayerOfTheSuperiorColliculus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_deepWhiteLayerOfTheSuperiorColliculus"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dentateGyrus"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsal3rdVentricle"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalAcousticStria"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalCochlearNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalCochlearNucleusDeepCore"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalCochlearNucleusFusiformLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalCochlearNucleusGranularLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalCochlearNucleusMolecularLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalCortexOfTheInferiorColliculus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalCorticospinalTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalEndopiriformNucleus"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalFornix"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalHippocampalCommissure"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalHypothalamicArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalIntermediateEntorhinalCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalLateralGeniculateNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalLateralOlfactoryTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalMotorNucleusOfVagus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalNucleusOfTheLateralLemniscus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalNucleusOfTheSpinalCord"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalParagigantocellularNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalPartOfClaustrum"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalPeduncularCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalPeduncularPontineNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalPeriolivaryRegion"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalRapheNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalRapheNucleusCaudalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalRapheNucleusDorsalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalRapheNucleusLateralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalRapheNucleusVentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalSpinocerebellarTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalSpinocerebellarTractAndOlivocerebellarTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalSubiculum"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalTegmentalDecussation"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalTegmentalNucleusCentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalTegmentalNucleusPericentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalTeniaTecta"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalTeniaTectaLayer1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalTerminalNucleusOfTheAccessoryOpticTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalTransitionZone"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalTuberomammillaryNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsolateralEntorhinalCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsolateralOrbitalCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsolateralPeriaqueductalGray"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsomedialHypothalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsomedialHypothalamicNucleusCompactPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsomedialHypothalamicNucleusDorsalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsomedialHypothalamicNucleusVentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsomedialPeriaqueductalGray"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsomedialSpinalTrigeminalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsomedialTegmentalArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dysgranularInsularCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ectorhinalCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ectotrigeminalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_entopeduncularNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_entorhinalCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ependymaAndSubependymalLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ependymalAndSubendymalLayerOlfactoryVentricle"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_epifascicularNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_epilemniscalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_epipeduncularNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_epirubrospinalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_episupraopticNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ethmoidThalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_externalCapsule"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_externalCortexOfTheInferiorColliculus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_externalCortexOfTheInferiorColliculusLayer1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_externalCuneateNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_externalMedullaryLamina"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_externalPlexiformLayerOfTheAccessoryOlfactoryBulb"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_externalPlexiformLayerOfTheOlfactoryBulb"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_facialNerve"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_facialNucleus"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_facialNucleusDorsalIntermediateSubnucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_facialNucleusDorsolateralSubnucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_facialNucleusDorsomedialSubnucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_facialNucleusLateralSubnucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_facialNucleusStylohyoidPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_facialNucleusVentralIntermediateSubnucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_facialNucleusVentromedialSubnucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_fasciculusRetroflexus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_fasciolaCinereum"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_fieldCA1OfTheHippocampus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_fieldCA2OfTheHippocampus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_fieldCA3OfTheHippocampus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_fimbriaOfTheHippocampus"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_flocculus"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_forcepsMajorOfTheCorpusCallosum"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_forcepsMinorOfTheCorpusCallosum"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_fornix"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_frontalAssociationCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_frontalCortexArea3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_gelatinousLayerOfTheCaudalSpinalTrigeminalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_geminiHypothalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_genuOfTheCorpusCallosum"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_genuOfTheFacialNerve"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_gigantocellularReticularNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_gigantocellularReticularNucleusAlphaPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_gigantocellularReticularNucleusVentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_globusPallidus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_glomerularLayerOfTheAccessoryOlfactoryBulb"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_glomerularLayerOfTheOlfactoryBulb"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_glossopharyngealNerve"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_gracileFasciculus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_gracileNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_granularCellLayerOfTheOlfactoryBulb"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_granularInsularCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_granularLayerOfTheDentateGyrus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_granuleCellLayerOfCochlearNuclei"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_granuleCellLayerOfTheAccessoryOlfactoryBulb"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_granuleCellLayerOfTheCerebellum"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_habenularCommissure"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_hilusOfTheDentateGyrus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_hippocampalFissure"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_hypoglossalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_hypoglossalNucleusGeniohyoidPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_indusiumGriseum"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_inferiorCerebellarPeduncleDecussation"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_inferiorCerebellarPeduncleRestiformBody"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_inferiorColliculus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_inferiorOliveBetaSubnucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_inferiorOliveCapOfKooyOfTheMedialNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_inferiorOliveDorsalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_inferiorOliveDorsomedialCellGroup"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_inferiorOliveMedialNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_inferiorOlivePrincipalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_inferiorOliveSubnucleusAOfMedialNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_inferiorOliveSubnucleusBOfMedialNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_inferiorOliveSubnucleusCOfMedialNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_inferiorOliveVentrolateralProtrusion"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_inferiorSalivatoryNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_infralimbicCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_infundibularRecess"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_infundibularStem"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_interanterodorsalThalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_interanteromedialThalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_intercalatedAmygdaloidNucleusMainPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_intercalatedNucleiOfTheAmygdala"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_intercalatedNucleusOfTheMedulla"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_intercruralFissure"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_interfascicularNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_intergeniculateLeaf"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_intermediateEndopiriformNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_intermediateGrayLayerOfTheSuperiorColliculus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_intermediateInterstitialNucleusOfTheMedialLongitudinalFasciculus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_intermediateLobeOfPituitary"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_intermediateNucleusOfTheLateralLemniscus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_intermediateReticularNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_intermediateReticularNucleusAlphaPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_intermediateWhiteLayerOfTheSuperiorColliculus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_intermediodorsalThalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_intermediolateralCellColumnOfTheSpinalCord"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_intermedioventralThalamicCommissure"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_intermediusNucleusOfTheMedulla"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_internalArcuateFibers"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_internalCapsule"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_internalCarotidArtery"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_internalMedullaryLamina"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_internalPlexiformLayerOfTheOlfactoryBulb"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_interpeduncularFossa"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_interpeduncularNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_interpeduncularNucleusApicalSubnucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_interpeduncularNucleusCaudalSubnucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_interpeduncularNucleusDorsolateralSubnucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_interpeduncularNucleusDorsomedialSubnucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_interpeduncularNucleusIntermediateSubnucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_interpeduncularNucleusLateralSubnucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_interpeduncularNucleusRostralSubnucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_interposedCerebellarNucleusAnteriorPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_interposedCerebellarNucleusDorsolateralHump"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_interposedCerebellarNucleusDorsomedialCrest"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_interposedCerebellarNucleusPosteriorPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_interposedCerebellarNucleusPosteriorParvicellularPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_interstitialNucleusOfCajal"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_interstitialNucleusOfCajalShellRegion"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_interstitialNucleusOfTheDecussationOfTheSuperiorCerebellarPeduncle"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_interstitialNucleusOfTheMedulla"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_interstitialNucleusOfThePosteriorLimbOfTheAnteriorCommissure"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_interstitialNucleusOfThePosteriorLimbOfTheAnteriorCommissureLateralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_interstitialNucleusOfThePosteriorLimbOfTheAnteriorCommissureMedialPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_interstitialNucleusOfTheVestibulocochlearNerve"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_interventricularForamen"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_intramedullaryThalamicArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_islandsOfCalleja"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_islandsOfCallejaMajorIsland"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_isthmicPeriaqueductalGray"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_isthmicReticularFormation"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_juxtaolivaryNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_juxtaparaventricularPartOfLateralHypothalamus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lacunosumMoleculareLayerOfTheHippocampus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lambdoidSeptalZone"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralAccumbensShell"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralAmygdaloidNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralAmygdaloidNucleusDorsolateralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralAmygdaloidNucleusVentrolateralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralAmygdaloidNucleusVentromedialPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralCerebellarNucleusParvicellularPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralCervicalNucleusOfTheSpinalCord"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralDentateCerebellarNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralEntorhinalCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralHabenularNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralHabenularNucleusLateralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralHabenularNucleusMedialPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralHypothalamicArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralLemniscus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralMammillaryNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralOlfactoryTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralOrbitalCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralOrbitofrontalArtery"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralParabrachialNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralParabrachialNucleusCentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralParabrachialNucleusCrescentPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralParabrachialNucleusDorsalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralParabrachialNucleusExternalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralParabrachialNucleusInternalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralParabrachialNucleusMedialPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralParabrachialNucleusSuperiorPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralParabrachialNucleusVentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralParagigantocellularNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralParagigantocellularNucleusAlphaPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralParagigantocellularNucleusExternalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralParietalAssociationCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralPeriaqueductalGray"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralPosteriorThalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralPosteriorThalamicNucleusLaterocaudalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralPosteriorThalamicNucleusLaterorostralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralPosteriorThalamicNucleusMediocaudalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralPosteriorThalamicNucleusMediorostralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralPreopticArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralRecessOfThe4thVentricle"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralReticularNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralReticularNucleusParvicellularPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralReticularNucleusSubtrigeminalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralSeptalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralSeptalNucleusDorsalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralSeptalNucleusIntermediatePart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralSeptalNucleusVentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralSpinalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralStripeOfTheStriatum"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralSuperiorOlive"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralTerminalNucleusOfTheAccessoryOpticTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralVentricle"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralVestibularNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateroanteriorHypothalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_laterodorsalTegmentalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_laterodorsalTegmentalNucleusVentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_laterodorsalThalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_laterodorsalThalamicNucleusDorsomedialPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_laterodorsalThalamicNucleusVentrolateralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateroventralPeriolivaryNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_layer1OfCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_layer1bOfCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_layer2OfCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_layer3OfCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_layer4OfCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_layer5OfCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_layer5aOfCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_layer5bOfCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_layer6OfCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_layer6aOfCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_layer6bOfCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_leminaTerminalis"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_linearNucleusOfTheMedulla"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lithoidNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_locusCoeruleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_longitudinalFasciculusOfThePons"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_magnocellularNucleusOfTheLateralHypothalamus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_magnocellularNucleusOfThePosteriorCommissure"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_magnocellularPreopticNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_mammillaryPeduncle"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_mammillaryRecessOfThe3rdVentricle"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_mammillotegmentalTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_mammillothalamicTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_marginalZoneOfTheMedialGeniculate"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_matrixRegionOfTheMedulla"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialAccessoryOculomotorNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialAmygdaloidNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialAmygdaloidNucleusAnteriorPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialAmygdaloidNucleusAnterodorsalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialAmygdaloidNucleusAnteroventralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialAmygdaloidNucleusPosterodorsalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialAmygdaloidNucleusPosteroventralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialCerebellarNucleusCaudomedialPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialCerebellarNucleusDorsolateralProtuberance"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialCerebellarNucleusLateralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialCorticohypothalamicTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialEminenceExternalLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialEminenceInternalLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialEntorhinalCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialEntorhinalCortexVentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialFastigialCerebellarNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialForebrainBundle"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialForebrainBundleAComponent"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialForebrainBundleBComponent"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialGeniculateNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialGeniculateNucleusDorsalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialGeniculateNucleusMedialPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialGeniculateNucleusVentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialHabenularNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialLemniscus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialLemniscusDecussation"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialLongitudinalFasciculus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialMammillaryNucleusLateralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialMammillaryNucleusMedialPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialMammillaryNucleusMedianPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialOrbitalCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialOrbitofrontalArtery"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialParabrachialNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialParabrachialNucleusExternalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialParalemniscialNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialParietalAssociationCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialPreopticArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialPreopticNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialPreopticNucleusCentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialPreopticNucleusLateralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialPreopticNucleusMedialPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialPretectalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialSeptalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialSuperiorOlive"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialTerminalNucleusOfTheAccessoryOpticTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialTuberalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialVestibularNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialVestibularNucleusMagnocellularPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialVestibularNucleusParvicellularPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medianAccessoryNucleusOfTheMedulla"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medianEminence"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medianPreopticNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medianRapheNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_mediodorsalThalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_mediodorsalThalamicNucleusCentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_mediodorsalThalamicNucleusLateralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_mediodorsalThalamicNucleusMedialPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medioventralPeriolivaryNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medullaryReticularNucleusDorsalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medullaryReticularNucleusVentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_mesencephalicReticularFormation"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_mesencephalicTrigeminalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_mesencephalicTrigeminalTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_microcellularTegmentalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_middleCerebellarPeduncle"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_middleCerebralArtery"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_mitralCellLayerOfTheAccessoryOlfactoryBulb"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_mitralCellLayerOfTheOlfactoryBulb"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_molecularLayerOfTheCerebellum"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_molecularLayerOfTheDentateGyrus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_molecularLayerOfTheSubiculum"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_motorRootOfTheTrigeminalNerve"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_motorTrigeminalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_motorTrigeminalNucleusAnteriorDigastricPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_motorTrigeminalNucleusMasseterPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_motorTrigeminalNucleusMylohyoidPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_motorTrigeminalNucleusTemporalisPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_motorTrigeminalNucleusTensorTympaniPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_navicularNucleusOfTheBasalForebrain"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nervusIntermediusComponentOfTheFacialNerve"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nigrostriatalBundle"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nucleusOfDarkschewitsch"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nucleusOfOriginOfEfferentsOfTheVestibularNerve"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nucleusOfRoller"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nucleusOfTheAnsaLenticularis"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nucleusOfTheBrachiumOfTheInferiorColliculus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nucleusOfTheCentralAcousticTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nucleusOfTheCommissuralStriaTerminalis"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nucleusOfTheFieldsOfForel"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nucleusOfTheHorizontalLimbOfTheDiagonalBand"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nucleusOfTheLateralOlfactoryTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nucleusOfTheLateralOlfactoryTractLayer1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nucleusOfTheOpticTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nucleusOfThePosteriorCommissure"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nucleusOfTheSolitaryTractCentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nucleusOfTheSolitaryTractCommissuralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nucleusOfTheSolitaryTractDorsomedialPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nucleusOfTheSolitaryTractGelatinousPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nucleusOfTheSolitaryTractIntermediatePart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nucleusOfTheSolitaryTractInterstitialPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nucleusOfTheSolitaryTractLateralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nucleusOfTheSolitaryTractMedialPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nucleusOfTheSolitaryTractRostrolateralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nucleusOfTheSolitaryTractVentrolateralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nucleusOfTheStriaMedullaris"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nucleusOfTheTrapezoidBody"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nucleusOfTheVerticalLimbOfTheDiagonalBand"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nucleusX"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nucleusY"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nucleusZ"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_obex"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_oculomotorNerve"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_oculomotorNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_oculomotorNucleusParvicellularPart"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_olfactoryBulb"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_olfactoryNerveLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_olfactoryTubercle"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_olfactoryVentricleOlfactoryPartOfLateralVentricle"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_olivaryPretectalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_olivocerebellarTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_olivocochlearBundle"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_opticChiasm"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_opticNerve"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_opticNerveLayerOfTheSuperiorColliculus"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_opticTract"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_oriensLayerOfTheHippocampus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ovalParacentralThalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_p1PeriaqueductalGray"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_paraabducensNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_parabigeminalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_parabrachialPigmentedNucleusOfTheVTA"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_paracentralThalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_paracochlearGlialSubstance"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_paracommissuralNucleusOfThePosteriorCommissure"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_parafascicularThalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_parafloccularSulcus"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_paraflocculus"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_parainterfascicularNucleusOfTheVTA"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_paralambdoidSeptalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_paralemniscalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_paramedianLobule"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_paramedianRapheNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_paramedianReticularNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_paramedianSulcus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_paranigralNucleusOfTheVTA"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_parapyramidalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_pararubralNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_parasolitaryNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_parastrialNucleus"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_parasubiculum"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_parasubthalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_paratenialThalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_paratereteNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_paratrigeminalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_paratrochlearNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_paraventricularHypothalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_paraventricularHypothalamicNucleusAnteriorParvicellularPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_paraventricularHypothalamicNucleusDorsalCap"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_paraventricularHypothalamicNucleusLateralMagnocellularPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_paraventricularHypothalamicNucleusMedialMagnocellularPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_paraventricularHypothalamicNucleusMedialParvicellularPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_paraventricularHypothalamicNucleusPosteriorPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_paraventricularHypothalamicNucleusVentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_paraventricularThalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_paraventricularThalamicNucleusAnteriorPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_paraventricularThalamicNucleusPosteriorPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_paraxiphoidNucleusOfThalamus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_parietalCortexPosteriorAreaCaudalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_parietalCortexPosteriorAreaDorsalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_parietalCortexPosteriorAreaRostralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_parvicellularReticularNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_parvicellularReticularNucleusAlphaPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_peduncularPartOfLateralHypothalamus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_pedunculopontineTegmentalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_periaqueductalGray"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_perifacialZone"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_perifornicalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_perifornicalPartOfLateralHypothalamus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_perilemniscalNucleusVentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_periolivaryHorn"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_peripeduncularNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_perirhinalCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_peritrigeminalZone"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_periventricularGray"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_periventricularHypothalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_periventricularHypothalamicNucleusAnteriorParvicellularPart"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_pinealGland"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_pinealStalk"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_piriformCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_piriformCortexLayer1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_pleomorphicPartOfPeriaqueductaiGray"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_polymorphLayerOfTheDentateGyrus"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_pontineNuclei"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_pontineRapheNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_pontineReticularNucleusCaudalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_pontineReticularNucleusOralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_pontineReticularNucleusVentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_posteriorCerebralArtery"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_posteriorCommissure"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_posteriorHypothalamicArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_posteriorHypothalamicAreaDorsalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_posteriorHypothalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_posteriorIntralaminarThalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_posteriorLimitansThalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_posteriorLobeOfPituitary"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_posteriorPretectalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_posteriorSuperiorFissure"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_posteriorThalamicNuclearGroup"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_posteriorThalamicNuclearGroupTriangularPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_posterodorsalPreopticNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_posterodorsalRapheNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_posterodorsalTegmentalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_posterolateralCorticalAmygdaloidNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_posterolateralCorticalAmygdaloidNucleusLayer1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_posterolateralFissure"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_posteromedialCorticalAmygdaloidNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_posteromedianThalamicNucleus"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_postsubiculum"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_preBotzingerComplex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_preEdingerWestphalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_precommissuralNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_preculminateFissure"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_precuneiformArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_prelimbicCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_premammillaryNucleusDorsalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_premammillaryNucleusVentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_preopticRecessOfThe3rdVentricle"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_prepositusNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_prepyramidalFissure"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_prerubralField"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_presubiculum"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_primaryAuditoryCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_primaryFissure"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_primaryMotorCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_primarySomatosensoryCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_primarySomatosensoryCortexBarrelField"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_primarySomatosensoryCortexDysgranularZone"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_primarySomatosensoryCortexForelimbRegion"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_primarySomatosensoryCortexHindlimbRegion"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_primarySomatosensoryCortexJawRegion"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_primarySomatosensoryCortexOralDysgranularZone"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_primarySomatosensoryCortexShoulderRegion"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_primarySomatosensoryCortexTrunkRegion"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_primarySomatosensoryCortexUpperLipRegion"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_primaryVisualCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_primaryVisualCortexBinocularArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_primaryVisualCortexMonocularArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_principalMammillaryTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_principalSensoryTrigeminalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_principalSensoryTrigeminalNucleusDorsomedialPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_principalSensoryTrigeminalNucleusVentrolateralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_pyramidalCellLayerOfTheHippocampus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_pyramidalDecussation"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_pyramidalTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_r1ReticularFormation"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_r2ReticularFormation"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_r3ReticularFormation"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_radiatumLayerOfTheHippocampus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_rapheInterpositusNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_rapheMagnusNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_rapheObscurusNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_raphePallidusNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_recessOfTheInferiorColliculus"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_redNucleus"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_redNucleusMagnocellularPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_redNucleusParvicellularPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_regionWhereVAAndVLOverlap"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_reticluostrialNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_reticularThalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_reticulotegmentalNucleusOfThePons"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_reticulotegmentalNucleusOfThePonsLateralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_reticulotegmentalNucleusOfThePonsPericentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_retroambiguusNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_retrochiasmaticArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_retrochiasmaticAreaLateralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_retroendopiriformNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_retroethmoidNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_retrolemniscalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_retroparafascicularNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_retrorubralField"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_retrorubralNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_retrosplenialDysgranularCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_retrosplenialGranularCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_retrosplenialGranularCortexARegion"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_retrosplenialGranularCortexBRegion"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_retrosplenialGranularCortexCRegion"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_retrouniensArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_reuniensThalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_rhabdoidNucleus"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_rhinalFissure"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_rhinalIncisure"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_rhomboidThalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_rootOfAbducensNerve"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_rootOfAccessoryNerve"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_rootOfHypoglossalNerve"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_rostralAmygdalopiriformArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_rostralInterstitialNucleusOfMedialLongitudinalFasciculus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_rostralLinearNucleusOfTheRaphe"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_rostralVentralRespiratoryGroup"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_rostroventrolateralReticularNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_rostrumOfTheCorpusCallosum"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_rubrospinalTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_sagulumNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_scaphoidThalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_secondaryAuditoryCortexDorsalArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_secondaryAuditoryCortexVentralArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_secondaryFissure"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_secondaryMotorCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_secondarySomatosensoryCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_secondaryVisualCortexLateralArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_secondaryVisualCortexMediolateralArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_secondaryVisualCortexMediomedialArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_sensoryRootOfTheTrigeminalNerve"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_septofimbrialNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_septohippocampalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_septohypothalamicNucleus"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_simpleLobule"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_simpleLobuleA"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_simpleLobuleB"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_simplexFissure"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_solitaryNucleusDorsolateralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_solitaryNucleusVentralPart"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_solitaryTract"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_sphenoidNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_spinalTrigeminalNucleusCaudalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_spinalTrigeminalNucleusInterpolarPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_spinalTrigeminalNucleusOralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_spinalTrigeminalTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_spinalVestibularNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_spleniumOfTheCorpusCallosum"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_stigmoidHypothalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_stratumLucidumOfTheHippocampus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_striaMedullarisOfTheThalamus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_striaTerminalis"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_strialPartOfThePreopticArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_striohypothalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_subbrachialNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_subcoeruleusNucleusAlphaPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_subcoeruleusNucleusDorsalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_subcoeruleusNucleusVentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_subcommissuralOrgan"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_subfornicalOrgan"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_subgeniculateNucleus"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_subiculum"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_subiculumTransitionArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_subincertalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_sublenticularExtendedAmygdala"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_sublenticularExtendedAmygdalaCentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_sublenticularExtendedAmygdalaMedialPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_submammillothalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_submediusThalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_submediusThalamicNucleusDorsalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_submediusThalamicNucleusVentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_subparafascicularThalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_subparafascicularThalamicNucleusParvicellularPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_subparaventricularZoneOfTheHypothalamus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_subpeduncularTegmentalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_subpostremaArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_substantiaInnominata"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_substantiaInnominataBasalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_substantiaNigraCompactPartDorsalTier"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_substantiaNigraCompactPartMedialTier"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_substantiaNigraCompactaPartVentralTier"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_substantiaNigraLateralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_substantiaNigraReticularPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_subthalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_superficialGrayLayerOfTheSuperiorColliculus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_superiorCerebellarPeduncleBrachiumConjunctivum"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_superiorCerebellarPeduncleDescendingLimb"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_superiorMedullaryVelum"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_superiorParaolivaryNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_superiorSalivatoryNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_superiorThalamicRadiation"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_superiorVestibularNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_suprachiasmaticNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_suprachiasmaticNucleusDorsolateralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_suprachiasmaticNucleusVentromedialPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_suprageniculateThalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_supragenualNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_supramammillaryDecussation"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_supramammillaryNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_supramammillaryNucleusLateralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_supramammillaryNucleusMedialPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_supraoculomotorCap"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_supraoculomotorPeriaqueductalGray"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_supraopticDecussation"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_supraopticNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_supraopticNucleusRetrochiasmaticPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_supratrigeminalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_tectospinalTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_temporalAssociationCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_tereteHypothalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_transverseFibersOfThePons"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_trapezoidBody"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_triangularNucleusLateralLemniscus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_triangularSeptalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_trigeminalGanglion"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_trigeminalSolitaryTransitionZone"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_trigeminalTransitionZone"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_trigeminothalamicTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_trochlearNerve"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_trochlearNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_trochlearNucluesShellRegion"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_tuberalRegionOfLateralHypothalamus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_uncinateFasciculusDecussation"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_uncinateFasciculusOfTheCerebellum"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_vagusNerve"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_vascularOrganOfTheLaminaTerminalis"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_vein"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventralAnteriorThalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventralCochlearNucleusAnteriorPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventralCochlearNucleusCapsularPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventralCochlearNucleusGranuleCellLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventralCochlearNucleusPosteriorPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventralCochlearNucleusPosteriorPartOctopusCellArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventralEndopiriformNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventralGeniculateNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventralGeniculateNucleusLayer1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventralHippocampalCommissure"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventralIntermediateEntorhinalCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventralLinearNucleusOfTheThalamus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventralNucleusOfTheLatLemniscus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventralOrbitalCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventralPallidum"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventralPartOfClaustrum"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventralPosteriorNucleusOfTheThalamusParvicellularPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventralPosterolateralThalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventralPosteromedialThalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventralReuniensThalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventralSpinocerebellarTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventralSpinocerebellarTractDecussation"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventralSubiculum"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventralTegmentalArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventralTegmentalAreaRostralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventralTegmentalDecussation"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventralTegmentalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventralTeniaTecta"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventralTeniaTectaLayer1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventralTuberomammillaryNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventrolateralHypothalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventrolateralHypothalamicTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventrolateralPeriaqueductalGray"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventrolateralPreopticNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventrolateralThalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventromedialHypothalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventromedialHypothalamicNucleusAnteriorPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventromedialHypothalamicNucleusCentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventromedialHypothalamicNucleusDorsomedialPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventromedialHypothalamicNucleusVentrolateralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventromedialNucleusOfTheHypothalamusShell"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventromedialPreopticNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventromedialThalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_vertebralArtery"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_vestibularRootOfTheVestibulocochlearNerve"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_vestibulocerebellarNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_vestibulocochlearGanglion"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_vestibulocochlearNerve"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_vestibulomesencephalicTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_vestibulospinalTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_vomeronasalNerve"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_vomeronasalNerveLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_xiphoidThalamicNucleus"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_zonaIncerta"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_zonaIncertaCaudalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_zonaIncertaDorsalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_zonaIncertaRostralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_zonaIncertaVentralPart"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_zonaLimitans"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_zonalLayerOfTheSuperiorColliculus"
            },
        ],
        "ontologyIdentifier": None,
    },
    how_to_cite="Paxinos, G. and Watson, C. (2006) The Rat Brain in Stereotaxic Coordinates. 6th Edition, Academic Press, San Diego.",
    release_date="2006-11-02",
    short_name="Paxinos and Watson's Stereotaxic Rat Brain Atlas (Coronal)",
    type={"@id": "https://openminds.om-i.org/instances/atlasType/deterministicAtlas"},
    version_identifier="6th ed. (Bregma, RIA)",
    version_innovation="The 6th edition introduces color photographs of the coronal brain section. All diagrams from the previous editions have been completely revised [paraphrased from the ‘Preface’ of the book ISBN: 0-12-547612-4].",
)
BrainAtlasVersion.pw_rbsc_cor_6th_ed__interaural_lsa = BrainAtlasVersion(
    id="https://openminds.om-i.org/instances/brainAtlasVersion/PW-RBSC-cor_6th-ed-Interaural-LSA",
    abbreviation="PW-RBSC-cor",
    accessibility={"@id": "https://openminds.om-i.org/instances/productAccessibility/paidAccess"},
    coordinate_space={
        "@id": "https://openminds.om-i.org/instances/commonCoordinateSpaceVersion/PW-RBSC-corT_v2004-Interaural-LSA"
    },
    digital_identifier={"@id": "https://openminds.om-i.org/instances/ISBN/0-12-547612-4"},
    full_documentation={"@id": "https://openminds.om-i.org/instances/ISBN/0-12-547612-4"},
    full_name="Paxinos and Watson's The Rat Brain in Stereotaxic Coordinates - Coronal Plates",
    has_terminology={
        "@type": "https://openminds.om-i.org/types/ParcellationTerminologyVersion",
        "dataLocation": None,
        "hasEntity": [
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_10thCerebellarLobuleNodule"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_1stCerebellarLobuleLingula"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_2bCerebellarLobule"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_2ndAnd3rdCerebellarLobules"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_2ndCerebellarLobule"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_3rdAnd4thCerebellarLobules"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_3rdCerebellarLobule"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_3rdVentricle"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_4thAnd5thCerebellarLobules"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_4thCerebellarLobule"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_4thVentricle"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_5thCerebellarLobule"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_6aCerebellarLobule"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_6bCerebellarLobule"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_6cCerebellarLobule"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_6thCerebellarLobule"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_7thCerebellarLobule"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_8thCerebellarLobule"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_9thCerebellarLobule"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_9thCerebellarLobuleA"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_9thCerebellarLobuleAAndB"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_9thCerebellarLobuleB"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_9thCerebellarLobuleC"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_A11dopamineCells"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_A13DopamineCells"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_A1NoradrenalineCells"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_A1NoradrenalineCellsC1AdrenalineCells"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_A2NoradrenalineCells"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_A5NoradrenalineCells"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_A7NoradrenalineCells"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_B9SerotoninCells"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_BarringtonsNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_BotzingerComplex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_C1AdrenalineCells"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_C1AdrenalineCellsAndA1NoradrenalineCells"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_C2AdrenalineCells"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_C3AdrenalineCells"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_EdingerWestphalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_FCellGroupOfTheVestibularComplex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_KillikerFuseNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_PurkinjeCellLayerOfTheCerebellum"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_abducensNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_abducensNucleusRetractorBulbiPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_accessoryAbducensFacialNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_accessoryNerveNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_accessoryNeurosecretoryNuclei"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_accessoryOlfactoryBulb"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_accessoryOlfactoryTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_accumbensNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_accumbensNucleusCore"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_accumbensNucleusShell"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_agranularInsularCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_agranularInsularCortexDorsalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_agranularInsularCortexPosteriorPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_agranularInsularCortexVentralPart"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_alarNucleus"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_alveusOfTheHippocampus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ambiguusNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ambiguusNucleusCompactPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ambiguusNucleusLoosePart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ambiguusNucleusSubcompactPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_amygdalohippocampalArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_amygdalohippocampalAreaAnterolateralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_amygdalohippocampalAreaPosterolateralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_amygdalohippocampalAreaPosteromedialPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_amygdaloidFissure"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_amygdaloidIntramedullaryGray"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_amygdalopiriformTransitionArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_amygdalostriatalTransitionArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_angularThalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ansoparamedianFissure"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteriorAmygdaloidArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteriorCerebralArtery"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteriorCommissuralNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteriorCommissure"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteriorCommissureAnteriorPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteriorCommissureIntrabulbarPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteriorCommissurePosteriorPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteriorCorticalAmygdaloidNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteriorHypothalamicArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteriorHypothalamicAreaAnteriorPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteriorHypothalamicAreaCentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteriorHypothalamicAreaPosteriorPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteriorLobeOfPituitary"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteriorOlfactoryNucleusDorsalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteriorOlfactoryNucleusExternalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteriorOlfactoryNucleusLateralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteriorOlfactoryNucleusMedialPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteriorOlfactoryNucleusPosteriorPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteriorOlfactoryNucleusVentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteriorOlfactoryNucleusVentroposteriorPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteriorPerifornicalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteriorPretectalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteriorPretectalNucleusDorsalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteriorPretectalNucleusVentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteriorSpinalArtery"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteriorTegmentalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anterodorsalThalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteromedialThalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteromedialThalamicNucleusVentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteroventThalamicNucleusDorsomedialPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteroventralPeriventricularNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteroventralThalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteroventralThalamicNucleusVentrolateralPart"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_aqueduct"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_arcuateHypothalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_arcuateHypothalamicNucleusDorsalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_arcuateHypothalamicNucleusLateralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_arcuateHypothalamicNucleusLateroposteriorPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_arcuateHypothalamicNucleusMedialPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_arcuateHypothalamicNucleusMedialPosteriorPart"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_areaPostrema"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_artery"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ascendingFibersOfTheFacialNerve"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_azygousAnteriorCerebralArtery"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_azygousPericallosalArtery"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_basalNucleusCompactPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_basalNucleusMeynert"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_basilarArtery"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_basolateralAmygdaloidNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_basolateralAmygdaloidNucleusAnteriorPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_basolateralAmygdaloidNucleusPosteriorPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_basolateralAmygdaloidNucleusVentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_basomedialAmygdaloidNucleusAnteriorPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_basomedialAmygdaloidNucleusPosteriorPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_bedNucleusOfStriaTerminalisFusiformPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_bedNucleusOfStriaTerminalisSupracapsularDivision"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_bedNucleusOfStriaTerminalisSupracapsularDivisionLateralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_bedNucleusOfStriaTerminalisSupracapsularDivisionMedialPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_bedNucleusOfTheAccessoryOlfactoryTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_bedNucleusOfTheAnteriorCommissure"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_bedNucleusOfTheStriaTerminalisIntermediateDivision"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_bedNucleusOfTheStriaTerminalisIntraamygdaloidDivision"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_bedNucleusOfTheStriaTerminalisLateralDivision"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_bedNucleusOfTheStriaTerminalisLateralDivisionDorsalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_bedNucleusOfTheStriaTerminalisLateralDivisionIntermediatePart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_bedNucleusOfTheStriaTerminalisLateralDivisionJuxtacapsularPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_bedNucleusOfTheStriaTerminalisLateralDivisionPosteriorPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_bedNucleusOfTheStriaTerminalisLateralDivisionVentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_bedNucleusOfTheStriaTerminalisMedialDivision"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_bedNucleusOfTheStriaTerminalisMedialDivisionAnteriorPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_bedNucleusOfTheStriaTerminalisMedialDivisionAnterolateralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_bedNucleusOfTheStriaTerminalisMedialDivisionAnteromedialPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_bedNucleusOfTheStriaTerminalisMedialDivisionPosteriorPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_bedNucleusOfTheStriaTerminalisMedialDivisionPosterointermediatePart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_bedNucleusOfTheStriaTerminalisMedialDivisionPosterolateralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_bedNucleusOfTheStriaTerminalisMedialDivisionPosteromedialPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_bedNucleusOfTheStriaTerminalisMedialDivisionVentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_brachiumOfTheInferiorColliculus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_brachiumOfTheSuperiorColliculus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_caudalInterstitialNucleusOfTheMedialLongitudinalFasciculus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_caudalLinearNucleusOfTheRaphe"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_caudalPeriolivaryNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_caudatePutamenStriatum"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_caudomedialEntothinalCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_caudoventrolateralReticularNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_cellBridgesOfTheVentralStriatum"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_centralAmygdaloidNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_centralAmygdaloidNucleusCapsularPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_centralAmygdaloidNucleusLateralDivision"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_centralAmygdaloidNucleusMedialDivision"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_centralCanal"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_centralCervicalNucleusOfTheSpinalCord"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_centralGray"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_centralGrayAlphaPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_centralGrayBetaPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_centralGrayGammaPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_centralGrayNucleusO"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_centralGrayOfThePons"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_centralMedialThalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_centralNucleusOfTheInferiorColliculus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_centrolateralThalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_cerebellarCommissure"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_cerebellarWhiteMatter"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_cerebellum"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_cerebralCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_cerebralPeduncle"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_choroidPlexus"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_cingulateCortexArea1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_cingulateCortexArea2"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_cingulum"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_circularNucleus"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_claustrum"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_cochlearRootOfTheVestibulocochlearNerve"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_commissuralNucleusOfTheInferiorColliculus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_commissuralStriaTerminalis"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_commissureOfTheInferiorColliculus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_commissureOfTheLateralLemniscus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_commissureOfTheSuperiorColliculus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_conterminalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_copulaOfThePyramis"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_corpusCallosum"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_cortexAmygdalaTransitionZone"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_cortexAmygdalaTransitionZoneLayer1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_crus1OfTheAnsiformLobule"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_crus2OfTheAnsiformLobule"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_cuneateFasciculus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_cuneateNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_cuneateNucleusRotundusPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_cuneiformNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_cuneiformNucleusDorsalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_cuneiformNucleusIntermediatePart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_cuneiformNucleusVentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_decussationOfTheSuperiorCerebellarPeduncle"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_decussationOfTheTrapezoidBody"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_deepCerebralWhiteMatter"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_deepGrayLayerOfTheSuperiorColliculus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_deepWhiteLayerOfTheSuperiorColliculus"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dentateGyrus"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsal3rdVentricle"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalAcousticStria"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalCochlearNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalCochlearNucleusDeepCore"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalCochlearNucleusFusiformLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalCochlearNucleusGranularLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalCochlearNucleusMolecularLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalCortexOfTheInferiorColliculus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalCorticospinalTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalEndopiriformNucleus"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalFornix"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalHippocampalCommissure"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalHypothalamicArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalIntermediateEntorhinalCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalLateralGeniculateNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalLateralOlfactoryTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalMotorNucleusOfVagus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalNucleusOfTheLateralLemniscus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalNucleusOfTheSpinalCord"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalParagigantocellularNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalPartOfClaustrum"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalPeduncularCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalPeduncularPontineNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalPeriolivaryRegion"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalRapheNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalRapheNucleusCaudalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalRapheNucleusDorsalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalRapheNucleusLateralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalRapheNucleusVentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalSpinocerebellarTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalSpinocerebellarTractAndOlivocerebellarTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalSubiculum"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalTegmentalDecussation"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalTegmentalNucleusCentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalTegmentalNucleusPericentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalTeniaTecta"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalTeniaTectaLayer1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalTerminalNucleusOfTheAccessoryOpticTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalTransitionZone"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalTuberomammillaryNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsolateralEntorhinalCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsolateralOrbitalCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsolateralPeriaqueductalGray"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsomedialHypothalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsomedialHypothalamicNucleusCompactPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsomedialHypothalamicNucleusDorsalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsomedialHypothalamicNucleusVentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsomedialPeriaqueductalGray"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsomedialSpinalTrigeminalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsomedialTegmentalArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dysgranularInsularCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ectorhinalCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ectotrigeminalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_entopeduncularNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_entorhinalCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ependymaAndSubependymalLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ependymalAndSubendymalLayerOlfactoryVentricle"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_epifascicularNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_epilemniscalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_epipeduncularNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_epirubrospinalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_episupraopticNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ethmoidThalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_externalCapsule"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_externalCortexOfTheInferiorColliculus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_externalCortexOfTheInferiorColliculusLayer1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_externalCuneateNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_externalMedullaryLamina"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_externalPlexiformLayerOfTheAccessoryOlfactoryBulb"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_externalPlexiformLayerOfTheOlfactoryBulb"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_facialNerve"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_facialNucleus"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_facialNucleusDorsalIntermediateSubnucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_facialNucleusDorsolateralSubnucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_facialNucleusDorsomedialSubnucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_facialNucleusLateralSubnucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_facialNucleusStylohyoidPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_facialNucleusVentralIntermediateSubnucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_facialNucleusVentromedialSubnucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_fasciculusRetroflexus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_fasciolaCinereum"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_fieldCA1OfTheHippocampus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_fieldCA2OfTheHippocampus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_fieldCA3OfTheHippocampus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_fimbriaOfTheHippocampus"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_flocculus"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_forcepsMajorOfTheCorpusCallosum"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_forcepsMinorOfTheCorpusCallosum"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_fornix"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_frontalAssociationCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_frontalCortexArea3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_gelatinousLayerOfTheCaudalSpinalTrigeminalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_geminiHypothalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_genuOfTheCorpusCallosum"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_genuOfTheFacialNerve"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_gigantocellularReticularNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_gigantocellularReticularNucleusAlphaPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_gigantocellularReticularNucleusVentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_globusPallidus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_glomerularLayerOfTheAccessoryOlfactoryBulb"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_glomerularLayerOfTheOlfactoryBulb"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_glossopharyngealNerve"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_gracileFasciculus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_gracileNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_granularCellLayerOfTheOlfactoryBulb"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_granularInsularCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_granularLayerOfTheDentateGyrus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_granuleCellLayerOfCochlearNuclei"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_granuleCellLayerOfTheAccessoryOlfactoryBulb"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_granuleCellLayerOfTheCerebellum"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_habenularCommissure"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_hilusOfTheDentateGyrus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_hippocampalFissure"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_hypoglossalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_hypoglossalNucleusGeniohyoidPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_indusiumGriseum"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_inferiorCerebellarPeduncleDecussation"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_inferiorCerebellarPeduncleRestiformBody"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_inferiorColliculus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_inferiorOliveBetaSubnucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_inferiorOliveCapOfKooyOfTheMedialNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_inferiorOliveDorsalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_inferiorOliveDorsomedialCellGroup"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_inferiorOliveMedialNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_inferiorOlivePrincipalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_inferiorOliveSubnucleusAOfMedialNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_inferiorOliveSubnucleusBOfMedialNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_inferiorOliveSubnucleusCOfMedialNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_inferiorOliveVentrolateralProtrusion"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_inferiorSalivatoryNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_infralimbicCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_infundibularRecess"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_infundibularStem"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_interanterodorsalThalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_interanteromedialThalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_intercalatedAmygdaloidNucleusMainPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_intercalatedNucleiOfTheAmygdala"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_intercalatedNucleusOfTheMedulla"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_intercruralFissure"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_interfascicularNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_intergeniculateLeaf"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_intermediateEndopiriformNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_intermediateGrayLayerOfTheSuperiorColliculus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_intermediateInterstitialNucleusOfTheMedialLongitudinalFasciculus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_intermediateLobeOfPituitary"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_intermediateNucleusOfTheLateralLemniscus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_intermediateReticularNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_intermediateReticularNucleusAlphaPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_intermediateWhiteLayerOfTheSuperiorColliculus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_intermediodorsalThalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_intermediolateralCellColumnOfTheSpinalCord"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_intermedioventralThalamicCommissure"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_intermediusNucleusOfTheMedulla"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_internalArcuateFibers"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_internalCapsule"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_internalCarotidArtery"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_internalMedullaryLamina"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_internalPlexiformLayerOfTheOlfactoryBulb"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_interpeduncularFossa"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_interpeduncularNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_interpeduncularNucleusApicalSubnucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_interpeduncularNucleusCaudalSubnucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_interpeduncularNucleusDorsolateralSubnucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_interpeduncularNucleusDorsomedialSubnucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_interpeduncularNucleusIntermediateSubnucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_interpeduncularNucleusLateralSubnucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_interpeduncularNucleusRostralSubnucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_interposedCerebellarNucleusAnteriorPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_interposedCerebellarNucleusDorsolateralHump"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_interposedCerebellarNucleusDorsomedialCrest"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_interposedCerebellarNucleusPosteriorPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_interposedCerebellarNucleusPosteriorParvicellularPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_interstitialNucleusOfCajal"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_interstitialNucleusOfCajalShellRegion"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_interstitialNucleusOfTheDecussationOfTheSuperiorCerebellarPeduncle"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_interstitialNucleusOfTheMedulla"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_interstitialNucleusOfThePosteriorLimbOfTheAnteriorCommissure"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_interstitialNucleusOfThePosteriorLimbOfTheAnteriorCommissureLateralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_interstitialNucleusOfThePosteriorLimbOfTheAnteriorCommissureMedialPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_interstitialNucleusOfTheVestibulocochlearNerve"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_interventricularForamen"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_intramedullaryThalamicArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_islandsOfCalleja"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_islandsOfCallejaMajorIsland"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_isthmicPeriaqueductalGray"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_isthmicReticularFormation"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_juxtaolivaryNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_juxtaparaventricularPartOfLateralHypothalamus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lacunosumMoleculareLayerOfTheHippocampus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lambdoidSeptalZone"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralAccumbensShell"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralAmygdaloidNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralAmygdaloidNucleusDorsolateralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralAmygdaloidNucleusVentrolateralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralAmygdaloidNucleusVentromedialPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralCerebellarNucleusParvicellularPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralCervicalNucleusOfTheSpinalCord"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralDentateCerebellarNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralEntorhinalCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralHabenularNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralHabenularNucleusLateralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralHabenularNucleusMedialPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralHypothalamicArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralLemniscus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralMammillaryNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralOlfactoryTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralOrbitalCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralOrbitofrontalArtery"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralParabrachialNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralParabrachialNucleusCentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralParabrachialNucleusCrescentPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralParabrachialNucleusDorsalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralParabrachialNucleusExternalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralParabrachialNucleusInternalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralParabrachialNucleusMedialPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralParabrachialNucleusSuperiorPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralParabrachialNucleusVentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralParagigantocellularNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralParagigantocellularNucleusAlphaPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralParagigantocellularNucleusExternalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralParietalAssociationCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralPeriaqueductalGray"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralPosteriorThalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralPosteriorThalamicNucleusLaterocaudalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralPosteriorThalamicNucleusLaterorostralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralPosteriorThalamicNucleusMediocaudalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralPosteriorThalamicNucleusMediorostralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralPreopticArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralRecessOfThe4thVentricle"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralReticularNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralReticularNucleusParvicellularPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralReticularNucleusSubtrigeminalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralSeptalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralSeptalNucleusDorsalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralSeptalNucleusIntermediatePart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralSeptalNucleusVentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralSpinalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralStripeOfTheStriatum"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralSuperiorOlive"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralTerminalNucleusOfTheAccessoryOpticTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralVentricle"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralVestibularNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateroanteriorHypothalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_laterodorsalTegmentalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_laterodorsalTegmentalNucleusVentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_laterodorsalThalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_laterodorsalThalamicNucleusDorsomedialPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_laterodorsalThalamicNucleusVentrolateralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateroventralPeriolivaryNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_layer1OfCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_layer1bOfCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_layer2OfCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_layer3OfCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_layer4OfCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_layer5OfCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_layer5aOfCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_layer5bOfCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_layer6OfCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_layer6aOfCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_layer6bOfCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_leminaTerminalis"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_linearNucleusOfTheMedulla"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lithoidNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_locusCoeruleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_longitudinalFasciculusOfThePons"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_magnocellularNucleusOfTheLateralHypothalamus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_magnocellularNucleusOfThePosteriorCommissure"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_magnocellularPreopticNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_mammillaryPeduncle"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_mammillaryRecessOfThe3rdVentricle"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_mammillotegmentalTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_mammillothalamicTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_marginalZoneOfTheMedialGeniculate"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_matrixRegionOfTheMedulla"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialAccessoryOculomotorNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialAmygdaloidNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialAmygdaloidNucleusAnteriorPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialAmygdaloidNucleusAnterodorsalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialAmygdaloidNucleusAnteroventralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialAmygdaloidNucleusPosterodorsalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialAmygdaloidNucleusPosteroventralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialCerebellarNucleusCaudomedialPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialCerebellarNucleusDorsolateralProtuberance"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialCerebellarNucleusLateralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialCorticohypothalamicTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialEminenceExternalLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialEminenceInternalLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialEntorhinalCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialEntorhinalCortexVentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialFastigialCerebellarNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialForebrainBundle"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialForebrainBundleAComponent"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialForebrainBundleBComponent"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialGeniculateNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialGeniculateNucleusDorsalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialGeniculateNucleusMedialPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialGeniculateNucleusVentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialHabenularNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialLemniscus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialLemniscusDecussation"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialLongitudinalFasciculus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialMammillaryNucleusLateralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialMammillaryNucleusMedialPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialMammillaryNucleusMedianPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialOrbitalCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialOrbitofrontalArtery"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialParabrachialNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialParabrachialNucleusExternalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialParalemniscialNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialParietalAssociationCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialPreopticArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialPreopticNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialPreopticNucleusCentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialPreopticNucleusLateralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialPreopticNucleusMedialPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialPretectalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialSeptalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialSuperiorOlive"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialTerminalNucleusOfTheAccessoryOpticTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialTuberalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialVestibularNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialVestibularNucleusMagnocellularPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialVestibularNucleusParvicellularPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medianAccessoryNucleusOfTheMedulla"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medianEminence"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medianPreopticNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medianRapheNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_mediodorsalThalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_mediodorsalThalamicNucleusCentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_mediodorsalThalamicNucleusLateralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_mediodorsalThalamicNucleusMedialPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medioventralPeriolivaryNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medullaryReticularNucleusDorsalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medullaryReticularNucleusVentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_mesencephalicReticularFormation"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_mesencephalicTrigeminalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_mesencephalicTrigeminalTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_microcellularTegmentalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_middleCerebellarPeduncle"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_middleCerebralArtery"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_mitralCellLayerOfTheAccessoryOlfactoryBulb"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_mitralCellLayerOfTheOlfactoryBulb"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_molecularLayerOfTheCerebellum"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_molecularLayerOfTheDentateGyrus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_molecularLayerOfTheSubiculum"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_motorRootOfTheTrigeminalNerve"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_motorTrigeminalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_motorTrigeminalNucleusAnteriorDigastricPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_motorTrigeminalNucleusMasseterPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_motorTrigeminalNucleusMylohyoidPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_motorTrigeminalNucleusTemporalisPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_motorTrigeminalNucleusTensorTympaniPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_navicularNucleusOfTheBasalForebrain"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nervusIntermediusComponentOfTheFacialNerve"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nigrostriatalBundle"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nucleusOfDarkschewitsch"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nucleusOfOriginOfEfferentsOfTheVestibularNerve"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nucleusOfRoller"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nucleusOfTheAnsaLenticularis"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nucleusOfTheBrachiumOfTheInferiorColliculus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nucleusOfTheCentralAcousticTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nucleusOfTheCommissuralStriaTerminalis"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nucleusOfTheFieldsOfForel"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nucleusOfTheHorizontalLimbOfTheDiagonalBand"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nucleusOfTheLateralOlfactoryTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nucleusOfTheLateralOlfactoryTractLayer1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nucleusOfTheOpticTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nucleusOfThePosteriorCommissure"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nucleusOfTheSolitaryTractCentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nucleusOfTheSolitaryTractCommissuralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nucleusOfTheSolitaryTractDorsomedialPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nucleusOfTheSolitaryTractGelatinousPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nucleusOfTheSolitaryTractIntermediatePart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nucleusOfTheSolitaryTractInterstitialPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nucleusOfTheSolitaryTractLateralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nucleusOfTheSolitaryTractMedialPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nucleusOfTheSolitaryTractRostrolateralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nucleusOfTheSolitaryTractVentrolateralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nucleusOfTheStriaMedullaris"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nucleusOfTheTrapezoidBody"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nucleusOfTheVerticalLimbOfTheDiagonalBand"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nucleusX"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nucleusY"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nucleusZ"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_obex"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_oculomotorNerve"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_oculomotorNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_oculomotorNucleusParvicellularPart"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_olfactoryBulb"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_olfactoryNerveLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_olfactoryTubercle"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_olfactoryVentricleOlfactoryPartOfLateralVentricle"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_olivaryPretectalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_olivocerebellarTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_olivocochlearBundle"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_opticChiasm"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_opticNerve"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_opticNerveLayerOfTheSuperiorColliculus"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_opticTract"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_oriensLayerOfTheHippocampus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ovalParacentralThalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_p1PeriaqueductalGray"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_paraabducensNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_parabigeminalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_parabrachialPigmentedNucleusOfTheVTA"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_paracentralThalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_paracochlearGlialSubstance"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_paracommissuralNucleusOfThePosteriorCommissure"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_parafascicularThalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_parafloccularSulcus"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_paraflocculus"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_parainterfascicularNucleusOfTheVTA"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_paralambdoidSeptalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_paralemniscalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_paramedianLobule"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_paramedianRapheNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_paramedianReticularNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_paramedianSulcus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_paranigralNucleusOfTheVTA"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_parapyramidalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_pararubralNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_parasolitaryNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_parastrialNucleus"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_parasubiculum"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_parasubthalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_paratenialThalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_paratereteNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_paratrigeminalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_paratrochlearNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_paraventricularHypothalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_paraventricularHypothalamicNucleusAnteriorParvicellularPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_paraventricularHypothalamicNucleusDorsalCap"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_paraventricularHypothalamicNucleusLateralMagnocellularPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_paraventricularHypothalamicNucleusMedialMagnocellularPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_paraventricularHypothalamicNucleusMedialParvicellularPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_paraventricularHypothalamicNucleusPosteriorPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_paraventricularHypothalamicNucleusVentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_paraventricularThalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_paraventricularThalamicNucleusAnteriorPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_paraventricularThalamicNucleusPosteriorPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_paraxiphoidNucleusOfThalamus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_parietalCortexPosteriorAreaCaudalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_parietalCortexPosteriorAreaDorsalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_parietalCortexPosteriorAreaRostralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_parvicellularReticularNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_parvicellularReticularNucleusAlphaPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_peduncularPartOfLateralHypothalamus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_pedunculopontineTegmentalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_periaqueductalGray"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_perifacialZone"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_perifornicalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_perifornicalPartOfLateralHypothalamus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_perilemniscalNucleusVentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_periolivaryHorn"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_peripeduncularNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_perirhinalCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_peritrigeminalZone"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_periventricularGray"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_periventricularHypothalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_periventricularHypothalamicNucleusAnteriorParvicellularPart"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_pinealGland"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_pinealStalk"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_piriformCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_piriformCortexLayer1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_pleomorphicPartOfPeriaqueductaiGray"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_polymorphLayerOfTheDentateGyrus"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_pontineNuclei"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_pontineRapheNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_pontineReticularNucleusCaudalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_pontineReticularNucleusOralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_pontineReticularNucleusVentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_posteriorCerebralArtery"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_posteriorCommissure"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_posteriorHypothalamicArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_posteriorHypothalamicAreaDorsalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_posteriorHypothalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_posteriorIntralaminarThalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_posteriorLimitansThalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_posteriorLobeOfPituitary"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_posteriorPretectalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_posteriorSuperiorFissure"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_posteriorThalamicNuclearGroup"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_posteriorThalamicNuclearGroupTriangularPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_posterodorsalPreopticNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_posterodorsalRapheNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_posterodorsalTegmentalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_posterolateralCorticalAmygdaloidNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_posterolateralCorticalAmygdaloidNucleusLayer1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_posterolateralFissure"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_posteromedialCorticalAmygdaloidNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_posteromedianThalamicNucleus"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_postsubiculum"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_preBotzingerComplex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_preEdingerWestphalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_precommissuralNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_preculminateFissure"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_precuneiformArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_prelimbicCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_premammillaryNucleusDorsalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_premammillaryNucleusVentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_preopticRecessOfThe3rdVentricle"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_prepositusNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_prepyramidalFissure"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_prerubralField"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_presubiculum"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_primaryAuditoryCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_primaryFissure"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_primaryMotorCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_primarySomatosensoryCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_primarySomatosensoryCortexBarrelField"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_primarySomatosensoryCortexDysgranularZone"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_primarySomatosensoryCortexForelimbRegion"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_primarySomatosensoryCortexHindlimbRegion"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_primarySomatosensoryCortexJawRegion"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_primarySomatosensoryCortexOralDysgranularZone"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_primarySomatosensoryCortexShoulderRegion"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_primarySomatosensoryCortexTrunkRegion"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_primarySomatosensoryCortexUpperLipRegion"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_primaryVisualCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_primaryVisualCortexBinocularArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_primaryVisualCortexMonocularArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_principalMammillaryTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_principalSensoryTrigeminalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_principalSensoryTrigeminalNucleusDorsomedialPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_principalSensoryTrigeminalNucleusVentrolateralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_pyramidalCellLayerOfTheHippocampus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_pyramidalDecussation"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_pyramidalTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_r1ReticularFormation"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_r2ReticularFormation"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_r3ReticularFormation"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_radiatumLayerOfTheHippocampus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_rapheInterpositusNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_rapheMagnusNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_rapheObscurusNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_raphePallidusNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_recessOfTheInferiorColliculus"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_redNucleus"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_redNucleusMagnocellularPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_redNucleusParvicellularPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_regionWhereVAAndVLOverlap"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_reticluostrialNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_reticularThalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_reticulotegmentalNucleusOfThePons"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_reticulotegmentalNucleusOfThePonsLateralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_reticulotegmentalNucleusOfThePonsPericentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_retroambiguusNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_retrochiasmaticArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_retrochiasmaticAreaLateralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_retroendopiriformNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_retroethmoidNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_retrolemniscalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_retroparafascicularNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_retrorubralField"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_retrorubralNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_retrosplenialDysgranularCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_retrosplenialGranularCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_retrosplenialGranularCortexARegion"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_retrosplenialGranularCortexBRegion"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_retrosplenialGranularCortexCRegion"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_retrouniensArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_reuniensThalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_rhabdoidNucleus"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_rhinalFissure"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_rhinalIncisure"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_rhomboidThalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_rootOfAbducensNerve"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_rootOfAccessoryNerve"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_rootOfHypoglossalNerve"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_rostralAmygdalopiriformArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_rostralInterstitialNucleusOfMedialLongitudinalFasciculus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_rostralLinearNucleusOfTheRaphe"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_rostralVentralRespiratoryGroup"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_rostroventrolateralReticularNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_rostrumOfTheCorpusCallosum"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_rubrospinalTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_sagulumNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_scaphoidThalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_secondaryAuditoryCortexDorsalArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_secondaryAuditoryCortexVentralArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_secondaryFissure"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_secondaryMotorCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_secondarySomatosensoryCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_secondaryVisualCortexLateralArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_secondaryVisualCortexMediolateralArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_secondaryVisualCortexMediomedialArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_sensoryRootOfTheTrigeminalNerve"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_septofimbrialNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_septohippocampalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_septohypothalamicNucleus"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_simpleLobule"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_simpleLobuleA"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_simpleLobuleB"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_simplexFissure"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_solitaryNucleusDorsolateralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_solitaryNucleusVentralPart"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_solitaryTract"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_sphenoidNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_spinalTrigeminalNucleusCaudalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_spinalTrigeminalNucleusInterpolarPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_spinalTrigeminalNucleusOralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_spinalTrigeminalTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_spinalVestibularNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_spleniumOfTheCorpusCallosum"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_stigmoidHypothalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_stratumLucidumOfTheHippocampus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_striaMedullarisOfTheThalamus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_striaTerminalis"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_strialPartOfThePreopticArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_striohypothalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_subbrachialNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_subcoeruleusNucleusAlphaPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_subcoeruleusNucleusDorsalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_subcoeruleusNucleusVentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_subcommissuralOrgan"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_subfornicalOrgan"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_subgeniculateNucleus"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_subiculum"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_subiculumTransitionArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_subincertalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_sublenticularExtendedAmygdala"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_sublenticularExtendedAmygdalaCentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_sublenticularExtendedAmygdalaMedialPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_submammillothalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_submediusThalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_submediusThalamicNucleusDorsalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_submediusThalamicNucleusVentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_subparafascicularThalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_subparafascicularThalamicNucleusParvicellularPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_subparaventricularZoneOfTheHypothalamus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_subpeduncularTegmentalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_subpostremaArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_substantiaInnominata"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_substantiaInnominataBasalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_substantiaNigraCompactPartDorsalTier"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_substantiaNigraCompactPartMedialTier"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_substantiaNigraCompactaPartVentralTier"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_substantiaNigraLateralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_substantiaNigraReticularPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_subthalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_superficialGrayLayerOfTheSuperiorColliculus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_superiorCerebellarPeduncleBrachiumConjunctivum"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_superiorCerebellarPeduncleDescendingLimb"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_superiorMedullaryVelum"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_superiorParaolivaryNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_superiorSalivatoryNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_superiorThalamicRadiation"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_superiorVestibularNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_suprachiasmaticNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_suprachiasmaticNucleusDorsolateralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_suprachiasmaticNucleusVentromedialPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_suprageniculateThalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_supragenualNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_supramammillaryDecussation"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_supramammillaryNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_supramammillaryNucleusLateralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_supramammillaryNucleusMedialPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_supraoculomotorCap"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_supraoculomotorPeriaqueductalGray"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_supraopticDecussation"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_supraopticNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_supraopticNucleusRetrochiasmaticPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_supratrigeminalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_tectospinalTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_temporalAssociationCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_tereteHypothalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_transverseFibersOfThePons"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_trapezoidBody"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_triangularNucleusLateralLemniscus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_triangularSeptalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_trigeminalGanglion"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_trigeminalSolitaryTransitionZone"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_trigeminalTransitionZone"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_trigeminothalamicTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_trochlearNerve"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_trochlearNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_trochlearNucluesShellRegion"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_tuberalRegionOfLateralHypothalamus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_uncinateFasciculusDecussation"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_uncinateFasciculusOfTheCerebellum"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_vagusNerve"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_vascularOrganOfTheLaminaTerminalis"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_vein"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventralAnteriorThalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventralCochlearNucleusAnteriorPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventralCochlearNucleusCapsularPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventralCochlearNucleusGranuleCellLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventralCochlearNucleusPosteriorPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventralCochlearNucleusPosteriorPartOctopusCellArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventralEndopiriformNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventralGeniculateNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventralGeniculateNucleusLayer1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventralHippocampalCommissure"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventralIntermediateEntorhinalCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventralLinearNucleusOfTheThalamus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventralNucleusOfTheLatLemniscus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventralOrbitalCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventralPallidum"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventralPartOfClaustrum"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventralPosteriorNucleusOfTheThalamusParvicellularPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventralPosterolateralThalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventralPosteromedialThalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventralReuniensThalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventralSpinocerebellarTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventralSpinocerebellarTractDecussation"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventralSubiculum"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventralTegmentalArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventralTegmentalAreaRostralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventralTegmentalDecussation"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventralTegmentalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventralTeniaTecta"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventralTeniaTectaLayer1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventralTuberomammillaryNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventrolateralHypothalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventrolateralHypothalamicTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventrolateralPeriaqueductalGray"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventrolateralPreopticNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventrolateralThalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventromedialHypothalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventromedialHypothalamicNucleusAnteriorPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventromedialHypothalamicNucleusCentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventromedialHypothalamicNucleusDorsomedialPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventromedialHypothalamicNucleusVentrolateralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventromedialNucleusOfTheHypothalamusShell"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventromedialPreopticNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventromedialThalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_vertebralArtery"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_vestibularRootOfTheVestibulocochlearNerve"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_vestibulocerebellarNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_vestibulocochlearGanglion"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_vestibulocochlearNerve"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_vestibulomesencephalicTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_vestibulospinalTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_vomeronasalNerve"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_vomeronasalNerveLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_xiphoidThalamicNucleus"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_zonaIncerta"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_zonaIncertaCaudalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_zonaIncertaDorsalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_zonaIncertaRostralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_zonaIncertaVentralPart"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_zonaLimitans"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_zonalLayerOfTheSuperiorColliculus"
            },
        ],
        "ontologyIdentifier": None,
    },
    how_to_cite="Paxinos, G. and Watson, C. (2006) The Rat Brain in Stereotaxic Coordinates. 6th Edition, Academic Press, San Diego.",
    release_date="2006-11-02",
    short_name="Paxinos and Watson's Stereotaxic Rat Brain Atlas (Coronal)",
    type={"@id": "https://openminds.om-i.org/instances/atlasType/deterministicAtlas"},
    version_identifier="6th ed. (Interaural, LSA)",
    version_innovation="The 6th edition introduces color photographs of the coronal brain section. All diagrams from the previous editions have been completely revised [paraphrased from the ‘Preface’ of the book ISBN: 0-12-547612-4].",
)
BrainAtlasVersion.pw_rbsc_cor_6th_ed__interaural_rsa = BrainAtlasVersion(
    id="https://openminds.om-i.org/instances/brainAtlasVersion/PW-RBSC-cor_6th-ed-Interaural-RSA",
    abbreviation="PW-RBSC-cor",
    accessibility={"@id": "https://openminds.om-i.org/instances/productAccessibility/paidAccess"},
    coordinate_space={
        "@id": "https://openminds.om-i.org/instances/commonCoordinateSpaceVersion/PW-RBSC-corT_v2004-Interaural-RSA"
    },
    digital_identifier={"@id": "https://openminds.om-i.org/instances/ISBN/0-12-547612-4"},
    full_documentation={"@id": "https://openminds.om-i.org/instances/ISBN/0-12-547612-4"},
    full_name="Paxinos and Watson's The Rat Brain in Stereotaxic Coordinates - Coronal Plates",
    has_terminology={
        "@type": "https://openminds.om-i.org/types/ParcellationTerminologyVersion",
        "dataLocation": None,
        "hasEntity": [
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_10thCerebellarLobuleNodule"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_1stCerebellarLobuleLingula"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_2bCerebellarLobule"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_2ndAnd3rdCerebellarLobules"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_2ndCerebellarLobule"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_3rdAnd4thCerebellarLobules"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_3rdCerebellarLobule"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_3rdVentricle"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_4thAnd5thCerebellarLobules"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_4thCerebellarLobule"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_4thVentricle"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_5thCerebellarLobule"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_6aCerebellarLobule"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_6bCerebellarLobule"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_6cCerebellarLobule"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_6thCerebellarLobule"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_7thCerebellarLobule"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_8thCerebellarLobule"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_9thCerebellarLobule"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_9thCerebellarLobuleA"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_9thCerebellarLobuleAAndB"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_9thCerebellarLobuleB"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_9thCerebellarLobuleC"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_A11dopamineCells"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_A13DopamineCells"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_A1NoradrenalineCells"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_A1NoradrenalineCellsC1AdrenalineCells"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_A2NoradrenalineCells"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_A5NoradrenalineCells"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_A7NoradrenalineCells"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_B9SerotoninCells"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_BarringtonsNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_BotzingerComplex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_C1AdrenalineCells"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_C1AdrenalineCellsAndA1NoradrenalineCells"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_C2AdrenalineCells"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_C3AdrenalineCells"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_EdingerWestphalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_FCellGroupOfTheVestibularComplex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_KillikerFuseNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_PurkinjeCellLayerOfTheCerebellum"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_abducensNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_abducensNucleusRetractorBulbiPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_accessoryAbducensFacialNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_accessoryNerveNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_accessoryNeurosecretoryNuclei"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_accessoryOlfactoryBulb"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_accessoryOlfactoryTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_accumbensNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_accumbensNucleusCore"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_accumbensNucleusShell"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_agranularInsularCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_agranularInsularCortexDorsalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_agranularInsularCortexPosteriorPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_agranularInsularCortexVentralPart"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_alarNucleus"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_alveusOfTheHippocampus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ambiguusNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ambiguusNucleusCompactPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ambiguusNucleusLoosePart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ambiguusNucleusSubcompactPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_amygdalohippocampalArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_amygdalohippocampalAreaAnterolateralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_amygdalohippocampalAreaPosterolateralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_amygdalohippocampalAreaPosteromedialPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_amygdaloidFissure"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_amygdaloidIntramedullaryGray"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_amygdalopiriformTransitionArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_amygdalostriatalTransitionArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_angularThalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ansoparamedianFissure"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteriorAmygdaloidArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteriorCerebralArtery"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteriorCommissuralNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteriorCommissure"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteriorCommissureAnteriorPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteriorCommissureIntrabulbarPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteriorCommissurePosteriorPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteriorCorticalAmygdaloidNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteriorHypothalamicArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteriorHypothalamicAreaAnteriorPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteriorHypothalamicAreaCentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteriorHypothalamicAreaPosteriorPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteriorLobeOfPituitary"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteriorOlfactoryNucleusDorsalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteriorOlfactoryNucleusExternalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteriorOlfactoryNucleusLateralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteriorOlfactoryNucleusMedialPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteriorOlfactoryNucleusPosteriorPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteriorOlfactoryNucleusVentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteriorOlfactoryNucleusVentroposteriorPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteriorPerifornicalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteriorPretectalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteriorPretectalNucleusDorsalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteriorPretectalNucleusVentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteriorSpinalArtery"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteriorTegmentalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anterodorsalThalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteromedialThalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteromedialThalamicNucleusVentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteroventThalamicNucleusDorsomedialPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteroventralPeriventricularNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteroventralThalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteroventralThalamicNucleusVentrolateralPart"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_aqueduct"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_arcuateHypothalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_arcuateHypothalamicNucleusDorsalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_arcuateHypothalamicNucleusLateralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_arcuateHypothalamicNucleusLateroposteriorPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_arcuateHypothalamicNucleusMedialPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_arcuateHypothalamicNucleusMedialPosteriorPart"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_areaPostrema"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_artery"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ascendingFibersOfTheFacialNerve"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_azygousAnteriorCerebralArtery"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_azygousPericallosalArtery"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_basalNucleusCompactPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_basalNucleusMeynert"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_basilarArtery"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_basolateralAmygdaloidNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_basolateralAmygdaloidNucleusAnteriorPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_basolateralAmygdaloidNucleusPosteriorPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_basolateralAmygdaloidNucleusVentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_basomedialAmygdaloidNucleusAnteriorPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_basomedialAmygdaloidNucleusPosteriorPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_bedNucleusOfStriaTerminalisFusiformPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_bedNucleusOfStriaTerminalisSupracapsularDivision"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_bedNucleusOfStriaTerminalisSupracapsularDivisionLateralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_bedNucleusOfStriaTerminalisSupracapsularDivisionMedialPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_bedNucleusOfTheAccessoryOlfactoryTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_bedNucleusOfTheAnteriorCommissure"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_bedNucleusOfTheStriaTerminalisIntermediateDivision"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_bedNucleusOfTheStriaTerminalisIntraamygdaloidDivision"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_bedNucleusOfTheStriaTerminalisLateralDivision"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_bedNucleusOfTheStriaTerminalisLateralDivisionDorsalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_bedNucleusOfTheStriaTerminalisLateralDivisionIntermediatePart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_bedNucleusOfTheStriaTerminalisLateralDivisionJuxtacapsularPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_bedNucleusOfTheStriaTerminalisLateralDivisionPosteriorPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_bedNucleusOfTheStriaTerminalisLateralDivisionVentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_bedNucleusOfTheStriaTerminalisMedialDivision"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_bedNucleusOfTheStriaTerminalisMedialDivisionAnteriorPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_bedNucleusOfTheStriaTerminalisMedialDivisionAnterolateralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_bedNucleusOfTheStriaTerminalisMedialDivisionAnteromedialPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_bedNucleusOfTheStriaTerminalisMedialDivisionPosteriorPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_bedNucleusOfTheStriaTerminalisMedialDivisionPosterointermediatePart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_bedNucleusOfTheStriaTerminalisMedialDivisionPosterolateralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_bedNucleusOfTheStriaTerminalisMedialDivisionPosteromedialPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_bedNucleusOfTheStriaTerminalisMedialDivisionVentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_brachiumOfTheInferiorColliculus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_brachiumOfTheSuperiorColliculus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_caudalInterstitialNucleusOfTheMedialLongitudinalFasciculus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_caudalLinearNucleusOfTheRaphe"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_caudalPeriolivaryNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_caudatePutamenStriatum"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_caudomedialEntothinalCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_caudoventrolateralReticularNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_cellBridgesOfTheVentralStriatum"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_centralAmygdaloidNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_centralAmygdaloidNucleusCapsularPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_centralAmygdaloidNucleusLateralDivision"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_centralAmygdaloidNucleusMedialDivision"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_centralCanal"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_centralCervicalNucleusOfTheSpinalCord"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_centralGray"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_centralGrayAlphaPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_centralGrayBetaPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_centralGrayGammaPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_centralGrayNucleusO"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_centralGrayOfThePons"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_centralMedialThalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_centralNucleusOfTheInferiorColliculus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_centrolateralThalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_cerebellarCommissure"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_cerebellarWhiteMatter"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_cerebellum"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_cerebralCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_cerebralPeduncle"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_choroidPlexus"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_cingulateCortexArea1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_cingulateCortexArea2"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_cingulum"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_circularNucleus"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_claustrum"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_cochlearRootOfTheVestibulocochlearNerve"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_commissuralNucleusOfTheInferiorColliculus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_commissuralStriaTerminalis"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_commissureOfTheInferiorColliculus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_commissureOfTheLateralLemniscus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_commissureOfTheSuperiorColliculus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_conterminalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_copulaOfThePyramis"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_corpusCallosum"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_cortexAmygdalaTransitionZone"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_cortexAmygdalaTransitionZoneLayer1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_crus1OfTheAnsiformLobule"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_crus2OfTheAnsiformLobule"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_cuneateFasciculus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_cuneateNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_cuneateNucleusRotundusPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_cuneiformNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_cuneiformNucleusDorsalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_cuneiformNucleusIntermediatePart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_cuneiformNucleusVentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_decussationOfTheSuperiorCerebellarPeduncle"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_decussationOfTheTrapezoidBody"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_deepCerebralWhiteMatter"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_deepGrayLayerOfTheSuperiorColliculus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_deepWhiteLayerOfTheSuperiorColliculus"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dentateGyrus"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsal3rdVentricle"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalAcousticStria"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalCochlearNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalCochlearNucleusDeepCore"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalCochlearNucleusFusiformLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalCochlearNucleusGranularLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalCochlearNucleusMolecularLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalCortexOfTheInferiorColliculus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalCorticospinalTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalEndopiriformNucleus"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalFornix"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalHippocampalCommissure"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalHypothalamicArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalIntermediateEntorhinalCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalLateralGeniculateNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalLateralOlfactoryTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalMotorNucleusOfVagus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalNucleusOfTheLateralLemniscus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalNucleusOfTheSpinalCord"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalParagigantocellularNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalPartOfClaustrum"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalPeduncularCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalPeduncularPontineNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalPeriolivaryRegion"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalRapheNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalRapheNucleusCaudalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalRapheNucleusDorsalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalRapheNucleusLateralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalRapheNucleusVentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalSpinocerebellarTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalSpinocerebellarTractAndOlivocerebellarTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalSubiculum"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalTegmentalDecussation"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalTegmentalNucleusCentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalTegmentalNucleusPericentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalTeniaTecta"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalTeniaTectaLayer1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalTerminalNucleusOfTheAccessoryOpticTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalTransitionZone"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalTuberomammillaryNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsolateralEntorhinalCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsolateralOrbitalCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsolateralPeriaqueductalGray"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsomedialHypothalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsomedialHypothalamicNucleusCompactPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsomedialHypothalamicNucleusDorsalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsomedialHypothalamicNucleusVentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsomedialPeriaqueductalGray"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsomedialSpinalTrigeminalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsomedialTegmentalArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dysgranularInsularCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ectorhinalCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ectotrigeminalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_entopeduncularNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_entorhinalCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ependymaAndSubependymalLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ependymalAndSubendymalLayerOlfactoryVentricle"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_epifascicularNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_epilemniscalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_epipeduncularNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_epirubrospinalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_episupraopticNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ethmoidThalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_externalCapsule"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_externalCortexOfTheInferiorColliculus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_externalCortexOfTheInferiorColliculusLayer1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_externalCuneateNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_externalMedullaryLamina"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_externalPlexiformLayerOfTheAccessoryOlfactoryBulb"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_externalPlexiformLayerOfTheOlfactoryBulb"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_facialNerve"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_facialNucleus"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_facialNucleusDorsalIntermediateSubnucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_facialNucleusDorsolateralSubnucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_facialNucleusDorsomedialSubnucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_facialNucleusLateralSubnucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_facialNucleusStylohyoidPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_facialNucleusVentralIntermediateSubnucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_facialNucleusVentromedialSubnucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_fasciculusRetroflexus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_fasciolaCinereum"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_fieldCA1OfTheHippocampus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_fieldCA2OfTheHippocampus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_fieldCA3OfTheHippocampus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_fimbriaOfTheHippocampus"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_flocculus"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_forcepsMajorOfTheCorpusCallosum"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_forcepsMinorOfTheCorpusCallosum"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_fornix"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_frontalAssociationCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_frontalCortexArea3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_gelatinousLayerOfTheCaudalSpinalTrigeminalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_geminiHypothalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_genuOfTheCorpusCallosum"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_genuOfTheFacialNerve"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_gigantocellularReticularNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_gigantocellularReticularNucleusAlphaPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_gigantocellularReticularNucleusVentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_globusPallidus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_glomerularLayerOfTheAccessoryOlfactoryBulb"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_glomerularLayerOfTheOlfactoryBulb"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_glossopharyngealNerve"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_gracileFasciculus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_gracileNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_granularCellLayerOfTheOlfactoryBulb"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_granularInsularCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_granularLayerOfTheDentateGyrus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_granuleCellLayerOfCochlearNuclei"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_granuleCellLayerOfTheAccessoryOlfactoryBulb"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_granuleCellLayerOfTheCerebellum"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_habenularCommissure"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_hilusOfTheDentateGyrus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_hippocampalFissure"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_hypoglossalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_hypoglossalNucleusGeniohyoidPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_indusiumGriseum"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_inferiorCerebellarPeduncleDecussation"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_inferiorCerebellarPeduncleRestiformBody"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_inferiorColliculus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_inferiorOliveBetaSubnucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_inferiorOliveCapOfKooyOfTheMedialNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_inferiorOliveDorsalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_inferiorOliveDorsomedialCellGroup"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_inferiorOliveMedialNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_inferiorOlivePrincipalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_inferiorOliveSubnucleusAOfMedialNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_inferiorOliveSubnucleusBOfMedialNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_inferiorOliveSubnucleusCOfMedialNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_inferiorOliveVentrolateralProtrusion"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_inferiorSalivatoryNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_infralimbicCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_infundibularRecess"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_infundibularStem"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_interanterodorsalThalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_interanteromedialThalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_intercalatedAmygdaloidNucleusMainPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_intercalatedNucleiOfTheAmygdala"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_intercalatedNucleusOfTheMedulla"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_intercruralFissure"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_interfascicularNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_intergeniculateLeaf"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_intermediateEndopiriformNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_intermediateGrayLayerOfTheSuperiorColliculus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_intermediateInterstitialNucleusOfTheMedialLongitudinalFasciculus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_intermediateLobeOfPituitary"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_intermediateNucleusOfTheLateralLemniscus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_intermediateReticularNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_intermediateReticularNucleusAlphaPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_intermediateWhiteLayerOfTheSuperiorColliculus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_intermediodorsalThalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_intermediolateralCellColumnOfTheSpinalCord"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_intermedioventralThalamicCommissure"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_intermediusNucleusOfTheMedulla"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_internalArcuateFibers"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_internalCapsule"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_internalCarotidArtery"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_internalMedullaryLamina"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_internalPlexiformLayerOfTheOlfactoryBulb"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_interpeduncularFossa"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_interpeduncularNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_interpeduncularNucleusApicalSubnucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_interpeduncularNucleusCaudalSubnucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_interpeduncularNucleusDorsolateralSubnucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_interpeduncularNucleusDorsomedialSubnucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_interpeduncularNucleusIntermediateSubnucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_interpeduncularNucleusLateralSubnucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_interpeduncularNucleusRostralSubnucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_interposedCerebellarNucleusAnteriorPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_interposedCerebellarNucleusDorsolateralHump"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_interposedCerebellarNucleusDorsomedialCrest"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_interposedCerebellarNucleusPosteriorPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_interposedCerebellarNucleusPosteriorParvicellularPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_interstitialNucleusOfCajal"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_interstitialNucleusOfCajalShellRegion"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_interstitialNucleusOfTheDecussationOfTheSuperiorCerebellarPeduncle"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_interstitialNucleusOfTheMedulla"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_interstitialNucleusOfThePosteriorLimbOfTheAnteriorCommissure"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_interstitialNucleusOfThePosteriorLimbOfTheAnteriorCommissureLateralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_interstitialNucleusOfThePosteriorLimbOfTheAnteriorCommissureMedialPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_interstitialNucleusOfTheVestibulocochlearNerve"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_interventricularForamen"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_intramedullaryThalamicArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_islandsOfCalleja"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_islandsOfCallejaMajorIsland"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_isthmicPeriaqueductalGray"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_isthmicReticularFormation"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_juxtaolivaryNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_juxtaparaventricularPartOfLateralHypothalamus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lacunosumMoleculareLayerOfTheHippocampus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lambdoidSeptalZone"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralAccumbensShell"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralAmygdaloidNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralAmygdaloidNucleusDorsolateralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralAmygdaloidNucleusVentrolateralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralAmygdaloidNucleusVentromedialPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralCerebellarNucleusParvicellularPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralCervicalNucleusOfTheSpinalCord"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralDentateCerebellarNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralEntorhinalCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralHabenularNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralHabenularNucleusLateralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralHabenularNucleusMedialPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralHypothalamicArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralLemniscus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralMammillaryNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralOlfactoryTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralOrbitalCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralOrbitofrontalArtery"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralParabrachialNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralParabrachialNucleusCentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralParabrachialNucleusCrescentPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralParabrachialNucleusDorsalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralParabrachialNucleusExternalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralParabrachialNucleusInternalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralParabrachialNucleusMedialPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralParabrachialNucleusSuperiorPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralParabrachialNucleusVentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralParagigantocellularNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralParagigantocellularNucleusAlphaPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralParagigantocellularNucleusExternalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralParietalAssociationCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralPeriaqueductalGray"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralPosteriorThalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralPosteriorThalamicNucleusLaterocaudalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralPosteriorThalamicNucleusLaterorostralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralPosteriorThalamicNucleusMediocaudalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralPosteriorThalamicNucleusMediorostralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralPreopticArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralRecessOfThe4thVentricle"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralReticularNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralReticularNucleusParvicellularPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralReticularNucleusSubtrigeminalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralSeptalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralSeptalNucleusDorsalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralSeptalNucleusIntermediatePart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralSeptalNucleusVentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralSpinalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralStripeOfTheStriatum"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralSuperiorOlive"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralTerminalNucleusOfTheAccessoryOpticTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralVentricle"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralVestibularNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateroanteriorHypothalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_laterodorsalTegmentalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_laterodorsalTegmentalNucleusVentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_laterodorsalThalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_laterodorsalThalamicNucleusDorsomedialPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_laterodorsalThalamicNucleusVentrolateralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateroventralPeriolivaryNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_layer1OfCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_layer1bOfCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_layer2OfCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_layer3OfCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_layer4OfCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_layer5OfCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_layer5aOfCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_layer5bOfCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_layer6OfCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_layer6aOfCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_layer6bOfCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_leminaTerminalis"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_linearNucleusOfTheMedulla"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lithoidNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_locusCoeruleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_longitudinalFasciculusOfThePons"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_magnocellularNucleusOfTheLateralHypothalamus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_magnocellularNucleusOfThePosteriorCommissure"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_magnocellularPreopticNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_mammillaryPeduncle"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_mammillaryRecessOfThe3rdVentricle"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_mammillotegmentalTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_mammillothalamicTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_marginalZoneOfTheMedialGeniculate"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_matrixRegionOfTheMedulla"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialAccessoryOculomotorNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialAmygdaloidNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialAmygdaloidNucleusAnteriorPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialAmygdaloidNucleusAnterodorsalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialAmygdaloidNucleusAnteroventralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialAmygdaloidNucleusPosterodorsalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialAmygdaloidNucleusPosteroventralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialCerebellarNucleusCaudomedialPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialCerebellarNucleusDorsolateralProtuberance"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialCerebellarNucleusLateralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialCorticohypothalamicTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialEminenceExternalLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialEminenceInternalLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialEntorhinalCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialEntorhinalCortexVentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialFastigialCerebellarNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialForebrainBundle"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialForebrainBundleAComponent"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialForebrainBundleBComponent"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialGeniculateNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialGeniculateNucleusDorsalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialGeniculateNucleusMedialPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialGeniculateNucleusVentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialHabenularNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialLemniscus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialLemniscusDecussation"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialLongitudinalFasciculus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialMammillaryNucleusLateralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialMammillaryNucleusMedialPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialMammillaryNucleusMedianPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialOrbitalCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialOrbitofrontalArtery"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialParabrachialNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialParabrachialNucleusExternalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialParalemniscialNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialParietalAssociationCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialPreopticArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialPreopticNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialPreopticNucleusCentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialPreopticNucleusLateralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialPreopticNucleusMedialPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialPretectalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialSeptalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialSuperiorOlive"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialTerminalNucleusOfTheAccessoryOpticTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialTuberalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialVestibularNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialVestibularNucleusMagnocellularPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialVestibularNucleusParvicellularPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medianAccessoryNucleusOfTheMedulla"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medianEminence"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medianPreopticNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medianRapheNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_mediodorsalThalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_mediodorsalThalamicNucleusCentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_mediodorsalThalamicNucleusLateralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_mediodorsalThalamicNucleusMedialPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medioventralPeriolivaryNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medullaryReticularNucleusDorsalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medullaryReticularNucleusVentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_mesencephalicReticularFormation"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_mesencephalicTrigeminalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_mesencephalicTrigeminalTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_microcellularTegmentalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_middleCerebellarPeduncle"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_middleCerebralArtery"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_mitralCellLayerOfTheAccessoryOlfactoryBulb"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_mitralCellLayerOfTheOlfactoryBulb"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_molecularLayerOfTheCerebellum"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_molecularLayerOfTheDentateGyrus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_molecularLayerOfTheSubiculum"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_motorRootOfTheTrigeminalNerve"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_motorTrigeminalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_motorTrigeminalNucleusAnteriorDigastricPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_motorTrigeminalNucleusMasseterPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_motorTrigeminalNucleusMylohyoidPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_motorTrigeminalNucleusTemporalisPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_motorTrigeminalNucleusTensorTympaniPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_navicularNucleusOfTheBasalForebrain"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nervusIntermediusComponentOfTheFacialNerve"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nigrostriatalBundle"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nucleusOfDarkschewitsch"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nucleusOfOriginOfEfferentsOfTheVestibularNerve"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nucleusOfRoller"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nucleusOfTheAnsaLenticularis"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nucleusOfTheBrachiumOfTheInferiorColliculus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nucleusOfTheCentralAcousticTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nucleusOfTheCommissuralStriaTerminalis"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nucleusOfTheFieldsOfForel"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nucleusOfTheHorizontalLimbOfTheDiagonalBand"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nucleusOfTheLateralOlfactoryTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nucleusOfTheLateralOlfactoryTractLayer1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nucleusOfTheOpticTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nucleusOfThePosteriorCommissure"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nucleusOfTheSolitaryTractCentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nucleusOfTheSolitaryTractCommissuralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nucleusOfTheSolitaryTractDorsomedialPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nucleusOfTheSolitaryTractGelatinousPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nucleusOfTheSolitaryTractIntermediatePart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nucleusOfTheSolitaryTractInterstitialPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nucleusOfTheSolitaryTractLateralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nucleusOfTheSolitaryTractMedialPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nucleusOfTheSolitaryTractRostrolateralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nucleusOfTheSolitaryTractVentrolateralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nucleusOfTheStriaMedullaris"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nucleusOfTheTrapezoidBody"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nucleusOfTheVerticalLimbOfTheDiagonalBand"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nucleusX"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nucleusY"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nucleusZ"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_obex"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_oculomotorNerve"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_oculomotorNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_oculomotorNucleusParvicellularPart"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_olfactoryBulb"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_olfactoryNerveLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_olfactoryTubercle"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_olfactoryVentricleOlfactoryPartOfLateralVentricle"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_olivaryPretectalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_olivocerebellarTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_olivocochlearBundle"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_opticChiasm"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_opticNerve"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_opticNerveLayerOfTheSuperiorColliculus"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_opticTract"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_oriensLayerOfTheHippocampus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ovalParacentralThalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_p1PeriaqueductalGray"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_paraabducensNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_parabigeminalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_parabrachialPigmentedNucleusOfTheVTA"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_paracentralThalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_paracochlearGlialSubstance"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_paracommissuralNucleusOfThePosteriorCommissure"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_parafascicularThalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_parafloccularSulcus"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_paraflocculus"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_parainterfascicularNucleusOfTheVTA"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_paralambdoidSeptalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_paralemniscalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_paramedianLobule"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_paramedianRapheNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_paramedianReticularNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_paramedianSulcus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_paranigralNucleusOfTheVTA"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_parapyramidalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_pararubralNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_parasolitaryNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_parastrialNucleus"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_parasubiculum"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_parasubthalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_paratenialThalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_paratereteNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_paratrigeminalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_paratrochlearNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_paraventricularHypothalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_paraventricularHypothalamicNucleusAnteriorParvicellularPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_paraventricularHypothalamicNucleusDorsalCap"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_paraventricularHypothalamicNucleusLateralMagnocellularPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_paraventricularHypothalamicNucleusMedialMagnocellularPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_paraventricularHypothalamicNucleusMedialParvicellularPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_paraventricularHypothalamicNucleusPosteriorPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_paraventricularHypothalamicNucleusVentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_paraventricularThalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_paraventricularThalamicNucleusAnteriorPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_paraventricularThalamicNucleusPosteriorPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_paraxiphoidNucleusOfThalamus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_parietalCortexPosteriorAreaCaudalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_parietalCortexPosteriorAreaDorsalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_parietalCortexPosteriorAreaRostralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_parvicellularReticularNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_parvicellularReticularNucleusAlphaPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_peduncularPartOfLateralHypothalamus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_pedunculopontineTegmentalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_periaqueductalGray"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_perifacialZone"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_perifornicalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_perifornicalPartOfLateralHypothalamus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_perilemniscalNucleusVentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_periolivaryHorn"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_peripeduncularNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_perirhinalCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_peritrigeminalZone"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_periventricularGray"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_periventricularHypothalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_periventricularHypothalamicNucleusAnteriorParvicellularPart"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_pinealGland"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_pinealStalk"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_piriformCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_piriformCortexLayer1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_pleomorphicPartOfPeriaqueductaiGray"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_polymorphLayerOfTheDentateGyrus"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_pontineNuclei"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_pontineRapheNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_pontineReticularNucleusCaudalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_pontineReticularNucleusOralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_pontineReticularNucleusVentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_posteriorCerebralArtery"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_posteriorCommissure"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_posteriorHypothalamicArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_posteriorHypothalamicAreaDorsalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_posteriorHypothalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_posteriorIntralaminarThalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_posteriorLimitansThalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_posteriorLobeOfPituitary"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_posteriorPretectalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_posteriorSuperiorFissure"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_posteriorThalamicNuclearGroup"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_posteriorThalamicNuclearGroupTriangularPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_posterodorsalPreopticNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_posterodorsalRapheNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_posterodorsalTegmentalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_posterolateralCorticalAmygdaloidNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_posterolateralCorticalAmygdaloidNucleusLayer1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_posterolateralFissure"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_posteromedialCorticalAmygdaloidNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_posteromedianThalamicNucleus"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_postsubiculum"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_preBotzingerComplex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_preEdingerWestphalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_precommissuralNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_preculminateFissure"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_precuneiformArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_prelimbicCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_premammillaryNucleusDorsalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_premammillaryNucleusVentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_preopticRecessOfThe3rdVentricle"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_prepositusNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_prepyramidalFissure"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_prerubralField"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_presubiculum"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_primaryAuditoryCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_primaryFissure"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_primaryMotorCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_primarySomatosensoryCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_primarySomatosensoryCortexBarrelField"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_primarySomatosensoryCortexDysgranularZone"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_primarySomatosensoryCortexForelimbRegion"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_primarySomatosensoryCortexHindlimbRegion"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_primarySomatosensoryCortexJawRegion"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_primarySomatosensoryCortexOralDysgranularZone"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_primarySomatosensoryCortexShoulderRegion"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_primarySomatosensoryCortexTrunkRegion"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_primarySomatosensoryCortexUpperLipRegion"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_primaryVisualCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_primaryVisualCortexBinocularArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_primaryVisualCortexMonocularArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_principalMammillaryTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_principalSensoryTrigeminalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_principalSensoryTrigeminalNucleusDorsomedialPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_principalSensoryTrigeminalNucleusVentrolateralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_pyramidalCellLayerOfTheHippocampus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_pyramidalDecussation"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_pyramidalTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_r1ReticularFormation"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_r2ReticularFormation"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_r3ReticularFormation"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_radiatumLayerOfTheHippocampus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_rapheInterpositusNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_rapheMagnusNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_rapheObscurusNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_raphePallidusNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_recessOfTheInferiorColliculus"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_redNucleus"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_redNucleusMagnocellularPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_redNucleusParvicellularPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_regionWhereVAAndVLOverlap"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_reticluostrialNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_reticularThalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_reticulotegmentalNucleusOfThePons"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_reticulotegmentalNucleusOfThePonsLateralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_reticulotegmentalNucleusOfThePonsPericentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_retroambiguusNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_retrochiasmaticArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_retrochiasmaticAreaLateralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_retroendopiriformNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_retroethmoidNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_retrolemniscalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_retroparafascicularNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_retrorubralField"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_retrorubralNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_retrosplenialDysgranularCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_retrosplenialGranularCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_retrosplenialGranularCortexARegion"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_retrosplenialGranularCortexBRegion"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_retrosplenialGranularCortexCRegion"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_retrouniensArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_reuniensThalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_rhabdoidNucleus"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_rhinalFissure"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_rhinalIncisure"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_rhomboidThalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_rootOfAbducensNerve"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_rootOfAccessoryNerve"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_rootOfHypoglossalNerve"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_rostralAmygdalopiriformArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_rostralInterstitialNucleusOfMedialLongitudinalFasciculus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_rostralLinearNucleusOfTheRaphe"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_rostralVentralRespiratoryGroup"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_rostroventrolateralReticularNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_rostrumOfTheCorpusCallosum"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_rubrospinalTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_sagulumNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_scaphoidThalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_secondaryAuditoryCortexDorsalArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_secondaryAuditoryCortexVentralArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_secondaryFissure"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_secondaryMotorCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_secondarySomatosensoryCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_secondaryVisualCortexLateralArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_secondaryVisualCortexMediolateralArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_secondaryVisualCortexMediomedialArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_sensoryRootOfTheTrigeminalNerve"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_septofimbrialNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_septohippocampalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_septohypothalamicNucleus"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_simpleLobule"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_simpleLobuleA"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_simpleLobuleB"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_simplexFissure"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_solitaryNucleusDorsolateralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_solitaryNucleusVentralPart"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_solitaryTract"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_sphenoidNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_spinalTrigeminalNucleusCaudalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_spinalTrigeminalNucleusInterpolarPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_spinalTrigeminalNucleusOralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_spinalTrigeminalTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_spinalVestibularNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_spleniumOfTheCorpusCallosum"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_stigmoidHypothalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_stratumLucidumOfTheHippocampus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_striaMedullarisOfTheThalamus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_striaTerminalis"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_strialPartOfThePreopticArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_striohypothalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_subbrachialNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_subcoeruleusNucleusAlphaPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_subcoeruleusNucleusDorsalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_subcoeruleusNucleusVentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_subcommissuralOrgan"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_subfornicalOrgan"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_subgeniculateNucleus"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_subiculum"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_subiculumTransitionArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_subincertalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_sublenticularExtendedAmygdala"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_sublenticularExtendedAmygdalaCentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_sublenticularExtendedAmygdalaMedialPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_submammillothalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_submediusThalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_submediusThalamicNucleusDorsalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_submediusThalamicNucleusVentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_subparafascicularThalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_subparafascicularThalamicNucleusParvicellularPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_subparaventricularZoneOfTheHypothalamus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_subpeduncularTegmentalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_subpostremaArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_substantiaInnominata"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_substantiaInnominataBasalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_substantiaNigraCompactPartDorsalTier"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_substantiaNigraCompactPartMedialTier"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_substantiaNigraCompactaPartVentralTier"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_substantiaNigraLateralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_substantiaNigraReticularPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_subthalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_superficialGrayLayerOfTheSuperiorColliculus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_superiorCerebellarPeduncleBrachiumConjunctivum"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_superiorCerebellarPeduncleDescendingLimb"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_superiorMedullaryVelum"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_superiorParaolivaryNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_superiorSalivatoryNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_superiorThalamicRadiation"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_superiorVestibularNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_suprachiasmaticNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_suprachiasmaticNucleusDorsolateralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_suprachiasmaticNucleusVentromedialPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_suprageniculateThalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_supragenualNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_supramammillaryDecussation"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_supramammillaryNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_supramammillaryNucleusLateralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_supramammillaryNucleusMedialPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_supraoculomotorCap"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_supraoculomotorPeriaqueductalGray"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_supraopticDecussation"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_supraopticNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_supraopticNucleusRetrochiasmaticPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_supratrigeminalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_tectospinalTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_temporalAssociationCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_tereteHypothalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_transverseFibersOfThePons"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_trapezoidBody"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_triangularNucleusLateralLemniscus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_triangularSeptalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_trigeminalGanglion"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_trigeminalSolitaryTransitionZone"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_trigeminalTransitionZone"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_trigeminothalamicTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_trochlearNerve"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_trochlearNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_trochlearNucluesShellRegion"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_tuberalRegionOfLateralHypothalamus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_uncinateFasciculusDecussation"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_uncinateFasciculusOfTheCerebellum"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_vagusNerve"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_vascularOrganOfTheLaminaTerminalis"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_vein"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventralAnteriorThalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventralCochlearNucleusAnteriorPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventralCochlearNucleusCapsularPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventralCochlearNucleusGranuleCellLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventralCochlearNucleusPosteriorPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventralCochlearNucleusPosteriorPartOctopusCellArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventralEndopiriformNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventralGeniculateNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventralGeniculateNucleusLayer1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventralHippocampalCommissure"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventralIntermediateEntorhinalCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventralLinearNucleusOfTheThalamus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventralNucleusOfTheLatLemniscus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventralOrbitalCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventralPallidum"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventralPartOfClaustrum"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventralPosteriorNucleusOfTheThalamusParvicellularPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventralPosterolateralThalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventralPosteromedialThalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventralReuniensThalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventralSpinocerebellarTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventralSpinocerebellarTractDecussation"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventralSubiculum"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventralTegmentalArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventralTegmentalAreaRostralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventralTegmentalDecussation"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventralTegmentalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventralTeniaTecta"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventralTeniaTectaLayer1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventralTuberomammillaryNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventrolateralHypothalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventrolateralHypothalamicTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventrolateralPeriaqueductalGray"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventrolateralPreopticNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventrolateralThalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventromedialHypothalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventromedialHypothalamicNucleusAnteriorPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventromedialHypothalamicNucleusCentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventromedialHypothalamicNucleusDorsomedialPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventromedialHypothalamicNucleusVentrolateralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventromedialNucleusOfTheHypothalamusShell"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventromedialPreopticNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventromedialThalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_vertebralArtery"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_vestibularRootOfTheVestibulocochlearNerve"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_vestibulocerebellarNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_vestibulocochlearGanglion"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_vestibulocochlearNerve"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_vestibulomesencephalicTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_vestibulospinalTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_vomeronasalNerve"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_vomeronasalNerveLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_xiphoidThalamicNucleus"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_zonaIncerta"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_zonaIncertaCaudalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_zonaIncertaDorsalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_zonaIncertaRostralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_zonaIncertaVentralPart"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_zonaLimitans"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_zonalLayerOfTheSuperiorColliculus"
            },
        ],
        "ontologyIdentifier": None,
    },
    how_to_cite="Paxinos, G. and Watson, C. (2006) The Rat Brain in Stereotaxic Coordinates. 6th Edition, Academic Press, San Diego.",
    release_date="2006-11-02",
    short_name="Paxinos and Watson's Stereotaxic Rat Brain Atlas (Coronal)",
    type={"@id": "https://openminds.om-i.org/instances/atlasType/deterministicAtlas"},
    version_identifier="6th ed. (Interaural, RSA)",
    version_innovation="The 6th edition introduces color photographs of the coronal brain section. All diagrams from the previous editions have been completely revised [paraphrased from the ‘Preface’ of the book ISBN: 0-12-547612-4].",
)
BrainAtlasVersion.schaefer_400p_2018_fs_lr32k_kong17n = BrainAtlasVersion(
    id="https://openminds.om-i.org/instances/brainAtlasVersion/Schaefer-400p_2018-fsLR32k-kong17n",
    abbreviation="Schaefer-400p",
    accessibility={"@id": "https://openminds.om-i.org/instances/productAccessibility/freeAccess"},
    coordinate_space={"@id": "https://openminds.om-i.org/instances/commonCoordinateSpaceVersion/fsLR_32k"},
    full_name="Schaefer Atlas with 400 Parcellation",
    has_terminology={
        "@type": "https://openminds.om-i.org/types/ParcellationTerminologyVersion",
        "dataLocation": None,
        "hasEntity": None,
        "ontologyIdentifier": None,
    },
    license={"@id": "https://openminds.om-i.org/instances/licenses/mit"},
    major_version_identifier="2018",
    short_name="Schaefer Atlas (400p)",
    type={"@id": "https://openminds.om-i.org/instances/atlasType/deterministicAtlas"},
    version_identifier="2018, fsLR32k, kong17n",
)
BrainAtlasVersion.schaefer_400p_2018_fs_lr32k_yeo17n = BrainAtlasVersion(
    id="https://openminds.om-i.org/instances/brainAtlasVersion/Schaefer-400p_2018-fsLR32k-yeo17n",
    abbreviation="Schaefer-400p",
    accessibility={"@id": "https://openminds.om-i.org/instances/productAccessibility/freeAccess"},
    coordinate_space={"@id": "https://openminds.om-i.org/instances/commonCoordinateSpaceVersion/fsLR_32k"},
    full_name="Schaefer Atlas with 400 Parcellation",
    has_terminology={
        "@type": "https://openminds.om-i.org/types/ParcellationTerminologyVersion",
        "dataLocation": None,
        "hasEntity": None,
        "ontologyIdentifier": None,
    },
    license={"@id": "https://openminds.om-i.org/instances/licenses/mit"},
    major_version_identifier="2018",
    short_name="Schaefer Atlas (400p)",
    version_identifier="2018, fsLR32k, yeo17n",
)
BrainAtlasVersion.schaefer_400p_2018_fs_lr32k_yeo7n = BrainAtlasVersion(
    id="https://openminds.om-i.org/instances/brainAtlasVersion/Schaefer-400p_2018-fsLR32k-yeo7n",
    abbreviation="Schaefer-400p",
    accessibility={"@id": "https://openminds.om-i.org/instances/productAccessibility/freeAccess"},
    coordinate_space={"@id": "https://openminds.om-i.org/instances/commonCoordinateSpaceVersion/fsLR_32k"},
    full_name="Schaefer Atlas with 400 Parcellation",
    has_terminology={
        "@type": "https://openminds.om-i.org/types/ParcellationTerminologyVersion",
        "dataLocation": None,
        "hasEntity": None,
        "ontologyIdentifier": None,
    },
    license={"@id": "https://openminds.om-i.org/instances/licenses/mit"},
    major_version_identifier="2018",
    short_name="Schaefer Atlas (400p)",
    type={"@id": "https://openminds.om-i.org/instances/atlasType/deterministicAtlas"},
    version_identifier="2018, fsLR32k, yeo7n",
)
BrainAtlasVersion.schaefer_400p_2018_fsl_mni152_kong17n = BrainAtlasVersion(
    id="https://openminds.om-i.org/instances/brainAtlasVersion/Schaefer-400p_2018-FSL-MNI152-kong17n",
    abbreviation="Schaefer-400p",
    accessibility={"@id": "https://openminds.om-i.org/instances/productAccessibility/freeAccess"},
    full_name="Schaefer Atlas with 400 Parcellation",
    has_terminology={
        "@type": "https://openminds.om-i.org/types/ParcellationTerminologyVersion",
        "dataLocation": None,
        "hasEntity": None,
        "ontologyIdentifier": None,
    },
    license={"@id": "https://openminds.om-i.org/instances/licenses/mit"},
    major_version_identifier="2018",
    short_name="Schaefer Atlas (400p)",
    type={"@id": "https://openminds.om-i.org/instances/atlasType/deterministicAtlas"},
    version_identifier="2018, FSL-MNI152, kong17n",
)
BrainAtlasVersion.schaefer_400p_2018_fsl_mni152_yeo17n = BrainAtlasVersion(
    id="https://openminds.om-i.org/instances/brainAtlasVersion/Schaefer-400p_2018-FSL-MNI152-yeo17n",
    abbreviation="Schaefer-400p",
    accessibility={"@id": "https://openminds.om-i.org/instances/productAccessibility/freeAccess"},
    full_name="Schaefer Atlas with 400 Parcellation",
    has_terminology={
        "@type": "https://openminds.om-i.org/types/ParcellationTerminologyVersion",
        "dataLocation": None,
        "hasEntity": None,
        "ontologyIdentifier": None,
    },
    license={"@id": "https://openminds.om-i.org/instances/licenses/mit"},
    major_version_identifier="2018",
    short_name="Schaefer Atlas (400p)",
    type={"@id": "https://openminds.om-i.org/instances/atlasType/deterministicAtlas"},
    version_identifier="2018, FSL-MNI152, yeo17n",
)
BrainAtlasVersion.schaefer_400p_2018_fsl_mni152_yeo7n = BrainAtlasVersion(
    id="https://openminds.om-i.org/instances/brainAtlasVersion/Schaefer-400p_2018-FSL-MNI152-yeo7n",
    abbreviation="Schaefer-400p",
    accessibility={"@id": "https://openminds.om-i.org/instances/productAccessibility/freeAccess"},
    full_name="Schaefer Atlas with 400 Parcellation",
    has_terminology={
        "@type": "https://openminds.om-i.org/types/ParcellationTerminologyVersion",
        "dataLocation": None,
        "hasEntity": None,
        "ontologyIdentifier": None,
    },
    license={"@id": "https://openminds.om-i.org/instances/licenses/mit"},
    major_version_identifier="2018",
    short_name="Schaefer Atlas (400p)",
    type={"@id": "https://openminds.om-i.org/instances/atlasType/deterministicAtlas"},
    version_identifier="2018, FSL-MNI152, yeo7n",
)
BrainAtlasVersion.swanson_bm_3rd_ed = BrainAtlasVersion(
    id="https://openminds.om-i.org/instances/brainAtlasVersion/SwansonBM_3rd-ed",
    abbreviation="SwansonBM",
    accessibility={"@id": "https://openminds.om-i.org/instances/productAccessibility/freeAccess"},
    coordinate_space={"@id": "https://openminds.om-i.org/instances/commonCoordinateSpaceVersion/SwansonSRB_v1992"},
    digital_identifier={"@id": "https://openminds.om-i.org/instances/ISBN/0-126-10582-0"},
    full_documentation={"@id": "https://larrywswanson.com/?page_id=164"},
    full_name="Swanson's Brain Maps: Structure of the Rat Brain",
    has_terminology={
        "@type": "https://openminds.om-i.org/types/ParcellationTerminologyVersion",
        "dataLocation": None,
        "hasEntity": [
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_AmmonsHornNoguez"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_BarringtonsNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_EdingerWestphalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_KollikerFuseSubnucleusOfPB"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_OnufsNucleus"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_abducensNerveEustachius"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_abducensNucleus"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_accessoryAbducensNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_accessoryFacialNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_accessoryOlfactoryBulbBalogh"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_accessoryOlfactoryBulbGlomerularLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_accessoryOlfactoryBulbGranuleCellLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_accessoryOlfactoryBulbMitralLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_accessoryOlfactoryNerve"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_accessoryOlfactoryTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_accessoryOpticTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_accessorySpinalNerveWillis"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_accessorySupraopticGroup"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_agranularInsularArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_agranularInsularAreaDorsalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_agranularInsularAreaPosteriorPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_agranularInsularAreaVentralPart"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_alveusBurdach"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_amygdalaBurdach"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_amygdalarCapsule"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_angularBundle"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_ansaPeduncularisGratiolet"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_ansiformLobule"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_ansiformLobuleCrus1SublobulesAd"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_ansiformLobuleCrus2SublobulesAb"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_ansoparamedianFissure"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_anteriorAmygdalarArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_anteriorCingulateArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_anteriorCingulateAreaDorsalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_anteriorCingulateAreaVentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_anteriorCommissureOlfactoryLimb"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_anteriorCommissureRiolan"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_anteriorCommissureTemporalLimb"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_anteriorHypothalamicArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_anteriorHypothalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_anteriorHypothalamicNucleusAnteriorPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_anteriorHypothalamicNucleusCentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_anteriorHypothalamicNucleusDorsalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_anteriorHypothalamicNucleusPosteriorPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_anteriorLaterolateralVisualArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_anteriorLevelHypothalamus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_anteriorLobeCerebellum"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_anteriorNucleiDorsalThalamusNissl"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_anteriorOlfactoryNucleusDorsalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_anteriorOlfactoryNucleusDorsalPartMolecularLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_anteriorOlfactoryNucleusDorsalPartPyramidalLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_anteriorOlfactoryNucleusExternalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_anteriorOlfactoryNucleusExternalPartMolecularLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_anteriorOlfactoryNucleusExternalPartPyramidalLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_anteriorOlfactoryNucleusKolliker"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_anteriorOlfactoryNucleusLateralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_anteriorOlfactoryNucleusLateralPartMolecularLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_anteriorOlfactoryNucleusLateralPartPyramidalLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_anteriorOlfactoryNucleusMedialPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_anteriorOlfactoryNucleusMedialPartMolecularLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_anteriorOlfactoryNucleusMedialPartPyramidalLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_anteriorOlfactoryNucleusPosteroventralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_anteriorOlfactoryNucleusPosteroventralPartMolecularLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_anteriorOlfactoryNucleusPosteroventralPartPyramidalLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_anteriorPretectalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_anteriorTegmentalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_anterodorsalNucleusThalamus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_anterodorsalPreopticNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_anterolateralVisualArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_anteromedialNucleusThalamus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_anteromedialNucleusThalamusDorsalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_anteromedialNucleusThalamusVentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_anteromedialVisualArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_anteroventralNucleusThalamus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_anteroventralPeriventricularNucleusHypothalamus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_anteroventralPreopticNucleus"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_arachnoid"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_arborVitae"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_arcuateHypothalamicNucleusClark"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_areaPostrema"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_auditoryAreas"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_autonomicGanglia"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_autonomicNervousSystemLangley"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_basalNucleusOfTheDorsalHorn"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_basalNucleusOfTheDorsalHornGeneral"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_basolateralAmygdalarNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_basolateralAmygdalarNucleusAnteriorPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_basolateralAmygdalarNucleusPosteriorPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_basomedialAmygdalarNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_basomedialAmygdalarNucleusAnteriorPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_basomedialAmygdalarNucleusPosteriorPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_bedNucleiStriaTerminalisAnteriorDivision"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_bedNucleiStriaTerminalisAnteriorDivisionAnterolateralArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_bedNucleiStriaTerminalisAnteriorDivisionAnteromedialArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_bedNucleiStriaTerminalisAnteriorDivisionDorsomedialNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_bedNucleiStriaTerminalisAnteriorDivisionFusiformNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_bedNucleiStriaTerminalisAnteriorDivisionJuxtacapsularNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_bedNucleiStriaTerminalisAnteriorDivisionMagnocellularNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_bedNucleiStriaTerminalisAnteriorDivisionOvalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_bedNucleiStriaTerminalisAnteriorDivisionRhomboidNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_bedNucleiStriaTerminalisAnteriorDivisionSubcommissuralZone"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_bedNucleiStriaTerminalisAnteriorDivisionVentralNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_bedNucleiStriaTerminalisJohnston"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_bedNucleiStriaTerminalisPosteriorDivision"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_bedNucleiStriaTerminalisPosteriorDivisionCellsparseZone"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_bedNucleiStriaTerminalisPosteriorDivisionDorsalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_bedNucleiStriaTerminalisPosteriorDivisionInterfascicularNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_bedNucleiStriaTerminalisPosteriorDivisionPremedullaryNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_bedNucleiStriaTerminalisPosteriorDivisionPrincipalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_bedNucleiStriaTerminalisPosteriorDivisionStrialExtension"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_bedNucleiStriaTerminalisPosteriorDivisionTransverseNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_bedNucleusAccessoryOlfactoryTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_bedNucleusAnteriorCommissureGurdjian"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_bedNucleusOfTheStriaMedullarisCajal"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_behaviorControlColumn"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_behavioralStateSystem"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_brachialPlexus"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_brachiumOfTheInferiorColliculus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_brachiumOfTheSuperiorColliculus"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_brain"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_brainstem"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_bulbocerebellarTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_caudalIntracentralFissure"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_caudoputamen"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_celiacGanglion"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_centralAmygdalarNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_centralAmygdalarNucleusCapsularPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_centralAmygdalarNucleusLateralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_centralAmygdalarNucleusMedialPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_centralCanalSpinalCordmedulla"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_centralCervicalNucleus"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_centralGray"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_centralGrayBrain"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_centralLateralNucleusThalamus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_centralLinearNucleusRaphe"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_centralLobule"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_centralLobuleLobuleIIISublobulesAb"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_centralLobuleLobuleIISublobulesAb"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_centralMedialNucleusThalamus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_centralNervousSystem"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_centralNervousSystemGrayMatter"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_centralNervousSystemWhiteMatter"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_centralTegmentalBundleBechterew"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_cerebellarCommissure"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_cerebellarCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_cerebellarCortexGranuleCellLayerInner"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_cerebellarCortexGrooves"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_cerebellarCortexMolecularLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_cerebellarCortexPurkinjeLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_cerebellarNuclei"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_cerebellarPeduncles"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_cerebellumHerophilusErasistratus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_cerebellumRelatedFiberTracts"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_cerebralAqueductCollicularRecess"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_cerebralAqueductGeneral"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_cerebralAqueductProperSylvius"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_cerebralCortex"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_cerebralCortexCorticalPlate"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_cerebralCortexGrooves"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_cerebralCortexPolymodalAssociationCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_cerebralCortexSensorymotorCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_cerebralCortexSubplateRegion"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_cerebralNuclei"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_cerebralPeduncle"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_cerebrospinalFluid"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_cerebrospinalTrunk"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_cerebrumCerebralHemispheresEndbrainTelencephalon"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_cervicalPlexus"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_cervicalSpinalGanglia18"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_cervicothalamicTract"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_choroidFissure"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_choroidFissureFourthVentricle"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_choroidFissureLateralVentricle"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_choroidFissureThirdVentricle"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_choroidPlexus"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_choroidPlexusFourthVentricle"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_choroidPlexusLateralVentricle"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_choroidPlexusThirdVentricle"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_choroidalFissureEye"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_ciliaryGanglion"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_ciliaryNerve"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_cingulateRegionBurdach"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_cingulumBundleReil"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_claustrumBurdach"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_coccygealSpinalGanglia13"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_coccygealSympatheticGanglion"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_cochlearNerve"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_cochlearNuclei"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_cochlearNucleiGranularLamina"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_cochlearNucleiSubpeduncularGranularRegion"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_columnsOfTheFornix"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_commissuralNucleusPeriaqueductalGrayPaxinosWatson"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_copulaPyramidisSublobulesAb"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_corpusCallosumAnteriorForcepsArnold"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_corpusCallosumBody"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_corpusCallosumGalen"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_corpusCallosumGenu"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_corpusCallosumPosteriorForcepsArnold"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_corpusCallosumRostrum"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_corpusCallosumSpleniumBurdach"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_corticalAmygdalarNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_corticalAmygdalarNucleusAnteriorPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_corticalAmygdalarNucleusPosteriorPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_corticalAmygdalarNucleusPosteriorPartLateralZone"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_corticalAmygdalarNucleusPosteriorPartMedialZone"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_corticobulbarTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_corticopontineTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_corticorubralTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_corticospinalTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_corticospinalTractUncrossedBurdachTurck"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_corticotectalTract"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_cranialNerves"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_cranialParasympatheticGanglia"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_cranialPlexuses"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_cranialSensoryGanglia"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_crus1Fissures13"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_crus2Fissure"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_culmen"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_culmenLobulesIVV"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_cuneateFascicleBurdach"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_cuneateNucleusBurdach"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_cuneiformNucleusCastaldi"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_cuneocerebellarTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_declivalFissure2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_decliveVISublobulesAd"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_decussationOfTheTrochlearNerve"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_deepCerebellarNuclei"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_dentateGyrusCrest"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_dentateGyrusCrestgranuleCellLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_dentateGyrusCrestmolecularLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_dentateGyrusCrestpolymorphLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_dentateGyrusLateralBlade"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_dentateGyrusLateralBladegranuleCellLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_dentateGyrusLateralBlademolecularLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_dentateGyrusLateralBladepolymorphLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_dentateGyrusMedialBlade"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_dentateGyrusMedialBladegranuleCellLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_dentateGyrusMedialBlademolecularLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_dentateGyrusMedialBladepolymorphLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_dentateGyrusTarin"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_dentateNucleusMagnocellularPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_dentateNucleusParvicellularPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_dentateNucleusVicqDAzyr"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_diagonalBandBroca"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_diagonalBandNucleusBroca"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_diencephalon"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_distalGlossopharyngealGanglionAndersch"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_distalGlossopharyngeovagalPlacode"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_distalVagalGanglion"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_dorsalAcousticStriaMonakow"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_dorsalAuditoryAreas"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_dorsalCochlearNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_dorsalColumnNuclei"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_dorsalColumns"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_dorsalCommissuralNucleusOfTheSpinalCord"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_dorsalCommissureSpinalCord"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_dorsalFornix"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_dorsalHippocampalCommissure"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_dorsalHornSpinalCord"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_dorsalLongitudinalFascicleSchutz"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_dorsalMedianSeptum"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_dorsalMotorNucleusVagusNerve"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_dorsalNucleusRaphe"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_dorsalNucleusSpinalCordCaudalPartStilling"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_dorsalNucleusSpinalCordGeneral"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_dorsalNucleusSpinalCordStillingClarke"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_dorsalPremammillaryNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_dorsalPropriohypothalamicPathways"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_dorsalRootsCoiter"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_dorsalSpinocerebellarTractFlechsig"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_dorsalTegmentalDecussationMeynert"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_dorsalTegmentalNucleusGudden"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_dorsalTegmentalTractLindvallBjorklund"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_dorsalTerminalNucleusAccessoryOpticTract"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_dorsalThalamus"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_dorsalThalamusPolymodalAssociationCortexRelate"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_dorsalThalamusSensorymotorCortexRelated"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_dorsolateralFascicleLissauer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_dorsomedialHypothalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_dorsomedialHypothalamicNucleusAnteriorPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_dorsomedialHypothalamicNucleusPosteriorPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_dorsomedialHypothalamicNucleusVentralPart"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_dura"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_ectorhinalArea"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_efferentCochlearGroup"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_efferentCochleovestibularBundle"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_efferentVestibularNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_endopiriformNucleusDorsalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_endopiriformNucleusLoo"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_endopiriformNucleusVentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_endorhinalGroove"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_entericNervousSystemLangley"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_entorhinalArea"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_entorhinalAreaLateralPartLayers16"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_entorhinalAreaMedialPartDorsalZoneLayers16"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_entorhinalAreaMedialPartVentralZoneHaug"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_epithalamus"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_externalCapsuleBurdach"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_externalCuneateNucleusMonakowBlumenau"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_externalMedullaryLaminaThalamusBurdach"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_extrapyramidalFiberSystems"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_extrapyramidalFiberSystemsCerebralNucleiRelated"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_extremeCapsule"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_facialNerve"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_facialNucleus"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_fasciculusProprius"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_fasciculusRetroflexusMeynert"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_fasciolaCinereaReilArnold"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_fastigialNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_fieldCA1AmmonsHornLorenteDeNo"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_fieldCA1PyramidalLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_fieldCA1PyramidalLayerDeep"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_fieldCA1PyramidalLayerSuperficial"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_fieldCA1StratumLacunosummoleculareMeynert"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_fieldCA1StratumOriensSala"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_fieldCA1StratumRadiatumMeynert"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_fieldCA2AmmonsHornLorenteDeNo"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_fieldCA2PyramidalLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_fieldCA2StratumLacunosummoleculare"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_fieldCA2StratumOriens"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_fieldCA2StratumRadiatum"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_fieldCA3AmmonsHornLorenteDeNo"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_fieldCA3PyramidalLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_fieldCA3StratumLacunosummoleculare"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_fieldCA3StratumLucidumHonegger"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_fieldCA3StratumOriens"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_fieldCA3StratumRadiatum"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_fieldsOfForel"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_filumTerminale"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_fimbriaVieussens"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_flocculonodularLobeCerebellum"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_flocculus"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_foliumtuberVermisVII"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_forebrain"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_fornixSystemGalen"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_fourthVentricleGeneral"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_fourthVentricleLateralRecess"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_fourthVentricleProper"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_frontalPoleCerebralCortex"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_frontalRegion"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_ganglia"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_geniculateGanglion"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_geniculateGroupOfTheDorsalThalamus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_geniculateGroupOfTheVentralThalamus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_genuOfTheFacialNerve"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_gigantocellularReticularNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_globusPallidusBurdach"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_globusPallidusExternalSegment"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_globusPallidusInternalSegment"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_glossopharyngealNerve"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_gracileFascicleGoll"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_gracileNucleusGeneralGoll"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_gracileNucleusMedianPartBischoff"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_gracileNucleusPrincipalPart"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_grooves"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_gustatoryArea"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_habenularCommissureHaller"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_hemisphericRegionCerebellum"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_hindbrain"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_hippocampalCommissuresDavid"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_hippocampalFissureGratiolet"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_hippocampalFormation"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_hippocampalRegionAranzi"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_hypoglossalNerve"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_hypoglossalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_hypothalamicLateralZone"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_hypothalamicLateralZoneMotorRelated"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_hypothalamicLateralZoneStateRelated"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_hypothalamicPeriventricularRegion"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_hypothalamohypophysialTract"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_hypothalamusHis"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_induseumGriseumValentin"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_inferiorCerebellarPeduncleRidley"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_inferiorColliculus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_inferiorColliculusCentralNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_inferiorColliculusCommissure"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_inferiorColliculusDorsalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_inferiorColliculusExternalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_inferiorMesentericGanglia"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_inferiorOlivaryComplexDorsalAccessoryOlive"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_inferiorOlivaryComplexMedialAccessoryOlive"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_inferiorOlivaryComplexPrincipalOlive"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_inferiorOlivaryComplexVieussens"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_inferiorSalivatoryNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_infracerebellarNucleus"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_infralimbicArea"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_infundibulumExternalLamina"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_infundibulumGalen"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_infundibulumInternalLamina"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_insularRegion"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_interanterodorsalNucleusThalamus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_interanteromedialNucleusThalamus"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_interbrain"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_intercalatedAmygdalarNuclei"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_intercalatedNucleusOfTheSpinalCord"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_intercruralFissure"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_interfascicularNucleusRaphe"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_intermediateAcousticStriaHeld"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_intermediateGraySpinalCordGeneral"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_intermediateGraySpinalCordProper"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_intermediateNerveWrisberg"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_intermediodorsalNucleusThalamus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_intermediolateralSpinalColumn"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_intermediolateralSpinalColumnSacralDivision"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_intermediolateralSpinalColumnThoracolumbarDivision"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_intermediolateralVisualArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_intermediomedialSpinalColumn"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_internalArcuateFibers"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_internalCapsuleBurdach"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_internalMedullaryLaminaThalamusBurdach"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_internuclearAreaHypothalamicPeriventricularRegion"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_interpeduncularNucleusApicalSubnucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_interpeduncularNucleusCentralSubnucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_interpeduncularNucleusDorsomedialSubnucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_interpeduncularNucleusGudden"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_interpeduncularNucleusIntermediateSubnucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_interpeduncularNucleusLateralSubnucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_interpeduncularNucleusLateralSubnucleusDorsalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_interpeduncularNucleusLateralSubnucleusIntermediatePart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_interpeduncularNucleusLateralSubnucleusRostralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_interpeduncularNucleusLateralSubnucleusVentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_interpeduncularNucleusRostralSubnucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_interposedNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_interposedNucleusMainPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_interposedNucleusParvicellularPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_interstitialNucleusAuditoryNerve"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_interstitialNucleusOfCajal"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_interstitialNucleusVestibularNerve"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_interventricularForamenMonro"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_intracentralFissure2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_intraculminateFissure1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_intralaminarNucleiDorsalThalamus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_intraparafloccularFissure"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_islandsOfCallejaOlfactoryTubercle"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_isocortex"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_isocortexDeepSupragranularPyramidalLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_isocortexGranularLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_isocortexInfragranularPyramidalLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_isocortexMolecularLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_isocortexPolymorphLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_isocortexSuperficialSupragranularPyramidalLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_juxtarestiformBody"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralAmygdalarNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralApertureFourthVentricleLuschka"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralCervicalNucleusRexedBrodal"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralDorsalNucleusThalamus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralForebrainBundle"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralForebrainBundleSystem"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralForebrainBundleSystemThalamusRelated"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralFuniculus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralGeniculateComplexDorsalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralGeniculateComplexIntergeniculateLeaflet"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralGeniculateComplexSantorini"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralGeniculateComplexVentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralGeniculateComplexVentralPartLateralZone"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralGeniculateComplexVentralPartMedialZone"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralHabenulaNissl"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralHypothalamicAreaAnteriorRegion"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralHypothalamicAreaAnteriorRegionDorsalZone"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralHypothalamicAreaAnteriorRegionIntermediateZone"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralHypothalamicAreaAnteriorRegionVentralZone"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralHypothalamicAreaDorsalRegion"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralHypothalamicAreaJuxtadorsomedialRegion"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralHypothalamicAreaJuxtaparaventricularRegion"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralHypothalamicAreaJuxtaventromedialRegion"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralHypothalamicAreaJuxtaventromedialRegionDorsalZone"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralHypothalamicAreaJuxtaventromedialRegionVentralZone"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralHypothalamicAreaMagnocellularNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralHypothalamicAreaMotorRelated"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralHypothalamicAreaNissl"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralHypothalamicAreaParvicellularRegion"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralHypothalamicAreaPosteriorRegion"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralHypothalamicAreaSubfornicalRegionAnteriorZone"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralHypothalamicAreaSubfornicalRegionPosteriorZone"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralHypothalamicAreaSubfornicalRegionPremammillaryZone"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralHypothalamicAreaSuprafornicalRegion"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralHypothalamicAreaVentralRegion"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralHypothalamicAreaVentralRegionLateralZone"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralHypothalamicAreaVentralRegionMedialZone"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralLemniscusReil"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralMammillaryNucleusGudden"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralNucleiDorsalThalamus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralOlfactoryTractBody"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralOlfactoryTractDorsalLimb"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralOlfactoryTractGeneral"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralPosteriorNucleusThalamus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralPreopticArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralPropriohypothalamicPathways"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralReticularNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralReticularNucleusMagnocellularPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralReticularNucleusParvicellularPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralSeptalComplexRisoldSwanson"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralSeptalNucleusCajal"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralSeptalNucleusCaudalCaudodorsalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralSeptalNucleusCaudalPartDorsalZone"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralSeptalNucleusCaudalPartDorsalZoneDorsalRegion"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralSeptalNucleusCaudalPartDorsalZoneLateralRegion"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralSeptalNucleusCaudalPartDorsalZoneRostralRegion"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralSeptalNucleusCaudalPartDorsalZoneVentralRegion"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralSeptalNucleusCaudalPartVentralZone"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralSeptalNucleusCaudalPartVentralZoneIntermediateRegion"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralSeptalNucleusCaudalPartVentralZoneLateralRegion"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralSeptalNucleusCaudalPartVentralZoneLateralRegionDorsalDomain"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralSeptalNucleusCaudalPartVentralZoneLateralRegionVentralDomain"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralSeptalNucleusCaudalPartVentralZoneMedialRegion"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralSeptalNucleusCaudalPartVentralZoneMedialRegionDorsalDomain"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralSeptalNucleusCaudalPartVentralZoneMedialRegionVentralDomain"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralSeptalNucleusRostralPartDorsolateralZone"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralSeptalNucleusRostralPartDorsolateralZoneLateralRegion"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralSeptalNucleusRostralPartDorsolateralZoneLateralRegionDorsalDomain"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralSeptalNucleusRostralPartDorsolateralZoneLateralRegionVentralDomain"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralSeptalNucleusRostralPartDorsolateralZoneMedialRegion"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralSeptalNucleusRostralPartDorsolateralZoneMedialRegionDorsalDomain"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralSeptalNucleusRostralPartDorsolateralZoneMedialRegionVentralDomain"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralSeptalNucleusRostralPartMedialZone"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralSeptalNucleusRostralPartMedialZoneDorsalRegion"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralSeptalNucleusRostralPartMedialZoneVentralRegion"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralSeptalNucleusRostralPartMedialZoneVentralRegionCaudalDomain"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralSeptalNucleusRostralPartMedialZoneVentralRegionRostralDomain"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralSeptalNucleusRostralPartVentrolateralZone"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralSeptalNucleusRostralPartVentrolateralZoneDorsalRegion"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralSeptalNucleusRostralPartVentrolateralZoneDorsalRegionLateralDomain"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralSeptalNucleusRostralPartVentrolateralZoneDorsalRegionMedialDomain"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralSeptalNucleusRostralPartVentrolateralZoneVentralRegion"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralSeptalNucleusRostralRostroventralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralSeptalNucleusVentralPartRisoldSwanson"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralSpinalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralSpinothalamicTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralTegmentalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralTerminalNucleusAccessoryOpticTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralVentricle"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralVestibularNucleusDeiters"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_laterodorsalTegmentalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_laterolateralVisualArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_linearNucleusMedulla"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lingulaI"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_locusCeruleusVicqDAzyr"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_longitudinalAssociationBundle"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lumbarSpinalGanglia16"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lumbarSympatheticGanglia16"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lumbosacralPlexus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_magnocellularNucleusLoo"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_magnocellularReticularNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_mainOlfactoryBulbGlomerularLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_mainOlfactoryBulbGranuleCellLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_mainOlfactoryBulbInnerPlexiformLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_mainOlfactoryBulbMitralLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_mainOlfactoryBulbOuterPlexiformLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_mainOlfactoryBulbSoemmerring"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_majorIslandOfCallejaOlfactoryTubercle"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_mammillaryBodyGallSpurzheim"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_mammillaryPeduncleMeynert"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_mammillotegmentalTractGudden"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_mammillothalamicTractVicqDAzyr"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_marginalZoneSpinalCordWaldeyer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_medialAccessoryOculomotorNucleusBechterew"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_medialAmygdalarNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_medialAmygdalarNucleusAnterodorsalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_medialAmygdalarNucleusAnteroventralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_medialAmygdalarNucleusPosterodorsalPartSublayersAc"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_medialAmygdalarNucleusPosteroventralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_medialCorticohypothalamicTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_medialForebrainBundleEdinger"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_medialForebrainBundleSystem"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_medialForebrainBundleSystemCerebrumRelated"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_medialForebrainBundleSystemEpithalamusRelated"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_medialForebrainBundleSystemHypothalamusRelated"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_medialForebrainBundleSystemMammillaryRelated"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_medialForebrainBundleSystemMidbrainRelated"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_medialForebrainBundleSystemThalamusRelated"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_medialGeniculateComplex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_medialGeniculateComplexDorsalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_medialGeniculateComplexMedialPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_medialGeniculateComplexVentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_medialHabenulaDorsalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_medialHabenulaNissl"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_medialHabenulaVentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_medialLemniscusReil"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_medialLongitudinalFascicle"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_medialMammillaryNucleusBody"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_medialMammillaryNucleusGeneralGudden"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_medialMammillaryNucleusMedianPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_medialNucleiDorsalThalamus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_medialPreopticArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_medialPreopticNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_medialPreopticNucleusCentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_medialPreopticNucleusLateralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_medialPreopticNucleusMedialPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_medialPretectalArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_medialPropriohypothalamicPathways"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_medialSeptalComplex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_medialSeptalNucleusCajal"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_medialTerminalNucleusAccessoryOpticTractEdinger"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_medialVestibularNucleusSchwalbe"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_medianApertureFourthVentricleMagendie"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_medianEminence"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_medianEminenceExternalLamina"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_medianEminenceInternalLamina"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_medianPreopticNucleusLoo"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_mediodorsalNucleusThalamus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_mediodorsalNucleusThalamusCentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_mediodorsalNucleusThalamusLateralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_mediodorsalNucleusThalamusMedialPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_mediolateralVisualArea"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_medulla"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_medullaryReticularNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_medullaryReticularNucleusDorsalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_medullaryReticularNucleusVentralPart"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_meninges"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_midbrain"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_midbrainReticularNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_midbrainReticularNucleusMagnocellularPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_midbrainReticularNucleusMagnocellularPartGeneral"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_midbrainReticularNucleusParvicellularPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_midbrainReticularNucleusRetrorubralArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_midbrainTractOfTheTrigeminalNerve"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_midbrainTrigeminalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_middleCerebellarPeduncle"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_middleCervicalGanglion"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_middleCommissureOfTheThalamus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_midlineGroupDorsalThalamus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_midlineNucleiDorsalThalamus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_motoneuronGroups"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_motorNucleusOfTheTrigeminalMagnocellularPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_motorNucleusOfTheTrigeminalNerve"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_motorNucleusOfTheTrigeminalNerveParvicellularPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_motorRootOfTheTrigeminalNerve"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_motorSystem"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_myentericPlexusAuerbach"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_nerveFibers"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_nervePlexuses"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_nerves"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_nervousSystem"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_neuroendocrineMotorZone"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_neuroendocrineMotorZoneMagnocellular"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_neuroendocrineMotorZoneParvicellular"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_nigrostriatalTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_nigrothalamicFibers"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_nodularFissure"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_nodulusXSublobulesAb"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_nucleusAccumbens"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_nucleusAmbiguusDorsalDivision"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_nucleusAmbiguusVentralDivision"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_nucleusBrachiumInferiorColliculus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_nucleusCircularis"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_nucleusIncertusCompactPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_nucleusIncertusDiffusePart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_nucleusIncertusStreeter"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_nucleusIntercalatusStaderini"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_nucleusOfDarkschewitsch"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_nucleusOfRoller"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_nucleusOfTheBulbocavernosus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_nucleusOfTheLateralLemniscusBechterew"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_nucleusOfTheLateralLemniscusDorsalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_nucleusOfTheLateralLemniscusHorizontalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_nucleusOfTheLateralLemniscusVentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_nucleusOfTheLateralOlfactoryTractDorsalCap"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_nucleusOfTheLateralOlfactoryTractGanser"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_nucleusOfTheLateralOlfactoryTractMolecularLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_nucleusOfTheLateralOlfactoryTractPyramidalLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_nucleusOfTheOpticTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_nucleusOfThePosteriorCommissure"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_nucleusOfTheSolitaryTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_nucleusOfTheSolitaryTractCentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_nucleusOfTheSolitaryTractCommissuralPartCajal"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_nucleusOfTheSolitaryTractGelatinousPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_nucleusOfTheSolitaryTractLateralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_nucleusOfTheSolitaryTractMedialPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_nucleusOfTheSpinalAccessoryNerve"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_nucleusOfTheTrapezoidBody"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_nucleusPrepositusMarburg"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_nucleusPropriusOfTheSpinalCord"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_nucleusRapheMagnus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_nucleusRapheObscurus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_nucleusRaphePallidus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_nucleusRaphePontis"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_nucleusReuniensCaudalDivision"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_nucleusReuniensCaudalDivisionDorsalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_nucleusReuniensCaudalDivisionMedianPartGurdjian"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_nucleusReuniensCaudalDivisionPosteriorPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_nucleusReuniensMalone"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_nucleusReuniensRostralDivision"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_nucleusReuniensRostralDivisionAnteriorPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_nucleusReuniensRostralDivisionDorsalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_nucleusReuniensRostralDivisionLateralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_nucleusReuniensRostralDivisionMedianPartGurdjian"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_nucleusReuniensRostralDivisionVentralPart"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_nucleusSagulum"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_nucleusXBrodalPompeiano"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_nucleusYBrodalPompeiano"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_nucleusZBrodalPompeiano"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_occipitalPoleCerebralCortex"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_occipitalRegion"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_oculomotorNerve"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_oculomotorNucleus"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_olfactoryCortex"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_olfactoryNerve"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_olfactoryTubercleGanser"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_olfactoryTubercleMolecularLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_olfactoryTuberclePolymorphLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_olfactoryTuberclePyramidalLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_olivaryPretectalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_olivocerebellarTract"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_opticChiasm"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_opticNerve"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_opticTract"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_orbitalArea"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_orbitalAreaLateralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_orbitalAreaMedialPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_orbitalAreaVentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_orbitalAreaVentrolateralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_oticGanglionArnold"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_pallidotegmentalFascicle"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_pallidothalamicPathway"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_pallidum"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_parabigeminalNucleusBechterew"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_parabrachialNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_parabrachialNucleusCentralLateralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_parabrachialNucleusDorsalLateralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_parabrachialNucleusExternalLateralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_parabrachialNucleusExternalMedialPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_parabrachialNucleusExtremeLateralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_parabrachialNucleusInternalLateralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_parabrachialNucleusLateralDivision"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_parabrachialNucleusMedialDivision"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_parabrachialNucleusMedialMedialPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_parabrachialNucleusSuperiorLateralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_parabrachialNucleusVentralLateralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_parabrachialNucleusVentralMedialPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_paracentralNucleusThalamus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_parafascicularNucleusVogt"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_parafloccularSulcus"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_paraflocculus"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_paragigantocellularReticularNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_paragigantocellularReticularNucleusDorsalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_paragigantocellularReticularNucleusLateralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_paramedianLobule"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_paramedianReticularNucleusMislawsky"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_paramedianSulcus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_parapyramidalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_parapyramidalNucleusDeepPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_parapyramidalNucleusSuperficialPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_parasolitaryNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_parastrialNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_parasubiculumLayers16"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_parasubthalamicNucleusZhangWang"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_parasympatheticGanglia"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_parasympatheticPlexuses"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_parasympatheticSystem"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_paratenialNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_paratrigeminalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_paraventricularHypothalamicNucleusAnteriorMagnocellularPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_paraventricularHypothalamicNucleusAnteriorParvicellularPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_paraventricularHypothalamicNucleusDescendingDivision"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_paraventricularHypothalamicNucleusDorsalParvicellularPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_paraventricularHypothalamicNucleusFornicealPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_paraventricularHypothalamicNucleusLateralParvicellularPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_paraventricularHypothalamicNucleusMagnocellularDivision"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_paraventricularHypothalamicNucleusMalone"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_paraventricularHypothalamicNucleusMedialMagnocellularPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_paraventricularHypothalamicNucleusMedialParvicellularPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_paraventricularHypothalamicNucleusMedialParvicellularPartDorsalZone"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_paraventricularHypothalamicNucleusMedialParvicellularPartVentralZone"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_paraventricularHypothalamicNucleusNeuroendocrineComponent"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_paraventricularHypothalamicNucleusParvicellularDivision"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_paraventricularHypothalamicNucleusPeriventricularPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_paraventricularHypothalamicNucleusPosteriorMagnocellularPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_paraventricularHypothalamicNucleusPosteriorMagnocellularPartLateralZone"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_paraventricularHypothalamicNucleusPosteriorMagnocellularPartMedialZone"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_paraventricularThalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_paravertebralSympatheticGanglia"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_parietalRegion"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_parietalRegionPosteriorAssociationAreas"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_parvicellularReticularNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_pedunculopontineNucleus"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_pelvicGanglion"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_perforantPath"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_periaqueductalGray"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_periaqueductalGrayDorsalDivisionBeitz"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_periaqueductalGrayDorsolateralDivisionBeitz"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_periaqueductalGrayMedialDivisionBeitz"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_periaqueductalGrayRostrolateralDivision"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_periaqueductalGrayRostromedialDivision"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_periaqueductalGrayVentrolateralDivisionBeitz"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_perihypoglossalNuclei"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_periolivaryRegion"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_peripeduncularNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_peripheralNervousSystem"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_perireuniensNucleus"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_perirhinalArea"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_periventricularBundleHypothalamus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_periventricularBundleThalamus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_periventricularHypothalamicNucleusAnteriorPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_periventricularHypothalamicNucleusIntermediatePart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_periventricularHypothalamicNucleusPosteriorPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_periventricularRegionHypothalamus"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_phrenicNerve"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_phrenicNucleus"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_pia"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_pinealGlandGalen"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_pinealStalk"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_piriformArea"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_piriformAreaMolecularLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_piriformAreaPolymorphLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_piriformAreaPyramidalLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_piriformamygdalarArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_pituitaryGlandAnteriorLobe"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_pituitaryGlandGalen"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_pituitaryGlandIntermediateLobe"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_pituitaryGlandNeuralLobe"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_ponsVarolio"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_pontineCentralGray"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_pontineCentralGrayGeneral"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_pontineGray"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_pontineGrayGeneral"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_pontineReticularNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_pontineReticularNucleusCaudalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_pontineReticularNucleusRostralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_postAndPrecerebellarNuclei"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_postcommissuralFornixElliotSmith"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_posteriorAmygdalarNucleusCanterasSwanson"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_posteriorAuditoryArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_posteriorCommissureLieutaud"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_posteriorComplexThalamus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_posteriorHypothalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_posteriorLimitingNucleusThalamus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_posteriorLobeCerebellum"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_posteriorPretectalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_posteriorSeptalComplex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_posteriorSuperiorFissure"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_posterodorsalIntraculminateFissure"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_posterodorsalPreopticNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_posterolateralFissure"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_posterolateralVisualArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_posteromedialVisualArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_postpiriformTransitionArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_postsubiculumLayers16"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_precentralFissure"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_precentralFissureA"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_precentralFissureB"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_precommissuralFornixElliotSmith"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_precommissuralFornixGeneral"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_precommissuralNucleusPeriaqueductalGrayPaxinosWatson"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_preculminateFissure"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_prefrontalRegion"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_preganglionicAutonomicPools"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_preganglionicAutonomicPoolsParasympathetic"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_preganglionicAutonomicPoolsSympathetic"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_prelimbicArea"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_premammillaryCommissureRisoldEtAl"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_preopticCommissureRisoldEtAl"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_preopticLevelHypothalamusEdinger"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_preopticPeriventricularNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_preparasubthalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_prepyramidalFissure"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_presubiculumLayers16Cajal"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_pretectalRegionEdinger"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_prevertebralSympatheticGanglia"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_primaryAuditoryArea"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_primaryFissure"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_primarySomatomotorArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_primarySomatosensoryArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_primarySomatosensoryAreaBarrelField"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_primarySomatosensoryAreaLowerLimbRegion"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_primarySomatosensoryAreaMouthRegion"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_primarySomatosensoryAreaNoseRegion"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_primarySomatosensoryAreaTrunkRegion"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_primarySomatosensoryAreaUpperLimbRegion"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_primaryVisualArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_principalMammillaryTractKolliker"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_principalSensoryNucleusOfTheTrigeminal"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_propriohypothalamicPathways"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_proximalGlossopharyngealGanglion"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_proximalGlossopharyngeovagalPlacode"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_proximalVagalGanglionEhrenritter"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_pterygopalatineGanglionMeckel"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_pudentalPlexus"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_pyramidWillis"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_pyramidalDecussationPourfourDuPetit"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_pyramidalFissure"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_pyramusVIIISublobulesAb"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_rapheNuclei"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_redNucleusBurdach"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_reticularFormationJLenhossek"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_reticularNucleusSpinalCord"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_reticularNucleusThalamusArnold"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_reticulocerebellarTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_reticulospinalTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_reticulospinalTractLateralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_reticulospinalTractMedialPart"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_retina"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_retinaGanglionCellLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_retinaInnerNuclearLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_retinaInnerPlexiformLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_retinaOuterNuclearLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_retinaOuterPlexiformLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_retrochiasmaticAreaLateralHypothalamicArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_retrohippocampalRegion"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_retrosplenialArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_retrosplenialAreaDorsalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_retrosplenialAreaLateralAgranularPartRisoldSwanson"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_retrosplenialAreaVentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_retrosplenialAreaVentralPartZoneA"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_retrosplenialAreaVentralPartZoneBc"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_rhinalFissure"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_rhinalIncisure"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_rhinalRegion"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_rhinocele"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_rhomboidNucleusCajal"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_rostralLinearNucleusRaphe"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_rostralMedullaryVelumVieussens"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_rostralNeuropore"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_rostrolateralVisualArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_rubroreticularTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_rubrospinalTractMonakow"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_sacralParasympatheticGanglia"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_sacralSpinalGanglia14"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_sacralSympatheticGanglia14"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_secondaryFissure"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_secondarySomatomotorAreas"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_sensoryGanglia"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_sensoryRootOfTheTrigeminalNerve"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_sensorySystem"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_sensorySystemAuditory"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_sensorySystemGustatory"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_sensorySystemHumorosensory"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_sensorySystemSomatosensory"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_sensorySystemVisceral"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_sensorySystemVisual"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_septalRegionMeynert"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_septofimbrialNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_septohippocampalNucleus"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_simpleFissure"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_simpleLobuleSublobulesAb"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_solitaryTract"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_somaticNervousSystem"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_somatomotorAreas"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_somatomotorMotoneuronPools"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_somatosensoryAreas"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_spinalCentralGray"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_spinalCord"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_spinalCordCervicalLevelSegments18"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_spinalCordCoccygealLevelSegments13"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_spinalCordGrooves"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_spinalCordLumbarLevelSegments16"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_spinalCordSacralLevelSegments14"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_spinalCordThoracicLevelSegments113"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_spinalNerves"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_spinalNucleusOfTheTrigeminal"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_spinalNucleusOfTheTrigeminalCaudalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_spinalNucleusOfTheTrigeminalInterpolarPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_spinalNucleusOfTheTrigeminalOralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_spinalNucleusOfTheTrigeminalOralPartCaudalDorsomedialRegion"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_spinalNucleusOfTheTrigeminalOralPartMiddleDorsomedialRegionDorsalZone"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_spinalNucleusOfTheTrigeminalOralPartMiddleDorsomedialRegionVentralZone"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_spinalNucleusOfTheTrigeminalOralPartRostralDorsomedialRegion"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_spinalNucleusOfTheTrigeminalOralPartVentrolateralPart"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_spinalPlexuses"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_spinalSensoryGanglia"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_spinalTractOfTheTrigeminalNerve"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_spinalVestibularNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_spinocerebellarTracts"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_spinocervicalTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_spinohypothalamicPathway"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_spinoolivaryPathway"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_spinoreticularPathway"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_spinotectalPathway"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_spinotelencephalicPathway"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_spinothalamicTractThieleHorsley"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_spinovestibularPathway"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_spiralGanglionCorti"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_splanchnicNerves"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_stellateGanglion"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_stratumZonaleThalamus"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_striaMedullaris"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_striaTerminalisWenzelWenzel"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_striatalFundus"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_striatonigralPathway"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_striatum"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_subceruleusNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_subcommissuralOrgan"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_subependymalZone"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_subfornicalOrganPines"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_subiculumBurdach"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_subiculumDorsalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_subiculumDorsalPartMolecularLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_subiculumDorsalPartPyramidalLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_subiculumDorsalPartStratumRadiatum"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_subiculumVentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_subiculumVentralPartMolecularLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_subiculumVentralPartPyramidalLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_subiculumVentralPartStratumRadiatum"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_sublaterodorsalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_submandibularGanglion"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_submedialNucleusThalamus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_submucosalPlexusMeissner"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_subparafascicularNucleusThalamus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_subparafascicularNucleusThalamusMagnocellularPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_subparafascicularNucleusThalamusParvicellularPartLateralDivision"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_subparafascicularNucleusThalamusParvicellularPartMedialDivision"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_subparaventricularZoneHypothalamus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_substantiaGelatinosaSpinalCordRolando"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_substantiaInnominataReilReichert"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_substantiaNigraCompactPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_substantiaNigraReticularPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_substantiaNigraSoemmerringVicqDAzyr"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_subthalamicFascicle"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_subthalamicNucleusLuys"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_superiorCentralNucleusRapheBechterew"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_superiorCentralNucleusRapheLateralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_superiorCentralNucleusRapheMedialPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_superiorCerebellarPeduncle"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_superiorCerebellarPeduncleWernekinck"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_superiorCervicalGanglion"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_superiorColliculus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_superiorColliculusCommissure"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_superiorColliculusDeepGrayLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_superiorColliculusDeepWhiteLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_superiorColliculusIntermediateGrayLayerSublayerA"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_superiorColliculusIntermediateGrayLayerSublayerB"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_superiorColliculusIntermediateGrayLayerSublayerC"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_superiorColliculusIntermediateWhiteLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_superiorColliculusMotorRelated"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_superiorColliculusOpticLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_superiorColliculusSensoryRelated"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_superiorColliculusSuperficialGrayLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_superiorColliculusZonalLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_superiorMesentericGanglion"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_superiorOlivaryComplexLateralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_superiorOlivaryComplexMedialPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_superiorOlivaryComplexSchroederVanDerKolk"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_superiorSalivatoryNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_superiorVestibularNucleusBechterew"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_supplementalSomatosensoryArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_suprachiasmaticNucleusDorsomedialPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_suprachiasmaticNucleusSpiegelZwieg"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_suprachiasmaticNucleusVentrolateralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_suprachiasmaticPreopticNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_suprageniculateNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_supragenualNucleusMeessenOlszewski"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_supramammillaryDecussation"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_supramammillaryNucleusCajal"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_supramammillaryNucleusLateralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_supramammillaryNucleusMedialPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_supraopticCommissures"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_supraopticCommissuresAnteriorGanser"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_supraopticCommissuresDorsalMeynert"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_supraopticCommissuresVentralGudden"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_supraopticNucleusGeneralLenhossek"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_supraopticNucleusProper"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_supraopticNucleusRetrochiasmaticPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_supratrigeminalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_sympatheticChain"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_sympatheticGanglia"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_sympatheticPlexuses"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_sympatheticSystem"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_tectospinalPathway"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_tectospinalPathwayCrossedEdinger"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_tectospinalPathwayDirect"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_tectothalamicPathway"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_tectum"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_tegmentalReticularNucleusPontineGrayBechterew"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_tegmentum"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_telencephalicRoofPlate"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_telencephalon"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_temporalAssociationAreas"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_temporalPoleCerebralCortex"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_temporalRegion"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_teniaTecta"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_teniaTectaDorsalPartLayers14"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_teniaTectaVentralPartLayers13"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_terminalGanglion"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_terminalNerve"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_thalamicPeduncles"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_thalamus"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_thirdVentricle"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_thirdVentricleHypothalamicPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_thirdVentricleInfundibularRecess"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_thirdVentricleMammillaryRecess"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_thirdVentriclePeriventricularRecess"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_thirdVentriclePinealRecess"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_thirdVentriclePreopticRecessEdinger"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_thirdVentricleThalamicPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_thoracicSpinalGanglia113"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_thoracicSympatheticGanglia313"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_trapezoidBodyTreviranus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_triangularNucleusSeptumCajal"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_trigeminalGanglionVieussensGasser"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_trigeminalNerve"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_trigeminocerebellarTract"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_trochlearNerve"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_trochlearNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_tuberalNucleusIntermediatePart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_tuberalNucleusLateralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_tuberalNucleusMalone"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_tuberalNucleusSubventricularPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_tuberalNucleusTereteSubnucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_tuberomammillaryNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_tuberomammillaryNucleusDorsalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_tuberomammillaryNucleusVentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_uncinateFascicleRussell"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_uvulaIXSublobulesAbc"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_uvularFissure1"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_vagalCommissure"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_vagusNerve"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_vascularOrganOfTheLaminaTerminalis"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_ventralAnteriorlateralComplexThalamus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_ventralAuditoryAreas"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_ventralCochlearNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_ventralCochlearNucleusAnteriorPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_ventralCochlearNucleusPosteriorPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_ventralCommissureOfTheSpinalCord"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_ventralCommissureSpinalCord"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_ventralFuniculus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_ventralHippocampalCommissure"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_ventralHornSpinalCord"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_ventralHornSpinalCordGeneral"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_ventralMedialNucleusThalamus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_ventralMedianFissure"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_ventralNucleiDorsalThalamus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_ventralPosteriorComplexThalamus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_ventralPosterolateralNucleusThalamusGeneral"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_ventralPosterolateralNucleusThalamusParvicellularPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_ventralPosterolateralNucleusThalamusPrincipalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_ventralPosteromedialNucleusThalamusGeneral"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_ventralPosteromedialNucleusThalamusParvicellularPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_ventralPosteromedialNucleusThalamusPrincipalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_ventralPremammillaryNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_ventralPropriohypothalamicPathways"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_ventralRootsCoiter"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_ventralSpinocerebellarTractGowers"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_ventralSpinothalamicTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_ventralTegmentalAreaTsai"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_ventralTegmentalDecussationForel"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_ventralTegmentalNucleusGudden"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_ventralThalamus"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_ventricularSystem"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_ventrolateralHypothalamicTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_ventrolateralPreopticNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_ventromedialHypothalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_ventromedialNucleusHypothalamusAnteriorPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_ventromedialNucleusHypothalamusCentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_ventromedialNucleusHypothalamusDorsomedialPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_ventromedialNucleusHypothalamusVentrolateralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_vermalRegionsCerebellum"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_vestibularGanglionScarpa"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_vestibularNerve"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_vestibularNuclei"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_vestibulocochlearNerve"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_vestibulomotorRegions"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_vestibulospinalPathway"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_visceralArea"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_visceralSensorymotorAreas"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_visualAreas"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_vomeronasalNerve"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_zonaIncerta"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_zonaIncertaDopaminergicGroup"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_zonaIncertaGeneral"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SwansonBM_3rd-ed_zonaLimitans"},
        ],
        "ontologyIdentifier": None,
    },
    homepage=IRI("https://larrywswanson.com/?page_id=164"),
    how_to_cite="Swanson, L.W. (2004) Brain maps: structure of the rat brain, 3rd edition.",
    license={"@id": "https://openminds.om-i.org/instances/licenses/ccByNc4.0"},
    release_date="2003-11-24",
    short_name="Swanson's Brain Maps",
    type={"@id": "https://openminds.om-i.org/instances/atlasType/deterministicAtlas"},
    version_identifier="3rd ed.",
    version_innovation="The book’s third edition has returned to the large format of the first, and its photo of each atlas level with accompanying drawing of gray and white matter distribution. The new feature is a second drawing that illustrates major features of gray matter regionalization in a color-coded way that is carried through the flatmaps of the rat CNS (Frontispiece, Fig. 11, and poster) and the hierarchical nomenclature tables of section VIII. Changes to the Original Atlas: Two general types of change have been made to the second [editor note: 3rd] edition of the atlas. New architectonic information has been incorporated, and these changes are reflected in the annotated nomenclature tables, whose general organization has been improved. The following structures have been added or modified significantly: auditory areas (cortex), bed nuclei of the stria terminalis (simplified), capsular part of the central amygdalar nucleus, caudoputamen, ventral part of the dorsomedial hypothalamic nucleus, globus pallidus, internuclear area of the hypothalamic periventricular region, lateral hypothalamic area (parcelled), midbrain reticular nucleus, nucleus of the lateral lemniscus (parcelled), nucleus of the solitary tract, parasolitary nucleus, ventral premammillary nucleus, peripeduncular nucleus, parastrial nucleus, preparasubthalamic nucleus, parasubthalamic nucleus, anterior parvicellular part of the paraventricular hypothalamic nucleus, subparaventricular zone of the hypothalamus, substantia innominata, stria medullaris, parvicellular part of the subparafascicular nucleus (parcelled), temporal association areas (renamed), tuberal nucleus (parcelled), ventrolateral preoptic nucleus, ventrolateral hypothalamic tract. In addition, a limited number of spelling changes have been made. The American spelling of words like “taenia” has been adopted (“tenia”), and “amygdalar” has been substituted for “amygdaloid” and “amygdala”. For earlier versions of the atlas see CD-ROM files C1-3. See [full documentation](https://larrywswanson.com/?page_id=164), section: Preface and Chapter III: Preparation and Use of the Atlas.",
)
BrainAtlasVersion.swma_2018 = BrainAtlasVersion(
    id="https://openminds.om-i.org/instances/brainAtlasVersion/SWMA_2018",
    abbreviation="SWMA",
    accessibility={"@id": "https://openminds.om-i.org/instances/productAccessibility/freeAccess"},
    coordinate_space={
        "@id": "https://openminds.om-i.org/instances/commonCoordinateSpaceVersion/MNI-ICBM152_nonlinear-2009c-asym"
    },
    full_name="Atlas of Superficial White Matter Fibre Bundles",
    has_terminology={
        "@type": "https://openminds.om-i.org/types/ParcellationTerminologyVersion",
        "dataLocation": None,
        "hasEntity": [
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SWMA_2018_CAC-PoCi_0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SWMA_2018_CAC-PrCu_0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SWMA_2018_CMF-Op_0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SWMA_2018_CMF-PoC_0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SWMA_2018_CMF-PrC_0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SWMA_2018_CMF-PrC_1"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SWMA_2018_CMF-RMF_0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SWMA_2018_CMF-SF_0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SWMA_2018_CMF-SF_1"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SWMA_2018_Cu-Li_0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SWMA_2018_Fu-LO_0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SWMA_2018_Fu-LO_1"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SWMA_2018_IC-PrCu_0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SWMA_2018_IP-IT_0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SWMA_2018_IP-LO_0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SWMA_2018_IP-LO_1"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SWMA_2018_IP-MT_0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SWMA_2018_IP-SM_0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SWMA_2018_IP-SP_0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SWMA_2018_IP-SP_1"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SWMA_2018_IT-MT_0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SWMA_2018_IT-MT_1"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SWMA_2018_IT-MT_2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SWMA_2018_LO-SP_0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SWMA_2018_LOF-MOF_0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SWMA_2018_LOF-Or_0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SWMA_2018_LOF-RMF_0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SWMA_2018_LOF-RMF_1"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SWMA_2018_LOF-ST_0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SWMA_2018_MOF-ST_0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SWMA_2018_MT-SM_0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SWMA_2018_MT-ST_0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SWMA_2018_Op-Ins_0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SWMA_2018_Op-PrC_0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SWMA_2018_Op-SF_0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SWMA_2018_Op-Tr_0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SWMA_2018_Or-Ins_0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SWMA_2018_PoC-Ins_0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SWMA_2018_PoC-PrC_0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SWMA_2018_PoC-PrC_1"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SWMA_2018_PoC-PrC_2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SWMA_2018_PoC-PrC_3"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SWMA_2018_PoC-SM_0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SWMA_2018_PoC-SM_1"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SWMA_2018_PoC-SP_0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SWMA_2018_PoC-SP_1"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SWMA_2018_PoCi-PrCu_0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SWMA_2018_PoCi-PrCu_1"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SWMA_2018_PoCi-PrCu_2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SWMA_2018_PoCi-RAC_0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SWMA_2018_PoCi-SF_0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SWMA_2018_PrC-Ins_0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SWMA_2018_PrC-SF_0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SWMA_2018_PrC-SM_0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SWMA_2018_PrC-SP_0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SWMA_2018_RAC-SF_0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SWMA_2018_RAC-SF_1"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SWMA_2018_RMF-SF_0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SWMA_2018_RMF-SF_1"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SWMA_2018_SM-Ins_0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SWMA_2018_SP-SM_0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SWMA_2018_ST-Ins_0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SWMA_2018_ST-TT_0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SWMA_2018_Tr-Ins_0"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/SWMA_2018_Tr-SF_0"},
        ],
        "ontologyIdentifier": None,
    },
    license={"@id": "https://openminds.om-i.org/instances/licenses/ccByNcSa4.0"},
    short_name="Superficial White Matter Atlas",
    version_identifier="2018",
    version_innovation="This is the first released version of this brain atlas.",
)
BrainAtlasVersion.whss_datlas_v1_01 = BrainAtlasVersion(
    id="https://openminds.om-i.org/instances/brainAtlasVersion/WHSSDatlas_v1.01",
    abbreviation="WHSSDatlas",
    accessibility={"@id": "https://openminds.om-i.org/instances/productAccessibility/freeAccess"},
    coordinate_space={"@id": "https://openminds.om-i.org/instances/commonCoordinateSpaceVersion/WHSSD_v1.01"},
    full_documentation={"@id": "https://doi.org/10.1016/j.neuroimage.2014.10.017"},
    full_name="Waxholm Space Atlas of the Sprague Dawley Rat Brain",
    has_terminology={
        "@type": "https://openminds.om-i.org/types/ParcellationTerminologyVersion",
        "dataLocation": None,
        "hasEntity": [
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v1.01_descendingCorticofugalPathways"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v1.01_substantiaNigra"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v1.01_subthalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v1.01_molecularCellLayerOfTheCerebellum"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v1.01_deeperCerebellum"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v1.01_alveusOfTheHippocampus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v1.01_inferiorCerebellarPeduncle"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v1.01_cingulateCortexArea2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v1.01_dorsallateralEntorhinalArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v1.01_dorsalintermediateEntorhinalArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v1.01_perirhinalCortex"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v1.01_striatum"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v1.01_globusPallidus"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v1.01_entopeduncularNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v1.01_ventricularSystem"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v1.01_medialLemniscus"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v1.01_facialNerve"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v1.01_anteriorCommissureAnteriorPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v1.01_anteriorCommissurePosteriorPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v1.01_ventralHippocampalCommissure"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v1.01_thalamus"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v1.01_septalRegion"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v1.01_opticNerve"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v1.01_opticTractAndOpticChiasm"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v1.01_pinealGland"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v1.01_innerEar"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v1.01_spinalCord"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v1.01_commissureOfTheSuperiorColliculus"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v1.01_brainstem"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v1.01_hypothalamicRegion"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v1.01_inferiorColliculus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v1.01_superficialGrayLayerOfTheSuperiorColliculus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v1.01_periaqueductalGray"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v1.01_fornix"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v1.01_mammillothalamicTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v1.01_commissuralStriaTerminalis"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v1.01_deeperLayersOfTheSuperiorColliculus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v1.01_periventricularGray"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v1.01_genuOfTheFacialNerve"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v1.01_pontineNuclei"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v1.01_fimbriaOfTheHippocampus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v1.01_fasciculusRetroflexus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v1.01_striaMedullarisOfTheThalamus"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v1.01_striaTerminalis"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v1.01_posteriorCommissure"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v1.01_glomerularLayerOfTheAccessoryOlfactoryBulb"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v1.01_glomerularLayerOfTheOlfactoryBulb"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v1.01_olfactoryBulb"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v1.01_corpusCallosumAndAssociatedSubcorticalWhiteMatter"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v1.01_brachiumOfTheSuperiorColliculus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v1.01_commissureOfTheInferiorColliculus"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v1.01_centralCanal"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v1.01_interpeduncularNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v1.01_ascendingFibersOfTheFacialNerve"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v1.01_anteriorCommissureIntrabulbarPart"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v1.01_inferiorOlive"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v1.01_spinalTrigeminalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v1.01_spinalTrigeminalTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v1.01_frontalAssociationCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v1.01_middleCerebellarPeduncle"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v1.01_transverseFibersOfThePons"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v1.01_habenularCommissure"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v1.01_nucleusOfTheStriaMedullaris"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v1.01_basalForebrainRegion"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v1.01_supraopticDecussation"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v1.01_medialLemniscusDecussation"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v1.01_pyramidalDecussation"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v1.01_hippocampalFormation"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v1.01_subiculum"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v1.01_postrhinalCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v1.01_ventralintermediateEntorhinalArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v1.01_medialEntorhinalField"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v1.01_caudalEntorhinalField"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v1.01_neocortex"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v1.01_bedNucleusOfTheStriaTerminalis"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v1.01_pretectalRegion"},
        ],
        "ontologyIdentifier": None,
    },
    homepage=IRI("https://www.nitrc.org/projects/whs-sd-atlas/"),
    how_to_cite="Please refer to the atlas by its [RRID:SCR_001592](https://scicrunch.org/resolver/SCR_001592), and cite the following publications: [Papp et al. (2014)](https://doi.org/10.1016/j.neuroimage.2014.04.001); [Papp et al. (2015)](https://doi.org/10.1016/j.neuroimage.2014.10.017).",
    license={"@id": "https://openminds.om-i.org/instances/licenses/ccBy4.0"},
    related_publications=[{"@id": "https://doi.org/10.1016/j.neuroimage.2014.04.001"}],
    release_date="2014-07-17",
    short_name="Waxholm Space Rat Brain Atlas",
    support_channels=["support@ebrains.eu", "https://www.nitrc.org/forum/forum.php?forum_id=9174"],
    type={"@id": "https://openminds.om-i.org/instances/atlasType/deterministicAtlas"},
    version_identifier="v1.01",
    version_innovation="Anatomical delineations of 76 major brain regions and white matter tracts in the Sprague Dawley rat brain, based on observations in a high resolution magnetic resonance imaging (MRI) volume (DOI: 10.25493/DTSG-ZBS). This dataset is hosted on NITRC.org and includes: WHS_SD_rat_atlas_v1.01.nii.gz: delineation file with anatomical structures; WHS_SD_rat_atlas_v1.label: text file naming the anatomical structures; MBAT_WHS_SD_rat_atlas_v1.01.zip: files describing a suggested hierarchical organization of the anatomical structures. Note: The licence was changed to from CC BY-SA-NC to CC BY-SA on October 1, 2021.",
)
BrainAtlasVersion.whss_datlas_v2 = BrainAtlasVersion(
    id="https://openminds.om-i.org/instances/brainAtlasVersion/WHSSDatlas_v2",
    abbreviation="WHSSDatlas",
    accessibility={"@id": "https://openminds.om-i.org/instances/productAccessibility/freeAccess"},
    coordinate_space={"@id": "https://openminds.om-i.org/instances/commonCoordinateSpaceVersion/WHSSD_v1.01"},
    full_documentation={"@id": "https://doi.org/10.1016/j.neuroimage.2014.12.080"},
    full_name="Waxholm Space Atlas of the Sprague Dawley Rat Brain",
    has_terminology={
        "@type": "https://openminds.om-i.org/types/ParcellationTerminologyVersion",
        "dataLocation": None,
        "hasEntity": [
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v2_descendingCorticofugalPathways"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v2_substantiaNigra"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v2_subthalamicNucleus"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v2_molecularLayerOfTheCerebellum"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v2_granuleCellLevelOfTheCerebellum"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v2_alveusOfTheHippocampus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v2_inferiorCerebellarPeduncle"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v2_cingulateCortexArea2"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v2_striatum"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v2_globusPallidus"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v2_entopeduncularNucleus"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v2_ventricularSystem"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v2_medialLemniscus"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v2_facialNerve"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v2_anteriorCommissureAnteriorPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v2_anteriorCommissurePosteriorPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v2_ventralHippocampalCommissure"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v2_thalamus"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v2_septalRegion"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v2_opticNerve"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v2_opticTractAndOpticChiasm"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v2_pinealGland"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v2_innerEar"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v2_spinalCord"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v2_commissureOfTheSuperiorColliculus"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v2_brainstem"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v2_hypothalamicRegion"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v2_inferiorColliculus"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v2_superficialGrayLayerOfTheSuperiorColliculus"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v2_periaqueductalGray"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v2_fornix"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v2_mammillothalamicTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v2_commissuralStriaTerminalis"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v2_deeperLayersOfTheSuperiorColliculus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v2_periventricularGray"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v2_genuOfTheFacialNerve"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v2_pontineNuclei"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v2_fimbriaOfTheHippocampus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v2_fasciculusRetroflexus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v2_striaMedullarisOfTheThalamus"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v2_striaTerminalis"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v2_posteriorCommissure"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v2_glomerularLayerOfTheAccessoryOlfactoryBulb"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v2_glomerularLayerOfTheOlfactoryBulb"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v2_olfactoryBulb"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v2_corpusCallosumAndAssociatedSubcorticalWhiteMatter"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v2_brachiumOfTheSuperiorColliculus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v2_commissureOfTheInferiorColliculus"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v2_centralCanal"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v2_interpeduncularNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v2_ascendingFibersOfTheFacialNerve"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v2_anteriorCommissure"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v2_inferiorOlive"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v2_spinalTrigeminalNuclus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v2_spinalTrigeminalTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v2_frontalAssociiationCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v2_middleCerebellarPeduncle"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v2_transverseFibersOfThePons"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v2_habenularCommissure"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v2_nucleusOfTheStriaMedullaris"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v2_basalForebrainRegion"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v2_supraopticDecussation"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v2_medialLemniscusDecussation"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v2_pyramidalDecussation"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v2_neocortex"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v2_bedNucleusOfTheStriaTerminalis"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v2_pretectalRegion"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v2_cornuAmmonis3"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v2_dentateGyrus"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v2_cornuAmmonis2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v2_cornuAmmonis1"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v2_fasciolaCinereum"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v2_subiculum"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v2_postrhinalCortex"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v2_presubiculum"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v2_parasubiculum"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v2_perirhinalArea35"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v2_perirhinalArea36"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v2_entorhinalCortex"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v2_lateralEntorhinalCortex"
            },
        ],
        "ontologyIdentifier": None,
    },
    homepage=IRI("https://www.nitrc.org/projects/whs-sd-atlas/"),
    how_to_cite="Please refer to the atlas by its [RRID:SCR_001592](https://scicrunch.org/resolver/SCR_001592), and cite the following publications: [Papp et al. (2014)](https://doi.org/10.1016/j.neuroimage.2014.04.001); [Kjonigsen et al. (2015)](https://doi.org/10.1016/j.neuroimage.2014.12.080).",
    is_new_version_of={"@id": "https://openminds.om-i.org/instances/brainAtlasVersion/WHSSDatlas_v1.01"},
    license={"@id": "https://openminds.om-i.org/instances/licenses/ccBy4.0"},
    related_publications=[
        {"@id": "https://doi.org/10.1016/j.neuroimage.2014.04.001"},
        {"@id": "https://doi.org/10.1016/j.neuroimage.2014.10.017"},
    ],
    release_date="2015-02-02",
    short_name="Waxholm Space Rat Brain Atlas",
    support_channels=["support@ebrains.eu", "https://www.nitrc.org/forum/forum.php?forum_id=9174"],
    type={"@id": "https://openminds.om-i.org/instances/atlasType/deterministicAtlas"},
    version_identifier="v2",
    version_innovation="Anatomical delineations of 79 brain regions and white matter tracts in the Sprague Dawley rat brain, based on observations in a high resolution magnetic resonance imaging (MRI) volume (DOI: 10.25493/DTSG-ZBS). Version 2 of the Waxholm Space atlas of the Sprague Dawley rat brain contains 13 new and updated delineations of the hippocampal formation and parahippocampal region, and 66 structure delineations unchanged relative to v1.01. This dataset is hosted on NITRC.org and includes: WHS_SD_rat_atlas_v2.nii.gz: delineation file with anatomical structures; WHS_SD_rat_atlas_v2.label: text file naming anatomical structures; MBAT_WHS_SD_rat_atlas_v2.zip: file describing a suggested hierarchy of the anatomical structures. Note: The licence was changed to from CC BY-SA-NC to CC BY-SA on October 1, 2021.",
)
BrainAtlasVersion.whss_datlas_v3 = BrainAtlasVersion(
    id="https://openminds.om-i.org/instances/brainAtlasVersion/WHSSDatlas_v3",
    abbreviation="WHSSDatlas",
    accessibility={"@id": "https://openminds.om-i.org/instances/productAccessibility/freeAccess"},
    coordinate_space={"@id": "https://openminds.om-i.org/instances/commonCoordinateSpaceVersion/WHSSD_v1.01"},
    full_documentation={"@id": "https://doi.org/10.1016/j.neuroimage.2019.05.016"},
    full_name="Waxholm Space Atlas of the Sprague Dawley Rat Brain",
    has_terminology={
        "@type": "https://openminds.om-i.org/types/ParcellationTerminologyVersion",
        "dataLocation": None,
        "hasEntity": [
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3_descendingCorticofugalPathways"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3_substantiaNigra"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3_subthalamicNucleus"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3_molecularLayerOfTheCerebellum"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3_granuleCellLevelOfTheCerebellum"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3_alveusOfTheHippocampus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3_inferiorCerebellarPeduncle"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3_cingulateCortexArea2"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3_striatum"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3_globusPallidus"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3_entopeduncularNucleus"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3_ventricularSystem"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3_medialLemniscus"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3_facialNerve"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3_anteriorCommissureAnteriorPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3_anteriorCommissurePosteriorPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3_ventralHippocampalCommissure"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3_thalamus"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3_septalRegion"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3_opticNerve"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3_opticTractAndOpticChiasm"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3_pinealGland"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3_spinalCord"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3_commissureOfTheSuperiorColliculus"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3_brainstem"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3_hypothalamicRegion"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3_superficialGrayLayerOfTheSuperiorColliculus"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3_periaqueductalGray"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3_fornix"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3_mammillothalamicTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3_commissuralStriaTerminalis"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3_deeperLayersOfTheSuperiorColliculus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3_periventricularGray"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3_genuOfTheFacialNerve"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3_pontineNuclei"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3_fimbriaOfTheHippocampus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3_fasciculusRetroflexus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3_striaMedullarisOfTheThalamus"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3_striaTerminalis"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3_posteriorCommissure"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3_glomerularLayerOfTheAccessoryOlfactoryBulb"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3_glomerularLayerOfTheOlfactoryBulb"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3_olfactoryBulb"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3_corpusCallosumAndAssociatedSubcorticalWhiteMatter"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3_brachiumOfTheSuperiorColliculus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3_inferiorColliculusCommissure"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3_centralCanal"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3_interpeduncularNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3_ascendingFibersOfTheFacialNerve"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3_anteriorCommissure"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3_inferiorOlive"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3_spinalTrigeminalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3_spinalTrigeminalTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3_frontalAssociationCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3_middleCerebellarPeduncle"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3_transverseFibersOfThePons"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3_habenularCommissure"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3_nucleusOfTheStriaMedullaris"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3_basalForebrainRegion"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3_supraopticDecussation"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3_medialLemniscusDecussation"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3_pyramidalDecussation"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3_neocortex"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3_bedNucleusOfTheStriaTerminalis"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3_pretectalRegion"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3_cornuAmmonis3"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3_dentateGyrus"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3_cornuAmmonis2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3_cornuAmmonis1"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3_fasciolaCinereum"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3_subiculum"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3_postrhinalCortex"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3_presubiculum"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3_parasubiculum"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3_perirhinalArea35"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3_perirhinalArea36"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3_entorhinalCortex"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3_lateralEntorhinalCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3_vestibularApparatus"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3_cochlea"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3_cochlearNerve"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3_vestibularNerve"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3_ventralCochlearNucleusGranuleCellLayer"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3_4thVentricle"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3_dorsalCochlearNucleusMolecularLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3_dorsalCochlearNucleusFusiformAndGranuleLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3_dorsalCochlearNucleusDeepCore"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3_acousticStriae"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3_trapezoidBody"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3_nucleusOfTheTrapezoidBody"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3_superiorParaolivaryNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3_medialSuperiorOlive"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3_lateralSuperiorOlive"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3_superiorPeriolivaryRegion"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3_ventralPeriolivaryNuclei"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3_lateralLemniscusVentralNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3_lateralLemniscusIntermediateNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3_lateralLemniscusDorsalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3_lateralLemniscusCommissure"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3_lateralLemniscus"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3_inferiorColliculusDorsalCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3_inferiorColliculusCentralNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3_inferiorColliculusExternalCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3_inferiorColliculusBrachium"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3_medialGeniculateBodyMedialDivision"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3_medialGeniculateBodyDorsalDivision"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3_medialGeniculateBodyVentralDivision"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3_medialGeniculateBodyMarginalZone"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3_primaryAuditoryCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3_secondaryAuditoryCortexDorsalArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3_secondaryAuditoryCortexVentralArea"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3_auditoryRadiation"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3_ventralCochlearNucleusAnteriorPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3_ventralCochlearNucleusPosteriorPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3_ventralCochlearNucleusCapArea"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3_spiralGanglion"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3_nucleusSagulum"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3_reticularThalamicNucleusAuditorySegment"
            },
        ],
        "ontologyIdentifier": None,
    },
    homepage=IRI("https://www.nitrc.org/projects/whs-sd-atlas/"),
    how_to_cite="Please refer to the atlas by its [RRID:SCR_001592](https://scicrunch.org/resolver/SCR_001592), and cite the following publications: [Papp et al. (2014)](https://doi.org/10.1016/j.neuroimage.2014.04.001); [Osen et al. (2019)](https://doi.org/10.1016/j.neuroimage.2019.05.016).",
    is_new_version_of={"@id": "https://openminds.om-i.org/instances/brainAtlasVersion/WHSSDatlas_v2"},
    license={"@id": "https://openminds.om-i.org/instances/licenses/ccBy4.0"},
    related_publications=[
        {"@id": "https://doi.org/10.1016/j.neuroimage.2014.04.001"},
        {"@id": "https://doi.org/10.1016/j.neuroimage.2014.10.017"},
        {"@id": "https://doi.org/10.1016/j.neuroimage.2014.12.080"},
    ],
    release_date="2019-05-15",
    short_name="Waxholm Space Rat Brain Atlas",
    support_channels=["support@ebrains.eu", "https://www.nitrc.org/forum/forum.php?forum_id=9174"],
    type={"@id": "https://openminds.om-i.org/instances/atlasType/deterministicAtlas"},
    version_identifier="v3",
    version_innovation="Anatomical delineations of 118 brain regions and white matter tracts in the Sprague Dawley rat brain, based on observations in a high resolution magnetic resonance imaging (MRI) volume (DOI: 10.25493/DTSG-ZBS). Version 3 of the Waxholm Space atlas of the Sprague Dawley rat brain contains 41 new and 10 updated delineations related or adjacent to the ascending the auditory system. 65 delineations have remained unchanged relative to v2. This dataset is hosted on NITRC.org and includes: WHS_SD_rat_atlas_v3.nii.gz: delineation file with anatomical structures; WHS_SD_rat_atlas_v3.label: text file naming anatomical structures; MBAT_WHS_SD_rat_atlas_v3.zip: file describing a suggested hierarchy of the anatomical structures. Note: The licence was changed to from CC BY-SA-NC to CC BY-SA on October 1, 2021.",
)
BrainAtlasVersion.whss_datlas_v3_01 = BrainAtlasVersion(
    id="https://openminds.om-i.org/instances/brainAtlasVersion/WHSSDatlas_v3.01",
    abbreviation="WHSSDatlas",
    accessibility={"@id": "https://openminds.om-i.org/instances/productAccessibility/freeAccess"},
    coordinate_space={"@id": "https://openminds.om-i.org/instances/commonCoordinateSpaceVersion/WHSSD_v1.01"},
    full_documentation={"@id": "https://doi.org/10.1016/j.neuroimage.2019.05.016"},
    full_name="Waxholm Space Atlas of the Sprague Dawley Rat Brain",
    has_terminology={
        "@type": "https://openminds.om-i.org/types/ParcellationTerminologyVersion",
        "dataLocation": None,
        "hasEntity": [
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3.01_descendingCorticofugalPathways"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3.01_substantiaNigra"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3.01_subthalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3.01_molecularCellLayerOfTheCerebellum"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3.01_deeperCerebellum"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3.01_alveusOfTheHippocampus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3.01_inferiorCerebellarPeduncle"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3.01_cingulateCortexArea2"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3.01_striatum"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3.01_globusPallidus"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3.01_entopeduncularNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3.01_ventricularSystemUnspecified"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3.01_medialLemniscus"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3.01_facialNerve"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3.01_anteriorCommissureAnteriorPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3.01_anteriorCommissurePosteriorPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3.01_ventralHippocampalCommissure"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3.01_thalamusUnspecified"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3.01_septalRegion"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3.01_opticNerve"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3.01_opticTractAndOpticChiasm"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3.01_pinealGland"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3.01_spinalCord"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3.01_commissureOfTheSuperiorColliculus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3.01_brainstemUnspecified"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3.01_hypothalamicRegion"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3.01_superficialGrayLayerOfTheSuperiorColliculus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3.01_periaqueductalGray"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3.01_fornix"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3.01_mammillotegmentalTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3.01_commissuralStriaTerminalis"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3.01_deeperLayersOfTheSuperiorColliculus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3.01_periventricularGray"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3.01_genuOfTheFacialNerve"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3.01_pontineNuclei"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3.01_fimbriaOfTheHippocampus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3.01_fasciculusRetroflexus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3.01_striaMedullarisOfTheThalamus"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3.01_striaTerminalis"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3.01_posteriorCommissure"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3.01_glomerularLayerOfTheAccessoryOlfactoryBulb"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3.01_glomerularLayerOfTheOlfactoryBulb"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3.01_olfactoryBulb"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3.01_corpusCallosumAndAssociatedSubcorticalWhiteMatter"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3.01_brachiumOfTheSuperiorColliculus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3.01_inferiorColliculusCommissure"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3.01_centralCanal"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3.01_interpeduncularNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3.01_ascendingFibersOfTheFacialNerve"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3.01_anteriorCommissureIntrabulbarPart"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3.01_inferiorOlive"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3.01_spinalTrigeminalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3.01_spinalTrigeminalTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3.01_frontalAssociationCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3.01_middleCerebellarPeduncle"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3.01_transverseFibersOfThePons"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3.01_habenularCommissure"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3.01_nucleusOfTheStriaMedullaris"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3.01_basalForebrainRegionUnspecified"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3.01_supraopticDecussation"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3.01_medialLemniscusDecussation"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3.01_pyramidalDecussation"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3.01_neocortexUnspecified"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3.01_bedNucleusOfTheStriaTerminalis"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3.01_pretectalRegion"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3.01_cornuAmmonis3"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3.01_dentateGyrus"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3.01_cornuAmmonis2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3.01_cornuAmmonis1"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3.01_fasciolaCinereum"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3.01_subiculum"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3.01_postrhinalCortex"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3.01_presubiculum"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3.01_parasubiculum"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3.01_perirhinalArea35"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3.01_perirhinalArea36"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3.01_medialEntorhinalCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3.01_lateralEntorhinalCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3.01_vestibularApparatus"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3.01_cochlea"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3.01_cochlearNerve"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3.01_vestibularNerve"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3.01_ventralCochlearNucleusGranuleCellLayer"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3.01_4thVentricle"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3.01_dorsalCochlearNucleusMolecularLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3.01_dorsalCochlearNucleusFusiformAndGranuleLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3.01_dorsalCochlearNucleusDeepCore"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3.01_acousticStriae"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3.01_trapezoidBody"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3.01_nucleusOfTheTrapezoidBody"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3.01_superiorParaolivaryNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3.01_medialSuperiorOlive"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3.01_lateralSuperiorOlive"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3.01_superiorPeriolivaryRegion"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3.01_ventralPeriolivaryNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3.01_lateralLemniscusVentralNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3.01_lateralLemniscusIntermediateNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3.01_lateralLemniscusDorsalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3.01_lateralLemniscusCommissure"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3.01_lateralLemniscus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3.01_inferiorColliculusDorsalCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3.01_inferiorColliculusCentralNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3.01_inferiorColliculusExternalCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3.01_inferiorColliculusBrachium"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3.01_medialGeniculateBodyMedialDivision"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3.01_medialGeniculateBodyDorsalDivision"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3.01_medialGeniculateBodyVentralDivision"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3.01_medialGeniculateBodyMarginalZone"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3.01_primaryAuditoryCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3.01_secondaryAuditoryCortexDorsalArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3.01_secondaryAuditoryCortexVentralArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3.01_auditoryRadiation"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3.01_ventralCochlearNucleusAnteriorPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3.01_ventralCochlearNucleusPosteriorPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3.01_ventralCochlearNucleusCapArea"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3.01_spiralGanglion"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3.01_nucleusSagulum"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v3.01_reticularThalamicNucleusAuditorySegment"
            },
        ],
        "ontologyIdentifier": None,
    },
    homepage=IRI("https://www.nitrc.org/projects/whs-sd-atlas/"),
    how_to_cite="Please refer to the atlas by its [RRID:SCR_001592](https://scicrunch.org/resolver/SCR_001592), and cite the following publications: [Papp et al. (2014)](https://doi.org/10.1016/j.neuroimage.2014.04.001); [Osen et al. (2019)](https://doi.org/10.1016/j.neuroimage.2019.05.016).",
    is_new_version_of={"@id": "https://openminds.om-i.org/instances/brainAtlasVersion/WHSSDatlas_v3"},
    license={"@id": "https://openminds.om-i.org/instances/licenses/ccBy4.0"},
    related_publications=[
        {"@id": "https://doi.org/10.1016/j.neuroimage.2014.04.001"},
        {"@id": "https://doi.org/10.1016/j.neuroimage.2014.10.017"},
        {"@id": "https://doi.org/10.1016/j.neuroimage.2014.12.080"},
    ],
    release_date="2021-10-01",
    short_name="Waxholm Space Rat Brain Atlas",
    support_channels=["support@ebrains.eu", "https://www.nitrc.org/forum/forum.php?forum_id=9174"],
    type={"@id": "https://openminds.om-i.org/instances/atlasType/deterministicAtlas"},
    version_identifier="v3.01",
)
BrainAtlasVersion.whss_datlas_v4 = BrainAtlasVersion(
    id="https://openminds.om-i.org/instances/brainAtlasVersion/WHSSDatlas_v4",
    abbreviation="WHSSDatlas",
    accessibility={"@id": "https://openminds.om-i.org/instances/productAccessibility/freeAccess"},
    coordinate_space={"@id": "https://openminds.om-i.org/instances/commonCoordinateSpaceVersion/WHSSD_v1.01"},
    full_documentation={"@id": "https://doi.org/10.21203/rs.3.rs-2466303/v1"},
    full_name="Waxholm Space Atlas of the Sprague Dawley Rat Brain",
    has_terminology={
        "@type": "https://openminds.om-i.org/types/ParcellationTerminologyVersion",
        "dataLocation": None,
        "hasEntity": [
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_corticofugalTractAndCoronaRadiata"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_subthalamicNucleus"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_molecularCellLayerOfTheCerebellum"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_cerebellumUnspecified"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_alveusOfTheHippocampus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_inferiorCerebellarPeduncle"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_cingulateArea2"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_entopeduncularNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_ventricularSystemUnspecified"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_medialLemniscusUnspecified"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_facialNerveUnspecified"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_anteriorCommissureAnteriorLimb"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_anteriorCommissurePosteriorLimb"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_ventralHippocampalCommissure"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_septalRegion"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_opticNerve"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_opticTractAndOpticChiasm"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_pinealGland"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_spinalCord"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_commissureOfTheSuperiorColliculus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_brainstemUnspecified"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_hypothalamicRegionUnspecified"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_superficialGrayLayerOfTheSuperiorColliculus"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_periaqueductalGray"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_fornix"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_mammillotegmentalTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_commissuralStriaTerminalis"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_deeperLayersOfTheSuperiorColliculus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_periventricularGray"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_genuOfTheFacialNerve"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_pontineNuclei"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_fimbriaOfTheHippocampus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_fasciculusRetroflexus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_striaMedullarisThalami"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_striaTerminalis"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_posteriorCommissure"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_glomerularLayerOfTheAccessoryOlfactoryBulb"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_glomerularLayerOfTheOlfactoryBulb"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_olfactoryBulbUnspecified"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_corpusCallosumAndAssociatedSubcorticalWhiteMatter"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_brachiumOfTheSuperiorColliculus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_inferiorColliculusCommissure"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_centralCanal"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_interpeduncularNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_ascendingFibersOfTheFacialNerve"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_anteriorCommissureIntrabulbarPart"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_inferiorOlive"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_spinalTrigeminalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_spinalTrigeminalTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_frontalAssociationCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_middleCerebellarPeduncle"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_transverseFibersOfThePons"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_habenularCommissure"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_nucleusOfTheStriaMedullaris"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_basalForebrainRegionUnspecified"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_supraopticDecussation"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_medialLemniscusDecussation"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_pyramidalDecussation"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_bedNucleusOfTheStriaTerminalis"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_pretectalRegion"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_cornuAmmonis3"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_dentateGyrus"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_cornuAmmonis2"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_cornuAmmonis1"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_fasciolaCinereum"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_subiculum"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_postrhinalCortex"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_presubiculum"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_parasubiculum"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_perirhinalArea35"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_perirhinalArea36"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_medialEntorhinalCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_lateralEntorhinalCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_vestibularApparatus"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_cochlea"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_cochlearNerve"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_vestibularNerve"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_ventralCochlearNucleusGranuleCellLayer"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_4thVentricle"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_dorsalCochlearNucleusMolecularLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_dorsalCochlearNucleusFusiformAndGranuleLayer"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_dorsalCochlearNucleusDeepCore"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_acousticStriae"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_trapezoidBody"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_nucleusOfTheTrapezoidBody"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_superiorParaolivaryNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_medialSuperiorOlive"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_lateralSuperiorOlive"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_superiorPeriolivaryRegion"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_ventralPeriolivaryNuclei"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_lateralLemniscusVentralNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_lateralLemniscusIntermediateNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_lateralLemniscusDorsalNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_lateralLemniscusCommissure"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_lateralLemniscusUnspecified"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_inferiorColliculusDorsalCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_inferiorColliculusCentralNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_inferiorColliculusExternalCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_inferiorColliculusBrachium"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_medialGeniculateBodyMarginalZone"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_primaryAuditoryArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_secondaryAuditoryAreaDorsalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_secondaryAuditoryAreaVentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_externalMedullaryLaminaAuditoryRadiation"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_ventralCochlearNucleusAnteriorPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_ventralCochlearNucleusPosteriorPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_ventralCochlearNucleusCapArea"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_spiralGanglion"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_nucleusSagulum"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_reticularPrethalamicNucleusAuditorySegment"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_lateralOlfactoryTract"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_piriformCortexLayer1"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_piriformCortexLayer2"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_piriformCortexLayer3"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_nucleusAccumbensCore"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_substantiaNigraReticularPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_substantiaNigraCompactPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_substantiaNigraLateralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_nucleusAccumbensShell"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_ventralPallidum"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_globusPallidusExternalMedialPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_ventralTegmentalArea"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_caudatePutamen"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_globusPallidusExternalLateralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_ventralStriatalRegionUnspecified"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_reticularPrethalamicNucleusUnspecified"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_peripeduncularNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_pregeniculateNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_dorsalLateralGeniculateNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_lateralHabenularNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_medialHabenularNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_posteriorIntralaminarNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_posteriorThalamicNuclearGroupTriangularPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_parataenialThalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_anterodorsalThalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_anteroventralThalamicNucleusDorsomedialPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_anteroventralThalamicNucleusVentrolateralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_rhomboidThalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_xiphoidThalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_reuniensThalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_ventromedialThalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_submediusThalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_angularThalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_ventralPosteromedialThalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_laterodorsalThalamicNucleusDorsomedialPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_laterodorsalThalamicNucleusVentrolateralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_posteriorThalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_ventrolateralThalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_mediodorsalThalamicNucleusLateralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_mediodorsalThalamicNucleusCentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_zonaIncertaDorsalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_zonaIncertaVentralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_zonaIncertaA13DopamineCells"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_pretectothalamicLamina"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_mediodorsalThalamicNucleusMedialPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_paraventricularThalamicNucleiAnteriorAndPosterior"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_paracentralThalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_centralMedialThalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_centralLateralThalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_externalMedullaryLaminaUnspecified"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_anteromedialThalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_interanteromedialThalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_zonaIncertaRostralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_intermediodorsalThalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_ventralPosteriorNucleusOfTheThalamusParvicellularPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_parafascicularThalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_retroreuniensThalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_superiorCerebellarPeduncleAndPrerubralField"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_intergeniculateLeaflet"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_subparafascicularNucleus"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_fieldsOfForel"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_subgeniculateNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_ethmoidLimitansNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_lateralPosteriorThalamicNucleusLateralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_zonaIncertaA11DopamineCells"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_lateralPosteriorThalamicNucleusMediorostralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_lateralPosteriorThalamicNucleusMediocaudalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_zonaIncertaCaudalPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_intramedullaryThalamicArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_internalMedullaryLamina"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_ventralAnteriorThalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_ventralPosterolateralThalamicNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_medialGeniculateBodyDorsalDivision"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_medialGeniculateBodyMedialDivision"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_medialGeniculateBodyVentralDivision"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_medialGeniculateBodySuprageniculateNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_ventrolateralOrbitalArea"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_lateralOrbitalArea"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_ventralOrbitalArea"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_medialOrbitalArea"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_dorsolateralOrbitalArea"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_prelimbicArea"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_secondaryMotorArea"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_frontalAssociationArea3"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_primaryMotorArea"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_agranularInsularCortexVentralArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_agranularInsularCortexDorsalArea"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_cingulateArea1"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_claustrum"},
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_infralimbicArea"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_dysgranularInsularCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_granularInsularCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_primarySomatosensoryAreaForelimbRepresentation"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_primarySomatosensoryAreaDysgranularZone"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_primarySomatosensoryAreaFaceRepresentation"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_secondarySomatosensoryArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_primarySomatosensoryAreaHindlimbRepresentation"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_agranularInsularCortexPosteriorArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_primarySomatosensoryAreaBarrelField"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_retrosplenialDysgranularArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_primarySomatosensoryAreaTrunkRepresentation"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_retrosplenialGranularArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_parietalAssociationCortexLateralArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_parietalAssociationCortexMedialArea"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_parietalAssociationCortexPosteriorArea"
            },
            {"@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_primaryVisualArea"},
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_secondaryVisualAreaLateralPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_temporalAssociationCortex"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_secondaryVisualAreaMedialPart"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_endopiriformNucleus"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_amygdaloidAreaUnspecified"
            },
            {
                "@id": "https://openminds.om-i.org/instances/parcellationEntityVersion/WHSSDatlas_v4_nucleusOfTheLateralOlfactoryTract"
            },
        ],
        "ontologyIdentifier": None,
    },
    homepage=IRI("https://www.nitrc.org/projects/whs-sd-atlas/"),
    how_to_cite="Please refer to the atlas by its [RRID:SCR_001592](https://scicrunch.org/resolver/SCR_001592), and cite the following publications: [Papp et al. (2014)](https://doi.org/10.1016/j.neuroimage.2014.04.001); [Kleven et al. (2023)](https://doi.org/10.21203/rs.3.rs-2466303/v1).",
    is_new_version_of={"@id": "https://openminds.om-i.org/instances/brainAtlasVersion/WHSSDatlas_v3.01"},
    license={"@id": "https://openminds.om-i.org/instances/licenses/ccBy4.0"},
    related_publications=[
        {"@id": "https://doi.org/10.1016/j.neuroimage.2014.04.001"},
        {"@id": "https://doi.org/10.1016/j.neuroimage.2014.10.017"},
        {"@id": "https://doi.org/10.1016/j.neuroimage.2014.12.080"},
        {"@id": "https://doi.org/10.1016/j.neuroimage.2019.05.016"},
    ],
    release_date="2021-10-01",
    short_name="Waxholm Space Rat Brain Atlas",
    support_channels=["support@ebrains.eu", "https://www.nitrc.org/forum/forum.php?forum_id=9174"],
    type={"@id": "https://openminds.om-i.org/instances/atlasType/deterministicAtlas"},
    version_identifier="v4",
    version_innovation="Anatomical delineations of 222 brain regions and white matter tracts in the Sprague Dawley rat brain, based on a high resolution magnetic resonance imaging (MRI) volume (DOI: 10.25493/DTSG-ZBS). Version 4 of the Waxholm Space atlas of the Sprague Dawley rat brain contains 112 new and 56 updated delineations related or adjacent to the basal ganglia, thalamus and cortical structures. 54 delineations have remained unchanged and 9 have been completely replaced relative to v3. This dataset is hosted on NITRC.org and includes: WHS_SD_rat_atlas_v4.nii.gz: delineation file with anatomical structures; WHS_SD_rat_atlas_v4.label: text file naming anatomical structures; MBAT_WHS_SD_rat_atlas_v4.zip: file describing a suggested hierarchy of the anatomical structures",
)
