"""
<description not available>
"""

# this file was auto-generated!

from openminds.base import IRI

from openminds.base import LinkedMetadata
from openminds.properties import Property


class UBERONParcellation(LinkedMetadata):
    """
    <description not available>
    """

    type_ = "https://openminds.ebrains.eu/controlledTerms/UBERONParcellation"
    context = {"@vocab": "https://openminds.ebrains.eu/vocab/"}
    schema_version = "v3.0"

    properties = [
        Property(
            "definition",
            str,
            "definition",
            formatting="text/markdown",
            multiline=True,
            description="Short, but precise statement of the meaning of a word, word group, sign or a symbol.",
            instructions="Enter one sentence for defining this term.",
        ),
        Property(
            "description",
            str,
            "description",
            formatting="text/markdown",
            multiline=True,
            description="Longer statement or account giving the characteristics of the UBERONParcellation.",
            instructions="Enter a short text describing this term.",
        ),
        Property(
            "interlex_identifier",
            IRI,
            "interlexIdentifier",
            description="Persistent identifier for a term registered in the InterLex project.",
            instructions="Enter the internationalized resource identifier (IRI) pointing to the integrated ontology entry in the InterLex project.",
        ),
        Property(
            "knowledge_space_link",
            IRI,
            "knowledgeSpaceLink",
            description="Persistent link to an encyclopedia entry in the Knowledge Space project.",
            instructions="Enter the internationalized resource identifier (IRI) pointing to the wiki page of the corresponding term in the KnowledgeSpace.",
        ),
        Property(
            "name",
            str,
            "name",
            formatting="text/plain",
            required=True,
            description="Word or phrase that constitutes the distinctive designation of the UBERONParcellation.",
            instructions="Controlled term originating from a defined terminology.",
        ),
        Property(
            "preferred_ontology_identifier",
            IRI,
            "preferredOntologyIdentifier",
            description="Persistent identifier of a preferred ontological term.",
            instructions="Enter the internationalized resource identifier (IRI) pointing to the preferred ontological term.",
        ),
        Property(
            "synonyms",
            str,
            "synonym",
            multiple=True,
            unique_items=True,
            min_items=1,
            formatting="text/plain",
            description="Words or expressions used in the same language that have the same or nearly the same meaning in some or all senses.",
            instructions="Enter one or several synonyms (including abbreviations) for this controlled term.",
        ),
    ]

    def __init__(
        self,
        id=None,
        definition=None,
        description=None,
        interlex_identifier=None,
        knowledge_space_link=None,
        name=None,
        preferred_ontology_identifier=None,
        synonyms=None,
    ):
        return super().__init__(
            id=id,
            definition=definition,
            description=description,
            interlex_identifier=interlex_identifier,
            knowledge_space_link=knowledge_space_link,
            name=name,
            preferred_ontology_identifier=preferred_ontology_identifier,
            synonyms=synonyms,
        )

    @classmethod
    def instances(cls):
        return [value for value in cls.__dict__.values() if isinstance(value, cls)]

    @classmethod
    def by_name(cls, name):
        if cls._instance_lookup is None:
            cls._instance_lookup = {}
            for instance in cls.instances():
                cls._instance_lookup[instance.name] = instance
                if instance.synonyms:
                    for synonym in instance.synonyms:
                        cls._instance_lookup[synonym] = instance
        return cls._instance_lookup[name]


UBERONParcellation.abducens_nucleus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/abducensNucleus",
    definition="'Abducens nucleus' is a cranial nerve nucleus, brainstem nucleus and hindbrain nucleus. It is part of the pons.",
    description="Nucleus located beneath the floor of the 4th ventricle in the pontine tegmentum, containing motor neurons innervating the lateral rectus muscle of the eye (Brodal, Neurological Anatomy, 3rd ed., 1981, pg 533).",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0100175"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002682#abducens-nucleus-1"),
    name="abducens nucleus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002682"),
)
UBERONParcellation.accessory_abducens_nucleus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/accessoryAbducensNucleus",
    definition="'Accessory abducens nucleus' is a nucleus of pontine reticular formation.",
    description="A small cluster of neurons in the pontine reticular formation in some mammals, containing the majority of motoneurons innervating theretractor bulbi muscles of the eye",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0100207"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0035976#accessory-abducens-nucleus"),
    name="accessory abducens nucleus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0035976"),
    synonyms=["ACVI"],
)
UBERONParcellation.accessory_basal_amygdaloid_nucleus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/accessoryBasalAmygdaloidNucleus",
    definition="'Accessory basal amygdaloid nucleus' is a telencephalic nucleus. It is part of the basolateral amygdaloid nuclear complex.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0100209"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002885#accessory-basal-amygdaloid-nucleus-1"),
    name="accessory basal amygdaloid nucleus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002885"),
    synonyms=[
        "ABA",
        "accessory basal nucleus",
        "accessory basal nucleus of amygdala",
        "accessory basal nucleus of the amygdala",
        "basal amygdaloid nucleus",
        "basomedial nucleus (accessory basal nucleus)",
        "basomedial nucleus (De Olmos)",
        "basomedial nucleus (de olmos)",
        "basomedial nucleus of amygdala",
        "basomedial nucleus of the amygdala",
        "medial part",
        "medial principal nucleus",
        "nucleus amygdalae basalis accessorius",
        "nucleus amygdaloideus basalis",
        "nucleus amygdaloideus basomedialis",
        "nucleus basalis accessorius amygdalae",
        "pars medialis",
    ],
)
UBERONParcellation.accessory_cuneate_nucleus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/accessoryCuneateNucleus",
    definition="'Accessory cuneate nucleus' is a nucleus of medulla oblongata.",
    description="The accessory cuneate nucleus is located lateral to the cuneate nucleus in the medulla oblongata at the level of the sensory decussation. It receives input from cervical spinal nerves and transmits that information to the cerebellum. These fibers are called cuneocerebellar fibers. In this function, the accessory cuneate nucleus is comparable to the upper extremity portion of the posterior spinocerebellar tract. [WP,unvetted].",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0100211"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002864#accessory-cuneate-nucleus-1"),
    name="accessory cuneate nucleus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002864"),
    synonyms=[
        "ACu",
        "external cuneate nucleus",
        "external cuneate nucleus (Monakow, Blumenau 1891)",
        "lateral cuneate nucleus",
        "nucleus cuneatis externus",
        "nucleus cuneatus accessorius",
        "nucleus cuneatus lateralis",
        "nucleus funiculi cuneatus externus",
        "nucleus Monakow",
        "nucleus of corpus restiforme",
    ],
)
UBERONParcellation.accessory_medullary_lamina_of_globus_pallidus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/accessoryMedullaryLaminaOfGlobusPallidus",
    definition="'Accessory medullary lamina of globus pallidus' is a white matter lamina of cerebral hemisphere. It is part of the medial globus pallidus.",
    description="Thin bundle of myelinated axons that divides the medial pallidal segment into outer and inner portions (Carpenter, Core Text of Neuroanatomy, 3rd ed., 1985, pg. 303).",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0100214"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002763#accessory-medullary-lamina"),
    name="accessory medullary lamina of globus pallidus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002763"),
    synonyms=[
        "accessory medullar lamina of pallidum",
        "accessory medullary lamina",
        "accessory medullary lamina of corpus striatum",
        "accessory medullary lamina of globus pallidus",
        "accessory medullary lamina of pallidum",
        "accessory medullary lamina pallidus",
        "incomplete medullary lamina of globus pallidus",
        "incomplete medullary lamina of the globus pallidus",
        "lamella pallidi incompleta",
        "lamina medullaris accessoria",
        "lamina medullaris accessoria corporis striati",
        "lamina medullaris incompleta pallidi",
        "lamina pallidi incompleta",
    ],
)
UBERONParcellation.accessory_nerve_fiber_bundle = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/accessoryNerveFiberBundle",
    definition="'Accessory nerve fiber bundle' is a neuron projection bundle and central nervous system cell part cluster. It is part of the medulla oblongata.",
    description="Fibers of the accessory nerve (11th cranial nerve) contained within the medulla",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0100215"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0006117#accessory-nerve-fiber-bundle-1"),
    name="accessory nerve fiber bundle",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0006117"),
    synonyms=[
        "accessory nerve fiber bundle",
        "accessory nerve fibers",
        "accessory nerve tract",
        "eleventh cranial nerve fibers",
        "fibrae nervi accessorius",
    ],
)
UBERONParcellation.accessory_nerve_root = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/accessoryNerveRoot",
    definition="A nerve root that is part of a accessory XI nerve.",
    description="'Accessory nerve root' is a nerve root.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0723817"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0014615#accessory-nerve-root-1"),
    name="accessory nerve root",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0014615"),
)
UBERONParcellation.accessory_olfactory_bulb = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/accessoryOlfactoryBulb",
    definition="Is a regional part of brain. Is part of the olfactory bulb. [auto-generated from properties of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0004069) ('is_a' and 'relationship')]",
    description="The forebrain region that coordinates sensory signaling arising from the vomeronasal organ; it is located on the dorsal-posterior portion of the main olfactory bulb, and the axons that leave the accessory olfactory bulb project to targets in the amygdala and hypothalamus. [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0004069)]",
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0004069#accessory-olfactory-bulb"),
    name="accessory olfactory bulb",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0004069"),
    synonyms=["accessory (vomeronasal) bulb", "olfactory bulb accessory nucleus"],
)
UBERONParcellation.accessory_optic_tract = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/accessoryOpticTract",
    definition="Is a tract of diencephalon. Is part of the optic tract. [auto-generated from properties of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0035595) ('is_a' and 'relationship')]",
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0035595#accessory-optic-tract"),
    name="accessory optic tract",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0035595"),
)
UBERONParcellation.adenohypophysis = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/adenohypophysis",
    definition="'Adenohypophysis' is part of the pituitary gland.",
    description="The adenohypophysis, which consists of the anterior and intermediate lobes of the pituitary gland, contains several types of endocrine cells, which secrete systemic hormones such as adenocorticotropic hormone (ACTH), GH, LH/FSH, TSH and prolactin in response to hypothalamus-derived releasing hormones (PMID:     22080957).",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0100315"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002196#adenohypophysis-1"),
    name="adenohypophysis",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002196"),
    synonyms=[
        "AHP",
        "anterior hypophysis",
        "anterior lobe",
        "anterior lobe (hypophysis)",
        "anterior lobe of hypophysis",
        "anterior lobe of pituitary",
        "anterior lobe of pituitary gland",
        "anterior lobe of the pituitary",
        "anterior pituitary",
        "anterior pituitary gland",
        "cranial lobe",
        "lobus anterior",
        "lobus anterior (glandula pituitaria)",
        "lobus anterior hypophysis",
        "pituitary anterior lobe",
        "pituitary gland",
        "pituitary glandanterior lobe",
        "rostral lobe",
    ],
)
UBERONParcellation.aggregate_regional_part_of_brain = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/aggregateRegionalPartOfBrain",
    definition="'Aggregate regional part of brain' is an anatomical entity. It is part of the brain.",
    description="A regional part of brain consisting of multiple brain regions that are not related through a simple volummetric part of hierarchy, e.g., basal ganglia.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0100410"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0010009#aggregate-regional-part-of-brain-1"),
    name="aggregate regional part of brain",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0010009"),
    synonyms=["set of nuclei of neuraxis"],
)
UBERONParcellation.alar_central_lobule = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/alarCentralLobule",
    definition="Is a cerebellum hemisphere lobule. [auto-generated from 'is_a' property of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0003013)]",
    description="The lobulus centralis is a small square lobule, situated in the anterior cerebellar notch. It overlaps the lingula, from which it is separated by the precentral fissure; laterally, it extends along the upper and anterior part of each hemisphere, where it forms a wing-like prolongation, the alar central lobule. [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0003013)]",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0100438"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0003013#alar-central-lobule-1"),
    name="alar central lobule",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0003013"),
    synonyms=["ala centralis", "alae of central lobule", "lobules II, III of vermis"],
)
UBERONParcellation.allocortex = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/allocortex",
    definition="'Allocortex' is a regional part of brain. It is part of the cerebral cortex.",
    description="One of two types of cerebral cortex defined on the basis of cytoarchitecture and fetal development. The other is neocortex. Allocortex does not pass through a prenatal phase of six-layered structure and has three or four layers in the mature brain ( Schiebler-1999 ). Allocortex has three subtypes: paleocortex, archicortex and periallocortex. This definition differs from that in some older sources, which excluded the olfactory bulb and the accessory olfactory bulb ( Carpenter-1983 ).",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0100473"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0014734#allocortex"),
    name="allocortex",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0014734"),
    synonyms=[
        "allocortex (Stephan)",
        "heterogenetic cortex",
        "heterogenetic formations",
        "intercalated nucleus of the medulla",
        "nucleus intercalatus (staderini)",
        "transitional cortex",
    ],
)
UBERONParcellation.amiculum_of_dentate_nucleus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/amiculumOfDentateNucleus",
    definition="'Amiculum of dentate nucleus' is a white matter of metencephalon and amiculum. It is part of the dentate nucleus.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0100532"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002568#amiculum-of-dentate-nucleus-1"),
    name="amiculum of dentate nucleus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002568"),
    synonyms=["amdt", "amiculum nuclei dentati", "amiculum of the dentate nucleus", "dentate nuclear amiculum"],
)
UBERONParcellation.ammons_horn = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/ammonsHorn",
    definition="'Ammon's horn' is a regional part of brain. It is part of the limbic system, hippocampal formation and limbic lobe.",
    description="A part of the hippocampal formation consisting of a three layered cortex located in the forebrain bordered by the medial surface of the lateral ventricle, the dentate gyrus and the subiculum.  It has 3 subfields termed CA1, CA2 and CA3. The term hippocampus is often used synonymously with  hippocampal formation which consists of the hippocampus proper or Cornu Ammonis, the dentate gyrus and the subiculum.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0105021"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0001954#hippocampus"),
    name="Ammon's horn",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0001954"),
    synonyms=[
        "ammon gyrus",
        "ammon horn",
        "Ammon horn fields",
        "Ammon's horn",
        "Ammons horn",
        "cornu ammonis",
        "Hip",
        "hippocampus",
        "hippocampus major",
        "hippocampus proper",
        "hippocampus proprius",
    ],
)
UBERONParcellation.amygdala = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/amygdala",
    definition="'Amygdala' is a basal ganglion and cerebral hemisphere gray matter. It is part of the limbic system and temporal lobe.",
    description="Subcortical brain region lying anterior to the hippocampal formation in the temporal lobe and anterior to the temporal horn of the lateral ventricle in some species.  It is usually subdivided into several groups.  Functionally, it is not considered a unitary structure (MM).",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0100573"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0001876#amygdala-1"),
    name="amygdala",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0001876"),
    synonyms=[
        "amygdaloid area",
        "amygdaloid body",
        "amygdaloid complex",
        "amygdaloid nuclear complex",
        "amygdaloid nuclear group",
        "amygdaloid nuclear groups",
        "amygdaloid nucleus",
        "archistriatum",
        "Archistriatum",
        "corpus amygdalae",
        "corpus amygdaloideum",
        "nucleus amygdalae",
    ],
)
UBERONParcellation.angular_gyrus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/angularGyrus",
    definition="'Angular gyrus' is a gyrus. It is part of the parietal lobe.",
    description="Part of inferior parietal lobule formed by the cortex surrounding the upturned end of the superior temporal sulcus (Nolte, The Human Brain, 6th ed, 2009, pg 659)",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0100627"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002686#angular-gyrus-1"),
    name="angular gyrus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002686"),
    synonyms=[
        "AG",
        "gyrus angularis",
        "gyrus parietalis inferior",
        "middle part of inferior parietal lobule",
        "prelunate gyrus",
        "preoccipital gyrus",
    ],
)
UBERONParcellation.annectant_gyrus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/annectantGyrus",
    definition="'Annectant gyrus' is an occipital gyrus.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0100647"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0026137#annectant-gyrus-1"),
    name="annectant gyrus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0026137"),
    synonyms=["annectant gyrus"],
)
UBERONParcellation.ansa_lenticularis = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/ansaLenticularis",
    definition="'Ansa lenticularis' is a diencephalic white matter. It is part of the ventral thalamus.",
    description="White matter bundle containing part of the projection of the globus pallidus to the thalamus, forming a compact, conspicuous bundle running beneath the internal capsule and hooking around its medial edge (Nolte, The Human Brain, 6th ed., 2009, pg 659)",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0100654"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0009641#ansa-lenticularis-1"),
    name="ansa lenticularis",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0009641"),
    synonyms=[
        "al",
        "ansa lenticularis in thalamo",
        "ansa lenticularis in thalamus",
        "ventral peduncle of lateral forebrain bundle",
    ],
)
UBERONParcellation.ansiform_lobule = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/ansiformLobule",
    definition="Is a cerebellum hemisphere lobule. [auto-generated from 'is_a' property of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0005348)]",
    description="A lobule comprising the greater part of the hemisphere of the cerebellum; its superior and inferior surfaces are separated by the horizontal fissure into major parts known as crus I (superior semilunar lobule) and crus II (inferior semilunar lobule). [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0005348)]",
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0005348#ansiform-lobule"),
    name="ansiform lobule",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0005348"),
    synonyms=[
        "ansiform lobule of cerebellum",
        "ansiform lobule of cerebellum [hVIIa]",
        "lobuli semilunares cerebelli",
        "lobulus ansiformis cerebelli",
        "lobulus ansiformis cerebelli [h vii a]",
        "semilunar lobules of cerebellum",
    ],
)
UBERONParcellation.ansiform_lobule_crus_i = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/ansiformLobuleCrusI",
    definition="Is an ansiform lobule and hemisphere part of cerebellar posterior lobe. [auto-generated from 'is_a' property of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0005976)]",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0104941"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0005976#hemispheric-lobule-viia"),
    name="ansiform lobule crus I",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0005976"),
    synonyms=[
        "crus I of the ansiform lobule (HVII)",
        "crus primum lobuli ansiformis cerebelli [h vii a]",
        "first crus of ansiform lobule of cerebellum [hVIIa]",
        "hemispheric lobule VIIA",
        "lobulus ansiform crus I",
        "lobulus semilunaris superior",
        "lobulus semilunaris superior cerebelli",
        "posterior superior lobule",
        "semilunar lobule-2 (superior)",
        "superior semilunar lobule",
        "superior semilunar lobule of cerebellum",
    ],
)
UBERONParcellation.ansiform_lobule_crus_ii = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/ansiformLobuleCrusII",
    definition="Is an ansiform lobule and hemisphere part of cerebellar posterior lobe. [auto-generated from 'is_a' property of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0005977)]",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0104942"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0005977#ansiform-lobule-crus-ii"),
    name="ansiform lobule crus II",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0005977"),
    synonyms=[
        "crus II of the ansiform lobule (HVII)",
        "crus secundum lobuli ansiformis cerebelli [hVII A]",
        "hemispheric lobule VIIBi",
        "inferior semilunar lobule",
        "inferior semilunar lobule of cerebellum",
        "lobulus ansiform crus II",
        "lobulus semilunaris inferior",
        "lobulus semilunaris inferior cerebelli",
        "posterior inferior lobule",
        "second crus of ansiform lobule of cerebellum [hVIIa]",
        "semilunar lobule-2 (inferior)",
    ],
)
UBERONParcellation.anterior_amygdaloid_area = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/anteriorAmygdaloidArea",
    definition="'Anterior amygdaloid area' is a cerebral hemisphere gray matter. It is part of the corticomedial nuclear complex.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0100670"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002890#anterior-amygdaloid-area-1"),
    name="anterior amygdaloid area",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002890"),
    synonyms=[
        "AA",
        "anterior amygaloid area",
        "anterior amygdalar area",
        "anterior cortical nucleus",
        "area amydaliformis anterior",
        "area amygdaloidea anterior",
        "area anterior amygdalae",
    ],
)
UBERONParcellation.anterior_calcarine_sulcus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/anteriorCalcarineSulcus",
    description="'Anterior calcarine sulcus' is a sulcus of brain.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0100672"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002582#anterior-calcarine-sulcus-1"),
    name="anterior calcarine sulcus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002582"),
)
UBERONParcellation.anterior_cerebral_vein = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/anteriorCerebralVein",
    definition="Is a cerebral vein. [auto-generated from 'is_a' property of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0001672)]",
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0001672#anterior-cerebral-vein"),
    name="anterior cerebral vein",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0001672"),
)
UBERONParcellation.anterior_cingulate_cortex = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/anteriorCingulateCortex",
    definition="'Anterior cingulate cortex' is a regional part of brain. It is part of the cingulate cortex.",
    description="The frontal part of the cingulate cortex that resembles a collar form around the corpus callosum. It includes both the ventral and dorsal areas of the cingulate cortex. http://en.wikipedia.org/wiki/File:Gray727.svg",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0100689"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0009835#anterior-cingulate-cortex"),
    name="anterior cingulate cortex",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0009835"),
    synonyms=["ACC", "anterior cingulate"],
)
UBERONParcellation.anterior_cingulate_gyrus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/anteriorCingulateGyrus",
    definition="'Anterior cingulate gyrus' is a gyrus. It is part of the cingulate gyrus and anterior cingulate cortex.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0100690"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002756#anterior-cingulate-gyrus-1"),
    name="anterior cingulate gyrus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002756"),
    synonyms=[
        "ACG",
        "anterior cingulate",
        "anterior division",
        "cGa",
        "cingulate gyrus",
        "cortex cingularis anterior",
        "gyrus cinguli anterior",
        "gyrus limbicus anterior",
    ],
)
UBERONParcellation.anterior_column_of_fornix = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/anteriorColumnOfFornix",
    definition="'Anterior column of fornix' is a cerebral hemisphere white matter. It is part of the fornix of brain.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0100691"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002940#anterior-column-of-fornix-1"),
    name="anterior column of fornix",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002940"),
    synonyms=[
        "anterior column of fornix",
        "anterior crus of fornix",
        "anterior pillar of fornix",
        "columna fornicis anterior",
        "crus anterius",
        "fornix",
    ],
)
UBERONParcellation.anterior_commissure = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/anteriorCommissure",
    definition="Is an intercerebral commissure and ventral commissure. [auto-generated from 'is_a' property of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0000935)]",
    description="A bundle of myelinated nerve fibers passing transversely through the lamina terminalis and connecting symmetrical parts of the two cerebral hemispheres; it consists of a smaller anterior part (pars anterior commissurae anterioris) and a larger posterior part (pars posterior commissurae anterioris). [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0000935)]",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0100692"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0000935#anterior-commissure-1"),
    name="anterior commissure",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0000935"),
    synonyms=["anterior cerebral commissure", "commissura anterior cerebri", "commissura rostralis"],
)
UBERONParcellation.anterior_commissure_anterior_part = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/anteriorCommissureAnteriorPart",
    definition="Is a commissure of telencephalon. Is part of the anterior commissure. [auto-generated from properties of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0003039) ('is_a' and 'relationship')]",
    description="The horseshoe-shaped tract that connects the two olfactory bulbs. [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0003039)]",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0100693"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0003039#anterior-commissure-anterior-part-1"),
    name="anterior commissure anterior part",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0003039"),
    synonyms=[
        "anterior commissure pars anterior",
        "anterior commissure, anterior part",
        "anterior part of anterior commissure",
        "commissura anterior, crus anterius",
        "commissura anterior, pars anterior",
        "commissura anterior, pars olfactoria",
        "commissura rostralis, pars anterior",
        "olfactory limb of anterior commissure",
        "olfactory part of anterior commissure",
        "pars anterior commissurae anterioris",
        "pars olfactoria commissurae anterioris",
    ],
)
UBERONParcellation.anterior_horn_of_lateral_ventricle = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/anteriorHornOfLateralVentricle",
    definition="Is a telencephalic ventricle. [auto-generated from 'is_a' property of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0002651)]",
    description="Part of the lateral ventricle that extends anteriorly into the frontal lobes, bordered by the head of the caudate nucleus on the lateral side (Adapted from Heimer, 1996) [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0002651)]",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0100702"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002651#anterior-horn-of-lateral-ventricle-1"),
    name="anterior horn of lateral ventricle",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002651"),
    synonyms=[
        "cornu anterius (ventriculi lateralis)",
        "cornu anterius ventriculi lateralis",
        "cornu frontale (ventriculi lateralis)",
        "cornu frontale ventriculi lateralis",
        "frontal horn of lateral ventricle",
        "ventriculus lateralis, cornu anterius",
    ],
)
UBERONParcellation.anterior_hypothalamic_commissure = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/anteriorHypothalamicCommissure",
    definition="Is a commissure of diencephalon. [auto-generated from 'is_a' property of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0002694)]",
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002694#anterior-hypothalamic-commissure-1"),
    name="anterior hypothalamic commissure",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002694"),
    synonyms=["anterior hypothalamic commissure (Ganser)", "anterior hypothalamic decussation of Ganser"],
)
UBERONParcellation.anterior_hypothalamic_region = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/anteriorHypothalamicRegion",
    definition="'Anterior hypothalamic region' is a regional part of brain. It is part of the hypothalamus.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0100710"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002550#anterior-hypothalamic-region-1"),
    name="anterior hypothalamic region",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002550"),
    synonyms=["AHR", "anterior hypothalamic area", "anterior hypothalamus", "chiasmal zone", "preoptic division"],
)
UBERONParcellation.anterior_limb_of_internal_capsule = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/anteriorLimbOfInternalCapsule",
    definition="'Anterior limb of internal capsule' is a limb of internal capsule of telencephalon.",
    description="Portion of internal capsule lying between the lenticular nucleus and the head of the caudate nucleus.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0100712"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0014526#anterior-limb-of-internal-capsule-1"),
    name="anterior limb of internal capsule",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0014526"),
    synonyms=[
        "anterior internal capsule",
        "anterior limb",
        "capsula interna",
        "crus anterius capsulae internae",
        "pars anterior",
    ],
)
UBERONParcellation.anterior_lobe_of_cerebellum = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/anteriorLobeOfCerebellum",
    definition="Is a cerebellum lobe. [auto-generated from 'is_a' property of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0002131)]",
    description="The region of the cerebellum that is anterior to the primary fissure. [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0002131)]",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0100713"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002131#anterior-lobe-of-cerebellum"),
    name="anterior lobe of cerebellum",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002131"),
    synonyms=[
        "anterior cerebellar lobe",
        "anterior lobe of the cerebellum",
        "cerebellar anterior lobe",
        "cerebellum anterior lobe",
    ],
)
UBERONParcellation.anterior_median_eminence = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/anteriorMedianEminence",
    definition="'Anterior median eminence' is a regional part of brain. It is part of the median eminence of neurohypophysis.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0100714"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002648#anterior-median-eminence-1"),
    name="anterior median eminence",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002648"),
    synonyms=["AME", "eminentia mediana anterior"],
)
UBERONParcellation.anterior_median_oculomotor_nucleus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/anteriorMedianOculomotorNucleus",
    definition="'Anterior median oculomotor nucleus' is a brainstem nucleus and midbrain nucleus. It is part of the oculomotor nuclear complex.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0100716"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002701#anterior-median-oculomotor-nucleus-1"),
    name="anterior median oculomotor nucleus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002701"),
    synonyms=[
        "AM3",
        "anterior medial visceral nucleus",
        "anterior median nucleus of oculomotor nerve",
        "anterior median nucleus of oculomotor nuclear complex",
        "nucleus anteromedialis",
        "nucleus nervi oculomotorii medianus anterior",
        "nucleus visceralis anteromedialis",
        "ventral medial nucleus of oculomotor nerve",
        "ventral medial visceral nucleus",
    ],
)
UBERONParcellation.anterior_mesencephalic_central_artery = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/anteriorMesencephalicCentralArtery",
    definition="Is a central artery. [auto-generated from 'is_a' property of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_2005052)]",
    description="Arteries that irrigate rostral regions of the midbrain. They extend between the Basial communicating artery to the anterior cerebral vein. Isogai et al. 2001. [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_2005052)]",
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:2005052#anterior-mesencephalic-central-artery"),
    name="anterior mesencephalic central artery",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_2005052"),
    synonyms=["AMCtA", "rostral mesencephalic central artery"],
)
UBERONParcellation.anterior_nuclear_group = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/anteriorNuclearGroup",
    definition="'Anterior nuclear group' is a nucleus of dorsal thalamus.",
    description="Mostly gray regional part of anterior thalamic region, consisting of the anterior medial, anterior dorsal and anterior lateral thalamic nuclei in primates.  In rodents, it consists of anterior medial and anterior ventral divisions, with several subdivisions of each, according to Paxinos (MM: 2006-10-26)",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0100718"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002788#anterior-nuclear-group-1"),
    name="anterior nuclear group",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002788"),
    synonyms=[
        "ANG",
        "anterior group of thalamus",
        "anterior group of the dorsal thalamus",
        "anterior nuclear group",
        "anterior nuclear group of thalamus",
        "anterior nuclear group of the thalamus",
        "anterior nuclei of thalamus",
        "anterior nucleus of thalamus",
        "anterior thalamic group",
        "anterior thalamic nuclear group",
        "anterior thalamic nuclei",
        "anterior thalamic nucleus",
        "anterior thalamus",
        "dorsal thalamus anterior division",
        "nuclei anterior thalami",
        "nuclei anteriores (thalami)",
        "nuclei anteriores thalami",
        "nuclei thalamicus anterior",
        "nucleus anterior thalami",
        "nucleus thalamicus anterior",
        "rostral thalamic nucleus",
    ],
)
UBERONParcellation.anterior_nucleus_of_hypothalamus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/anteriorNucleusOfHypothalamus",
    definition="'Anterior nucleus of hypothalamus' is a preoptic nucleus.",
    description="A loose heterogeneous collection of cells in the anterior hypothalamus, continuous rostrally with the medial and lateral preoptic areas and caudally with the tuber cinereum",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0100719"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002634#anterior-nucleus-of-hypothalamus-1"),
    name="anterior nucleus of hypothalamus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002634"),
    synonyms=[
        "AH",
        "anterior hypothalamic area",
        "anterior hypothalamic area anterior part",
        "anterior hypothalamic nucleus",
        "anterior nucleus of the hypothalamus",
        "anterior part",
        "area hypothalamica rostralis",
        "fundamental gray substance",
        "nucleus anterior hypothalami",
        "nucleus hypothalamicus anterior",
        "parvocellular nucleus of hypothalamus",
    ],
)
UBERONParcellation.anterior_nucleus_of_hypothalamus_central_part = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/anteriorNucleusOfHypothalamusCentralPart",
    definition="'Anterior nucleus of hypothalamus central part' is a regional part of brain. It is part of the anterior nucleus of hypothalamus.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0100720"),
    knowledge_space_link=IRI(
        "https://knowledge-space.org/wiki/UBERON:0014590#anterior-nucleus-of-hypothalamus-central-part-1"
    ),
    name="anterior nucleus of hypothalamus central part",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0014590"),
    synonyms=[
        "AHNc",
        "anterior hypothalamic area",
        "anterior hypothalamic area central part",
        "anterior hypothalamic central part",
        "anterior hypothalamic nucleus",
        "anterior hypothalamic nucleus central part",
        "anterior nucleus of hypothalamus central part",
        "central part",
    ],
)
UBERONParcellation.anterior_nucleus_of_hypothalamus_dorsal_part = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/anteriorNucleusOfHypothalamusDorsalPart",
    definition="'Anterior nucleus of hypothalamus dorsal part' is a regional part of brain. It is part of the anterior nucleus of hypothalamus.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0100721"),
    knowledge_space_link=IRI(
        "https://knowledge-space.org/wiki/UBERON:0014592#anterior-nucleus-of-hypothalamus-dorsal-part-1"
    ),
    name="anterior nucleus of hypothalamus dorsal part",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0014592"),
    synonyms=[
        "AHNd",
        "anterior hypothalamic dorsal part",
        "anterior hypothalamic nucleus",
        "anterior hypothalamic nucleus dorsal part",
        "anterior nucleus of hypothalamus dorsal part",
        "dorsal part",
    ],
)
UBERONParcellation.anterior_nucleus_of_hypothalamus_posterior_part = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/anteriorNucleusOfHypothalamusPosteriorPart",
    definition="'Anterior nucleus of hypothalamus posterior part' is a regional part of brain. It is part of the anterior nucleus of hypothalamus.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0100722"),
    knowledge_space_link=IRI(
        "https://knowledge-space.org/wiki/UBERON:0014591#anterior-nucleus-of-hypothalamus-posterior-part-1"
    ),
    name="anterior nucleus of hypothalamus posterior part",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0014591"),
    synonyms=[
        "AHNp",
        "anterior hypothalamic nucleus",
        "anterior hypothalamic nucleus posterior part",
        "anterior hypothalamic posterior part",
        "anterior nucleus of hypothalamus posterior part",
        "posterior part",
    ],
)
UBERONParcellation.anterior_olfactory_nucleus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/anteriorOlfactoryNucleus",
    definition="'Anterior olfactory nucleus' is a telencephalic nucleus. It is part of the olfactory cortex.",
    description="Laminated structure lying caudal to the olfactory bulb.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0100724"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002266#anterior-olfactory-nucleus-1"),
    name="anterior olfactory nucleus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002266"),
)
UBERONParcellation.anterior_parietooccipital_sulcus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/anteriorParietooccipitalSulcus",
    definition="'Anterior parieto-occipital sulcus' is a sulcus of brain. It is part of the parieto-occipital sulcus.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0100736"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0025829#anterior-parieto-occipital-sulcus-1"),
    name="anterior parieto-occipital sulcus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0025829"),
)
UBERONParcellation.anterior_perforated_substance = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/anteriorPerforatedSubstance",
    definition="'Anterior perforated substance' is a regional part of brain. It is part of the telencephalon.",
    description="Regional part of telencephalon lying on the basal surface and bounded by the olfactory trigone rostrally, the diagonal band medially and caudally and the prepiriform cortex laterally.  It is characterized by many perforations caused by small blood vessels entering the gray matter (Meyer et al., J. Comp. Neurol 284: 405, 1989).",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0100738"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0018141#anterior-perforated-substance-1"),
    name="anterior perforated substance",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0018141"),
    synonyms=[
        "anterior perforated area",
        "anterior perforated space",
        "area olfactoria (Mai)",
        "eminentia parolfactoria",
        "olfactory area (Carpenter)",
        "olfactory area (Mai)",
        "olfactory tubercle",
        "olfactory tubercle (Ganser)",
        "rostral perforated substance",
        "substantia perforata anterior",
        "tuber olfactorium",
    ],
)
UBERONParcellation.anterior_pretectal_nucleus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/anteriorPretectalNucleus",
    definition="'Anterior pretectal nucleus' is a nucleus of midbrain tectum and pretectal nucleus.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0100741"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0034918#anterior-pretectal-nucleus-1"),
    name="anterior pretectal nucleus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0034918"),
    synonyms=["anterior (ventral /principal) pretectal nucleus", "anterior pretectal nucleus"],
)
UBERONParcellation.anterior_quadrangular_lobule = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/anteriorQuadrangularLobule",
    definition="Is a cerebellum hemisphere lobule. [auto-generated from 'is_a' property of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0003015)]",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0100743"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0003015#anterior-quadrangular-lobule-1"),
    name="anterior quadrangular lobule",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0003015"),
    synonyms=[
        "anterior crescentic lobule of cerebellum",
        "anterior quadrangular lobule of cerebellum",
        "anterior quadrangular lobule of cerebellum [H IV et V]",
        "anterior semilunar lobule",
        "lobulus quadrangularis (pars rostralis)",
        "lobulus quadrangularis anterior cerebelli [h iv et v]",
        "semilunar lobule-1 (anterior)",
    ],
)
UBERONParcellation.anterior_segment_of_paracentral_lobule = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/anteriorSegmentOfParacentralLobule",
    definition="Is a regional part of brain. Is part of the frontal lobe and the paracentral lobule. [auto-generated from properties of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0035932) ('is_a' and 'relationship')]",
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0035932#anterior-segment-of-paracentral-lobule"),
    name="anterior segment of paracentral lobule",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0035932"),
    synonyms=[
        "anterior part of paracentral lobule",
        "medial segment of precentral gyrus",
        "paracentral lobule, anterior part",
    ],
)
UBERONParcellation.anterior_spinocerebellar_tract = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/anteriorSpinocerebellarTract",
    definition="Is a tract of brain. Is part of the medulla oblongata and the spinocerebellar tract. [auto-generated from properties of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0002987) ('is_a' and 'relationship')]",
    description="Runs through the ventrolateral surface of the spinal cord. It enters the cerebellum through the superior cerebellar peduncle. It crosses the midline at the segmental level and recrosses in the cerebellum. Its terminals are distributed in the cerebellar anterior lobe, preferentially in the ipsilateral intermediate cortex. Rostrally, it extends to lobule II. [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0002987)]",
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002987#anterior-spinocerebellar-tract-1"),
    name="anterior spinocerebellar tract",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002987"),
    synonyms=["Gower's tract", "Gowers' tract", "ventral spinocerebellar tract"],
)
UBERONParcellation.anterior_thalamic_radiation = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/anteriorThalamicRadiation",
    definition="The 'anterior thalamic radiation' is a white matter fibre bundle. It is part of the thalamic complex.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0728673"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0034746#anterior-thalamic-radiation"),
    name="anterior thalamic radiation",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0034746"),
    synonyms=[
        "anterior radiation of thalamus",
        "athf",
        "radiatio thalami anterior",
        "radiationes thalamicae anteriores",
    ],
)
UBERONParcellation.anterior_transverse_temporal_gyrus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/anteriorTransverseTemporalGyrus",
    definition="'Anterior transverse temporal gyrus' is a transverse gyrus of Heschl.",
    description="The transverse temporal gyri (also called Heschl's gyri or Heschl's convolutions) are found in the area of primary auditory cortex in the superior temporal gyrus of the human brain, occupying Brodmann areas 41 and 42. It is the first cortical structure to process incoming auditory information. Anatomically, the transverse temporal gyri are distinct in that they run mediolaterally (towards the center of the brain) rather than dorsiventrally (front to back) as all other temporal lobe gyri run. The Heschl's gyri are named after Richard L. Heschl.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0100750"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002773#anterior-transverse-temporal-gyrus-1"),
    name="anterior transverse temporal gyrus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002773"),
    synonyms=[
        "anterior transverse convolution of Heschl",
        "anterior transverse convolution of heschl",
        "anterior transverse temporal convolution of heschl",
        "Anterior transverse temporal convolution of Heschl",
        "first transverse gyrus of Heschl",
        "First transverse gyrus of Heschl",
        "great transverse gyrus of Heschl",
        "Great transverse gyrus of Heschl",
        "gyrus temporalis transversus anterior",
        "gyrus temporalis transversus primus",
    ],
)
UBERONParcellation.anterodorsal_nucleus_of_medial_geniculate_body = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/anterodorsalNucleusOfMedialGeniculateBody",
    definition="'Anterodorsal nucleus of medial geniculate body' is a nucleus of dorsal thalamus. It is part of the medial geniculate body.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0100757"),
    knowledge_space_link=IRI(
        "https://knowledge-space.org/wiki/UBERON:0014521#anterodorsal-nucleus-of-medial-geniculate-body-1"
    ),
    name="anterodorsal nucleus of medial geniculate body",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0014521"),
    synonyms=[
        "ADMG",
        "anterodorsal nucleus of medial geniculate complex",
        "anterodorsal nucleus of the medial geniculate body",
        "nucleus corporis geniculati medialis",
        "pars anterodorsalis",
    ],
)
UBERONParcellation.anterodorsal_nucleus_of_thalamus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/anterodorsalNucleusOfThalamus",
    definition="'Anterodorsal nucleus of thalamus' is a nucleus of dorsal thalamus. It is part of the anterior nuclear group.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0100755"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002679#anterodorsal-nucleus"),
    name="anterodorsal nucleus of thalamus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002679"),
    synonyms=[
        "AD",
        "anterior dorsal thalamic nucleus",
        "anterodorsal nucleus",
        "anterodorsal nucleus of thalamus",
        "anterodorsal nucleus of the thalamus",
        "anterodorsal thalamic nucleus",
        "nucleus anterior dorsalis",
        "nucleus anterior dorsalis thalami",
        "nucleus anterior thalami dorsalis",
        "nucleus anterodorsalis",
        "nucleus anterodorsalis (Hassler)",
        "nucleus anterodorsalis of thalamus",
        "nucleus anterodorsalis thalami",
        "nucleus anterosuperior",
        "nucleus thalamicus anterodorsalis",
    ],
)
UBERONParcellation.anteromedial_nucleus_of_thalamus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/anteromedialNucleusOfThalamus",
    definition="'Anteromedial nucleus of thalamus' is a nucleus of dorsal thalamus. It is part of the anterior nuclear group.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0100768"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002681#anteromedial-nucleus"),
    name="anteromedial nucleus of thalamus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002681"),
    synonyms=[
        "AM",
        "anteromedial nucleus",
        "anteromedial nucleus of thalamus",
        "anteromedial nucleus of the thalamus",
        "anteromedial thalamic nucleus",
        "nucleus anterior medialis",
        "nucleus anterior medialis thalami",
        "nucleus anterior thalami medialis",
        "nucleus anteromedialis",
        "nucleus anteromedialis (Hassler)",
        "nucleus anteromedialis thalami",
        "nucleus thalamicus anteromedialis",
    ],
)
UBERONParcellation.anteroventral_cochlear_nucleus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/anteroventralCochlearNucleus",
    definition="'Anteroventral cochlear nucleus' is a cochlear nucleus. It is part of the ventral cochlear nucleus.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0100778"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002830#anteroventral-cochlear-nucleus-1"),
    name="anteroventral cochlear nucleus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002830"),
    synonyms=[
        "anterior part",
        "anterior part of anterior cochlear nucleus",
        "anterior part of the ventral cochlear nucleus",
        "anterior ventral cochlear nucleus",
        "anteroventral auditory nucleus",
        "AVCo",
        "nucleus cochlearis anteroventralis",
        "nucleus magnocellularis",
        "ventral cochlear nucleus",
        "ventral coclear nucleus anterior part",
    ],
)
UBERONParcellation.anteroventral_nucleus_of_thalamus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/anteroventralNucleusOfThalamus",
    definition="'Anteroventral nucleus of thalamus' is a nucleus of dorsal thalamus. It is part of the anterior nuclear group.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0100779"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002685#anteroventral-nucleus"),
    name="anteroventral nucleus of thalamus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002685"),
    synonyms=[
        "anterior ventral nucleus of thalamus",
        "anteroprincipal thalamic nucleus",
        "anteroventral nucleus",
        "anteroventral nucleus of thalamus",
        "anteroventral nucleus of the thalamus",
        "anteroventral thalamic nucleus",
        "AV",
        "nucleus anterior principalis (Hassler)",
        "nucleus anterior thalami ventralis",
        "nucleus anterior ventralis",
        "nucleus anteroinferior",
        "nucleus anteroventralis",
        "nucleus anteroventralis thalami",
        "nucleus thalamicus anteroprincipalis",
        "nucleus thalamicus anteroventralis",
        "ventral anterior nucleus of the thalamus",
        "ventroanterior nucleus",
    ],
)
UBERONParcellation.anteroventral_preoptic_nucleus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/anteroventralPreopticNucleus",
    definition="'Anteroventral preoptic nucleus' is a preoptic nucleus.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0100783"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0035974#anteroventral-preoptic-nucleus"),
    name="anteroventral preoptic nucleus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0035974"),
    synonyms=["anteroventral preoptic nuclei", "AVP"],
)
UBERONParcellation.arachnoid_barrier_layer = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/arachnoidBarrierLayer",
    definition="Is part of the endothelial blood brain barrier and the arachnoid mater. [auto-generated from 'relationship' property of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0000437)]",
    description="The arachnoid barrier layer is a part of the arachnoid meningeal layer. It is formed by tight junctions between the endothelial cells of cerebral capillaries in the arachnoid mater. [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0000437)]",
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0000437#arachnoid-barrier-layer"),
    name="arachnoid barrier layer",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0000437"),
)
UBERONParcellation.arcopallium = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/arcopallium",
    definition="'Arcopallium' is a regional part of brain. It is part of the pallium.",
    description="A pallial region found in avias that partially overlap regions homologous to the amygdala of mammals.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0100877"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0007350#arcopallium"),
    name="arcopallium",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0007350"),
    synonyms=["A", "amygdaloid complex", "arched pallium", "archistriatum", "Arcopallium", "epistriatum"],
)
UBERONParcellation.arcuate_fasciculus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/arcuateFasciculus",
    definition="",
    description="The 'arcuate fasciculus' is a white matter fibre bundle connecting the posterior part of the temporoparietal junction with the frontal cortex in the brain. It is is a cerebral nerve fasciculus.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0731407"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0035937#arcuate-fasciculus"),
    name="arcuate fasciculus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0035937"),
    synonyms=[
        "AF",
        "arcuate fascicle",
        "ARF",
        "cerebral arcuate fasciculus",
        "fasciculus arcuatus",
        "fibrae arcuatae cerebri",
    ],
)
UBERONParcellation.arcuate_nucleus_of_hypothalamus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/arcuateNucleusOfHypothalamus",
    definition="'Arcuate nucleus of hypothalamus' is a hypothalamic nucleus. It is part of the periventricular zone of hypothalamus and intermediate hypothalamic region.",
    description="The arcuate nucleus (or infundibular nucleus) is an aggregation of neurons in the mediobasal hypothalamus, adjacent to the third ventricle and the median eminence. The arcuate nucleus includes several important populations of neurons, including: Neuroendocrine neurons, Centrally-projecting neurons and Others. [WP,unvetted].",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0100881"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0001932#arcuate-nucleus-of-hypothalamus-1"),
    name="arcuate nucleus of hypothalamus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0001932"),
    synonyms=[
        "ArcH",
        "arcuate hypothalamic nucleus",
        "arcuate nucleus",
        "arcuate nucleus of the hypothalamus",
        "arcuate nucleus-2",
        "arcuate periventricular nucleus",
        "infundibular hypothalamic nucleus",
        "infundibular nucleus",
        "infundibular periventricular nucleus",
        "nucleus arcuatus",
        "nucleus arcuatus (hypothalamus)",
        "nucleus arcuatus hypothalami",
        "nucleus infundibularis",
        "nucleus infundibularis hypothalami",
        "nucleus semilunaris",
    ],
)
UBERONParcellation.arcuate_nucleus_of_medulla = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/arcuateNucleusOfMedulla",
    definition="'Arcuate nucleus of medulla' is a nucleus of medulla oblongata.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0100882"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002865#arcuate-nucleus-of-medulla-1"),
    name="arcuate nucleus of medulla",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002865"),
    synonyms=[
        "ArcM",
        "arcuate hypothalamic nucleus medial part",
        "arcuate hypothalamic nucleus of medulla",
        "arcuate nucleus",
        "arcuate nucleus (medulla)",
        "arcuate nucleus of hypothalamus of medulla",
        "arcuate nucleus of the medulla",
        "arcuate nucleus-1",
        "arcuate nucleus-2 of medulla",
        "arcuate periventricular nucleus of medulla",
        "infundibular hypothalamic nucleus of medulla",
        "infundibular nucleus of medulla",
        "infundibular periventricular nucleus of medulla",
        "medial arcuate nucleus",
        "medial part",
        "medulla arcuate hypothalamic nucleus",
        "medulla arcuate nucleus",
        "medulla arcuate nucleus of hypothalamus",
        "medulla arcuate nucleus-2",
        "medulla arcuate periventricular nucleus",
        "medulla infundibular hypothalamic nucleus",
        "medulla infundibular nucleus",
        "medulla infundibular periventricular nucleus",
        "nuclei arcuati",
        "nucleus arciformis pyramidalis",
        "nucleus arcuatus myelencephali",
        "nucleus arcuatus pyramidalis",
    ],
)
UBERONParcellation.area_postrema = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/areaPostrema",
    definition="'Area postrema' is a sensory circumventricular organ. It is part of the medulla oblongata and fourth ventricle.",
    description="A small, rounded eminence on each side of the fourth ventricle, which receives nerve fibers from the solitary nucleus , spinal cord, and adjacent areas of the medulla. The area postrema lies outside the blood-brain barrier and its functions include acting as an emetic chemoreceptor.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0100888"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002162#area-postrema-1"),
    name="area postrema",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002162"),
)
UBERONParcellation.area_x_of_basal_ganglion = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/areaXOfBasalGanglion",
    definition="'Area X of basal ganglion' is a nucleus of brain. It is part of the basal ganglion.",
    description="A nucleus in the basal ganglion of songbirds.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0731535"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0035807#area-x-of-basal-ganglion"),
    name="area X of basal ganglion",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0035807"),
)
UBERONParcellation.area_x_of_ventral_lateral_nucleus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/areaXOfVentralLateralNucleus",
    definition="'Area X of ventral lateral nucleus' is a gray matter of diencephalon. It is part of the ventral lateral nucleus of thalamus.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0100891"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002687#area-x"),
    name="area X of ventral lateral nucleus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002687"),
    synonyms=[
        "anteromedial part of ventral lateral posterior nucleus (jones)",
        "area X",
        "area X of Olszewski",
        "nucleus lateralis intermedius mediodorsalis situs ventralis medialis",
        "nucleus ventralis oralis",
        "nucleus ventro-oralis internus (Hassler)",
        "nucleus ventrooralis internus",
        "nucleus ventrooralis internus (Hassler)",
        "pars posterior (Dewulf)",
        "pars posterior (dewulf)",
        "superior part",
        "X",
    ],
)
UBERONParcellation.arthropod_optic_lobe = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/arthropodOpticLobe",
    definition="'Arthropod optic lobe' is a visual processing part of nervous system. It is part of the brain.",
    description="A region of the adult brain that processes the visual information from the compound eyes.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0732637"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0006795#arthropod-optic-lobe"),
    name="arthropod optic lobe",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0006795"),
)
UBERONParcellation.auditory_cortex = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/auditoryCortex",
    definition="The auditory cortex consists of neocortical areas that are functionally activated predominantly to sound, with the shortest latency.",
    description="The auditory cortex is the part of the temporal lobe that processes auditory information in humans and other vertebrates. It is a part of the auditory system, performing basic and higher functions in hearing, such as possible relations to language switching.It is located bilaterally, roughly at the upper sides of the temporal lobes – in humans on the superior temporal plane, within the lateral fissure and comprising parts of Heschl's gyrus and the superior temporal gyrus, including planum polare and planum temporale (roughly Brodmann areas 41, 42, and partially 22). Unilateral destruction, in a region of the auditory pathway above the cochlear nucleus, results in slight hearing loss, whereas bilateral destruction results in cortical deafness.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0100996"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0001393#auditory-cortex"),
    name="auditory cortex",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0001393"),
)
UBERONParcellation.axon_tract = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/axonTract",
    definition="Is a neuron projection bundle and central nervous system cell part cluster. [auto-generated from 'is_a' property of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0001018)]",
    description="A group of axons linking two or more neuropils and having a common origin, termination. [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0001018)]",
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0001018#nerve-tract"),
    name="axon tract",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0001018"),
    synonyms=["axonal tract", "neuraxis tract", "tract of neuraxis"],
)
UBERONParcellation.banks_of_superior_temporal_sulcus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/banksOfSuperiorTemporalSulcus",
    definition="'Banks of superior temporal sulcus' is an anatomical entity. It is part of the superior temporal sulcus.",
    description="Component of the temporal lobe, lateral aspect.  The rostral boundary is the superior temporal gyrus and the caudal boundary the middle temporal gyrus.  Within the FreeSurfer definition, this reflects primarily the posterior aspect of the superior temporal sulcus (Christine Fennema-Notestine).",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0101088"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0028622#banks-of-superior-temporal-sulcus-1"),
    name="banks of superior temporal sulcus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0028622"),
    synonyms=["banks of superior temporal sulcus"],
)
UBERONParcellation.barrel_cortex = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/barrelCortex",
    definition="'Barrel cortex' is a functional part of brain. It is part of the primary somatosensory cortex.",
    description="The term primary somatosensory area, barrel field refers to one of 6 subdivisions of the primary somesthetic area of the cerebral cortex in the mouse (Dong-2004) and the rat (Swanson-2004). It is defined as dark-staining regions in Nissl and other types of stains of layer four of the somatosensory cortex of rodents where somatosensory inputs from the contralateral side of the body come in from the thalamus, in particular input from the whiskers. Each barrel ranges in size from 100-400 um in diameter. (modified from BrainInfo and Wikipedia)",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0101097"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0010415#barrel-cortex"),
    name="barrel cortex",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0010415"),
    synonyms=[
        "barrel cortex",
        "barrel field",
        "barrel field of the primary somatosensory area",
        "barrel field sensory area",
        "primary somatosensory area",
        "primary somatosensory area barrel field",
        "primary somatosensory cortex",
        "whisker barrels",
        "whisker sensory area",
    ],
)
UBERONParcellation.basal_amygdaloid_nucleus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/basalAmygdaloidNucleus",
    definition="'Basal amygdaloid nucleus' is a telencephalic nucleus. It is part of the basolateral amygdaloid nuclear complex.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0101100"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002887#basal-amygdaloid-nucleus-1"),
    name="basal amygdaloid nucleus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002887"),
    synonyms=[
        "basal nucleus of the amygdala",
        "basolateral amygaloid nucleus",
        "basolateral amygdalar nucleus",
        "basolateral amygdaloid nucleus",
        "basolateral nucleus (De Olmos)",
        "basolateral nucleus of amygdala",
        "basolateral nucleus of the amygdala",
        "intermediate principal nucleus",
        "nucleus amygdalae basalis",
        "nucleus amygdalae basalis lateralis",
        "nucleus amygdaloideus basalis",
        "nucleus amygdaloideus basolateralis",
        "nucleus basalis amygdalae",
    ],
)
UBERONParcellation.basal_forebrain = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/basalForebrain",
    definition="'Basal forebrain' is a regional part of brain. It is part of the forebrain.",
    description="A region of the brain consisting of ventral and rostral subcortical regions of the telencephalon, including among others, the basal ganglia, septal nuclei, amygdala, ventral pallidum, substantia innominata, and basal nucleus of Meynert.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0101101"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002743#basal-forebrain-1"),
    name="basal forebrain",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002743"),
    synonyms=["basal forebrain area", "pars basalis telencephali"],
)
UBERONParcellation.basal_ganglion = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/basalGanglion",
    definition="'Basal ganglion' is a brain gray matter and nuclear complex of neuraxis. It is part of the collection of basal ganglia.",
    description="An individual member of a collection of basal ganglia. Basal ganglia are subcortical masses of gray matter in the forebrain and midbrain that are richly interconnected and so viewed as a functional system. The nuclei usually included are the caudate nucleus (caudoputamen in rodents), putamen, globus pallidus, substantia nigra (pars compacta and pars reticulata) and the subthalamic nucleus. Some also include the nucleus accumbens and ventral pallidum[NIF,modified].",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0729164"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002420#basal-ganglion"),
    name="basal ganglion",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002420"),
)
UBERONParcellation.basal_nuclear_complex = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/basalNuclearComplex",
    definition="'Basal nuclear complex' is a nuclear complex of neuraxis and gray matter of forebrain. It is part of the basal forebrain.",
    description="The deep nuclei of telencephalic origin found in the basal region of the forebrain, The deep nuclei found in the basal forebrain.Large subcortical nuclear masses derived from the telencephalon and located in the basal regions of the cerebral hemispheres. (MeSH definition of Basal Ganglia in UMLS).",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0101108"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0006098#basal-nuclear-complex-1"),
    name="basal nuclear complex",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0006098"),
    synonyms=[
        "basal ganglia",
        "basal ganglia (anatomic)",
        "basal nuclei",
        "basal nuclei of the forebrain",
        "corpus striatum (Savel'ev)",
        "ganglia basales",
    ],
)
UBERONParcellation.basal_nucleus_of_telencephalon = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/basalNucleusOfTelencephalon",
    definition="'Basal nucleus of telencephalon' is a telencephalic nucleus. It is part of the substantia innominata.",
    description="One of four major groupings of cholinergic neurons in the basal forebrain containing neurons that project widely to the cortex and amygdala (Butler and Hodos, Comparative Vertebrate Neuroanatomy, 3rd ed, 2005, pg 488)",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0101109"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0010010#basal-nucleus"),
    name="basal nucleus of telencephalon",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0010010"),
    synonyms=[
        "basal forebrain nucleus",
        "basal magnocellular nucleus",
        "basal magnocellular nucleus (substantia innominata)",
        "basal nuclei of Meynert",
        "basal nucleus",
        "basal nucleus (Meynert)",
        "basal nucleus of Meynert",
        "basal substance of telencephalon",
        "Ch4",
        "ganglion of Meynert",
        "magnocellular basal nucleus",
        "magnocellular nucleus of the pallidum",
        "magnocellular preoptic nucleus",
        "Meynert's nucleus",
        "nucleus basalis",
        "nucleus basalis (Meynert)",
        "nucleus basalis Meynert",
        "Nucleus basalis of Meynert",
        "nucleus basalis telencephali",
        "nucleus of the horizontal limb of the diagonal band (Price-Powell)",
        "substantia basalis telencephali",
    ],
)
UBERONParcellation.basal_part_of_pons = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/basalPartOfPons",
    definition="'Basal part of pons' is a regional part of brain. It is part of the pons.",
    description="Ventral subdivision of the pons which consists of the massive pontine pertuberance on pontine ventral surface.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0101110"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002567#basal-part-of-pons-1"),
    name="basal part of pons",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002567"),
    synonyms=[
        "basal part of the pons",
        "basal portion of pons",
        "base of pons",
        "basilar part of pons",
        "basilar pons",
        "basis pontis",
        "pars anterior pontis",
        "pars basilaris pontis",
        "pars ventralis pontis",
        "pons proper",
        "ventral pons",
        "ventral portion of pons",
    ],
)
UBERONParcellation.basal_vein = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/basalVein",
    definition="Is a deep cerebral vein. [auto-generated from 'is_a' property of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0035530)]",
    description="The basal vein is formed at the anterior perforated substance by the union of (a) a small anterior cerebral vein which accompanies the anterior cerebral artery and supplies the medial surface of the frontal lobe by the fronto-basal vein. (b) the deep middle cerebral vein (deep Sylvian vein), which receives tributaries from the insula and neighboring gyri, and runs in the lower part of the lateral cerebral fissure, and (c) the inferior striate veins, which leave the corpus striatum through the anterior perforated substance. The basal vein passes backward around the cerebral peduncle, and ends in the internal cerebral vein; it receives tributaries from the interpeduncular fossa, the inferior horn of the lateral ventricle, the hippocampal gyrus, and the mid-brain. [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0035530)]",
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0035530#basal-vein"),
    name="basal vein",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0035530"),
    synonyms=["basal vein of rosenthal", "rosenthal's vein"],
)
UBERONParcellation.basolateral_amygdaloid_nuclear_complex = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/basolateralAmygdaloidNuclearComplex",
    definition="'Basolateral amygdaloid nuclear complex' is a cerebral hemisphere gray matter and nuclear complex of neuraxis. It is part of the amygdala.",
    description="A set of amygdalar nuclei comprising the lateral nucleus (LA), the basal nucleus (BA), and the accessory basal nuclei (ABN). These nuclei are bordered laterally by the external capsule and medially by the central amygdalar nucleus as well as the amygdalohippocampal area. This definition refers to the rat Basolateral nuclear complex.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0101128"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0006107#basolateral-nuclear-complex"),
    name="basolateral amygdaloid nuclear complex",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0006107"),
    synonyms=[
        "amygdalar basolateral nucleus",
        "amygdaloid basolateral complex",
        "basolateral amygdala",
        "basolateral amygdaloid nuclear complex",
        "basolateral complex",
        "basolateral nuclear complex",
        "basolateral nuclear group",
        "basolateral nuclei of amygdala",
        "basolateral subdivision of amygdala",
        "BL",
        "deep nuclei",
        "pars basolateralis (Corpus amygdaloideum)",
        "set of basolateral nuclei of amygdala",
        "vicarious cortex",
    ],
)
UBERONParcellation.bed_nucleus_of_stria_terminalis = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/bedNucleusOfStriaTerminalis",
    definition="'Bed nucleus of stria terminalis' is a telencephalic nucleus. It is part of the septal nuclear complex.",
    description="Nucleus defined on the basis of Nissl stain whose cells are embedded in, and surround the stria terminalis at its rostral extreme, where it splits into multiple bundles directed ventrally toward different parts of the hypothalamus. The nucleus wraps around the anterior commissure. It is bounded laterally by the internal capsule, medially by the lateral septal nucleus and the anterior column of the fornix, and dorsally by the head of the caudate nucleus and the frontal horn of the lateral ventricle. Some authors have expanded the definition on the basis of other stains and connectivity studies to include cell groups distributed through the dorsal part of substantia innominata between the classical nucleus and the amygdala. The extended nucleus of stria terminalis by that definition is classified as part of the extended amygdala ( Olmos-2004 ). The nucleus is found in the human, the macaque, the rat and the mouse.  Adapted from Brain Info.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0101180"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0001880#bed-nucleus-of-stria-terminalis-1"),
    name="bed nucleus of stria terminalis",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0001880"),
    synonyms=[
        "bed nuclei of the stria terminalis",
        "bed nucleus of stria terminalis",
        "bed nucleus of the stria terminalis",
        "bed nucleus stria terminalis (Johnson)",
        "bed nucleus striae terminalis",
        "BST",
        "intercalate nucleus of stria terminalis",
        "interstitial nucleus of stria terminalis",
        "nuclei of stria terminalis",
        "nucleus interstitialis striae terminalis",
        "nucleus of stria terminalis",
        "nucleus of the stria terminalis",
        "nucleus proprius stria terminalis (bed nucleus)",
        "nucleus striae terminalis",
        "stria terminalis nucleus",
    ],
)
UBERONParcellation.blood_brain_barrier = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/bloodBrainBarrier",
    definition="Is an anatomical entity. Is part of the nervous system. [auto-generated from properties of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0000120) ('is_a' and 'relationship')]",
    description="Cell layer consisting of lining cells that separates the central nervous system and the bloodstream. The BBB may consist of endothelial cells or glial cells. An endothelial barrier may have arisen independently several times during evolution. In bichir and lungfish the barrier is formed by brain endothelial cells, while in sturgeon it is formed by a complex perivascular glial sheath, but with no detectable tight junctions. [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0000120)]",
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0000120#blood-brain-barrier"),
    name="blood brain barrier",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0000120"),
    synonyms=["blood-brain barrier"],
)
UBERONParcellation.blood_cerebrospinal_fluid_barrier = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/bloodCerebrospinalFluidBarrier",
    definition="Is part of the choroid plexus. [auto-generated from 'relationship' property of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0003210)]",
    description="Barrier in the choroid plexus located in the lateral, third, and fourth brain ventricles that controls the entrance of substances into the cerebrospinal fluid from the blood. [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0003210)]",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0729920"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0003210#blood-cerebrospinal-fluid-barrier"),
    name="blood-cerebrospinal fluid barrier",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0003210"),
    synonyms=["blood-CSF barrier"],
)
UBERONParcellation.blood_nerve_barrier = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/bloodNerveBarrier",
    definition="Is an anatomical entity. Is part of the nervous system. [auto-generated from properties of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0003209) ('is_a' and 'relationship')]",
    description="Barrier between the perineurium of peripheral nerves and the vascular endothelium of endoneurial capillaries. The perineurium acts as a diffusion barrier, but ion permeability at the blood-nerve barrier is still higher than at the blood-brain barrier. [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0003209)]",
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0003209#blood-nerve-barrier"),
    name="blood nerve barrier",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0003209"),
    synonyms=["blood-nerve barrier"],
)
UBERONParcellation.body_of_caudate_nucleus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/bodyOfCaudateNucleus",
    definition="'Body of caudate nucleus' is a gray matter of telencephalon. It is part of the caudate nucleus.",
    description="Part of caudate nucleus lying just dorsal to the thalamus",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0101372"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002630#body-of-caudate-nucleus-1"),
    name="body of caudate nucleus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002630"),
    synonyms=[
        "body of the caudate nucleus",
        "caudate body",
        "caudate nuclear body",
        "corpus (caudatus)",
        "corpus nuclei caudati",
    ],
)
UBERONParcellation.body_of_corpus_callosum = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/bodyOfCorpusCallosum",
    definition="The 'body of corpus callosum' is a white matter structure. It is part of the corpus callosum.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0728551"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0015510#body-of-corpus-callosum"),
    name="body of corpus callosum",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0015510"),
    synonyms=[
        "corpus callosum body",
        "corpus callosum corpus",
        "corpus callosum truncus",
        "trunculus corporis callosi",
        "truncus corporis callosi",
        "truncus corpus callosi",
        "trunk of corpus callosum",
    ],
)
UBERONParcellation.body_of_fornix = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/bodyOfFornix",
    definition="'Body of fornix' is a central nervous system cell part cluster. It is part of the fornix of brain.",
    description="Part of fornix adjacent to the crura where they join together at the midline underneath the corpus callosum",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0101373"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0004680#body-of-fornix-1"),
    name="body of fornix",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0004680"),
    synonyms=[
        "body of fornix",
        "body of fornix of forebrain",
        "column of fornix",
        "columna fornicis",
        "columns of fornix",
        "columns of the fornix",
        "fornix body",
    ],
)
UBERONParcellation.body_of_lateral_ventricle = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/bodyOfLateralVentricle",
    definition="Is a telencephalic ventricle. [auto-generated from 'is_a' property of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0002655)]",
    description="Part of lateral ventricle consisting of the central portion that lies dorsally, bounded by the thalamus on the ventral side (Adapted from Heimer, 1996) [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0002655)]",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0101374"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002655#body-of-lateral-ventricle-1"),
    name="body of lateral ventricle",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002655"),
    synonyms=[
        "central part of lateral ventricle",
        "corpus ventriculi lateralis",
        "lateral ventricular body",
        "pars centralis (ventriculi lateralis)",
        "pars centralis ventriculi lateralis",
        "ventriculus lateralis, corpus",
        "ventriculus lateralis, pars centralis",
    ],
)
UBERONParcellation.brachium_of_inferior_colliculus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/brachiumOfInferiorColliculus",
    definition="'Brachium of inferior colliculus' is a neuron projection bundle and central nervous system cell part cluster. It is part of the inferior colliculus and white matter.",
    description="The Brachium of inferior colliculus (or inferior brachium) carries auditory afferent fibers from the inferior colliculus of the mesencephalon to the medial geniculate nucleus. [WP,unvetted].",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0101409"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0003025#brachium-of-inferior-colliculus-1"),
    name="brachium of inferior colliculus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0003025"),
    synonyms=[
        "brachium colliculi caudalis",
        "brachium colliculi inferioris",
        "brachium of medial geniculate",
        "brachium of the inferior colliculus",
        "brachium quadrigeminum inferius",
        "inferior brachium",
        "inferior collicular brachium",
        "inferior colliculus brachium",
        "inferior quadrigeminal brachium",
        "nucleus of the brachium of the inferior colliculus",
        "peduncle of inferior colliculus",
    ],
)
UBERONParcellation.brachium_of_superior_colliculus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/brachiumOfSuperiorColliculus",
    definition="'Brachium of superior colliculus' is a neuron projection bundle and central nervous system cell part cluster. It is part of the white matter of superior colliculus.",
    description="Bundle of fibers that passes over the medial geniculate nucleus (in humans) to reach the superior colliculus.  Contains afferents from the retina.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0101410"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002580#brachium-of-superior-colliculus-1"),
    name="brachium of superior colliculus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002580"),
    synonyms=[
        "brachium colliculi cranialis",
        "brachium colliculi rostralis",
        "brachium colliculi superioris",
        "brachium of the superior colliculus",
        "brachium quadrigeminum superius",
        "superior brachium",
        "superior collicular brachium",
        "superior colliculus brachium",
        "superior quadrigeminal brachium",
    ],
)
UBERONParcellation.brain_blood_vessel = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/brainBloodVessel",
    definition="Is part of the vasculature of brain. [auto-generated from 'relationship' property of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0003499)]",
    description="A blood vessel that is part of a brain. [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0003499)]",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0726967"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0003499#brain-blood-vessel"),
    name="brain blood vessel",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0003499"),
    synonyms=["blood vessel of brain"],
)
UBERONParcellation.brain_commissure = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/brainCommissure",
    definition="Is a nervous system commissure and tract of brain. [auto-generated from 'is_a' property of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0005970)]",
    description="Any of the nerve fiber tracts that span the longitudinal fissure between the cerebral and/or cerebellar hemispheres of the brain. [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0005970)]",
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0005970#brain-commissure"),
    name="brain commissure",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0005970"),
)
UBERONParcellation.brain_endothelium = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/brainEndothelium",
    definition="'Brain endothelium' is part of the brain.",
    description="Vascular endothelium found in blood vessels of the blood-brain-barrier.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0733041"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0013694#brain-endothelium"),
    name="brain endothelium",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0013694"),
)
UBERONParcellation.brain_ependyma = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/brainEpendyma",
    definition="'Brain ependyma' is an ependyma. It is part of the brain ventricle.",
    description="The ependymal cell layer that lines the brain ventricles.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0730349"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0005357#brain-ependyma"),
    name="brain ependyma",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0005357"),
)
UBERONParcellation.brain_gray_matter = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/brainGrayMatter",
    definition="'Brain gray matter' is a gray matter. It is part of the brain.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0725337"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0003528#brain-gray-matter"),
    name="brain gray matter",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0003528"),
)
UBERONParcellation.brain_marginal_zone = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/brainMarginalZone",
    definition="'Brain marginal zone' is an anatomical entity. It is part of the brain.",
    description="The part of the future brain that is derived from the mantle layer of the neural tube.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0734549"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0010403#brain-marginal-zone"),
    name="brain marginal zone",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0010403"),
)
UBERONParcellation.brain_meninx = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/brainMeninx",
    definition="'Brain meninx' is a meninx. It is part of the brain.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0726394"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0003547#brain-meninx"),
    name="brain meninx",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0003547"),
)
UBERONParcellation.brain_ventricle = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/brainVentricle",
    definition="Is a brain ventricle/choroid plexus and ventricle of nervous system. Is part of the ventricular system of brain. [auto-generated from properties of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0004086) ('is_a' and 'relationship')]",
    description="One of the system of communicating cavities in the brain that are continuous with the central canal of the spinal cord, that like it are derived from the medullary canal of the embryo, that are lined with an epithelial ependyma, and that contain a serous fluid. [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0004086)]",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0730602"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0004086#cerebral-ventricular-cavity"),
    name="brain ventricle",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0004086"),
    synonyms=["cerebral ventricle", "region of ventricular system of brain"],
)
UBERONParcellation.brain_ventricle_choroid_plexus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/brainVentricleChoroidPlexus",
    definition="Is part of the brain. [auto-generated from 'relationship' property of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0003947)]",
    description="The brain ventricles or their associated choroid plexuses. [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0003947)]",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0730467"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0003947#brain-ventricle-choroid-plexus"),
    name="brain ventricle/choroid plexus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0003947"),
)
UBERONParcellation.brain_white_matter = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/brainWhiteMatter",
    definition="'Brain white matter' is a white matter. It is part of the brain.",
    description="The regions of the brain that are largely or entirely composed of myelinated nerve cell axons and contain few or no neural cell bodies or dendrites.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0736416"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0003544#brain-white-matter"),
    name="brain white matter",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0003544"),
)
UBERONParcellation.brainstem = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/brainstem",
    definition="'Brainstem' is a regional part of brain.",
    description="The lower portion of the brain through which the forebrain sends information to, and receives information from, the spinal cord and peripheral nerves. Major functions located in the brainstem include those necessary for survival, e.g., breathing, heart rate, blood pressure, and arousal. (NIDA Media Guide Glossary).  Note that the definition of brainstem varies in different nomenclatures, for example, some definitions include the diencephalon.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0101444"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002298#brainstem-1"),
    name="brainstem",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002298"),
    synonyms=[
        "accessory medullary lamina of pallidum",
        "brain stem",
        "lamella pallidi incompleta",
        "lamina medullaris accessoria",
        "lamina medullaris incompleta pallidi",
        "lamina pallidi incompleta",
        "truncus encephali",
        "truncus encephalicus",
    ],
)
UBERONParcellation.ca1_alveus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/CA1Alveus",
    definition="'CA1 alveus' is a layer of CA1 field. It is part of the hippocampus alveus.",
    description="Part of alveus lying in area CA1, deep to the stratum oriens of CA1 and continuous with the alveus of CA2",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0101521"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0014570#ca1-alveus-1"),
    name="CA1 alveus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0014570"),
    synonyms=["alveus of the CA1 field"],
)
UBERONParcellation.ca1_field_of_hippocampus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/CA1FieldOfHippocampus",
    definition="'CA1 field of hippocampus' is a hippocampal field.",
    description="Part of hippocampus proper bounded by CA2 and the subiculum, characterized by pyramidal neurons that receive projections from pyramidal neurons of CA3 via the Schaffer collaterals.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0101520"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0003881#ca1"),
    name="CA1 field of hippocampus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0003881"),
    synonyms=[
        "Ammon's horn (Lorente de Ns)",
        "CA1",
        "CA1 field",
        "CA1 field of Ammon's horn",
        "CA1 field of cornu ammonis",
        "CA1 field of hippocampus",
        "CA1 field of the Ammon horn",
        "CA1 field of the hippocampus",
        "cornu ammonis 1",
        "field CA1",
        "field CA1 of hippocampus",
        "hippocampus CA1",
        "prosubiculum = distal ca1",
        "regio i cornus ammonis",
        "regio i hippocampi proprii",
        "regio superior",
        "regio superior of the hippocampus",
        "region 1 of Ammon's horn",
        "region CA1",
        "region i of ammon's horn",
        "region i of hippocampus proper",
    ],
)
UBERONParcellation.ca1_stratum_lacunosum_moleculare = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/CA1StratumLacunosumMoleculare",
    definition="'CA1 stratum lacunosum moleculare' is a layer of CA1 field. It is part of the hippocampus stratum lacunosum moleculare.",
    description="Part of stratum lacunosum-moleculare lying in area CA1, superficial to CA1 stratum radiatum and bounded by the pial surface, continuous with stratum lacunosum-moleculare of CA2 and the subiculum stratum moleculare.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0101523"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0014557#ca1-stratum-lacunosum-moleculare-1"),
    name="CA1 stratum lacunosum moleculare",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0014557"),
    synonyms=[
        "CA1 part of stratum lacunosum moleculare",
        "CA1 s. lacunosum moleculare",
        "lacunar-molecular layer of CA1 field",
        "stratum lacunosum moleculare of the CA1 field",
    ],
)
UBERONParcellation.ca1_stratum_oriens = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/CA1StratumOriens",
    definition="'CA1 stratum oriens' is a layer of CA1 field. It is part of the hippocampus stratum oriens.",
    description="Part of stratum oriens lying in area CA1, superficial to the alveus of CA1 and deep to the pyramidal cell layer of CA1.  It is continuous with the stratum oriens of CA2 and bounded by the subiculum",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0101524"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0014552#ca1-stratum-oriens-1"),
    name="CA1 stratum oriens",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0014552"),
    synonyms=[
        "CA1 part of stratum oriens",
        "CA1 s. oriens",
        "CA1 stratum oriens",
        "oriens layer of CA1 field",
        "stratum oriens of the CA1 field",
    ],
)
UBERONParcellation.ca1_stratum_radiatum = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/CA1StratumRadiatum",
    definition="'CA1 stratum radiatum' is a layer of CA1 field. It is part of the hippocampus stratum radiatum.",
    description="Part of stratum radiatum lying in area CA1, superficial to the CA1 pyramidal cell layer and deep to the CA1 stratum lucidum-moleculare, continuous with the stratum radiatum of CA2 and bounded by the subiculum. It contains the Schaffer collateral projection from CA3.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0101526"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0014554#ca1-stratum-radiatum-1"),
    name="CA1 stratum radiatum",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0014554"),
    synonyms=[
        "CA1 part of stratum radiatum",
        "CA1 s. radiatum",
        "radiatum layer of CA1 field",
        "stratum radiatum of the CA1 field",
    ],
)
UBERONParcellation.ca2_field_of_hippocampus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/CA2FieldOfHippocampus",
    definition="Part of hippocampus proper bounded by areas CA3 and CA1, characterized by a narrow layer of large pyramidal cells, similar in size to CA3 pyramidal cells, but which lack the mossy fiber input from the dentate gyrus (adapted from Paxinos, G. The rat central nervous system, 2nd ed, Academic Press, San Diego, 1995, pg. 460).",
    description="'CA2 field of hippocampus' is a hippocampal field.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0101527"),
    name="CA2 field of hippocampus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0003882"),
)
UBERONParcellation.ca2_stratum_radiatum = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/CA2StratumRadiatum",
    definition="'CA2 stratum radiatum' is a layer of CA2 field. It is part of the hippocampus stratum radiatum.",
    description="Part of stratum radiatum in area CA2,  lying superficial to the pyramidal cell layer and deep to CA2  stratum lacunosum-moleculare, continuous with the stratum radiatum of CA1 and CA3.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0101533"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0014555#ca2-stratum-radiatum-1"),
    name="CA2 stratum radiatum",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0014555"),
    synonyms=[
        "CA2 part of stratum radiatum",
        "CA2 stratum radiatum",
        "radiate layer of CA2 field",
        "stratum radiatum of CA2",
        "stratum radiatum of the CA2 field",
    ],
)
UBERONParcellation.ca3_alveus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/CA3Alveus",
    definition="'CA3 alveus' is a layer of CA3 field. It is part of the hippocampus alveus.",
    description="Part of alveus lying within hippocampal sector CA3",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0101535"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0014571#ca3-alveus-1"),
    name="CA3 alveus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0014571"),
    synonyms=["alveus of the CA3 field"],
)
UBERONParcellation.ca3_field_of_hippocampus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/CA3FieldOfHippocampus",
    definition="Part of hippocampus proper bounded by the hilus of the dentate gyrus and area CA2, characterized by large pyramidal cells and a dense projection from dentate gyrus granule cell mossy fibers.",
    description="'CA3 field of hippocampus' is a hippocampal field.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0101534"),
    name="CA3 field of hippocampus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0003883"),
)
UBERONParcellation.ca3_stratum_radiatum = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/CA3StratumRadiatum",
    definition="'CA3 stratum radiatum' is a layer of CA3 field. It is part of the hippocampus stratum radiatum.",
    description="Part of stratum radiatum in area CA3,  lying superficial to the stratum lucidum and deep to CA3  stratum lacunosum-moleculare.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0101542"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0014556#ca3-stratum-radiatum-1"),
    name="CA3 stratum radiatum",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0014556"),
    synonyms=[
        "CA3 part of stratum radiatum",
        "CA3 s. radiatum",
        "CA3 stratum radiatum",
        "radiate layer of CA3 field",
        "stratum radiatum of the CA3 field",
    ],
)
UBERONParcellation.ca4_field_of_hippocampus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/CA4FieldOfHippocampus",
    definition="Is a hippocampal field. [auto-generated from 'is_a' property of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0003884)]",
    description="The last of four regions in the cornu ammonis of the hippocampus and is also part of the hilus of the dentate gyrus. This area contains mostly mossy cells that receive inputs from the dentate gyrus and pyramidal cells in the CA3 region and also projects back to the dentate gyrus. [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0003884)]",
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0003884#ca4-field-of-hippocampus"),
    name="CA4 field of hippocampus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0003884"),
    synonyms=[
        "CA4",
        "CA4 field",
        "CA4 field of Ammon's horn",
        "CA4 field of cornu ammonis",
        "hippocampus CA4",
        "regio IV cornus ammonis",
        "regio IV hippocampi proprii",
        "region 4 of Ammon's horn",
        "region IV of ammon's horn",
        "region IV of hippocampus proper",
    ],
)
UBERONParcellation.calcar_avis_of_the_lateral_ventricle = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/calcarAvisOfTheLateralVentricle",
    definition="Is a regional part of brain. Is part of the telencephalic ventricle and the hippocampal formation. [auto-generated from properties of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0035970) ('is_a' and 'relationship')]",
    description="On the medial wall of the posterior cornu of the lateral ventricle is a longitudinal eminence, the calcar avis (hippocampus minor), which is an involution of the ventricular wall produced by the calcarine fissure. It is sometimes visible on ultrasonogram. [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0035970)]",
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0035970#calcar-avis-of-the-lateral-ventricle"),
    name="calcar avis of the lateral ventricle",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0035970"),
    synonyms=["hippocampus minor"],
)
UBERONParcellation.calcarine_sulcus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/calcarineSulcus",
    definition="'Calcarine sulcus' is a sulcus of brain. It is part of the cerebral cortex.",
    description="The calcarine fissure is an anatomical landmark located at the caudal end of the medial surface of the brain. [WP,unvetted].",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0101552"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002586#calcarine-sulcus-1"),
    name="calcarine sulcus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002586"),
)
UBERONParcellation.calcified_structure_of_brain = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/calcifiedStructureOfBrain",
    definition="'Calcified structure of brain' is part of the brain.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0731107"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0017631#calcified-structure-of-brain"),
    name="calcified structure of brain",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0017631"),
)
UBERONParcellation.capsule_of_medial_geniculate_body = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/capsuleOfMedialGeniculateBody",
    definition="'Capsule of medial geniculate body' is a diencephalic white matter. It is part of the medial geniculate body.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0101644"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002627#capsule-of-medial-geniculate-body-1"),
    name="capsule of medial geniculate body",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002627"),
    synonyms=[
        "capsula corporis geniculati medialis",
        "capsule of the medial geniculate body",
        "medial geniculate body capsule",
    ],
)
UBERONParcellation.capsule_of_red_nucleus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/capsuleOfRedNucleus",
    definition="'Capsule of red nucleus' is a brainstem white matter and white matter of midbrain. It is part of the red nucleus.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0101645"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002941#capsule-of-red-nucleus-1"),
    name="capsule of red nucleus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002941"),
    synonyms=[
        "capsula",
        "capsula nuclei rubris tegmenti",
        "capsule of the red nucleus",
        "cr",
        "nucleus ruber",
        "red nuclear capsule",
    ],
)
UBERONParcellation.caudal_anterior_cingulate_cortex = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/caudalAnteriorCingulateCortex",
    definition="'Caudal anterior cingulate cortex' is a regional part of brain. It is part of the anterior cingulate cortex.",
    description="Component of the cingulate cortex.  The rostral boundary was the first appearance of the genu of the corpus callosum whereas the caudal boundary was established as the first appearance of the mammillary bodies. The medial boundary was the medial aspect of the cortex. The supero-lateral boundary was the superior frontal gyrus whereas the infero-lateral boundary was the corpus callosum (Christine Fennema-Notestine).",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0101709"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0028715#caudal-anterior-cingulate-cortex-1"),
    name="caudal anterior cingulate cortex",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0028715"),
    synonyms=["caudal anterior cingulate cortex"],
)
UBERONParcellation.caudal_central_oculomotor_nucleus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/caudalCentralOculomotorNucleus",
    definition="'Caudal central oculomotor nucleus' is a brainstem nucleus and midbrain nucleus. It is part of the oculomotor nuclear complex.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0101711"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002957#caudal-central-oculomotor-nucleus-1"),
    name="caudal central oculomotor nucleus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002957"),
    synonyms=[
        "caudal central nucleus",
        "caudal central nucleus of oculomotor nerve",
        "CC3",
        "nucleus caudalis centralis oculomotorii",
        "nucleus centralis nervi oculomotorii",
        "oculomotor nerve central caudal nucleus",
    ],
)
UBERONParcellation.caudal_cerebellar_tract = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/caudalCerebellarTract",
    definition="Is a white matter of cerebellum. Is part of the brainstem and spinal white matter. [auto-generated from properties of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_2000174) ('is_a' and 'relationship')]",
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:2000174#caudal-cerebellar-tract"),
    name="caudal cerebellar tract",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_2000174"),
)
UBERONParcellation.caudal_mesencephalo_cerebellar_tract = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/caudalMesencephaloCerebellarTract",
    definition="Is a regional part of nervous system. Is part of the brainstem and spinal white matter. [auto-generated from properties of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_2000479) ('is_a' and 'relationship')]",
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:2000479#caudal-mesencephalo-cerebellar-tract"),
    name="caudal mesencephalo-cerebellar tract",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_2000479"),
)
UBERONParcellation.caudal_middle_frontal_gyrus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/caudalMiddleFrontalGyrus",
    definition="'Caudal middle frontal gyrus' is a frontal gyrus. It is part of the middle frontal gyrus.",
    description="Component of the middl frontal gyrus.  The rostral boundary of the middle frontal gyrus was the rostral extent of the middle frontal gyrus whereas the caudal boundary was the precentral gyrus. The medial and lateral boundaries were designated as the superior frontal sulcus and the inferior frontal sulcus respectively (Christine Fennema-Notestine).",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0101718"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0006445#caudal-middle-frontal-gyrus-1"),
    name="caudal middle frontal gyrus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0006445"),
    synonyms=[
        "caudal middle frontal gyrus",
        "caudal part of middle frontal gyrus",
        "posterior part of middle frontal gyrus",
    ],
)
UBERONParcellation.caudal_part_of_spinal_trigeminal_nucleus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/caudalPartOfSpinalTrigeminalNucleus",
    definition="'Caudal part of spinal trigeminal nucleus' is a gray matter of hindbrain. It is part of the spinal nucleus of trigeminal nerve.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0101721"),
    knowledge_space_link=IRI(
        "https://knowledge-space.org/wiki/UBERON:0002866#caudal-part-of-spinal-trigeminal-nucleus-1"
    ),
    name="caudal part of spinal trigeminal nucleus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002866"),
    synonyms=[
        "caudal nucleus",
        "caudal nucleus (kandell)",
        "Caudal nucleus (Kandell)",
        "caudal part",
        "caudal part of the spinal trigeminal nucleus",
        "CSp5",
        "nucleus caudalis tractus spinalis nervi trigemini",
        "nucleus spinalis nervi trigemini",
        "pars caudalis",
        "spinal nucleus of the trigeminal",
        "spinal nucleus of the trigeminal caudal part",
        "spinal nucleus of the trigeminal nerve caudal part",
        "spinal trigeminal nucleus",
        "spinal trigeminal nucleus caudal part",
        "subnucleus caudalis",
        "trigeminal caudal nucleus",
    ],
)
UBERONParcellation.caudal_part_of_ventral_lateral_nucleus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/caudalPartOfVentralLateralNucleus",
    definition="'Caudal part of ventral lateral nucleus' is a gray matter of diencephalon. It is part of the ventral lateral nucleus of thalamus.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0101722"),
    knowledge_space_link=IRI(
        "https://knowledge-space.org/wiki/UBERON:0002608#caudal-part-of-ventral-lateral-nucleus-1"
    ),
    name="caudal part of ventral lateral nucleus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002608"),
    synonyms=[
        "caudal part",
        "caudal part of the ventral lateral nucleus",
        "dorsal part of ventral lateral posterior nucleus (Jones)",
        "nucleus dorsooralis (van buren)",
        "nucleus lateralis intermedius mediodorsalis situs dorsalis",
        "nucleus ventralis lateralis",
        "pars caudalis",
        "ventral lateral nucleus",
        "ventral lateral thalamic nucleus",
        "VLC",
    ],
)
UBERONParcellation.caudal_part_of_ventral_posterolateral_nucleus_of_thalamus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/caudalPartOfVentralPosterolateralNucleusOfThalamus",
    definition="'Caudal part of ventral posterolateral nucleus of thalamus' is a gray matter of diencephalon. It is part of the ventral posterolateral nucleus.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0101723"),
    knowledge_space_link=IRI(
        "https://knowledge-space.org/wiki/UBERON:0002781#caudal-part-of-ventral-posterolateral-nucleus"
    ),
    name="caudal part of ventral posterolateral nucleus of thalamus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002781"),
    synonyms=[
        "caudal part",
        "caudal part of the ventral posterolateral nucleus",
        "caudal part of ventral posterolateral nucleus",
        "nucleus ventralis caudalis lateralis",
        "nucleus ventralis posterior lateralis",
        "nucleus ventralis posterior pars lateralis (Dewulf)",
        "nucleus ventralis posterolateralis (Walker)",
        "nucleus ventrocaudalis externus (Van Buren)",
        "pars caudalis",
        "posterior part",
        "ventral posterior lateral nucleus (ilinsky)",
        "ventral posterolateral nucleus",
        "ventral posterolateral thalamic nucleus",
        "VPLC",
    ],
)
UBERONParcellation.caudal_pontine_reticular_nucleus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/caudalPontineReticularNucleus",
    definition="'Caudal pontine reticular nucleus' is a nucleus of pontine reticular formation.",
    description="The caudal pontine reticular nucleus is composed of gigantocellular neurons. In rabbits and cats it is exclusively giant cells, however in humans there are normally sized cells as well. The pontis caudalis is rostral to the gigantocellular nucleus and is located in the caudal pons, as the name would indicate. The pontis caudalis has been known to mediate head movement, in concert with the nucleus gigantocellularis and the superior colliculus. The neurons in the dorsal half of this nuclei fire rhythmically during mastication, and in an anesthetized animal it is possible to induce mastication via electrical stimulation of the PC or adjacent areas of the gigantocellular nucleus. The pontis caudalis is also thought to play a role in the grinding of teeth during sleep.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0101725"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002963#caudal-pontine-reticular-nucleus-1"),
    name="caudal pontine reticular nucleus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002963"),
    synonyms=[
        "caudal part",
        "nucleus reticularis pontis caudalis",
        "PnC",
        "pontine reticular nucleus",
        "pontine reticular nucleus caudal part",
    ],
)
UBERONParcellation.caudate_nucleus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/caudateNucleus",
    definition="'Caudate nucleus' is a telencephalic nucleus. It is part of the caudate-putamen.",
    description="Subcortical nucleus of telecephalic origin consisting of an elongated gray mass lying lateral to and bordering the lateral ventricle.  It is divided into a head, body and tail in some species.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0101734"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0001873#caudate-nucleus-1"),
    name="caudate nucleus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0001873"),
    synonyms=["Ammon horn fields", "Caudate", "caudatum", "caudatus", "Cd", "nucleus caudatus"],
)
UBERONParcellation.caudateputamen = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/caudateputamen",
    definition="'Caudate-putamen' is a central nervous system cell part cluster. It is part of the dorsal striatum.",
    description="Regional part of telencephalon in some species, e.g., rodent, equivalent to the dorsal striatum (caudate nucleus and putamen).  Unlike the dorsal striatum of primates, for example, the caudoputamen is not split into separate nuclei by the fibers of the internal capsule.  Rather, the internal capsule splits into fiber bundles which course through the structure.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0101739"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0005383#caudoputamen"),
    name="caudate-putamen",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0005383"),
    synonyms=[
        "caudate putamen",
        "caudate putamen (striatum)",
        "Caudate-putamen",
        "caudateputamen",
        "caudoputamen",
        "dorsal striatum",
        "neostriatum",
        "striatum",
    ],
)
UBERONParcellation.central_amygdaloid_nucleus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/centralAmygdaloidNucleus",
    definition="'Central amygdaloid nucleus' is a telencephalic nucleus. It is part of the amygdala.",
    description="The output region of the amygdala responsible for controlling responses (Phelps & LeDoux, 2005, PMID: 16242399).",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0101887"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002883#central-amygdaloid-nucleus-1"),
    name="central amygdaloid nucleus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002883"),
    synonyms=[
        "amygdala central nucleus",
        "CeA",
        "central amygdala",
        "central amygdalar nucleus",
        "central nuclear group",
        "central nucleus amygdala",
        "central nucleus of amygda",
        "central nucleus of amygdala",
        "central nucleus of the amygdala",
        "nucleus amygdalae centralis",
        "nucleus amygdaloideus centralis",
        "nucleus centralis amygdalae",
    ],
)
UBERONParcellation.central_artery = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/centralArtery",
    definition="Is a brain blood vessel. [auto-generated from 'is_a' property of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_2005020)]",
    description="Arteries that irrigate the forebrain and midbrain Isogai et al. 2001. [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_2005020)]",
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:2005020#central-artery"),
    name="central artery",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_2005020"),
    synonyms=["CtA"],
)
UBERONParcellation.central_cervical_spinocerebellar_tract = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/centralCervicalSpinocerebellarTract",
    definition="Is an axon tract. Is part of the spinocerebellar tract. [auto-generated from properties of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0023983) ('is_a' and 'relationship')]",
    description="Central cervical spinocerebellar tract. [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0023983)]",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0101890"),
    knowledge_space_link=IRI(
        "https://knowledge-space.org/wiki/UBERON:0023983#central-cervical-spinocerebellar-tract-1"
    ),
    name="central cervical spinocerebellar tract",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0023983"),
)
UBERONParcellation.central_dorsal_nucleus_of_thalamus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/centralDorsalNucleusOfThalamus",
    definition="'Central dorsal nucleus of thalamus' is a nucleus of dorsal thalamus. It is part of the rostral intralaminar nuclear group.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0101891"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0003034#central-dorsal-nucleus"),
    name="central dorsal nucleus of thalamus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0003034"),
    synonyms=[
        "CD",
        "central dorsal nucleus",
        "central dorsal nucleus of thalamus",
        "circular nucleus",
        "nucleus centralis dorsalis thalami",
        "nucleus centralis superior lateralis",
        "nucleus centralis superior lateralis thalami",
        "nucleus circularis",
    ],
)
UBERONParcellation.central_gray_substance_of_medulla = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/centralGraySubstanceOfMedulla",
    definition="'Central gray substance of medulla' is a gray matter of hindbrain and central gray substance. It is part of the medulla oblongata.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0101892"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002867#central-gray-substance-of-medulla-1"),
    name="central gray substance of medulla",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002867"),
    synonyms=[
        "central gray matter",
        "central gray of the medulla",
        "central gray substance of the medulla",
        "CGM",
        "griseum periventriculare",
        "medullary central gray substance",
    ],
)
UBERONParcellation.central_gray_substance_of_midbrain = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/centralGraySubstanceOfMidbrain",
    definition="'Central gray substance of midbrain' is a gray matter of midbrain and central gray substance. It is part of the midbrain tegmentum.",
    description="Periaqueductal gray (PAG; also called the 'central gray') is the gray matter located around the cerebral aqueduct within the midbrain. It plays a role in the descending modulation of pain and in defensive behaviour. The ascending pain and temperature fibers of the spinothalamic tract also send information to the PAG via the spinomesencephalic tract. The spinomesencephalic tract is so-named because the fibers originate in the spine and terminate in the mesencephalon, another name for the midbrain, the part of the brain in which the PAG resides. [WP,unvetted].",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0108717"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0003040#central-gray-substance-of-midbrain-1"),
    name="central gray substance of midbrain",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0003040"),
    synonyms=[
        "anulus aquaeductus",
        "anulus aqueductus cerebri",
        "anulus of cerebral aqueduct",
        "central (periaqueductal) gray",
        "central gray",
        "central gray of the midbrain",
        "central gray substance of the midbrain",
        "Central gray,Central grey substance of midbrain",
        "central grey",
        "central grey substance of midbrain",
        "CGMB",
        "griseum centrale",
        "griseum centrale mesencephali",
        "griseum periventriculare mesencephali",
        "midbrain periaqueductal grey",
        "pAG",
        "periaquectuctal grey",
        "periaqueductal gray",
        "periaqueductal gray matter",
        "periaqueductal gray of tegmentum",
        "periaqueductal grey",
        "periaqueductal grey matter",
        "periaqueductal grey substance",
        "proper",
        "s. grisea centralis",
        "substantia grisea centralis",
        "substantia grisea centralis mesencephali",
    ],
)
UBERONParcellation.central_gray_substance_of_pons = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/centralGraySubstanceOfPons",
    definition="'Central gray substance of pons' is a gray matter of hindbrain and central gray substance. It is part of the pontine reticular formation.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0101893"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002968#central-gray-substance-of-pons-1"),
    name="central gray substance of pons",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002968"),
    synonyms=[
        "central gray of pons",
        "central gray of the pons",
        "CGPn",
        "griseum centrale pontis",
        "pontine central gray",
    ],
)
UBERONParcellation.central_lateral_nucleus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/centralLateralNucleus",
    definition="'Central lateral nucleus' is a nucleus of dorsal thalamus. It is part of the rostral intralaminar nuclear group.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0101894"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0003036#central-lateral-nucleus-1"),
    name="central lateral nucleus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0003036"),
    synonyms=[
        "central lateral nucleus of thalamus",
        "central lateral nucleus of the thalamus",
        "central lateral thalamic nucleus",
        "centrolateral thalamic nucleus",
        "CL",
        "nucleus centralis lateralis of thalamus",
        "nucleus centralis lateralis thalami",
    ],
)
UBERONParcellation.central_lobule = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/centralLobule",
    definition="Is a cerebellum vermis lobule. Is part of the cerebellum anterior vermis. [auto-generated from properties of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0003021) ('is_a' and 'relationship')]",
    description="The central lobule is a small square lobule, situated in the anterior cerebellar notch. It overlaps the lingula, from which it is separated by the precentral fissure; laterally, it extends along the upper and anterior part of each hemisphere, where it forms a wing-like prolongation, the ala lobuli centralis. [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0003021)]",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0101897"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0003021#central-lobule-1"),
    name="central lobule",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0003021"),
    synonyms=[
        "central lobule of cerebellum",
        "central lobule of cerebellum [II and III]",
        "lobulus centralis cerebelli [ii et iii]",
    ],
)
UBERONParcellation.central_medial_nucleus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/centralMedialNucleus",
    definition="'Central medial nucleus' is a nucleus of dorsal thalamus. It is part of the rostral intralaminar nuclear group.",
    description="A small cell group in the interthalamic adhesion of the thalamus that occupy the midline region of the internal medullary lamina, between the left and right paracentral nuclei.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0101899"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0001923#central-medial-nucleus-1"),
    name="central medial nucleus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0001923"),
    synonyms=[
        "central medial nucleus of thalamus",
        "central medial nucleus of the thalamus",
        "central medial nucleus thalamus (Rioch 1928)",
        "central medial thalamic nucleus",
        "centromedial thalamic nucleus",
        "CM",
        "nucleus centralis medialis",
        "nucleus centralis medialis thalami",
    ],
)
UBERONParcellation.central_nucleus_of_inferior_colliculus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/centralNucleusOfInferiorColliculus",
    definition="'Central nucleus of inferior colliculus' is a nucleus of midbrain tectum. It is part of the inferior colliculus.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0101911"),
    knowledge_space_link=IRI(
        "https://knowledge-space.org/wiki/UBERON:0002563#central-nucleus-of-inferior-colliculus-1"
    ),
    name="central nucleus of inferior colliculus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002563"),
    synonyms=[
        "central cortex of the inferior colliculus",
        "central nucleus",
        "central nucleus of the inferior colliculus",
        "chief nucleus of inferior colliculus",
        "CIC",
        "inferior colliculus",
        "inferior colliculus central nucleus",
        "nucleus centralis (colliculi inferioris)",
        "nucleus centralis colliculi inferioris",
        "nucleus of inferior colliculus (Crosby)",
    ],
)
UBERONParcellation.central_oculomotor_nucleus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/centralOculomotorNucleus",
    definition="'Central oculomotor nucleus' is a brainstem nucleus and midbrain nucleus. It is part of the oculomotor nuclear complex.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0101912"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002960#central-oculomotor-nucleus-1"),
    name="central oculomotor nucleus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002960"),
    synonyms=[
        "C3",
        "Central nucleus of Perlia",
        "Nucleus of Perlia",
        "Spitzka's nucleus",
        "nucleus nervi oculomotorii centralis",
        "perlia nucleus of oculomotor nerve",
    ],
)
UBERONParcellation.central_sulcus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/centralSulcus",
    definition="The 'central sulcus' is a fold in the cerebral cortex of brains in vertebrates. [[WP,unvetted](http://en.wikipedia.org/wiki/Central_sulcus)]]",
    description="The central sulcus is a prominent landmark of the brain, separating the parietal lobe from the frontal lobe and the primary motor cortex from the primary somatosensory cortex. [[WP,unvetted](http://en.wikipedia.org/wiki/Central_sulcus)]]",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0101916"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002916#central-sulcus-1"),
    name="central sulcus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002916"),
    synonyms=[
        "central cerebral sulcus",
        "central fissure",
        "central sulcus of Rolando",
        "CS",
        "fissure of Rolando",
        "rolandic fissure",
        "sulcus centralis",
        "sulcus centralis (rolandi)",
        "sulcus centralis cerebri",
        "sulcus of Rolando",
    ],
)
UBERONParcellation.central_tegmental_tract = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/centralTegmentalTract",
    definition="Is a tract of brain. [auto-generated from 'is_a' property of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0009643)]",
    description="A pathway containing fibers from midbrain nuclei that project to the inferior olivary complex, as well as fibers originating in the pontine reticular formation and the medullary reticular formation that project to several nuclei of the thalamus. It can be identified in the midbrain and the pons (Adapted from Brain Info). [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0009643)]",
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0009643#central-tegmental-tract"),
    name="central tegmental tract",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0009643"),
)
UBERONParcellation.central_tegmental_tract_of_midbrain = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/centralTegmentalTractOfMidbrain",
    definition="Is a tract of brain. Is part of the midbrain tegmentum and the central tegmental tract. [auto-generated from properties of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0002585) ('is_a' and 'relationship')]",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0101918"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002585#central-tegmental-tract-of-midbrain-1"),
    name="central tegmental tract of midbrain",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002585"),
)
UBERONParcellation.central_tegmental_tract_of_pons = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/centralTegmentalTractOfPons",
    definition="Is a tract of brain. Is part of the pontine tegmentum and the central tegmental tract. [auto-generated from properties of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0002783) ('is_a' and 'relationship')]",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0101919"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002783#central-tegmental-tract-of-pons-1"),
    name="central tegmental tract of pons",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002783"),
)
UBERONParcellation.centromedian_nucleus_of_thalamus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/centromedianNucleusOfThalamus",
    definition="'Centromedian nucleus of thalamus' is a nucleus of dorsal thalamus. It is part of the intralaminar nuclear group.",
    description="In the anatomy of the brain, the centromedian nucleus, also known as the centrum medianum, (CM or Cm-Pf) is a part of the intralaminar nucleus (ILN) of the thalamus. There are two centromedian nuclei arranged bilaterally. It contains about 2000 neurons per cubic millimetre and has a volume of about 310 cubic millimetres with 664,000 neurons in total. [WP,unvetted].",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0101921"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002972#centromedian-nucleus"),
    name="centromedian nucleus of thalamus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002972"),
    synonyms=[
        "central magnocellular nucleus of thalamus",
        "central nucleus-1",
        "centre median nucleus",
        "centromedial thalamic nucleus",
        "centromedian nucleus",
        "centromedian nucleus of thalamus",
        "centromedian thalamic nucleus",
        "centrum medianum",
        "centrum medianum thalami",
        "CMn",
        "Noyau centre median of Luys",
        "nucleus centralis centralis",
        "nucleus centralis thalami (Hassler)",
        "nucleus centri mediani thalami",
        "nucleus centromedianus",
        "nucleus centromedianus thalami",
        "nucleus centrum medianum",
    ],
)
UBERONParcellation.cephalopod_optic_lobe = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/cephalopodOpticLobe",
    definition="'Cephalopod optic lobe' is a visual processing part of nervous system. It is part of the brain.",
    description="Large lobes of the brain associated with the eyes. In octopods and some squids the optic lobes may be separated from the rest of the brain by an optic stalk of varying length. In Octopus the optic lobes contain 92 million cells compared with only 42 million in the main central mass of the brain (J. Young, 1963) .",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0725883"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0006796#cephalopod-optic-lobe"),
    name="cephalopod optic lobe",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0006796"),
)
UBERONParcellation.cerebellar_central_artery = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/cerebellarCentralArtery",
    definition="Is a central artery. [auto-generated from 'is_a' property of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_2005021)]",
    description="Extend upward from the PCS, branch to provide an arterial feed to the hindbrain, then drain back down into the PHBC Isogai et al. 2001. [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_2005021)]",
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:2005021#cerebellar-central-artery"),
    name="cerebellar central artery",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_2005021"),
    synonyms=["CCtA"],
)
UBERONParcellation.cerebellar_commissure = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/cerebellarCommissure",
    definition="Is a nervous system commissure. Is part of the white matter of cerebellum. [auto-generated from properties of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0006847) ('is_a' and 'relationship')]",
    description="A nervous system commissure that connects a left hemisphere of cerebellum and connects a right hemisphere of cerebellum. [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0006847)]",
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0006847#cerebellar-commissure"),
    name="cerebellar commissure",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0006847"),
    synonyms=["commissura cerebelli", "commissure of cerebellum"],
)
UBERONParcellation.cerebellar_cortex = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/cerebellarCortex",
    definition="'Cerebellar cortex' is a gray matter of hindbrain. It is part of the cerebellum.",
    description="The superficial gray matter of the cerebellum. It consists of three main layers, the molecular layer, the Purkinje cell layer and the granule cell layer, and the white matter laminae lying deep to the granule cell layer.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0101946"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002129#cerebellar-cortex-1"),
    name="cerebellar cortex",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002129"),
    synonyms=["cortex cerebellaris", "cortex cerebelli", "cortex of cerebellar hemisphere", "cortex of cerebellum"],
)
UBERONParcellation.cerebellar_crest = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/cerebellarCrest",
    definition="Is part of the medial octavolateralis nucleus. [auto-generated from 'relationship' property of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_2000636)]",
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:2000636#cerebellar-crest"),
    name="cerebellar crest",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_2000636"),
)
UBERONParcellation.cerebellar_glomerulus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/cerebellarGlomerulus",
    definition="Is a neural glomerulus. Is part of the granular layer of cerebellar cortex. [auto-generated from properties of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0011915) ('is_a' and 'relationship')]",
    description="An intertwined cluster of nerve fibers surrounded by glia where mossy fibers from the pontine nuclei in the white matter synapse with granule cell axons, Golgi cell axons and unipolar brush interneuron axons. [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0011915)]",
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0011915#cerebellar-glomerulus"),
    name="cerebellar glomerulus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0011915"),
)
UBERONParcellation.cerebellar_hemisphere = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/cerebellarHemisphere",
    definition="Is a regional part of cerebellar cortex. [auto-generated from 'is_a' property of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0002245)]",
    description="A paired regions of the cerebellum that lie outside and lateral to the central vermis. The cerebellum consists of three parts, a median and two lateral, which are continuous with each other, and are substantially the same in structure. The median portion is constricted, and is called the vermis, from its annulated appearance which it owes to the transverse ridges and furrows upon it; the lateral expanded portions are named the hemispheres. The lateral hemisphere is considered the portion of the cerebellum to develop most recently. [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0002245)]",
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002245#cerebellar-hemisphere-1"),
    name="cerebellar hemisphere",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002245"),
    synonyms=[
        "cerebellum hemisphere",
        "hemisphere of cerebellum",
        "hemisphere of cerebellum [H II - H X]",
        "hemispherium cerebelli [H II - H X]",
        "hemispherium cerebelli [hII-hX]",
    ],
)
UBERONParcellation.cerebellar_layer = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/cerebellarLayer",
    definition="'Cerebellar layer' is a central nervous system cell part cluster and central nervous system gray matter layer. It is part of the cerebellar cortex.",
    description="A cortical cell layer of the cerebellum. Examples:  the granular (inner+outer) layer, molecular layer, Purkinje cell layer, and the ventricular layer of the embryo.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0732371"),
    name="cerebellar layer",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0004130"),
)
UBERONParcellation.cerebellar_nuclear_complex = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/cerebellarNuclearComplex",
    definition="Is a nuclear complex of neuraxis and gray matter of hindbrain. Is part of the cerebellum. [auto-generated from properties of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0002130) ('is_a' and 'relationship')]",
    description="The gray matter nuclei located in the center of the cerebellum, embedded in the white matter, which receive inhibitory (GABAergic) inputs from Purkinje cells in the cerebellar cortex and excitatory (glutamatergic) inputs from mossy fiber pathways; all output fibers of the cerebellum originate from the these nuclei. [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0002130)]",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0102971"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002130#deep-cerebellar-nuclear-complex"),
    name="cerebellar nuclear complex",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002130"),
    synonyms=[
        "central nuclei",
        "cerebellar nuclei",
        "deep cerebellar nuclear complex",
        "deep cerebellar nuclei",
        "intracerebellar nuclei",
        "intrinsic nuclei of cerebellum",
        "nuclei cerebelli",
        "roof nuclei-2",
    ],
)
UBERONParcellation.cerebellar_peduncle = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/cerebellarPeduncle",
    definition="Is a peduncle of neuraxis and brainstem white matter. Is part of the cerebellar peduncular complex. [auto-generated from properties of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0007416) ('is_a' and 'relationship')]",
    description="Any of the three large paired bundles of nerve fibers that connect the cerebellum to the brain stem. [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0007416)]",
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0007416#cerebellar-peduncle"),
    name="cerebellar peduncle",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0007416"),
)
UBERONParcellation.cerebellar_peduncular_complex = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/cerebellarPeduncularComplex",
    definition="Is a regional part of brain. Is part of the white matter of cerebellum and the brainstem white matter. [auto-generated from properties of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0002474) ('is_a' and 'relationship')]",
    description="A composite structure of the brain stem, which is subdivided into the superior cerebellar peduncle of pons, the decussation of superior cerebellar peduncle and the superior cerebellar peduncle of midbrain (MM). [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0002474)]",
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002474#cerebellar-penducular-complex"),
    name="cerebellar peduncular complex",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002474"),
    synonyms=[
        "cerebellar peduncles",
        "cerebellar peduncles and decussations",
        "cerebellar peduncles set",
        "cerebellum peduncles",
        "pedunculi cerebellares",
    ],
)
UBERONParcellation.cerebellar_plate = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/cerebellarPlate",
    definition="Is part of the cerebellum. [auto-generated from 'relationship' property of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0004008)]",
    description="The embryonic pseudostratified epithelium of the fourth cerebellar ventricle that eventually forms the vermis and ventral neuroepithelium. [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0004008)]",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0729245"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0004008#cerebellar-plate"),
    name="cerebellar plate",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0004008"),
    synonyms=["cerebellum plate"],
)
UBERONParcellation.cerebellar_vermis = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/cerebellarVermis",
    definition="Is a regional part of cerebellar cortex. [auto-generated from 'is_a' property of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0004720)]",
    description="A subregion of the cerebellar cortex, consisting of the most medial zone of the cerebellar cortex, stradding the midline. May be continuous with the lateral cerebellar hemispheres in some areas of the cerebellum, e.g., dorsally, or separated by deeper fissures in others (e.g., ventrally) [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0004720)]",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0112392"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0004720#vermis"),
    name="cerebellar vermis",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0004720"),
    synonyms=[
        "cerebellum vermis",
        "vermal parts of the cerebellum",
        "vermal regions",
        "vermis cerebelli [I-X]",
        "vermis of cerebellum",
        "vermis of cerebellum [I-X]",
    ],
)
UBERONParcellation.cerebellum = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/cerebellum",
    definition="Is a regional part of brain. Is part of the metencephalon. [auto-generated from properties of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0002037) ('is_a' and 'relationship')]",
    description="Part of the metencephalon that lies in the posterior cranial fossa behind the brain stem. It is concerned with the coordination of movement. A large dorsally projecting part of the brain concerned especially with the coordination of muscles and the maintenance of bodily equilibrium, situated between the brain stem and the back of the cerebrum , and formed in humans of two lateral lobes and a median lobe. Brain structure derived from the anterior hindbrain, and perhaps including posterior midbrain. The cerebellum plays a role in somatic motor function, the control of muscle tone, and balance. [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0002037)]",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0101963"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002037#cerebellum-1"),
    name="cerebellum",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002037"),
    synonyms=["epencephalon-1"],
)
UBERONParcellation.cerebellum_anterior_vermis = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/cerebellumAnteriorVermis",
    definition="Is a cerebellar vermis. Is part of the anterior lobe of cerebellum. [auto-generated from properties of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0003941) ('is_a' and 'relationship')]",
    description="The anterior portion of the narrow middle zone between the two hemispheres of the cerebellum that is located anterior to the primary fissure. [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0003941)]",
    knowledge_space_link=IRI(
        "https://knowledge-space.org/wiki/UBERON:0003941#vermis-of-the-anterior-lobe-of-the-cerebellum"
    ),
    name="cerebellum anterior vermis",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0003941"),
    synonyms=[
        "anterior cerebellum vermis",
        "anterior vermis of cerebellum",
        "part of vermal region",
        "vermis lobus anterior",
        "vermis of anterior lobe",
        "vermis of anterior lobe of cerebellum",
        "vermis of the anterior lobe of the cerebellum",
    ],
)
UBERONParcellation.cerebellum_fissure = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/cerebellumFissure",
    definition="'Cerebellum fissure' is a subarachnoid fissure. It is part of the cerebellum.",
    description="One of a set of deep furrows which divide the lobules of the cerebellum. Examples:  postcentral, primary and secondary furrows.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0728095"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0003980#cerebellum-fissure"),
    name="cerebellum fissure",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0003980"),
)
UBERONParcellation.cerebellum_globose_nucleus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/cerebellumGloboseNucleus",
    definition="'Cerebellum globose nucleus' is a cerebellum interpositus nucleus.",
    description="One of two nuclei comprising the interpositus cerebellar nuclear complex of the deep cerebellar nuclei.  It is  recognized in human cerebellum but is not distinguishable in all mammalian species.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0104655"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002613#globose-nucleus"),
    name="cerebellum globose nucleus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002613"),
    synonyms=[
        "Glo",
        "globose nucleus",
        "medial interposed nucleus",
        "medial interpositus (globose) nucleus",
        "medial interpositus nucleus",
        "nuclei globosi",
        "nucleus globosus",
        "nucleus globosus cerebelli",
        "nucleus interpositus posterior",
        "nucleus interpositus posterior cerebelli",
        "posterior interposed nucleus",
        "posterior interpositus nucleus",
    ],
)
UBERONParcellation.cerebellum_hemisphere_lobule = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/cerebellumHemisphereLobule",
    definition="Is a cerebellum lobule. Is part of the cerebellar hemisphere. [auto-generated from properties of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0004003) ('is_a' and 'relationship')]",
    description="The region of a cerebellar lobule that resides in either of the lateral sections of the cerebellum outside the vermis; in mammals, the vermis portion of the cerebellum has a foliation pattern along the AP axis that is distinct from the lateral cerebellar hemispheres. [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0004003)]",
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0004003#cerebellum-hemisphere-lobule"),
    name="cerebellum hemisphere lobule",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0004003"),
    synonyms=["cerebellar hemisphere lobule", "lobule of cerebellar hemisphere", "lobule of hemisphere of cerebellum"],
)
UBERONParcellation.cerebellum_hemispheric_lobule_ii = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/cerebellumHemisphericLobuleII",
    definition="Is a cerebellum hemisphere lobule and hemisphere part of cerebellar anterior lobe. [auto-generated from 'is_a' property of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0023998)]",
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0023998#cerebellum-hemispheric-lobule-ii"),
    name="cerebellum hemispheric lobule II",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0023998"),
    synonyms=[
        "hemispheric lobule ii",
        "lobule H II of Larsell",
        "lobule II of cerebellar hemisphere",
        "lobule II of hemisphere of cerebellum",
    ],
)
UBERONParcellation.cerebellum_hemispheric_lobule_iii = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/cerebellumHemisphericLobuleIII",
    definition="Is a cerebellum hemisphere lobule and hemisphere part of cerebellar anterior lobe. [auto-generated from 'is_a' property of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0023999)]",
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0023999#cerebellum-hemispheric-lobule-iii"),
    name="cerebellum hemispheric lobule III",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0023999"),
    synonyms=[
        "hemispheric lobule III",
        "lobule H III of Larsell",
        "lobule III of cerbellar hemisphere",
        "lobule III of hemisphere of cerebellum",
    ],
)
UBERONParcellation.cerebellum_hemispheric_lobule_iv = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/cerebellumHemisphericLobuleIV",
    definition="Is a cerebellum hemisphere lobule and hemisphere part of cerebellar anterior lobe. [auto-generated from 'is_a' property of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0024000)]",
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0024000#cerebellum-hemispheric-lobule-iv"),
    name="cerebellum hemispheric lobule IV",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0024000"),
    synonyms=["hemispheric lobule IV", "lobule H IV of Larsell", "lobule IV of cerebellar hemisphere"],
)
UBERONParcellation.cerebellum_hemispheric_lobule_v = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/cerebellumHemisphericLobuleV",
    definition="Is a cerebellum hemisphere lobule and hemisphere part of cerebellar anterior lobe. [auto-generated from 'is_a' property of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0024001)]",
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0024001#cerebellum-hemispheric-lobule-v"),
    name="cerebellum hemispheric lobule V",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0024001"),
    synonyms=["hemispheric lobule V", "lobule H V of Larsell", "lobule V of cerebellar hemisphere"],
)
UBERONParcellation.cerebellum_hemispheric_lobule_vii = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/cerebellumHemisphericLobuleVII",
    definition="Is a cerebellum hemisphere lobule. [auto-generated from 'is_a' property of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0024003)]",
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0024003#cerebellum-hemispheric-lobule-vii"),
    name="cerebellum hemispheric lobule VII",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0024003"),
    synonyms=["hemispheric lobule VII"],
)
UBERONParcellation.cerebellum_hemispheric_lobule_x = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/cerebellumHemisphericLobuleX",
    definition="Is a cerebellum hemisphere lobule and flocculonodular lobe, hemisphere portion. [auto-generated from 'is_a' property of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0024009)]",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0104945"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0024009#cerebellum-hemispheric-lobule-x"),
    name="cerebellum hemispheric lobule X",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0024009"),
    synonyms=["hemispheric lobule X"],
)
UBERONParcellation.cerebellum_intermediate_zone = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/cerebellumIntermediateZone",
    definition="Is a regional part of cerebellar cortex. Is part of the cerebellar hemisphere and the spinocerebellum. [auto-generated from properties of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0004006) ('is_a' and 'relationship')]",
    description="The paired regions of the cerebellar hemisphere that lie adjacent to the vermis and are between the vermis and lateral regions of the hemispheres; it receives input from the corticopontocerebellar fibers that originate from the motor cortex, and also receives sensory feedback from the muscles; these signals are integrated by this region, to coordinate muscle activity with motor inputs. [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0004006)]",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0101956"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0004006#cerebellar-paravermis"),
    name="cerebellum intermediate zone",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0004006"),
    synonyms=[
        "cerebellar paravermis",
        "cerebellum intermediate hemisphere",
        "intermediate part of spinocerebellum",
        "intermediate zone",
        "paravermis",
    ],
)
UBERONParcellation.cerebellum_interpositus_nucleus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/cerebellumInterpositusNucleus",
    definition="'Cerebellum interpositus nucleus' is a nucleus of cerebellar nuclear complex.",
    description="The nucleus composed of the globose and emoliform nuclei of the cerebellum; in some mammalian species the globose nucleus is not distinguishable",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0105602"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0004073#interpositus-nucleus"),
    name="cerebellum interpositus nucleus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0004073"),
    synonyms=[
        "Int",
        "interposed cerebellar nuclei",
        "interposed nucleus",
        "interposed nucleus of cerebellum",
        "interposed nucleus of the cerebellum",
        "interpositus",
        "interpositus nucleus",
    ],
)
UBERONParcellation.cerebellum_lobe = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/cerebellumLobe",
    definition="Is a regional part of cerebellar cortex. [auto-generated from 'is_a' property of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0005293)]",
    description="A major subdivision of the cerebellum: anterior, posterior and flocculonodular. [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0005293)]",
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0005293#lobe-parts-of-the-cerebellar-cortex"),
    name="cerebellum lobe",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0005293"),
    synonyms=["cerebellar lobe", "lobe of cerebellum", "lobe parts of the cerebellar cortex"],
)
UBERONParcellation.cerebellum_lobule = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/cerebellumLobule",
    definition="Is a regional part of cerebellar cortex. [auto-generated from 'is_a' property of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0004004)]",
    description="One of the the ten gyri of the cerebellar cortex. [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0004004)]",
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0004004#lobular-parts-of-the-cerebellar-cortex"),
    name="cerebellum lobule",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0004004"),
    synonyms=["lobular parts of the cerebellar cortex"],
)
UBERONParcellation.cerebellum_marginal_layer = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/cerebellumMarginalLayer",
    definition="'Cerebellum marginal layer' is a hindbrain marginal layer. It is part of the cerebellum.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0734731"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0034708#cerebellum-marginal-layer"),
    name="cerebellum marginal layer",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0034708"),
)
UBERONParcellation.cerebellum_posterior_vermis = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/cerebellumPosteriorVermis",
    definition="Is a cerebellar vermis. Is part of the posterior lobe of cerebellum. [auto-generated from properties of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0004009) ('is_a' and 'relationship')]",
    description="The posterior portion of the narrow middle zone between the two hemispheres of the cerebellum that is located posterior to the primary fissure. [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0004009)]",
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0004009#cerebellum-posterior-vermis"),
    name="cerebellum posterior vermis",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0004009"),
    synonyms=[
        "posterior cerebellum vermis",
        "vermis lobus posterior",
        "vermis of posterior lobe",
        "vermis of posterior lobe of cerebellum",
        "vermis of the posterior lobe of the cerebellum",
    ],
)
UBERONParcellation.cerebellum_vasculature = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/cerebellumVasculature",
    definition="Is a vasculature of central nervous system. Is part of the cerebellum. [auto-generated from properties of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0006694) ('is_a' and 'relationship')]",
    description="A vasculature that is part of a cerebellum. [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0006694)]",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0729550"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0006694#cerebellum-vasculature"),
    name="cerebellum vasculature",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0006694"),
)
UBERONParcellation.cerebellum_vermis_culmen = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/cerebellumVermisCulmen",
    definition="Is a cerebellum vermis lobule. Is part of the cerebellum anterior vermis. [auto-generated from properties of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0007763) ('is_a' and 'relationship')]",
    description="The culmen is the portion of the anterior vermis adjacent to the primary fissure of cerebellum. The culmen and the anterior parts of the quadrangular lobules form the lobus culminis. [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0007763)]",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0102659"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0007763#culmen"),
    name="cerebellum vermis culmen",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0007763"),
    synonyms=["cerebellum culmen", "culmen lobule", "neuraxis culmen"],
)
UBERONParcellation.cerebellum_vermis_lobule = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/cerebellumVermisLobule",
    definition="Is a cerebellum lobule. Is part of the cerebellar vermis. [auto-generated from properties of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0004070) ('is_a' and 'relationship')]",
    description="The region of a cerebellar lobule that resides in the central section of the cerebellum between the two hemispheres. [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0004070)]",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0109877"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0004070#cerebellum-vermis-lobule"),
    name="cerebellum vermis lobule",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0004070"),
    synonyms=["lobule of vermis"],
)
UBERONParcellation.cerebellum_vermis_lobule_i = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/cerebellumVermisLobuleI",
    definition="Is a cerebellum vermis lobule. Is part of the cerebellum anterior vermis. [auto-generated from properties of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0004074) ('is_a' and 'relationship')]",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0112394"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0004074#vermic-lobule-i"),
    name="cerebellum vermis lobule I",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0004074"),
    synonyms=[
        "lingula (I)",
        "lingula of anterior cerebellum vermis",
        "lingula of cerebellum",
        "lobule I of cerebellum vermis",
        "neuraxis lingula",
        "vermic lobule I",
    ],
)
UBERONParcellation.cerebellum_vermis_lobule_ii = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/cerebellumVermisLobuleII",
    definition="Is a cerebellum vermis lobule. Is part of the central lobule. [auto-generated from properties of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0004075) ('is_a' and 'relationship')]",
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0004075#cerebellum-vermis-lobule-ii"),
    name="cerebellum vermis lobule II",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0004075"),
    synonyms=["lobule II", "lobule II of cerebellum vermis", "vermic lobule II"],
)
UBERONParcellation.cerebellum_vermis_lobule_iii = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/cerebellumVermisLobuleIII",
    definition="Is a cerebellum vermis lobule. Is part of the central lobule. [auto-generated from properties of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0004076) ('is_a' and 'relationship')]",
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0004076#cerebellum-vermis-lobule-iii"),
    name="cerebellum vermis lobule III",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0004076"),
    synonyms=["lobule III", "lobule III of cerebellum vermis", "vermic lobule III"],
)
UBERONParcellation.cerebellum_vermis_lobule_iv = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/cerebellumVermisLobuleIV",
    definition="Is a cerebellum vermis lobule. Is part of the cerebellum vermis culmen. [auto-generated from properties of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0004077) ('is_a' and 'relationship')]",
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0004077#cerebellum-vermis-lobule-iv"),
    name="cerebellum vermis lobule IV",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0004077"),
    synonyms=["lobule IV of cerebellum vermis", "vermic lobule IV"],
)
UBERONParcellation.cerebellum_vermis_lobule_ix = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/cerebellumVermisLobuleIX",
    definition="Is a cerebellum vermis lobule. Is part of the flocculonodular lobe. [auto-generated from properties of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0004078) ('is_a' and 'relationship')]",
    description="The uvula (uvular lobe) forms a considerable portion of the inferior vermis; it is separated on either side from the tonsil by the sulcus valleculC&, at the bottom of which it is connected to the tonsil by a ridge of gray matter, indented on its surface by shallow furrows, and hence called the furrowed band. [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0004078)]",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0112398"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0004078#cerebellum-vermis-lobule-ix"),
    name="cerebellum vermis lobule IX",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0004078"),
    synonyms=[
        "cerebellar posterior vermis lobule IX",
        "lobule IX of cerebellar posterior vermis",
        "lobule IX of cerebellum vermis",
        "neuraxis uvula",
        "uvula (IX)",
        "uvula [vermis]",
        "uvula of cerebellum",
        "uvula of vermis of cerebellum",
        "vermic lobule IX",
    ],
)
UBERONParcellation.cerebellum_vermis_lobule_v = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/cerebellumVermisLobuleV",
    definition="Is a cerebellum vermis lobule. Is part of the cerebellum vermis culmen. [auto-generated from properties of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0004079) ('is_a' and 'relationship')]",
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0004079#cerebellum-vermis-lobule-v"),
    name="cerebellum vermis lobule V",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0004079"),
    synonyms=[
        "lobule V",
        "lobule V (culmen and quadrangular lobule, posterior part)",
        "lobule V of cerebellum vermis",
        "vermic lobule V",
    ],
)
UBERONParcellation.cerebellum_vermis_lobule_vi = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/cerebellumVermisLobuleVI",
    definition="Is a cerebellum vermis lobule. Is part of the cerebellum posterior vermis. [auto-generated from properties of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0004080) ('is_a' and 'relationship')]",
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0004080#cerebellum-vermis-lobule-vi"),
    name="cerebellum vermis lobule VI",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0004080"),
    synonyms=[
        "declive (VI)",
        "declive of cerebellum",
        "declive of vermis of cerebellum",
        "lobule VI (declive and simplex lobule)",
        "lobule VI of cerebellum vermis",
        "neuraxis declive",
        "vermic lobule vi",
    ],
)
UBERONParcellation.cerebellum_vermis_lobule_vii = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/cerebellumVermisLobuleVII",
    definition="Is a cerebellum vermis lobule. Is part of the cerebellum posterior vermis. [auto-generated from properties of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0004081) ('is_a' and 'relationship')]",
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0004081#cerebellum-vermis-lobule-vii"),
    name="cerebellum vermis lobule VII",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0004081"),
    synonyms=["folium-tuber vermis (VII)", "lobule VII of cerebellum vermis", "vermic lobule VII"],
)
UBERONParcellation.cerebellum_vermis_lobule_vii_af = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/cerebellumVermisLobuleVIIAf",
    definition="Is a regional part of cerebellar cortex. Is part of the cerebellum posterior vermis. [auto-generated from properties of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0036044) ('is_a' and 'relationship')]",
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0036044#cerebellum-vermis-lobule-viiaf"),
    name="cerebellum vermis lobule VIIAf",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0036044"),
    synonyms=["lobule VIIAf/crus I (folium and superior semilunar lobule)", "VIIAf"],
)
UBERONParcellation.cerebellum_vermis_lobule_vii_at = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/cerebellumVermisLobuleVIIAt",
    definition="Is a regional part of cerebellar cortex. Is part of the cerebellum posterior vermis. [auto-generated from properties of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0036065) ('is_a' and 'relationship')]",
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0036065#cerebellum-vermis-lobule-viiat"),
    name="cerebellum vermis lobule VIIAt",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0036065"),
    synonyms=["lobule VIIAt/crus II (tuber and inferior semilunar lobule)", "VIIAt"],
)
UBERONParcellation.cerebellum_vermis_lobule_viia = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/cerebellumVermisLobuleVIIA",
    definition="Is a cerebellum vermis lobule VII. [auto-generated from 'is_a' property of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0005345)]",
    description="The folium vermis is a short, narrow, concealed band at the posterior extremity of the vermis, consisting apparently of a single folium, but in reality marked on its upper and under surfaces by secondary fissures. Laterally, it expands in either hemisphere into a considerable lobule, the superior semilunar lobule (lobulus semilunaris superior; postero-superior lobules), which occupies the posterior third of the upper surface of the hemisphere, and is bounded below by the horizontal sulcus. The superior semilunar lobules and the folium vermis form the lobus semilunaris. [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0005345)]",
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0005345#cerebellum-vermis-lobule-viia"),
    name="cerebellum vermis lobule VIIA",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0005345"),
    synonyms=["folium of vermis of cerebellum", "vermic lobule VIIA"],
)
UBERONParcellation.cerebellum_vermis_lobule_viib = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/cerebellumVermisLobuleVIIB",
    definition="Is a cerebellum vermis lobule VII. [auto-generated from 'is_a' property of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0005346)]",
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0005346#cerebellum-vermis-lobule-viib"),
    name="cerebellum vermis lobule VIIB",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0005346"),
    synonyms=["lobule VII B of vermis", "neuraxis tuber", "tuber of vermis of cerebellum", "vermic lobule VIIb"],
)
UBERONParcellation.cerebellum_vermis_lobule_viii = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/cerebellumVermisLobuleVIII",
    definition="Is a cerebellum vermis lobule. Is part of the cerebellum posterior vermis. [auto-generated from properties of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0004082) ('is_a' and 'relationship')]",
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0004082#cerebellum-vermis-lobule-viii"),
    name="cerebellum vermis lobule VIII",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0004082"),
    synonyms=[
        "cerebellum lobule VIII",
        "lobule VIII of cerebellum vermis",
        "neuraxis pyramis",
        "neuraxis pyramus",
        "pyramis",
        "pyramis of vermis of cerebellum",
        "pyramus (VIII)",
        "pyramus of cerebellum",
        "pyramus of vermis of cerebellum",
        "vermic lobule VIII",
    ],
)
UBERONParcellation.cerebellum_vermis_lobule_x = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/cerebellumVermisLobuleX",
    definition="Is a cerebellum vermis lobule. Is part of the flocculonodular lobe. [auto-generated from properties of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0004083) ('is_a' and 'relationship')]",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0112405"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0004083#vermic-lobule-x"),
    name="cerebellum vermis lobule X",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0004083"),
    synonyms=[
        "lobule X of cerebellum vermis",
        "neuraxis nodule",
        "neuraxis nodulus",
        "nodulus (X)",
        "nodulus of cerebellum",
        "nodulus of vermis of cerebellum",
        "vermic lobule X",
    ],
)
UBERONParcellation.cerebral_blood_vessel = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/cerebralBloodVessel",
    definition="Is a brain blood vessel. Is part of the cerebellum. [auto-generated from properties of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0016565) ('is_a' and 'relationship')]",
    description="A blood vessel that is part of a cerebellum. [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0016565)]",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0732836"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0016565#cerebral-blood-vessel"),
    name="cerebral blood vessel",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0016565"),
)
UBERONParcellation.cerebral_cortex = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/cerebralCortex",
    definition="'Cerebral cortex' is a central nervous system cell part cluster and central nervous system gray matter layer. It is part of the pallium and cerebral hemisphere gray matter.",
    description="The thin layer of gray matter on the surface of the cerebral hemisphere that develops from the telencephalon.  It consists of the neocortex (6 layered cortex or isocortex), the hippocampal formation and the olfactory cortex.The '''cerebral cortex''' is a sheet of neural tissue that is outermost to the cerebrum of the mammalian brain. It plays a key role in memory, attention, perceptual awareness, thought, language, and consciousness. It is constituted of up to six horizontal layers, each of which has a different composition in terms of neurons and connectivity.One of the 10 basic divisions of the cerebrospinal axi. The cerebral cortex is the dorsal topographic division of the endbrain (Kuhlenbeck, 1927), with a basically radial, laminated architecture. The cerebral cortex was described and illustrated for macrodissected adult humans by Vesalius (1543), and the term itself was introduced for macrodissected adult humans by Bauhin (1605).",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0101978"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0000956#cerebral-cortex-1"),
    name="cerebral cortex",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0000956"),
    synonyms=[
        "brain cortex",
        "cortex",
        "cortex cerebralis",
        "cortex cerebri",
        "cortex of cerebral hemisphere",
        "cortex of cerebrum",
        "cortical plate (areas)",
        "cortical plate (CTXpl)",
        "Cx",
        "pallium of the brain",
    ],
)
UBERONParcellation.cerebral_cortex_marginal_layer = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/cerebralCortexMarginalLayer",
    definition="'Cerebral cortex marginal layer' is a layer of developing cerebral cortex. It is part of the brain marginal zone.",
    description="Developing superficial cortical layer located just under the pia matter, develops from the marginal layer of the neural tube and becomes cortical layer I.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0726687"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0014935#cerebral-cortex-marginal-layer"),
    name="cerebral cortex marginal layer",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0014935"),
)
UBERONParcellation.cerebral_crus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/cerebralCrus",
    definition="'Cerebral crus' is a white matter of midbrain. It is part of the cerebral peduncle.",
    description="The cerebral crus is the most anterior portion of the midbrain which consists of a massive band of nerve fibers originating primarily from the cerebral cortex.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0101990"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002631#cerebral-crus-1"),
    name="cerebral crus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002631"),
    synonyms=[
        "basal part",
        "base of cerebral peduncle",
        "basis cerebri (Oertel)",
        "basis pedunculi (Oertel)",
        "basis pedunculi cerebri (Willis)",
        "ccr",
        "cerebral peduncle",
        "cerebral peduncle (clinical definition)",
        "crura cerebri",
        "crus cerebri",
        "crus of the cerebral peduncle",
        "pars basalis",
        "pars neo-encephalica pedunculi",
        "pedunculus cerebri",
        "pes pedunculi",
        "pes pedunculi of midbrain",
    ],
)
UBERONParcellation.cerebral_hemisphere = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/cerebralHemisphere",
    definition="'Cerebral hemisphere' is part of the telencephalon.",
    description="Gross division of the brain.  The term cerebrum has several definitions ranging in generality from equivalence to the term 'brain' to the sum of the left cerebral hemisphere and right hemisphere, to a composite structure consisting of the cerebral cortex and adjacent cerebral white matter. A thorough discussion of the nature and history of the different definitions is presented in Anthoney-94 (NeuroNames).",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0102003"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0001869#cerebrum"),
    name="cerebral hemisphere",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0001869"),
    synonyms=[
        "cerebrum",
        "hemisphere",
        "hemispheric regions",
        "hemispherium cerebri",
        "medial amygdalar nucleus",
        "nucleus amygdaloideus medialis",
        "nucleus medialis amygdalae",
    ],
)
UBERONParcellation.cerebral_hemisphere_white_matter = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/cerebralHemisphereWhiteMatter",
    definition="'Cerebral hemisphere white matter' is a white matter of telencephalon. It is part of the cerebral hemisphere.",
    description="White matter is one of the two main solid components of the central nervous system. It is composed of myelinated nerve cell processes, or axons, which connect various grey matter areas (the locations of nerve cell bodies) of the brain to each other and carry nerve impulses between neurons. Cerebral and spinal white matter do not contain dendrites, which can only be found in grey matter along with neural cell bodies and shorter axons (Christine Fennema-Notestine).",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0101998"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002437#cerebral-white-matter"),
    name="cerebral hemisphere white matter",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002437"),
    synonyms=[
        "cerebral hemisphere white matter",
        "cerebral white matter",
        "hemisphere white matter",
        "region of cerebral white matter",
        "substantia medullaris cerebri",
        "white matter structure of cerebral hemisphere",
    ],
)
UBERONParcellation.cerebral_peduncle = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/cerebralPeduncle",
    definition="'Cerebral peduncle' is a peduncle of neuraxis and white matter of midbrain.",
    description="Synonym for macrodissected adult human tegmentum (Vicq d'Azyr, 1784; Swanson, 2000); pp. 555-556. Later used thus by for example His (1893b, p. 178), Herrick (1915, p. 160), Strong & Elwyn (1943, p. 17), Carpenter (1976, p. 367), Williams & Warwick (1980, p. 935).",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0101996"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002623#cerebral-peduncle-1"),
    name="cerebral peduncle",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002623"),
    synonyms=[
        "cerebal peduncle",
        "cerebral peduncle",
        "cerebral peduncle (archaic)",
        "CP",
        "peduncle of midbrain",
        "pedunculi cerebri",
        "pedunculus cerebralis",
        "pedunculus cerebri",
        "tegmentum",
    ],
)
UBERONParcellation.cerebral_subcortex = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/cerebralSubcortex",
    definition="'Cerebral subcortex' is part of the brain.",
    description="The layer located below the cerebral cortex that includes the forebrain, midbrain and hindbrain.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0729745"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0000454#cerebral-subcortex"),
    name="cerebral subcortex",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0000454"),
)
UBERONParcellation.cerebral_vein = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/cerebralVein",
    definition="Is a brain blood vessel. Is part of the telencephalon. [auto-generated from properties of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0001663) ('is_a' and 'relationship')]",
    description="The cerebral veins are divisible into external and internal groups according to the outer surfaces or the inner parts of the hemispheres they drain into. The external veins are the superior cerebral veins, inferior cerebral veins, and middle cerebral vein. [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0001663)]",
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0001663#cerebral-vein"),
    name="cerebral vein",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0001663"),
)
UBERONParcellation.cerebrocerebellum = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/cerebrocerebellum",
    definition="Is a regional part of cerebellar cortex. Is part of the cerebellar hemisphere. [auto-generated from properties of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0014644) ('is_a' and 'relationship')]",
    description="The part of the cerebellar cortex that receives input from the cerebral cortex via axons from the pontine relay nuclei. [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0014644)]",
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0014644#cerebrocerebellum"),
    name="cerebrocerebellum",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0014644"),
    synonyms=["cerebellum lateral hemisphere", "cerebellum lateral zone", "neocerebellum", "pontocerebellum"],
)
UBERONParcellation.chemoarchitectural_part_of_brain = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/chemoarchitecturalPartOfBrain",
    definition="'Chemoarchitectural part of brain' is a regional part of brain.",
    description="Regional part of an anatomical region that is revealed by the use of a stain that reveals chemoarchitecture.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0102072"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0024090#chemoarchitectural-part"),
    name="chemoarchitectural part of brain",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0024090"),
    synonyms=["chemoarchitectural part"],
)
UBERONParcellation.chemoarchitectural_part_of_striatum = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/chemoarchitecturalPartOfStriatum",
    definition="'Chemoarchitectural part of striatum' is a chemoarchitectural part of brain. It is part of the striatum.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0102073"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0025736#chemoarchitectural-part-of-striatum"),
    name="chemoarchitectural part of striatum",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0025736"),
)
UBERONParcellation.chemosensory_organ = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/chemosensoryOrgan",
    definition="Is an anatomical entity. Is part of the nervous system. [auto-generated from properties of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0000005) ('is_a' and 'relationship')]",
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0000005#chemosensory-organ"),
    name="chemosensory organ",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0000005"),
    synonyms=["chemosensory sensory organ"],
)
UBERONParcellation.choroid_plexus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/choroidPlexus",
    definition="'Choroid plexus' is a brain ventricle/choroid plexus and vasculature of central nervous system. It is part of the brain ventricle and tela choroidea.",
    description="A structure consisting of modified ependymal cells in the ventricles of the brain responsible for the production of cerebral spinal fluid (CSFF).",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0102142"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0001886#choroid-plexus-1"),
    name="choroid plexus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0001886"),
    synonyms=[
        "chorioid plexus",
        "choroid plexus",
        "choroid plexus of cerebral hemisphere",
        "CP",
        "plexus choroideus",
        "ventricular choroid plexus",
    ],
)
UBERONParcellation.choroid_plexus_corpora_arenacea = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/choroidPlexusCorporaArenacea",
    definition="'Choroid plexus corpora arenacea' is a calcified structure of brain. It is part of the choroid plexus.",
    description="A calcified structure of brain that is part of a choroid plexus.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0728330"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0017633#choroid-plexus-corpora-arenacea"),
    name="choroid plexus corpora arenacea",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0017633"),
)
UBERONParcellation.choroid_plexus_epithelium = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/choroidPlexusEpithelium",
    definition="'Choroid plexus epithelium' is part of the choroid plexus.",
    description="The epithelial component of the choroid plexus. Consists of cuboidal epithelial cells surrounding a core of capillaries and loose connective tissue.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0726675"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0003911#choroid-plexus-epithelium"),
    name="choroid plexus epithelium",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0003911"),
)
UBERONParcellation.choroid_plexus_of_fourth_ventricle = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/choroidPlexusOfFourthVentricle",
    definition="Is a choroid plexus and cerebellum vasculature. Is part of the fourth ventricle. [auto-generated from properties of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0002290) ('is_a' and 'relationship')]",
    description="Choroid plexus of the fourth ventricle. [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0002290)]",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0102143"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002290#choroid-plexus-of-fourth-ventricle"),
    name="choroid plexus of fourth ventricle",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002290"),
    synonyms=[
        "chorioid plexus of cerebral hemisphere of fourth ventricle",
        "chorioid plexus of fourth ventricle",
        "choroid plexus fourth ventricle",
        "fourth ventricle chorioid plexus of cerebral hemisphere",
        "fourth ventricle choroid plexus",
    ],
)
UBERONParcellation.choroid_plexus_of_lateral_ventricle = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/choroidPlexusOfLateralVentricle",
    definition="Is a choroid plexus. Is part of the telencephalic ventricle. [auto-generated from properties of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0002307) ('is_a' and 'relationship')]",
    description="Part of choroid plexus contained in the lateral ventricle. [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0002307)]",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0102144"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002307#choroid-plexus-of-lateral-ventricle"),
    name="choroid plexus of lateral ventricle",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002307"),
    synonyms=[
        "chorioid plexus of cerebral hemisphere of lateral ventricle",
        "chorioid plexus of lateral ventricle",
        "choroid plexus telencephalic ventricle",
        "lateral ventricle chorioid plexus of cerebral hemisphere",
        "lateral ventricle choroid plexus",
    ],
)
UBERONParcellation.choroid_plexus_of_tectal_ventricle = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/choroidPlexusOfTectalVentricle",
    definition="Is a choroid plexus. Is part of the midbrain cerebral aqueduct. [auto-generated from properties of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0007299) ('is_a' and 'relationship')]",
    description="A choroid plexus that is part of a cerebral aqueduct. [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0007299)]",
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0007299#choroid-plexus-of-tectal-ventricle"),
    name="choroid plexus of tectal ventricle",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0007299"),
    synonyms=["choroid plexus tectal ventricle"],
)
UBERONParcellation.choroid_plexus_of_third_ventricle = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/choroidPlexusOfThirdVentricle",
    definition="Is a choroid plexus. Is part of the third ventricle. [auto-generated from properties of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0002288) ('is_a' and 'relationship')]",
    description="Part of choroid plexus contained in the third ventricle. [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0002288)]",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0102145"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002288#choroid-plexus-of-third-ventricle"),
    name="choroid plexus of third ventricle",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002288"),
    synonyms=[
        "chorioid plexus of cerebral hemisphere of third ventricle",
        "chorioid plexus of third ventricle",
        "choroid plexus third ventricle",
        "diencephalic choroid plexus",
        "third ventricle chorioid plexus of cerebral hemisphere",
        "third ventricle choroid plexus",
    ],
)
UBERONParcellation.choroid_plexus_stroma = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/choroidPlexusStroma",
    definition="'Choroid plexus stroma' is part of the choroid plexus.",
    description="Stromal matrix surrounding blood vessels within the choroid plexus.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0726217"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0005206#choroid-plexus-stroma"),
    name="choroid plexus stroma",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0005206"),
)
UBERONParcellation.cingulate_cortex = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/cingulateCortex",
    definition="'Cingulate cortex' is a regional part of brain. It is part of the limbic cortex.",
    description="The cingulate cortex is a part of the brain situated in the medial aspect of the cortex. It is extended from the corpus callosum below to the cingulate sulcus above, at least anteriorly. [WP,unvetted].",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0102179"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0003027#cingulate-cortex-1"),
    name="cingulate cortex",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0003027"),
    synonyms=["cingulate neocortex", "gyrus cingulatus", "gyrus cinguli"],
)
UBERONParcellation.cingulate_gyrus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/cingulateGyrus",
    definition="'Cingulate gyrus' is a gyrus. It is part of the limbic system.",
    description="One of the convolutions on the medial surface of the cerebral hemisphere. It surrounds the rostral part of the brain and interhemispheric commissure and forms part of the limbic system. (MSH)  One of three essential structures comprising the limbic lobe, the other two being the hippocampus and parahippocampal gyrus. (CSP)",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0102180"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002967#cingulate-gyrus-1"),
    name="cingulate gyrus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002967"),
    synonyms=[
        "CG",
        "cingular gyrus",
        "cingulate area",
        "cingulate region",
        "falciform lobe",
        "gyri cinguli",
        "upper limbic gyrus",
    ],
)
UBERONParcellation.cingulate_sulcus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/cingulateSulcus",
    definition="The cingulate sulcus is a sulcus (brain fold) on the medial wall of the cerebral cortex. The frontal and parietal lobes are separated by the cingulate sulcus from the cingulate gyrus. [WP,unvetted].",
    description="'Cingulate sulcus' is a subarachnoid sulcus.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0102181"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002710#cingulate-sulcus-1"),
    name="cingulate sulcus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002710"),
)
UBERONParcellation.cingulum_of_brain = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/cingulumOfBrain",
    definition="'Cingulum of brain' is a tract of brain. It is part of the brain white matter.",
    description="The white matter fiber bundle that projects from the cingulate gyrus to the entorhinal cortex in the brain.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0736017"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0003961#cingulum-of-brain"),
    name="cingulum of brain",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0003961"),
)
UBERONParcellation.circular_sulcus_of_insula = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/circularSulcusOfInsula",
    definition="'Circular sulcus of insula' is a marginal sulcus. It is part of the insula.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0102193"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002713#circular-sulcus-of-insula-1"),
    name="circular sulcus of insula",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002713"),
)
UBERONParcellation.circumventricular_organ = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/circumventricularOrgan",
    definition="Is a regional part of brain. [auto-generated from 'is_a' property of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0005408)]",
    description="Any of any of the secretory or sensory organs located in the brain region around or in relation to the ventricular system that are characterized by extensive vasculature and a lack of a normal blood brain barrier (BBB) and allow for the linkage between the central nervous system and peripheral blood flow. [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0005408)]",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0102196"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0005408#circumventricular-organ-1"),
    name="circumventricular organ",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0005408"),
    synonyms=["circumventricular organ of neuraxis", "CVO"],
)
UBERONParcellation.claustral_amygdaloid_area = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/claustralAmygdaloidArea",
    definition="'Claustral amygdaloid area' is a cerebral hemisphere gray matter. It is part of the amygdala and basal nuclear complex.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0102229"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002729#claustral-amygdaloid-area-1"),
    name="claustral amygdaloid area",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002729"),
    synonyms=[
        "area claustralis amygdalae",
        "claustral amygdalar area",
        "claustrum diffusa",
        "claustrum parvum",
        "ventral claustrum",
        "ventral portion of claustrum",
    ],
)
UBERONParcellation.claustrum_of_brain = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/claustrumOfBrain",
    definition="'Claustrum of brain' is a basal ganglion and cerebral hemisphere gray matter. It is part of the pallium and basal nuclear complex.",
    description="Lamina of gray matter in the forebrain separated from the cortex in most species by the extreme capsule. (Brodal, Neurological Anatomy, 3rd Ed., 1981, pg 225).",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0102230"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002023#claustrum"),
    name="claustrum of brain",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002023"),
    synonyms=[
        "Cl",
        "claustrum",
        "claustrum (Burdach)",
        "dorsal claustrum",
        "dorsal portion of claustrum",
        "insular claustrum",
    ],
)
UBERONParcellation.cochlear_nuclear_complex = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/cochlearNuclearComplex",
    definition="'Cochlear nuclear complex' is a gray matter of hindbrain. It is part of the medulla oblongata.",
    description="The cochlear nuclei consist of: (a) the dorsal cochlear nucleus, corresponding to the tuberculum acusticum on the dorso-lateral surface of the inferior peduncle; and (b) the ventral or accessory cochlear nucleus, placed between the two divisions of the nerve, on the ventral aspect of the inferior peduncle. [WP,unvetted].",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0102309"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002610#cochlear-nuclear-complex-1"),
    name="cochlear nuclear complex",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002610"),
    synonyms=["cochlear nuclei", "cochlear nucleus", "nuclei cochleares"],
)
UBERONParcellation.collateral_sulcus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/collateralSulcus",
    definition="The collateral fissure (or sulcus) is on the tentorial surface of the hemisphere and extends from near the occipital pole to within a short distance of the temporal pole. Behind, it lies below and lateral to the calcarine fissure, from which it is separated by the lingual gyrus; in front, it is situated between the hippocampal gyrus and the anterior part of the fusiform gyrus. [WP,unvetted].",
    description="'Collateral sulcus' is a subarachnoid sulcus.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0102361"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002716#collateral-sulcus-1"),
    name="collateral sulcus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002716"),
)
UBERONParcellation.collection_of_basal_ganglia = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/collectionOfBasalGanglia",
    definition="'Collection of basal ganglia' is an aggregate regional part of brain. It is part of the cerebral subcortex.",
    description="Subcortical masses of gray matter in the forebrain and midbrain that are richly interconnected and so viewed as a functional system. The nuclei usually included are the caudate nucleus (caudoputamen in rodents), putamen, globus pallidus, substantia nigra (pars compacta and pars reticulata) and the subthalamic nucleus. Some also include the nucleus accumbens and ventral pallidum.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0101102"),
    name="collection of basal ganglia",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0010011"),
)
UBERONParcellation.commissura_rostral_pars_dorsalis = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/commissuraRostralParsDorsalis",
    definition="Is a cerebral hemisphere white matter. Is part of the anterior commissure. [auto-generated from properties of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_2000638) ('is_a' and 'relationship')]",
    description="Part of the anterior commissure which is located immediately ventral to the supracommissural nucleus of area ventralis telencephali.. [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_2000638)]",
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:2000638#commissura-rostral-pars-dorsalis"),
    name="commissura rostral, pars dorsalis",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_2000638"),
)
UBERONParcellation.commissura_rostral_pars_ventralis = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/commissuraRostralParsVentralis",
    definition="Is a cerebral hemisphere white matter. Is part of the anterior commissure. [auto-generated from properties of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_2000185) ('is_a' and 'relationship')]",
    description="Part of the anterior commissure which abuts the preoptic region dorsally. [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_2000185)]",
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:2000185#commissura-rostral-pars-ventralis"),
    name="commissura rostral, pars ventralis",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_2000185"),
)
UBERONParcellation.commissural_nucleus_of_the_solitary_tract = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/commissuralNucleusOfTheSolitaryTract",
    definition="'Commissural nucleus of the solitary tract' is a nucleus of solitary tract.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0102404"),
    knowledge_space_link=IRI(
        "https://knowledge-space.org/wiki/UBERON:0023855#commissural-nucleus-of-the-solitary-tract-1"
    ),
    name="commissural nucleus of the solitary tract",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0023855"),
    synonyms=["commissural nucleus of the solitary tract", "commissural nucleus tractus solitarius"],
)
UBERONParcellation.commissural_nucleus_of_vagus_nerve = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/commissuralNucleusOfVagusNerve",
    definition="'Commissural nucleus of vagus nerve' is a nucleus of medulla oblongata and vagus nerve nucleus.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0102405"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002868#commissural-nucleus-of-vagus-nerve-1"),
    name="commissural nucleus of vagus nerve",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002868"),
    synonyms=[
        "Cm10",
        "commissural nucleus of the vagus nerve",
        "commissural nucleus-1",
        "nucleus commissuralis",
        "nucleus commissuralis nervi vagi",
        "nucleus of inferior commissure",
        "nucleus of inferior commisure",
    ],
)
UBERONParcellation.commissure_of_inferior_colliculus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/commissureOfInferiorColliculus",
    definition="Is a brain commissure. Is part of the inferior colliculus. [auto-generated from properties of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0003028) ('is_a' and 'relationship')]",
    description="A commissure that is part of a inferior colliculus. [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0003028)]",
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0003028#commissure-of-inferior-colliculus-1"),
    name="commissure of inferior colliculus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0003028"),
    synonyms=[
        "caudal colliculus commissure",
        "commissure of caudal colliculus",
        "commissure of inferior colliculi",
        "commissure of posterior colliculus",
        "commissure of posterior corpus quadrigeminum",
        "inferior collicular commissure",
        "inferior colliculus commissure",
        "posterior colliculus commissure",
        "posterior corpus quadrigeminum commissure",
    ],
)
UBERONParcellation.commissure_of_superior_colliculus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/commissureOfSuperiorColliculus",
    definition="Is a brain commissure. Is part of the white matter of superior colliculus. [auto-generated from properties of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0002583) ('is_a' and 'relationship')]",
    description="A commissure that is part of a superior colliculus. [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0002583)]",
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002583#commissure-of-superior-colliculus-1"),
    name="commissure of superior colliculus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002583"),
    synonyms=[
        "anterior colliculus commissure",
        "anterior corpus quadrigeminum commissure",
        "commissure of anterior colliculus",
        "commissure of anterior corpus quadrigeminum",
        "commissure of cranial colliculus",
        "commissure of optic tectum",
        "commissure of superior colliculi",
        "cranial colliculus commissure",
        "intertectal commissure",
        "optic tectum commissure",
        "superior colliculus commissure",
    ],
)
UBERONParcellation.composite_part_spanning_multiple_base_regional_parts_of_brain = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/compositePartSpanningMultipleBaseRegionalPartsOfBrain",
    definition="'Composite part spanning multiple base regional parts of brain' is an anatomical entity. It is part of the brain.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0102438"),
    knowledge_space_link=IRI(
        "https://knowledge-space.org/wiki/UBERON:0022776#composite-part-spanning-multiple-base-regional-parts-of-brain-1"
    ),
    name="composite part spanning multiple base regional parts of brain",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0022776"),
    synonyms=["composite part spanning multiple base regional parts of brain"],
)
UBERONParcellation.copula_pyramidis = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/copulaPyramidis",
    definition="'Copula pyramidis' is a cerebellum hemisphere lobule.",
    description="A part of the cerebellar hemisphere in the mouse ( Paxinos-2001 ) and the rat ( Swanson-1998 ) that corresponds laterally to the pyramis of the vermis of the cerebellum. It is regarded as the rodent homolog of the 'lateral belly' of the the biventer lobule of the human (Voogd-1990) (Adapted from NeuroNames:  http://braininfo.rprc.washington.edu/centraldirectory.aspx?ID",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0102555"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0005347#copula-pyramidis"),
    name="copula pyramidis",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0005347"),
    synonyms=["copula of the pyramis"],
)
UBERONParcellation.core_of_nucleus_accumbens = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/coreOfNucleusAccumbens",
    definition="'Core of nucleus accumbens' is a regional part of brain. It is part of the nucleus accumbens.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0102559"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0012170#core-of-nucleus-accumbens-1"),
    name="core of nucleus accumbens",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0012170"),
    synonyms=[
        "AcbC",
        "accumbens nucleus",
        "accumbens nucleus core",
        "core",
        "core of nucleus accumbens",
        "core region of nucleus accumbens",
        "nucleus accumbens core",
        "nucleusa ccumbens core",
    ],
)
UBERONParcellation.corona_radiata_of_neuraxis = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/coronaRadiataOfNeuraxis",
    definition="'Corona radiata of neuraxis' is a cerebral hemisphere white matter.",
    description="Fan shaped white matter mass comprised of afferent and efferent fibers from the cerebral cortex arranged in radially arrayed bundles, converging towards the internal capsule (Carpenter, Core Text of Neuroanatomy, 3rd ed, 1985, pg. 30;  Heimer, The Human Brain and Spinal Cord, 2nd ed., 1995, pg 84).",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0102560"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0004682#corona-radiata"),
    name="corona radiata of neuraxis",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0004682"),
    synonyms=["corona radiata"],
)
UBERONParcellation.corpus_callosum = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/corpusCallosum",
    definition="",
    description="The 'corpus callosum' is a white matter structure containing massive numbers of commissural fibers connecting cortical areas in the two cerebral hemispheres.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0102562"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002336#corpus-callosum"),
    name="corpus callosum",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002336"),
    synonyms=["cc"],
)
UBERONParcellation.corpus_striatum = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/corpusStriatum",
    definition="'Corpus striatum' is a regional part of brain. It is part of the basal ganglion.",
    description="The corpus striatum (striated body) is a compound structure consisting of the caudate nucleus and the lentiform nucleus, which consists of the putamen and the globus pallidus[WP].",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0729722"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0000369#corpus-striatum"),
    name="corpus striatum",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0000369"),
)
UBERONParcellation.cortical_amygdaloid_nucleus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/corticalAmygdaloidNucleus",
    definition="'Cortical amygdaloid nucleus' is a telencephalic nucleus. It is part of the corticomedial nuclear complex.",
    description="Three layered structure that is located in the caudal aspect of the amygdala bordering the periamygdaloid cortex laterally.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0102583"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002891#cortical-amygdaloid-nucleus-1"),
    name="cortical amygdaloid nucleus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002891"),
    synonyms=[
        "CoA",
        "cortex periamygdaloideus",
        "cortical amygdala",
        "cortical amygdalar area",
        "cortical amygdalar nucleus",
        "nucleus amygdalae corticalis",
        "nucleus corticalis amygdalae",
        "posterior amygdaloid area",
        "posterior cortical amygdalar nucleus",
        "posterior cortical amygdaloid nucleus",
        "posterior cortical nucleus",
        "posterior cortical nucleus of amygdala",
        "posterior cortical nucleus of the amygdala",
        "ventral cortical amygdaloid nucleus",
        "ventral cortical nucleus",
    ],
)
UBERONParcellation.cortical_layer_i = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/corticalLayerI",
    definition="The most superficial layer of the neocortex characterized by a paucity of cell bodies.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0107367"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0005390#neocortex-layer-1"),
    name="cortical layer I",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0005390"),
    synonyms=[
        "cortical layer 1",
        "lamina 1",
        "lamina I",
        "lamina molecularis isocorticis",
        "layer 1",
        "layer 1 of neocortex",
        "layer I",
        "layer i",
        "layer I of neocortex",
        "molecular layer of cerebral cortex",
        "molecular layer of isocortex",
        "molecular layer of neocortex",
        "neocortex layer 1",
        "neocortex layer I",
        "neocortex molecular layer",
        "neocortex plexiform layer",
        "neocortical layer 1",
        "neocortical layer I",
        "plexiform layer of neocortex",
    ],
)
UBERONParcellation.cortical_layer_ii = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/corticalLayerII",
    definition="Layer of neocortex lying just deep to molecular layer characterized by numerous small cell bodies.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0107368"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0005391#neocortex-layer-2"),
    name="cortical layer II",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0005391"),
    synonyms=[
        "cortical layer 2",
        "external granular layer of isocortex",
        "external granular layer of neocortex",
        "external granule cell layer of neocortex",
        "lamina 2",
        "lamina granularis externa isocorticis",
        "lamina II",
        "layer 2",
        "layer 2 of neocortex",
        "layer II",
        "layer ii",
        "layer II of neocortex",
        "neocortex layer 2",
        "neocortex layer II",
        "neocortical layer 2",
        "neocortical layer II",
    ],
)
UBERONParcellation.cortical_layer_iii = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/corticalLayerIII",
    definition="Layer of neocortex lying deep to the external granule cell layer defined cytoarchitecturally by numerous small pyramidal neurons.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0107369"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0005392#neocortex-layer-3"),
    name="cortical layer III",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0005392"),
    synonyms=[
        "cortical layer 3",
        "external pyramidal cell layer",
        "external pyramidal layer of isocortex",
        "external pyramidal layer of neocortex",
        "lamina 3",
        "lamina III",
        "lamina pyramidalis externa isocorticis",
        "layer 3",
        "layer 3 of neocortex",
        "layer III",
        "layer iii",
        "layer III of neocortex",
        "neocortex external pyramidal cell layer",
        "neocortex layer 3",
        "neocortex layer III",
        "neocortical layer 3",
        "neocortical layer III",
    ],
)
UBERONParcellation.cortical_layer_iv = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/corticalLayerIV",
    definition="Layer of neocortex lying deep to the external pyramidal cell layer defined cytoarchitecturally by the presence of numerous small cells.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0107370"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0005393#neocortex-layer-4"),
    name="cortical layer IV",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0005393"),
    synonyms=[
        "cortical layer 4",
        "internal granular layer of isocortex",
        "internal granular layer of neocortex",
        "internal granule cell layer of neocortex",
        "lamina 4",
        "lamina granularis interna isocorticis",
        "lamina IV",
        "layer 4",
        "layer 4 of neocortex",
        "layer IV",
        "layer iv",
        "layer IV of neocortex",
        "neocortex internal granule cell layer",
        "neocortex layer 4",
        "neocortex layer IV",
        "neocortical layer 4",
        "neocortical layer IV",
    ],
)
UBERONParcellation.cortical_layer_v = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/corticalLayerV",
    definition="Layer of neocortex lying deep to the internal granule cell layer (layer 4) defined cytoarchitecturally by the predominance of large pyramidal cell bodies.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0107371"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0005394#neocortex-layer-5"),
    name="cortical layer V",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0005394"),
    synonyms=[
        "cortical layer 5",
        "internal pyramidal cell layer of neocortex",
        "internal pyramidal layer of isocortex",
        "lamina 5",
        "lamina ganglionaris",
        "lamina pyramidalis interna",
        "lamina pyramidalis interna isocorticis",
        "lamina V",
        "layer 5",
        "layer 5 of neocortex",
        "layer V",
        "layer v",
        "layer V of neocortex",
        "neocortex layer 5",
        "neocortex layer V",
        "neocortical layer 5",
        "neocortical layer V",
    ],
)
UBERONParcellation.cortical_layer_vi = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/corticalLayerVI",
    definition="Innermost layer of neocortex lying deep to the internal pyramidal cell layer defined cytoarchitecturally by cells of varying size.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0107374"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0005395#neocortex-layer-6"),
    name="cortical layer VI",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0005395"),
    synonyms=[
        "cortical layer 6",
        "lamina 6",
        "lamina multiformis",
        "lamina multiformis isocorticis",
        "lamina VI",
        "layer 6",
        "layer 6 of neocortex",
        "layer VI",
        "layer vi",
        "layer VI of neocortex",
        "multiform layer of isocortex",
        "multiform layer of neocortex",
        "neocortex layer 6",
        "neocortex layer VI",
        "neocortical layer 6",
        "neocortical layer VI",
        "pleiomorphic layer of neocortex",
    ],
)
UBERONParcellation.corticomedial_nuclear_complex = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/corticomedialNuclearComplex",
    definition="'Corticomedial nuclear complex' is a cerebral hemisphere gray matter and nuclear complex of neuraxis. It is part of the amygdala.",
    description="These structures are referred to as nuclei but have a layered cortical like structure. These areas include the anterior amygdaloid area, posterior amygdaloid area, the periamygdaloid cortex, and the bed nucleus of the accessory olfactory tract.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0102590"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0006108#corticomedial-nuclear-complex-1"),
    name="corticomedial nuclear complex",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0006108"),
    synonyms=[
        "amygdalar corticomedial nucleus",
        "CMA",
        "corpus amygdaloideum pars corticomedialis",
        "corpus amygdaloideum pars olfactoria",
        "corticomedial nuclear complex",
        "corticomedial nuclear group",
        "corticomedial nuclei of amygdala",
        "pars corticomedialis (Corpus amygdaloideum)",
        "set of corticomedial nuclei of amygdala",
    ],
)
UBERONParcellation.corticospinal_tract = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/corticospinalTract",
    definition="",
    description="The 'corticospinal tract' is a white matter fibre bundle that arise from the pyramidal cells within the cerebral cortex layer V of the precentral motor area, the premotor area and the postcentral gyrus, then descend into and through the medulla to form the lateral corticospinal tract and the anterior corticospinal tract.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0109556"),
    name="corticospinal tract",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002707"),
    synonyms=[
        "corticospinal fibers",
        "fasciculus cerebro-spinalis",
        "fasciculus pyramidalis",
        "fibrae corticospinales",
        "tractus cortico-spinalis",
        "tractus corticospinalis",
        "tractus pyramidalis",
    ],
)
UBERONParcellation.corticotectal_tract = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/corticotectalTract",
    definition="'Corticotectal tract' is a tract of brain. It is part of the midbrain tectum.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0102591"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002556#corticotectal-tract-1"),
    name="corticotectal tract",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002556"),
    synonyms=[
        "cortico-tectal tract",
        "corticotectal fibers",
        "corticotectal fibres",
        "fibrae corticotectales",
        "tractus corticotectalis",
    ],
)
UBERONParcellation.cranial_nerve_ii = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/cranialNerveII",
    definition="The 'cranial nerve II' is comprised of retinal ganglion cell axons running posterior medially towards the optic chiasm, at which some of the axons cross the midline and after which the structure is termed the optic tract.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0724691"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0000941#optic-nerve"),
    name="cranial nerve II",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0000941"),
    synonyms=[
        "02 optic nerve",
        "cranial II",
        "nervus opticus",
        "nervus opticus [II]",
        "optic II",
        "optic II nerve",
        "optic nerve [II]",
        "second cranial nerve",
    ],
)
UBERONParcellation.crossed_tecto_bulbar_tract = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/crossedTectoBulbarTract",
    definition="Is a tectobulbar tract. Is part of the brainstem and spinal white matter. [auto-generated from properties of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_2000335) ('is_a' and 'relationship')]",
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:2000335#crossed-tecto-bulbar-tract"),
    name="crossed tecto-bulbar tract",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_2000335"),
)
UBERONParcellation.cuneate_fasciculus_of_medulla = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/cuneateFasciculusOfMedulla",
    definition="'Cuneate fasciculus of medulla' is a cuneate fasciculus, fasciculus of brain and tract of brain. It is part of the medulla oblongata.",
    description="Part of cuneate fasciculus found in the medulla",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0102667"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002642#cuneate-fasciculus-of-medulla-1"),
    name="cuneate fasciculus of medulla",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002642"),
    synonyms=["cu", "fasciculus cuneatus (myelencephali)", "nucleus pulvinaris oromedialis (Hassler)"],
)
UBERONParcellation.cuneiform_nucleus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/cuneiformNucleus",
    definition="'Cuneiform nucleus' is a nucleus of midbrain reticular formation.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0102671"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002696#cuneiform-nucleus-1"),
    name="cuneiform nucleus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002696"),
    synonyms=[
        "area parabigeminalis (Mai)",
        "CnF",
        "cuneiform nucleus (Castaldi)",
        "cunieform nucleus",
        "nucleus cuneiformis",
        "parabigeminal area (mai)",
    ],
)
UBERONParcellation.cuneocerebellar_tract = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/cuneocerebellarTract",
    definition="Is a tract of brain. Is part of the white matter of medulla oblongata. [auto-generated from properties of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0002640) ('is_a' and 'relationship')]",
    description="White matter tract that originates from the cuneate and external cuneate nuclei. It relays ascending spinal fibers in the dorsal funiculus and conveys information from forelimbs to the cerebellum. [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0002640)]",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0102673"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002640#cuneocerebellar-tract-1"),
    name="cuneocerebellar tract",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002640"),
    synonyms=["cuneocerebellar fibers"],
)
UBERONParcellation.cuneus_cortex = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/cuneusCortex",
    definition="'Cuneus cortex' is an occipital gyrus.",
    description="Component of the occipital lobe.  The rostral boundary was the first coronal slice above the calcarine sulcus where the cuneus cortex becomes visible whereas the caudal boundary was the last slice where the calcarine sulcus was visualized. The medial boundary was the most medial portion of the occipital and parietal cortices. The superio-lateral boundary was the parieto-occipital fissure whereas the inferolateral boundary was the pericalcarine cortex (Christine Fennema-Notestine).",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0102674"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0006092#cuneus-cortex-1"),
    name="cuneus cortex",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0006092"),
    synonyms=[
        "CuG",
        "cuneate lobule",
        "cuneus",
        "cuneus cortex",
        "cuneus gyrus",
        "cuneus of hemisphere",
        "gyrus cuneus",
    ],
)
UBERONParcellation.cytoarchitectural_part_of_dentate_gyrus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/cytoarchitecturalPartOfDentateGyrus",
    definition="'Cytoarchitectural part of dentate gyrus' is a regional part of brain.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0102762"),
    knowledge_space_link=IRI(
        "https://knowledge-space.org/wiki/UBERON:0023564#cytoarchitectural-part-of-dentate-gyrus-1"
    ),
    name="cytoarchitectural part of dentate gyrus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0023564"),
    synonyms=["cytoarchitectural part of dentate gyrus"],
)
UBERONParcellation.decussation_of_superior_cerebellar_peduncle = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/decussationOfSuperiorCerebellarPeduncle",
    definition="Is a neural decussation. Is part of the midbrain tegmentum and the superior cerebellar peduncle. [auto-generated from properties of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0002588) ('is_a' and 'relationship')]",
    description="Regional part of superior cerebellar peduncle located in the caudal midbrain, at the level of the inferior colliculus, consisting of a large bundle of fibers crossing the midline. It contains fibers projecting from the deep cerebellar nucleus to the midbrain and thalamus through the superior cerebellar peduncle (MM). The decussation of superior cerebellar peduncle is the portion of the superior cerebellar peduncle which crosses into the midbrain. [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0002588)]",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0102963"),
    knowledge_space_link=IRI(
        "https://knowledge-space.org/wiki/UBERON:0002588#decussation-of-superior-cerebellar-peduncle-1"
    ),
    name="decussation of superior cerebellar peduncle",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002588"),
    synonyms=[
        "decussatio pedunculorum cerebellarium superiorum",
        "decussation of brachium conjunctivum",
        "decussation of superior cerebellar peduncles",
        "superior cerebellar peduncle decussation",
        "Wernekink's decussation",
    ],
)
UBERONParcellation.decussation_of_trochlear_nerve = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/decussationOfTrochlearNerve",
    definition="'Decussation of trochlear nerve' is a neural decussation. It is part of the pontine tegmentum.",
    description="The crossing of the two trochlear nerves at their exit through the velum medullare anterius.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0102964"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002787#decussation-of-trochlear-nerve-1"),
    name="decussation of trochlear nerve",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002787"),
)
UBERONParcellation.deep_cerebral_vein = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/deepCerebralVein",
    definition="Is a cerebral vein. [auto-generated from 'is_a' property of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0016564)]",
    description="The deep cerebral veins are a group of veins in the head. This group includes the superior thalamostriate vein. [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0016564)]",
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0016564#deep-cerebral-vein"),
    name="deep cerebral vein",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0016564"),
)
UBERONParcellation.deep_middle_cerebral_vein = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/deepMiddleCerebralVein",
    definition="Is a cerebral vein. Is part of the basal vein. [auto-generated from properties of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0035532) ('is_a' and 'relationship')]",
    description="The blood vessel that receives deoxygenated blood from the insula and gyri and drains into the basal vein of Rosenthal deep in the lateral sulcus. [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0035532)]",
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0035532#deep-middle-cerebral-vein"),
    name="deep middle cerebral vein",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0035532"),
)
UBERONParcellation.densocellular_part_of_medial_dorsal_nucleus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/densocellularPartOfMedialDorsalNucleus",
    definition="'Densocellular part of medial dorsal nucleus' is a gray matter of diencephalon. It is part of the medial dorsal nucleus of thalamus.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0103047"),
    knowledge_space_link=IRI(
        "https://knowledge-space.org/wiki/UBERON:0002645#densocellular-part-of-medial-dorsal-nucleus-1"
    ),
    name="densocellular part of medial dorsal nucleus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002645"),
    synonyms=[
        "densocellular part of the medial dorsal nucleus",
        "MDD",
        "nucleus medialis dorsalis",
        "nucleus medialis dorsalis paralamellaris (Hassler)",
        "pars densocellularis",
    ],
)
UBERONParcellation.dentate_gyrus_granule_cell_layer = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/dentateGyrusGranuleCellLayer",
    definition="Granule cell layer is also called the DG principal cell layer. This one of the three layers of dentate gyrus that lies deep to the molecular layer and is made of densely packed layer that is four to eight granule cells thick.",
    description="'Dentate gyrus granule cell layer' is a layer of dentate gyrus.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0103056"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0005381#dentate-gyrus-granule-cell-layer-1"),
    name="dentate gyrus granule cell layer",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0005381"),
)
UBERONParcellation.dentate_gyrus_molecular_layer = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/dentateGyrusMolecularLayer",
    definition="The molecular layer of the dentate gyrus that is bounded by the pial surface superficially and the dentate gyrus granule cell layer deep. It is divided into 2 or more sublayers.",
    description="'Dentate gyrus molecular layer' is a layer of dentate gyrus.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0103074"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0004679#dentate-gyrus-molecular-layer-1"),
    name="dentate gyrus molecular layer",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0004679"),
)
UBERONParcellation.dentate_gyrus_of_hippocampal_formation = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/dentateGyrusOfHippocampalFormation",
    definition="'Dentate gyrus of hippocampal formation' is a regional part of brain. It is part of the hippocampal formation.",
    description="Part of the hippocampal formation forming a 'V' or 'U' shaped structure with the opening bounded by hippocampal area CA3.  It consists of 3 layers from superficial to deep:  molecular, granule cell and polymorphic or hilar layer.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0103048"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0001885#dentate-gyrus"),
    name="dentate gyrus of hippocampal formation",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0001885"),
    synonyms=[
        "area dentata",
        "dentate area",
        "dentate area (dentate gyrus)",
        "dentate gyrus",
        "DG",
        "fascia dentata",
        "gyrus dentatus",
        "hippocampal dentate gyrus",
    ],
)
UBERONParcellation.dentate_nucleus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/dentateNucleus",
    definition="'Dentate nucleus' is a nucleus of cerebellar nuclear complex.",
    description="The largest and most lateral of the deep cerebellum nuclei; it receives axons of Purkinje cells in the lateral cerebellar hemisphere (neocerebellum) and receives its afferents from the premotor cortex and the supplementary motor cortex through the pontocerebellar system, and its efferents project through the superior cerebellar peduncle and is a major source of its fibers",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0103084"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002132#dentate-nucleus-1"),
    name="dentate nucleus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002132"),
    synonyms=[
        "dentate cerebellar nucleus",
        "dentate nucleus",
        "dentate nucleus (Vicq d'Azyr)",
        "dentatothalamocortical fibers",
        "lateral cerebellar nucleus",
        "lateral nucleus of cerebellum",
        "nucleus dentatus",
        "nucleus dentatus cerebelli",
        "nucleus lateralis cerebelli",
    ],
)
UBERONParcellation.dentatothalamic_tract = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/dentatothalamicTract",
    definition="Is a tract of brain. Is part of the midbrain tegmentum. [auto-generated from properties of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0002594) ('is_a' and 'relationship')]",
    description="The dentatothalamic tract (or dentatorubrothalamic tract) is a tract which connects the dentate nucleus and the thalamus. [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0002594)]",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0103087"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002594#dentatothalamic-tract-1"),
    name="dentatothalamic tract",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002594"),
    synonyms=["dentatothalamic fibers"],
)
UBERONParcellation.diagonal_band_of_broca = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/diagonalBandOfBroca",
    definition="'Diagonal band of Broca' is a neuron projection bundle and central nervous system cell part cluster. It is part of the cerebral hemisphere white matter.",
    description="A white fibre bundle descending in the precommissural septum toward the base of the forebrain, immediately rostral to the lamina terminalis; at the base, the bundle turns in the caudolateral direction; traveling through the ventral substantia innominata alongside the optic tract, it fades before reaching the amygdala. (Mondofacto:  http://www.mondofacto.com/facts/dictionary?Broca%27s%20diagonal%20band)",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0103188"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002741#diagonal-band"),
    name="diagonal band of Broca",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002741"),
    synonyms=[
        "band of Broca",
        "bandaletta diagonalis (Broca)",
        "bandeletta diagonalis",
        "Broca's diagonal band",
        "Broca's diagonal gyrus",
        "diagonal band",
        "diagonal band of Broca",
        "diagonal band(Broca)",
        "diagonal gyrus",
        "fasciculus diagonalis Brocae",
        "fasciculus olfactorius",
        "fasciculus olfactorius (hippocampi)",
        "fasciculus olfactorius cornu Ammonis",
        "fasciculus septo-amygdalicus",
        "gyrus diagonalis",
        "gyrus diagonalis rhinencephli",
        "olfactory fasciculus",
        "Olfactory radiations of Zuckerkandl",
        "stria diagonalis",
        "stria diagonalis (Broca)",
    ],
)
UBERONParcellation.diencephalon = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/diencephalon",
    definition="'Diencephalon' is a regional part of brain. It is part of the forebrain.",
    description="Part of the brain consisting of the paired caudal parts of the prosencephalon from which the Thalamus; Hypothalamus; Epithalamus; and Subthalamus are derived.(MeSH)",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0103217"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0001894#diencephalon-1"),
    name="diencephalon",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0001894"),
    synonyms=[
        "between brain",
        "betweenbrain",
        "DiE",
        "diencephalon",
        "Interbrain",
        "mature diencephalon",
        "thalamencephalon",
    ],
)
UBERONParcellation.diffuse_reticular_nucleus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/diffuseReticularNucleus",
    definition="'Diffuse reticular nucleus' is a parabrachial nucleus.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0105881"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002869#diffuse-reticular-nucleus-1"),
    name="diffuse reticular nucleus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002869"),
    synonyms=[
        "DRt",
        "diffuse reticular nucleus",
        "Kolliker-Fuse nucleus",
        "nucleus subparabrachialis",
        "KÃ¶lliker-Fuse nucleus",
        "Koelliker-Fuse nucleus",
        "nucleus of Kolliker-Fuse",
        "subparabrachial nucleus",
        "Kolloker-Fuse nucleus",
        "kvlliker-Fuse subnucleus",
        "kvlliker-Fuse subnucleus of parabrachial nucleus",
        "nucleus reticularis diffusus (Koelliker)",
        "Kolliker-Fuse subnucleus",
        "nucleus reticularis diffusus",
    ],
)
UBERONParcellation.dorsal_accessory_inferior_olivary_nucleus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/dorsalAccessoryInferiorOlivaryNucleus",
    definition="'Dorsal accessory inferior olivary nucleus' is an inferior olivary nucleus.",
    description="Regional part of inferior olivary complex",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0103410"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0007249#dorsal-accessory-olive"),
    name="dorsal accessory inferior olivary nucleus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0007249"),
    synonyms=[
        "DAO",
        "dorsal accessory olivary nucleus",
        "dorsal accessory olive",
        "dorsal nucleus",
        "inferior olivary complex",
        "inferior olivary complex dorsalaccessory nucleus",
        "inferior olive",
        "inferior olive dorsal nucleus",
        "nucleus olivaris accessorius posterior",
        "posterior accessory olivary nucleus",
    ],
)
UBERONParcellation.dorsal_acoustic_stria = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/dorsalAcousticStria",
    definition="'Dorsal acoustic stria' is a stria of neuraxis and white matter of pontine tegmentum.",
    description="White matter structure containing fibers arising from the cochlear nuclear complex",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0103411"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002790#dorsal-acoustic-stria-1"),
    name="dorsal acoustic stria",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002790"),
    synonyms=[
        "das",
        "dorsal acoustic stria (Monakow)",
        "posterior acoustic stria",
        "stria cochlearis posterior",
        "striae acusticae dorsalis",
    ],
)
UBERONParcellation.dorsal_cap_of_kooy = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/dorsalCapOfKooy",
    definition="'Dorsal cap of Kooy' is a regional part of brain. It is part of the inferior olivary complex.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0103421"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0014286#dorsal-cap-of-kooy-1"),
    name="dorsal cap of Kooy",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0014286"),
    synonyms=["dorsal cap of kooy"],
)
UBERONParcellation.dorsal_cerebral_vein = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/dorsalCerebralVein",
    definition="Is a cerebral vein. [auto-generated from 'is_a' property of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0035151)]",
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0035151#dorsal-cerebral-vein"),
    name="dorsal cerebral vein",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0035151"),
)
UBERONParcellation.dorsal_cochlear_nucleus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/dorsalCochlearNucleus",
    definition="'Dorsal cochlear nucleus' is a cochlear nucleus.",
    description="The dorsal cochlear nucleus (DCN, also known as the 'tuberculum acousticum'), is a cortex-like structure on the dorso-lateral surface of the brainstem. Along with the ventral cochlear nucleus, it forms the cochlear nucleus, where all auditory nerve fibers from the cochlea form their first synapses. [WP,unvetted].",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0103424"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002829#dorsal-cochlear-nucleus-1"),
    name="dorsal cochlear nucleus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002829"),
    synonyms=[
        "DCo",
        "dorsal cochlear nucleus",
        "dorsal coclear nucleus",
        "dorsal division of cochlear nucleus",
        "nucleus cochlearis dorsalis",
        "nucleus cochlearis posterior",
        "posterior cochlear nucleus",
        "tuberculum acousticum",
    ],
)
UBERONParcellation.dorsal_column_nucleus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/dorsalColumnNucleus",
    definition="'Dorsal column nucleus' is a nucleus of medulla oblongata. It is part of the dorsal column-medial lemniscus pathway.",
    description="A pair of nuclei in the brainstem. The name refers collectively to the cuneate nucleus and gracile nucleus, which are present at the junction between the spinal cord and the medulla oblongata. Both nuclei contain secondary neurons of the dorsal column-medial lemniscus pathway,",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0103429"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0018238#dorsal-column-nucleus"),
    name="dorsal column nucleus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0018238"),
    synonyms=["dorsal column nuclei"],
)
UBERONParcellation.dorsal_external_arcuate_fiber_bundle = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/dorsalExternalArcuateFiberBundle",
    definition="'Dorsal external arcuate fiber bundle' is a neuron projection bundle and central nervous system cell part cluster. It is part of the medulla oblongata.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0103433"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0006089#dorsal-external-arcuate-fiber-bundle-1"),
    name="dorsal external arcuate fiber bundle",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0006089"),
    synonyms=[
        "dorsal external arcuate fiber bundle",
        "dorsal external arcuate fibers",
        "dorsal external arcuate tract",
        "dorsal superficial arcuate fibers",
        "ear",
        "external arcuate fibers",
        "fibrae arcuatae externae dorsales",
        "fibrae arcuatae externae posteriores",
    ],
)
UBERONParcellation.dorsal_hypothalamic_area = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/dorsalHypothalamicArea",
    definition="'Dorsal hypothalamic area' is a regional part of brain. It is part of the hypothalamus.",
    description="A relatively small region of the hypothalamus located inferior to the hypothalamic sulcus.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0103438"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002954#dorsal-hypothalamic-area-1"),
    name="dorsal hypothalamic area",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002954"),
    synonyms=[
        "area dorsalis hypothalami",
        "area hypothalamica dorsalis",
        "DH",
        "dorsal hypothalamic region",
        "dorsal hypothalamic zone",
        "nucleus hypothalamicus dorsalis",
    ],
)
UBERONParcellation.dorsal_longitudinal_fasciculus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/dorsalLongitudinalFasciculus",
    definition="'Dorsal longitudinal fasciculus' is a fasciculus of brain.",
    description="A fiber bundle containing fibers from nuclei of the hypothalamus that project to the dorsal tegmental nucleus and other regions of the midbrain and the pons, as well as fibers originating in the pontine reticular formation and the medullary reticular formation that project to the thalamus and other regions of the forebrain (Carpenter-83). In NeuroNames it is a composite structure consisting of the dorsal longitudinal fasciculus of hypothalamus, the dorsal longitudinal fasciculus of midbrain, the dorsal longitudinal fasciculus of pons and the dorsal longitudinal fasciculus of medulla. (NeuroNames)]]",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0103442"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0003045#dorsal-longitudinal-fasciculus-1"),
    name="dorsal longitudinal fasciculus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0003045"),
    synonyms=[
        "accessory cochlear nucleus",
        "bundle of Schutz",
        "dlf",
        "dorsal longitudinal fascicle",
        "fasciculus longitudinalis dorsalis",
        "fasciculus longitudinalis posterior",
        "fasciculus of Schutz",
        "nucleus acustici accessorici",
        "nucleus cochlearis anterior",
        "nucleus cochlearis ventralis",
        "posterior longitudinal fasciculus",
        "ventral cochlear nuclei",
        "ventral division of cochlear nucleus",
    ],
)
UBERONParcellation.dorsal_longitudinal_fasciculus_of_hypothalamus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/dorsalLongitudinalFasciculusOfHypothalamus",
    definition="'Dorsal longitudinal fasciculus of hypothalamus' is a fasciculus of brain. It is part of the lateral hypothalamic area and dorsal longitudinal fasciculus.",
    description="Part of dorsal longitudinal fasciculus located within the hypothalamus",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0103443"),
    knowledge_space_link=IRI(
        "https://knowledge-space.org/wiki/UBERON:0003008#dorsal-longitudinal-fasciculus-of-hypothalamus-1"
    ),
    name="dorsal longitudinal fasciculus of hypothalamus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0003008"),
    synonyms=[
        "dlfh",
        "dorsal longitudinal fasciculus of the hypothalamus",
        "fasciculus longitudinalis dorsalis (hypothalami)",
    ],
)
UBERONParcellation.dorsal_longitudinal_fasciculus_of_medulla = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/dorsalLongitudinalFasciculusOfMedulla",
    definition="'Dorsal longitudinal fasciculus of medulla' is a fasciculus of brain. It is part of the medulla oblongata.",
    description="Part of dorsal longitudinal fasciculus located in the medulla",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0103444"),
    knowledge_space_link=IRI(
        "https://knowledge-space.org/wiki/UBERON:0002646#dorsal-longitudinal-fasciculus-of-medulla-1"
    ),
    name="dorsal longitudinal fasciculus of medulla",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002646"),
    synonyms=[
        "bundle of Schutz of medulla",
        "dorsal longitudinal fasciculus of the medulla",
        "fasciculus longitudinalis dorsalis (myelencephali)",
        "fasciculus of Schutz of medulla",
        "medulla bundle of Schutz",
        "medulla dorsal longitudinal fasciculus",
        "medulla fasciculus of Schutz",
        "medulla posterior longitudinal fasciculus",
        "posterior longitudinal fasciculus of medulla",
    ],
)
UBERONParcellation.dorsal_longitudinal_fasciculus_of_midbrain = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/dorsalLongitudinalFasciculusOfMidbrain",
    definition="'Dorsal longitudinal fasciculus of midbrain' is a fasciculus of brain. It is part of the midbrain tegmentum and dorsal longitudinal fasciculus.",
    description="Part of dorsal longitudinal fasciculus located in the midbrain tegmentum",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0103445"),
    knowledge_space_link=IRI(
        "https://knowledge-space.org/wiki/UBERON:0003005#dorsal-longitudinal-fasciculus-of-midbrain-1"
    ),
    name="dorsal longitudinal fasciculus of midbrain",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0003005"),
    synonyms=[
        "bundle of Schutz of midbrain",
        "dlfmb",
        "dorsal longitudinal fasciculus of the midbrain",
        "fasciculus longitudinalis dorsalis (mesencephali)",
        "fasciculus of Schutz of midbrain",
        "midbrain bundle of Schutz",
        "midbrain dorsal longitudinal fasciculus",
        "midbrain fasciculus of Schutz",
        "midbrain posterior longitudinal fasciculus",
        "posterior longitudinal fasciculus of midbrain",
    ],
)
UBERONParcellation.dorsal_longitudinal_fasciculus_of_pons = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/dorsalLongitudinalFasciculusOfPons",
    definition="'Dorsal longitudinal fasciculus of pons' is a fasciculus of brain. It is part of the pons and dorsal longitudinal fasciculus.",
    description="Part of dorsal longitudinal fasciculus located within the pons",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0103447"),
    knowledge_space_link=IRI(
        "https://knowledge-space.org/wiki/UBERON:0002793#dorsal-longitudinal-fasciculus-of-pons-1"
    ),
    name="dorsal longitudinal fasciculus of pons",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002793"),
    synonyms=["dorsal longitudinal fasciculus of the pons", "fasciculus longitudinalis dorsalis (pontis)"],
)
UBERONParcellation.dorsal_longitudinal_vein = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/dorsalLongitudinalVein",
    definition="Is a brain blood vessel. [auto-generated from 'is_a' property of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_2005031)]",
    description="Vessel that connects to the primitive hindbrain channel and the basilar artery at the caudal end of the medulla oblongata. Isogai et al. 2001. [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_2005031)]",
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:2005031#dorsal-longitudinal-vein"),
    name="dorsal longitudinal vein",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_2005031"),
    synonyms=["DLV"],
)
UBERONParcellation.dorsal_motor_nucleus_of_vagus_nerve = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/dorsalMotorNucleusOfVagusNerve",
    definition="'Dorsal motor nucleus of vagus nerve' is a nucleus of medulla oblongata and motor nucleus of vagal nerve.",
    description="A cranial nerve nucleus for the vagus nerve in the medulla that lies under the floor of the fourth ventricle. It mostly serves parasympathetic vagal functions in the gastrointestinal tract, lungs, and other thoracic and abdominal vagal innervations. The cell bodies for the preganglionic parasympathetic vagal neurons that innervate the heart reside in the nucleus ambiguus.[WP,unvetted].",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0103451"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002870#dorsal-motor-nucleus-of-vagus-nerve-1"),
    name="dorsal motor nucleus of vagus nerve",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002870"),
    synonyms=[
        "10N",
        "dorsal efferent nucleus of vagus",
        "dorsal motor nucleus",
        "dorsal motor nucleus of the vagus",
        "dorsal motor nucleus of the vagus (vagal nucleus)",
        "dorsal motor nucleus of the vagus nerve",
        "dorsal motor nucleus of vagus",
        "dorsal motor nucleus of vagus nerve",
        "dorsal motor nucleus of vagus X nerve",
        "dorsal motor nucleus of X",
        "dorsal motor vagal nucleus",
        "dorsal nucleus of the vagus nerve",
        "dorsal nucleus of vagus nerve",
        "dorsal vagal nucleus",
        "nucleus alaris",
        "nucleus alaris (Oertel)",
        "nucleus dorsalis motorius nervi vagi",
        "nucleus dorsalis nervi vagi",
        "nucleus posterior nervi vagi",
        "nucleus vagalis dorsalis",
        "posterior nucleus of vagus nerve",
        "vagus nucleus",
    ],
)
UBERONParcellation.dorsal_nucleus_of_lateral_lemniscus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/dorsalNucleusOfLateralLemniscus",
    definition="'Dorsal nucleus of lateral lemniscus' is a nucleus of lateral lemniscus.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0103457"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0003006#dorsal-nucleus-of-lateral-lemniscus-1"),
    name="dorsal nucleus of lateral lemniscus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0003006"),
    synonyms=[
        "DLL",
        "dorsal nucleus of the lateral lemniscus",
        "dorsal part",
        "nucleus lemnisci lateralis dorsalis",
        "nucleus lemnisci lateralis pars dorsalis",
        "nucleus of the lateral lemniscus",
        "nucleus of the lateral lemniscus dorsal part",
        "nucleus posterior lemnisci lateralis",
        "posterior nucleus of lateral lemniscus",
    ],
)
UBERONParcellation.dorsal_nucleus_of_medial_geniculate_body = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/dorsalNucleusOfMedialGeniculateBody",
    definition="'Dorsal nucleus of medial geniculate body' is a nucleus of dorsal thalamus. It is part of the medial geniculate body.",
    description="Dorsal division of the medial geniculate nucleus, as first defined by Morest (1964) in the cat, but also described in the rat. It fills all but the medial edge of the posterior tip in cat, and joins the lateral thalamic nucleus anteriorly (http://www.ncbi.nlm.nih.gov/pmc/articles/PMC1261345/?page=3)",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0103458"),
    knowledge_space_link=IRI(
        "https://knowledge-space.org/wiki/UBERON:0002758#dorsal-nucleus-of-medial-geniculate-body-1"
    ),
    name="dorsal nucleus of medial geniculate body",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002758"),
    synonyms=[
        "DMG",
        "dorsal medial geniculate nucleus",
        "dorsal nucleus of medial geniculate body",
        "dorsal nucleus of medial geniculate complex",
        "dorsal nucleus of the medial geniculate body",
        "dorsal part",
        "medial geniculate complex",
        "medial geniculate complex dorsal part",
        "medial geniculate nucleus",
        "medial geniculate nucleus dorsal part",
        "MGD",
        "nucleus corporis geniculati medialis",
        "nucleus dorsalis coporis geniculati medialis",
        "nucleus dorsalis corporis geniculati medialis",
        "nucleus geniculatus medialis fibrosus (Hassler)",
        "nucleus geniculatus medialis pars dorsalis",
        "pars dorsalis",
    ],
)
UBERONParcellation.dorsal_nucleus_of_trapezoid_body = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/dorsalNucleusOfTrapezoidBody",
    definition="'Dorsal nucleus of trapezoid body' is a nucleus of trapezoid body.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0103459"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0009053#dorsal-nucleus-of-trapezoid-body-1"),
    name="dorsal nucleus of trapezoid body",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0009053"),
    synonyms=["dorsal nucleus of trapezoid body", "nucleus dorsalis corporis trapezoidei"],
)
UBERONParcellation.dorsal_oculomotor_nucleus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/dorsalOculomotorNucleus",
    definition="'Dorsal oculomotor nucleus' is a brainstem nucleus and midbrain nucleus. It is part of the oculomotor nuclear complex.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0103460"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002964#dorsal-oculomotor-nucleus-1"),
    name="dorsal oculomotor nucleus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002964"),
    synonyms=[
        "D3",
        "dorsal nucleus of oculomotor nuclear complex",
        "dorsal oculomotor cell column",
        "nucleus nervi oculomotorii",
        "pars dorsalis",
    ],
)
UBERONParcellation.dorsal_pallidum = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/dorsalPallidum",
    definition="'Dorsal pallidum' is a cerebral hemisphere gray matter and pallidum. It is part of the globus pallidus.",
    description="The predominant portion of the globus pallidus in the striatopallidal system, which is defined by connectivity and neurochemical staining. The dorsal pallidum is distinguished from the ventral pallidum by a boundary that is partially defined by the anterior commissure. The remainder of the boundary is indistinct in sections stained for Nissl substance ( Heimer-1995 ).",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0724298"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0006516#dorsal-pallidum"),
    name="dorsal pallidum",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0006516"),
)
UBERONParcellation.dorsal_paramedian_reticular_nucleus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/dorsalParamedianReticularNucleus",
    definition="'Dorsal paramedian reticular nucleus' is a nucleus of medulla oblongata. It is part of the paramedian medullary reticular complex.",
    description="Small nucleus in the brainstem of human, located adjacent and medial to the nucleus prepositus in the dorsal medulla, described in several atlases of human brain stem.  In transverse sections, it is oval with its long axis aligned with the dorsal border of the brainstem.  It begins at about the same A-P level as the nucleus prepositus, just rostral to the hypoglossal nucleus.  It includes calretinin immunoreactive large cells with oval or polygonal cell bodies. Cells are not immunoreactive for either calbindin or parvalbumin, but a few fibers immunoreactive to each protein are found within its central region. Cells in PMD are also immunoreactive to nNOS, and immunoreactivity to a neurofilament protein shows many labeled cells and fibers.  According to Baizer et al., no equivalent structure was observed in the cat, rat, mouse or monkey atlas although they did not look at the brains of the great apes.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0107786"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0016827#dorsal-paramedian-reticular-nucleus"),
    name="dorsal paramedian reticular nucleus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0016827"),
    synonyms=[
        "dorsal paramedian nuclei of raphe",
        "dorsal paramedian nucleus",
        "dorsal paramedian reticular nucleus",
        "nucleo paramediano dorsale@it",
        "nucleus paramedianus dorsalis",
        "nucleus paramedianus posterior",
        "nucleus reticularis paramedianus myelencephali",
        "nzcleo reticular paramediano dorsal@es",
        "PMD",
        "posterior paramedian nucleus",
    ],
)
UBERONParcellation.dorsal_plus_ventral_thalamus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/dorsalPlusVentralThalamus",
    definition="'Dorsal plus ventral thalamus' is a regional part of brain. It is part of the thalamic complex.",
    description="Subcortical brain region consisting of paired gray matter bodies in the dorsal diencephalon and forming part of the lateral wall of the third ventricle of the brain. The thalamus represents the major portion of the diencephalon and is commonly divided into cellular aggregates known as nuclear groups.(MeSH).The dorsal topographic division of the interbrain. The macrodissected adult human thalamus was clearly illustrated by Vesalius in 1543 and the term as defined here was introduced by His in 1893. It includes the traditional epithalamus, dorsal thalamus, and ventral thalamus of Herrick (1910, pp. 494, 498). Also see Kuhlenbeck (1927, Ch. 9) and Jones (1985, p. 87).",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0111657"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0001897#thalamus"),
    name="dorsal plus ventral thalamus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0001897"),
    synonyms=["Parencephalon", "Th", "thalamencephalon", "thalami", "thalamus", "thalamus opticus", "wider thalamus"],
)
UBERONParcellation.dorsal_raphe_nucleus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/dorsalRapheNucleus",
    definition="'Dorsal raphe nucleus' is a nucleus of midbrain reticular formation. It is part of the raphe nuclei.",
    description="A large raphe nucleus extending from the anterior part of the pons through the mesencephalon; its neurons are serotoninergic[NIF]. The dorsal raphe nucleus is a part of the raphe nucleus and consists of rostral and caudal subdivisions. The rostral aspect of the dorsal raphe is further divided into interfascicular, ventral, ventrolateral and dorsal subnuclei. The projections of the dorsal raphe have been found to vary topographically, and thus the subnuclei differ in their projections. An increased number of cells in the lateral aspects of the dorsal raphe is characteristic of humans and other primates. [WP,unvetted].",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0103469"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002043#dorsal-raphe-nucleus-1"),
    name="dorsal raphe nucleus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002043"),
)
UBERONParcellation.dorsal_septal_nucleus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/dorsalSeptalNucleus",
    definition="'Dorsal septal nucleus' is a telencephalic nucleus. It is part of the septal nuclear complex.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0103478"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002931#dorsal-septal-nucleus-1"),
    name="dorsal septal nucleus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002931"),
    synonyms=["nucleus dorsalis septi", "nucleus septalis dorsalis"],
)
UBERONParcellation.dorsal_striatum = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/dorsalStriatum",
    definition="'Dorsal striatum' is a gray matter of telencephalon. It is part of the striatum.",
    description="Dorsal components of the striatum comprising the caudate nucleus and the putamen, in species that have distinct nuclei; the caudoputamen in species which don't.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0103481"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0005382#dorsal-striatum-1"),
    name="dorsal striatum",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0005382"),
    synonyms=[
        "caudoputamen",
        "corpus striatum",
        "dorsal basal ganglia",
        "dorsal basal ganglion",
        "StD",
        "striated body",
        "striatum dorsal region",
        "striatum dorsale",
    ],
)
UBERONParcellation.dorsal_tegmental_decussation = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/dorsalTegmentalDecussation",
    definition="'Dorsal tegmental decussation' is a neural decussation. It is part of the midbrain tegmentum.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0103484"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0003009#dorsal-tegmental-decussation-1"),
    name="dorsal tegmental decussation",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0003009"),
)
UBERONParcellation.dorsal_tegmental_nucleus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/dorsalTegmentalNucleus",
    definition="'Dorsal tegmental nucleus' is a brainstem nucleus and midbrain nucleus. It is part of the midbrain tegmentum.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0103485"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002143#dorsal-tegmental-nucleus-1"),
    name="dorsal tegmental nucleus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002143"),
    synonyms=[
        "dorsal tegmental nucleus (Gudden)",
        "Dorsal tegmental nucleus of Gudden",
        "DTg",
        "DTN",
        "ganglion dorsale tegmenti",
        "gudden nucleus",
        "nucleus compactus suprafascicularis",
        "nucleus dorsalis tegmenti",
        "nucleus dorsalis tegmenti (Gudden)",
        "nucleus opticus dorsalis",
        "nucleus tegmentalis dorsalis",
        "nucleus tegmentalis posterior",
        "nucleus tegmenti dorsale",
        "posterior tegmental nucleus",
        "von Gudden's nucleus",
    ],
)
UBERONParcellation.dorsal_tegmental_nucleus_pars_dorsalis = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/dorsalTegmentalNucleusParsDorsalis",
    definition="'Dorsal tegmental nucleus pars dorsalis' is a regional part of brain. It is part of the dorsal tegmental nucleus.",
    description="Part of dorsal tegmental nucleus characterized by round, small cells that are lightly stained in Nissl preparations.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0103488"),
    knowledge_space_link=IRI(
        "https://knowledge-space.org/wiki/UBERON:0014568#dorsal-tegmental-nucleus-pars-dorsalis-1"
    ),
    name="dorsal tegmental nucleus pars dorsalis",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0014568"),
    synonyms=["Dorsal tegmental nucleus of Gudden pars dorsalis", "dorsal tegmental nucleus pars dorsalis", "TDD"],
)
UBERONParcellation.dorsal_tegmental_nucleus_pars_ventralis = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/dorsalTegmentalNucleusParsVentralis",
    definition="'Dorsal tegmental nucleus pars ventralis' is a regional part of brain. It is part of the dorsal tegmental nucleus.",
    description="Cytoarchitectural part of the dorsal tegmental nucleus based on cell size.  The pars ventralis is characterized by medium sized oval or triangular cells that stain darkly in NIssl stains.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0103489"),
    knowledge_space_link=IRI(
        "https://knowledge-space.org/wiki/UBERON:0014569#dorsal-tegmental-nucleus-pars-ventralis-1"
    ),
    name="dorsal tegmental nucleus pars ventralis",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0014569"),
    synonyms=[
        "Dorsal tegmental nucleus of Gudden pars ventralis",
        "dorsal tegmental nucleus pars ventralis",
        "pars ventralis of the dorsal tegmental nucleus",
        "pars ventralis of the dorsal tegmental nucleus of Gudden",
        "TDV",
    ],
)
UBERONParcellation.dorsal_telencephalic_commissure = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/dorsalTelencephalicCommissure",
    definition="Is a commissure of telencephalon. [auto-generated from 'is_a' property of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0005340)]",
    description="A fiber tracts that connect the dorsal region of the two cerebral hemispheres and span the longitudinal fissure, including the corpus callosum and hippocampal commissure. [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0005340)]",
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0005340#dorsal-telencephalic-commissure"),
    name="dorsal telencephalic commissure",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0005340"),
    synonyms=["dorsal commissure"],
)
UBERONParcellation.dorsal_trigeminal_tract = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/dorsalTrigeminalTract",
    definition="Is a trigeminothalamic tract and tract of brain. Is part of the pontine tegmentum. [auto-generated from properties of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0002797) ('is_a' and 'relationship')]",
    description="The dorsal trigeminal tract (dorsal trigeminothalamic tract, or lemniscus) is a tract which receives signals from Meissner's corpuscles and Pacinian corpuscles. this tract arises from Principal trigeminal nucleus and terminates in the VPM nucleus of the thalamus. [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0002797)]",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0103494"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002797#dorsal-trigeminal-tract-1"),
    name="dorsal trigeminal tract",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002797"),
    synonyms=[
        "dorsal ascending trigeminal tract",
        "dorsal division of trigeminal lemniscus",
        "dorsal secondary ascending tract of v",
        "dorsal secondary tract of v",
        "dorsal trigeminal lemniscus",
        "dorsal trigeminal pathway",
        "dorsal trigeminothalamic tract",
        "posterior trigeminothalamic tract",
        "reticulothalamic tract",
        "tractus trigeminothalamicus posterior",
        "uncrossed dorsal trigeminothalamic tract",
    ],
)
UBERONParcellation.dorsolateral_fasciculus_of_medulla = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/dorsolateralFasciculusOfMedulla",
    definition="'Dorsolateral fasciculus of medulla' is a tract of brain. It is part of the medulla oblongata.",
    description="Part of Lissauer's tract located in the medulla",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0106302"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002649#dorsolateral-fasciculus"),
    name="dorsolateral fasciculus of medulla",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002649"),
    synonyms=[
        "dorsolateral fasciculus",
        "dorsolateral fasciculus of the medulla",
        "dorsolateral tract",
        "fasciculus dorsolateralis",
        "Lissauer marginal zone",
        "lissauer's tract",
        "posterolateral fasciculus",
        "posterolateral tract",
        "tract of Lissauer",
        "tractus posterolateralis",
        "zona Lissauer",
        "zone of Lissauer",
    ],
)
UBERONParcellation.dorsolateral_prefrontal_cortex = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/dorsolateralPrefrontalCortex",
    definition="'Dorsolateral prefrontal cortex' is a regional part of brain. It is part of the cerebral cortex.",
    description="Part of prefrontal cortex.  The dorsolateral prefrontal cortex (DL-PFC or DLPFC), according to a more restricted definition, is roughly equivalent to Brodmann areas 9 and 46. According to a broader definition DL-PFC consists of the lateral portions of Brodmann areas 9 - 12, of areas 45, 46, and the superior part of area 47. These regions mainly receive their blood supply from the middle cerebral artery. With respect to neurotransmitter systems, there is evidence that dopamine plays a particularly important role in DL-PFC.DL-PFC is connected to the orbitofrontal cortex, and to a variety of brain areas, which include the thalamus, parts of the basal ganglia (the dorsal caudate nucleus), the hippocampus, and primary and secondary association areas of neocortex, including posterior temporal, parietal, and occipital areas check dorsolateral prefrontal neocortex (http://purl.obolibrary.org/obo/UBERON_0009834).",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0103503"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0009834#dorsolateral-prefrontal-cortex"),
    name="dorsolateral prefrontal cortex",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0009834"),
    synonyms=["DL-PFC", "DLPFC"],
)
UBERONParcellation.dorsomedial_nucleus_of_hypothalamus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/dorsomedialNucleusOfHypothalamus",
    definition="'Dorsomedial nucleus of hypothalamus' is a hypothalamic nucleus. It is part of the medial zone of hypothalamus and intermediate hypothalamic region.",
    description="The Dorsomedial hypothalamic nucleus is a nucleus of the hypothalamus. It is involved in feeding, drinking, and body weight regulation. [WP,unvetted].",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0103515"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0001934#dorsomedial-nucleus-of-hypothalamus-1"),
    name="dorsomedial nucleus of hypothalamus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0001934"),
    synonyms=[
        "DMH",
        "dorsomedial hypothalamic nucleus",
        "dorsomedial nucleus",
        "dorsomedial nucleus hypothalamus",
        "dorsomedial nucleus of dorsal hypothalamus",
        "dorsomedial nucleus of intermediate hypothalamus",
        "dorsomedial nucleus of the hypothalamus",
        "nucleus dorsomedialis hypothalami",
        "nucleus dorsomedialis hypothalamicae intermediae",
        "nucleus hypothalamicus dorsomedialis",
    ],
)
UBERONParcellation.dura_mater_lymph_vessel = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/duraMaterLymphVessel",
    definition="Is part of the meningeal cluster. [auto-generated from 'relationship' property of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0035608)]",
    description="Any lymph vessel that is located in the dura mater of the brain. [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0035608)]",
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0035608#dura-mater-lymph-vessel"),
    name="dura mater lymph vessel",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0035608"),
    synonyms=["dural lymph vessel"],
)
UBERONParcellation.emboliform_nucleus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/emboliformNucleus",
    definition="'Emboliform nucleus' is a cerebellum interpositus nucleus.",
    description="The small wedge shaped nucleus interposed between the dentate and fastigial nuclei; it receives axons from Purkinje cells of the intermediate area of the cerebral hemispheres and most of its efferent connections travel via the superior cerebellar peduncle",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0103738"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002602#emboliform-nucleus-1"),
    name="emboliform nucleus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002602"),
    synonyms=[
        "anterior interposed nucleus",
        "anterior interpositus nucleus",
        "cerebellar emboliform nucleus",
        "cerebellum emboliform nucleus",
        "Emb",
        "embolus",
        "lateral interpositus (emboliform) nucleus",
        "lateral interpositus nucleus",
        "nucleus emboliformis",
        "nucleus emboliformis cerebelli",
        "nucleus interpositus anterior",
        "nucleus interpositus anterior cerebelli",
    ],
)
UBERONParcellation.endohypothalamic_tract = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/endohypothalamicTract",
    definition="Is a white matter. [auto-generated from 'is_a' property of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_2005343)]",
    description="CNS white matter, axonal tract interconnecting catecholaminergic cell groups in the posterior tuberculum and hypothalamus. [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_2005343)]",
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:2005343#endohypothalamic-tract"),
    name="endohypothalamic tract",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_2005343"),
)
UBERONParcellation.endopiriform_nucleus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/endopiriformNucleus",
    definition="An elongated nucleus consisting largely of multipolar spiny cells lying deep to the piriform cortex.  According to Price (1990;  pp. 979-998 in The Human Nervous System, G. Paxinos, (Ed.), Academic Press, San Diego), it is part of the claustrum.",
    description="'Endopiriform nucleus' is a telencephalic nucleus. It is part of the claustrum of brain.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0103787"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0014284#endopiriform-nucleus-1"),
    name="endopiriform nucleus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0014284"),
    synonyms=[
        "endopiriform nucleus",
        "layer 4 of piriform cortex",
        "layer IV of piriform cortex",
        "ventral claustrum",
    ],
)
UBERONParcellation.endothelial_blood_brain_barrier = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/endothelialBloodBrainBarrier",
    definition="Is a blood brain barrier. [auto-generated from 'is_a' property of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0000201)]",
    description="A blood brain barrier that is composed of endothelial cells. [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0000201)]",
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0000201#endothelial-blood-brain-barrier"),
    name="endothelial blood brain barrier",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0000201"),
)
UBERONParcellation.entorhinal_cortex = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/entorhinalCortex",
    definition="'Entorhinal cortex' is part of the parahippocampal gyrus and piriform cortex.",
    description="Component of the temporal lobe on the mesial surface.  The rostral and caudal boundaries of the entorhinal cortex are the rostral end of the collateral sulcus and the caudal end of the amygdala respectively.  The medial boundary is the medial aspect of the temporal lobe and the lateral boundary is the collateral sulcus. (DK)",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0103859"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002728#entorhinal-cortex-1"),
    name="entorhinal cortex",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002728"),
    synonyms=[
        "Area 28 of Brodmann (Crosby)",
        "area entorhinalis (28,34)",
        "area entorhinalis ventralis et dorsalis",
        "Brodmann's area 28",
        "cortex entorhinalis",
        "Ent",
        "entorhinal area",
        "entorhinal cortex",
        "secondary olfactory cortex",
        "Secondary olfactory cortical area (Carpenter)",
    ],
)
UBERONParcellation.entorhinal_cortex_layer2 = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/entorhinalCortexLayer2",
    definition="'Entorhinal cortex layer 2' is the outermost cell layer of the entorhinal cortex.",
    description="Layer of the entorhinal cortex lying superficial to layer 3 and deep to layer 1. It is characterized by medium-to large sized stellate cells that are grouped into prominent clusters, particularly in the rostral entorhinal cortex (Adapted from Paxinos, G. The rat central nervous system, 2nd ed, Academic Press, San Diego, 1995, pg. 474).",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0731986"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0022337#entorhinal-cortex-layer-2"),
    name="entorhinal cortex layer 2",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0022337"),
    synonyms=[
        "EC layer 2",
        "EC layer II",
        "entorhinal cortex layer II",
        "layer 2 of entorhinal cortex",
        "layer II of entorhinal cortex",
        "outermost cell layer of entorhinal cortex",
    ],
)
UBERONParcellation.entorhinal_cortex_layer3 = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/entorhinalCortexLayer3",
    definition="'Entorhinal cortex layer 3' is the pyramidal layer of the entorhinal cortex.",
    description="Layer of the entorhinal cortex lying superficial to layer 4 and deep to layer 2. It is characterized by cells of various sizes and shapes with a predominance of pyramidal cells (Adapted from Paxinos, G. The rat central nervous system, 2nd ed, Academic Press, San Diego, 1995, pg. 474).",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0103864"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0022327#entorhinal-cortex-layer-3"),
    name="entorhinal cortex layer 3",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0022327"),
    synonyms=[
        "EC layer 3",
        "EC layer III",
        "entorhinal cortex layer III",
        "entorhinal cortex pyramidal layer",
        "layer 3 of entorhinal cortex",
        "layer III of entorhinal cortex",
        "pyramidal layer of entorhinal cortex",
    ],
)
UBERONParcellation.entorhinal_cortex_layer5 = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/entorhinalCortexLayer5",
    definition="'Entorhinal cortex layer 5' is one of the deep layers of the entorhinal cortex.",
    description="Layer of entorhinal cortex lying superficial to layer 6 and deep to layer 4 characterized by large pyramidal neurons that are darkly stained in Nissl preparations (Adapted from Paxinos, G. The rat central nervous system, 2nd ed, Academic Press, San Diego, 1995, pg. 474).",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0103866"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0022325#entorhinal-cortex-layer-5"),
    name="entorhinal cortex layer 5",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0022325"),
    synonyms=["entorhinal cortex layer V"],
)
UBERONParcellation.entorhinal_cortex_layer6 = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/entorhinalCortexLayer6",
    definition="'Entorhinal cortex layer 6' is the innermost layer of the entorhinal cortex.",
    description="Layer of entorhinal cortex lying superficial to the cerebral white matter and deep to layer 5 characterized by cells of various shapes and sizes (Adapted from Paxinos, G. The rat central nervous system, 2nd ed, Academic Press, San Diego, 1995, pg. 474).",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0103867"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0022329#entorhinal-cortex-layer-6"),
    name="entorhinal cortex layer 6",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0022329"),
    synonyms=["entorhinal cortex layer VI"],
)
UBERONParcellation.epiphyseal_tract = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/epiphysealTract",
    definition="Is a central nervous system cell part cluster and cranial neuron projection bundle. [auto-generated from 'is_a' property of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0034714)]",
    description="A cranial nerve fiber tract that innervates the parietal eye. [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0034714)]",
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0034714#epiphyseal-tract"),
    name="epiphyseal tract",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0034714"),
)
UBERONParcellation.epithalamus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/epithalamus",
    definition="'Epithalamus' is a regional part of brain. It is part of the dorsal plus ventral thalamus.",
    description="Most dorsal part of the thalamus, comprising the pineal gland and habenular nuclei in most vertebrates.  In a few vertebrates, it also includes the parietal eye. (Butler and Hodos, Comparative Vertebrate Neuroanatomy, 2nd ed, 2005, pg. 345-346.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0103897"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0001899#epithalamus-1"),
    name="epithalamus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0001899"),
    synonyms=["ETh", "epithalamus"],
)
UBERONParcellation.external_capsule_of_telencephalon = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/externalCapsuleOfTelencephalon",
    definition="",
    description="The 'external capsule of telencephalon' is a series of white matter fibre tracts that run between the most lateral segment of the lentiform nucleus and the claustrum.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0724043"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/NLXANAT:1010013#external-capsule-of-telencephalon"),
    name="external capsule of telencephalon",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0004545"),
    synonyms=["brain external capsule", "capsula externa", "corpus callosum external capsule", "external capsule"],
)
UBERONParcellation.external_nucleus_of_inferior_colliculus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/externalNucleusOfInferiorColliculus",
    definition="'External nucleus of inferior colliculus' is a nucleus of midbrain tectum. It is part of the inferior colliculus.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0104042"),
    knowledge_space_link=IRI(
        "https://knowledge-space.org/wiki/UBERON:0002571#external-nucleus-of-inferior-colliculus-1"
    ),
    name="external nucleus of inferior colliculus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002571"),
    synonyms=[
        "external cortex of the inferior colliculus",
        "external nucleus",
        "external nucleus of the inferior colliculus",
        "inferior colliculus",
        "nucleus externus (colliculi inferioris)",
        "nucleus externus colliculi inferioris",
        "nucleus lateralis colliculi inferioris",
    ],
)
UBERONParcellation.extrastriate_cortex = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/extrastriateCortex",
    definition="'Extrastriate cortex' is an aggregate regional part of brain. It is part of the visual cortex.",
    description="A group of cortical areas related by direct or indirect connectivity to the striate area 17 and functionally involved primarily in vision. They include the parastriate area 18, the peristriate area 19 and adjacent areas in the parietal lobe and temporal lobe (Adapted from BrainInfo and Zilles-1990).",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0104057"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0014370#extrastriate-cortex"),
    name="extrastriate cortex",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0014370"),
    synonyms=["extrastriate areas", "extrastriate cortex", "extrastriate cortical area", "peristriate cortex"],
)
UBERONParcellation.extreme_capsule = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/extremeCapsule",
    definition="'Extreme capsule' is a cerebral hemisphere white matter.",
    description="Thin band of fibers separating the claustrum from the insular cortex",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0104058"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0014528#extreme-capsule-1"),
    name="extreme capsule",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0014528"),
    synonyms=["band of Baillarger", "capsula extrema"],
)
UBERONParcellation.facial_motor_nucleus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/facialMotorNucleus",
    definition="Nucleus located in the pontine tegmentum containing motor neurons that innervate the muscles of the face. Some neurons that project to the cerebellum have also been identified in some species.",
    description="'Facial motor nucleus' is a facial nucleus.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0104077"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0003011#facial-motor-nucleus-1"),
    name="facial motor nucleus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0003011"),
)
UBERONParcellation.facial_nerve_root = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/facialNerveRoot",
    definition="'Facial nerve root' is a root of cranial nerve. It is part of the metencephalon.",
    description="A nerve root that extends_fibers_into a facial nerve.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0104076"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0004674#facial-nerve-root-1"),
    name="facial nerve root",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0004674"),
)
UBERONParcellation.fasciculus_of_brain = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/fasciculusOfBrain",
    definition="'Fasciculus of brain' is a nerve fasciculus and central nervous system cell part cluster. It is part of the brain and white matter.",
    description="A fascicle that is part of a brain.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0727527"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0005838#fasciculus-of-brain"),
    name="fasciculus of brain",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0005838"),
)
UBERONParcellation.fasciolar_gyrus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/fasciolarGyrus",
    definition="'Fasciolar gyrus' is part of the limbic lobe.",
    description="A small paired band that passes around the splenium of the corpus callosum from the lateral longitudinal stria to the dentate gyrus[Biology-Online]. A posterior and upward extension of the dentate gyrus, forming a transitional area between the dentate gyrus and the indusium griseum[BTO].",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0104114"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002601#fasciolar-gyrus-1"),
    name="fasciolar gyrus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002601"),
    synonyms=[
        "Arnold)",
        "fasciola cinerea",
        "fasciola cinerea (Reil",
        "fasciola cinereum",
        "FC",
        "gyrus fasciolaris",
        "gyrus retrosplenialis hippocampi",
        "retrosplenial gyrus of hippocampus",
        "splenial gyrus",
    ],
)
UBERONParcellation.fastigial_nucleus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/fastigialNucleus",
    definition="'Fastigial nucleus' is a nucleus of cerebellar nuclear complex.",
    description="The most medial of the cerebellar nuclei; it receives its afferent input from Purkinje cells of the flocculonodular lobe and the vermis, and most of its efferent connections travel via the inferior cerebellar peduncle to the vestibular nuclei and to the medullary reticular formation",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0104122"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002153#fastigial-nucleus-1"),
    name="fastigial nucleus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002153"),
    synonyms=[
        "Fas",
        "fasciculosus thalamic nucleus",
        "fastigial cerebellar nucleus",
        "medial (fastigial) nucleus",
        "medial cerebellar nucleus",
        "medial nucleus of cerebellum",
        "nucleus (motorius) tecti cerebelli",
        "nucleus fastigiatus",
        "nucleus fastigii",
        "nucleus fastigii cerebelli",
        "nucleus fastigius cerebelli",
        "roof nucleus-1",
    ],
)
UBERONParcellation.flocculonodular_lobe = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/flocculonodularLobe",
    definition="'Flocculonodular lobe' is a cerebellum lobe. It is part of the vestibulocerebellum.",
    description="The flocculonodular lobe is a lobe of the cerebellum consisting of the nodule and the flocculus. It is closely associated with the vestibulocerebellum. [WP,unvetted].",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0104286"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0003012#flocculonodular-lobe-1"),
    name="flocculonodular lobe",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0003012"),
    synonyms=[
        "Archaeocerebellum",
        "archicerebellum",
        "cerebellum flocculonodular lobe",
        "flocculonodular lobe",
        "flocculonodular lobe of cerebellum",
        "lobus flocculonodularis",
        "posterior lobe-2 of cerebellum",
        "vestibulocerebellum",
    ],
)
UBERONParcellation.flocculonodular_lobe_hemisphere_portion = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/flocculonodularLobeHemispherePortion",
    definition="'Flocculonodular lobe, hemisphere portion' is a regional part of cerebellar cortex. It is part of the cerebellar hemisphere and flocculonodular lobe.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0104947"),
    name="flocculonodular lobe, hemisphere portion",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0027331"),
)
UBERONParcellation.flocculus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/flocculus",
    definition="'Flocculus' is a flocculonodular lobe, hemisphere portion.",
    description="The small lobe of the cerebellum at the posterior border of the middle cerebellar peduncle anterior to the biventer lobule that receives input from the inferior and medial vestibular nuclei and sends fibers back to the vestibular nuclei, and processes and integrates these signals to allow for the constant maintenance of balance",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0104287"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0001063#flocculus-1"),
    name="flocculus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0001063"),
    synonyms=[
        "Fl",
        "flocculus of cerebellum",
        "H X",
        "hemispheric lobule X",
        "lobule H X of Larsell",
        "lobule X",
        "lobule X of hemisphere of cerebellum",
        "neuraxis flocculus",
    ],
)
UBERONParcellation.forebrain = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/forebrain",
    definition="'Forebrain' is a regional part of brain.",
    description="The part of the brain developed from the most rostral of the three primary vesicles of the embryonic neural tube and consisting of the DIENCEPHALON and TELENCEPHALON. (MSH) * part of the brain developed from the most rostral of the three primary vesicles of the embryonic neural tube (brain) from which the diencephalon and telencephalon are derived; also called the forebrain. (CSP), The part of the brain developed from the most rostral of the three primary vesicles of the embryonic neural tube and consisting of the Diencephalon and Telencephalon.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0104355"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0001890#forebrain-1"),
    name="forebrain",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0001890"),
    synonyms=["FB", "prosencephalon"],
)
UBERONParcellation.forebrain_ipsilateral_fiber_tracts = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/forebrainIpsilateralFiberTracts",
    definition="Is a fasciculus of brain. Is part of the white matter of forebrain. [auto-generated from properties of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0022247) ('is_a' and 'relationship')]",
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0022247#forebrain-ipsilateral-fiber-tracts"),
    name="forebrain ipsilateral fiber tracts",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0022247"),
)
UBERONParcellation.forebrainmidbrain_boundary = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/forebrainmidbrainBoundary",
    definition="'Forebrain-midbrain boundary' is part of the brain.",
    description="An anatomical boundary that adjacent_to a forebrain and adjacent_to a midbrain.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0736799"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0005075#forebrain-midbrain-boundary"),
    name="forebrain-midbrain boundary",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0005075"),
)
UBERONParcellation.fornix_of_brain = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/fornixOfBrain",
    definition="'Fornix of brain' is a tract of brain. It is part of the hippocampal formation.",
    description="White matter structure carrying axons connecting the hippocampal formation to other brain regions.  It is typically divided into the columns (crus), body, commissure and the pre-commissural and post-commissural fornix (MM).",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0104362"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0000052#fornix"),
    name="fornix of brain",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0000052"),
    synonyms=[
        "brain fornix",
        "cerebral fornix",
        "forebrain fornix",
        "fornix",
        "fornix (column and body of fornix)",
        "fornix cerebri",
        "fornix hippocampus",
        "fornix of brain",
        "fornix of neuraxis",
        "hippocampus fornix",
        "neuraxis fornix",
    ],
)
UBERONParcellation.fourth_ventricle = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/fourthVentricle",
    definition="Is a brain ventricle. Is part of the hindbrain. [auto-generated from properties of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0002422) ('is_a' and 'relationship')]",
    description="Part of the ventricular system of the brain, forming a single large irregularly shaped cavity located on the midline of the rhombencephalon, between the medulla, pons and the isthmus ventrally and the cerebellum dorsally. It is continuous with the cerebral aqueduct anteriorally and the central canal of the spinal cord posteriorly. It communicates with the subarachnoid space through its lateral and median apertures. [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0002422)]",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0104381"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002422#fourth-ventricle"),
    name="fourth ventricle",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002422"),
    synonyms=["ventricle IV"],
)
UBERONParcellation.fourth_ventricle_aperture = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/fourthVentricleAperture",
    definition="Is part of the fourth ventricle. [auto-generated from 'relationship' property of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0004668)]",
    description="One of: the 4th ventricle median or lateral apertures. [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0004668)]",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0735066"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0004668#fourth-ventricle-aperture"),
    name="fourth ventricle aperture",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0004668"),
    synonyms=["aperture of 4th ventricle", "aperture of fourth ventricle"],
)
UBERONParcellation.fourth_ventricle_choroid_plexus_epithelium = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/fourthVentricleChoroidPlexusEpithelium",
    definition="Is a choroid plexus epithelium. Is part of the choroid plexus of fourth ventricle. [auto-generated from properties of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0004276) ('is_a' and 'relationship')]",
    description="A choroid plexus epithelium that is part of a fourth ventricle. [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0004276)]",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0728876"),
    knowledge_space_link=IRI(
        "https://knowledge-space.org/wiki/UBERON:0004276#fourth-ventricle-choroid-plexus-epithelium"
    ),
    name="fourth ventricle choroid plexus epithelium",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0004276"),
    synonyms=[
        "chorioid plexus of cerebral hemisphere epithelial tissue of fourth ventricle",
        "chorioid plexus of cerebral hemisphere epithelium of fourth ventricle",
        "choroid plexus epithelial tissue of fourth ventricle",
        "choroid plexus epithelium of fourth ventricle",
        "epithelial tissue of chorioid plexus of cerebral hemisphere of fourth ventricle",
        "epithelial tissue of choroid plexus of fourth ventricle",
        "epithelium of chorioid plexus of cerebral hemisphere of fourth ventricle",
        "epithelium of choroid plexus of fourth ventricle",
        "fourth ventricle chorioid plexus of cerebral hemisphere epithelial tissue",
        "fourth ventricle chorioid plexus of cerebral hemisphere epithelium",
        "fourth ventricle choroid plexus epithelial tissue",
        "fourth ventricle epithelial tissue of chorioid plexus of cerebral hemisphere",
        "fourth ventricle epithelial tissue of choroid plexus",
        "fourth ventricle epithelium of chorioid plexus of cerebral hemisphere",
        "fourth ventricle epithelium of choroid plexus",
    ],
)
UBERONParcellation.fourth_ventricle_choroid_plexus_stroma = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/fourthVentricleChoroidPlexusStroma",
    definition="Is a choroid plexus stroma. Is part of the choroid plexus of fourth ventricle. [auto-generated from properties of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0006340) ('is_a' and 'relationship')]",
    description="A choroid plexus stroma that is part of a fourth ventricle. [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0006340)]",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0726195"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0006340#fourth-ventricle-choroid-plexus-stroma"),
    name="fourth ventricle choroid plexus stroma",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0006340"),
)
UBERONParcellation.fourth_ventricle_ependyma = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/fourthVentricleEpendyma",
    definition="Is a brain ependyma. Is part of the fourth ventricle. [auto-generated from properties of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0004644) ('is_a' and 'relationship')]",
    description="An ependyma that is part of a fourth ventricle. [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0004644)]",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0729148"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0004644#fourth-ventricle-ependyma"),
    name="fourth ventricle ependyma",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0004644"),
    synonyms=["ependyma of fourth ventricle"],
)
UBERONParcellation.fourth_ventricle_lateral_aperture = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/fourthVentricleLateralAperture",
    definition="Is a fourth ventricle aperture. [auto-generated from 'is_a' property of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0003992)]",
    description="One of the two lateral openings of the fourth ventricle into the subarachnoid space at the cerebellopontine angle. [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0003992)]",
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0003992#fourth-ventricle-lateral-aperture"),
    name="fourth ventricle lateral aperture",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0003992"),
    synonyms=[
        "apertura lateralis",
        "foramen of key and retzius",
        "foramen of Key-Retzius",
        "foramen of Luschka",
        "foramen of Retzius",
        "lateral aperture of fourth ventricle",
    ],
)
UBERONParcellation.fourth_ventricle_median_aperture = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/fourthVentricleMedianAperture",
    definition="Is a fourth ventricle aperture. [auto-generated from 'is_a' property of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0003991)]",
    description="The large midline opening of the posterior inferior part of the roof of the fourth ventricle that connects the fourth ventricle to the posterior cerebromedullary cistern and the spinal cord. [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0003991)]",
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0003991#fourth-ventricle-median-aperture"),
    name="fourth ventricle median aperture",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0003991"),
    synonyms=["apertura mediana", "foramen of Magendie", "foramen of Majendie", "median aperture of fourth ventricle"],
)
UBERONParcellation.frontal_cortex = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/frontalCortex",
    definition="'Frontal cortex' is a cortex of cerebral lobe. It is part of the frontal lobe.",
    description="Anterior portion of the frontal cortex, lying anterior to the central sulcus in humans.  It is bounded by the parietal cortex posteriorly and the temporal cortex laterally.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0104449"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0001870#frontal-cortex-1"),
    name="frontal cortex",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0001870"),
    synonyms=[
        "cortex of frontal lobe",
        "frontal lobe cortex",
        "frontal neocortex",
        "gray matter of frontal lobe",
        "grey matter of frontal lobe",
    ],
)
UBERONParcellation.frontal_lobe = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/frontalLobe",
    definition="'Frontal lobe' is a lobe of cerebral hemisphere.",
    description="The anterior part of the cerebral hemisphere. (MSH)",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0104451"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0016525#frontal-lobe-1"),
    name="frontal lobe",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0016525"),
    synonyms=["frontal cortex", "frontal region", "lobi frontales", "lobus frontalis", "regio frontalis"],
)
UBERONParcellation.frontal_operculum = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/frontalOperculum",
    definition="'Frontal operculum' is a regional part of brain. It is part of the operculum of brain.",
    description="Portion of frontal lobe that overlaps the insular cortex (adapted from Wikipedia)",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0104454"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002947#frontal-operculum-1"),
    name="frontal operculum",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002947"),
    synonyms=[
        "inferior frontal gyrus pars opercularis",
        "nucleus ventralis oralis",
        "operculum frontale",
        "pars medialis (Dewulf)",
    ],
)
UBERONParcellation.frontal_pole = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/frontalPole",
    definition="'Frontal pole' is a pole of cerebral hemisphere. It is part of the frontal lobe.",
    description="Component of the frontal lobe.  The rostral and caudal boundaries of the frontal pole are the superior frontal gyrus and the rostral division of the middle frontal gyrus respectively in human (Christine Fennama-Notestine).",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0104455"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002795#frontal-pole-1"),
    name="frontal pole",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002795"),
    synonyms=["polus frontalis"],
)
UBERONParcellation.frontoorbital_gyrus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/frontoorbitalGyrus",
    definition="'Fronto-orbital gyrus' is an orbital gyrus and frontal gyrus. It is part of the orbitofrontal cortex.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0104458"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0009836#fronto-orbital-gyrus-1"),
    name="fronto-orbital gyrus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0009836"),
    synonyms=["fronto-orbital gyrus", "gyrus fronto-orbitalis", "orbito-frontal gyrus", "orbitofrontal gyrus"],
)
UBERONParcellation.functional_part_of_brain = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/functionalPartOfBrain",
    definition="'Functional part of brain' is a regional part of brain.",
    description="A brain region defined by functional criteria, e.g. auditory cortex, rather than by structural or histological criteria.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0104474"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0035014#functional-part-of-brain"),
    name="functional part of brain",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0035014"),
    synonyms=[""],
)
UBERONParcellation.fundus_striati = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/fundusStriati",
    definition="'Fundus striati' is a regional part of brain. It is part of the ventral striatum.",
    description="The ventral portion of the dorsal striatum, linking the caudate nucleus and the putamen anteriorly (adapted from Wikipedia)",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0104480"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0014605#fundus-striati-1"),
    name="fundus striati",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0014605"),
    synonyms=["fundus of striatum", "fundus of the striatum", "fundus striati", "striatal fundus"],
)
UBERONParcellation.fusiform_gyrus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/fusiformGyrus",
    definition="The fusiform gyrus is part of the temporal lobe. It is also known as the (discontinuous) occipitotemporal gyrus. Other sources have the fusiform gyrus above the occipitotemporal gyrus and underneath the parahippocampal gyrus. [WP,unvetted].",
    description="'Fusiform gyrus' is a gyrus. It is part of the temporal lobe.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0104491"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002766#fusiform-gyrus-1"),
    name="fusiform gyrus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002766"),
    synonyms=[
        "gyrus fusiformis",
        "gyrus occipito-temporalis lateralis",
        "gyrus occipitotemporalis lateralis",
        "lateral occipito-temporal gyrus",
        "lateral occipitotemporal gyrus",
        "medial occipitotemporal gyrus-1 (heimer)",
        "occipito-temporal gyrus",
        "occipitotemporal gyrus",
        "t4",
    ],
)
UBERONParcellation.future_hindbrain_meninx = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/futureHindbrainMeninx",
    definition="'Future hindbrain meninx' is a future meninx. It is part of the hindbrain.",
    description="A multi-tissue structure that has the potential to develop into a meninx of hindbrain.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0736728"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0010091#future-hindbrain-meninx"),
    name="future hindbrain meninx",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0010091"),
)
UBERONParcellation.future_metencephalon = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/futureMetencephalon",
    definition="'Future metencephalon' is part of the hindbrain.",
    description="A developing anatomical structure that has the potential to develop into a metencephalon.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0735157"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0010092#future-metencephalon"),
    name="future metencephalon",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0010092"),
)
UBERONParcellation.future_myelencephalon = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/futureMyelencephalon",
    definition="'Future myelencephalon' is part of the hindbrain.",
    description="A developing anatomical structure that has the potential to develop into a myelencephalon.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0727209"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0010096#future-myelencephalon"),
    name="future myelencephalon",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0010096"),
)
UBERONParcellation.genu_of_corpus_callosum = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/genuOfCorpusCallosum",
    definition="'Genu of corpus callosum' is a regional part of brain. It is part of the corpus callosum.",
    description="Part of corpus callosum comprising the 'kneelike' anterior bend (adapted from Nolte, The Human Brain, 6th ed., 2009 pg 664)",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0104608"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0015599#genu-of-corpus-callosum"),
    name="genu of corpus callosum",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0015599"),
    synonyms=[
        "corpus callosum",
        "corpus callosum genu",
        "genu",
        "genu corporis callosi",
        "genu corpus callosi",
        "genu of corpus callosum",
        "genu of the corpus callosum",
        "rostrum of corpus callosum (Mai)",
    ],
)
UBERONParcellation.glial_blood_brain_barrier = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/glialBloodBrainBarrier",
    definition="Is a blood brain barrier. [auto-generated from 'is_a' property of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0000202)]",
    description="A blood brain barrier composed of glial cells. [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0000202)]",
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0000202#glial-blood-brain-barrier"),
    name="glial blood brain barrier",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0000202"),
)
UBERONParcellation.globus_pallidus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/globusPallidus",
    definition="'Globus pallidus' is a telencephalic nucleus. It is part of the cerebral hemisphere and pallidum.",
    description="Subcortical nucleus, functionally part of the basal ganglia, which consists of two segments the external (or lateral) and internal (or medial) separated by the medial medullary lamina in primates.  In rodents, The globus pallidus lateral is separated from the medial segment by the fibers of the internal capsule/cerebral peduncle.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0104657"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0001875#globus-pallidus-1"),
    name="globus pallidus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0001875"),
    synonyms=[
        "globus pallidus (Burdach)",
        "GP",
        "nucleus pallidus",
        "Pale Body",
        "paleostriatum",
        "pallidium",
        "pallidum",
    ],
)
UBERONParcellation.glossopharyngeal_nerve_fiber_bundle = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/glossopharyngealNerveFiberBundle",
    definition="'Glossopharyngeal nerve fiber bundle' is a neuron projection bundle and central nervous system cell part cluster. It is part of the medulla oblongata.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0104666"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0006090#glossopharyngeal-nerve-fiber-bundle-1"),
    name="glossopharyngeal nerve fiber bundle",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0006090"),
    synonyms=[
        "central part of glossopharyngeal nerve",
        "fibrae nervi glossopharyngei",
        "glossopharyngeal nerve fiber bundle",
        "glossopharyngeal nerve fibers",
        "glossopharyngeal nerve tract",
        "ninth cranial nerve fibers",
    ],
)
UBERONParcellation.glossopharyngeal_nerve_root = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/glossopharyngealNerveRoot",
    definition="'Glossopharyngeal nerve root' is a root of cranial nerve. It is part of the medulla oblongata.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0736855"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0019310#glossopharyngeal-nerve-root-1"),
    name="glossopharyngeal nerve root",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0019310"),
)
UBERONParcellation.gracile_fasciculus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/gracileFasciculus",
    definition="'Gracile fasciculus' is a nerve fasciculus and central nervous system cell part cluster. It is part of the white matter and dorsal column-medial lemniscus pathway.",
    description="Axon bundle arising largely from the dorsal root ganglia of the lower spinal cord, ascending in humans in the dorsal funiculus, synapsing within the nucleus gracilis of the lower medulla.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0104726"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0005821#gracile-fasciculus"),
    name="gracile fasciculus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0005821"),
    synonyms=[
        "f. gracilis medullae spinalis",
        "fasciculus gracilis",
        "GF",
        "Gl9 gracile fasciculus",
        "gr",
        "gracile column",
        "gracile fascicle",
        "gracile fasciculus (paxspn)",
        "gracile tract",
        "gracilis tract",
        "tract of Goll",
    ],
)
UBERONParcellation.gracile_fasciculus_of_medulla = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/gracileFasciculusOfMedulla",
    definition="'Gracile fasciculus of medulla' is a gracile fasciculus and fasciculus of brain. It is part of the medulla oblongata.",
    description="Part of gracile fasiculus located in the medulla",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0104727"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002653#gracile-fasciculus-of-medulla-1"),
    name="gracile fasciculus of medulla",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002653"),
    synonyms=[
        "Column of Goll",
        "fasciculus dorsolateralis gracilis (Golli)",
        "fasciculus gracilis (myelencephali)",
        "Fasciculus of Goll",
        "Goll's tract",
        "gracile fascicle (Gall)",
        "gracile fascicle (Goll)",
        "gracile fascicle of medulla",
        "gracile fasciculus of the medulla",
        "medulla segment of fasciculus gracilis",
        "medulla segment of gracile fasciculus",
        "Tract of Gall",
    ],
)
UBERONParcellation.gray_matter_of_hindbrain = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/grayMatterOfHindbrain",
    definition="'Gray matter of hindbrain' is a brain gray matter. It is part of the hindbrain.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0724553"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0019263#gray-matter-of-hindbrain"),
    name="gray matter of hindbrain",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0019263"),
)
UBERONParcellation.great_cerebral_vein = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/greatCerebralVein",
    definition="Is a cerebral vein. [auto-generated from 'is_a' property of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0006666)]",
    description="The great cerebral vein is one of the large blood vessels in the skull draining the cerebrum (brain) [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0006666)]",
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0006666#great-cerebral-vein"),
    name="great cerebral vein",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0006666"),
    synonyms=["great cerebral vein", "great cerebral vein of Galen", "vein of Galen"],
)
UBERONParcellation.gross_anatomical_parts_of_the_cerebellum = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/grossAnatomicalPartsOfTheCerebellum",
    definition="'Gross anatomical parts of the cerebellum' is a regional part of brain. It is part of the cerebellum.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0104796"),
    knowledge_space_link=IRI(
        "https://knowledge-space.org/wiki/UBERON:0023836#gross-anatomical-parts-of-the-cerebellum-1"
    ),
    name="gross anatomical parts of the cerebellum",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0023836"),
)
UBERONParcellation.gustatory_organ = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/gustatoryOrgan",
    definition="Is a chemosensory organ. [auto-generated from 'is_a' property of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0003212)]",
    description="Any sense organ that functions in (some) detection of chemical stimulus involved in sensory perception of taste (GO:0050912). [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0003212)]",
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0003212#gustatory-organ"),
    name="gustatory organ",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0003212"),
    synonyms=[
        "gustatory organ system organ",
        "gustatory system organ",
        "organ of gustatory organ system",
        "organ of gustatory system",
        "organ of taste system",
        "taste organ",
        "taste system organ",
    ],
)
UBERONParcellation.gyrus_rectus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/gyrusRectus",
    definition="'Gyrus rectus' is a gyrus. It is part of the frontal lobe.",
    description="The portion of the frontal lobe medial to the medial orbital gyrus is named the gyrus rectus (or straight gyrus), and is continuous with the superior frontal gyrus on the medial surface. A specific function for the gyrus rectus has not yet been elucidated.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0104846"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0004671#gyrus-rectus-1"),
    name="gyrus rectus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0004671"),
    synonyms=[
        "gyrus rectus",
        "medial part of gyri orbitales",
        "rectal gyrus",
        "rectus gyrus",
        "RG",
        "straight gyrus",
        "ventromedial gyrus",
    ],
)
UBERONParcellation.habenula = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/habenula",
    definition="'Habenula' is a regional part of brain. It is part of the epithalamus.",
    description="Habenula is a segment of the epithalamus that has as its parts the lateral and medial habenular nuclei and the habenular commissure.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0104854"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0001904#habenula-1"),
    name="habenula",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0001904"),
    synonyms=[
        "ganglion intercrurale",
        "ganglion interpedunculare",
        "habenula complex",
        "habenulae",
        "habenular complex",
        "habenular nuclei",
        "habenular nucleus",
        "Hb",
        "nuclei habenulares",
        "nucleus habenularis",
        "pineal peduncle",
    ],
)
UBERONParcellation.habenular_commissure = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/habenularCommissure",
    definition="Is a ventral commissure, commissure of diencephalon and thalamic fiber tract. Is part of the habenula and the diencephalic white matter. [auto-generated from properties of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0001909) ('is_a' and 'relationship')]",
    description="A brain commissure that is situated in front of the pineal gland and connects the habenular nucleus on one side of the diencephalon with that on the other side. [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0001909)]",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0104855"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0001909#habenular-commissure-1"),
    name="habenular commissure",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0001909"),
    synonyms=["commissura habenularum", "commissure habenularum"],
)
UBERONParcellation.habenulo_interpeduncular_tract = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/habenuloInterpeduncularTract",
    definition="Is a fasciculus of brain. [auto-generated from 'is_a' property of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0002138)]",
    description="White matter tract containing fibers projecting from the habenular nuclei to the interpeduncular nucleus (Maryann Martone) [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0002138)]",
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002138#fasciculus-retroflexus"),
    name="habenulo-interpeduncular tract",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002138"),
    synonyms=[
        "fasciculus retroflexus",
        "fasciculus retroflexus (Meynert)",
        "habenulointerpeduncular fasciculus",
        "habenulopeduncular tract",
        "Meynert's retroflex bundle",
        "tractus habenulo-interpeduncularis",
    ],
)
UBERONParcellation.habenulo_interpeduncular_tract_of_diencephalon = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/habenuloInterpeduncularTractOfDiencephalon",
    definition="Is a fasciculus of brain. Is part of the habenulo-interpeduncular tract and the diencephalic white matter. [auto-generated from properties of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0022649) ('is_a' and 'relationship')]",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0104856"),
    knowledge_space_link=IRI(
        "https://knowledge-space.org/wiki/UBERON:0022649#habenulo-interpeduncular-tract-of-diencephalon-1"
    ),
    name="habenulo-interpeduncular tract of diencephalon",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0022649"),
)
UBERONParcellation.habenulo_interpeduncular_tract_of_midbrain = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/habenuloInterpeduncularTractOfMidbrain",
    definition="Is a fasciculus of brain. Is part of the midbrain tegmentum, the habenulo-interpeduncular tract and the white matter of midbrain. [auto-generated from properties of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0023740) ('is_a' and 'relationship')]",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0104857"),
    knowledge_space_link=IRI(
        "https://knowledge-space.org/wiki/UBERON:0023740#habenulo-interpeduncular-tract-of-midbrain-1"
    ),
    name="habenulo-interpeduncular tract of midbrain",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0023740"),
)
UBERONParcellation.head_of_caudate_nucleus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/headOfCaudateNucleus",
    definition="'Head of caudate nucleus' is a gray matter of telencephalon. It is part of the caudate nucleus.",
    description="Largest part of the caudate nucleus lying lateral to and protruding into the anterior of the lateral ventricle",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0104911"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002626#head-of-caudate-nucleus-1"),
    name="head of caudate nucleus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002626"),
    synonyms=["caput (caudatus)", "caput nuclei caudati", "caudate nuclear head", "head of the caudate nucleus"],
)
UBERONParcellation.hemisphere_part_of_cerebellar_anterior_lobe = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/hemispherePartOfCerebellarAnteriorLobe",
    definition="Is a regional part of cerebellar cortex. Is part of the anterior lobe of cerebellum and the cerebellar hemisphere. [auto-generated from properties of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0014647) ('is_a' and 'relationship')]",
    description="A multi-tissue structure that is part of a anterior lobe of cerebellum and is part of a cerebellar hemisphere. [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0014647)]",
    knowledge_space_link=IRI(
        "https://knowledge-space.org/wiki/UBERON:0014647#hemispheric-part-of-the-anterior-lobe-of-the-cerebellum"
    ),
    name="hemisphere part of cerebellar anterior lobe",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0014647"),
    synonyms=[
        "hemisphere of anterior lobe",
        "hemisphere of anterior lobe of cerebellum",
        "hemispherium lobus anterior",
    ],
)
UBERONParcellation.hemisphere_part_of_cerebellar_posterior_lobe = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/hemispherePartOfCerebellarPosteriorLobe",
    definition="Is a regional part of cerebellar cortex. Is part of the cerebellar hemisphere and the posterior lobe of cerebellum. [auto-generated from properties of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0014648) ('is_a' and 'relationship')]",
    description="A multi-tissue structure that is part of a cerebellar hemisphere and is part of a posterior lobe of cerebellum. [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0014648)]",
    knowledge_space_link=IRI(
        "https://knowledge-space.org/wiki/UBERON:0014648#hemispheric-part-of-the-posterior-lobe-of-the-cerebellum"
    ),
    name="hemisphere part of cerebellar posterior lobe",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0014648"),
    synonyms=[
        "hemisphere of posterior lobe",
        "hemisphere of posterior lobe of cerebellum",
        "hemispherium lobus posterior",
    ],
)
UBERONParcellation.hemispheric_lobule_viii = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/hemisphericLobuleVIII",
    definition="Is a cerebellum hemisphere lobule and hemisphere part of cerebellar posterior lobe. [auto-generated from 'is_a' property of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0006121)]",
    description="The biventer lobule (or biventral lobule) is triangular in shape; its apex points backward, and is joined by the gray band to the pyramid. The lateral border is separated from the inferior semilunar lobule by the postpyramidal fissure. The base is directed forward, and is on a line with the anterior border of the tonsil, and is separated from the flocculus by the postnodular fissure. [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0006121)]",
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0006121#hemispheric-lobule-viii"),
    name="hemispheric lobule VIII",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0006121"),
    synonyms=[
        "biventer 1 (HVIII)",
        "biventer lobule",
        "biventral lobule",
        "biventral lobule [h VIII]",
        "cuneiform lobe",
        "dorsal parafloccularis [h VIII b]",
        "dorsal paraflocculus",
        "lobulus biventer",
        "lobulus biventer [h viii]",
        "lobulus biventralis",
        "lobulus parafloccularis dorsalis [h viii b]",
        "paraflocculus dorsalis",
    ],
)
UBERONParcellation.hilum_of_dentate_nucleus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/hilumOfDentateNucleus",
    definition="'Hilum of dentate nucleus' is a hilum of neuraxis. It is part of the dentate nucleus.",
    description="The mouth of the flasklike dentate nucleus of the cerebellum, directed inward (rostromedial), and giving exit to many of the fibers that compose the superior cerebellar peduncle or brachium conjunctivum.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0105003"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002744#hilum-of-dentate-nucleus-1"),
    name="hilum of dentate nucleus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002744"),
    synonyms=["dentate nuclear hilum", "hdt", "hilum nuclei dentati", "hilum of the dentate nucleus"],
)
UBERONParcellation.hilus_of_dentate_gyrus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/hilusOfDentateGyrus",
    definition="'Hilus of dentate gyrus' is a cerebral hemisphere gray matter. It is part of the dentate gyrus of hippocampal formation.",
    description="Layer of the dentate gyrus lying deep to the granule cell layer, within the opening of the C or V formed by the granule cell layer characterized by loosely packed polymorphic cells.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0103062"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002136#hilus-of-dentate-gyrus-1"),
    name="hilus of dentate gyrus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002136"),
)
UBERONParcellation.hindbrain = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/hindbrain",
    definition="'Hindbrain' is a regional part of brain.",
    description="Part of the brainconstituting the MEDULLA OBLONGATA (myelencephalon) and PONS (metencephalon). (adapted from MSH) * part of the brain developed from the posterior of the three primary brain vesicles of the embryonic neural tube; it comprises the metencephalon (cerebellum and pons) and myelencephalon (medulla oblongata). (CSP)",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0105004"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002028#hindbrain-1"),
    name="hindbrain",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002028"),
    synonyms=["rhombencephalon"],
)
UBERONParcellation.hindbrain_commissure = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/hindbrainCommissure",
    definition="Is a brain commissure. Is part of the hindbrain. [auto-generated from properties of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0034763) ('is_a' and 'relationship')]",
    description="Any commissure within the hindbrain. [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0034763)]",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0732568"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0034763#hindbrain-commissure"),
    name="hindbrain commissure",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0034763"),
)
UBERONParcellation.hindbrain_cortical_intermediate_zone = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/hindbrainCorticalIntermediateZone",
    definition="'Hindbrain cortical intermediate zone' is a cortical intermediate zone. It is part of the hindbrain.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0733012"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0034994#hindbrain-cortical-intermediate-zone"),
    name="hindbrain cortical intermediate zone",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0034994"),
)
UBERONParcellation.hindbrain_marginal_layer = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/hindbrainMarginalLayer",
    definition="'Hindbrain marginal layer' is a central nervous system cell part cluster. It is part of the hindbrain.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0733117"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0034709#hindbrain-marginal-layer"),
    name="hindbrain marginal layer",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0034709"),
)
UBERONParcellation.hindbrain_nucleus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/hindbrainNucleus",
    definition="'Hindbrain nucleus' is a nucleus of brain. It is part of the hindbrain.",
    description="Nucleus located within the hindbrain.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0733158"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0009662#hindbrain-nucleus"),
    name="hindbrain nucleus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0009662"),
)
UBERONParcellation.hindbrain_subarachnoid_space = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/hindbrainSubarachnoidSpace",
    definition="'Hindbrain subarachnoid space' is a subarachnoid space. It is part of the hindbrain.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0726998"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0005219#hindbrain-subarachnoid-space"),
    name="hindbrain subarachnoid space",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0005219"),
)
UBERONParcellation.hindbrain_venous_system = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/hindbrainVenousSystem",
    definition="Is part of the hindbrain. [auto-generated from 'relationship' property of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0005720)]",
    description="A venous system that is part of a hindbrain. [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0005720)]",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0735731"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0005720#hindbrain-venous-system"),
    name="hindbrain venous system",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0005720"),
)
UBERONParcellation.hippocampal_commissure = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/hippocampalCommissure",
    definition="'Hippocampal commissure' is a dorsal telencephalic commissure. It is part of the cerebral hemisphere white matter.",
    description="The triangular subcallosal plate of commissural fibers resulting from the converging of the right and left fornix bundles which exchange numerous fibers and which curve back in the contralateral fornix to end in the hippocampus of the opposite side.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0102407"),
    name="hippocampal commissure",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0000908"),
)
UBERONParcellation.hippocampal_formation = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/hippocampalFormation",
    definition="'Hippocampal formation' is a regional part of brain. It is part of the cerebral cortex.",
    description="A part of the brain consisting of a three layered cortex located in the forebrain bordering the medial surface of the lateral ventricle.  The term hippocampal formation  is often used synonymously with hippocampus which consists of the hippocampus proper or Cornu Ammonis, the dentate gyrus and the subicular complex",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0105009"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002421#hippocampal-formation"),
    name="hippocampal formation",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002421"),
    synonyms=[
        "archipallium",
        "formatio hippocampi",
        "hippocampus",
        "hippocampus (Crosby)",
        "major hippocampus",
        "primal cortex",
        "seahorse",
    ],
)
UBERONParcellation.hippocampus_alveus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/hippocampusAlveus",
    definition="'Hippocampus alveus' is a central nervous system cell part cluster and central nervous system white matter layer. It is part of the hippocampal formation.",
    description="Layer of white matter in hippocampus lying just deep to the stratum oriens layer, continuous with the fimbria of the hippocampus",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0100522"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0007639#alveus"),
    name="hippocampus alveus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0007639"),
    synonyms=[
        "alveus",
        "alveus hippocampi",
        "alveus of fornix",
        "alveus of hippocampus",
        "alveus of the hippocampus",
        "CA2 alveus",
        "neuraxis alveus",
    ],
)
UBERONParcellation.hippocampus_fimbria = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/hippocampusFimbria",
    definition="'Hippocampus fimbria' is a central nervous system cell part cluster. It is part of the fornix of brain, Ammon's horn and white matter of telencephalon.",
    description="Part of fornix lying closest to the hippocampal formation continuous with the alveus.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0104243"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002310#fimbria-of-hippocampus"),
    name="hippocampus fimbria",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002310"),
    synonyms=[
        "fimbria",
        "fimbria (Vieussens)",
        "fimbria fornicis",
        "fimbria hippocampi",
        "fimbria hippocampus",
        "fimbria of fornix",
        "fimbria of hippocampus",
        "fimbria of the fornix",
        "fimbria of the hippocampus",
        "fimbria-fornix",
        "hippocampal fimbria",
        "neuraxis fimbria",
    ],
)
UBERONParcellation.horizontal_limb_of_the_diagonal_band = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/horizontalLimbOfTheDiagonalBand",
    definition="'Horizontal limb of the diagonal band' is a subdivision of diagonal band.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0105108"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0006123#horizontal-limb-of-the-diagonal-band-1"),
    name="horizontal limb of the diagonal band",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0006123"),
    synonyms=[
        "crus horizontal striae diagonalis",
        "diagonal band horizontal limb",
        "hDBB",
        "horizontal limb of diagonal band",
        "horizontal limb of the diagonal band",
        "Horizontal limb of the diagonal band of Broca",
        "nucleus of the horizontal limb of the diagonal band",
    ],
)
UBERONParcellation.hyaloid_artery = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/hyaloidArtery",
    definition="Is a brain blood vessel. Is part of the optic stalk. [auto-generated from properties of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0002270) ('is_a' and 'relationship')]",
    description="An artery that is part of the optic stalk of the eye and extends from the optic disc through the vitreous humor to the lens. [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0002270)]",
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002270#hyaloid-artery"),
    name="hyaloid artery",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002270"),
    synonyms=["arteria hyaloidea"],
)
UBERONParcellation.hypoglossal_nerve_root = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/hypoglossalNerveRoot",
    definition="'Hypoglossal nerve root' is a root of cranial nerve. It is part of the medulla oblongata.",
    description="A nerve root that extends_fibers_into a hypoglossal nerve.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0105166"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0004675#hypoglossal-nerve-fiber-bundle"),
    name="hypoglossal nerve root",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0004675"),
    synonyms=[
        "central part of hypoglossal nerve",
        "fibrae nervi hypoglossi",
        "hypoglossal nerve fiber bundle",
        "hypoglossal nerve fibers",
        "hypoglossal nerve root",
        "hypoglossal nerve tract",
        "hypoglossal nerve/ root",
        "root of hypoglossal nerve",
    ],
)
UBERONParcellation.hypothalamus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/hypothalamus",
    definition="'Hypothalamus' is a regional part of brain. It is part of the limbic system and thalamic complex.",
    description="Ventral part of the diencephalon extending from the region of the optic chiasm to the caudal border of the mammillary bodies and forming the inferior and lateral walls of the third ventricle.The ventral topographic division of the interbrain. The first adequate description of the hypothalamus as a layer of gray matter surrounding the lower half of the third ventricle (Galen, c173) was provided by Wharton (1656, see 1966 translation, p. 170). His (1893, pp. 159-162) introduced the term but assigned the preoptic region (Swanson, 1976, pp. 229-235) of the hypothalamus to the telencephalon (His, 1893b). The definition here was introduced for vertebrates by Kuhlenbeck (1927, p. 67, Ch. 9).",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0105177"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0001898#hypothalamus-1"),
    name="hypothalamus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0001898"),
    synonyms=["Hy", "Hypencephalon", "Preoptico-hypothalamic area", "Preoptico-hypothalamic region", "hypothalamus"],
)
UBERONParcellation.induseum_griseum = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/induseumGriseum",
    definition="'Induseum griseum' is a white matter of limbic lobe and stria of telencephalon. It is part of the hippocampal formation and supracallosal gyrus.",
    description="Thin layer of cortex lying on the dorsal surface of the corpus callosum.  It has been debated whether it is more related to the hippocampus or the olfactory bulb (Shipley et al., Olfactory System In Paxinos The Rat Nervous System, 2nd ed)",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0105421"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0015793#induseum-griseum"),
    name="induseum griseum",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0015793"),
    synonyms=[
        "dorsal hippocampal continuation",
        "gray stria of Lancisi",
        "gyrus epicallosus",
        "gyrus indusium griseum",
        "IG",
        "indusium griseum",
        "superior part of intralimbic gyrus",
        "superior segment of intralimbic gyrus",
        "supracallosal gyrus",
        "supracommissural hippocampus",
    ],
)
UBERONParcellation.inferior_central_nucleus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/inferiorCentralNucleus",
    definition="'Inferior central nucleus' is a nucleus of pontine reticular formation.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0105434"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002993#inferior-central-nucleus-1"),
    name="inferior central nucleus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002993"),
    synonyms=[
        "Inferior central nucleus (of Roller)",
        "inferior central nucleus of raphe",
        "inferior central tegmental nucleus",
        "nucleus centralis inferior",
        "nucleus tegmentalis centralis inferior",
    ],
)
UBERONParcellation.inferior_cerebellar_peduncle = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/inferiorCerebellarPeduncle",
    definition="Is a cerebellar peduncle and white matter of medulla oblongata. [auto-generated from 'is_a' property of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0002163)]",
    description="Regional part of medullary white matter (according to Neuronames) primarily found at the level of the open medulla, consisting of a large bundle of fibers projecting to and projecting from the cerebellum. The icp is continuous with the dorsal spinocerebellar tract and also contains a large number of fibers originating in the inferior olivary complex (MM). [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0002163)]",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0105435"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002163#inferior-cerebellar-peduncle-1"),
    name="inferior cerebellar peduncle",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002163"),
    synonyms=["corpus restiforme", "restiform body"],
)
UBERONParcellation.inferior_cerebral_vein = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/inferiorCerebralVein",
    definition="Is a cerebral vein. [auto-generated from 'is_a' property of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0001664)]",
    description="The inferior cerebral veins, of small size, drain the under surfaces of the hemispheres. Those on the orbital surface of the frontal lobe join the superior cerebral veins, and through these open into the superior sagittal sinus. Those of the temporal lobe anastomose with the middle cerebral and basal veins, and join the cavernous, sphenoparietal, and superior petrosal sinuses. [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0001664)]",
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0001664#inferior-cerebral-vein"),
    name="inferior cerebral vein",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0001664"),
)
UBERONParcellation.inferior_colliculus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/inferiorColliculus",
    definition="'Inferior colliculus' is a regional part of brain. It is part of the corpora quadrigemina.",
    description="Part of the midbrain tectum, consisting of paired predominantly gray matter elevations on the dorsal aspect of the midbrain, located caudal to the superior colliculus, dorsal to the periaqueductal gray of the cerebral aqueduct and rostral to the cerebellum.  According to Neuronames, the inferior colliculus comprises the central, pericentral and external nucleus and two predominantly white matter structures, the brachium of the inferior colliculus and the commissure of the inferior colliculus (MM).",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0105436"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0001946#inferior-colliculus-1"),
    name="inferior colliculus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0001946"),
    synonyms=[
        "caudal colliculus",
        "colliculus caudalis",
        "colliculus inferior",
        "corpus bigeminalis caudalis",
        "corpus bigeminum posterioris",
        "corpus quadrigeminum inferius",
        "IC",
        "inferior colliculi",
        "posterior colliculus",
        "posterior corpus quadrigeminum",
    ],
)
UBERONParcellation.inferior_frontal_gyrus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/inferiorFrontalGyrus",
    definition="'Inferior frontal gyrus' is a frontal gyrus.",
    description="Component of the frontal lobe, lateral aspect.  The rostral boundary is the first appearance of the inferior frontal sulcus whereas the caudal boundary is the precentral gyrus. The medial and lateral boundaries are the lateral bank of the inferior frontal sulcus and the medial bank of the lateral orbital sulcus and/or the circular insular sulcus respectively (Christein Fennema-Notestine).",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0105442"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002998#inferior-frontal-gyrus-1"),
    name="inferior frontal gyrus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002998"),
    synonyms=[
        "gyrus F3",
        "gyrus frontalis inferior",
        "gyrus frontalis tertius",
        "IFG",
        "inferior frontal convolution",
        "regio subfrontalis",
    ],
)
UBERONParcellation.inferior_horn_of_the_lateral_ventricle = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/inferiorHornOfTheLateralVentricle",
    definition="Is part of the telencephalic ventricle. [auto-generated from 'relationship' property of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0006091)]",
    description="The part of the lateral ventricle extending downward and anteriorly in the temporal lobe. [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0006091)]",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0105444"),
    knowledge_space_link=IRI(
        "https://knowledge-space.org/wiki/UBERON:0006091#inferior-horn-of-the-lateral-ventricle-1"
    ),
    name="inferior horn of the lateral ventricle",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0006091"),
    synonyms=[
        "cornu inferius (ventriculi lateralis)",
        "cornu inferius ventriculi lateralis",
        "cornu temporale (ventriculi lateralis)",
        "cornu temporale ventriculi lateralis",
        "inferior horn of lateral ventricle",
        "temporal horn of lateral ventricle",
        "ventriculus lateralis, cornu inferius",
        "ventriculus lateralis, cornu temporale",
    ],
)
UBERONParcellation.inferior_longitudinal_fasciculus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/inferiorLongitudinalFasciculus",
    definition="",
    description="The 'inferior longitudinal fasciculus' is a white matter fibre bundle. It is a cerebral nerve fasciculus, connecting the temporal and occipital lobe.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0724061"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0034743#inferior-longitudinal-fasciculus"),
    name="inferior longitudinal fasciculus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0034743"),
    synonyms=["external sagittal stratum", "fasciculus longitudinalis inferior", "ilf"],
)
UBERONParcellation.inferior_occipital_gyrus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/inferiorOccipitalGyrus",
    definition="'Inferior occipital gyrus' is an occipital gyrus.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0105446"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0014608#inferior-occipital-gyrus-1"),
    name="inferior occipital gyrus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0014608"),
    synonyms=["gyrus occipitalis inferior", "gyrus occipitalis tertius", "inferior occipital gyrus"],
)
UBERONParcellation.inferior_occipitofrontal_fasciculus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/inferiorOccipitofrontalFasciculus",
    definition="",
    description="The 'inferior occipitofrontal fasciculus' is a white matter fibre bundle. It is the inferior part of the occipitofrontal fasciculus.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0731728"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0034753#inferior-occipitofrontal-fasciculus"),
    name="inferior occipitofrontal fasciculus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0034753"),
    synonyms=[
        "fasciculus occipito-frontalis inferior",
        "fasciculus occipitofrontalis inferior",
        "inferior fronto-occipital fasciculus",
    ],
)
UBERONParcellation.inferior_olivary_commissure = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/inferiorOlivaryCommissure",
    definition="Is a hindbrain commissure. Is part of the medulla oblongata and the brainstem white matter. [auto-generated from properties of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0015250) ('is_a' and 'relationship')]",
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0015250#inferior-olivary-commissure"),
    name="inferior olivary commissure",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0015250"),
)
UBERONParcellation.inferior_olivary_complex = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/inferiorOlivaryComplex",
    definition="'Inferior olivary complex' is a nuclear complex of neuraxis and gray matter of hindbrain. It is part of the olivary body.",
    description="Largest nucleus situated in the olivary body, part of the medulla oblongata. It is closely associated with the cerebellum, but its specific function is voluntary body movements.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0105448"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002127#inferior-olivary-complex-1"),
    name="inferior olivary complex",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002127"),
    synonyms=[
        "caudal olivary nuclei",
        "complexus olivaris inferior",
        "complexus olivaris inferior; nuclei olivares inferiores",
        "inferior olivary complex (Vieussens)",
        "inferior olivary nuclear complex",
        "inferior olivary nuclei",
        "inferior olivary nucleus",
        "inferior olive",
        "nuclei olivares caudales",
        "nuclei olivares inferiores",
        "nucleus olivaris caudalis",
        "nucleus olivaris inferior",
        "oliva",
        "regio olivaris inferior",
    ],
)
UBERONParcellation.inferior_parietal_cortex = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/inferiorParietalCortex",
    definition="'Inferior parietal cortex' is part of the parietal lobe.",
    description="Component of the parietal lobe.  The inferior parietal cortex label includes the inferior parietal gyrus and the angular gyrus and lies inferior to the superior parietal gyrus. The rostral and caudal boundaries were the supramarginal gyrus and the parieto-occipital incisure respectively. The medial and lateral boundaries were the superior parietal gyrus and the middle temporal gyrus respectively (Christine Fennema-Notestine).",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0105452"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0006088#inferior-parietal-cortex-1"),
    name="inferior parietal cortex",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0006088"),
    synonyms=[
        "inferior parietal cortex",
        "inferior parietal gyrus",
        "inferior parietal lobule",
        "inferior portion of parietal gyrus",
        "lobulus parietalis inferior",
        "subparietal district",
        "subparietal lobule",
    ],
)
UBERONParcellation.inferior_rostral_gyrus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/inferiorRostralGyrus",
    definition="'Inferior rostral gyrus' is a regional part of brain. It is part of the rostral gyrus.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0105460"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0019278#inferior-rostral-gyrus-1"),
    name="inferior rostral gyrus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0019278"),
    synonyms=[""],
)
UBERONParcellation.inferior_temporal_gyrus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/inferiorTemporalGyrus",
    definition="'Inferior temporal gyrus' is a gyrus. It is part of the temporal lobe.",
    description="Component of the temporal lobe, lateral aspect.  The rostral boundary is the rostral extent of the inferior temporal sulcus whereas the caudal boundary is designated as the temporo-occipital incisure on the cortical surface. The occipitotemporal sulcus is the medial boundary and the inferior temporal sulcus is the lateral boundary (Christine Fennema-Notestine).",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0105463"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002751#inferior-temporal-gyrus-1"),
    name="inferior temporal gyrus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002751"),
    synonyms=[
        "gyrus temporalis inferior",
        "inferotemporal cortex",
        "IT cortex",
        "lateral occipitotemporal gyrus (heimer-83)",
    ],
)
UBERONParcellation.inferior_transverse_frontopolar_gyrus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/inferiorTransverseFrontopolarGyrus",
    definition="'Inferior transverse frontopolar gyrus' is a regional part of brain. It is part of the transverse frontopolar gyri complex.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0105465"),
    knowledge_space_link=IRI(
        "https://knowledge-space.org/wiki/UBERON:0024183#inferior-transverse-frontopolar-gyrus-1"
    ),
    name="inferior transverse frontopolar gyrus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0024183"),
    synonyms=["inferior transverse frontopolar gyrus"],
)
UBERONParcellation.inferior_vestibular_nucleus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/inferiorVestibularNucleus",
    definition="'Inferior vestibular nucleus' is a vestibular nucleus.",
    description="One of the nuclei comprising the vestibular nuclear complex, characterized by bundles of longitudinal fibers running through it.  Multiple cell groups are often identified within it.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0105466"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0001721#inferior-vestibular-nucleus"),
    name="inferior vestibular nucleus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0001721"),
    synonyms=["descending vestibular nucleus", "nucleus vestibularis inferior", "spinal vestibular nucleus"],
)
UBERONParcellation.infundibular_organ = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/infundibularOrgan",
    definition="Is a regional part of nervous system. Is part of the central nervous system. [auto-generated from properties of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0011358) ('is_a' and 'relationship')]",
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0011358#infundibular-organ"),
    name="infundibular organ",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0011358"),
    synonyms=["infundibular organ of Boeke", "ventral infundibular organ"],
)
UBERONParcellation.infundibular_recess_of3rd_ventricle = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/infundibularRecessOf3rdVentricle",
    definition="Is part of the third ventricle and the future neurohypophysis. [auto-generated from 'relationship' property of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0006250)]",
    description="A funnel-shaped diverticulum that extends downward from the anterior aspect of the floor of the third ventricle into the infundibulum of the hypophysis; the embryonic structure gives rise the neural component of the pituitary (pas nervosa). [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0006250)]",
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0006250#infundibular-recess-of-3rd-ventricle"),
    name="infundibular recess of 3rd ventricle",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0006250"),
    synonyms=[
        "infundibular recess",
        "infundibular recess of third ventricle",
        "recessus infundibularis",
        "recessus infundibuli",
    ],
)
UBERONParcellation.insect_protocerebrum = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/insectProtocerebrum",
    definition="'Insect protocerebrum' is a segmental subdivision of nervous system. It is part of the insect supraesophageal ganglion.",
    description="The most anterior of the segmental subdivisions of the insect CNS; thought to represent the first pre-oral segment of the brain. The protocerebrum comprises many discrete neuropil regions including the central body complex and mushroom bodies.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0726810"),
    name="insect protocerebrum",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_6003627"),
)
UBERONParcellation.insect_supraesophageal_ganglion = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/insectSupraesophagealGanglion",
    definition="'Insect supraesophageal ganglion' is a ganglion of central nervous system. It is part of the brain.",
    description="The pre-oral neuropils of the brain located above and some of it below the esophagus, comprising three fused ganglia (protocerebrum, deutocerebrum, and tritocerebrum) in the head.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0735712"),
    name="insect supraesophageal ganglion",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_6003626"),
)
UBERONParcellation.insula = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/insula",
    definition="Gray matter of the insular region of the neocortex. In gyrencephalic animals, it is part of the insular lobe and lies in the depths of the lateral fissure and covered by portions of the frontal, parietal and temporal lobes. It includes Brodmann areas 13-16.",
    description="'Insula' is a cerebral hemisphere gray matter. It is part of the cerebral cortex.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0105519"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002022#insula-1"),
    name="insula",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002022"),
    synonyms=[
        "central lobe",
        "cortex insularis",
        "cortex of island",
        "iNS",
        "insula cerebri",
        "insula lobule",
        "insula of Reil",
        "insula Reilii",
        "insular cortex",
        "insular gyrus",
        "insular lobe",
        "insular region",
        "insulary cortex",
        "island of Reil",
        "lobus insularis",
        "morphological insula",
    ],
)
UBERONParcellation.interanterodorsal_nucleus_of_the_thalamus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/interanterodorsalNucleusOfTheThalamus",
    definition="'Interanterodorsal nucleus of the thalamus' is a regional part of brain. It is part of the anterior nuclear group.",
    description="A group of nerve cells that bridges the midline of the thalamus between the anterodorsal nucleus of the thalamus of the left and right sides. According to Crosby (1962), it is more developed and consistently present in rodents than in primates (adapted from Brain Info).",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0105539"),
    knowledge_space_link=IRI(
        "https://knowledge-space.org/wiki/UBERON:0035972#interanterodorsal-nucleus-of-the-thalamus"
    ),
    name="interanterodorsal nucleus of the thalamus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0035972"),
    synonyms=[
        "IAD",
        "interanterodorsal nucleus of thalamus",
        "interanterodorsal nucleus of the thalamus",
        "interanterodorsal nucleus thalamus",
        "interanterodorsal thalamic nucleus",
        "nucleus commissura interanterodorsalis",
        "nucleus interanterodorsalis",
    ],
)
UBERONParcellation.intercalated_amygdaloid_nuclei = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/intercalatedAmygdaloidNuclei",
    definition="'Intercalated amygdaloid nuclei' is a telencephalic nucleus. It is part of the amygdala.",
    description="Discrete clusters of cells intercalated among the major amygdaloid nuclei.  They stain darkly in Nissl stains and have been identified in all mammals.  The main groups lie between the lateral-basolateral nuclear coplex and the central and medial nuclei.  Additional cell groups have been described by some in other locations (Millhouse, O. E. The intercalated cells of the amygdala. J Comp Neurol 247: 246-271, 1986).,  Groups of cells located between the lateral basolateral amygaloid nuclear complex and the central nucleus of the amygdala.  They stain darkly in Nissl stains and have been identified in all mammals.  (Millhouse, O. E. The intercalated cells of the amygdala. J Comp Neurol 247: 246-271, 1986)",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0105544"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002884#intercalated-amygdaloid-nuclei-1"),
    name="intercalated amygdaloid nuclei",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002884"),
    synonyms=[
        "intercalated amygdalar nuclei",
        "intercalated amygdalar nucleus",
        "intercalated amygdaloid nuclei",
        "intercalated amygdaloid nucleus",
        "intercalated cell islands",
        "intercalated masses",
        "intercalated masses of nucleus amygdaloideus",
        "intercalated nuclei amygdala",
        "intercalated nuclei of amygdala",
        "intercalated nuclei of the amygdala",
        "intercalated nucleus of the amygdala",
        "massa intercalata",
        "massa intercalata of amygdala",
        "nucleus amygdalae intercalatus",
        "nucleus intercalatus amygdalae",
    ],
)
UBERONParcellation.intercerebral_commissure = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/intercerebralCommissure",
    definition="Is a commissure of telencephalon. Is part of the cerebral hemisphere white matter. [auto-generated from properties of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0002473) ('is_a' and 'relationship')]",
    description="A commissure that connects the two cerebral hemispheres. Examples: anterior commissure, corpus callosum. [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0002473)]",
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002473#intercerebral-commissure"),
    name="intercerebral commissure",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002473"),
)
UBERONParcellation.intergeniculate_leaflet_of_the_lateral_geniculate_complex = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/intergeniculateLeafletOfTheLateralGeniculateComplex",
    definition="'Intergeniculate leaflet of the lateral geniculate complex' is a regional part of brain. It is part of the lateral geniculate body.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0105563"),
    knowledge_space_link=IRI(
        "https://knowledge-space.org/wiki/UBERON:0035975#intergeniculate-leaflet-of-the-lateral-geniculate-complex"
    ),
    name="intergeniculate leaflet of the lateral geniculate complex",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0035975"),
    synonyms=[
        "IGL",
        "intergeniculate leaflet",
        "intergeniculate leaflet of the lateral geniculate complex",
        "lateral geniculate complex",
    ],
)
UBERONParcellation.intermediate_acoustic_stria = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/intermediateAcousticStria",
    definition="'Intermediate acoustic stria' is a stria of neuraxis and white matter of pontine tegmentum.",
    description="White matter structure containing axons arising from cochlear nuclear complex (Brodal, Neurological Anatomy, 3rd ed, 1985, pg 609)",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0105568"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002952#intermediate-acoustic-stria-1"),
    name="intermediate acoustic stria",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002952"),
    synonyms=[
        "commissure of Held",
        "intermediate acoustic stria (Held)",
        "Intermediate acoustic stria of Held",
        "striae acusticae intermedius",
    ],
)
UBERONParcellation.intermediate_hypothalamic_region = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/intermediateHypothalamicRegion",
    definition="'Intermediate hypothalamic region' is a regional part of brain. It is part of the hypothalamus.",
    description="The portion of the hypothalamus located generally internal to the region of the infundibulum.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0105570"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002555#intermediate-hypothalamic-region-1"),
    name="intermediate hypothalamic region",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002555"),
    synonyms=[
        "area hypothalamica intermedia",
        "IHR",
        "intermediate hypothalamic area",
        "intermediate hypothalamus",
        "medial hypothalamus",
        "middle hypothalamus",
        "regio hypothalamica intermedia",
    ],
)
UBERONParcellation.intermediate_oculomotor_nucleus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/intermediateOculomotorNucleus",
    definition="'Intermediate oculomotor nucleus' is a brainstem nucleus and midbrain nucleus. It is part of the oculomotor nuclear complex.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0105573"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002970#intermediate-oculomotor-nucleus-1"),
    name="intermediate oculomotor nucleus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002970"),
)
UBERONParcellation.intermediate_orbital_gyrus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/intermediateOrbitalGyrus",
    definition="'Intermediate orbital gyrus' is an orbital gyrus.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0105574"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002644#intermediate-orbital-gyrus-1"),
    name="intermediate orbital gyrus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002644"),
    synonyms=[""],
)
UBERONParcellation.intermediate_part_of_hypophysis = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/intermediatePartOfHypophysis",
    definition="'Intermediate part of hypophysis' is a regional part of brain. It is part of the adenohypophysis.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0105575"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0023752#intermediate-part-of-hypophysis-1"),
    name="intermediate part of hypophysis",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0023752"),
    synonyms=[
        "IHP",
        "intermediate lobe",
        "intermediate lobe of hypophysis",
        "intermediate part of hypophysis",
        "intermediate region of hypophysis",
        "middle lobe of hypophysis",
        "pituitary gland",
    ],
)
UBERONParcellation.intermediate_periventricular_nucleus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/intermediatePeriventricularNucleus",
    definition="'Intermediate periventricular nucleus' is a hypothalamic nucleus. It is part of the intermediate hypothalamic region.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0105576"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002746#intermediate-periventricular-nucleus-1"),
    name="intermediate periventricular nucleus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002746"),
    synonyms=[
        "hPe",
        "intermediate part",
        "intermediate periventricular hypothalamic nucleus",
        "intermediate periventricular nucleus of hypothalamus",
        "intermediate periventricular nucleus of the hypothalamus",
        "IPe",
        "nucleus periventricularis hypothalami",
        "periventricular hypothalamic nucleus",
        "periventricular nucleus at the tuberal level",
    ],
)
UBERONParcellation.internal_arcuate_fiber_bundle = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/internalArcuateFiberBundle",
    definition="'Internal arcuate fiber bundle' is a neuron projection bundle and central nervous system cell part cluster. It is part of the white matter of medulla oblongata.",
    description="Internal arcuate fibers are the axons of second-order neurons contained within the gracile and cuneate nuclei of the medulla oblongata. These fibers cross from one side of the medulla to the other to form the medial lemniscus. Part of the dorsal column-medial lemniscus system (second neuron), the internal arcuate fibers are important for relaying the sensation of fine touch and proprioception to the thalamus and ultimately to the cerebral cortex.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0105582"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0006087#internal-arcuate-fiber-bundle-1"),
    name="internal arcuate fiber bundle",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0006087"),
    synonyms=[
        "arcuate fibers (medial lemniscus)",
        "arcuate fibers medial lemniscus",
        "fibrae arcuatae internae",
        "fibre arciformes olivares",
        "fibre arciformes sensibiles",
        "ia",
        "internal arcuate fibers",
        "internal arcuate fibres",
        "internal arcuate tract",
    ],
)
UBERONParcellation.internal_capsule_of_telencephalon = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/internalCapsuleOfTelencephalon",
    definition="'Internal capsule of telencephalon' is a cerebral hemisphere white matter.",
    description="White matter regional part of brain which is flanked by nuclear masses, consisting of both afferent and efferent fibers projecting between the cerebral cortex and the brainstem and spinal cord. It consists of three distinct parts: an anterior limb, posterior limb, and genu. (Adapted from MSH by Maryann Martone).",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0105583"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0001887#internal-capsule"),
    name="internal capsule of telencephalon",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0001887"),
    synonyms=["brain internal capsule", "capsula interna", "ic", "internal capsule", "internal capsule radiations"],
)
UBERONParcellation.internal_cerebral_vein = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/internalCerebralVein",
    definition="Is a cerebral vein. [auto-generated from 'is_a' property of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0035152)]",
    description="The internal cerebral veins (veins of Galen; deep cerebral veins) drain the deep parts of the hemisphere and are two in number; each is formed near the interventricular foramen by the union of the terminal and choroid veins. They run backward parallel with one another, between the layers of the tela chorioidea of the third ventricle, and beneath the splenium of the corpus callosum, where they unite to form a short trunk, the great cerebral vein; just before their union each receives the corresponding basal vein. [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0035152)]",
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0035152#internal-cerebral-vein"),
    name="internal cerebral vein",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0035152"),
)
UBERONParcellation.internal_medullary_lamina_of_thalamus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/internalMedullaryLaminaOfThalamus",
    definition="'Internal medullary lamina of thalamus' is a medullary lamina of thalamus.",
    description="Predominantly white regional part of thalamus consisting of a Y shaped bundle of fibers that runs the anterior-posterior length of thalamus and divides the thalamus into roughly three regions (MM: 2006-10-26)",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0105586"),
    knowledge_space_link=IRI(
        "https://knowledge-space.org/wiki/UBERON:0002762#internal-medullary-lamina-of-thalamus-1"
    ),
    name="internal medullary lamina of thalamus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002762"),
    synonyms=[
        "envelope (involucrum medial) (Hassler)",
        "iml",
        "internal medullary lamina",
        "internal medullary lamina of thalamus",
        "internal medullary lamina of the thalamus",
        "lamina medullaris interna",
        "lamina medullaris interna thalami",
        "lamina medullaris medialis",
        "lamina medullaris medialis thalami",
        "lamina medullaris thalami interna",
    ],
)
UBERONParcellation.interpeduncular_nucleus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/interpeduncularNucleus",
    definition="'Interpeduncular nucleus' is a brainstem nucleus and midbrain nucleus. It is part of the midbrain tegmentum.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0105597"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002145#interpeduncular-nucleus-1"),
    name="interpeduncular nucleus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002145"),
    synonyms=[
        "interpedunclear nucleus",
        "interpeduncular ganglion",
        "interpeduncular nuclei",
        "interpeduncular nucleus (Gudden)",
        "interpeduncular nucleus of midbrain",
        "interpeduncular nucleus tegmentum",
        "IP",
        "nucleus interpeduncularis",
        "nucleus interpeduncularis medialis",
    ],
)
UBERONParcellation.interpolar_part_of_spinal_trigeminal_nucleus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/interpolarPartOfSpinalTrigeminalNucleus",
    definition="'Interpolar part of spinal trigeminal nucleus' is a gray matter of hindbrain. It is part of the spinal nucleus of trigeminal nerve.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0105600"),
    knowledge_space_link=IRI(
        "https://knowledge-space.org/wiki/UBERON:0002873#interpolar-part-of-spinal-trigeminal-nucleus-1"
    ),
    name="interpolar part of spinal trigeminal nucleus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002873"),
    synonyms=[
        "interpolar part",
        "interpolar part of the spinal trigeminal nucleus",
        "ISp5",
        "nucleus interpolaris tractus spinalis nervi trigemini",
        "nucleus of spinal tract of N. V (subnucleus interpolaris)",
        "nucleus spinalis nervi trigemini",
        "pars interpolaris",
        "spinal nucleus of the trigeminal",
        "spinal nucleus of the trigeminal interpolar part",
        "spinal nucleus of the trigeminal nerve interpolar part",
        "spinal trigeminal nucleus",
    ],
)
UBERONParcellation.interstitial_nucleus_of_cajal = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/interstitialNucleusOfCajal",
    definition="'Interstitial nucleus of Cajal' is a brainstem nucleus and midbrain nucleus. It is part of the midbrain tegmentum.",
    description="The largest and most prominent of the cell groups of the medial longitudinal fasciculus",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0105625"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002551#interstitial-nucleus-of-cajal-1"),
    name="interstitial nucleus of Cajal",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002551"),
    synonyms=[
        "ICjl",
        "interstitial nucleus",
        "Interstitial nucleus of Cajal",
        "interstitial nucleus of medial longitudinal fasciculus",
        "Interstitial nucleus of medial longitudinal fasciculus (Crosby)",
        "interstitial nucleus of the medial longitudinal fascicle (Boyce 1895)",
        "interstitial nucleus of the medial longitudinal fasciculus",
        "NIC",
        "nucleus interstitialis",
        "nucleus interstitialis Cajal",
        "nucleus of the posterior commissure (Kvlliker)",
    ],
)
UBERONParcellation.interthalamic_adhesion = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/interthalamicAdhesion",
    definition="'Interthalamic adhesion' is a nervous system commissure.",
    description="Median gray matter mass that connects the two thalami;  present in a large percentage of humans (Heimer, L. The Human Brain and Spinal Cord, 2nd ed., 1995, pg 76n).",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0105629"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0006681#interthalamic-adhesion"),
    name="interthalamic adhesion",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0006681"),
    synonyms=["interthalamic connection", "massa intermedia", "middle commissure"],
)
UBERONParcellation.intralaminar_nuclear_group = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/intralaminarNuclearGroup",
    definition="'Intralaminar nuclear group' is a nucleus of dorsal thalamus.",
    description="The intralaminar nucleus is a nucleus of the thalamus that contains the following nuclei: central lateral centromedian (or 'central medial') paracentral parafascicular. Some sources also include a 'central dorsal' nucleus. [WP,unvetted].",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0105651"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002733#intralaminar-nuclear-group-1"),
    name="intralaminar nuclear group",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002733"),
    synonyms=[
        "ILG",
        "intralaminar group of the dorsal thalamus",
        "intralaminar nuclear complex",
        "intralaminar nuclear group",
        "intralaminar nuclear group of thalamus",
        "intralaminar nuclei of thalamus",
        "intralaminar nuclei of the dorsal thalamus",
        "intralaminar thalamic nuclear group",
        "intralaminar thalamic nuclei",
        "nonspecific thalamic system",
        "nuclei intralaminares (thalami)",
        "nuclei intralaminares thalami",
    ],
)
UBERONParcellation.intraparietal_sulcus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/intraparietalSulcus",
    definition="The intraparietal sulcus is located on the lateral surface of the parietal lobe, and consists of an oblique and a horizontal portion.",
    description="The intraparietal sulcus (IPS) contains a series of functionally distinct subregions that have been intensively investigated using both single cell neurophysiology in primates and human functional neuroimaging. Its principal functions are related to perceptual-motor coordination (for directing eye movements and reaching) and visual attention. The IPS is also thought to play a role in other functions, including processing symbolic numerical information, visuospatial working memory and interpreting the intent of others. [WP,unvetted].",
    interlex_identifier=IRI("http://uri.interlex.org/ilx_0105656"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002913#intraparietal-sulcus-1"),
    name="intraparietal sulcus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002913"),
    synonyms=[
        "interparietal fissure",
        "intraparietal sulcus of Turner",
        "ips",
        "itps",
        "sulcus interparietalis",
        "sulcus intraparietalis",
        "Turner sulcus",
    ],
)
UBERONParcellation.isla_magna_of_calleja = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/islaMagnaOfCalleja",
    definition="'Isla magna of Calleja' is a regional part of brain. It is part of the island of Calleja.",
    description="A profile (typically representing a sequence alignment) derived from a matrix of nucleotide (or amino acid) counts per position that reflects information content at each position.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0105729"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0023868#isla-magna-of-calleja-1"),
    name="isla magna of Calleja",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0023868"),
    synonyms=["ICm", "insula magna", "isla magna of calleja", "Large island of Calleja", "major island of Calleja"],
)
UBERONParcellation.island_of_calleja = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/islandOfCalleja",
    definition="'Island of Calleja' is a telencephalic nucleus. It is part of the cerebral hemisphere.",
    description="Small clusters of granule cells located in the olfactory tubercle and also within the Island of Calleja magna that lies between the septum and the nucleus accumbens",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0105730"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0001881#islands-of-calleja"),
    name="island of Calleja",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0001881"),
    synonyms=[
        "Calleja island",
        "ICj",
        "insula callejae",
        "insulae olfactoriae",
        "Islands of Calleja",
        "islands of Calleja (olfactory tubercle)",
        "Islets of Calleja",
    ],
)
UBERONParcellation.islands_of_calleja_of_olfactory_tubercle = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/islandsOfCallejaOfOlfactoryTubercle",
    definition="Is a regional part of brain. Is part of the island of Calleja and the olfactory tubercle. [auto-generated from properties of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0023867) ('is_a' and 'relationship')]",
    description="Part of olfactory tubercle defined by dense aggregations of granule cells. [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0023867)]",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0105732"),
    knowledge_space_link=IRI(
        "https://knowledge-space.org/wiki/UBERON:0023867#islands-of-calleja-of-olfactory-tubercle-1"
    ),
    name="islands of Calleja of olfactory tubercle",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0023867"),
    synonyms=["islands of calleja of olfactory tubercle"],
)
UBERONParcellation.isthmus_of_cingulate_gyrus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/isthmusOfCingulateGyrus",
    definition="'Isthmus of cingulate gyrus' is part of the cingulate gyrus.",
    description="Component of the cingulate cortex comprising the region linking the posterior cingulate gyrus and the parahippocampal gyrus. The rostral and caudal boundaries were the posterior division of the cingulate cortex and the parahippocampal gyrus respectively. The medial and lateral boundaries were the medial wall (area unknown) and the precuneus respectively (Christine Fennema-Notestine).",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0105757"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002738#isthmus-of-cingulate-gyrus-1"),
    name="isthmus of cingulate gyrus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002738"),
    synonyms=[
        "cingulate gyrus isthmus",
        "isthmus cinguli",
        "isthmus gyri cingulatus",
        "isthmus gyri cinguli",
        "isthmus of cingulate cortex",
        "isthmus of fornicate gyrus",
        "isthmus of gyrus fornicatus",
        "isthmus of limbic lobe",
        "isthmus of the cingulate gyrus",
        "isthmus of the gyrus fornicatus",
        "isthmus-2",
    ],
)
UBERONParcellation.juxtarestiform_body = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/juxtarestiformBody",
    definition="'Juxtarestiform body' is a white matter of medulla oblongata. It is part of the inferior cerebellar peduncle.",
    description="Fibers interconnecting the cerebellum and vestibular nuclei, traveling medial to the restiform body (inferior cerebellar peduncle) (Nolte, The Human Brain, 6th ed., pg 497)",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0105804"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002592#juxtarestiform-body-1"),
    name="juxtarestiform body",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002592"),
    synonyms=["corpus juxtarestiforme"],
)
UBERONParcellation.lamina_of_septum_pellucidum = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/laminaOfSeptumPellucidum",
    definition="'Lamina of septum pellucidum' is a central nervous system cell part cluster and nervous system cell part layer. It is part of the septum pellucidum.",
    description="One of two layers of both white and gray matter of the septum pellucidum. During fetal development there is a space between the two laminae called the cavum septum pellucidum which, in ninety per cent of cases, disappears during infancy.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0105979"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002742#lamina-of-septum-pellucidum-1"),
    name="lamina of septum pellucidum",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002742"),
    synonyms=[
        "lamina of the septum pellucidum",
        "lamina septi pellucidi",
        "laminae septi pellucidi",
        "septum pellucidum lamina",
    ],
)
UBERONParcellation.lateral_amygdaloid_nucleus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/lateralAmygdaloidNucleus",
    definition="'Lateral amygdaloid nucleus' is a telencephalic nucleus. It is part of the basolateral amygdaloid nuclear complex.",
    description="The sensory interface of the amygdala where plasticity is mediated (Phelps & LeDoux, 2005, PMID: 16242399).",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0106043"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002886#lateral-amygdaloid-nucleus-1"),
    name="lateral amygdaloid nucleus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002886"),
    synonyms=[
        "LA",
        "lateral amygdala",
        "lateral amygdalar nucleus",
        "lateral nucleus of amygdala",
        "lateral nucleus of the amygdala",
        "lateral principal nucleus of amygdala",
        "medial principal nucleus",
        "nucleus amygdalae lateralis",
        "nucleus amygdaloideus lateralis",
        "nucleus lateralis amygdalae",
    ],
)
UBERONParcellation.lateral_amygdaloid_nucleus_dorsolateral_part = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/lateralAmygdaloidNucleusDorsolateralPart",
    definition="'Lateral amygdaloid nucleus, dorsolateral part' is a regional part of brain.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0106044"),
    knowledge_space_link=IRI(
        "https://knowledge-space.org/wiki/UBERON:0023415#lateral-amygdaloid-nucleus-dorsolateral-part-1"
    ),
    name="lateral amygdaloid nucleus, dorsolateral part",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0023415"),
    synonyms=["dorsolateral part", "LaDL", "lateral amygdaloid nucleus"],
)
UBERONParcellation.lateral_amygdaloid_nucleus_ventrolateral_part = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/lateralAmygdaloidNucleusVentrolateralPart",
    definition="'Lateral amygdaloid nucleus, ventrolateral part' is a regional part of brain.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0106045"),
    knowledge_space_link=IRI(
        "https://knowledge-space.org/wiki/UBERON:0023416#lateral-amygdaloid-nucleus-ventrolateral-part-1"
    ),
    name="lateral amygdaloid nucleus, ventrolateral part",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0023416"),
    synonyms=["LaVL", "lateral amygdaloid nucleus", "ventrolateral part"],
)
UBERONParcellation.lateral_amygdaloid_nucleus_ventromedial_part = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/lateralAmygdaloidNucleusVentromedialPart",
    definition="'Lateral amygdaloid nucleus, ventromedial part' is a regional part of brain.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0106046"),
    knowledge_space_link=IRI(
        "https://knowledge-space.org/wiki/UBERON:0023417#lateral-amygdaloid-nucleus-ventromedial-part-1"
    ),
    name="lateral amygdaloid nucleus, ventromedial part",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0023417"),
    synonyms=["LaVM", "lateral amygdaloid nucleus", "ventromedial part"],
)
UBERONParcellation.lateral_cervical_nucleus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/lateralCervicalNucleus",
    definition="'Lateral cervical nucleus' is a nucleus of spinal cord. It is part of the dorsal horn of spinal cord.",
    description="A diffusely arranged nucleus located in the dorsal portions of the lateral funiculus at about cervical levels C1-C3; synaptic station for the spinocervicothalamic tract.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0106050"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002176#lateral-cervical-nucleus"),
    name="lateral cervical nucleus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002176"),
    synonyms=["LatC", "lateral cervical nucleus (paxspn)"],
)
UBERONParcellation.lateral_eminence_of_fourth_ventricle = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/lateralEminenceOfFourthVentricle",
    definition="Is part of the fourth ventricle. [auto-generated from 'relationship' property of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0034672)]",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0734681"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0034672#lateral-eminence-of-fourth-ventricle"),
    name="lateral eminence of fourth ventricle",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0034672"),
)
UBERONParcellation.lateral_eminence_of_hypophysis = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/lateralEminenceOfHypophysis",
    definition="'Lateral eminence of hypophysis' is part of the pituitary gland.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0106054"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0027109#lateral-eminence-of-hypophysis-1"),
    name="lateral eminence of hypophysis",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0027109"),
)
UBERONParcellation.lateral_geniculate_body = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/lateralGeniculateBody",
    definition="'Lateral geniculate body' is a nucleus of dorsal thalamus. It is part of the metathalamus.",
    description="The group of neurons that serve as the primary processor of visual information received from the retina via the optic tract and send processed information to the visual cortex of the occipital lobe",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0106064"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0001926#lateral-geniculate-body-1"),
    name="lateral geniculate body",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0001926"),
    synonyms=[
        "corpus geniculatum externum",
        "corpus geniculatum laterale",
        "corpus geniculatum laterales",
        "corpus geniculatus lateralis",
        "external geniculate body",
        "lateral geniculate body",
        "lateral geniculate complex",
        "lateral geniculate nucleus",
        "LGB",
        "LGN",
        "nucleus corporis geniculati lateralis",
        "nucleus geniculatus lateralis",
    ],
)
UBERONParcellation.lateral_globus_pallidus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/lateralGlobusPallidus",
    definition="'Lateral globus pallidus' is a cerebral hemisphere gray matter. It is part of the globus pallidus.",
    description="The more lateral of the two segments of the globus pallidus, abutting the putamen in species which have both a caudate and putamen;  the caudoputamen in other species.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0104658"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002476#globus-pallidus-external-segment"),
    name="lateral globus pallidus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002476"),
    synonyms=[
        "external globus pallidus",
        "external pallidum",
        "external part of globus pallidus",
        "external segment",
        "globus pallidus",
        "globus pallidus (rat)",
        "globus pallidus extermal segment",
        "globus pallidus external segment",
        "globus pallidus externus",
        "globus pallidus lateral part",
        "globus pallidus lateral segment",
        "globus pallidus lateralis",
        "Gpe",
        "lateral division of globus pallidus",
        "lateral globus pallidus",
        "lateral pallidal segment",
        "lateral pallidum",
        "lateral part",
        "lateral part of globus pallidus",
        "lateral segment",
        "lateral segment of globus pallidus",
        "lateral segment of the globus pallidus",
        "nucleus lateralis globi pallidi",
        "pallidum dorsal region external segment",
        "pallidum I",
        "pallidus II",
        "pars externa",
        "pars lateralis globi pallidi medialis",
    ],
)
UBERONParcellation.lateral_habenular_nucleus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/lateralHabenularNucleus",
    definition="'Lateral habenular nucleus' is a habenular nucleus.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0106068"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0001941#lateral-habenular-nucleus-1"),
    name="lateral habenular nucleus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0001941"),
    synonyms=[
        "lateral habenula",
        "lateral habenula (Nissl)",
        "LHb",
        "nucleus habenulae lateralis",
        "nucleus habenularis lateralis",
        "nucleus habenularis lateralis epithalami",
    ],
)
UBERONParcellation.lateral_hypothalamic_area = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/lateralHypothalamicArea",
    definition="'Lateral hypothalamic area' is a regional part of brain. It is part of the lateral zone of hypothalamus.",
    description="The lateral hypothalamus or lateral hypothalamic area is a part of the hypothalamus. It is concerned with hunger. Damage to this area can cause reduced food intake. Stimulating the lateral hypothalamus causes a desire to eat, while stimulating the ventromedial hypothalamus causes a desire to stop eating. [WP,unvetted].",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0106069"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002430#lateral-hypothalamic-area"),
    name="lateral hypothalamic area",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002430"),
    synonyms=[
        "area hypothalamica lateralis",
        "area lateralis hypothalami",
        "lateral division of hypothalamus",
        "lateral group of hypothalamic nuclei",
        "lateral hypothalamic area",
        "lateral hypothalamic area (Nissl 1913)",
        "lateral hypothalamic area proper",
        "lateral hypothalamic group",
        "lateral hypothalamic nucleus",
        "lateral hypothalamic region",
        "lateral hypothalamic zone (Crosby)",
        "lateral hypothalamus",
        "LH",
    ],
)
UBERONParcellation.lateral_hypothalamic_nucleus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/lateralHypothalamicNucleus",
    definition="'Lateral hypothalamic nucleus' is a hypothalamic nucleus. It is part of the lateral hypothalamic area.",
    description="The lateral hypothalamus or lateral hypothalamic area is a part of the hypothalamus. It is concerned with hunger. Damage to this area can cause reduced food intake. Stimulating the lateral hypothalamus causes a desire to eat, while stimulating the ventromedial hypothalamus causes a desire to stop eating.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0106071"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0001937#lateral-hypothalamic-nucleus-1"),
    name="lateral hypothalamic nucleus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0001937"),
    synonyms=[
        "areas of Economo",
        "economo's areas",
        "lateral hypothalamic nuclei",
        "LHy",
        "nucleus hypothalamicus lateralis",
    ],
)
UBERONParcellation.lateral_lemniscus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/lateralLemniscus",
    definition="'Lateral lemniscus' is a nervous system lemniscus.",
    description="A fiber bundle that runs through the medulla, pons and midbrain  that arises in the cochlear nucleus and projects to various brainstem nuclei and ultimately the contralateral inferior colliculus of the midbrain. The brainstem nuclei include the superior olive, the medial nucleus of the trapezoid body, and the dorsal nucleus of the lateral lemniscus. Fibers leaving these brainstem nuclei ascending to the inferior colliculus rejoin the lateral lemniscus. In that sense, this is not a 'lemniscus' in the true sense of the word (second order, decussated sensory axons), as there is third (and out of the lateral superior olive, fourth) order information coming out of some of these brainstem nuclei. Adapted from Wikipedia.org (MM).",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0106074"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002953#lateral-lemniscus-1"),
    name="lateral lemniscus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002953"),
    synonyms=[
        "central acoustic tract",
        "lateral fillet",
        "lateral lemniscus (Reil)",
        "lemniscus acusticus",
        "lemniscus lateralis",
    ],
)
UBERONParcellation.lateral_mammillary_nucleus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/lateralMammillaryNucleus",
    definition="'Lateral mammillary nucleus' is a hypothalamic nucleus. It is part of the mammillary body.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0106075"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0001938#lateral-mammillary-nucleus-1"),
    name="lateral mammillary nucleus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0001938"),
    synonyms=[
        "lateral mamillary nucleus",
        "lateral mammillary hypothalamic nucleus",
        "lateral mammillary nucleus (Gudden)",
        "lateral nucleus of mammillary body",
        "LM",
        "nucleus corporis mamillaris lateralis",
        "nucleus intercalatus (Olszewski)",
        "nucleus lateralis corpus mamillaris",
        "nucleus mammillaris lateralis",
    ],
)
UBERONParcellation.lateral_medullary_lamina_of_globus_pallidus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/lateralMedullaryLaminaOfGlobusPallidus",
    definition="'Lateral medullary lamina of globus pallidus' is a white matter lamina of cerebral hemisphere. It is part of the globus pallidus.",
    description="Thin band of myelinated fibers lying on the lateral (external) surface of the globus pallidus, external segment, separating it from the putamen.  (Carpenter, A core text of neuroanatomy, 3rd ed., 1985, pg 303).",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0106077"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002765#lateral-medullary-lamina"),
    name="lateral medullary lamina of globus pallidus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002765"),
    synonyms=[
        "external medulary lamina of globus pallidus",
        "external medulary lamina of lentiform nucleus",
        "external medullary lamina of corpus striatum",
        "external medullary lamina of globus pallidus",
        "external medullary lamina of lentiform nucleus",
        "globus pallidus",
        "lamella pallidi externa",
        "lamina medullaris externa",
        "lamina medullaris externa corporis striati",
        "lamina medullaris externa pallidi",
        "lamina medullaris lateralis",
        "lamina medullaris lateralis corporis striati",
        "lamina pallidi externa",
        "lateral medulary lamina of globus pallidus",
        "lateral medulary stria",
        "lateral medullary lamina",
        "lateral medullary lamina of corpus striatum",
        "lateral medullary lamina of globus pallidus",
        "lateral medullary lamina of pallidum",
        "lateral medullary lamina of the globus pallidus",
        "lateral medullary stria",
        "lml",
        "medulary lamina of pallidum",
        "outer medulary lamina",
        "outer medullary lamina",
    ],
)
UBERONParcellation.lateral_nuclear_group_of_thalamus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/lateralNuclearGroupOfThalamus",
    definition="'Lateral nuclear group of thalamus' is a nucleus of dorsal thalamus.",
    description="The lateral nuclear group is a collection of nuclei on the lateral side of the thalamus. According to MeSH, it consists of the following: lateral dorsal nucleus lateral posterior nucleus pulvinar [WP,unvetted].",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0106078"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002736#lateral-nuclear-group"),
    name="lateral nuclear group of thalamus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002736"),
    synonyms=[
        "lateral group of nuclei",
        "lateral group of the dorsal thalamus",
        "lateral nuclear group",
        "lateral nuclear group of dorsal thalamus",
        "lateral nuclear group of thalamus",
        "lateral nucleus of thalamus",
        "lateral thalamic group",
        "lateral thalamic nuclear group",
        "lateral thalamic nuclear region",
        "lateral thalamic nuclei",
        "lateral thalamic nucleus",
        "LNG",
        "nuclei laterales thalami",
        "nucleus lateralis thalami",
    ],
)
UBERONParcellation.lateral_nucleus_of_stria_terminalis = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/lateralNucleusOfStriaTerminalis",
    definition="'Lateral nucleus of stria terminalis' is a telencephalic nucleus. It is part of the bed nucleus of stria terminalis.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0106079"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0034894#lateral-nucleus-of-stria-terminalis"),
    name="lateral nucleus of stria terminalis",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0034894"),
    synonyms=[
        "BSTL",
        "lateral bed nucleus of stria terminalis",
        "lateral bed nucleus of the stria terminalis",
        "lateral subdivision of BNST",
    ],
)
UBERONParcellation.lateral_occipital_cortex = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/lateralOccipitalCortex",
    definition="'Lateral occipital cortex' is an occipital gyrus. It is part of the neocortex.",
    description="Component of the occipital lobe.  The rostral and caudal boundaries of the lateral occipital cortex were the superior parietal gyrus and as the last visible portion of occipital cortex respectively. The medial and lateral boundaries were the cuneus/pericalcarine cortex and the inferior temporal/inferior parietal gyri respectively (Christine Fennema-Notestine).",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0106080"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0006114#lateral-occipital-cortex-1"),
    name="lateral occipital cortex",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0006114"),
    synonyms=[
        "gyrus occipitalis lateralis",
        "gyrus occipitalis medius",
        "gyrus occipitalis medius (mai)",
        "gyrus occipitalis secundus",
        "lateral occipital cortex",
        "lateral occipital gyrus",
        "middle occipital gyrus",
    ],
)
UBERONParcellation.lateral_olfactory_stria = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/lateralOlfactoryStria",
    definition="Is an olfactory tract linking bulb to ipsilateral dorsal telencephalon. [auto-generated from 'is_a' property of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0001888)]",
    description="White matter tract that contains projections from the olfactory bulb to the olfactory cortex (Maryann Martone). [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0001888)]",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0106082"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0001888#lateral-olfactory-stria-1"),
    name="lateral olfactory stria",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0001888"),
    synonyms=["tractus olfactorius lateralis"],
)
UBERONParcellation.lateral_orbital_frontal_cortex = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/lateralOrbitalFrontalCortex",
    definition="'Lateral orbital frontal cortex' is a regional part of brain. It is part of the orbitofrontal cortex.",
    description="Component of the orbtial frontal cortex The rostral boundary is the first slice where the lateral orbital gyrus is apparent with the frontomarginal sulcus whereas the caudal boundary is the disappearance of the lateral orbital gyrus. The medial and lateral boundaries are the midpoint of the olfactory sulcus and the lateral bank of the lateral orbital sulcus and/or the circular insular sulcus respectively (Christine Fennema-Notestine).",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0106083"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0022716#lateral-orbital-frontal-cortex-1"),
    name="lateral orbital frontal cortex",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0022716"),
    synonyms=["lateral orbital frontal cortex"],
)
UBERONParcellation.lateral_orbital_gyrus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/lateralOrbitalGyrus",
    definition="'Lateral orbital gyrus' is an orbital gyrus.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0106084"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002564#lateral-orbital-gyrus-1"),
    name="lateral orbital gyrus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002564"),
    synonyms=["gyrus orbitalis lateralis", "gyrus orbitalis longitudinalis externus"],
)
UBERONParcellation.lateral_parabrachial_nucleus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/lateralParabrachialNucleus",
    definition="'Lateral parabrachial nucleus' is a parabrachial nucleus. It is part of the pontine tegmentum.",
    description="The lateral parabrachial nucleus induces thirst by stimulating the median preoptic nucleus. It gets its name from its location relative to the superior cerebellar peduncles, which is also known as the 'brachia conjunctiva'. [WP,unvetted].",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0106086"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0003007#lateral-parabrachial-nucleus-1"),
    name="lateral parabrachial nucleus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0003007"),
)
UBERONParcellation.lateral_paragigantocellular_nucleus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/lateralParagigantocellularNucleus",
    definition="'Lateral paragigantocellular nucleus' is a paragigantocellular nucleus.",
    description="Nucleus located in the rostral ventrolateral medulla.  The PGL was originally identified by cytoarchitectural criteria in the human medulla (Olszewski and Baxter, 1954). In humans, the PGL is located in the ventrolateral quadrant of the rostral medullary tegmentum between the nucleus subtrigeminalis caudally, trapezoid body and the superior olive rostrally, nucleus gigantocellularis medially, spinothalamic tract fibers laterally, inferior olive ventrally, and the nucleus ambiguous dorsally (Olszewski and Baxter, 1954). In the rat, the PGL has been further subdivided into retrofacial PGL (caudal to the facial nucleus), and more rostrally located juxtafacial PGL (medial to the facial nucleus), based upon different connectivity.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0106087"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0016824#lateral-paragigantocellular-nucleus"),
    name="lateral paragigantocellular nucleus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0016824"),
    synonyms=[
        "lateral paragigantocellular nucleus",
        "lateral paragigantocellular reticular nucleus",
        "lateral part",
        "nucleus paragigantocellularis lateralis",
        "paragigantocellular nucleus",
        "paragigantocellular reticular nucleus",
        "PGL",
    ],
)
UBERONParcellation.lateral_part_of_basal_amygdaloid_nucleus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/lateralPartOfBasalAmygdaloidNucleus",
    definition="'Lateral part of basal amygdaloid nucleus' is a cerebral hemisphere gray matter. It is part of the basal amygdaloid nucleus.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0106089"),
    knowledge_space_link=IRI(
        "https://knowledge-space.org/wiki/UBERON:0002888#lateral-part-of-basal-amygdaloid-nucleus-1"
    ),
    name="lateral part of basal amygdaloid nucleus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002888"),
    synonyms=[
        "BAL",
        "lateral basal nucleus of amygdala",
        "lateral basal nucleus of the amygdala",
        "lateral division of basal nucleus",
        "lateral division of the basal nucleus",
        "lateral part of the basal amygdalar nucleus",
        "lateral part of the basolateral nucleus",
        "nucleus amygdalae basalis",
        "nucleus amygdaloideus basalis",
        "nucleus basalis lateralis amygdalae",
        "pars lateralis",
        "pars lateralis magnocellularis",
    ],
)
UBERONParcellation.lateral_part_of_medial_mammillary_nucleus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/lateralPartOfMedialMammillaryNucleus",
    definition="'Lateral part of medial mammillary nucleus' is a gray matter of diencephalon. It is part of the medial mammillary nucleus.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0106090"),
    knowledge_space_link=IRI(
        "https://knowledge-space.org/wiki/UBERON:0002664#lateral-part-of-medial-mammillary-nucleus-1"
    ),
    name="lateral part of medial mammillary nucleus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002664"),
    synonyms=[
        "intercalated mammillary nucleus",
        "intermediate mammillary nucleus",
        "lateral mammillary nucleus (Gagel)",
        "lateral part",
        "lateral part of the medial mammillary nucleus",
        "lateral subdivision of medial mammillary nucleus",
        "medial mammillary nucleus",
        "medial mammillary nucleus lateral part",
        "MML",
        "nucleus corporis mamillaris medialis",
        "nucleus intercalatus corporis mammillaris",
        "nucleus intermedius corpus mamillaris",
        "pars lateralis",
    ],
)
UBERONParcellation.lateral_pericuneate_nucleus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/lateralPericuneateNucleus",
    definition="'Lateral pericuneate nucleus' is a nucleus of medulla oblongata.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0106093"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002874#lateral-pericuneate-nucleus-1"),
    name="lateral pericuneate nucleus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002874"),
    synonyms=["LPCu", "nucleus pericuneatus lateralis"],
)
UBERONParcellation.lateral_pes_lemniscus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/lateralPesLemniscus",
    definition="'Lateral pes lemniscus' is a nervous system lemniscus. It is part of the midbrain tegmentum.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0106094"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0003010#lateral-pes-lemniscus-1"),
    name="lateral pes lemniscus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0003010"),
    synonyms=[
        "deep pes lemniscus",
        "fasciculi laterales pontis",
        "fussschleife",
        "lateral pontine bundle",
        "Laterale Haubenfussschleife",
        "Laterale pontine Buendel",
        "lpl",
        "pes lemnisci profundus",
        "pes lemniscus lateralis",
        "pes lemniscus profond",
    ],
)
UBERONParcellation.lateral_preoptic_nucleus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/lateralPreopticNucleus",
    definition="'Lateral preoptic nucleus' is a hypothalamic nucleus. It is part of the lateral zone of hypothalamus.",
    description="The lateral preoptic nucleus is lateral to the medial preoptic nucleus. It also mediates non-REM sleep onset.[WP,unvetted].",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0106098"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0001931#lateral-preoptic-nucleus-1"),
    name="lateral preoptic nucleus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0001931"),
    synonyms=[
        "area praeoptica lateralis",
        "area preoptica lateralis",
        "lateral preoptic area",
        "lateral preoptic hypothalamic nucleus",
        "LPO",
        "nucleus praeopticus lateralis",
        "nucleus preopticus lateralis",
    ],
)
UBERONParcellation.lateral_pulvinar_nucleus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/lateralPulvinarNucleus",
    definition="'Lateral pulvinar nucleus' is a nucleus of dorsal thalamus. It is part of the pulvinar nucleus.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0106099"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002636#lateral-pulvinar-nucleus-1"),
    name="lateral pulvinar nucleus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002636"),
    synonyms=[
        "lateral pulvinar nucleus of thalamus",
        "LPul",
        "nucleus pulvinaris lateralis",
        "nucleus pulvinaris lateralis (Hassler)",
        "nucleus pulvinaris lateralis thalami",
        "nucleus pulvinaris thalami",
        "pars lateralis",
    ],
)
UBERONParcellation.lateral_recess_of_fourth_ventricle = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/lateralRecessOfFourthVentricle",
    definition="Is an anatomical entity. Is part of the fourth ventricle. [auto-generated from properties of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0007656) ('is_a' and 'relationship')]",
    description="The lateral recess is a projection of the fourth ventricle which extends into the inferior cerebellar peduncle of the brainstem. The lateral aperture, an opening in each extremity of the lateral recess, provides a conduit for cerebrospinal fluid to flow from the brain's ventricular system into the subarachnoid space. [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0007656)]",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0736090"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0007656#lateral-recess-of-fourth-ventricle"),
    name="lateral recess of fourth ventricle",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0007656"),
    synonyms=["recessus lateralis (ventriculi quarti)"],
)
UBERONParcellation.lateral_reticular_nucleus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/lateralReticularNucleus",
    definition="'Lateral reticular nucleus' is a nucleus of medulla oblongata. It is part of the lateral medullary reticular complex.",
    description="A nucleus of the lateral medullary nuclear complex.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0106100"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002154#lateral-reticular-nucleus-1"),
    name="lateral reticular nucleus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002154"),
    synonyms=[
        "lateral reticular nuclei",
        "lateral reticular nucleus (medulla)",
        "LRt",
        "nucleus reticularis lateralis medullae oblongatae",
    ],
)
UBERONParcellation.lateral_septal_complex = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/lateralSeptalComplex",
    definition="'Lateral septal complex' is a septal nuclear complex. It is part of the striatum.",
    description="The lateral septal area; largest nuclear mass in this region, plays a pivotal role in various physiological processes, such as aggression, emotion, thermoregulation, water and food intake and sexual behaviour.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0728564"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0007628#lateral-septal-complex"),
    name="lateral septal complex",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0007628"),
)
UBERONParcellation.lateral_septal_nucleus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/lateralSeptalNucleus",
    definition="'Lateral septal nucleus' is a telencephalic nucleus. It is part of the lateral septal complex.",
    description="Regional part of the septal nuclei, lying dorsal and slightly lateral to the medial septal nucleus.  The lateral septum receives the bulk of projections of areas projecting to the septal nuclei (Adapted from Brodal, 1981).",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0106106"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002667#lateral-septal-nucleus-1"),
    name="lateral septal nucleus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002667"),
    synonyms=[
        "lateral parolfactory nucleus",
        "lateral septal nucleus (Cajal)",
        "lateral septum",
        "lateral septum nucleus",
        "nucleus lateralis septi",
        "nucleus septalis lateralis",
        "nucleus septi lateralis",
    ],
)
UBERONParcellation.lateral_spinal_nucleus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/lateralSpinalNucleus",
    definition="'Lateral spinal nucleus' is a nucleus of spinal cord. It is part of the dorsal horn of spinal cord.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0106113"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0035024#lateral-spinal-nucleus"),
    name="lateral spinal nucleus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0035024"),
    synonyms=["lateral spinal nucleus (paxspn)", "LSp"],
)
UBERONParcellation.lateral_sulcus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/lateralSulcus",
    definition="'Lateral sulcus' is a subarachnoid sulcus. It is part of the cerebral cortex.",
    description="A sulcus that divides the frontal lobe and parietal lobe above from the temporal lobe below. It is in both hemispheres of the brain but is longer in the left hemisphere. The lateral sulcus is one of the earliest-developing sulci of the human brain. It first appears around the fourteenth gestational week[WP,modified].",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0106115"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002721#lateral-sulcus-1"),
    name="lateral sulcus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002721"),
)
UBERONParcellation.lateral_superior_olivary_nucleus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/lateralSuperiorOlivaryNucleus",
    definition="'Lateral superior olivary nucleus' is a nucleus of superior olivary complex. It is part of the primary superior olive.",
    description="One of two recognized nuclei comprising the superior olive.  The lateral superior olivary nucleus is much less prominent in humans than in many rodents and carnivores.  In the latter species, it is frequently described as S- or V-shaped.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0106117"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002779#lateral-superior-olivary-nucleus-1"),
    name="lateral superior olivary nucleus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002779"),
    synonyms=[
        "accessory olivary nucleus",
        "accessory superior olivary nucleus",
        "accessory superior olive",
        "inferior olivary complex dorsalaccessory nucleus",
        "lateral part",
        "lateral superior olive",
        "LSO",
        "LSON",
        "nucleus olivaris superior lateralis",
        "superior olivary complex",
        "superior olivary nucleus",
        "superior olive lateral part",
    ],
)
UBERONParcellation.lateral_tuberal_nucleus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/lateralTuberalNucleus",
    definition="'Lateral tuberal nucleus' is a hypothalamic nucleus. It is part of the lateral hypothalamic area.",
    description="Nerve cell nuclei situated ventrally in the intermediate hypothalamic region, mainly in the lateral hypothalamic area.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0106124"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0000435#lateral-tuberal-nuclear-complex"),
    name="lateral tuberal nucleus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0000435"),
    synonyms=[
        "lateral tuberal hypothalamic nuclei",
        "lateral tuberal nuclear complex",
        "lateral tuberal nuclei",
        "lateral tuberal nucleus",
        "LTu",
        "nuclei tuberales laterales",
        "nucleus tuberis",
        "nucleus tuberis hypothalami",
        "nucleus tuberis lateralis",
    ],
)
UBERONParcellation.lateral_ventricle_choroid_plexus_epithelium = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/lateralVentricleChoroidPlexusEpithelium",
    definition="Is a choroid plexus epithelium. Is part of the choroid plexus of lateral ventricle. [auto-generated from properties of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0004274) ('is_a' and 'relationship')]",
    description="A choroid plexus epithelium that is part of a lateral ventricle. [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0004274)]",
    knowledge_space_link=IRI(
        "https://knowledge-space.org/wiki/UBERON:0004274#lateral-ventricle-choroid-plexus-epithelium"
    ),
    name="lateral ventricle choroid plexus epithelium",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0004274"),
    synonyms=[
        "chorioid plexus of cerebral hemisphere epithelial tissue of lateral ventricle",
        "chorioid plexus of cerebral hemisphere epithelium of lateral ventricle",
        "choroid plexus epithelial tissue of lateral ventricle",
        "choroid plexus epithelium of lateral ventricle",
        "epithelial tissue of chorioid plexus of cerebral hemisphere of lateral ventricle",
        "epithelial tissue of choroid plexus of lateral ventricle",
        "epithelium of chorioid plexus of cerebral hemisphere of lateral ventricle",
        "epithelium of choroid plexus of lateral ventricle",
        "lateral ventricle chorioid plexus of cerebral hemisphere epithelial tissue",
        "lateral ventricle chorioid plexus of cerebral hemisphere epithelium",
        "lateral ventricle choroid plexus epithelial tissue",
        "lateral ventricle epithelial tissue of chorioid plexus of cerebral hemisphere",
        "lateral ventricle epithelial tissue of choroid plexus",
        "lateral ventricle epithelium of chorioid plexus of cerebral hemisphere",
        "lateral ventricle epithelium of choroid plexus",
    ],
)
UBERONParcellation.lateral_ventricle_choroid_plexus_stroma = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/lateralVentricleChoroidPlexusStroma",
    definition="Is a choroid plexus stroma. Is part of the choroid plexus of lateral ventricle. [auto-generated from properties of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0006338) ('is_a' and 'relationship')]",
    description="A choroid plexus stroma that is part of a lateral ventricle. [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0006338)]",
    knowledge_space_link=IRI(
        "https://knowledge-space.org/wiki/UBERON:0006338#lateral-ventricle-choroid-plexus-stroma"
    ),
    name="lateral ventricle choroid plexus stroma",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0006338"),
)
UBERONParcellation.lateral_ventricle_ependyma = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/lateralVentricleEpendyma",
    definition="Is a brain ependyma. Is part of the telencephalic ventricle. [auto-generated from properties of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0004643) ('is_a' and 'relationship')]",
    description="An ependyma that is part of a lateral ventricle. [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0004643)]",
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0004643#lateral-ventricle-ependyma"),
    name="lateral ventricle ependyma",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0004643"),
    synonyms=["ependyma of lateral ventricle"],
)
UBERONParcellation.lateral_vestibular_nucleus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/lateralVestibularNucleus",
    definition="'Lateral vestibular nucleus' is a vestibular nucleus.",
    description="One of the nuclei comprising the vestibular nuclear complex. In some mammals, e.g., primates, it is further subdivided into subnuclei.  It therefore differs in appearance and topology in different mammals.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0106126"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0007230#lateral-vestibular-nucleus"),
    name="lateral vestibular nucleus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0007230"),
    synonyms=[
        "Deiter&#39;s nucleus",
        "Deiter's nucleus",
        "Deiters nucleus",
        "Deiters' nucleus",
        "Lateral nucleus of Deiters",
        "lateral vestibular nucleus (Deiters)",
        "nucleus of Deiters",
        "nucleus vestibularis lateralis",
    ],
)
UBERONParcellation.layer_of_hippocampus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/layerOfHippocampus",
    definition="'Layer of hippocampus' is a central nervous system cell part cluster and central nervous system gray matter layer. It is part of the hippocampal formation.",
    description="The layers of the laminar structure of the hippocampus.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0102761"),
    knowledge_space_link=IRI(
        "https://knowledge-space.org/wiki/UBERON:0002305#cytoarchitectural-fields-of-hippocampal-formation"
    ),
    name="layer of hippocampus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002305"),
    synonyms=[
        "cytoarchitectural fields of hippocampal formation",
        "hippocampus layer",
        "hippocampus proper layer",
        "layer of cornu ammonis",
    ],
)
UBERONParcellation.left_hemisphere_of_cerebellum = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/leftHemisphereOfCerebellum",
    definition="Is a cerebellar hemisphere. [auto-generated from 'is_a' property of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0014889)]",
    description="A cerebellar hemisphere that is in the left side of a cerebellum. [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0014889)]",
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0014889#left-hemisphere-of-cerebellum"),
    name="left hemisphere of cerebellum",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0014889"),
)
UBERONParcellation.left_lateral_ventricle = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/leftLateralVentricle",
    definition="Is a telencephalic ventricle. Is part of the left cerebral hemisphere. [auto-generated from properties of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0013161) ('is_a' and 'relationship')]",
    description="A telencephalic ventricle that is in the left side of a telencephalon. [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0013161)]",
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0013161#left-lateral-ventricle"),
    name="left lateral ventricle",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0013161"),
    synonyms=["left telencephalic ventricle"],
)
UBERONParcellation.lenticular_fasciculus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/lenticularFasciculus",
    definition="'Lenticular fasciculus' is a ventral thalamic fasciculus.",
    description="The lenticular fasciculus is a tract connecting the globus pallidus to the Thalamic fasciculus. The thalamic fasciculus (composed of the lenticular fasciculus and ansa lenticularis) runs into the Thalamus. It connects the globus pallidus to the thalamus.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0106170"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0014529#lenticular-fasciculus-1"),
    name="lenticular fasciculus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0014529"),
    synonyms=[
        "dorsal division of ansa lenticularis",
        "fasciculus lenticularis",
        "fasciculus lenticularis [h2]",
        "field H2",
        "Field H2 of Forel",
        "Forel's field H2",
        "forel's field h2",
        "lenticular fasciculus",
        "lenticular fasciculus [h2]",
        "lenticular fasciculus of diencephalon",
        "lenticular fasciculus of telencephalon",
        "tegmental area h2",
    ],
)
UBERONParcellation.lentiform_nucleus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/lentiformNucleus",
    definition="'Lentiform nucleus' is a telencephalic nucleus. It is part of the ventral striatum.",
    description="The lentiform nucleus or lenticular nucleus comprises the putamen and the globus pallidus within the basal ganglia. It is a large, cone-shaped mass of gray matter just lateral to the internal capsule. [WP,unvetted].",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0725892"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002263#lentiform-nucleus"),
    name="lentiform nucleus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002263"),
)
UBERONParcellation.limbic_lobe = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/limbicLobe",
    definition="Part of cerebral hemisphere located on the medial surface, forming a ring around the brain stem.",
    description="'Limbic lobe' is a lobe of cerebral hemisphere.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0106264"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002600#limbic-lobe-1"),
    name="limbic lobe",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002600"),
)
UBERONParcellation.limen_of_insula = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/limenOfInsula",
    definition="'Limen of insula' is a gyrus. It is part of the insula.",
    description="The anterior basal part of the insular cortex, which separates the lateral surface of the insula from the anterior perforated substance (Heimer, The Human Brain and Spinal Cord, 2nd ed., 1995, pg 80).",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0106266"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002724#limen-of-insula-1"),
    name="limen of insula",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002724"),
    synonyms=[
        "ambiens gyrus",
        "ambient gyrus",
        "angulus gyri olfactorii lateralis",
        "gyrus ambiens",
        "gyrus ambiens (Noback)",
        "insula limen",
        "limen insula",
        "limen insulae",
        "limen of the insula",
        "lmi",
    ],
)
UBERONParcellation.limitans_nucleus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/limitansNucleus",
    definition="'Limitans nucleus' is a nucleus of brain.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0106267"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0003026#limitans-nucleus-1"),
    name="limitans nucleus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0003026"),
    synonyms=[
        "Lim",
        "limitans thalamic nucleus",
        "nucleus limitans",
        "nucleus limitans opticus (Hassler)",
        "nucleus limitans thalami",
    ],
)
UBERONParcellation.linear_nucleus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/linearNucleus",
    definition="'Linear nucleus' is a brainstem nucleus and midbrain nucleus. It is part of the midbrain tegmentum.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0106275"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002557#linear-nucleus-1"),
    name="linear nucleus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002557"),
)
UBERONParcellation.lingual_gyrus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/lingualGyrus",
    definition="'Lingual gyrus' is an occipital gyrus.",
    description="Component of the occipital lobe.  The rostral boundary of the lingual gyrus was the posterior extent of the parahippocampal gyrus whereas the caudal boundary was the most posterior coronal slice where the gyrus could be visualized. The medial and lateral boundaries were the medial portion of the temporal and occipital cortices and the medial bank of the collateral sulcus respectively (Christine Fennema-Notestine).",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0106278"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002943#lingual-gyrus-1"),
    name="lingual gyrus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002943"),
    synonyms=[
        "gyrus lingualis",
        "gyrus occipitotemporalis medialis",
        "lingula gyrus",
        "lingula of cerebral hemisphere",
        "medial occipito-temporal gyrus",
        "medial occipitotemporal gyrus",
        "medial occipitotemporal gyrus-2",
    ],
)
UBERONParcellation.lobe_of_cerebral_hemisphere = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/lobeOfCerebralHemisphere",
    definition="'Lobe of cerebral hemisphere' is part of the cerebral hemisphere.",
    description="Divisions of the cerebral cortex from gross anatomical observation based on the locations of major sulci and fissures in gyrencephalic animals, including both the gray matter and underlying white matter. From 4-6 lobes have been defined.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0106316"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0016526#lobe-of-cerebral-cortex"),
    name="lobe of cerebral hemisphere",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0016526"),
    synonyms=[
        "cerebral cortical segment",
        "cerebral hemisphere lobe",
        "cerebral lobe",
        "cerebral lobes",
        "lobe of cerebral cortex",
        "lobe parts of cerebral cortex",
        "lobes of the brain",
        "lobi cerebri",
        "regional organ part of cerebral cortex",
        "segment of cerebral cortex",
    ],
)
UBERONParcellation.lobule_simplex = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/lobuleSimplex",
    definition="Is a cerebellum hemisphere lobule and hemisphere part of cerebellar posterior lobe. [auto-generated from 'is_a' property of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0005350)]",
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0005350#lobule-simplex"),
    name="lobule simplex",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0005350"),
    synonyms=[
        "hemispheric lobule VI",
        "lobule h VI of larsell",
        "lobulus quadrangularis pars caudalis/posterior",
        "lobulus quadrangularis pars inferoposterior",
        "lobulus quadrangularis posterior",
        "lobulus quadrangularis posterior cerebelli [H VI]",
        "lobulus simplex",
        "lobulus simplex cerebelli [h vi et vi]",
        "posterior crescentic lobule of cerebellum",
        "semilunar lobule-1 (posterior)",
        "simple lobule",
        "simple lobule of cerebellum",
        "simple lobule of cerebellum [h VI and VI]",
        "simplex",
        "simplex (hVI)",
        "simplex lobule",
    ],
)
UBERONParcellation.locus_ceruleus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/locusCeruleus",
    definition="'Locus ceruleus' is a brainstem nucleus and hindbrain nucleus. It is part of the pontine tegmentum.",
    description="A noradrenergic nucleus in the brain stem involved with physiological responses to stress and panic; also implicated in physical dependence and withdrawal. (Adapted from Wikipedia)",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0106335"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002148#locus-ceruleus-1"),
    name="locus ceruleus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002148"),
    synonyms=[
        "blue nucleus",
        "caerulean nucleus",
        "LC",
        "loci coeruleus",
        "locus caeruleus",
        "locus cinereus",
        "locus coeruleu",
        "locus coeruleus",
        "locus coeruleus (Vicq d'Azyr)",
        "nucleus caeruleus",
        "nucleus loci caerulei",
        "nucleus of locus caeruleus",
        "Nucleus Pigmentosus Pontis",
        "substantia ferruginea",
    ],
)
UBERONParcellation.longitudinal_pontine_fibers = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/longitudinalPontineFibers",
    definition="'Longitudinal pontine fibers' is a tract of brain. It is part of the basal part of pons.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0106355"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002732#longitudinal-pontine-fibers-1"),
    name="longitudinal pontine fibers",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002732"),
    synonyms=[
        "corticofugal fibers",
        "fasiculii longitudinales pyramidales",
        "fibrae pontis longitudinales",
        "longitudinal fasciculus of the pons",
        "longitudinal pontine fibers",
        "longitudinal pontine fibres",
        "longitudinal pontine tract",
    ],
)
UBERONParcellation.lower_rhombic_lip = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/lowerRhombicLip",
    definition="'Lower rhombic lip' is a regional part of brain. It is part of the rhombic lip.",
    description="Posterior portion of the rhombic lip contained within rhombomeres 2-8. Gives rise to several brainstem nuclei and choroid plexus.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0729564"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0009840#lower-rhombic-lip"),
    name="lower rhombic lip",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0009840"),
)
UBERONParcellation.magnocellular_nucleus_of_medial_geniculate_body = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/magnocellularNucleusOfMedialGeniculateBody",
    definition="'Magnocellular nucleus of medial geniculate body' is a nucleus of dorsal thalamus. It is part of the medial geniculate body.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0106472"),
    knowledge_space_link=IRI(
        "https://knowledge-space.org/wiki/UBERON:0002759#magnocellular-nucleus-of-medial-geniculate-body-1"
    ),
    name="magnocellular nucleus of medial geniculate body",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002759"),
    synonyms=[
        "corpus geniculatus mediale",
        "magnocelluar nucleus of medial geniculate complex",
        "magnocellular medial geniculate nucleus",
        "magnocellular nucleus of medial geniculate complex",
        "magnocellular nucleus of the medial geniculate body",
        "medial division of medial geniculate body",
        "medial geniculate complex",
        "medial geniculate complex medial part",
        "medial geniculate nucleus",
        "medial geniculate nucleus medial part",
        "medial magnocellular nucleus of medial geniculate body",
        "medial nucleus of medial geniculate body",
        "medial part",
        "MMG",
        "nucleus corporis geniculati medialis",
        "nucleus geniculatus medialis",
        "nucleus geniculatus medialis magnocelluaris (Hassler)",
        "nucleus geniculatus medialis magnocellularis (Hassler)",
        "nucleus medialis magnocellularis corporis geniculati medialis",
        "pars magnocelluaris",
        "pars magnocellularis",
    ],
)
UBERONParcellation.magnocellular_part_of_medial_dorsal_nucleus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/magnocellularPartOfMedialDorsalNucleus",
    definition="'Magnocellular part of medial dorsal nucleus' is a gray matter of diencephalon. It is part of the medial dorsal nucleus of thalamus.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0106473"),
    knowledge_space_link=IRI(
        "https://knowledge-space.org/wiki/UBERON:0002647#magnocellular-part-of-medial-dorsal-nucleus-1"
    ),
    name="magnocellular part of medial dorsal nucleus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002647"),
    synonyms=[
        "dorsomedial thalamic nucleus",
        "magnocellular mediodorsal nucleus",
        "magnocellular nucleus of medial dorsal nucleus of thalamus",
        "magnocellular part",
        "magnocellular part of dorsomedial nucleus",
        "magnocellular part of mediodorsal nucleus",
        "magnocellular part of the medial dorsal nucleus",
        "MDM",
        "nucleus medialis dorsalis",
        "nucleus medialis fibrosus",
        "nucleus medialis fibrosus (Hassler)",
        "pars magnocellularis",
        "pars magnocellularis nuclei mediodorsalis thalami",
    ],
)
UBERONParcellation.magnocellular_part_of_red_nucleus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/magnocellularPartOfRedNucleus",
    definition="'Magnocellular part of red nucleus' is a gray matter of midbrain. It is part of the red nucleus.",
    description="Caudal region of the red nucleus located in the midbrain, containing mostly large cell bodies.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0106474"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002936#magnocellular-part-of-red-nucleus-1"),
    name="magnocellular part of red nucleus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002936"),
    synonyms=[
        "magnocellular part",
        "magnocellular part of the red nucleus",
        "magnocellular red nucleus",
        "nucleus ruber",
        "nucleus ruber magnocellularis",
        "palaeorubrum",
        "paleoruber",
        "pars magnocellularis",
        "pars magnocellularis (ruber)",
        "pars magnocellularis nuclei rubri",
        "red nucleus",
        "red nucleus magnocellular part",
        "RMC",
    ],
)
UBERONParcellation.magnocellular_part_of_ventral_anterior_nucleus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/magnocellularPartOfVentralAnteriorNucleus",
    definition="'Magnocellular part of ventral anterior nucleus' is a gray matter of diencephalon. It is part of the ventral anterior nucleus of thalamus.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0106475"),
    knowledge_space_link=IRI(
        "https://knowledge-space.org/wiki/UBERON:0002935#magnocellular-part-of-ventral-anterior-nucleus-1"
    ),
    name="magnocellular part of ventral anterior nucleus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002935"),
    synonyms=[
        "magnocellular division of ventral anterior nucleus of thalamus",
        "magnocellular part",
        "magnocellular part of the ventral anterior nucleus",
        "magnocellular ventral anterior nucleus",
        "nucleus lateropolaris (magnocellularis)",
        "nucleus lateropolaris magnocellularis (Hassler)",
        "nucleus rostralis lateralis situs perifascicularis",
        "nucleus thalamicus ventral anterior",
        "nucleus thalamicus ventralis anterior",
        "nucleus ventralis anterior",
        "pars magnocellularis",
        "pars magnocellularis nuclei ventralis anterior thalami",
        "VAMC",
        "ventral anterior nucleus",
        "ventral anterior thalamic nucleus",
        "ventroanterior thalamic nucleus",
    ],
)
UBERONParcellation.magnocellular_preoptic_nucleus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/magnocellularPreopticNucleus",
    definition="'Magnocellular preoptic nucleus' is a preoptic nucleus.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0106476"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:2000248#magnocellular-preoptic-nucleus"),
    name="magnocellular preoptic nucleus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_2000248"),
    synonyms=[""],
)
UBERONParcellation.main_olfactory_bulb = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/mainOlfactoryBulb",
    definition="Is a regional part of brain. Is part of the olfactory bulb. [auto-generated from properties of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0009951) ('is_a' and 'relationship')]",
    description="The main olfactory bulb has a multi-layered cellular architecture. In order from surface to the center the layers are: Glomerular layer, External plexiform layer, Mitral cell layer, Internal plexiform layer, Granule cell layer. [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0009951)]",
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0009951#main-olfactory-bulb"),
    name="main olfactory bulb",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0009951"),
)
UBERONParcellation.mammillary_body = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/mammillaryBody",
    definition="'Mammillary body' is part of the medial zone of hypothalamus and posterior hypothalamic region.",
    description="One of two hemispherical bulges on the base of the posterior hypothalamus (Butler and Hodos, Comparative Vertebrate Neuroanatomy, 2nd ed., 2005, pg 455).",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0106500"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002206#mammillary-body"),
    name="mammillary body",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002206"),
    synonyms=[
        "corpora mamillaria",
        "corpora mammillaria",
        "corpus mamillare",
        "corpus mamillaris",
        "corpus mammillare",
        "mamillary body",
        "mammillary area",
        "mmb",
    ],
)
UBERONParcellation.mammillary_peduncle = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/mammillaryPeduncle",
    definition="'Mammillary peduncle' is a peduncle of diencephalon. It is part of the posterior hypothalamic region.",
    description="White matter bundle in the posterior hypothalamus containing ascending afferent fibers to the mammillary bodies from the ventral and dorsal tegmental nuclei (Brodal, Neurological Anatomy, 3rd ed., 1981, pg 671).",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0106502"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002720#mammillary-peduncle-1"),
    name="mammillary peduncle",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002720"),
    synonyms=[
        "mammillary peduncle (Meynert)",
        "mpe",
        "peduncle of mammillary body",
        "pedunculus corporis mamillaris",
        "pedunculus corporis mammillaris",
    ],
)
UBERONParcellation.mammillotectal_axonal_tract = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/mammillotectalAxonalTract",
    definition="Is a tract of diencephalon. Is part of the mammillary axonal complex. [auto-generated from properties of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0006697) ('is_a' and 'relationship')]",
    description="The mammillotectal tract is the collection of axons that connects the ventral diencephalon to the superior colliculus. [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0006697)]",
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0006697#mammillotectal-axonal-tract"),
    name="mammillotectal axonal tract",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0006697"),
)
UBERONParcellation.mammillotegmental_axonal_tract = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/mammillotegmentalAxonalTract",
    definition="Is a tract of diencephalon. Is part of the mammillary axonal complex. [auto-generated from properties of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0006698) ('is_a' and 'relationship')]",
    description="The mammillotegmental tract is the collection of axons that connects the ventral diencephalon to the tegmentum and pons. [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0006698)]",
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0006698#mammillotegmental-fasciculus"),
    name="mammillotegmental axonal tract",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0006698"),
    synonyms=[
        "Gudden tract",
        "mammillotegmental fasciculus",
        "mammillotegmental tract",
        "mammillotegmental tract of hypothalamus",
        "von Gudden's tract",
    ],
)
UBERONParcellation.mammillothalamic_axonal_tract = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/mammillothalamicAxonalTract",
    definition="Is a tract of diencephalon. Is part of the diencephalic white matter and the mammillary axonal complex. [auto-generated from properties of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0006696) ('is_a' and 'relationship')]",
    description="A fiber pathway that originates from neurons in the posterior hypothalamic region and projects to various nuclei of the anterior nuclear group of the thalamus. It is a composite structure that consists of the mammillothalamic tract of the hypothalamus and the mammillothalamic tract of the thalamus (Carpenter-1983). (from Brain Info.org) [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0006696)]",
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0006696#mammillothalamic-axonal-tract"),
    name="mammillothalamic axonal tract",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0006696"),
    synonyms=[
        "fasciculus mammillothalamicus",
        "mammillothalamic fasciculus",
        "mammillothalamic tract",
        "vicq d'azyr's bundle",
    ],
)
UBERONParcellation.mammillothalamic_tract_of_hypothalamus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/mammillothalamicTractOfHypothalamus",
    definition="Is a tract of diencephalon. Is part of the mammillary axonal complex. [auto-generated from properties of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0002990) ('is_a' and 'relationship')]",
    description="Part of mammillothalamic tract contained within the hypothalamus. [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0002990)]",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0106507"),
    knowledge_space_link=IRI(
        "https://knowledge-space.org/wiki/UBERON:0002990#mammillothalamic-tract-of-hypothalamus-1"
    ),
    name="mammillothalamic tract of hypothalamus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002990"),
)
UBERONParcellation.marginal_venous_sinus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/marginalVenousSinus",
    definition="Is a paired venous dural sinus. [auto-generated from 'is_a' property of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0017637)]",
    description="A paired dural venous sinus at the rim of the foramen magnum. [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0017637)]",
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0017637#marginal-venous-sinus"),
    name="marginal venous sinus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0017637"),
    synonyms=["intracranial marginal sinus"],
)
UBERONParcellation.matrix_compartment = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/matrixCompartment",
    definition="'Matrix compartment' is a chemoarchitectural part of striatum.",
    description="The larger of two chemoarchitectural compartments identified in the neostriatum through differential staining for various biochemical markers.  It usually is identified through differentially high staining for acetylcholinesterase and calbinin D28K.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0106569"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0027368#matrix-compartment-1"),
    name="matrix compartment",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0027368"),
    synonyms=["matrix", "matrix compartment", "striatal matrix"],
)
UBERONParcellation.matrix_compartment_of_caudate_nucleus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/matrixCompartmentOfCaudateNucleus",
    definition="'Matrix compartment of caudate nucleus' is a matrix compartment. It is part of the caudate nucleus.",
    description="Matrix compartment located in the caudate nucleus",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0106568"),
    knowledge_space_link=IRI(
        "https://knowledge-space.org/wiki/UBERON:0029001#matrix-compartment-of-caudate-nucleus-1"
    ),
    name="matrix compartment of caudate nucleus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0029001"),
    synonyms=["matrix compartment of caudate nucleus"],
)
UBERONParcellation.matrix_compartment_of_putamen = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/matrixCompartmentOfPutamen",
    definition="'Matrix compartment of putamen' is a matrix compartment. It is part of the putamen.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0730490"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0029002#matrix-compartment-of-putamen"),
    name="matrix compartment of putamen",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0029002"),
)
UBERONParcellation.matrix_part_of_head_of_caudate_nucleus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/matrixPartOfHeadOfCaudateNucleus",
    definition="'Matrix part of head of caudate nucleus' is a matrix compartment of caudate nucleus. It is part of the head of caudate nucleus.",
    description="Matrix compartment located in the head of the caudate nucleus",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0106571"),
    knowledge_space_link=IRI(
        "https://knowledge-space.org/wiki/UBERON:0027245#matrix-part-of-head-of-caudate-nucleus-1"
    ),
    name="matrix part of head of caudate nucleus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0027245"),
    synonyms=["matrix compartment of head of caudate nucleus", "matrix part of head of caudate nucleus"],
)
UBERONParcellation.matrix_part_of_tail_of_caudate_nucleus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/matrixPartOfTailOfCaudateNucleus",
    definition="'Matrix part of tail of caudate nucleus' is a matrix compartment of caudate nucleus. It is part of the tail of caudate nucleus.",
    description="Matrix compartment located in the tail of the caudate nucleus",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0106572"),
    knowledge_space_link=IRI(
        "https://knowledge-space.org/wiki/UBERON:0027246#matrix-part-of-tail-of-caudate-nucleus-1"
    ),
    name="matrix part of tail of caudate nucleus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0027246"),
    synonyms=["matrix compartment of tail of caudate nucleus", "matrix part of tail of caudate nucleus"],
)
UBERONParcellation.medial_accessory_olive = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/medialAccessoryOlive",
    definition="'Medial accessory olive' is a regional part of brain. It is part of the inferior olivary complex.",
    description="Regional part of the inferior olivary complex",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0106621"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0014287#medial-accessory-olive-1"),
    name="medial accessory olive",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0014287"),
    synonyms=["MAO", "medial accessory olive"],
)
UBERONParcellation.medial_amygdaloid_nucleus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/medialAmygdaloidNucleus",
    definition="'Medial amygdaloid nucleus' is a telencephalic nucleus. It is part of the corticomedial nuclear complex.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0736076"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002892#medial-amygdaloid-nucleus-1"),
    name="medial amygdaloid nucleus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002892"),
)
UBERONParcellation.medial_dorsal_nucleus_of_thalamus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/medialDorsalNucleusOfThalamus",
    definition="'Medial dorsal nucleus of thalamus' is a nucleus of dorsal thalamus.",
    description="The medial dorsal nucleus (or dorsomedial nucleus of thalamus) is a large nucleus in the thalamus. It receives inputs from the Pre-Frontal Cortex and the Limbic System and in turn relays them to the Pre-Frontal Association Cortex. As a result, it plays a crucial role in attention, planning, organization, abstract thinking, multi-tasking and active memory. The connections of the medial dorsal nucleus have even been used to delineate the prefrontal cortex of the GÃ¶ttingen minipig brain. By stereology the number of brain cells in the region has been estimated to around 6.43 million neurons in the adult human brain and 36.3 million glial cells, and with the newborn having quite different numbers: around 11.2 million neurons and 10.6 million glial cells. Lesions of the medial dorsal nucleus have been associated with Wernicke's encephalopathy [WP,unvetted].",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0106636"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002739#medial-dorsal-nucleus"),
    name="medial dorsal nucleus of thalamus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002739"),
    synonyms=[
        "nucleus medialis dorsalis",
        "nucleus dorsomedialis thalami",
        "medial thalamic nucleus",
        "mediodorsal thalamic nucleus",
        "dorsomedial nucleus",
        "medial thalamic nuclei",
        "medial dorsal thalamic nucleus",
        "mediodorsal nucleus",
        "Mediodorsal thalamus",
        "Dorsomedial nucleus of thalamus",
        "Dorsomedial nuclear group",
        "Dorsal medial nucleus of thalamus",
        "Medial dorsal nucleus of thalamus",
        "Medial nuclear group",
        "Medial dorsal nucleus",
        "mediodorsal nucleus of thalamus",
        "medial nuclear group of thalamus",
        "nucleus medialis dorsalis thalami",
        "dorsal thalamus medial division",
        "mediodorsal nucleus of the thalamus",
        "nucleus mediodorsalis thalami",
        "medial group of the dorsal thalamus",
        "nucleus thalamicus mediodorsalis",
        "nuclei mediales (thalami)",
        "medial thalamic nuclear group",
        "nucleus medialis dorsalis (Hassler)",
    ],
)
UBERONParcellation.medial_entorhinal_cortex = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/medialEntorhinalCortex",
    definition="'Medial entorhinal cortex' is the medial subdivision of the entorhinal cortex.",
    description="One of two subdivisions of the entorhinal cortex, located medially.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0731986"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0007224#medial-entorhinal-cortex"),
    name="medial entorhinal cortex",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0007224"),
    synonyms=["entorhinal area, medial part", "MEC"],
)
UBERONParcellation.medial_forebrain_bundle = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/medialForebrainBundle",
    definition="'Medial forebrain bundle' is a fasciculus of brain. It is part of the hypothalamus.",
    description="The Medial forebrain bundle (MFB), is a complex bundle of axons coming from the basal olfactory regions, the periamygdaloid region, and the septal nuclei, and passing to the lateral hypothalamus, with some carrying on into the tegmentum. It contains both ascending and descending fibers. It also represents a part of the mesolimbic pathway, carrying information between the ventral tegmentum and the nucleus accumbens. It is commonly accepted that the MFB is a part of the reward system, involved in the integration of reward and pleasure. Electrical stimulation of the medial forebrain bundle is believed to cause sensations of pleasure. This hypothesis is based upon intracranial self-stimulation (ICSS) studies. Animals will work for MFB ICSS, and humans report that MFB ICSS is intensely pleasurable. This is most likely because the medial forebrain bundle carries information from the ventral tegmental area (VTA) to the nucleus accumbens (nAcc or Acb). The nAcc is a recognized reward center, and activation of the pathway from the VTA to the nAcc is believed to be rewarding, which is why it is sometimes referred to as the hedonic highway. [WP,unvetted].",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0106640"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0001910#medial-forebrain-bundle-1"),
    name="medial forebrain bundle",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0001910"),
    synonyms=[
        "fasciculus longitudinalis telencephali medialis",
        "fasciculus medialis telencephali",
        "fasciculus medialis telencephalicus",
        "fasciculus prosencephalicus medialis",
        "medial forebrain bundles",
        "medial forebrain fasciculus",
        "median forebrain bundle",
        "mfb",
        "telencephalic medial fasciculus",
    ],
)
UBERONParcellation.medial_geniculate_body = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/medialGeniculateBody",
    definition="'Medial geniculate body' is a nuclear complex of neuraxis and gray matter of diencephalon. It is part of the metathalamus.",
    description="Nuclear complex of the thalamus situated on the caudal, subpial aspect of the thalamus (Brodal, Neurological Anatomy, 3rd ed., 1981, pg 622).",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0106641"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0001927#medial-geniculate-body-1"),
    name="medial geniculate body",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0001927"),
    synonyms=[
        "corpus geniculatum mediale",
        "corpus geniculatus medialis",
        "internal geniculate body",
        "medial geniculate complex",
        "medial geniculate complex of dorsal thalamus",
        "medial geniculate nuclei",
        "medial geniculate nucleus",
        "MGB",
        "MGN",
        "nuclei corporis geniculati medialis",
        "nucleus corporis geniculati medialis",
        "nucleus geniculatus medialis",
    ],
)
UBERONParcellation.medial_globus_pallidus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/medialGlobusPallidus",
    definition="'Medial globus pallidus' is a cerebral hemisphere gray matter. It is part of the globus pallidus.",
    description="The more medial segment of the globus pallidus.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0104660"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002477#globus-pallidus-internal-segment"),
    name="medial globus pallidus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002477"),
    synonyms=[
        "entopeduncular nucleus",
        "Entopeduncular nucleus (Monakow)",
        "globus pallidus",
        "globus pallidus inernal segment",
        "globus pallidus interna",
        "globus pallidus internal segment",
        "globus pallidus internus",
        "globus pallidus medial part",
        "globus pallidus medial segment",
        "globus pallidus medialis",
        "globus pallidus pars medialis",
        "Gpi",
        "internal globus pallidus",
        "internal pallidum",
        "internal part of globus pallidus",
        "internal segment",
        "medial division of globus pallidus",
        "medial globus pallidus (entopeduncular nucleus)",
        "medial pallidal segment",
        "medial part",
        "medial part of globus pallidus",
        "medial segment",
        "medial segment of globus pallidus",
        "medial segment of the globus pallidus",
        "mesial pallidum",
        "nucleus medialis globi pallidi",
        "pallidum dorsal region internal segment",
        "pallidum I",
        "pallidum II",
        "Pallidus I",
        "pars interna",
        "pars medialis globi pallidi",
        "principal medial geniculate nucleus",
    ],
)
UBERONParcellation.medial_lemniscus_of_medulla = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/medialLemniscusOfMedulla",
    definition="'Medial lemniscus of medulla' is a nervous system lemniscus. It is part of the medulla oblongata and medial lemniscus.",
    description="Part of medial lemniscus located within the medulla",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0106652"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002748#medial-lemniscus-of-medulla-1"),
    name="medial lemniscus of medulla",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002748"),
    synonyms=["lemniscus medialis (myelencephali)", "medial lemniscus of the medulla", "medulla medial lemniscus"],
)
UBERONParcellation.medial_lemniscus_of_midbrain = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/medialLemniscusOfMidbrain",
    definition="'Medial lemniscus of midbrain' is a nervous system lemniscus. It is part of the midbrain tegmentum, cerebral peduncle and medial lemniscus.",
    description="Part of medial lemniscus located within the midbrain",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0106653"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002658#medial-lemniscus-of-midbrain-1"),
    name="medial lemniscus of midbrain",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002658"),
    synonyms=[
        "lemniscus medialis (mesencephali)",
        "medial lemniscus of the midbrain",
        "midbrain medial lemniscus",
        "mlmb",
    ],
)
UBERONParcellation.medial_lemniscus_of_pons = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/medialLemniscusOfPons",
    definition="'Medial lemniscus of pons' is a nervous system lemniscus. It is part of the medial lemniscus and pontine tegmentum.",
    description="Part of medial lemniscus located within the pons",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0106654"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002958#medial-lemniscus-of-pons-1"),
    name="medial lemniscus of pons",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002958"),
    synonyms=[
        "lemniscus medial",
        "lemniscus medialis (pontis)",
        "medial lemniscus of pons of varolius",
        "medial lemniscus of the pons",
        "pons medial lemniscus",
        "pons of varolius medial lemniscus",
    ],
)
UBERONParcellation.medial_longitudinal_catecholaminergic_tract = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/medialLongitudinalCatecholaminergicTract",
    definition="Is a white matter. [auto-generated from 'is_a' property of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_2005341)]",
    knowledge_space_link=IRI(
        "https://knowledge-space.org/wiki/UBERON:2005341#medial-longitudinal-catecholaminergic-tract"
    ),
    name="medial longitudinal catecholaminergic tract",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_2005341"),
    synonyms=["mlct"],
)
UBERONParcellation.medial_longitudinal_fasciculus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/medialLongitudinalFasciculus",
    definition="'Medial longitudinal fasciculus' is a fasciculus of brain.",
    description="Fiber bundle running longitudinally along the midline in the midbrain, pons and medulla, containing fibers that interconnect the cranial nerve nuclei controlling eye movements (Heimer, L. The Human Brain, 2nd ed., 1995, pg. 245)",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0106655"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002309#medial-longitudinal-fasciculus"),
    name="medial longitudinal fasciculus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002309"),
    synonyms=["fasciculus longitudinalis medialis", "medial longitudinal fascicle", "MLF"],
)
UBERONParcellation.medial_longitudinal_fasciculus_of_medulla = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/medialLongitudinalFasciculusOfMedulla",
    definition="A medial longitudinal fasciculus that is part of a medulla [Automatically generated definition].",
    description="'Medial longitudinal fasciculus of medulla' is a medial longitudinal fasciculus. It is part of the medulla oblongata.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0106656"),
    knowledge_space_link=IRI(
        "https://knowledge-space.org/wiki/UBERON:0002750#medial-longitudinal-fasciculus-of-medulla-1"
    ),
    name="medial longitudinal fasciculus of medulla",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002750"),
    synonyms=[
        "fasciculus longitudinalis medialis (myelencephali)",
        "medial longitudinal fasciculus of medulla oblongata",
        "medial longitudinal fasciculus of the medulla",
        "medulla medial longitudinal fasciculus",
    ],
)
UBERONParcellation.medial_longitudinal_fasciculus_of_midbrain = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/medialLongitudinalFasciculusOfMidbrain",
    definition="A medial longitudinal fasciculus that is part of a midbrain [Automatically generated definition].",
    description="'Medial longitudinal fasciculus of midbrain' is a medial longitudinal fasciculus. It is part of the midbrain tegmentum.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0106657"),
    knowledge_space_link=IRI(
        "https://knowledge-space.org/wiki/UBERON:0002660#medial-longitudinal-fasciculus-of-midbrain-1"
    ),
    name="medial longitudinal fasciculus of midbrain",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002660"),
    synonyms=[
        "fasciculus longitudinalis medialis (mesencephali)",
        "medial longitudinal fasciculus of the midbrain",
        "midbrain medial longitudinal fasciculus",
        "mlfmb",
    ],
)
UBERONParcellation.medial_longitudinal_fasciculus_of_pons = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/medialLongitudinalFasciculusOfPons",
    definition="A medial longitudinal fasciculus that is part of a pons [Automatically generated definition].",
    description="'Medial longitudinal fasciculus of pons' is a medial longitudinal fasciculus. It is part of the pons.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0106659"),
    knowledge_space_link=IRI(
        "https://knowledge-space.org/wiki/UBERON:0002794#medial-longitudinal-fasciculus-of-pons-1"
    ),
    name="medial longitudinal fasciculus of pons",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002794"),
    synonyms=[
        "fasciculus longitudinalis medialis (pontis)",
        "medial longitudinal fasciculus of pons of varolius",
        "medial longitudinal fasciculus of the pons",
        "pons medial longitudinal fasciculus",
        "pons of varolius medial longitudinal fasciculus",
    ],
)
UBERONParcellation.medial_mammillary_nucleus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/medialMammillaryNucleus",
    definition="'Medial mammillary nucleus' is a hypothalamic nucleus. It is part of the mammillary body.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0106660"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0001939#medial-mammillary-nucleus-1"),
    name="medial mammillary nucleus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0001939"),
    synonyms=[
        "body",
        "internal mammillary nucleus",
        "medial mamillary nucleus",
        "medial mammillary nucleus",
        "medial nucleus of mammillary body",
        "MM",
        "nucleus mammillaris medialis",
        "preoptic division",
    ],
)
UBERONParcellation.medial_medullary_lamina_of_globus_pallidus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/medialMedullaryLaminaOfGlobusPallidus",
    definition="'Medial medullary lamina of globus pallidus' is a white matter lamina of cerebral hemisphere. It is part of the globus pallidus.",
    description="Thin sheet of white matter dividing the external and internal segments of the globus pallidus in primates",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0106664"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002727#medial-medullary-lamina"),
    name="medial medullary lamina of globus pallidus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002727"),
    synonyms=[
        "globus pallidus",
        "inner medullary lamina",
        "internal medullary l. of corpus striatum",
        "internal medullary lamina of corpus striatum",
        "internal medullary lamina of globus pallidus",
        "internal medullary lamina of lentiform nucleus",
        "internal medullary lamina of pallidum",
        "l. medullaris interna corporis striati",
        "lamella pallidi interna",
        "lamina medullaris interna",
        "lamina medullaris interna corporis striati",
        "lamina medullaris interna pallidi",
        "lamina medullaris medialis",
        "lamina medullaris medialis corporis striati",
        "lamina pallidi interna",
        "medial medullary lamina",
        "medial medullary lamina of corpus striatum",
        "medial medullary lamina of globus pallidus",
        "medial medullary lamina of pallidum",
        "medial medullary lamina of the globus pallidus",
        "medial medullary stria",
        "medial medullary stria of corpus striatum",
        "mml",
    ],
)
UBERONParcellation.medial_nucleus_of_stria_terminalis = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/medialNucleusOfStriaTerminalis",
    definition="'Medial nucleus of stria terminalis' is a telencephalic nucleus. It is part of the bed nucleus of stria terminalis.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0106667"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0034895#medial-nucleus-of-stria-terminalis"),
    name="medial nucleus of stria terminalis",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0034895"),
    synonyms=[
        "BSTM",
        "medial bed nucleus of stria terminalis",
        "medial bed nucleus of the stria terminalis",
        "medial subdivision of BNST",
    ],
)
UBERONParcellation.medial_nucleus_of_trapezoid_body = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/medialNucleusOfTrapezoidBody",
    definition="'Medial nucleus of trapezoid body' is a nucleus of trapezoid body. It is part of the primary superior olive.",
    description="Nucleus in the pontine tegmentum of most mammals that receives projections from the ventral cochlear nucleus via the large specialized synapse, the Calyx of Held.  It is not clear whether a well defined nucleus is present in humans, although humans may possess scattered cells with similar input.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0106669"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002833#medial-nucleus-of-trapezoid-body-1"),
    name="medial nucleus of trapezoid body",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002833"),
    synonyms=["MNTB"],
)
UBERONParcellation.medial_oculomotor_nucleus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/medialOculomotorNucleus",
    definition="'Medial oculomotor nucleus' is a brainstem nucleus and midbrain nucleus. It is part of the oculomotor nuclear complex.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0106670"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002975#medial-oculomotor-nucleus-1"),
    name="medial oculomotor nucleus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002975"),
    synonyms=[
        "M3",
        "medial nucleus of oculomotor nuclear complex",
        "medial oculomotor cell column",
        "nucleus nervi oculomotorii",
        "pars medialis",
    ],
)
UBERONParcellation.medial_olfactory_gyrus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/medialOlfactoryGyrus",
    definition="'Medial olfactory gyrus' is a gyrus.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0106671"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002599#medial-olfactory-gyrus-1"),
    name="medial olfactory gyrus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002599"),
    synonyms=["gyrus medius olfactorius", "gyrus olfactorius medialis"],
)
UBERONParcellation.medial_olfactory_stria = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/medialOlfactoryStria",
    definition="Is a stria of neuraxis. [auto-generated from 'is_a' property of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0034734)]",
    description="The medial olfactory stria turns medialward behind the parolfactory area and ends in the subcallosal gyrus; in some cases a small intermediate stria is seen running backward to the anterior perforated substance. [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0034734)]",
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0034734#medial-olfactory-stria"),
    name="medial olfactory stria",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0034734"),
    synonyms=["stria olfactoria medialis"],
)
UBERONParcellation.medial_orbital_frontal_cortex = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/medialOrbitalFrontalCortex",
    definition="'Medial orbital frontal cortex' is a regional part of brain. It is part of the orbitofrontal cortex.",
    description="Component of the orbtial frontal cortex.  The rostral boundary is the first slice where the medial orbital gyrus became visible whereas the caudal boundary is the disappearance of the medial orbital gyrus/gyrus rectus. The medial and lateral boundaries are the cingulate cortex on the u2018inflatedu2019 surface and the medial bank of the superior frontal gyrus (or the cingulate gyrus when visible) respectively (Christine Fennema-Notestine).",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0106672"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0022352#medial-orbital-frontal-cortex-1"),
    name="medial orbital frontal cortex",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0022352"),
    synonyms=["cortex of medial frontal gyrus", "frontal medial cortex", "medial orbitofrontal cortex"],
)
UBERONParcellation.medial_orbital_gyrus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/medialOrbitalGyrus",
    definition="'Medial orbital gyrus' is an orbital gyrus.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0106673"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002570#medial-orbital-gyrus-1"),
    name="medial orbital gyrus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002570"),
    synonyms=["gyrus orbitalis longitudinalis internus", "gyrus orbitalis medialis", "gyrus orbitalis medius"],
)
UBERONParcellation.medial_parabrachial_nucleus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/medialParabrachialNucleus",
    definition="'Medial parabrachial nucleus' is a parabrachial nucleus. It is part of the pontine tegmentum.",
    description="The Medial parabrachial nucleus is a nucleus of the pons which constitutes part of the pneumotaxic center. It gets its name from its location relative to the superior cerebellar peduncles, which is also known as the 'brachia conjunctiva'. [WP,unvetted].",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0106675"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002918#medial-parabrachial-nucleus-1"),
    name="medial parabrachial nucleus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002918"),
    synonyms=["medial division", "medial part", "nucleus parabrachialis medialis", "parabrachial nucleus"],
)
UBERONParcellation.medial_part_of_basal_amygdaloid_nucleus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/medialPartOfBasalAmygdaloidNucleus",
    definition="'Medial part of basal amygdaloid nucleus' is a cerebral hemisphere gray matter. It is part of the basal amygdaloid nucleus.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0106676"),
    knowledge_space_link=IRI(
        "https://knowledge-space.org/wiki/UBERON:0002889#medial-part-of-basal-amygdaloid-nucleus-1"
    ),
    name="medial part of basal amygdaloid nucleus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002889"),
    synonyms=[
        "anterior part",
        "BAM",
        "basomedial amygdalar nucleus",
        "basomedial amygdaloid nucleus",
        "basomedial amygdaloid nucleus anterior part",
        "basomedial amygdaloid nucleus anterior subdivision",
        "medial basal nucleus of amygdala",
        "medial division of basal nucleus",
        "medial part of the basal amygdalar nucleus",
        "medial part of the basolateral nucleus",
        "nucleus amygdalae basalis",
        "nucleus amygdalae basalis medialis",
        "nucleus amygdaloideus basalis pars lateralis parvocellularis",
        "nucleus basalis medialis amygdalae",
        "pars medialis",
    ],
)
UBERONParcellation.medial_part_of_medial_mammillary_nucleus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/medialPartOfMedialMammillaryNucleus",
    definition="'Medial part of medial mammillary nucleus' is a gray matter of diencephalon. It is part of the medial mammillary nucleus.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0106677"),
    knowledge_space_link=IRI(
        "https://knowledge-space.org/wiki/UBERON:0002632#medial-part-of-medial-mammillary-nucleus-1"
    ),
    name="medial part of medial mammillary nucleus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002632"),
    synonyms=[
        "medial mamillary nucleus",
        "medial mammillary nucleus",
        "medial mammillary nucleus (carpenter)",
        "medial mammillary nucleus median part",
        "medial part",
        "medial part of the medial mammillary nucleus",
        "medial subdivision of medial mammillary nucleus",
        "median part",
        "MML",
        "nucleus corporis mamillaris medialis",
        "nucleus medialis corpus mamillaris (Shantha)",
        "pars medialis",
    ],
)
UBERONParcellation.medial_part_of_ventral_lateral_nucleus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/medialPartOfVentralLateralNucleus",
    definition="'Medial part of ventral lateral nucleus' is a gray matter of diencephalon. It is part of the ventral lateral nucleus of thalamus.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0106680"),
    knowledge_space_link=IRI(
        "https://knowledge-space.org/wiki/UBERON:0002614#medial-part-of-ventral-lateral-nucleus-1"
    ),
    name="medial part of ventral lateral nucleus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002614"),
    synonyms=[
        "medial part",
        "medial part of the ventral lateral nucleus",
        "nucleus ventralis lateralis",
        "nucleus ventralis lateralis thalami",
        "nucleus ventrooralis medialis (Hassler)",
        "pars medialis",
        "ventral lateral nucleus",
        "ventral medial nucleus",
        "ventral medial nucleus of thalamus",
        "ventral medial nucleus of the thalamus",
        "ventromedial nucleus of thalamus",
        "ventromedial nucleus of the thalamus",
        "ventromedial thalamic nucleus",
        "VLM",
        "vMp (Macchi)",
    ],
)
UBERONParcellation.medial_pericuneate_nucleus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/medialPericuneateNucleus",
    definition="'Medial pericuneate nucleus' is a nucleus of medulla oblongata.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0106681"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002875#medial-pericuneate-nucleus-1"),
    name="medial pericuneate nucleus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002875"),
    synonyms=["MPCu", "nucleus pericuneatus medialis"],
)
UBERONParcellation.medial_pes_lemniscus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/medialPesLemniscus",
    definition="'Medial pes lemniscus' is a brainstem white matter and white matter of midbrain. It is part of the midbrain tegmentum.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0106682"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002662#medial-pes-lemniscus-1"),
    name="medial pes lemniscus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002662"),
    synonyms=["mpl", "pes lemniscus medialis", "superficial pes lemniscus"],
)
UBERONParcellation.medial_preoptic_nucleus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/medialPreopticNucleus",
    definition="'Medial preoptic nucleus' is a hypothalamic nucleus and preoptic nucleus. It is part of the medial preoptic region.",
    description="The medial preoptic nucleus is bounded laterally by the lateral preoptic nucleus, and medially by the preoptic periventricular nucleus. It releases gonadotropin-releasing hormone, controls copulation in males, and is larger in males than in females.[WP,unvetted].",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0106687"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002035#medial-preoptic-nucleus-1"),
    name="medial preoptic nucleus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002035"),
    synonyms=[
        "area praeoptica medialis",
        "area preopticus medialis",
        "medial preoptic area",
        "medial preoptic hypothalamic nucleus",
        "MPO",
        "nucleus praeopticus medialis",
        "nucleus preopticus medialis",
    ],
)
UBERONParcellation.medial_pulvinar_nucleus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/medialPulvinarNucleus",
    definition="'Medial pulvinar nucleus' is a nucleus of dorsal thalamus. It is part of the pulvinar nucleus.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0106695"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002638#medial-pulvinar-nucleus-1"),
    name="medial pulvinar nucleus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002638"),
    synonyms=[
        "MPul",
        "nucleus pulvinaris medialis",
        "nucleus pulvinaris medialis thalami",
        "nucleus pulvinaris thalami",
        "pars medialis",
    ],
)
UBERONParcellation.medial_septal_nucleus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/medialSeptalNucleus",
    definition="'Medial septal nucleus' is a telencephalic nucleus. It is part of the medial septal complex.",
    description="Cells lying generally in front of Regional_part_of_septal_nuclei, lying ventral to and slightly medial to the lateral septal nucleus.  Neurons in this nucleus give rise to the bulk of efferents from the septal nuclei.  A major projection from the medial septal nucleus terminates in the hippocampal formation (Adapted from Brodal, 1981).",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0106697"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0001877#medial-septal-nucleus-1"),
    name="medial septal nucleus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0001877"),
    synonyms=[
        "medial parolfactory nucleus",
        "medial septal nucleus (Cajal)",
        "medial septum",
        "medial septum nucleus",
        "MS",
        "n. septi medialis",
        "nucleus medialis septi",
        "nucleus septalis medialis",
    ],
)
UBERONParcellation.medial_subnucleus_of_solitary_tract = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/medialSubnucleusOfSolitaryTract",
    definition="'Medial subnucleus of solitary tract' is a nucleus of solitary tract.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0106701"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0023390#medial-subnucleus-of-solitary-tract-1"),
    name="medial subnucleus of solitary tract",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0023390"),
    synonyms=[
        "left",
        "medial part",
        "medial subnucleus",
        "medial subnucleus of solitary tract",
        "medial subnucleus of the solitary tract",
        "meidal subnucleus",
        "MSol",
        "nucleus of the solitary tract",
        "solitary nucleus",
    ],
)
UBERONParcellation.medial_superior_olivary_nucleus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/medialSuperiorOlivaryNucleus",
    definition="'Medial superior olivary nucleus' is a nucleus of superior olivary complex. It is part of the primary superior olive.",
    description="One of two subnuclei of the superior olive located within the caudal pontine tegmentum.  Appears as a parasagittal row of transversely oriented bipolar neurons in transverse sections of human, with elongated somata in humans and other primates and large caliber dendrites.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0106704"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002782#medial-superior-olivary-nucleus-1"),
    name="medial superior olivary nucleus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002782"),
    synonyms=[
        "chief nucleus of superior olive",
        "chief superior olivary nucleus",
        "main superior olivary nucleus",
        "medial part",
        "medial superior olive",
        "MSO",
        "nucleus laminaris",
        "nucleus olivaris superior medialis",
        "principal superior olivary nucleus",
        "superior olivary complex",
        "superior olivary nucleus",
        "superior olive medial part",
        "superior paraolivary nucleus",
        "superior parolivary nucleus",
    ],
)
UBERONParcellation.medial_transverse_frontopolar_gyrus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/medialTransverseFrontopolarGyrus",
    definition="'Medial transverse frontopolar gyrus' is a regional part of brain. It is part of the transverse frontopolar gyri complex.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0106708"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0024193#medial-transverse-frontopolar-gyrus-1"),
    name="medial transverse frontopolar gyrus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0024193"),
    synonyms=["medial transverse frontopolar gyrus"],
)
UBERONParcellation.medial_ventral_tegmental_area = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/medialVentralTegmentalArea",
    definition="'Medial ventral tegmental area' is a regional part of brain. It is part of the ventral tegmental area.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0106709"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0023865#medial-ventral-tegmental-area-1"),
    name="medial ventral tegmental area",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0023865"),
    synonyms=["medial ventral tegmental area"],
)
UBERONParcellation.medial_vestibular_nucleus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/medialVestibularNucleus",
    definition="'Medial vestibular nucleus' is a vestibular nucleus.",
    description="The medial vestibular nucleus is one of the vestibular nuclei. It is located in the medulla oblongata. Lateral vestibulo-spinal tract (lateral vestibular nucleus 'Deiters')- via ventrolateral medulla and spinal cord to ventral funiculus (lumbo-sacral segments). Ipsilaterally for posture Medial vestibulo-spinal tract (medial, lateral, inferior, vestibular nuclei), bilateral projection via descending medial longitudinal fasciculus to cervical segments. DESCENDING MLF. Bilaterally for head/neck/eye movements [WP,unvetted].",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0106710"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0001722#medial-vestibular-nucleus"),
    name="medial vestibular nucleus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0001722"),
    synonyms=[
        "chief vestibular nucleus",
        "dorsal vestibular nucleus",
        "medial nucleus",
        "nucleus of Schwalbe",
        "nucleus triangularis",
        "nucleus vestibularis medialis",
        "principal vestibular nucleus",
        "Schwalbe's nucleus",
        "triangular nucleus",
    ],
)
UBERONParcellation.median_eminence_of_neurohypophysis = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/medianEminenceOfNeurohypophysis",
    definition="'Median eminence of neurohypophysis' is a gland of diencephalon and secretory circumventricular organ. It is part of the neurohypophysis.",
    description="Elevation on the ventral surface of the brain located at the zone of attachment between the hypothalamic floor and the hypophysis (Butler and Hodos, Comparative Vertebrate Neuroanatomy, 2nd ed., 2005, pg. 446).",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0106712"),
    name="median eminence of neurohypophysis",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002197"),
)
UBERONParcellation.median_preoptic_nucleus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/medianPreopticNucleus",
    definition="'Median preoptic nucleus' is a preoptic nucleus.",
    description="The median preoptic nucleus is located along the midline in a position significantly dorsal to the other 3 preoptic nuclei, at least in the macaca fascicularis brain. It wraps around the top (dorsal), front, and bottom (ventral) surfaces of the anterior commissure. The median preoptic nucleus generates thirst. Drinking decreases noradrenaline release in the median preoptic nucleus.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0106717"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002625#median-preoptic-nucleus-1"),
    name="median preoptic nucleus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002625"),
    synonyms=[
        "medial preoptic area",
        "median preoptic nucleus (Loo)",
        "MnPO",
        "nucleus praeopticus medianus",
        "nucleus preopticus medianus",
        "periventricular nucleus",
        "preventricular portion",
    ],
)
UBERONParcellation.median_raphe_nucleus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/medianRapheNucleus",
    definition="A large cell serotonergic raphe nucleus in the upper pons and lower mesencephalon that is part of the reticular formation",
    description="'Median raphe nucleus' is a nucleus of midbrain reticular formation. It is part of the raphe nuclei.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0111276"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0003004#superior-central-nucleus"),
    name="median raphe nucleus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0003004"),
    synonyms=[
        "Cell group B8",
        "medial raphe nucleus",
        "median nucleus of the raphe",
        "median raphe nucleus",
        "MRN",
        "nucleus centralis superior",
        "nucleus raphes medianus",
        "superior central nucleus",
        "superior central nucleus raphe",
        "superior central tegmental nucleus",
    ],
)
UBERONParcellation.medulla_oblongata = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/medullaOblongata",
    definition="'Medulla oblongata' is part of the brainstem and myelencephalon.",
    description="The lower portion of the hindbrain and brainstem located between the pons and spinal cord. This structure contains several descending and ascending tracts, lower cranial nerve nuclei, a significant proportion of the reticular system of the brainstem and other structures (adapted from NCI Thesaurus).The topographic division of the cerebrospinal axis between pons and spinal cord. It was clearly described and illustrated for macrodissected adult humans by Piccolomini (1586, pp. 265, 269; his intracranial medulla oblongata), while the term medulla was used by Winslow (1733, Sect. X, p. 42) and Haller (1747, see translation by Mihles, 1754, pp. 287, 286), and more recently in the classic textbooks of for example Mettler (1948, p. 76) and Carpenter (1976, p. 60).",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0106736"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0001896#medulla-oblongata-1"),
    name="medulla oblongata",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0001896"),
    synonyms=[
        "Afterbrain",
        "Bulb",
        "bulbus",
        "Epencephalon",
        "medulla",
        "medulla oblonzata",
        "Metencephalon",
        "metepencephalon",
    ],
)
UBERONParcellation.medulla_reticulospinal_tract = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/medullaReticulospinalTract",
    definition="Is an axon tract. [auto-generated from 'is_a' property of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0004173)]",
    description="Axon tract that carries efferent (outgoing) action potentials from the cell body in the medulla towards target cells in the spinal cord. [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0004173)]",
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0004173#medulla-reticulospinal-tract"),
    name="medulla reticulospinal tract",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0004173"),
    synonyms=["medullary reticulospinal tract"],
)
UBERONParcellation.medullary_anterior_horn = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/medullaryAnteriorHorn",
    definition="'Medullary anterior horn' is a gray matter of hindbrain. It is part of the medulla oblongata.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0106740"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0023378#medullary-anterior-horn-1"),
    name="medullary anterior horn",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0023378"),
    synonyms=["cornu anterius medullaris", "MAH", "medullary anterior horn"],
)
UBERONParcellation.medullary_raphe_nuclear_complex = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/medullaryRapheNuclearComplex",
    definition="'Medullary raphe nuclear complex' is a nuclear complex of neuraxis and gray matter of hindbrain. It is part of the medulla oblongata and raphe nuclei.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0106743"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002692#medullary-raphe-nuclear-complex-1"),
    name="medullary raphe nuclear complex",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002692"),
    synonyms=[
        "nuclei raphe (myelencephali)",
        "raphe medullae oblongatae",
        "raphe nuclei of medulla",
        "raphe nuclei of the medulla",
        "raphe of medulla oblongata",
    ],
)
UBERONParcellation.medullary_reticular_formation = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/medullaryReticularFormation",
    definition="'Medullary reticular formation' is a nuclear complex of neuraxis and gray matter of hindbrain. It is part of the medulla oblongata and reticular formation.",
    description="Part of reticular formation located in the medulla",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0106744"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002559#medullary-reticular-formation-1"),
    name="medullary reticular formation",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002559"),
    synonyms=[
        "bulb reticular formation",
        "bulbar reticular formation",
        "formatio reticularis myelencephali",
        "medulla oblongata reticular formation",
        "medulla oblonmgata reticular formation",
        "medullary reticular nucleus",
        "metepencephalon reticular formation",
        "reticular formation",
        "reticular formation of bulb",
        "reticular formation of medulla",
        "reticular formation of medulla oblongata",
        "reticular formation of medulla oblonmgata",
        "reticular formation of metepencephalon",
        "rhombencephalic reticular formation",
    ],
)
UBERONParcellation.meninx_of_hindbrain = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/meninxOfHindbrain",
    definition="'Meninx of hindbrain' is a brain meninx. It is part of the hindbrain.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0736366"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0003291#meninx-of-hindbrain"),
    name="meninx of hindbrain",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0003291"),
)
UBERONParcellation.mesencephalic_nucleus_of_trigeminal_nerve = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/mesencephalicNucleusOfTrigeminalNerve",
    definition="'Mesencephalic nucleus of trigeminal nerve' is a trigeminal sensory nucleus, brainstem nucleus and midbrain nucleus. It is part of the midbrain tegmentum.",
    description="Elongated nucleus located in the midbrain tegmentum that receives proprioceptive input from both the extraocular and the masticatory muscles.  Contrary to the general rule, the cell bodies that give rise to these sensory fibers are located within the mesencephalic nucleus rather than in a peripheral ganglion.  Some of the sensory fibers in the mesencephalic root give off collaterals to the trigeminal motor nucleus, thereby providing the anatomic basis for the monosynaptic jaw reflex. (Heimer, L.  The Human Brain and Spinal Cord, 2nd ed. 1996, page 248).",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0106812"),
    knowledge_space_link=IRI(
        "https://knowledge-space.org/wiki/UBERON:0001718#mesencephalic-nucleus-of-trigeminal-nerve-1"
    ),
    name="mesencephalic nucleus of trigeminal nerve",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0001718"),
    synonyms=[
        "Me5",
        "mesencephalic nuclei of trigeminal nerves",
        "mesencephalic nucleus",
        "mesencephalic nucleus of the trigeminal",
        "mesencephalic nucleus of the trigeminal nerve",
        "mesencephalic trigeminal nucleus",
        "mesencephalic trigeminal V nucleus",
        "midbrain trigeminal nucleus",
        "nucleus mesencephalicus nervi trigeminalis",
        "nucleus mesencephalicus nervi trigemini",
        "Nucleus of mesencephalic root of V",
        "nucleus tractus mesencephalici nervi trigemini",
        "nucleus tractus mesencephalicus nervi trigemini",
        "trigeminal mesencephalic nucleus",
        "trigeminal nerve mesencepahlic nucleus",
        "trigeminal V mesencephalic nucleus",
    ],
)
UBERONParcellation.mesencephalic_tract_of_trigeminal_nerve = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/mesencephalicTractOfTrigeminalNerve",
    definition="'Mesencephalic tract of trigeminal nerve' is a tract of brain. It is part of the midbrain tegmentum.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0106813"),
    knowledge_space_link=IRI(
        "https://knowledge-space.org/wiki/UBERON:0002666#mesencephalic-tract-of-trigeminal-nerve-1"
    ),
    name="mesencephalic tract of trigeminal nerve",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002666"),
    synonyms=[
        "me5",
        "Mesencephalic root of V",
        "mesencephalic tract of the trigeminal nerve",
        "mesencephalic trigeminal tract",
        "midbrain tract of the trigeminal nerve",
        "tractus mesencephalicus nervi trigeminalis",
        "tractus mesencephalicus nervi trigemini",
        "tractus mesencephalicus trigeminalis",
    ],
)
UBERONParcellation.metathalamus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/metathalamus",
    definition="'Metathalamus' is a nucleus of dorsal thalamus.",
    description="The metathalamus is a composite structure of the thalamus, consisting of the medial geniculate nucleus and the lateral geniculate nucleus. [WP,unvetted].",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0106839"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002704#metathalamus-1"),
    name="metathalamus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002704"),
    synonyms=[
        "corpora geniculata",
        "geniculate group of dorsal thalamus",
        "geniculate group of the dorsal thalamus",
        "geniculate thalamic group",
        "geniculate thalamic nuclear group (metathalamus)",
        "MTh",
        "nuclei metathalami",
    ],
)
UBERONParcellation.metencephalon = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/metencephalon",
    definition="'Metencephalon' is a segmental subdivision of hindbrain.",
    description="Anterior part of the hindbrain ventral to the cerebellum.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0106845"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0001895#metencephalon-1"),
    name="metencephalon",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0001895"),
    synonyms=["Epencephalon-2", "epencephalon"],
)
UBERONParcellation.metencephalon_sulcus_limitans = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/metencephalonSulcusLimitans",
    definition="'Metencephalon sulcus limitans' is part of the future metencephalon.",
    description="A sulcus limitans of neural tube that is part of a future metencephalon.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0729292"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0009577#metencephalon-sulcus-limitans"),
    name="metencephalon sulcus limitans",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0009577"),
)
UBERONParcellation.midbrain = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/midbrain",
    definition="'Midbrain' is a regional part of brain.",
    description="Part of the brain that develops from the middle of the 3 primary vesicles of the embryonic neural tube, between the prosencephalon and rhombencephalon, later forming the tectum and cerebral peduncles. (CSP)",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0106935"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0001891#midbrain-1"),
    name="midbrain",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0001891"),
    synonyms=["MB", "Mesencephalon"],
)
UBERONParcellation.midbrain_cerebral_aqueduct = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/midbrainCerebralAqueduct",
    definition="'Midbrain cerebral aqueduct' is a brain ventricle. It is part of the midbrain.",
    description="Part of ventricular system of brain consisting of a narrow channel in the midbrain connecting the third and fourth ventricles.  (Maryann Martone)",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0101977"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002289#cerebral-aqueduct"),
    name="midbrain cerebral aqueduct",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002289"),
    synonyms=[
        "aqueduct",
        "Aqueduct (Sylvius)",
        "aqueduct of midbrain",
        "aqueduct of Sylvius",
        "aqueductus mesencephali",
        "cerebral aquaduct",
        "cerebral aqueduct",
        "Cerebral aqueduct of Sylvius",
        "cerebral aqueduct proper",
        "medial tectal ventricle",
        "mesencephalic duct",
        "mesencephalic ventricle",
        "mesencephalic vesicle",
        "midbrain cerebral aqueduct",
        "midbrain ventricle",
        "Sylvian aqueduct",
        "tectal ventricle",
    ],
)
UBERONParcellation.midbrain_raphe_nuclei = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/midbrainRapheNuclei",
    definition="'Midbrain raphe nuclei' is a regional part of brain. It is part of the midbrain tegmentum and raphe nuclei.",
    description="Midline nuclei found in the midbrain, includes the dorsal raphe nucleus and the rostral linear nucleus of raphe.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0106941"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0007412#midbrain-raphe-nuclei-1"),
    name="midbrain raphe nuclei",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0007412"),
)
UBERONParcellation.midbrain_reticular_formation = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/midbrainReticularFormation",
    definition="'Midbrain reticular formation' is a nuclear complex of neuraxis and gray matter of midbrain. It is part of the midbrain tegmentum and reticular formation.",
    description="Part of the reticular formation located in the midbrain tegmentum",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0106943"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002639#midbrain-reticular-formation-1"),
    name="midbrain reticular formation",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002639"),
    synonyms=[
        "formatio reticularis mesencephali",
        "formatio reticularis tegmentalis",
        "formatio reticularis tegmenti mesencephali",
        "MBRF",
        "reticular formation of midbrain",
        "substantia reticularis mesencephali",
        "tegmental reticular formation",
    ],
)
UBERONParcellation.midbrain_tectum = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/midbrainTectum",
    definition="'Midbrain tectum' is a regional part of brain. It is part of the midbrain.",
    description="Dorsal part of the midbrain, consisting of the superior and inferior colliculi and the pretectal nuclei (MM).The dorsal topographic division of the midbrain, essentially dorsal to the cerebral aqueduct and dominated in mammals by the superior colliculi and inferior colliculi, and contrasting with the ventral topographic division, the tegmentum. Schwalbe (1881, p. 454) apparently introduced the term as currently used, 'Decke des Mittelhirns' in the original German; also see Cajal (1899-1904, vol 2, pt 1, p. 449), 'el techo' and 'la porciÃ³n tectal' in the original Spanish. Also see Williams & Warwick (1980, p. 940), International Anatomical Nomenclature Committee (1983, p. A68), Federative Committee on Anatomical Terminology (1998, A14.1.06.601). Common synonym is corpora quadrigemina (Winslow, 1733).",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0106950"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002314#midbrain-tectum"),
    name="midbrain tectum",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002314"),
    synonyms=[
        "Tec",
        "tectum",
        "Neuraxis tectum",
        "mesencephalic tectum",
        "tectum mesencephali",
        "tectum mesencephalicum",
        "tectum of midbrain",
        "t. mesencephali",
    ],
)
UBERONParcellation.midbrain_tegmentum = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/midbrainTegmentum",
    definition="'Midbrain tegmentum' is a regional part of brain. It is part of the midbrain and brainstem.",
    description="Subdivision of the midbrain lying anterior to the tectum and posterior to the substantia nigra and cerebral peduncle.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0106951"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0001943#midbrain-tegmentum-1"),
    name="midbrain tegmentum",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0001943"),
    synonyms=[
        "mesencephalic tegmentum",
        "MTg",
        "tegmentum",
        "tegmentum mesencephali",
        "tegmentum mesencephalicum",
        "tegmentum of midbrain",
    ],
)
UBERONParcellation.midbrainhindbrain_boundary = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/midbrainhindbrainBoundary",
    definition="'Midbrain-hindbrain boundary' is part of the brain.",
    description="The part of the brain that is the morphological boundary between the midbrain and hindbrain and that is the location of an organizing center which patterns the midbrain and hindbrain primordia of the neural plate.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0728815"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0003052#midbrain-hindbrain-boundary"),
    name="midbrain-hindbrain boundary",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0003052"),
)
UBERONParcellation.middle_cerebellar_peduncle = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/middleCerebellarPeduncle",
    definition="Is a cerebellar peduncle and white matter of pons. Is part of the basal part of pons. [auto-generated from properties of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0002152) ('is_a' and 'relationship')]",
    description="Regional part of medullary white matter (according to Neuronames) primarily found at the level of the pons, consisting of a very large bundle of fibers originating in the pontine nuclei projecting to the cerebellum (MM). [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0002152)]",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0106956"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002152#middle-cerebellar-peduncle-1"),
    name="middle cerebellar peduncle",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002152"),
    synonyms=["brachium pontis"],
)
UBERONParcellation.middle_frontal_gyrus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/middleFrontalGyrus",
    definition="'Middle frontal gyrus' is a frontal gyrus.",
    description="Component of the frontal lobe, lateral aspect (Christine Fennema-Notestine).",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0106961"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002702#middle-frontal-gyrus-1"),
    name="middle frontal gyrus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002702"),
    synonyms=[
        "gyrus F2",
        "gyrus frontalis medialis",
        "gyrus frontalis medialis (Winters)",
        "gyrus frontalis medius",
        "gyrus frontalis secundus",
        "intermediate frontal gyrus",
        "medial frontal gyrus",
        "medial frontal gyrus (Mai)",
        "medial frontal gyrus x",
        "middle (medial) frontal gyrus",
    ],
)
UBERONParcellation.middle_mesencephalic_central_artery = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/middleMesencephalicCentralArtery",
    definition="Is a central artery. [auto-generated from 'is_a' property of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_2005078)]",
    description="Project rostrally and dorsally from the AMCtA to to irrigate the midportion of the midbrain Isogai et al. 2001. [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_2005078)]",
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:2005078#middle-mesencephalic-central-artery"),
    name="middle mesencephalic central artery",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_2005078"),
    synonyms=["MMCtA"],
)
UBERONParcellation.middle_temporal_gyrus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/middleTemporalGyrus",
    definition="'Middle temporal gyrus' is a gyrus. It is part of the temporal lobe.",
    description="Component of the temporal lobe, lateral aspect.  The rostral boundary  is the rostral extent of the superior temporal sulcus whereas the caudal boundary is the temporo-occipital incisure on the cortical surface. The superior temporal sulcus is the medial boundary and the inferior temporal sulcus is the lateral boundary (Christine Fennema-Notestine).",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0106967"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002771#middle-temporal-gyrus-1"),
    name="middle temporal gyrus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002771"),
    synonyms=[
        "gyrus temporalis medius",
        "inferior temporal gyrus (Seltzer)",
        "intermediate temporal gyrus",
        "medial temporal gyrus",
        "middle (medial) temporal gyrus",
    ],
)
UBERONParcellation.midline_nuclear_group = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/midlineNuclearGroup",
    definition="'Midline nuclear group' is a nucleus of dorsal thalamus.",
    description="The midline nuclear group (or midline thalamic nuclei) a region of the thalamus consisting of the following nuclei: paraventricular nucleus of thalamus (nucleus paraventricularis thalami) - not to be confused with paraventricular nucleus of hypothalamus paratenial nucleus (nucleus parataenialis) reuniens nucleus (nucleus reuniens) rhomboidal nucleus (nucleus commissuralis rhomboidalis) subfascicular nucleus (nucleus subfascicularis) [WP,unvetted].",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0106971"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002705#midline-nuclear-group-1"),
    name="midline nuclear group",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002705"),
    synonyms=[
        "median nuclei of thalamus",
        "midline group of the dorsal thalamus",
        "midline nuclear group",
        "midline nuclear group of thalamus",
        "midline nuclei of thalamus",
        "midline thalamic group",
        "midline thalamic nuclear group",
        "midline thalamic nuclei",
        "nuclei mediani (thalami)",
        "nuclei mediani thalami",
        "nucleus mediani thalami",
        "periventricular nuclei of thalamus",
    ],
)
UBERONParcellation.motor_nucleus_of_trigeminal_nerve = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/motorNucleusOfTrigeminalNerve",
    definition="'Motor nucleus of trigeminal nerve' is a trigeminal nucleus, brainstem nucleus and hindbrain nucleus. It is part of the pontine tegmentum.",
    description="Nucleus located in the pontine tegmentum containing cells that give rise to motor innervation of the jaw through the trigeminal nerve. It receives both crossed and uncrossed fibers from the cerebral cortex (Heimer, L. The Human Brain and Spinal Cord, 2nd ed., 1996, pg 248).",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0107124"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002633#motor-nucleus-of-trigeminal-nerve-1"),
    name="motor nucleus of trigeminal nerve",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002633"),
)
UBERONParcellation.motor_root_of_trigeminal_nerve = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/motorRootOfTrigeminalNerve",
    definition="'Motor root of trigeminal nerve' is a trigeminal nerve root.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0107128"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002796#motor-root-of-trigeminal-nerve-1"),
    name="motor root of trigeminal nerve",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002796"),
    synonyms=[
        "dorsal motor root of v",
        "dorsal motor roots of V",
        "minor root of trigeminal nerve",
        "motor branch of trigeminal nerve",
        "motor root of N. V",
        "motor root of nervus v",
        "motor root of the trigeminal nerve",
        "nervus trigemini radix motoria",
        "nervus trigeminus",
        "portio minor nervi trigemini",
        "portio minor of trigeminal nerve",
        "radix motoria",
        "radix motoria (Nervus trigeminus [V])",
        "radix motoria nervus trigemini",
        "radix motorius",
    ],
)
UBERONParcellation.mushroom_body = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/mushroomBody",
    definition="'Mushroom body' is a material entity and anatomical entity. It is part of the brain.",
    description="Prominent lobed neuropils found in annelids and all arthropods except crustaceans. They are thought to be involved in olfactory associative learning and memory[MESH] Mushroom body neuropils are divided into calyces, pedunculus, and its subsequent lobes. In Drosophila these are the alpha, beta, and gamma lobes.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0724282"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0001058#mushroom-body"),
    name="mushroom body",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0001058"),
)
UBERONParcellation.myelencephalon_sulcus_limitans = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/myelencephalonSulcusLimitans",
    definition="'Myelencephalon sulcus limitans' is part of the future myelencephalon.",
    description="A sulcus limitans of neural tube that is part of a future myelencephalon.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0734752"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0009578#myelencephalon-sulcus-limitans"),
    name="myelencephalon sulcus limitans",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0009578"),
)
UBERONParcellation.naso_frontal_vein = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/nasoFrontalVein",
    definition="Is part of the cavernous sinus. [auto-generated from 'relationship' property of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0004689)]",
    description="The nasofrontal vein is a vein in the eye which drains to the superior ophthalmic vein. [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0004689)]",
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0004689#naso-frontal-vein"),
    name="naso-frontal vein",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0004689"),
    synonyms=["nasofrontal vein"],
)
UBERONParcellation.neocortex = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/neocortex",
    definition="'Neocortex' is a regional part of brain. It is part of the cerebral cortex.",
    description="Part of cerebral cortex defined on the basis of cytoarchitecture that has six layers. Starting from the cortical surface the layers are: molecular layer (I), external granular layer (II), external pyramidal layer (III), internal granular layer (IV), internal pyramidal layer (V), and multiform layer (VI). Neocortex is most prominent in the frontal lobe, the parietal lobe, the temporal lobe and the occipital lobe, less so in the cingulate gyrus, the parahippocampal gyrus and the insula. It is composed of two subdivisions: true isocortex and proisocortex (Carpenter-83) (NN) * The largest portion of the CEREBRAL CORTEX. It is composed of NEURONS arranged in six layers. (MSH) * the newer, 6 layered portion of the cerebral cortex showing stratification and organization characteristic of the most highly evolved type of cerebral tissue. (CSP)",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0107350"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0001950#neocortex-1"),
    name="neocortex",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0001950"),
    synonyms=[
        "cerebral neocortex",
        "homogenetic cortex",
        "homotypical cortex",
        "iso-cortex",
        "isocortex",
        "isocortex (sensu lato)",
        "neocortex (isocortex)",
        "neopallial cortex",
        "neopallium",
        "nonolfactory cortex",
        "nucleus hypoglossalis",
    ],
)
UBERONParcellation.neodentate_part_of_dentate_nucleus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/neodentatePartOfDentateNucleus",
    definition="'Neodentate part of dentate nucleus' is a gray matter of hindbrain. It is part of the dentate nucleus.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0107392"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002747#neodentate-part-of-dentate-nucleus-1"),
    name="neodentate part of dentate nucleus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002747"),
    synonyms=[
        "NDt",
        "neodentate portion of dentate nucleus",
        "neodentate portion of the dentate nucleus",
        "pars neodentata",
    ],
)
UBERONParcellation.neural_lobe_of_neurohypophysis = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/neuralLobeOfNeurohypophysis",
    definition="The posterior pituitary (or neurohypophysis) comprises the posterior lobe of the pituitary gland and is part of the endocrine system. Despite its name, the posterior pituitary gland is not a gland, per se; rather, it is largely a collection of axonal projections from the hypothalamus that terminate behind the anterior pituitary gland. [WP,unvetted].",
    description="'Neural lobe of neurohypophysis' is a regional part of brain. It is part of the neurohypophysis.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0108544"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0003217#pars-nervosa-of-hypophysis"),
    name="neural lobe of neurohypophysis",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0003217"),
    synonyms=[
        "caudal lobe",
        "eminentia medialis (Shantha)",
        "eminentia mediana",
        "eminentia postinfundibularis",
        "lobe caudalis cerebelli",
        "lobus nervosus (Neurohypophysis)",
        "medial eminence",
        "middle lobe",
        "neural component of pituitary",
        "pars nervosa",
        "pars nervosa (hypophysis)",
        "pars nervosa (neurohypophysis)",
        "pars nervosa neurohypophysis",
        "pars nervosa of hypophysis",
        "pars nervosa of neurohypophysis",
        "pars nervosa of pituitary",
        "pars nervosa of posterior lobe of pituitary gland",
        "pars nervosa pituitary gland",
        "pars posterior",
        "pars posterior of hypophysis",
        "pituitary gland",
        "PNHP",
        "posterior lobe",
        "posterior lobe of neurohypophysis",
        "posterior lobe of pituitary",
        "posterior lobe-3",
        "posterior pituitary",
    ],
)
UBERONParcellation.neural_nucleus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/neuralNucleus",
    definition="'Neural nucleus' is a central nervous system cell part cluster.",
    description="A spatially aggregated collection of nerve cell bodies in the CNS, consisting of one or more subpopulations that share cell type, chemical phenotype, and connections, and including nearby cells that share the same cell type, chemical phenotype, and connections. (CUMBO)",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0107752"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0000125#nucleus-of-cns"),
    name="neural nucleus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0000125"),
    synonyms=[
        "nervous system nucleus",
        "neural nucleus",
        "neuraxis nucleus",
        "neuronal nucleus",
        "nucleus",
        "nucleus of CNS",
        "nucleus of neuraxis",
    ],
)
UBERONParcellation.neurohypophysis = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/neurohypophysis",
    definition="'Neurohypophysis' is a gland of diencephalon and secretory circumventricular organ. It is part of the pituitary gland.",
    description="The posterior part of the pituitary gland that secretes hormones involved in blood pressure regulation such as oxytocin and antidiuretic hormon.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0107477"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002198#neurohypophysis-1"),
    name="neurohypophysis",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002198"),
)
UBERONParcellation.nigrostriatal_tract = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/nigrostriatalTract",
    definition="Is a tract of brain. [auto-generated from 'is_a' property of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0014169)]",
    description="The term nigrostriatal fibers refers to a dopaminergic fiber pathway connecting the substantia nigra with the striatum. It is not readily distinguished in myelin-stained cross-sections (Carpenter-83). [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0014169)]",
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0014169#nigrostriatal-tract-1"),
    name="nigrostriatal tract",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0014169"),
    synonyms=["comb bundle", "nigrostriatal bundle", "nigrostriatal fibers"],
)
UBERONParcellation.nucleus_accumbens = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/nucleusAccumbens",
    definition="'Nucleus accumbens' is a telencephalic nucleus. It is part of the limbic system, cerebral hemisphere and ventral striatum.",
    description="A region of the brain consisting of a collection of neurons located in the forebrain ventral to the caudate and putamen. (caudoputamen in rodent) and continuous with these structures. There is no distinct boundary between the nucleus accumbens and the caudate/putamen, but in rodents, it can be identified by its lack of traversing fiber bundles in comparison to the dorsal striatum. Its principle neuron is the medium spiny neuron. Together with the neostriatum (caudate nucleus and putamen), the nucleus accumbens forms the striatum.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0107736"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0001882#nucleus-accumbens-1"),
    name="nucleus accumbens",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0001882"),
)
UBERONParcellation.nucleus_ambiguus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/nucleusAmbiguus",
    definition="'Nucleus ambiguus' is a nucleus of medulla oblongata and vagus nerve nucleus.",
    description="A region of histologically disparate cells located just dorsal to the inferior olivary nucleus in the lateral portion of the upper medulla. It receives upper motor neuron innervation directly via the corticobulbar tract This nucleus gives rise to the efferent motor fibers of the vagus nerve terminating in the laryngeal and pharyngeal muscles, as well as to the efferent motor fibers of the glossopharyngeal nerve (CN IX) terminating in the stylopharyngeus. [WP,unvetted].",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0107738"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0001719#nucleus-ambiguus-1"),
    name="nucleus ambiguus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0001719"),
    synonyms=["Amb", "ambiguous nucleus", "ambiguus nucleus", "nucleus innominatus"],
)
UBERONParcellation.nucleus_incertus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/nucleusIncertus",
    definition="'Nucleus incertus' is a brainstem nucleus and hindbrain nucleus. It is part of the pontine tegmentum.",
    description="Distinct cell group in caudoventral regions of the pontine periventricular gray, adjacent to the ventromedial border of the caudal dorsal tegmental nucleus.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0107746"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0035973#nucleus-incertus"),
    name="nucleus incertus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0035973"),
    synonyms=[
        "Central Gray pars 0",
        "Central Gray pars beta (The rat brain in stereotaxic coordinates [electronic resource] / George Paxinos",
        "Central Gray part alpha",
        "CG0",
        "CGalpha",
        "CGbeta",
        "charles Watson. - 5th ed.)",
        "Inc",
        "NI",
        "nucleus incertus (Streeter)",
    ],
)
UBERONParcellation.nucleus_intercalatus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/nucleusIntercalatus",
    definition="'Nucleus intercalatus' is a nucleus of medulla oblongata.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0107749"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002876#nucleus-intercalatus-1"),
    name="nucleus intercalatus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002876"),
    synonyms=[
        "In",
        "intercalated nucleus",
        "intercalated nucleus of medulla",
        "intercalated nucleus of the medulla",
        "nucleus intercalates",
        "nucleus intercalatus (Staderini)",
        "nucleus intercalatus of medulla",
        "nucleus of Staderini",
        "nucleus Staderini",
    ],
)
UBERONParcellation.nucleus_of_anterior_commissure = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/nucleusOfAnteriorCommissure",
    definition="'Nucleus of anterior commissure' is a telencephalic nucleus. It is part of the septal nuclear complex.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0107751"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002933#nucleus-of-anterior-commissure-1"),
    name="nucleus of anterior commissure",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002933"),
)
UBERONParcellation.nucleus_of_brain = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/nucleusOfBrain",
    definition="'Nucleus of brain' is a neural nucleus. It is part of the brain gray matter.",
    description="A neural nucleus that is part of the brain.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0736730"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002308#nucleus-of-brain"),
    name="nucleus of brain",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002308"),
)
UBERONParcellation.nucleus_of_cerebellar_nuclear_complex = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/nucleusOfCerebellarNuclearComplex",
    definition="'Nucleus of cerebellar nuclear complex' is a hindbrain nucleus. It is part of the cerebellar nuclear complex.",
    description="Four accumulations of gray substance embedded in the white substance of the cerebellum, comprising the nucleus dentatus, nucleus emboliformis, nucleus globosus, and nucleus fastigii.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0727858"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0008995#nucleus-of-cerebellar-nuclear-complex"),
    name="nucleus of cerebellar nuclear complex",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0008995"),
)
UBERONParcellation.nucleus_of_diagonal_band = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/nucleusOfDiagonalBand",
    definition="'Nucleus of diagonal band' is a telencephalic nucleus. It is part of the medial septal complex.",
    description="A brain structure that is part of the septal nuclear complex. It is connected with the hippocampus, hypothalamus and amygdala.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0107755"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0001879#nucleus-of-diagonal-band-1"),
    name="nucleus of diagonal band",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0001879"),
)
UBERONParcellation.nucleus_of_lateral_olfactory_tract = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/nucleusOfLateralOlfactoryTract",
    definition="'Nucleus of lateral olfactory tract' is a telencephalic nucleus. It is part of the olfactory cortex.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0107757"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002893#nucleus-of-lateral-olfactory-tract-1"),
    name="nucleus of lateral olfactory tract",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002893"),
)
UBERONParcellation.nucleus_of_medial_eminence = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/nucleusOfMedialEminence",
    definition="'Nucleus of medial eminence' is a nucleus of brain.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0107758"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002997#nucleus-of-medial-eminence-1"),
    name="nucleus of medial eminence",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002997"),
    synonyms=["medial eminence nucleus", "nucleus eminentiae teretis", "nucleus of eminentia teres"],
)
UBERONParcellation.nucleus_of_optic_tract = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/nucleusOfOpticTract",
    definition="'Nucleus of optic tract' is a nucleus of midbrain tectum and pretectal nucleus.",
    description="Predominantly gray matter structure consisting of large multipoloar cells lying aong axons of the brachium of the superior colliculus, lyaing adjaent to the dorsal terminal nucleus of the accessory optic system.  In several species, cells of this nucleus receive input from the contralateral retina (Sefton and Dreher in Paxinos, G.  The rat nervous system, 1995, pg. 862).",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0107759"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002996#nucleus-of-optic-tract-1"),
    name="nucleus of optic tract",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002996"),
    synonyms=[
        "large-celled nucleus of optic tract",
        "lentiform nucleus of pretectal area",
        "nucleus magnocellularis tractus optici",
        "nucleus of the optic tract",
        "nucleus tractus optici",
        "optic tract nucleus",
    ],
)
UBERONParcellation.nucleus_of_posterior_commissure = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/nucleusOfPosteriorCommissure",
    definition="'Nucleus of posterior commissure' is a brainstem nucleus and midbrain nucleus. It is part of the midbrain tegmentum.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0107760"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002711#nucleus-of-posterior-commissure-1"),
    name="nucleus of posterior commissure",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002711"),
    synonyms=[
        "Darkshevich nucleus",
        "Darkshevich's nucleus",
        "nucleus commissura posterior",
        "nucleus commissuralis posterioris",
        "nucleus interstitialis of posterior commissure",
        "nucleus of Darkschewitsch",
        "nucleus of the posterior commissure",
        "PCom",
        "posterior commissure nucleus",
    ],
)
UBERONParcellation.nucleus_of_solitary_tract = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/nucleusOfSolitaryTract",
    definition="A neural nucleus that is part of the solitary tract nuclear complex. The solitary tract and nucleus are structures in the brainstem that carry and receive visceral sensation and taste from the facial (VII), glossopharyngeal (IX) and vagus (X) cranial nerves. [WP,unvetted].",
    description="'Nucleus of solitary tract' is a nucleus of medulla oblongata and vagus nerve nucleus. It is part of the solitary tract nuclear complex.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0110729"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0009050#solitary-nucleus"),
    name="nucleus of solitary tract",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0009050"),
    synonyms=[
        "Geschmackskern@de",
        "nuclei tractus solitarii",
        "nucleus of the solitary tract",
        "nucleus of the tractus solitarius",
        "nucleus of tractus solitarius",
        "nucleus solitarius",
        "nucleus solitary tract",
        "nucleus tracti solitarii",
        "nucleus tractus solitarii",
        "nucleus tractus solitarii medullae oblongatae",
        "nucleus tractus solitarius",
        "solitary nuclear complex",
        "solitary nucleus",
        "solitary tract nucleus",
    ],
)
UBERONParcellation.nucleus_of_the_brachium_of_the_inferior_colliculus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/nucleusOfTheBrachiumOfTheInferiorColliculus",
    definition="'Nucleus of the brachium of the inferior colliculus' is a regional part of brain. It is part of the midbrain tectum.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0107764"),
    knowledge_space_link=IRI(
        "https://knowledge-space.org/wiki/UBERON:0036012#nucleus-of-the-brachium-of-the-inferior-colliculus"
    ),
    name="nucleus of the brachium of the inferior colliculus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0036012"),
    synonyms=[
        "brachial nucleus of the inferior colliculus",
        "BrC",
        "NB",
        "nucleus brachium inferior colliculus",
        "nucleus of the brachium of the inferior colliculus",
    ],
)
UBERONParcellation.nucleus_of_trapezoid_body = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/nucleusOfTrapezoidBody",
    definition="'Nucleus of trapezoid body' is a nucleus of superior olivary complex.",
    description="A nucleus embedded within the fibers of the trapezoid body.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0111919"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0007633#trapezoid-nuclear-complex"),
    name="nucleus of trapezoid body",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0007633"),
    synonyms=[
        "nuclei of trapezoid body",
        "nucleus corporis trapezoidei",
        "nucleus of the trapezoid body",
        "nucleus trapezoidalis",
        "set of nuclei of trapezoid body",
        "trapezoid gray",
        "trapezoid nuclear complex",
        "trapezoid nuclei",
        "Tz",
    ],
)
UBERONParcellation.nucleus_prepositus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/nucleusPrepositus",
    definition="'Nucleus prepositus' is a nucleus of medulla oblongata. It is part of the pons.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0107787"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002160#nucleus-prepositus-1"),
    name="nucleus prepositus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002160"),
    synonyms=[
        "nucleus praepositus",
        "nucleus praepositus hypoglossi",
        "nucleus prepositus hypoglossi",
        "nucleus prepositus hypoglossus",
        "prepositus hypoglossal nucleus",
        "prepositus nucleus",
        "prepositus nucleus (Marburg)",
        "PrP",
    ],
)
UBERONParcellation.nucleus_raphe_pallidus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/nucleusRaphePallidus",
    definition="'Nucleus raphe pallidus' is a nucleus of medulla oblongata. It is part of the medullary raphe nuclear complex.",
    description="The nucleus raphe pallidus receives afferent connections from the periaqueductal gray, the paraventricular hypothalamic nucleus, central nucleus of the amygdala, lateral hypothalamic area, and parvocellular reticular nucleus. Also, the pallidus receives afferents from the medial preoptic area, median preoptic nucleus and lateral paragigantocellular reticular nuclei . The pallidus has recently been shown to be involved in the activation of a fever as an immunoreaction. It has been implied that the preoptic area is constantly inhibiting the raphe pallidus, especially the rostral portion, with GABA. When the preoptic area receives immune signals from the body, the inhibition stops and the rostral portion of the raphe pallidus excites the intermediolateral cell column, which induces a fever . The raphe pallidus has also been known to mediate the tachycardia response, an extremely high heart rate known to be incited by emotional or psychological stress. Microinjections of a GABA-a antagonist into the raphe pallidus, induces an increased heart rate. Conversely, microinjections of muscimol, a GABA-a agonist, inhibit tachycardia in rats under air-stress stimuli. In both of these cases, GABA is mediating two different sympathetic responses, so clearly the nucleus raphe pallidus is a far more a complex nucleus than previously thought. [WP,unvetted].",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0107795"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002157#nucleus-raphe-pallidus-1"),
    name="nucleus raphe pallidus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002157"),
    synonyms=[
        "nucleus raphC) pallidus",
        "nucleus raphes pallidus",
        "pallidal raphe nucleus",
        "raphe pallidus nucleus",
        "RPa",
    ],
)
UBERONParcellation.nucleus_subceruleus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/nucleusSubceruleus",
    description="'Nucleus subceruleus' is a nucleus of brain.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0107801"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002587#nucleus-subceruleus-1"),
    name="nucleus subceruleus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002587"),
)
UBERONParcellation.occipital_cortex = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/occipitalCortex",
    definition="'Occipital cortex' is a cortex of cerebral lobe. It is part of the occipital lobe.",
    description="Gray matter of neocortex located in the occipital lobe in organisms that have distinct lobes, located in the occipital pole and continuous with the gray matter of the parietal cortex and temporal cortex",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0107880"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0016540#occipital-cortex"),
    name="occipital cortex",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0016540"),
    synonyms=[
        "cortex of occipital lobe",
        "gray matter of occipital lobe",
        "occipital lobe cortex",
        "occipital neocortex",
    ],
)
UBERONParcellation.occipital_gyrus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/occipitalGyrus",
    definition="A gyrus that is part of a occipital lobe.",
    description="'Occipital gyrus' is a gyrus. It is part of the occipital lobe.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0107882"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0014640#occipital-gyrus-1"),
    name="occipital gyrus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0014640"),
    synonyms=["gyrus occipitalis"],
)
UBERONParcellation.occipital_lobe = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/occipitalLobe",
    definition="'Occipital lobe' is a lobe of cerebral hemisphere.",
    description="Posterior part of the cerebral hemisphere (MSH)",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0107883"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002021#occipital-lobe-1"),
    name="occipital lobe",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002021"),
    synonyms=["lobus occipitalis", "regio occipitalis"],
)
UBERONParcellation.occipitotemporal_sulcus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/occipitotemporalSulcus",
    description="'Occipitotemporal sulcus' is a subarachnoid sulcus.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0107885"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002693#occipitotemporal-sulcus-1"),
    name="occipitotemporal sulcus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002693"),
)
UBERONParcellation.oculomotor_nerve_root = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/oculomotorNerveRoot",
    definition="'Oculomotor nerve root' is a root of cranial nerve. It is part of the midbrain tegmentum.",
    description="Initial segment of the occulomotor nerve as it leaves the midbrain.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0107898"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002668#oculomotor-nerve-fibers"),
    name="oculomotor nerve root",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002668"),
    synonyms=[
        "3nf",
        "central part of oculomotor nerve",
        "fibrae nervi oculomotorii",
        "oculomotor nerve fibers",
        "oculomotor nerve tract",
        "root of oculomotor nerve",
    ],
)
UBERONParcellation.oculomotor_nuclear_complex = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/oculomotorNuclearComplex",
    definition="'Oculomotor nuclear complex' is a nuclear complex of neuraxis and gray matter of midbrain. It is part of the midbrain tegmentum.",
    description="Nuclear complex containing subnuclei that give rise to the axons of the occulomotor nerve, both motor and parasympathetic fibers, situated at the midline at the level of the superior colliculus in the midbrain tegmentum (Brodal, Neurological Anatomy, 3rd ed., 1981, pg 533-534).",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0107899"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0001715#oculomotor-nuclear-complex-1"),
    name="oculomotor nuclear complex",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0001715"),
    synonyms=[
        "3N",
        "motor nucleus III",
        "nIII",
        "nucleus nervi oculomotorii",
        "nucleus oculomotorius",
        "nucleus of oculomotor nerve",
        "nucleus of oculomotor nuclear complex",
        "nucleus of third cranial nerve",
        "oculomotor III nuclear complex",
        "oculomotor III nucleus",
        "oculomotor motornucleus",
        "oculomotor nucleus",
        "OM",
        "third cranial nerve nucleus",
    ],
)
UBERONParcellation.olfactory_bulb = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/olfactoryBulb",
    definition="Is a regional part of brain. Is part of the olfactory lobe. [auto-generated from properties of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0002264) ('is_a' and 'relationship')]",
    description="A bulbous anterior projection of the olfactory lobe that is the place of termination of the olfactory nerves and is especially well developed in lower vertebrates (as fishes). [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0002264)]",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0107921"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002264#olfactory-bulb-1"),
    name="olfactory bulb",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002264"),
    synonyms=["bulbus olfactorius"],
)
UBERONParcellation.olfactory_bulb_granule_cell_layer = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/olfactoryBulbGranuleCellLayer",
    definition="The granule cell layer contains multiple small round neurons that lack axons. Long dendritic processes of the neurons reach the more superficial layers and inhibit mitral cells and tufted cells. Small distal processes make contacts with the exiting mitral cell axons.",
    description="'Olfactory bulb granule cell layer' is an olfactory bulb layer.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0726644"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0005378#olfactory-bulb-granule-cell-layer"),
    name="olfactory bulb granule cell layer",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0005378"),
)
UBERONParcellation.olfactory_bulb_main_glomerular_layer = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/olfactoryBulbMainGlomerularLayer",
    definition="'Olfactory bulb main glomerular layer' is an olfactory bulb glomerular layer. It is part of the main olfactory bulb.",
    description="The glomerular layer of the main olfactory bulb, lying deep to the olfactory nerve layer.  It contains the glomeruli, neuropil rich spheroid structures surrounded by a distinctive shell of small neuros and glial cells (Paxinos, the Rat Nervous System, 2nd ed., Academic Press, 1995).",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0107938"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0023934#olfactory-bulb-main-glomerular-layer-1"),
    name="olfactory bulb main glomerular layer",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0023934"),
    synonyms=["Gl", "olfactory bulb main glomerular layer"],
)
UBERONParcellation.olfactory_bulb_mitral_cell_layer = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/olfactoryBulbMitralCellLayer",
    definition="'Olfactory bulb mitral cell layer' is an olfactory bulb layer.",
    description="The mitral cell layer is composed of pyramidal neurons whose cell bodies are located between the granule cell layer and the plexiform layer",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0107940"),
    knowledge_space_link=IRI(
        "https://knowledge-space.org/wiki/UBERON:0004186#olfactory-bulb-main-mitral-cell-body-layer"
    ),
    name="olfactory bulb mitral cell layer",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0004186"),
    synonyms=[
        "Mi",
        "mitral cell body layer",
        "mitral cell layer",
        "mitral cell layer of the olfactory bulb",
        "OB mitral cell layer",
        "olfactory bulb main mitral cell body layer",
    ],
)
UBERONParcellation.olfactory_bulb_outer_nerve_layer = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/olfactoryBulbOuterNerveLayer",
    definition="'Olfactory bulb outer nerve layer' is an olfactory bulb layer.",
    description="Superficial layer of the main olfactory bulb containing axons from the olfactory nerve and glial cells",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0107942"),
    knowledge_space_link=IRI(
        "https://knowledge-space.org/wiki/UBERON:0005978#olfactory-bulb-main-olfactory-nerve-layer"
    ),
    name="olfactory bulb outer nerve layer",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0005978"),
    synonyms=["olfactory bulb main olfactory nerve layer", "olfactory bulb olfactory nerve layer"],
)
UBERONParcellation.olfactory_bulb_subependymal_zone = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/olfactoryBulbSubependymalZone",
    definition="Is an olfactory bulb layer. [auto-generated from 'is_a' property of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0005380)]",
    description="The region of mitotically active layer of cells surrounding the lateral brain ventricles that consists of migrating neuroblasts, astrocytes and transitory amplifying progenitor cells, that produce neurons that migrate to the olfactory bulb. [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0005380)]",
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0005380#olfactory-bulb-subependymal-zone"),
    name="olfactory bulb subependymal zone",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0005380"),
)
UBERONParcellation.olfactory_cortex = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/olfactoryCortex",
    definition="'Olfactory cortex' is a regional part of brain. It is part of the cerebral cortex and olfactory lobe.",
    description="Aggregate brain region defined as those areas of cerebral cortex receiving direct synaptic input from the olfactory bulb (Price, 1973).  The most recognized structure is the piriform cortex (prepyriform area), but other areas are often included, e.g., the olfactory tubercle.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0107946"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002894#olfactory-cortex-1"),
    name="olfactory cortex",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002894"),
    synonyms=["archaeocortex", "archeocortex", "olfactory areas", "olfactory lobe"],
)
UBERONParcellation.olfactory_entorhinal_cortex = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/olfactoryEntorhinalCortex",
    definition="'Olfactory entorhinal cortex' is a regional part of brain. It is part of the entorhinal cortex.",
    description="A part of the entorhinal area defined on the basis of connectivity. It is the rostral portion, which receives a projection from the olfactory bulb (Price-90)-Adapted from Brain Info",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0107958"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0022453#olfactory-entorhinal-cortex-1"),
    name="olfactory entorhinal cortex",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0022453"),
    synonyms=["EOl"],
)
UBERONParcellation.olfactory_epithelium = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/olfactoryEpithelium",
    definition="Is a sensory epithelium. Is part of the somatic nervous system. [auto-generated from properties of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0001997) ('is_a' and 'relationship')]",
    description="A sensory epithelium inside the nasal cavity that is responsible for detecting odors. [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0001997)]",
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0001997#olfactory-epithelium-1"),
    name="olfactory epithelium",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0001997"),
    synonyms=[
        "main olfactory epithelium",
        "nasal cavity olfactory epithelium",
        "olfactory membrane",
        "olfactory sensory epithelium",
        "sensory olfactory epithelium",
    ],
)
UBERONParcellation.olfactory_glomerulus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/olfactoryGlomerulus",
    definition="Is a neural glomerulus. Is part of the olfactory bulb glomerular layer. [auto-generated from properties of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0005387) ('is_a' and 'relationship')]",
    description="One of the small globular masses of dense neuropil in the olfactory bulb, containing the first synapse in the olfactory pathway. [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0005387)]",
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0005387#olfactory-glomerulus"),
    name="olfactory glomerulus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0005387"),
    synonyms=["glomerulus of olfactory bulb", "olfactory bulb glomerulus"],
)
UBERONParcellation.olfactory_lobe = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/olfactoryLobe",
    definition="Is a lobe of cerebral hemisphere. [auto-generated from 'is_a' property of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0005366)]",
    description="The lobe at the anterior part of each cerebral hemisphere, responsible for olfactory functions. [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0005366)]",
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0005366#olfactory-lobe"),
    name="olfactory lobe",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0005366"),
)
UBERONParcellation.olfactory_pathway = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/olfactoryPathway",
    definition="Is a neuron projection bundle and central nervous system cell part cluster. Is part of the limbic system. [auto-generated from properties of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0013201) ('is_a' and 'relationship')]",
    description="Set of nerve fibers conducting impulses from olfactory receptors to the cerebral cortex. It includes the olfactory nerve; olfactory bulb; olfactory tract, olfactory tubercle, anterior perforated substance, and olfactory cortex. The term rhinencephalon is restricted to structures in the CNS receiving fibers from the olfactory bulb. [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0013201)]",
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0013201#olfactory-pathway"),
    name="olfactory pathway",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0013201"),
)
UBERONParcellation.olfactory_tract = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/olfactoryTract",
    definition="Is a tract of brain. Is part of the white matter of telencephalon. [auto-generated from properties of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0002265) ('is_a' and 'relationship')]",
    description="White matter tract that contains projections from the olfactory bulb to other parts of the brain. [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0002265)]",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0724772"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002265#olfactory-tract-1"),
    name="olfactory tract",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002265"),
)
UBERONParcellation.olfactory_tract_linking_bulb_to_ipsilateral_dorsal_telencephalon = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/olfactoryTractLinkingBulbToIpsilateralDorsalTelencephalon",
    definition="Is an olfactory tract. [auto-generated from 'is_a' property of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0034730)]",
    knowledge_space_link=IRI(
        "https://knowledge-space.org/wiki/UBERON:0034730#olfactory-tract-linking-bulb-to-ipsilateral-dorsal-telencephalon"
    ),
    name="olfactory tract linking bulb to ipsilateral dorsal telencephalon",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0034730"),
)
UBERONParcellation.olfactory_tract_linking_bulb_to_ipsilateral_ventral_telencephalon = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/olfactoryTractLinkingBulbToIpsilateralVentralTelencephalon",
    definition="Is an olfactory tract. [auto-generated from 'is_a' property of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_2000238)]",
    knowledge_space_link=IRI(
        "https://knowledge-space.org/wiki/UBERON:2000238#olfactory-tract-linking-bulb-to-ipsilateral-ventral-telencephalon"
    ),
    name="olfactory tract linking bulb to ipsilateral ventral telencephalon",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_2000238"),
)
UBERONParcellation.olfactory_trigone = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/olfactoryTrigone",
    definition="Is a regional part of brain. Is part of the olfactory lobe. [auto-generated from properties of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0002922) ('is_a' and 'relationship')]",
    description="A small triangular area in front of the anterior perforated substance. Its apex, directed forward, occupies the posterior part of the olfactory sulcus, and is brought into view by throwing back the olfactory tract (adapted from Wikipedia) [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0002922)]",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0107973"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002922#olfactory-trigone-1"),
    name="olfactory trigone",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002922"),
    synonyms=["trigonum olfactorium"],
)
UBERONParcellation.olfactory_tubercle = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/olfactoryTubercle",
    definition="Is a telencephalic nucleus. Is part of the olfactory cortex. [auto-generated from properties of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0001883) ('is_a' and 'relationship')]",
    description="Region in the ventral telencephalon, prominent in rodents, but present in all mammals, consisting of a laminated cortical part and the cap/hilus region. It is traditionally viewed as part of the olfactory cortex but recognized by some as having a striatal character. According to many authors, the structure of the OT transitions from cortical like to striatal like along the lateral medial axis. (Maryann Martone) [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0001883)]",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0107974"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0001883#olfactory-tubercle-1"),
    name="olfactory tubercle",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0001883"),
    synonyms=["tuberculum olfactorium"],
)
UBERONParcellation.olivary_pretectal_nucleus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/olivaryPretectalNucleus",
    definition="'Olivary pretectal nucleus' is a nucleus of midbrain tectum and pretectal nucleus.",
    description="Small distinct nucleus in the pretectum of mammals involved in the pupillary light reflect.  In rats, it is an olive shaped (anterior) nucleus lying ventral to the brachium of the superior colliculus (Paxinos, The rat nervous system, 2nd ed, 1995, pg. 862).  Physiologically, it is identified by neurons sensitive to luminance changes.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0107998"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002565#olivary-pretectal-nucleus-1"),
    name="olivary pretectal nucleus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002565"),
    synonyms=[
        "anterior pretectal nucleus",
        "nucleus olivaris colliculi superioris (Fuse)",
        "nucleus olivaris corporis quadrigemini anterioris",
        "nucleus olivaris mesencephali",
        "nucleus olivaris pretectalis of Fuse",
        "nucleus praetectalis anterior",
        "nucleus praetectalis olivaris",
        "nucleus pretectalis anterior",
        "olivary nucleus of superior colliculus",
        "OPT",
        "pretectal olivary nucleus",
    ],
)
UBERONParcellation.olivocerebellar_tract = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/olivocerebellarTract",
    definition="Is a tract of brain. Is part of the white matter of medulla oblongata. [auto-generated from properties of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0002752) ('is_a' and 'relationship')]",
    description="The olivocerebellar tract (olivocerebellar fibers) leaves the olivary nucleus and pass out through the hilum and decussate with those from the opposite olive in the raphé, then as internal arcuate fibers they pass partly through and partly around the opposite olive and enter the inferior peduncle to be distributed to the cerebellar hemisphere of the opposite side from which they arise. They terminate directly on Purkinje cells as the climbing fiber input system. [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0002752)]",
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002752#olivocerebellar-tract-1"),
    name="olivocerebellar tract",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002752"),
)
UBERONParcellation.opercular_part_of_inferior_frontal_gyrus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/opercularPartOfInferiorFrontalGyrus",
    definition="'Opercular part of inferior frontal gyrus' is part of the inferior frontal gyrus.",
    description="Component of the inferior frontal gyrus.defined as the first gyrus from the precentral gyrus.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0108057"),
    knowledge_space_link=IRI(
        "https://knowledge-space.org/wiki/UBERON:0002980#opercular-part-of-inferior-frontal-gyrus-1"
    ),
    name="opercular part of inferior frontal gyrus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002980"),
    synonyms=[
        "gyrus frontalis inferior",
        "inferior frontal gyrus",
        "opercular part",
        "opercular portion of inferior frontal gyrus",
        "pars opercularis",
        "pars opercularis gyri frontalis inferioris",
        "pars posterior of inferior frontal gyrus",
        "posterior part of inferior frontal gyrus",
    ],
)
UBERONParcellation.optic_chiasma = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/opticChiasma",
    definition="'Optic chiasma' is a decussation of diencephalon.",
    description="A location within the visual system of binocular animals where axons of retinal ganglion cells cross contralaterally or remain ipsilatterally towards termination zones in the lateral geniculate nucleus.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0108069"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0000959#optic-chiasm"),
    name="optic chiasma",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0000959"),
    synonyms=[
        "chiasma",
        "chiasma nervorum opticorum",
        "chiasma opticum",
        "decussation of optic nerve fibers",
        "optic chiasm",
        "optic chiasm (Rufus of Ephesus)",
        "optic chiasma",
        "ox",
    ],
)
UBERONParcellation.optic_recess_of_third_ventricle = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/opticRecessOfThirdVentricle",
    definition="Is an anatomical entity. Is part of the third ventricle. [auto-generated from properties of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0002287) ('is_a' and 'relationship')]",
    description="Recess in third ventricle lying in front of the optic chiasm at the base of the lamina terminalis. [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0002287)]",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0108073"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002287#optic-recess-of-third-ventricle-1"),
    name="optic recess of third ventricle",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002287"),
    synonyms=["optic recess", "preoptic recess", "recessus supraopticus", "supraoptic recess"],
)
UBERONParcellation.optic_tract = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/opticTract",
    definition="Is a tract of diencephalon. Is part of the diencephalic white matter. [auto-generated from properties of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0001908) ('is_a' and 'relationship')]",
    description="Diencephalic white matter (tract) which is comprised of retinal ganglion cell axons after which they have passed through the optic chiasm. Predominantly white matter structure found in diencephalon consisting of fibers originating in the retina. The optic tract is considered to extend from the point of the optic chiasm and terminates largely, although not exclusively, in the lateral geniculate complex. Other fibers end in the superior colliculus and other structures in the diencephalon, midbrain and brainstem (MM). [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0001908)]",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0108074"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0001908#optic-tract-1"),
    name="optic tract",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0001908"),
    synonyms=["optic lemniscus"],
)
UBERONParcellation.oral_part_of_spinal_trigeminal_nucleus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/oralPartOfSpinalTrigeminalNucleus",
    definition="'Oral part of spinal trigeminal nucleus' is a gray matter of hindbrain. It is part of the spinal nucleus of trigeminal nerve.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0108080"),
    knowledge_space_link=IRI(
        "https://knowledge-space.org/wiki/UBERON:0002591#oral-part-of-spinal-trigeminal-nucleus-1"
    ),
    name="oral part of spinal trigeminal nucleus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002591"),
    synonyms=[
        "nucleus oralis tractus spinalis nervi trigemini",
        "nucleus spinalis nervi trigemini",
        "oral part",
        "oral part of the spinal trigeminal nucleus",
        "pars oralis",
        "Sp5O",
        "spinal nucleus of the trigeminal",
        "spinal nucleus of the trigeminal oral part",
        "spinal trigeminal nucleus",
        "spinal trigeminal nucleus oral part",
    ],
)
UBERONParcellation.oral_part_of_ventral_lateral_nucleus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/oralPartOfVentralLateralNucleus",
    definition="'Oral part of ventral lateral nucleus' is a gray matter of diencephalon. It is part of the ventral lateral nucleus of thalamus.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0108081"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002978#oral-part-of-ventral-lateral-nucleus-1"),
    name="oral part of ventral lateral nucleus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002978"),
    synonyms=[
        "anterior part (Van Buren)",
        "anterior part (van buren)",
        "nucleus lateralis oralis situs principalis",
        "nucleus ventralis lateralis",
        "nucleus ventrooralis externus",
        "oral part",
        "oral part of the ventral lateral nucleus",
        "pars densicellularis",
        "pars oralis",
        "subnucleus rostralis",
        "ventral anterior nucleus",
        "ventral lateral anterior nucleus",
        "ventral lateral nucleus",
        "ventral lateral thalamic nucleus",
        "VLO",
        "VLO,VAL(VO)",
    ],
)
UBERONParcellation.oral_part_of_ventral_posterolateral_nucleus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/oralPartOfVentralPosterolateralNucleus",
    definition="'Oral part of ventral posterolateral nucleus' is a gray matter of diencephalon. It is part of the ventral posterolateral nucleus.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0108082"),
    knowledge_space_link=IRI(
        "https://knowledge-space.org/wiki/UBERON:0003019#oral-part-of-ventral-posterolateral-nucleus-1"
    ),
    name="oral part of ventral posterolateral nucleus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0003019"),
    synonyms=[
        "nucleus lateralis intermedius lateralis",
        "nucleus posteroventralis oralis",
        "nucleus ventralis intermedius (DeWulf)",
        "nucleus ventralis intermedius (Walker)",
        "nucleus ventralis intermedius thalami",
        "nucleus ventralis posterior lateralis",
        "nucleus ventrointermedius",
        "oral part",
        "oral part of the ventral posterolateral nucleus",
        "pars oralis",
        "ventral part of ventral lateral posterior nucleus (jones)",
        "ventral posterolateral nucleus",
        "ventral posterolateral thalamic nucleus",
        "ventrointermedius nucleus",
        "VPLO",
    ],
)
UBERONParcellation.oral_pontine_reticular_nucleus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/oralPontineReticularNucleus",
    definition="'Oral pontine reticular nucleus' is a nucleus of pontine reticular formation.",
    description="The oral pontine reticular nucleus is delineated from its caudal brother, with which it shares its first three names. This nucleus tapers into the lower mesencephalic reticular formation and contains sporadic giant cells. Different populations of the pontis oralis have displayed discharge patterns which coordinate with phasic movements to and from paradoxical sleep. From this information it has been implied that the n.r. pontis oralis is involved in the mediation of changing to and from REM sleep. [WP,unvetted].",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0108083"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002999#oral-pontine-reticular-nucleus-1"),
    name="oral pontine reticular nucleus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002999"),
    synonyms=[
        "nucleus reticularis pontis oralis",
        "oral part",
        "PnO",
        "pontine reticular nucleus",
        "pontine reticular nucleus rostral part",
        "rostral part",
    ],
)
UBERONParcellation.oral_pulvinar_nucleus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/oralPulvinarNucleus",
    definition="'Oral pulvinar nucleus' is a nucleus of dorsal thalamus. It is part of the pulvinar nucleus.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0108084"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002641#oral-pulvinar-nucleus-1"),
    name="oral pulvinar nucleus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002641"),
    synonyms=[
        "anterior pulvinar nucleus",
        "nucleus pulvinaris anterior",
        "nucleus pulvinaris oralis",
        "nucleus pulvinaris oralis thalami",
        "OPul",
        "OPul,APul",
        "oral nuclear group of pulvinar",
        "oral part of pulvinar",
        "oral portion of pulvinar",
    ],
)
UBERONParcellation.orbital_gyri_complex = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/orbitalGyriComplex",
    definition="'Orbital gyri complex' is a regional part of brain. It is part of the frontal lobe.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0108111"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0022695#orbital-gyri-complex-1"),
    name="orbital gyri complex",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0022695"),
    synonyms=["Orgital_gyri", "orbital gyri complex"],
)
UBERONParcellation.orbital_part_of_inferior_frontal_gyrus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/orbitalPartOfInferiorFrontalGyrus",
    definition="'Orbital part of inferior frontal gyrus' is a frontal gyrus. It is part of the inferior frontal gyrus.",
    description="Component of the inferior frontal gyrus.defined as the first gyrus from the precentral gyrus.the remainder of the inferior frontal gyrus once the pars opercularis and triangularis have been defined (Christine Fennema-Notestine)., NeuroNames",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0108113"),
    knowledge_space_link=IRI(
        "https://knowledge-space.org/wiki/UBERON:0002624#orbital-part-of-inferior-frontal-gyrus-1"
    ),
    name="orbital part of inferior frontal gyrus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002624"),
    synonyms=[
        "brodmann's area 36",
        "gyrus frontalis inferior",
        "inferior frontal gyrus",
        "orbital part",
        "pars orbitalis",
        "pars orbitalis gyri frontalis inferioris",
    ],
)
UBERONParcellation.orbitofrontal_cortex = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/orbitofrontalCortex",
    definition="'Orbitofrontal cortex' is a frontal gyrus. It is part of the limbic system.",
    description="Component of the prefontal cortex, frontal lobe, inferior region (Christine Fennema-Notestine).",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0108110"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0004167#orbital-frontal-cortex"),
    name="orbitofrontal cortex",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0004167"),
    synonyms=[
        "fronto-orbital cortex",
        "OFC",
        "orbital frontal cortex",
        "orbito-frontal cortex",
        "orbitofrontal cortex",
        "segment of cortex of frontal lobe",
    ],
)
UBERONParcellation.otolith_organ = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/otolithOrgan",
    definition="Is a vestibular organ. [auto-generated from 'is_a' property of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0002518)]",
    description="The crystalline particles composed of calcium carbonate and a protein which adhere to the gelatinous membrane of the maculae of the utricle and saccule (otolithic membrane) [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0002518)]",
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002518#otolith-organ"),
    name="otolith organ",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002518"),
)
UBERONParcellation.oval_nucleus_of_stria_terminalis = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/ovalNucleusOfStriaTerminalis",
    definition="'Oval nucleus of stria terminalis' is a telencephalic nucleus. It is part of the anterior division of bed nuclei of stria terminalis.",
    description="Part of bed nucleus of stria terminalis, comprising a distinct, large, egg-shaped collection of neurons that, together with the juxtacapsular (Ju) and rhomboid (Rh) nuclei, encompass the anterolateral area of the BST (Ju and Swanson, 1989)",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0101173"),
    knowledge_space_link=IRI(
        "https://knowledge-space.org/wiki/UBERON:0011176#bed-nuclei-of-the-stria-terminalis-oval-nucleus-1"
    ),
    name="oval nucleus of stria terminalis",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0011176"),
    synonyms=["anterior division", "bed nuclei of the stria terminalis", "oval nucleus"],
)
UBERONParcellation.paired_venous_dural_sinus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/pairedVenousDuralSinus",
    definition="Is a venous dural sinus. [auto-generated from 'is_a' property of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0017635)]",
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0017635#paired-venous-dural-sinus"),
    name="paired venous dural sinus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0017635"),
    synonyms=["paired dural venous sinus"],
)
UBERONParcellation.paleocortex = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/paleocortex",
    definition="'Paleocortex' is an allocortex.",
    description="Part of the allocortex defined on the basis of cytoarchitecture. The other two are archicortex and periallocortex. It consists of very thin, primitive cortex with few clearly defined layers. It is distinguished ontogenetically by the fact that it does not develop through a cortical plate. It includes the olfactory bulb, accessory olfactory bulb, olfactory tubercle, septum, prepyriform area and periamygdalar area ( Stephan-1975 ). (adapted from Brain Info)",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0108371"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0014735#paleocortex"),
    name="paleocortex",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0014735"),
    synonyms=[
        "palaeocortex",
        "paleocortex",
        "paleocortex (semicortex)",
        "paleocortex (Zilles)",
        "paleokortikale Regionen@de",
    ],
)
UBERONParcellation.paleodentate_of_dentate_nucleus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/paleodentateOfDentateNucleus",
    definition="'Paleodentate of dentate nucleus' is a gray matter of hindbrain. It is part of the dentate nucleus.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0108372"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0006743#paleodentate-of-dentate-nucleus-1"),
    name="paleodentate of dentate nucleus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0006743"),
    synonyms=[
        "paleodentate of dentate nucleus",
        "paleodentate part of dentate nucleus",
        "paleodentate part of the dentate nucleus",
        "paleodentate portion of dentate nucleus",
        "pars paleodentata",
        "Pdt",
    ],
)
UBERONParcellation.pallidotegmental_fasciculus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/pallidotegmentalFasciculus",
    definition="'Pallidotegmental fasciculus' is a tract of brain. It is part of the midbrain tegmentum.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0108383"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002671#pallidotegmental-fasciculus-1"),
    name="pallidotegmental fasciculus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002671"),
    synonyms=[
        "fasciculus pallido-tegmentalis",
        "fibrae pallidoolivares",
        "pallidotegmental fascicle",
        "pallidotegmental tract",
        "ptf",
    ],
)
UBERONParcellation.pallidum = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/pallidum",
    definition="'Pallidum' is a brain gray matter. It is part of the basal ganglion.",
    description="Part of what are called the basal ganglia of the brain which consist of the globus pallidus and the ventral pallidum.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0381379"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0006514#pallidum"),
    name="pallidum",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0006514"),
)
UBERONParcellation.pallium = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/pallium",
    definition="'Pallium' is a regional part of brain. It is part of the telencephalon.",
    description="The commonly used synonym of the cerebral cortex. Used first by Burdach for macrodissected adult humans (1822), and by many others since, including His (1895), and Nauta & Feirtag (1986). In Latin pallium means a mantle, cloak, or blanket",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0108390"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0000203#pallium"),
    name="pallium",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0000203"),
    synonyms=[
        "area dorsalis telencephali",
        "Cerebral Cortex",
        "dorsal part of telencephalon",
        "dorsal telencephalic area",
        "dorsal telencephalon",
    ],
)
UBERONParcellation.parabigeminal_nucleus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/parabigeminalNucleus",
    definition="'Parabigeminal nucleus' is a nucleus of midbrain tectum.",
    description="Cholinergic cell group that is located ventral to the brachium of the inferior colliculus (in rat) and has reciprocal connectivity with the superior colliculus (Adapted from Paxinos, The rat central nervous system, 2nd ed, 1995, pg 865",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0108414"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002140#parabigeminal-nucleus-1"),
    name="parabigeminal nucleus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002140"),
    synonyms=[
        "corpus parabigeminum",
        "nucleus isthmi",
        "nucleus parabigeminalis",
        "nucleus parabigeminous",
        "parabigeminal nucleus (Bechterew)",
        "parageminal nucleus",
        "PBG",
    ],
)
UBERONParcellation.parabrachial_nucleus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/parabrachialNucleus",
    definition="'Parabrachial nucleus' is a brainstem nucleus and hindbrain nucleus. It is part of the pons.",
    description="A nucleus of the parabrachial area, which in the human brain is a horseshoe-shaped strip of gray matter comprising the KÃ¶lliker-Fuse nucleus, the lateral parabrachial nucleus and the medial parabrachial nucleus.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0108416"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0007634#parabrachial-nucleus"),
    name="parabrachial nucleus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0007634"),
    synonyms=["parabrachial nuclei", "parabrachial complex", "parabrachial area"],
)
UBERONParcellation.parabrachial_pigmental_nucleus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/parabrachialPigmentalNucleus",
    definition="'Parabrachial pigmental nucleus' is a brainstem nucleus, nucleus of midbrain tegmentum and midbrain nucleus. It is part of the ventral tegmental area.",
    description="Nucleus identified in the medial ventral tegmental area that borders the red nucleus and superior cerebellar peduncle dorsally, the medial lemniscus laterally, the subtantia nigra pars compacta and paranigral nucleus ventrally and the rostral linear nucleus and interfascicular nucleus medially.  Generally, the largest nucleus in the ventral tegmental area, occupying an average of 50% of the total volume as measured in rat, cat, monkey and human.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0108428"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0013738#parabrachial-pigmented-nucleus"),
    name="parabrachial pigmental nucleus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0013738"),
    synonyms=["PBP", "parabrachial pigmented nucleus"],
)
UBERONParcellation.paracentral_lobule = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/paracentralLobule",
    definition="Is a gyrus. Is part of the cerebral cortex. [auto-generated from properties of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0035933) ('is_a' and 'relationship')]",
    description="The junction of the precentral gyrus and postcentral gyrus on the medial surface of the cerebral cortex. It lies across the boundary between the frontal lobe and the parietal lobe. [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0035933)]",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0729354"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0035933#paracentral-lobule"),
    name="paracentral lobule",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0035933"),
    synonyms=["lobulus paracentralis"],
)
UBERONParcellation.paraflocculus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/paraflocculus",
    description="'Paraflocculus' is a cerebellum hemisphere lobule and flocculonodular lobe, hemisphere portion.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0104937"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0005351#paraflocculus"),
    name="paraflocculus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0005351"),
)
UBERONParcellation.parahippocampal_gyrus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/parahippocampalGyrus",
    definition="'Parahippocampal gyrus' is a gyrus. It is part of the limbic system, temporal lobe and limbic lobe.",
    description="Component of the temporal lobe on the mesial surface, posterior to the entorhinal cortex. The rostral and caudal boundaries are the posterior end of the netorhinal cortex and the caudal portion of the hippocampus, respectively.  The medial boundary is designated as the medial aspect off the temporal lobe and the lateral boundary is the collateral sulcus (Christine Fennema-Notestine).",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0108441"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002973#parahippocampal-gyrus-1"),
    name="parahippocampal gyrus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002973"),
    synonyms=[
        "gyrus hippocampi",
        "gyrus parahippocampalis",
        "gyrus parahippocampi",
        "hippocampal convolution",
        "hippocampal gyrus",
        "PaI",
    ],
)
UBERONParcellation.paralaminar_part_of_medial_dorsal_nucleus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/paralaminarPartOfMedialDorsalNucleus",
    definition="'Paralaminar part of medial dorsal nucleus' is a gray matter of diencephalon. It is part of the medial dorsal nucleus of thalamus.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0108443"),
    knowledge_space_link=IRI(
        "https://knowledge-space.org/wiki/UBERON:0002650#paralaminar-part-of-medial-dorsal-nucleus-1"
    ),
    name="paralaminar part of medial dorsal nucleus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002650"),
    synonyms=[
        "dorsomedial thalamic nucleus",
        "MDPL",
        "mediodorsal thalamic nucleus",
        "mediodorsal thalamic nucleus paralaminar part",
        "nucleus medialis dorsalis",
        "nucleus medialis dorsalis caudalis (Hassler)",
        "nucleus medialis dorsalis thalami",
        "paralaminar part",
        "paralaminar part of dorsomedial nucleus",
        "paralaminar part of medial dorsal nucleus of thalamus",
        "paralaminar part of the medial dorsal nucleus",
        "pars multiformis",
        "pars paralaminaris",
        "pars paralaminaris nuclei mediodorsalis thalami",
        "pars paralaminaris of medial dorsal nucleus of thalamus",
        "ventral mediodorsal nucleus",
    ],
)
UBERONParcellation.paramedian_lobule = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/paramedianLobule",
    definition="Is a cerebellum vermis lobule. Is part of the cerebellum posterior vermis. [auto-generated from properties of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0005349) ('is_a' and 'relationship')]",
    description="The anterior portion of the posteroinferior lobule of the cerebellum, the posterior portion being the semilunar lobule inferior; the two are continuous with the tuber of the vermis. [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0005349)]",
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0005349#paramedian-lobule"),
    name="paramedian lobule",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0005349"),
    synonyms=[
        "gracile lobule",
        "hemispheric lobule VIIBii",
        "lobule VIIIB (pyramis and biventral lobule, posterior part)",
        "lobulus gracilis",
        "lobulus paramedianus",
        "lobulus paramedianus [hVIIb]",
        "paramedian 1 (hVII)",
        "paramedian lobule [h vii b]",
        "paramedian lobule [HVIIB]",
        "paramedian lobule [hVIIIb]",
    ],
)
UBERONParcellation.paramedian_reticular_nucleus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/paramedianReticularNucleus",
    definition="'Paramedian reticular nucleus' is a nucleus of medulla oblongata.",
    description="A medullary nucleus that sends its connections to the spinal cord in a mostly ipsilateral manner.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0108455"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0007764#paramedian-reticular-nucleus"),
    name="paramedian reticular nucleus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0007764"),
    synonyms=[
        "nucleus reticularis paramedianus",
        "paramedian nucleus reticularis",
        "paramedian reticular nucleus",
        "ventral paramedian reticular nucleus",
    ],
)
UBERONParcellation.parapineal_organ = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/parapinealOrgan",
    definition="Is part of the pineal complex. [auto-generated from 'relationship' property of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0015241)]",
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0015241#parapineal-organ"),
    name="parapineal organ",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0015241"),
)
UBERONParcellation.parasolitary_nucleus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/parasolitaryNucleus",
    definition="'Parasolitary nucleus' is a nucleus of medulla oblongata.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0108472"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002877#parasolitary-nucleus-1"),
    name="parasolitary nucleus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002877"),
    synonyms=["nucleus fasciculus solitarius", "nucleus juxtasolitarius", "PSol"],
)
UBERONParcellation.parasubiculum = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/parasubiculum",
    definition="'Parasubiculum' is a regional part of brain. It is part of the hippocampal formation.",
    description="A transitional zone between the presubiculum and the entorhinal area in the mouse (Paxinos-2001), the rat (Swanson-1998) and the primate (Zilles-1990). Defined on the basis of cytoarchitecture, it is more similar to the presubiculum than to the entorhinal area (Zilles-1990). (from Brain Info)",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0108477"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0004683#parasubiculum-1"),
    name="parasubiculum",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0004683"),
    synonyms=[
        "parasubicular area",
        "parasubicular cortex",
        "parasubicular cortex (parasubiculum)",
        "parasubiculum",
        "PaS",
    ],
)
UBERONParcellation.paratenial_nucleus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/paratenialNucleus",
    definition="'Paratenial nucleus' is a nucleus of dorsal thalamus. It is part of the midline nuclear group.",
    description="One of the median nuclei of the thalamus, situated ventral and medial to the stria medullaris.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0108483"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002992#paratenial-nucleus-1"),
    name="paratenial nucleus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002992"),
    synonyms=[
        "nuclei parataeniales thalami",
        "nucleus parataenialis",
        "nucleus parataenialis (Hassler)",
        "nucleus parataenialis thalami",
        "nucleus paratenialis thalami",
        "parataenial nucleus",
        "paratenial nucleus of thalamus",
        "paratenial nucleus of the thalamus",
        "paratenial thalamic nucleus",
        "PT",
    ],
)
UBERONParcellation.paraterminal_gyrus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/paraterminalGyrus",
    definition="'Paraterminal gyrus' is a supracallosal gyrus.",
    description="The paraterminal gyrus (subcallosal gyrus, peduncle of the corpus callosum) is a narrow lamina on the medial surface of the hemisphere in front of the lamina terminalis, behind the parolfactory area, and below the rostrum of the corpus callosum. It is continuous around the genu of the corpus callosum with the supracallosal gyrus. [WP,unvetted].",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0108484"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002603#paraterminal-gyrus-1"),
    name="paraterminal gyrus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002603"),
    synonyms=[
        "gyrus paraterminalis",
        "gyrus subcallosus",
        "hippocampus praecommissuralis",
        "hippocampus precommissuralis",
        "paraterminal body (Noback)",
        "peduncle of the corpus callosum",
        "precommissural hippocampus",
        "subcallosal gyrus",
    ],
)
UBERONParcellation.paraventricular_nucleus_of_thalamus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/paraventricularNucleusOfThalamus",
    definition="'Paraventricular nucleus of thalamus' is a nucleus of dorsal thalamus. It is part of the midline nuclear group.",
    description="The nucleus paraventricularis anterior thalami and nuclues paraventricularis posterior thalami, two of the nuclei mediani thalami; they are situated on the dorsomedial wall of the thalamus, juxtaposed to the third ventricle.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0108502"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0001920#paraventricular-nucleus-of-thalamus-1"),
    name="paraventricular nucleus of thalamus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0001920"),
    synonyms=[
        "nuclei paraventriculares thalami",
        "nucleus paramedianus (Hassler)",
        "nucleus paraventricularis thalami",
        "paraventricular gray",
        "paraventricular nuclei",
        "paraventricular nuclei of thalamus",
        "paraventricular nucleus of the thalamus",
        "paraventricular thalamic nucleus",
        "PV",
    ],
)
UBERONParcellation.paraventricular_nucleus_of_the_hypothalamus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/paraventricularNucleusOfTheHypothalamus",
    definition="Is a hypothalamic nucleus. Is part of the periventricular zone of hypothalamus. [auto-generated from properties of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0001930) ('is_a' and 'relationship')]",
    description="Nucleus in the anterior part of the hypothalamus. One of the magnocellular hypothalamic nuclei, an elongated plate of large, deeply staining cells located close to the third ventricle in the anterior hypothalamic area; major source of oxytocin and to a lesser extent, of antidiuretic hormone, neurohormones, which are carried to the neurohypophysis along the paraventriculohypophysial tract. [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0001930)]",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0108501"),
    knowledge_space_link=IRI(
        "https://knowledge-space.org/wiki/UBERON:0001930#paraventricular-nucleus-of-hypothalamus-1"
    ),
    name="paraventricular nucleus of the hypothalamus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0001930"),
    synonyms=["Pa", "filiform nucleus", "paraventricular hypothalamic nucleus", "paraventricular nucleus"],
)
UBERONParcellation.paraventricular_nucleus_of_the_hypothalamus_descending_division = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/paraventricularNucleusOfTheHypothalamusDescendingDivision",
    definition="'Paraventricular nucleus of the hypothalamus descending division' is a regional part of brain. It is part of the paraventricular nucleus of hypothalamus.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0108503"),
    knowledge_space_link=IRI(
        "https://knowledge-space.org/wiki/UBERON:0014602#paraventricular-nucleus-of-the-hypothalamus-descending-division-1"
    ),
    name="paraventricular nucleus of the hypothalamus descending division",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0014602"),
    synonyms=[
        "descending division",
        "paraventricular hypothalamic nucleus",
        "paraventricular nucleus of the hypothalamus",
        "paraventricular nucleus of the hypothalamus descending division",
        "PVHd",
    ],
)
UBERONParcellation.paraventricular_nucleus_of_the_hypothalamus_descending_division_forniceal_part = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/paraventricularNucleusOfTheHypothalamusDescendingDivisionFornicealPart",
    definition="'Paraventricular nucleus of the hypothalamus descending division - forniceal part' is a regional part of brain. It is part of the paraventricular nucleus of the hypothalamus descending division.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0108504"),
    knowledge_space_link=IRI(
        "https://knowledge-space.org/wiki/UBERON:0014598#paraventricular-nucleus-of-the-hypothalamus-descending-division-forniceal-part-1"
    ),
    name="paraventricular nucleus of the hypothalamus descending division - forniceal part",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0014598"),
    synonyms=[
        "descending division",
        "forniceal part",
        "paraventricular hypothalamic nucleus",
        "paraventricular hypothalamic nucleus forniceal part",
        "paraventricular nucleus of the hypothalamus",
        "paraventricular nucleus of the hypothalamus descending division - forniceal part",
        "parvicellular division forniceal part",
        "PVHf",
    ],
)
UBERONParcellation.paraventricular_nucleus_of_the_hypothalamus_descending_division_lateral_parvicellular_part = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/paraventricularNucleusOfTheHypothalamusDescendingDivisionLateralParvicellularPart",
    definition="'Paraventricular nucleus of the hypothalamus descending division - lateral parvicellular part' is a regional part of brain. It is part of the paraventricular nucleus of the hypothalamus descending division.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0108505"),
    knowledge_space_link=IRI(
        "https://knowledge-space.org/wiki/UBERON:0014597#paraventricular-nucleus-of-the-hypothalamus-descending-division-lateral-parvicellular-part-1"
    ),
    name="paraventricular nucleus of the hypothalamus descending division - lateral parvicellular part",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0014597"),
    synonyms=[
        "descending division",
        "lateral parvicellular part",
        "paraventricular hypothalamic nucleus",
        "paraventricular hypothalamic nucleus lateral parvicellular part",
        "paraventricular nucleus of the hypothalamus",
        "paraventricular nucleus of the hypothalamus descending division - lateral parvicellular part",
        "PVHlp",
    ],
)
UBERONParcellation.paraventricular_nucleus_of_the_hypothalamus_descending_division_medial_parvicellular_part_ventral_zone = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/paraventricularNucleusOfTheHypothalamusDescendingDivisionMedialParvicellularPartVentralZone",
    definition="'Paraventricular nucleus of the hypothalamus descending division - medial parvicellular part, ventral zone' is a regional part of brain. It is part of the paraventricular nucleus of the hypothalamus descending division.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0108506"),
    knowledge_space_link=IRI(
        "https://knowledge-space.org/wiki/UBERON:0014595#paraventricular-nucleus-of-the-hypothalamus-descending-division-medial-parvicellular-part-ventral-zone-1"
    ),
    name="paraventricular nucleus of the hypothalamus descending division - medial parvicellular part, ventral zone",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0014595"),
    synonyms=[
        "descending division",
        "medial parvicellular part",
        "paraventricular hypothalamic nucleus",
        "paraventricular hypothalamic nucleus medial parvicellular part",
        "paraventricular nucleus of the hypothalamus",
        "paraventricular nucleus of the hypothalamus descending division - medial parvicellular part",
        "PVHmpv",
        "ventral zone",
    ],
)
UBERONParcellation.paraventricular_nucleus_of_the_hypothalamus_magnocellular_division = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/paraventricularNucleusOfTheHypothalamusMagnocellularDivision",
    definition="'Paraventricular nucleus of the hypothalamus magnocellular division' is a regional part of brain. It is part of the paraventricular nucleus of hypothalamus.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0108507"),
    knowledge_space_link=IRI(
        "https://knowledge-space.org/wiki/UBERON:0014603#paraventricular-nucleus-of-the-hypothalamus-magnocellular-division-1"
    ),
    name="paraventricular nucleus of the hypothalamus magnocellular division",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0014603"),
    synonyms=[
        "magnocellular division",
        "paraventricular hypothalamic nucleus",
        "paraventricular hypothalamic nucleus magnocellular division",
        "paraventricular nucleus of the hypothalamus",
        "paraventricular nucleus of the hypothalamus magnocellular division",
        "PVHm",
    ],
)
UBERONParcellation.paraventricular_nucleus_of_the_hypothalamus_magnocellular_division_anterior_magnocellular_part = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/paraventricularNucleusOfTheHypothalamusMagnocellularDivisionAnteriorMagnocellularPart",
    definition="'Paraventricular nucleus of the hypothalamus magnocellular division - anterior magnocellular part' is a regional part of brain. It is part of the paraventricular nucleus of the hypothalamus magnocellular division.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0108508"),
    knowledge_space_link=IRI(
        "https://knowledge-space.org/wiki/UBERON:0014599#paraventricular-nucleus-of-the-hypothalamus-magnocellular-division-anterior-magnocellular-part-1"
    ),
    name="paraventricular nucleus of the hypothalamus magnocellular division - anterior magnocellular part",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0014599"),
    synonyms=[
        "anterior magnocellular part",
        "magnocellular division",
        "paraventricular hypothalamic nucleus",
        "paraventricular hypothalamic nucleus anterior magnocellular part",
        "paraventricular nucleus of the hypothalamus",
        "paraventricular nucleus of the hypothalamus magnocellular division - anterior magnocellular part",
        "PVHam",
    ],
)
UBERONParcellation.paraventricular_nucleus_of_the_hypothalamus_magnocellular_division_medial_magnocellular_part = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/paraventricularNucleusOfTheHypothalamusMagnocellularDivisionMedialMagnocellularPart",
    definition="'Paraventricular nucleus of the hypothalamus magnocellular division - medial magnocellular part' is a regional part of brain. It is part of the paraventricular nucleus of the hypothalamus magnocellular division.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0108509"),
    knowledge_space_link=IRI(
        "https://knowledge-space.org/wiki/UBERON:0014600#paraventricular-nucleus-of-the-hypothalamus-magnocellular-division-medial-magnocellular-part-1"
    ),
    name="paraventricular nucleus of the hypothalamus magnocellular division - medial magnocellular part",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0014600"),
    synonyms=[
        "magnocellular division",
        "medial magnocellular part",
        "paraventricular hypothalamic nucleus",
        "paraventricular hypothalamic nucleus medial magnocellular part",
        "paraventricular nucleus of the hypothalamus",
        "paraventricular nucleus of the hypothalamus magnocellular division - medial magnocellular part",
        "PVHmm",
    ],
)
UBERONParcellation.paraventricular_nucleus_of_the_hypothalamus_magnocellular_division_posterior_magnocellular_part = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/paraventricularNucleusOfTheHypothalamusMagnocellularDivisionPosteriorMagnocellularPart",
    definition="'Paraventricular nucleus of the hypothalamus magnocellular division - posterior magnocellular part' is a regional part of brain. It is part of the paraventricular nucleus of the hypothalamus magnocellular division.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0108510"),
    knowledge_space_link=IRI(
        "https://knowledge-space.org/wiki/UBERON:0014601#paraventricular-nucleus-of-the-hypothalamus-magnocellular-division-posterior-magnocellular-part-1"
    ),
    name="paraventricular nucleus of the hypothalamus magnocellular division - posterior magnocellular part",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0014601"),
    synonyms=[
        "magnocellular division",
        "paraventricular hypothalamic nucleus",
        "paraventricular hypothalamic nucleus posterior magnocellular part",
        "paraventricular nucleus of the hypothalamus",
        "paraventricular nucleus of the hypothalamus magnocellular division - posterior magnocellular part",
        "posterior magnocellular part",
        "PVHpm",
    ],
)
UBERONParcellation.paraventricular_nucleus_of_the_hypothalamus_magnocellular_division_posterior_magnocellular_part_lateral_zone = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/paraventricularNucleusOfTheHypothalamusMagnocellularDivisionPosteriorMagnocellularPartLateralZone",
    definition="'Paraventricular nucleus of the hypothalamus magnocellular division - posterior magnocellular part lateral zone' is a regional part of brain.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0108511"),
    knowledge_space_link=IRI(
        "https://knowledge-space.org/wiki/UBERON:0022791#paraventricular-nucleus-of-the-hypothalamus-magnocellular-division-posterior-magnocellular-part-lateral-zone-1"
    ),
    name="paraventricular nucleus of the hypothalamus magnocellular division - posterior magnocellular part lateral zone",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0022791"),
    synonyms=[
        "PVHpml",
        "paraventricular nucleus of the hypothalamus magnocellular division - posterior magnocellular part lateral zone",
    ],
)
UBERONParcellation.paraventricular_nucleus_of_the_hypothalamus_magnocellular_division_posterior_magnocellular_part_medial_zone = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/paraventricularNucleusOfTheHypothalamusMagnocellularDivisionPosteriorMagnocellularPartMedialZone",
    definition="'Paraventricular nucleus of the hypothalamus magnocellular division - posterior magnocellular part medial zone' is a regional part of brain.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0108512"),
    knowledge_space_link=IRI(
        "https://knowledge-space.org/wiki/UBERON:0022783#paraventricular-nucleus-of-the-hypothalamus-magnocellular-division-posterior-magnocellular-part-medial-zone-1"
    ),
    name="paraventricular nucleus of the hypothalamus magnocellular division - posterior magnocellular part medial zone",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0022783"),
    synonyms=[
        "PVHpmm",
        "paraventricular nucleus of the hypothalamus magnocellular division - posterior magnocellular part medial zone",
    ],
)
UBERONParcellation.paraventricular_nucleus_of_the_hypothalamus_parvicellular_division = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/paraventricularNucleusOfTheHypothalamusParvicellularDivision",
    definition="'Paraventricular nucleus of the hypothalamus parvicellular division' is a regional part of brain. It is part of the paraventricular nucleus of hypothalamus.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0108513"),
    knowledge_space_link=IRI(
        "https://knowledge-space.org/wiki/UBERON:0014604#paraventricular-nucleus-of-the-hypothalamus-parvicellular-division-1"
    ),
    name="paraventricular nucleus of the hypothalamus parvicellular division",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0014604"),
    synonyms=[
        "paraventricular hypothalamic nucleus",
        "paraventricular hypothalamic nucleus parvicellular division",
        "paraventricular nucleus of the hypothalamus",
        "paraventricular nucleus of the hypothalamus parvicellular division",
        "parvicellular division",
        "PVHp",
    ],
)
UBERONParcellation.paraventricular_organ = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/paraventricularOrgan",
    definition="Is a diencephalic nucleus. Is part of the caudal tuberculum. [auto-generated from properties of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_2000475) ('is_a' and 'relationship')]",
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:2000475#paraventricular-organ"),
    name="paraventricular organ",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_2000475"),
)
UBERONParcellation.paravermic_lobule_ii = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/paravermicLobuleII",
    definition="Is a paravermis lobule area. [auto-generated from 'is_a' property of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0028918)]",
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0028918#paravermic-lobule-ii"),
    name="paravermic lobule II",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0028918"),
    synonyms=["paravermic lobule ii"],
)
UBERONParcellation.paravermic_lobule_iii = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/paravermicLobuleIII",
    definition="Is a paravermis lobule area. [auto-generated from 'is_a' property of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0028919)]",
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0028919#paravermic-lobule-iii"),
    name="paravermic lobule III",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0028919"),
    synonyms=["paravermic lobule iii"],
)
UBERONParcellation.paravermic_lobule_iv = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/paravermicLobuleIV",
    definition="Is a paravermis lobule area. [auto-generated from 'is_a' property of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0028920)]",
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0028920#paravermic-lobule-iv"),
    name="paravermic lobule IV",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0028920"),
    synonyms=["paravermic lobule iv"],
)
UBERONParcellation.paravermic_lobule_ix = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/paravermicLobuleIX",
    definition="Is a paravermis lobule area. [auto-generated from 'is_a' property of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0028921)]",
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0028921#paravermic-lobule-ix"),
    name="paravermic lobule IX",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0028921"),
    synonyms=["paravermic lobule ix"],
)
UBERONParcellation.paravermic_lobule_v = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/paravermicLobuleV",
    definition="Is a paravermis lobule area. [auto-generated from 'is_a' property of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0028922)]",
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0028922#paravermic-lobule-v"),
    name="paravermic lobule V",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0028922"),
    synonyms=["paravermic lobule v"],
)
UBERONParcellation.paravermic_lobule_vi = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/paravermicLobuleVI",
    definition="Is a paravermis lobule area. [auto-generated from 'is_a' property of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0028923)]",
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0028923#paravermic-lobule-vi"),
    name="paravermic lobule VI",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0028923"),
    synonyms=["paravermic lobule vi"],
)
UBERONParcellation.paravermic_lobule_vii = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/paravermicLobuleVII",
    definition="Is a paravermis lobule area. [auto-generated from 'is_a' property of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0028924)]",
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0028924#paravermic-lobule-vii"),
    name="paravermic lobule VII",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0028924"),
    synonyms=["paravermic lobule vii"],
)
UBERONParcellation.paravermic_lobule_viii = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/paravermicLobuleVIII",
    definition="Is a paravermis lobule area. [auto-generated from 'is_a' property of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0028925)]",
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0028925#paravermic-lobule-viii"),
    name="paravermic lobule VIII",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0028925"),
    synonyms=["paravermic lobule viii"],
)
UBERONParcellation.paravermic_lobule_x = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/paravermicLobuleX",
    definition="Is a paravermis lobule area and flocculonodular lobe, hemisphere portion. Is part of the flocculus. [auto-generated from properties of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0036043) ('is_a' and 'relationship')]",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0724502"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0036043#paravermic-lobule-x"),
    name="paravermic lobule X",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0036043"),
)
UBERONParcellation.paravermis_lobule_area = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/paravermisLobuleArea",
    definition="'Paravermis lobule area' is a cerebellum hemisphere lobule. It is part of the paravermis parts of the cerebellar cortex.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0109876"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0027285#paravermis-lobule-area"),
    name="paravermis lobule area",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0027285"),
)
UBERONParcellation.paravermis_of_the_anterior_lobe_of_the_cerebellum = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/paravermisOfTheAnteriorLobeOfTheCerebellum",
    definition="Is a paravermis parts of the cerebellar cortex. [auto-generated from 'is_a' property of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0027310)]",
    knowledge_space_link=IRI(
        "https://knowledge-space.org/wiki/UBERON:0027310#paravermis-of-the-anterior-lobe-of-the-cerebellum"
    ),
    name="paravermis of the anterior lobe of the cerebellum",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0027310"),
    synonyms=["paravermis, anterior lobe portion"],
)
UBERONParcellation.paravermis_of_the_posterior_lobe_of_the_cerebellum = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/paravermisOfThePosteriorLobeOfTheCerebellum",
    definition="Is a paravermis parts of the cerebellar cortex. [auto-generated from 'is_a' property of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0027309)]",
    knowledge_space_link=IRI(
        "https://knowledge-space.org/wiki/UBERON:0027309#paravermis-of-the-posterior-lobe-of-the-cerebellum"
    ),
    name="paravermis of the posterior lobe of the cerebellum",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0027309"),
    synonyms=["paravermis, posterior lobe portion"],
)
UBERONParcellation.paravermis_parts_of_the_cerebellar_cortex = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/paravermisPartsOfTheCerebellarCortex",
    definition="'Paravermis parts of the cerebellar cortex' is a regional part of cerebellar cortex. It is part of the cerebellum intermediate zone.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0108525"),
    knowledge_space_link=IRI(
        "https://knowledge-space.org/wiki/UBERON:0025677#paravermis-parts-of-the-cerebellar-cortex"
    ),
    name="paravermis parts of the cerebellar cortex",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0025677"),
)
UBERONParcellation.parietal_cortex = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/parietalCortex",
    definition="'Parietal cortex' is a cortex of cerebral lobe. It is part of the parietal lobe.",
    description="Gray matter of the parietal region of the neocortex, located in the parietal lobe of gyrencephalic animals.  It is continuous anteriorly with the frontal cortex, posteriorly with the occipital cortex and medially with the insular cortex and with the temporal cortex on the posterior/inferior border.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0108533"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0016530#parietal-cortex"),
    name="parietal cortex",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0016530"),
    synonyms=["cortex of parietal lobe", "gray matter of parietal lobe", "parietal lobe cortex", "parietal neocortex"],
)
UBERONParcellation.parietal_lobe = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/parietalLobe",
    definition="Upper central part of the cerebral hemisphere. (MSH).",
    description="'Parietal lobe' is a lobe of cerebral hemisphere.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0108534"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0001872#parietal-lobe-1"),
    name="parietal lobe",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0001872"),
)
UBERONParcellation.parietal_organ = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/parietalOrgan",
    definition="Is part of the pineal complex. [auto-generated from 'relationship' property of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0004869)]",
    description="A part of the epithalamus present in some animal species. The eye may be photoreceptive and is usually associated with the pineal gland, regulating circadian rhythmicity and hormone production for thermoregulation. The parietal eye is a part of the epithalamus, which can be divided into two major parts; the epiphysis (the pineal organ, or pineal gland if mostly endocrine) and the parietal organ (often called the parietal eye, or third eye if it is photoreceptive). It arises as an anterior evagination of the pineal organ or as a separate outgrowth of the roof of the diencephalon. In some species, it protrudes through the skull. The parietal eye uses a different biochemical method of detecting light than rod cells or cone cells in a normal vertebrate eye. [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0004869)]",
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0004869#parietal-organ"),
    name="parietal organ",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0004869"),
    synonyms=["parietal eye"],
)
UBERONParcellation.parietooccipital_sulcus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/parietooccipitalSulcus",
    definition="Only a small part of the Parietooccipital Fissure (or parieto-occipital sulcus) is seen on the lateral surface of the hemisphere, its chief part being on the medial surface. The lateral part of the parietooccipital fissure (Fig. 726) is situated about 5 cm. in front of the occipital pole of the hemisphere, and measures about 1.25 cm. in length. The medial part of the parietooccipital fissure (Fig. 727) runs downward and forward as a deep cleft on the medial surface of the hemisphere, and joins the calcarine fissure below and behind the posterior end of the corpus callosum. In most cases it contains a submerged gyrus. [WP,unvetted].",
    description="'Parieto-occipital sulcus' is a subarachnoid sulcus.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0108536"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002695#parieto-occipital-sulcus-1"),
    name="parieto-occipital sulcus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002695"),
)
UBERONParcellation.pars_distalis_of_adenohypophysis = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/parsDistalisOfAdenohypophysis",
    definition="'Pars distalis of adenohypophysis' is part of the adenohypophysis.",
    description="The distal part of adenohypophysis: the part that makes up the main body of the gland.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0103335"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0006964#distal-part-of-hypophysis"),
    name="pars distalis of adenohypophysis",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0006964"),
    synonyms=[
        "anterior lobe",
        "DHP",
        "distal part of hypophysis",
        "distal part of the hypophysis",
        "pars anterior",
        "pars anterior of adenohypophysis",
        "pars distalis",
        "pars distalis (glandula pituitaria)",
        "pars distalis (hypophysis)",
        "pars distalis adenohypophyseos",
        "pars distalis adenohypophysis",
        "pars distalis lobi anterioris hypophyseos",
        "pars distalis of anterior lobe of pituitary gland",
        "pars glandularis",
        "pars glandularis of adenohypophysis",
    ],
)
UBERONParcellation.pars_intercerebralis = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/parsIntercerebralis",
    definition="'Pars intercerebralis' is a central nervous system cell part cluster. It is part of the brain.",
    description="A neurosecretory center of the insect brain, located along the anterior midline[wiktionary]. A medial cleft or depression dividing the left and right protocerebrum and containing numerous large and small somata of neurosecretory and neuromodulatory neurons[FBbt].",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0730302"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0001059#pars-intercerebralis"),
    name="pars intercerebralis",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0001059"),
)
UBERONParcellation.pars_postrema_of_ventral_lateral_nucleus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/parsPostremaOfVentralLateralNucleus",
    definition="'Pars postrema of ventral lateral nucleus' is a gray matter of diencephalon. It is part of the ventral lateral nucleus of thalamus.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0108545"),
    knowledge_space_link=IRI(
        "https://knowledge-space.org/wiki/UBERON:0002617#pars-postrema-of-ventral-lateral-nucleus-1"
    ),
    name="pars postrema of ventral lateral nucleus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002617"),
    synonyms=[
        "nucleus dorsointermedius externus magnocellularis (hassler)",
        "nucleus lateralis intermedius mediodorsalis situs postremus",
        "nucleus ventralis lateralis",
        "nucleus ventralis lateralis thalami",
        "pars postrema",
        "pars postrema of the ventral lateral nucleus",
        "posterodorsal part of ventral lateral posterior nucleus (Jones)",
        "ventral lateral nucleus (pars postrema)",
        "ventrolateral posterior thalamic nucleus",
        "ventrolateral preoptic nucleus",
        "VLP",
        "vLps",
    ],
)
UBERONParcellation.parvicellular_part_of_medial_dorsal_nucleus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/parvicellularPartOfMedialDorsalNucleus",
    definition="'Parvicellular part of medial dorsal nucleus' is a gray matter of diencephalon. It is part of the medial dorsal nucleus of thalamus and medial dorsal nucleus of thalamus.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0108559"),
    knowledge_space_link=IRI(
        "https://knowledge-space.org/wiki/UBERON:0002654#parvicellular-part-of-medial-dorsal-nucleus-1"
    ),
    name="parvicellular part of medial dorsal nucleus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002654"),
    synonyms=[
        "dorsomedial thalamic nucleus",
        "lateral mediodorsal nucleus",
        "lateral nucleus of medial dorsal nucleus of thalamus",
        "MDPC",
        "mediodorsal thalamic nucleus",
        "nucleus medialis dorsalis",
        "nucleus medialis dorsalis fasciculosis (Hassler)",
        "nucleus medialis dorsalis nucleus fasciculosis (Hassler)",
        "nucleus medialis dorsalis nucleus fasciculosus (Hassler)",
        "pars fasciculosa",
        "pars parvicellularis",
        "pars parvocellularis",
        "pars parvocellularis lateralis nuclei mediodorsalis thalami",
        "pars principalis nuclei ventralis anterior thalami",
        "parvicellular part",
        "parvicellular part of dorsomedial nucleus",
        "parvicellular part of medial dorsal nucleus",
        "parvicellular part of the medial dorsal nucleus",
        "parvocellular nucleus of medial dorsal nucleus of thalamus",
        "principal division of ventral anterior nucleus of thalamus",
    ],
)
UBERONParcellation.parvicellular_part_of_ventral_anterior_nucleus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/parvicellularPartOfVentralAnteriorNucleus",
    definition="'Parvicellular part of ventral anterior nucleus' is a gray matter of diencephalon. It is part of the ventral anterior nucleus of thalamus.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0108560"),
    knowledge_space_link=IRI(
        "https://knowledge-space.org/wiki/UBERON:0002937#parvicellular-part-of-ventral-anterior-nucleus-1"
    ),
    name="parvicellular part of ventral anterior nucleus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002937"),
    synonyms=[
        "nucleus ventralis anterior",
        "nucleus ventralis anterior (DeWulf)",
        "pars parvicellularis",
        "pars parvocellularis",
        "parvicellular part",
        "parvicellular part of the ventral anterior nucleus",
        "VAPC",
        "ventral anterior nucleus",
        "ventral anterior thalamic nucleus",
        "ventralis anterior (Jones)",
    ],
)
UBERONParcellation.parvicellular_part_of_ventral_posteromedial_nucleus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/parvicellularPartOfVentralPosteromedialNucleus",
    definition="'Parvicellular part of ventral posteromedial nucleus' is a gray matter of diencephalon. It is part of the ventral posteromedial nucleus of thalamus.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0108561"),
    knowledge_space_link=IRI(
        "https://knowledge-space.org/wiki/UBERON:0003018#parvicellular-part-of-ventral-posteromedial-nucleus-1"
    ),
    name="parvicellular part of ventral posteromedial nucleus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0003018"),
    synonyms=[
        "gustatory nucleus (thalamus)",
        "gustatory thalamic nucleus",
        "nucleus ventralis posterior medialis",
        "nucleus ventralis posterior medialis thalami",
        "pars parvicellularis",
        "pars parvicellularis nuclei ventralis posteromedialis thalami",
        "pars parvocellularis",
        "parvicellular part",
        "parvicellular part of the ventral posteromedial nucleus",
        "parvicellular part of ventral posteromedial nucleus of thalamus",
        "parvocellular part",
        "thalamic gustatory area",
        "thalamic gustatory relay",
        "thalamic taste relay",
        "ventral posteromedial nucleus",
        "ventral posteromedial nucleus of thalamus",
        "ventral posteromedial nucleus of the thalamus",
        "ventral posteromedial nucleus of the thalamus parvicellular part",
        "ventral posteromedial thalamic nucleus",
        "ventroposterior medial thalamic nucleus",
        "ventroposteromedial nucleus of the thalamus",
        "ventroposteromedial nucleus of the thalamus parvicellular part",
        "VPMPC",
    ],
)
UBERONParcellation.parvocellular_oculomotor_nucleus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/parvocellularOculomotorNucleus",
    definition="'Parvocellular oculomotor nucleus' is a brainstem nucleus and midbrain nucleus. It is part of the midbrain tegmentum.",
    description="Nucleus that is part of the oculomotor nerve complex consisting of preganglionic parasympathetic neurons situated close to the midline at the level of the superior colliculus (Heimer, the Human Brain and Spinal Cord, 1994, pg 244).",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0108563"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002141#parvocellular-oculomotor-nucleus-1"),
    name="parvocellular oculomotor nucleus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002141"),
)
UBERONParcellation.parvocellular_part_of_red_nucleus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/parvocellularPartOfRedNucleus",
    definition="'Parvocellular part of red nucleus' is a gray matter of midbrain. It is part of the red nucleus.",
    description="Rostral portion of the red nucleus, located in the midbrain but originated from the diencephalon. Contains both large and small cells.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0108564"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002938#parvocellular-part-of-red-nucleus-1"),
    name="parvocellular part of red nucleus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002938"),
    synonyms=[
        "neoruber",
        "neorubrum",
        "nucleus ruber",
        "nucleus ruber parvocellularis",
        "pars parvocellularis",
        "pars parvocellularis (ruber)",
        "pars parvocellularis nuclei rubri",
        "parvicellular part",
        "parvocellular part",
        "parvocellular part of the red nucleus",
        "parvocellular red nucleus",
        "red nucleus",
        "red nucleus parvicellular part",
        "RPC",
    ],
)
UBERONParcellation.pedunculopontine_tegmental_nucleus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/pedunculopontineTegmentalNucleus",
    definition="The pedunculopontine nucleus (PPN) (or pedunculopontine tegmental nucleus, PPTN) is located in the brainstem, caudal to the substantia nigra and adjacent to the superior cerebellar peduncle. It is composed by a wide variety of neurochemical cell types, including cholinergic, glutamatergic and GABAergic cells. In the classical sense, the PPN is considered to be one of the main components of the reticular activating system. [WP,unvetted].",
    description="'Pedunculopontine tegmental nucleus' is a nucleus of midbrain reticular formation.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0108643"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002142#pedunculopontine-tegmental-nucleus-1"),
    name="pedunculopontine tegmental nucleus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002142"),
)
UBERONParcellation.periamygdaloid_area = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/periamygdaloidArea",
    definition="'Periamygdaloid area' is a cerebral hemisphere gray matter. It is part of the parahippocampal gyrus.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0108715"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002656#periamygdaloid-area-1"),
    name="periamygdaloid area",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002656"),
    synonyms=[
        "cortical amygdaloid nucleus",
        "gyrus semilunaris",
        "Para-amygdaloid cortex",
        "periamygdalar area",
        "periamygdaloid area",
        "periamygdaloid cortex",
        "periamygdaloid region",
        "posterior amygdalar nucleus",
        "posterior nucleus of the amygdala",
        "regio periamygdalaris",
        "semilunar gyrus",
        "ventral cortical nucleus of amygdala",
    ],
)
UBERONParcellation.periamygdaloid_cortex = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/periamygdaloidCortex",
    definition="'Periamygdaloid cortex' is a regional part of brain. It is part of the cerebral cortex and corticomedial nuclear complex.",
    description="Is located ventral to the basal nucleus and has three subdivisions: the periamygdaloid cortex, the medial division, and the sulcal division.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0108716"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0014537#periamygdaloid-cortex-1"),
    name="periamygdaloid cortex",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0014537"),
    synonyms=["periamygdaloid area", "periamygdaloid cortex"],
)
UBERONParcellation.pericalcarine_cortex = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/pericalcarineCortex",
    definition="'Pericalcarine cortex' is a regional part of brain. It is part of the parietal lobe.",
    description="Component of the parietal lobe.  The rostral boundary of the pericalcarine cortex was the first appearance of the calcarine sulcus whereas the caudal boundary was the most posterior coronal slice where the calcarine sulcus was visualized. The medial and lateral boundaries were the medial portion of the temporal and occipital cortices and the inferomedial end of the calcarine sulcus respectively (Christine Fennema-Notestine).",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0108719"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0022534#pericalcarine-cortex-1"),
    name="pericalcarine cortex",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0022534"),
    synonyms=["pericalcarine cortex"],
)
UBERONParcellation.pericentral_nucleus_of_inferior_colliculus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/pericentralNucleusOfInferiorColliculus",
    definition="'Pericentral nucleus of inferior colliculus' is a nucleus of midbrain tectum. It is part of the inferior colliculus.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0108720"),
    knowledge_space_link=IRI(
        "https://knowledge-space.org/wiki/UBERON:0002577#pericentral-nucleus-of-inferior-colliculus-1"
    ),
    name="pericentral nucleus of inferior colliculus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002577"),
    synonyms=[
        "cortex of inferior colliculus",
        "dorsal cortex of the inferior colliculus",
        "dorsal nucleus",
        "inferior colliculus",
        "nucleus pericentralis (colliculi inferioris)",
        "nucleus pericentralis colliculi inferioris",
        "pericentral nucleus of the inferior colliculus",
    ],
)
UBERONParcellation.periolivary_nucleus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/periolivaryNucleus",
    definition="'Periolivary nucleus' is a nucleus of superior olivary complex.",
    description="A nucleus of the superior olivary complex that surrounds the primary superior olivary nuclei",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0108729"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002971#periolivary-nucleus-1"),
    name="periolivary nucleus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002971"),
    synonyms=[
        "nuclei periolivares",
        "nucleus periolivaris",
        "peri-olivary nuclei",
        "peri-olivary nucleus",
        "periolivary nuclei",
        "periolivary region",
        "POI",
        "superior olivary complex periolivary region",
    ],
)
UBERONParcellation.peripeduncular_nucleus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/peripeduncularNucleus",
    definition="'Peripeduncular nucleus' is a brainstem nucleus, nucleus of midbrain tegmentum and midbrain nucleus. It is part of the midbrain tegmentum.",
    description="A group of neuron cell bodies that form a thin, caplike configuration over the dorsolateral aspect of the crus cerebri; many of its cells are acetylcholinesterase positive.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0108731"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002144#peripeduncular-nucleus-1"),
    name="peripeduncular nucleus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002144"),
)
UBERONParcellation.perirhinal_cortex = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/perirhinalCortex",
    definition="'Perirhinal cortex' is a regional part of brain. It is part of the cerebral cortex.",
    description="Region of cortex near to the rhinal sulcus.  It is defined differently in different nomenclatures, due in part to the lack of agreement on the definition of the border of this region.  In the rat, the perirhinal cortex occupies only caudal levels of the rhinal sulcus while in the monkey, it occurpies the full rostrocaudal extent of the rhinal sulcus (Burwell et al., Hippocampus, 5:  390-408, 1995).",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0108747"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0006083#perirhinal-cortex"),
    name="perirhinal cortex",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0006083"),
    synonyms=["area perirhinalis", "Brodmann's area 35", "perihinal area", "perirhinal area", "perirhinal cortex"],
)
UBERONParcellation.peritrigeminal_nucleus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/peritrigeminalNucleus",
    definition="'Peritrigeminal nucleus' is a nucleus of medulla oblongata.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0108752"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002879#peritrigeminal-nucleus-1"),
    name="peritrigeminal nucleus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002879"),
    synonyms=["Pe5", "nucleus peritrigeminalis"],
)
UBERONParcellation.pineal_body = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/pinealBody",
    definition="'Pineal body' is a gland of diencephalon and secretory circumventricular organ. It is part of the pineal complex.",
    description="A midline, cone like structure located in the dorso-caudal roof of the 3rd ventricle, attached by peduncles to the habenular and posterior commissures. The stalk contains nerve fibers, blood vessels, connective tissue and parenchymal cells (Paxinos, The Rat Central Nervous System, 2nd ed, pg 399).",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0108891"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0001905#pineal-body-1"),
    name="pineal body",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0001905"),
)
UBERONParcellation.pineal_recess_of_third_ventricle = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/pinealRecessOfThirdVentricle",
    definition="Is an anatomical entity. Is part of the third ventricle. [auto-generated from properties of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0022283) ('is_a' and 'relationship')]",
    description="The diverticulum of the thin roof of the dorsocaudal third ventricle that projects into the stalk of the pineal gland. [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0022283)]",
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0022283#pineal-recess-of-third-ventricle"),
    name="pineal recess of third ventricle",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0022283"),
    synonyms=["pineal recess", "pineal recess of 3V", "recessus pinealis"],
)
UBERONParcellation.pineal_tract = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/pinealTract",
    definition="Is a central nervous system cell part cluster and cranial neuron projection bundle. Is part of the epiphyseal tract. [auto-generated from properties of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0034715) ('is_a' and 'relationship')]",
    description="A cranial nerve fiber tract that innervates the pineal body. [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0034715)]",
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0034715#pineal-tract"),
    name="pineal tract",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0034715"),
)
UBERONParcellation.piriform_cortex = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/piriformCortex",
    definition="Prepyriform area (or prepiriform cortex) is a portion of the rhinencephalon consisting of paleocortex. Some sources state that it is part of the primary olfactory cortex.",
    description="'Piriform cortex' is a regional part of brain. It is part of the olfactory cortex.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0109236"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0004725#piriform-cortex-1"),
    name="piriform cortex",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0004725"),
    synonyms=[
        "(pre-)piriform cortex",
        "area prepiriformis",
        "cortex piriformis",
        "eupalaeocortex",
        "gyrus olfactorius lateralis",
        "lateral olfactory gyrus",
        "olfactory pallium",
        "palaeocortex II",
        "paleopallium",
        "piriform area",
        "piriform cortex",
        "piriform cortex (Price)",
        "piriform lobe",
        "piriform olfactory cortex",
        "prepiriform cortex",
        "prepiriform region",
        "prepyriform cortex",
        "primary olfactory areas",
        "primary olfactory cortex",
        "pyriform area",
        "pyriform cortex",
        "pyriform lobe",
        "regio praepiriformis",
    ],
)
UBERONParcellation.piriform_cortex_layer1a = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/piriformCortexLayer1a",
    definition="'Piriform cortex layer 1a' is a central nervous system cell part cluster and nervous system cell part layer. It is part of the piriform cortex layer 1.",
    description="Superficial part of plexiform layer (layer 1) of piriform cortex that receives afferents from the olfactory bulb by way of the lateral olfactory tract.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0108922"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0023900#piriform-cortex-layer-1a-1"),
    name="piriform cortex layer 1a",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0023900"),
    synonyms=["piriform cortex layer 1a"],
)
UBERONParcellation.piriform_cortex_layer1b = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/piriformCortexLayer1b",
    definition="'Piriform cortex layer 1b' is a central nervous system cell part cluster and nervous system cell part layer. It is part of the piriform cortex layer 1.",
    description="Deeper part of the plexiform (layer 1) of piriform cortex characterized by projection of association fibers from other parts of the piriform cortex and other olfactory areas",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0108923"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0023901#piriform-cortex-layer-1b-1"),
    name="piriform cortex layer 1b",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0023901"),
    synonyms=["piriform cortex layer 1b"],
)
UBERONParcellation.pituitary_gland = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/pituitaryGland",
    definition="'Pituitary gland' is a gland of diencephalon and neuroendocrine gland.",
    description="The pituitary gland is an endocrine gland that secretes hormones that regulate many other glands [GO]. An endocrine gland located ventral to the diencephalon and derived from mixed neuroectodermal and non neuroectodermal origin [ZFIN].",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0105172"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0000007#hypophysis"),
    name="pituitary gland",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0000007"),
    synonyms=[
        "glandula pituitaria",
        "Hp",
        "hypophysis",
        "hypophysis cerebri",
        "pituitary",
        "pituitary body",
        "pituitary gland",
    ],
)
UBERONParcellation.pituitary_stalk = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/pituitaryStalk",
    definition="'Pituitary stalk' is a regional part of brain. It is part of the neurohypophysis and neurohypophysis.",
    description="The apical portion of the tubular structure extending from the hypothalamus to the posterior lobe of the pituitary gland",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0105483"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002434#infundibular-stem"),
    name="pituitary stalk",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002434"),
    synonyms=[
        "hypophyseal Infundibulum",
        "hypophyseal stalk",
        "hypophysial stalk",
        "InfS",
        "infundibular stalk",
        "infundibular stem",
        "infundibular stem of neurohypophysis",
        "infundibulum",
        "infundibulum (lobus posterior) (glandula pituitaria)",
        "infundibulum hypophysis",
        "infundibulum neurohypophyseos",
        "infundibulum of hypothalamus",
        "infundibulum of neurohypophysis",
        "infundibulum of pituitary gland",
        "infundibulum of posterior lobe of pituitary gland",
        "neurohypophysis infundibulum",
        "pars tuberalis (hypophysis)",
        "pituitary infundibular stalk",
        "THP",
        "tuberal part of hypophysis",
        "tuberal part of the hypophysis",
    ],
)
UBERONParcellation.planum_polare = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/planumPolare",
    definition="'Planum polare' is a regional part of brain. It is part of the superior temporal gyrus.",
    description="A portion of the superior temporal gyrus near the temporal pole in the human.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0108976"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0023861#planum-polare-1"),
    name="planum polare",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0023861"),
    synonyms=["planum polare"],
)
UBERONParcellation.pons = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/pons",
    definition="'Pons' is a regional part of brain. It is part of the metencephalon and brainstem.",
    description="The part of the central nervous system lying between the medulla oblongata and the mesencephalon, ventral to the cerebellum, and consisting of a pars dorsalis and a pars ventralis. (MeSH) The ventral topographic division of the hindbrain; the dorsal topographic division is the cerebellum. The middle cerebellar peduncle on the periphery of the macrodissected adult human pons ('bridge' in English) was identified by Varolio (1573, Fig. I, f. 17v; also see Clarke & O'Malley 1996, pp. 634-635, 821). Collins (1685, see Tab. 48-L, his caudex of medulla oblongata) identified the pons as defined here, and Haller (1747, see translation by Mihles, 1754, pp. 287, 296) provided the term itself. Pons Varolii (Bell, 1802) is a synonym.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0109019"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0000988#pons-1"),
    name="pons",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0000988"),
    synonyms=["Metencephalon", "pons cerebri", "pons of Varolius", "pons Varolii"],
)
UBERONParcellation.pons_reticulospinal_tract = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/ponsReticulospinalTract",
    definition="Is an axon tract. [auto-generated from 'is_a' property of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0004172)]",
    description="Axon tract that carries efferent (outgoing) action potentials from the cell body in the pons towards target cells in the spinal cord. [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0004172)]",
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0004172#pons-reticulospinal-tract"),
    name="pons reticulospinal tract",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0004172"),
)
UBERONParcellation.pontine_nuclear_group = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/pontineNuclearGroup",
    definition="'Pontine nuclear group' is a brainstem nucleus and hindbrain nucleus. It is part of the basal part of pons.",
    description="Nuclei in the basal pons, intermingled among the descending axons from the cortex, that receive neocrotcial input and give rise to many axons that cross the midline to enter the contralateral cerebellum (Butler and Hodos, Comparative Vertebrate Neuroanatomy, 2nd ed., 2005, pg 135)",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0109028"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002151#pontine-nuclear-complex"),
    name="pontine nuclear group",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002151"),
    synonyms=[
        "nuclei brachii pontis",
        "nuclei pontis",
        "nucleus pontis",
        "Pn",
        "pontine gray",
        "pontine gray matter",
        "pontine grey matter",
        "pontine nuclear complex",
        "pontine nuclear group",
        "pontine nuclei",
        "pontine nucleus",
    ],
)
UBERONParcellation.pontine_raphe_nucleus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/pontineRapheNucleus",
    definition="'Pontine raphe nucleus' is a brainstem nucleus and hindbrain nucleus. It is part of the pontine tegmentum and raphe nuclei.",
    description="The pontine raphe nucleus is one of the raphe nuclei. It is located in the pontine tegmentum. [WP,unvetted].",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0109029"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002047#pontine-raphe-nucleus-1"),
    name="pontine raphe nucleus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002047"),
    synonyms=[
        "nucleus raphe pontis",
        "nucleus raphes pontis",
        "PnR",
        "raphe (mediana pontina)",
        "raphe of pons",
        "raphe pontis",
        "raphe pontis nucleus",
    ],
)
UBERONParcellation.pontine_reticular_formation = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/pontineReticularFormation",
    definition="'Pontine reticular formation' is a nuclear complex of neuraxis and gray matter of hindbrain. It is part of the reticular formation and pontine tegmentum.",
    description="The reticular formation is a part of the brain that is involved in actions such as awaking/sleeping cycle, and filtering incoming stimuli to discriminate irrelevant background stimuli. It is essential for governing some of the basic functions of higher organisms, and is one of the phylogenetically oldest portions of the brain. [WP,unvetted].",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0109030"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002573#pontine-reticular-formation-1"),
    name="pontine reticular formation",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002573"),
    synonyms=[
        "formatio reticularis pontis",
        "pons of varolius reticular formation",
        "pons reticular formation",
        "pontine reticular nucleus",
        "pontine reticular nucleus rostral part",
        "pontine reticulotegmental nucleus",
        "reticular formation of pons",
        "reticular formation of pons of varolius",
    ],
)
UBERONParcellation.pontine_tegmentum = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/pontineTegmentum",
    definition="'Pontine tegmentum' is part of the pons.",
    description="Dorsal portion of the pons, containing cranial nervee nuclei, ascending and descending tracts and reticular nuclei.  It is continuous with the reticular formation of the medulla (Carpenter, A Core Text of Neuroanatomy, 3rd ed, 1985, pg 133).",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0109034"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0003023#pontine-tegmentum-1"),
    name="pontine tegmentum",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0003023"),
    synonyms=[
        "dorsal pons",
        "dorsal portion of pons",
        "pars dorsalis pontis",
        "pars posterior pontis",
        "tegmental portion of pons",
        "tegmentum of pons",
        "tegmentum pontis",
    ],
)
UBERONParcellation.pontobulbar_nucleus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/pontobulbarNucleus",
    definition="'Pontobulbar nucleus' is a nucleus of medulla oblongata.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0109035"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002880#pontobulbar-nucleus-1"),
    name="pontobulbar nucleus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002880"),
    synonyms=[
        "corpus pontobulbare",
        "nucleus of circumolivary bundle",
        "nucleus pontobulbaris",
        "PnB",
        "pontobulbar body",
    ],
)
UBERONParcellation.pontocerebellar_tract = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/pontocerebellarTract",
    definition="Is a tract of brain. Is part of the middle cerebellar peduncle. [auto-generated from properties of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0022421) ('is_a' and 'relationship')]",
    description="The second order neuron fibers of the corticopontocerebellar tracts that cross to the other side of the pons and run within the middle cerebellar peduncles, from the pons to the contralateral cerebellum. [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0022421)]",
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0022421#pontocerebellar-tract"),
    name="pontocerebellar tract",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0022421"),
    synonyms=[
        "fibrae pontocerebellaris",
        "pontine crossing tract",
        "pontocerebellar fibers",
        "tractus pontocerebellaris",
    ],
)
UBERONParcellation.postcentral_gyrus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/postcentralGyrus",
    definition="'Postcentral gyrus' is a gyrus. It is part of the parietal lobe.",
    description="Component of the parietal lobe.  The appearance and disappearance of the central sulcus were the rostral and caudal boundaries of the postcentral gyrus respectively.  The medial and lateral boundaries were the lateral bank of the precentral gyrus and the lateral fissure and/or the medial bank of the superior parietal gyrus respectively (Christine Fennema-Notestine).",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0109070"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002581#postcentral-gyrus-1"),
    name="postcentral gyrus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002581"),
    synonyms=[
        "gyrus centralis posterior",
        "gyrus postcentralis",
        "post central gyrus",
        "postcentral convolution",
        "posterior central gyrus",
        "postrolandic gyrus",
        "somatosensory cortex",
    ],
)
UBERONParcellation.postcentral_sulcus_of_parietal_lobe = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/postcentralSulcusOfParietalLobe",
    definition="The postcentral sulcus of the parietal lobe lies parallel to, and behind, the central sulcus in the human brain. (A sulcus is one of the prominent grooves on the surface of the brain. ) The postcentral sulcus divides the postcentral gyrus from the remainder of the parietal lobe. [WP,unvetted].",
    description="'Postcentral sulcus of parietal lobe' is a sulcus of parietal lobe.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0109071"),
    name="postcentral sulcus of parietal lobe",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002915"),
)
UBERONParcellation.postcommissural_fornix_of_brain = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/postcommissuralFornixOfBrain",
    definition="Is a tract of diencephalon. Is part of the fornix of brain and the lateral hypothalamic area. [auto-generated from properties of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0003016) ('is_a' and 'relationship')]",
    description="The posterior fibers of the fornix, which continue through the hypothalamus to the mammillary bodies; then to the anterior nuclei of thalamus, which project to the cingulate cortex. [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0003016)]",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0109072"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0003016#postcommissural-fornix"),
    name="postcommissural fornix of brain",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0003016"),
    synonyms=["fornix (entering Corpus mamillare)", "postcommissural fornix"],
)
UBERONParcellation.posterior_cingulate_cortex = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/posteriorCingulateCortex",
    definition="'Posterior cingulate cortex' is a regional part of brain. It is part of the cingulate cortex.",
    description="Component of the cingulate cortex. The rostral and caudal extent were the caudal anterior and the isthmus divisions of the cingulate cortex respectively. The medial and lateral boundaries were the corpus callosum and as the superior frontal gyrus and/or paracentral lobule respectively (Christine Fennema-Notestine).",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0109087"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0022353#posterior-cingulate-cortex-1"),
    name="posterior cingulate cortex",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0022353"),
    synonyms=[
        "cingulate gyrus",
        "posterior cingular cortex",
        "posterior cingulate",
        "posterior cingulate cortex",
        "posterior division",
    ],
)
UBERONParcellation.posterior_cingulate_gyrus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/posteriorCingulateGyrus",
    definition="'Posterior cingulate gyrus' is a gyrus. It is part of the cingulate gyrus.",
    description="The posterior cingulate cortex is the backmost part of the cingulate cortex, lying behind the anterior cingulate cortex. This is the upper part of the 'limbic lobe'. The cingulate cortex is made up of an area around the midline of the brain. Surrounding areas include the retrosplenial cortex and the precuneus. Cytoarchitectonically posterior cingulate cortex is associated with Brodmann areas 23 and 31. [WP,unvetted].",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0109088"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002740#posterior-cingulate-gyrus-1"),
    name="posterior cingulate gyrus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002740"),
    synonyms=[
        "cGp",
        "gyrus cinguli posterior",
        "gyrus limbicus posterior",
        "PCgG",
        "posterior cingulate",
        "posterior cingulate gyrus",
    ],
)
UBERONParcellation.posterior_column_of_fornix = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/posteriorColumnOfFornix",
    definition="'Posterior column of fornix' is a neuron projection bundle and central nervous system cell part cluster. It is part of the fornix of brain.",
    description="Part of fornix adjacent to the fimbria comprising flattened bands of fibers that extend from the fimbria, running underneath the corpus callosum",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0109089"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0006115#posterior-column-of-fornix-1"),
    name="posterior column of fornix",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0006115"),
    synonyms=[
        "crus fornicis",
        "crus of fornix",
        "crus posterius",
        "fornix",
        "posterior column of fornix",
        "posterior column of fornix of forebrain",
        "posterior crus of fornix",
        "posterior pillar of fornix",
    ],
)
UBERONParcellation.posterior_commissure = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/posteriorCommissure",
    definition="Is a commissure of diencephalon. Is part of the diencephalic white matter. [auto-generated from properties of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0000936) ('is_a' and 'relationship')]",
    description="Rounded band of white fibers crossing the middle line on the dorsal aspect of the upper end of the cerebral aqueduct. It is important in the bilateral pupillary light reflex. Its fibers acquire their medullary sheaths early, but their connections have not been definitely determined. Most of them have their origin in a nucleus, the nucleus of the posterior commissure (nucleus of Darkschewitsch), which lies in the central gray substance of the upper end of the cerebral aqueduct, in front of the nucleus of the oculomotor nerve. Some are probably derived from the posterior part of the thalamus and from the superior colliculus, whereas others are believed to be continued downward into the medial longitudinal fasciculus. The posterior commissure interconnects the pretectal nuclei, mediating the consensual pupillary light reflex. Diencephalic tract which is located in the vicinity of the dorsal diencephalon and mesencephalon and connects the pretectal nuclei. From Neuroanatomy of the Zebrafish Brain. [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0000936)]",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0109090"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0000936#posterior-commissure-1"),
    name="posterior commissure",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0000936"),
    synonyms=["caudal commissure", "epithalamic commissure"],
)
UBERONParcellation.posterior_horn_lateral_ventricle = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/posteriorHornLateralVentricle",
    definition="Is a telencephalic ventricle. [auto-generated from 'is_a' property of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0004672)]",
    description="Part of the lateral ventricle that extends posteriorly into the occipital lobe. [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0004672)]",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0109097"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0004672#posterior-horn-lateral-ventricle-1"),
    name="posterior horn lateral ventricle",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0004672"),
    synonyms=[
        "cornu occipitale (ventriculi lateralis)",
        "cornu occipitale ventriculi lateralis",
        "cornu posterius (ventriculi lateralis)",
        "cornu posterius ventriculi lateralis",
        "occipital horn",
        "occipital horn of lateral ventricle",
        "posterior horn of lateral ventricle",
        "posterior horn of the lateral ventricle",
        "ventriculus lateralis, cornu occipitale",
        "ventriculus lateralis, cornu posterius",
    ],
)
UBERONParcellation.posterior_hypothalamic_region = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/posteriorHypothalamicRegion",
    definition="'Posterior hypothalamic region' is a regional part of brain. It is part of the hypothalamus.",
    description="The part of the hypothalamus posterior to the middle region consisting of several nuclei including the medial mamillary nucleus, lateral mamillary nucleus, and posterior hypothalamic nucleus (posterior hypothalamic area). The posterior hypothalamic area is concerned with control of sympathetic responses and is sensitive to conditions of decreasing temperature and controls the mechanisms for the conservation and increased production of heat.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0109099"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002770#posterior-hypothalamic-region-1"),
    name="posterior hypothalamic region",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002770"),
    synonyms=[
        "hypothalamus posterior",
        "mammillary level of hypothalamus",
        "mammillary region",
        "PHR",
        "posterior hypothalamus",
        "regio hypothalamica posterior",
    ],
)
UBERONParcellation.posterior_limb_of_internal_capsule = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/posteriorLimbOfInternalCapsule",
    definition="'Posterior limb of internal capsule' is a limb of internal capsule of telencephalon.",
    description="Portion of internal capsule lying between the globus pallidus and the thalamus (Nolte, The Human Brain, 6th ed., 2009, pg 409, modified by MM)",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0109100"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0014527#posterior-limb-of-internal-capsule-1"),
    name="posterior limb of internal capsule",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0014527"),
    synonyms=[
        "capsula interna",
        "crus posterius capsulae internae",
        "pars posterior",
        "posterior internal capsule",
        "posterior limb",
        "posterior limb of the internal capsule",
    ],
)
UBERONParcellation.posterior_lobe_of_cerebellum = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/posteriorLobeOfCerebellum",
    definition="Is a cerebellum lobe. [auto-generated from 'is_a' property of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0004002)]",
    description="The region of the cerebellum that is posterior to the primary fissure and anterior to the posteriolateral fissure. [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0004002)]",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0109103"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0004002#posterior-lobe-of-the-cerebellum"),
    name="posterior lobe of cerebellum",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0004002"),
    synonyms=[
        "cerebellar posterior lobe",
        "cerebellum posterior lobe",
        "middle lobe-1 of cerebellum",
        "posterior cerebellar lobe",
        "posterior lobe of the cerebellum",
        "posterior lobe-1 of cerebellum",
    ],
)
UBERONParcellation.posterior_median_eminence = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/posteriorMedianEminence",
    definition="'Posterior median eminence' is a regional part of brain. It is part of the median eminence of neurohypophysis.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0109104"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002652#posterior-median-eminence-1"),
    name="posterior median eminence",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002652"),
    synonyms=["PME", "eminentia mediana posterior"],
)
UBERONParcellation.posterior_mesencephalic_central_artery = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/posteriorMesencephalicCentralArtery",
    definition="Is a central artery. [auto-generated from 'is_a' property of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_2005079)]",
    description="Project dorsally from BCA to irrigate the caudal part of midbrain Isogai et al. 2001. [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_2005079)]",
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:2005079#posterior-mesencephalic-central-artery"),
    name="posterior mesencephalic central artery",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_2005079"),
    synonyms=["caudal mesencephalic central artery", "PMCtA"],
)
UBERONParcellation.posterior_nuclear_complex_of_thalamus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/posteriorNuclearComplexOfThalamus",
    definition="'Posterior nuclear complex of thalamus' is a nuclear complex of neuraxis and gray matter of diencephalon. It is part of the dorsal thalamus.",
    description="Part of thalamus comprising ill defined cellular groups in the caudal thalamus at the meso-diencephalic junction.  It is not a homogeneous structure but consists of several distinct cellular groups, including the suprageniculate and limitans nuclei, the magnocellular division of the medial geniculate body, portions of the pulvinar nucleus and an area of mixed cell types intercalated between the ventroposterior nucleus and the nucleus lateral posterior (Brodal, Neurological Anatomy, 3rd ed., 1981, pg 97)",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0109109"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002709#posterior-nuclear-complex"),
    name="posterior nuclear complex of thalamus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002709"),
    synonyms=[
        "caudal thalamic nucleus",
        "nuclei posteriores thalami",
        "parieto-occipital",
        "PNC",
        "posterior complex of thalamus",
        "posterior complex of the thalamus",
        "posterior nuclear complex",
        "posterior nuclear complex of thalamus",
        "posterior nuclear group of thalamus",
        "posterior nucleus of dorsal thalamus",
        "posterior thalamic nuclear group",
        "posterior thalamic nucleus",
    ],
)
UBERONParcellation.posterior_nucleus_of_hypothalamus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/posteriorNucleusOfHypothalamus",
    definition="'Posterior nucleus of hypothalamus' is a hypothalamic nucleus. It is part of the posterior hypothalamic region.",
    description="The posterior nucleus of the hypothalamus is one of the many nuclei that make up the hypothalamic region of the brain. Its function is thermoregulation (heating) of the body. Damage or destruction of this nucleus causes hypothermia.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0109110"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002706#posterior-nucleus-of-hypothalamus-1"),
    name="posterior nucleus of hypothalamus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002706"),
    synonyms=[
        "area hypothalamica posterior",
        "area posterior hypothalami",
        "nucleus hypothalamicus posterior",
        "nucleus posterior hypothalami",
        "PH",
        "posterior hypothalamic area",
        "posterior hypothalamic nucleus",
        "posterior nucleus",
        "posterior nucleus of the hypothalamus",
    ],
)
UBERONParcellation.posterior_nucleus_of_thalamus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/posteriorNucleusOfThalamus",
    definition="'Posterior nucleus of thalamus' is a nucleus of dorsal thalamus. It is part of the posterior nuclear complex of thalamus.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0109111"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0003030#posterior-nucleus-of-thalamus-1"),
    name="posterior nucleus of thalamus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0003030"),
    synonyms=[
        "caudal thalamic nucleus",
        "nucleus posterior thalami",
        "nucleus thalami posterior",
        "posterior nucleus of the thalamus",
        "PTh",
    ],
)
UBERONParcellation.posterior_orbital_gyrus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/posteriorOrbitalGyrus",
    definition="'Posterior orbital gyrus' is an orbital gyrus.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0109112"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002575#posterior-orbital-gyrus-1"),
    name="posterior orbital gyrus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002575"),
    synonyms=[""],
)
UBERONParcellation.posterior_parahippocampal_gyrus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/posteriorParahippocampalGyrus",
    definition="'Posterior parahippocampal gyrus' is a gyrus. It is part of the parahippocampal gyrus.",
    description="The posterior parahippocampal gyrus is a portion of the parahippocampal gyrus. It can show deterioration in Alzheimer's disease.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0109113"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002657#posterior-parahippocampal-gyrus-1"),
    name="posterior parahippocampal gyrus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002657"),
    synonyms=[
        "gyrus parahippocampalis",
        "parahippocampal gyrus",
        "parahippocampal gyrus (amaral)",
        "parahippocampal gyrus (Insausti)",
        "pars posterior",
        "pHp",
        "posterior division",
        "posterior parahippocampal gyrus",
    ],
)
UBERONParcellation.posterior_part_of_anterior_commissure = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/posteriorPartOfAnteriorCommissure",
    definition="Is a commissure of telencephalon. Is part of the anterior commissure. [auto-generated from properties of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0003043) ('is_a' and 'relationship')]",
    description="The major forebrain commissure that connects the two temporal lobes of the cortex. [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0003043)]",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0109121"),
    knowledge_space_link=IRI(
        "https://knowledge-space.org/wiki/UBERON:0003043#posterior-part-of-anterior-commissure-1"
    ),
    name="posterior part of anterior commissure",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0003043"),
    synonyms=[
        "anterior commissure pars posterior",
        "anterior commissure temporal limb",
        "anterior commissure, posterior part",
        "commissura anterior, crus posterius",
        "commissura anterior, pars posterior",
        "commissura rostralis, pars posterior",
        "pars posterior commissurae anterioris",
        "temporal limb of anterior commissure",
    ],
)
UBERONParcellation.posterior_periventricular_nucleus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/posteriorPeriventricularNucleus",
    definition="'Posterior periventricular nucleus' is a hypothalamic nucleus. It is part of the posterior hypothalamic region.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0109122"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002708#posterior-periventricular-nucleus-1"),
    name="posterior periventricular nucleus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002708"),
    synonyms=[
        "griseum periventriculare hypothalami",
        "nucleus periventricularis posterior",
        "periventricular hypothalamic nucleus",
        "periventricular nucleus",
        "posterior paraventricular nucleus",
        "posterior part",
        "posterior periventricular hypothalamic nucleus",
        "posterior periventricular nucleus",
        "posterior periventricular nucleus of hypothalamus",
        "posterior periventricular nucleus of the hypothalamus",
        "posterior subdivision",
        "PPe",
    ],
)
UBERONParcellation.posterior_segment_of_paracentral_lobule = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/posteriorSegmentOfParacentralLobule",
    definition="Is a regional part of brain. Is part of the parietal lobe and the paracentral lobule. [auto-generated from properties of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0035934) ('is_a' and 'relationship')]",
    knowledge_space_link=IRI(
        "https://knowledge-space.org/wiki/UBERON:0035934#posterior-segment-of-paracentral-lobule"
    ),
    name="posterior segment of paracentral lobule",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0035934"),
    synonyms=["posterior part of paracentral lobule"],
)
UBERONParcellation.posterior_spinocerebellar_tract = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/posteriorSpinocerebellarTract",
    definition="Is an axon tract. Is part of the spinocerebellar tract. [auto-generated from properties of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0002753) ('is_a' and 'relationship')]",
    description="It ascends the dorsal part of the lateral funiculus and enters the cerebellum via the restiform body. Within the cerebellum, its axons terminate in the ipsilateral hindlimb area of the anterior lobe and in the pyramis and the paramedian lobule predominantly ipsilaterally. Rostrally, it extends to lobules I and II. Afferents from the upper trunk, forelimbs, and the neck to the cerebellum. [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0002753)]",
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002753#posterior-spinocerebellar-tract-1"),
    name="posterior spinocerebellar tract",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002753"),
    synonyms=["dorsal spinocerebellar tract", "flechsig's tract"],
)
UBERONParcellation.posterior_thalamic_radiation = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/posteriorThalamicRadiation",
    definition="The 'posterior thalamic radiation' is a white matter fibre bundle. It is part of the radiation of thalamus.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0735032"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0034747#posterior-thalamic-radiation"),
    name="posterior thalamic radiation",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0034747"),
    synonyms=[
        "pthr",
        "radiatio posterior thalami",
        "radiatio thalamica posterior",
        "radiationes thalamicae posteriores",
    ],
)
UBERONParcellation.posterior_transverse_temporal_gyrus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/posteriorTransverseTemporalGyrus",
    definition="'Posterior transverse temporal gyrus' is a transverse gyrus of Heschl.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0109134"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002774#posterior-transverse-temporal-gyrus-1"),
    name="posterior transverse temporal gyrus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002774"),
    synonyms=[
        "gyrus temporalis transversus posterior",
        "posterior transverse convolution of Heschl",
        "Posterior transverse temporal convolution of Heschl",
    ],
)
UBERONParcellation.posterodorsal_nucleus_of_medial_geniculate_body = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/posterodorsalNucleusOfMedialGeniculateBody",
    definition="'Posterodorsal nucleus of medial geniculate body' is a nucleus of dorsal thalamus. It is part of the medial geniculate body.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0109137"),
    knowledge_space_link=IRI(
        "https://knowledge-space.org/wiki/UBERON:0023094#posterodorsal-nucleus-of-medial-geniculate-body-1"
    ),
    name="posterodorsal nucleus of medial geniculate body",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0023094"),
    synonyms=[
        "nucleus corporis geniculati medialis",
        "pars posterodorsalis",
        "PDMG",
        "posterodorsal nucleus of medial geniculate body",
        "posterodorsal nucleus of medial geniculate complex",
    ],
)
UBERONParcellation.posteroventral_cochlear_nucleus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/posteroventralCochlearNucleus",
    definition="'Posteroventral cochlear nucleus' is a cochlear nucleus. It is part of the ventral cochlear nucleus.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0109153"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002831#posteroventral-cochlear-nucleus-1"),
    name="posteroventral cochlear nucleus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002831"),
    synonyms=[
        "nucleus cochlearis posteroventralis",
        "posterior part",
        "posterior part of anterior cochlear nucleus",
        "posterior part of the ventral cochlear nucleus",
        "posterior ventral cochlear nucleus",
        "PVCo",
        "ventral cochlear nucleus",
        "ventral coclear nucleus posterior part",
    ],
)
UBERONParcellation.postnatal_subventricular_zone = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/postnatalSubventricularZone",
    definition="'Postnatal subventricular zone' is a central nervous system cell part cluster and nervous system cell part layer. It is part of the forebrain.",
    description="The subventricular zone (SVZ) is one of two sources of adult-born neurons in the mammalian brain, the other being the subgranular zone (SGZ) of the hippocampus. In most adult mammals, the SVZ is a three-layered sheath that lies along the lateral wall of the lateral ventricle and consists of type A, B, and C cells. Type A rest along the ventricle wall and are neuronal precursor cells, Type B are adjacent astrocytes, and Type C are immature precursors to the Type A neuroblasts. The neuronal precursor cells travel along the rostral migratory stream ensheathed in a tube of Type B astrocytes, until they reach the olfactory bulb. There they integrate into the existing cellular network and mature into local interneurons. While the majority become adult-born granule cells, a subset become periglomerular cells.Interestingly, the human SVZ differs from other mammals' in several ways. It consists of four layers rather than three: ependymal cells (layer I), a hypo cellular gap (layer II), a ribbon of astrocytes (layer III), and a transitional zone (layer IV). The astrocytes are capable of differentiating into many kinds of tissue including new neurons. However, there is no evidence that the proliferating neurons travel along the rostral migratory stream in a chain to populate the olfactory bulb with new interneurons, as is the case for other mammals.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0111233"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0004922#subventricular-zone"),
    name="postnatal subventricular zone",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0004922"),
    synonyms=[
        "adult subventricular zone",
        "brain subventricular zone",
        "postnatal subependymal layer",
        "postnatal subependymal plate",
        "postnatal subependymal zone",
        "postnatal subventricular zone",
        "SEZ",
        "subependymal layer",
        "subependymal plate",
        "subependymal zone",
        "subventricular zone",
        "subventricular zone of brain",
        "SVZ",
    ],
)
UBERONParcellation.postoptic_commissure = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/postopticCommissure",
    definition="Is a commissure of diencephalon. Is part of the diencephalic white matter. [auto-generated from properties of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0003936) ('is_a' and 'relationship')]",
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0003936#postoptic-commissure"),
    name="postoptic commissure",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0003936"),
    synonyms=["POC", "post optic commissure", "post-optic commissure"],
)
UBERONParcellation.postsubiculum = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/postsubiculum",
    definition="'Postsubiculum' is a regional part of brain. It is part of the retrohippocampal region.",
    description="Division of subicular cortex characterized by projections from the anterodorsal thalamic nucleus and to a lesser extent the anteroventral nucleus, bordered ventrally and laterally by the presubiculum and dorsally and medially by the retrosplenial granular a cortex..  The border is characterized by an abrupt change in the cyto- and chemoarchitecture",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0109164"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0035971#postsubiculum"),
    name="postsubiculum",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0035971"),
    synonyms=["POST", "postsubicular cortex"],
)
UBERONParcellation.precentral_gyrus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/precentralGyrus",
    definition="'Precentral gyrus' is a frontal gyrus.",
    description="Component of the frontal lobe.  The appearance and disappearance of the central sulcus is the rostral and caudal boundaries of the precentral gyrus respectively. The medial boundary is specific frontal gyri (superior, middle and inferior) whereas the lateral boundary is the medial bank of the central sulcus (Christine Fennema-Notestine).",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0109193"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002703#precentral-gyrus-1"),
    name="precentral gyrus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002703"),
    synonyms=[
        "anterior central gyrus",
        "gyrus centralis anterior",
        "gyrus praecentralis",
        "motor cortex (Noback)",
        "precentral convolution",
        "prerolandic gyrus",
    ],
)
UBERONParcellation.precentral_operculum = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/precentralOperculum",
    definition="'Precentral operculum' is a regional part of brain. It is part of the operculum of brain.",
    description="The ventrolateral lip of the precentral gyrus, which overlies the insula and is bounded by the lateral fissure (Brain Info).",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0109194"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002605#precentral-operculum-1"),
    name="precentral operculum",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002605"),
    synonyms=["brodmann's area 6", "operculum precentrale"],
)
UBERONParcellation.precommissural_fornix_of_forebrain = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/precommissuralFornixOfForebrain",
    definition="Is a tract of brain. Is part of the fornix of brain. [auto-generated from properties of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0014539) ('is_a' and 'relationship')]",
    description="Part of fornix extending from the body that curves ventrally rostral to the crossing of the anterior commissure ending in the septal nuclei. [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0014539)]",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0109197"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0014539#precommissural-fornix"),
    name="precommissural fornix of forebrain",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0014539"),
    synonyms=["fornix precommissuralis", "precommissural fornix"],
)
UBERONParcellation.precuneus_cortex = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/precuneusCortex",
    definition="'Precuneus cortex' is a gyrus. It is part of the parietal lobe.",
    description="Component of the parietal lobe.  The rostral boundary was the posterior extent of the paracentral lobule whereas the caudal boundary was the lingual gyrus. The medial and lateral boundaries were the parieto-occipital fissure and the superior parietal gyrus respectively (Christine Fennema-Notestine).",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0109199"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0006093#precuneus-cortex-1"),
    name="precuneus cortex",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0006093"),
    synonyms=[
        "medial area of the superior parietal cortex",
        "praecuneus",
        "precuneate lobule",
        "precuneus",
        "precuneus cortex",
        "quadrate lobule",
    ],
)
UBERONParcellation.predorsal_bundle = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/predorsalBundle",
    definition="'Predorsal bundle' is a fasciculus of brain. It is part of the white matter of medulla oblongata.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0109207"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002754#predorsal-bundle-1"),
    name="predorsal bundle",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002754"),
    synonyms=[
        "fasciculus praedorsalis (Tschermak)",
        "fasciculus predorsalis",
        "pd",
        "Predorsal bundle of Edinger",
        "predorsal fasciculus",
        "tectospinal fibers",
    ],
)
UBERONParcellation.prefrontal_cortex = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/prefrontalCortex",
    definition="'Prefrontal cortex' is a regional part of brain. It is part of the frontal cortex.",
    description="The anterior part of the frontal lobes of the brain, lying in front of the motor and premotor areas.This brain region has been implicated in planning complex cognitive behaviors, personality expression, decision making and moderating correct social behavior. The basic activity of this brain region is considered to be orchestration of thoughts and actions in accordance with internal goals.The most typical psychological term for functions carried out by the pre-frontal cortex area is executive function. Executive function relates to abilities to differentiate among conflicting thoughts, determine good and bad, better and best, same and different, future consequences of current activities, working toward a defined goal, prediction of outcomes, expectation based on actions, and social 'control' (the ability to suppress urges that, if not suppressed, could lead to socially-unacceptable outcomes).Many authors have indicated an integral link between a person's personality and the functions of the prefrontal cortex. - definition adapted from Wikipedia",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0109209"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0000451#prefrontal-cortex-1"),
    name="prefrontal cortex",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0000451"),
    synonyms=["frontal association cortex", "prefrontal association complex", "prefrontal association cortex"],
)
UBERONParcellation.premammillary_nucleus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/premammillaryNucleus",
    definition="'Premammillary nucleus' is a hypothalamic nucleus. It is part of the posterior hypothalamic region.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0109218"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002712#premammillary-nucleus-1"),
    name="premammillary nucleus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002712"),
    synonyms=[
        "nuclei premamillaris",
        "nucleus premamillaris hypothalami",
        "PMm",
        "premamillary nucleus",
        "premammillary nuclei",
    ],
)
UBERONParcellation.premotor_cortex = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/premotorCortex",
    definition="The 'premotor cortex' is a regional part of brain. It is part of the cerebral cortex.",
    description="The premotor cortex is an area of motor cortex lying within the frontal lobe of the brain. It extends 3 mm anterior to the primary motor cortex, near the Sylvian fissure, before narrowing to approximately 1 mm near the medial longitudinal fissure, which serves as the posterior border for the prefrontal cortex. The premotor cortex is largely equivalent to Brodmann area 6. Activity within this region is critical to the sensory guidance of movement and control of proximal and trunk muscles of the body. [[wikipedia](http://en.wikipedia.org/wiki/Premotor_cortex)]",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0109222"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0016634#premotor-cortex"),
    name="premotor cortex",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0016634"),
    synonyms=["premotor cortex (area 6)"],
)
UBERONParcellation.preoccipital_notch = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/preoccipitalNotch",
    definition="'Preoccipital notch' is an anatomical entity. It is part of the occipital lobe.",
    description="Small indentation on the inferior surface of the cerebral cortex at the border of the occiptal and parietal lobes.  It is considered as a landmark because the occipital lobe is located just behind the line that connects that notch with the parietoccipital sulcus (adapted from Wikipedia).",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0109223"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002698#preoccipital-notch-1"),
    name="preoccipital notch",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002698"),
    synonyms=[
        "incisura parieto-occipitalis",
        "incisura praeoccipitalis",
        "incisura preoccipitalis",
        "occipital notch",
        "PON",
        "preoccipital incisura",
        "preoccipital incisure",
        "preoccipital notch",
    ],
)
UBERONParcellation.preolivary_nucleus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/preolivaryNucleus",
    definition="'Preolivary nucleus' is a nucleus of superior olivary complex.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0109224"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002976#preolivary-nucleus-1"),
    name="preolivary nucleus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002976"),
    synonyms=["nucleus preolivaris", "preolivary nuclei"],
)
UBERONParcellation.preoptic_area = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/preopticArea",
    definition="'Preoptic area' is a regional part of brain. It is part of the diencephalon.",
    description="Region of hypothalamus between the anterior commissure and optic chiasm. (MSH) * pertaining to the region in or adjoining the part of the third ventricle immediately anterior to the optic chiasm. (CSP)",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0109225"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0001928#preoptic-area-1"),
    name="preoptic area",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0001928"),
    synonyms=[
        "area hypothalamica rostralis",
        "area praeoptica",
        "area preoptica",
        "area proptica",
        "nuclei preoptici",
        "POA",
        "preoptic hypothalamic area",
        "preoptic hypothalamic region",
        "preoptic nuclei",
        "preoptic region",
        "preoptic region of hypothalamus",
        "regio hypothalamica anterior",
    ],
)
UBERONParcellation.preoptic_periventricular_nucleus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/preopticPeriventricularNucleus",
    definition="'Preoptic periventricular nucleus' is a preoptic nucleus.",
    description="The preoptic periventricular nucleus is located along the midline and is medial to the medial preoptic nucleus.[WP,unvetted].",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0109227"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002622#preoptic-periventricular-nucleus-1"),
    name="preoptic periventricular nucleus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002622"),
    synonyms=[
        "anterior portion",
        "dorsal periventricular hypothalamic nucleus",
        "nucleus periventricularis hypothalami",
        "nucleus periventricularis praeopticus",
        "nucleus periventricularis preopticus",
        "nucleus preopticus periventricularis",
        "pars dorsalis",
        "periventricular hypothalamic nucleus",
        "periventricular nucleus",
        "periventricular preoptic nucleus",
        "POP",
        "preoptic part",
        "preoptic periventricular hypothalamic nucleus",
    ],
)
UBERONParcellation.preopticohypothalamic_tract = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/preopticohypothalamicTract",
    definition="Is a white matter. [auto-generated from 'is_a' property of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_2005344)]",
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:2005344#preopticohypothalamic-tract"),
    name="preopticohypothalamic tract",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_2005344"),
)
UBERONParcellation.presubiculum = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/presubiculum",
    definition="'Presubiculum' is part of the hippocampal formation and parahippocampal gyrus.",
    description="A modified six-layered cortex between the subiculum and the main part of the parahippocampal gyrus.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0109252"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0001953#presubiculum-1"),
    name="presubiculum",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0001953"),
    synonyms=[
        "Area 27 of Brodmann",
        "praesubiculum",
        "presubicular cortex (presubiculum)",
        "presubiculum (Cajal)",
        "PrS",
    ],
)
UBERONParcellation.pretectal_nucleus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/pretectalNucleus",
    definition="'Pretectal nucleus' is a nucleus of brain. It is part of the pretectal region.",
    description="A neural nucleus of the pretectal area (between dorsal thalamus and optic tectum) that receives afferents primarily from the retina and the optic tectum and are involved in modulating motor behavior in response to visual input.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0107761"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0014450#nucleus-of-pretectal-area"),
    name="pretectal nucleus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0014450"),
    synonyms=[
        "nucleus area pretectalis",
        "nucleus of pretectal area",
        "nucleus of the pretectal area",
        "pretectal area nucleus",
        "pretectal nucleus",
    ],
)
UBERONParcellation.pretectal_region = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/pretectalRegion",
    definition="'Pretectal region' is a brain gray matter and nuclear complex of neuraxis.",
    description="Region of brain lying between the midbrain tectum and the thalamus (Sefton and Dreher, in Paxinos, G The rat central nervous system, 1995, pg 859),  Situated at the level of poterior commissure and just rostral to the superior colliculus  (Brodal, Neurological Anatomy, 3rd ed, 1981, pg 542)",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0109258"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0001944#pretectal-region-1"),
    name="pretectal region",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0001944"),
    synonyms=[
        "area praetectalis",
        "area pretectalis",
        "nuclei pretectales",
        "nucleus praetectalis",
        "praetectum",
        "pretectal area",
        "pretectal nuclei",
        "pretectal region",
        "Pretectum",
        "regio pretectalis",
    ],
)
UBERONParcellation.primary_motor_cortex = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/primaryMotorCortex",
    definition="'Primary motor cortex' is a regional part of brain. It is part of the frontal cortex.",
    description="The part of the cerebral cortex that receives projections from the motor thalamus and which projects to motor neurons in the brainstem and spinal cord.  The motor cortex corresponds to Brodmann's area 4 (MM).  The primary motor cortex, or M1, is located on the precentral gyrus and on the anterior paracentral lobule on the medial surface of the brain. Of the three motor cortex areas, stimulation of the primary motor cortex requires the least amount of electrical current to elicit a movement. http://neuroscience.uth.tmc.edu/s3/chapter03.html",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0109278"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0001384#primary-motor-cortex-1"),
    name="primary motor cortex",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0001384"),
    synonyms=[
        "excitable area",
        "gyrus precentralis",
        "M1",
        "motor area",
        "motor cortex",
        "prefrontal gyrus",
        "primary motor area",
        "Rolando's area",
        "somatic motor areas",
        "somatomotor areas",
    ],
)
UBERONParcellation.primary_olfactory_cortex = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/primaryOlfactoryCortex",
    definition="'Primary olfactory cortex' is a regional part of brain. It is part of the olfactory cortex.",
    description="The term primary olfactory areas in the primate, refers to a group of structures defined by connectivity, namely, structures that receive axons from the olfactory bulb. They include the anterior olfactory nucleus, the anterior perforated substance, the rostral part of the medial amygdaloid nucleus (anterior cortical nucleus of amygdala), and structures in the anterior part of the parahippocampal gyrus, namely, the prepyriform area, most of the periamygdaloid area, and the rostral part of the entorhinal area (Price-90). Note that some authors have regarded the olfactory bulb itself as the primary olfactory area and the areas to which it projects as secondary (Anthoney-94).  In the mouse (Dong-2004) and the rat (Swanson-2004), olfactory areas include the olfactory bulb, accessory olfactory bulb, anterior olfactory nucleus, tenia tecta, prepyriform area, postpiriform transition area, piriform amygdaloid area, nucleus of lateral olfactory tract, and cortical amygdaloid area.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0109283"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0022469#primary-olfactory-cortex-1"),
    name="primary olfactory cortex",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0022469"),
    synonyms=["primary olfactory areas"],
)
UBERONParcellation.primary_somatosensory_area_barrel_field_layer1 = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/primarySomatosensoryAreaBarrelFieldLayer1",
    definition="'Primary somatosensory area barrel field layer 1' is a layer of neocortex. It is part of the barrel cortex.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0109286"),
    knowledge_space_link=IRI(
        "https://knowledge-space.org/wiki/UBERON:0035873#primary-somatosensory-area-barrel-field-layer-1"
    ),
    name="primary somatosensory area barrel field layer 1",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0035873"),
    synonyms=["SSp-bfd1"],
)
UBERONParcellation.primary_somatosensory_area_barrel_field_layer4 = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/primarySomatosensoryAreaBarrelFieldLayer4",
    definition="'Primary somatosensory area barrel field layer 4' is a layer of neocortex. It is part of the barrel cortex.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0109288"),
    knowledge_space_link=IRI(
        "https://knowledge-space.org/wiki/UBERON:0035877#primary-somatosensory-area-barrel-field-layer-4"
    ),
    name="primary somatosensory area barrel field layer 4",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0035877"),
    synonyms=["barrel cortex layer 4", "SSp-bfd4"],
)
UBERONParcellation.primary_somatosensory_area_barrel_field_layer5 = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/primarySomatosensoryAreaBarrelFieldLayer5",
    definition="'Primary somatosensory area barrel field layer 5' is a layer of neocortex. It is part of the barrel cortex.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0109290"),
    knowledge_space_link=IRI(
        "https://knowledge-space.org/wiki/UBERON:0035872#primary-somatosensory-area-barrel-field-layer-5"
    ),
    name="primary somatosensory area barrel field layer 5",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0035872"),
    synonyms=["barrel cortex layer 5", "barrel cortex layer 5,", "SSp-bfd5"],
)
UBERONParcellation.primary_somatosensory_area_barrel_field_layer6a = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/primarySomatosensoryAreaBarrelFieldLayer6a",
    definition="'Primary somatosensory area barrel field layer 6a' is a layer of neocortex. It is part of the barrel cortex.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0109292"),
    knowledge_space_link=IRI(
        "https://knowledge-space.org/wiki/UBERON:0035876#primary-somatosensory-area-barrel-field-layer-6a"
    ),
    name="primary somatosensory area barrel field layer 6a",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0035876"),
    synonyms=["Barrel cortex layer 6A", "SSp-bfd6a"],
)
UBERONParcellation.primary_somatosensory_area_barrel_field_layer6b = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/primarySomatosensoryAreaBarrelFieldLayer6b",
    definition="'Primary somatosensory area barrel field layer 6b' is a layer of neocortex. It is part of the barrel cortex.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0109294"),
    knowledge_space_link=IRI(
        "https://knowledge-space.org/wiki/UBERON:0035875#primary-somatosensory-area-barrel-field-layer-6b"
    ),
    name="primary somatosensory area barrel field layer 6b",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0035875"),
    synonyms=["Barrel cortex layer 6B", "SSp-bfd6b"],
)
UBERONParcellation.primary_somatosensory_cortex = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/primarySomatosensoryCortex",
    definition="'Primary somatosensory cortex' is a somatosensory cortex. It is part of the parietal cortex.",
    description="(Chapin & Lin, 1984, rat): the region considered as the SI cortex is not a cytoarchitecturally homogeneous structure but consists instead of a patchwork array of areas containing dense aggregations of layer IV granule cells, surrounded by granule-cell-sparse regions. As was shown by Welker ('71,'76), and in our own mapping studies (see Fig. 3), this discontinuous pattern of granular, or koniocortical, zones contains within itself a map of the rat's cutaneous periphery. There are clear subtypes within this cytoarchitectural subregion, notably including the 'granular aggregate' type of cytoarchitecture characteristic of the paw, limb, and mystacial vibrissae areas, and the 'barrel-field' type (originally described by Woolsey and Van der Loos, '70) seen in the nose and perioral regions. In the mouse, but not the rat, such barrels also cover the whole whisker representation (Welker and Woolsey, '74).",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0109333"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0008933#primary-somatosensory-cortex"),
    name="primary somatosensory cortex",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0008933"),
    synonyms=[
        "areas 3,1,2)",
        "postcentral gyrus",
        "primary somatosensory area",
        "primary somatosensory cortex (area S1",
        "S1",
        "S1C",
        "Sm1",
        "somatosensory area 1",
    ],
)
UBERONParcellation.primary_somatosensory_cortex_layer6 = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/primarySomatosensoryCortexLayer6",
    definition="'Primary somatosensory cortex layer 6' is a layer of neocortex. It is part of the primary somatosensory cortex.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0109334"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0023859#primary-somatosensory-cortex-lamina-vi"),
    name="primary somatosensory cortex layer 6",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0023859"),
    synonyms=["primary somatosensory cortex lamina VI", "primary somatosensory cortex layer 6"],
)
UBERONParcellation.primary_superior_olive = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/primarySuperiorOlive",
    definition="'Primary superior olive' is a nuclear complex of neuraxis and gray matter of hindbrain. It is part of the superior olivary complex.",
    description="Part of the superior olivary complex of nuclei in the caudal pontine tegmentum, situated within the trapezoid body in humans.  (Brodal, Neurological Anatomy, 3rd edition, 1981, pg 617).  In many species, it comprises a medial superior olivary nucleus and a lateral superior olivary nucleus.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0111314"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0022434#superior-olive"),
    name="primary superior olive",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0022434"),
    synonyms=["SOl", "superior olive"],
)
UBERONParcellation.primary_visual_cortex = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/primaryVisualCortex",
    definition="'Primary visual cortex' is a Brodmann area and functional part of brain. It is part of the visual cortex.",
    description="Region of visual cortex that receives visual input from the eyes through the lateral geniculate nuclei (Sadato et al., 1996, PMID: 8606771).",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0112514"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002436#primary-visual-cortex"),
    name="primary visual cortex",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002436"),
    synonyms=[
        "Area 17 of Brodmann",
        "area 17 of Brodmann-1909",
        "area striata",
        "b09-17",
        "B09-17",
        "BA17",
        "Brodmann (1909) area 17",
        "Brodmann area 17",
        "calcarine cortex",
        "nerve X",
        "occipital visual neocortex",
        "primary visual area",
        "primary visual cortex",
        "striate",
        "striate area",
        "striate cortex",
        "V1",
        "visual area one",
        "visual area V1",
        "visual association area",
        "visual association cortex",
    ],
)
UBERONParcellation.principal_anterior_division_of_supraoptic_nucleus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/principalAnteriorDivisionOfSupraopticNucleus",
    definition="'Principal anterior division of supraoptic nucleus' is a regional part of brain.",
    description="One of two divisions of the supraoptic nucleus observed in mammals, formed by the ascension of the optic chiasm to split the nucleus in two.  The principal anterior division consists of a dense cluster of large cells that stain darkly in Nissl preparations adjacent to the optic chiasm, extending as far rostrally to the organum vasculosum of the lamina terminalis and caudally into the posterior hypothalamus",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0109347"),
    knowledge_space_link=IRI(
        "https://knowledge-space.org/wiki/UBERON:0024078#principal-anterior-division-of-supraoptic-nucleus-1"
    ),
    name="principal anterior division of supraoptic nucleus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0024078"),
    synonyms=["SONa", "principal anterior division of supraoptic nucleus"],
)
UBERONParcellation.principal_part_of_ventral_posteromedial_nucleus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/principalPartOfVentralPosteromedialNucleus",
    definition="'Principal part of ventral posteromedial nucleus' is a gray matter of diencephalon. It is part of the ventral posteromedial nucleus of thalamus.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0109352"),
    knowledge_space_link=IRI(
        "https://knowledge-space.org/wiki/UBERON:0003024#principal-part-of-ventral-posteromedial-nucleus-1"
    ),
    name="principal part of ventral posteromedial nucleus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0003024"),
    synonyms=[
        "nucleus ventralis posteromedialis",
        "pars principalis",
        "pars prinicipalis",
        "principal part",
        "principal part of the ventral posteromedial nucleus",
        "ventral posteromedial nucleus",
        "VPMPr",
    ],
)
UBERONParcellation.principal_pretectal_nucleus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/principalPretectalNucleus",
    definition="'Principal pretectal nucleus' is a nucleus of midbrain tectum and pretectal nucleus.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0109353"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002572#principal-pretectal-nucleus-1"),
    name="principal pretectal nucleus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002572"),
    synonyms=["nucleus pretectalis principalis"],
)
UBERONParcellation.principal_sensory_nucleus_of_trigeminal_nerve = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/principalSensoryNucleusOfTrigeminalNerve",
    definition="'Principal sensory nucleus of trigeminal nerve' is a trigeminal sensory nucleus, brainstem nucleus and hindbrain nucleus. It is part of the pontine tegmentum.",
    description="The principal sensory nucleus (or chief sensory nucleus of V) is a group of second order neurons which have cell bodies in the dorsal Pons. It receives information about discriminative sensation and light touch of the face as well as conscious proprioception of the jaw via first order neurons of CN V. Most of the sensory information crosses the midline and travels to the contralateral ventral posteriomedial (VPM) of the thalamus via the Ventral Trigeminothalamic Tract, but information of the oral cavity travels to the ipsilateral Ventral Posteriomedial (VPM) of the thalamus via the Dorsal Trigeminothalamic Tract. [WP,unvetted].",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0109355"),
    knowledge_space_link=IRI(
        "https://knowledge-space.org/wiki/UBERON:0002597#principal-sensory-nucleus-of-trigeminal-nerve-1"
    ),
    name="principal sensory nucleus of trigeminal nerve",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002597"),
)
UBERONParcellation.putamen = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/putamen",
    definition="'Putamen' is a telencephalic nucleus. It is part of the cerebral hemisphere and caudate-putamen.",
    description="Subcortical nucleus of telencephalon , which together with the caudate nucleus, forms the striatum.  The putamen lies lateral to the internal capsule and medial to the external medullary lamina, and is separated from the caudate nucleus by the fibers of the internal capsule for most of its length, except at its anterior portion.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0109549"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0001874#putamen-1"),
    name="putamen",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0001874"),
    synonyms=["Pu", "nucleus putamen"],
)
UBERONParcellation.pyramidal_layer_of_ca1 = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/pyramidalLayerOfCA1",
    definition="'Pyramidal layer of CA1' is a layer of CA1 field. It is part of the hippocampus pyramidal layer.",
    description="Part of pyramidal cell layer lying in area CA1, superficial to the CA1 stratum oriens, and deep to the stratum radiatum of CA1, continuous with the pyramidal cell layers of CA2 and the subiculum. It is characterized by pyramidal cell bodies that are generally smaller in size than those in the other hippocampal sectors.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0101525"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0014549#ca2-stratum-pyramidale-hippocampi"),
    name="pyramidal layer of CA1",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0014548"),
    synonyms=[
        "CA1 part of stratum pyramidale",
        "CA1 part of stratum pyramidale hippocampi",
        "CA1 pyramidal cell layer",
        "CA1 stratum pyramidale",
        "CA1 stratum pyramidale hippocampi",
        "stratum pyramidale of CA1",
        "stratum pyramidale of the CA1 field",
    ],
)
UBERONParcellation.pyramidal_layer_of_ca2 = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/pyramidalLayerOfCA2",
    definition="'Pyramidal layer of CA2' is a layer of CA2 field. It is part of the hippocampus pyramidal layer.",
    description="Part of pyramidal cell layer in area CA2, lying superficial to the CA2 stratum oriens, and deep to the stratum radiatum of CA2, continuous with the pyramidal cell layers of CA1 and CA3",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0101532"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0014549#ca2-stratum-pyramidale-hippocampi"),
    name="pyramidal layer of CA2",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0014549"),
    synonyms=[
        "CA2 part of stratum pyramidale hippocampi",
        "CA2 pyramidal cell layer",
        "CA2 stratum pyramidale hippocampi",
        "field CA2",
        "pyramidal layer",
        "stratum pyramidale of CA2",
        "stratum pyramidale of the CA2 field",
    ],
)
UBERONParcellation.quadrangular_lobule = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/quadrangularLobule",
    definition="Is a cerebellum hemisphere lobule. [auto-generated from 'is_a' property of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0036063)]",
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0036063#quadrangular-lobule"),
    name="quadrangular lobule",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0036063"),
)
UBERONParcellation.radiation_of_thalamus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/radiationOfThalamus",
    definition="The 'radiation of thalamus' is a white matter fibre bundle. It is part of of the thalamic complex.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0724984"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0034745#radiation-of-thalamus"),
    name="radiation of thalamus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0034745"),
    synonyms=["thalamic radiation", "thalamus radiation"],
)
UBERONParcellation.red_nucleus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/redNucleus",
    definition="'Red nucleus' is a brainstem nucleus and midbrain nucleus. It is part of the midbrain tegmentum.",
    description="Format for scripts written in the R language - an open source programming language and software environment for statistical computing and graphics that is supported by the R Foundation for Statistical Computing.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0109722"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0001947#red-nucleus-1"),
    name="red nucleus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0001947"),
    synonyms=[
        "nucleus rotundus subthalamo-peduncularis",
        "nucleus ruber",
        "nucleus ruber tegmenti",
        "nucleus ruber tegmenti (Stilling)",
        "R",
        "R program",
        "red nucleus (Burdach)",
    ],
)
UBERONParcellation.regional_part_of_brain = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/regionalPartOfBrain",
    definition="'Regional part of brain' is a regional part of nervous system. It is part of the brain.",
    description="Anatomical divisions of the brain according to one or more criteria, e.g. cytoarchitectural, gross anatomy. Parts may be contiguous in 3D or not, e.g., basal ganglia.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0109835"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002616#regional-part-of-brain-1"),
    name="regional part of brain",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002616"),
)
UBERONParcellation.regional_part_of_cerebellar_cortex = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/regionalPartOfCerebellarCortex",
    definition="'Regional part of cerebellar cortex' is a regional part of brain. It is part of the cerebellar cortex.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0109837"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002749#regional-part-of-cerebellar-cortex-1"),
    name="regional part of cerebellar cortex",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002749"),
)
UBERONParcellation.reticular_formation = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/reticularFormation",
    definition="'Reticular formation' is a regional part of brain. It is part of the brainstem.",
    description="A composite substructure of the brainstem that consists of the midbrain reticular formation, the pontine reticular formation and the medullary reticular formation ( Carpenter-1983 ).",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0109987"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002275#reticular-formation"),
    name="reticular formation",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002275"),
    synonyms=[
        "brain stem reticular formation",
        "brainstem reticular formation",
        "reticular formation (classical)",
        "reticular formation of the brainstem",
    ],
)
UBERONParcellation.reticulospinal_tract = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/reticulospinalTract",
    definition="Is an axon tract. Is part of the white matter. [auto-generated from properties of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0022943) ('is_a' and 'relationship')]",
    description="The reticulospinal tract (or anterior reticulospinal tract) is an extrapyramidal motor tract which travels from the reticular formation. [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0022943)]",
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0022943#reticulospinal-tract-1"),
    name="reticulospinal tract",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0022943"),
)
UBERONParcellation.reticulotegmental_nucleus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/reticulotegmentalNucleus",
    definition="'Reticulotegmental nucleus' is a brainstem nucleus and hindbrain nucleus. It is part of the pons and reticular formation.",
    description="The tegmental pontine reticular nucleus (or pontine reticular nucleus of the tegmentum) is an area within the floor of the midbrain. This area is known to affect the cerebellum with its axonal projections. These efferent connections have been proven to project not only ipsilaterally, but also to decussate and project to the contralateral side of the vermis. It has also been shown that the projections from the tegmenti pontis to the cerebellar lobes are only crossed fibers. The n.r. tegmenti pontis also receives afferent axons from the cerebellum. This nucleus is known for its large amount of multipolar cells and its particularly reticular structure. The n.r. tegmenti pontis is topographically related to pontine nuclei (non-reticular), being just dorsal to them. The nucleus reticularis has been known to mediate eye movements, otherwise known as so-called saccadic movement. This makes sense concerning their connections as it would require a nucleus which receives and projects to the cerebellum to mediate that kind of complex circuitry. Also, behaviorally this makes sense as no one thinks about saccadic movements when scanning a room and the saccadic movements are not directly controlled by the cortex. The nuclei of the cerebellum are the most traditionally studied mostly because it is easy to see which nuclei degrade when the cerebellum is amputated. The neurons of the lateral reticular formation are very important for reflexes and the mediation of posture. It has been shown in cats that electrical stimulation of the reticular formation can make a standing cat lie down. Conversely if the cat is stimulated in an alternate spot it can make a lying cat stand.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0109992"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002147#reticulotegmental-nucleus-1"),
    name="reticulotegmental nucleus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002147"),
    synonyms=[
        "nucleus reticularis tegmenti pontis",
        "pontine gray",
        "reticular tegmental nucleus",
        "reticulotegmental nucleus of pons",
        "reticulotegmental nucleus of the pons",
        "reticulotegmental pontine nucleus",
        "tegmental reticular nucleus",
    ],
)
UBERONParcellation.retrochiasmatic_area = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/retrochiasmaticArea",
    definition="'Retrochiasmatic area' is part of the medial zone of hypothalamus and intermediate hypothalamic region.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0726953"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0001933#retrochiasmatic-area-1"),
    name="retrochiasmatic area",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0001933"),
)
UBERONParcellation.retrorubral_area_of_midbrain_reticular_nucleus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/retrorubralAreaOfMidbrainReticularNucleus",
    definition="'Retrorubral area of midbrain reticular nucleus' is a regional part of brain. It is part of the nucleus of midbrain reticular formation.",
    description="The term retrorubral area of the midbrain reticular nucleus refers to a region of the rat brain caudal and dorsal to the ventral tegmental area. It is one of three parts of the midbrain reticular nucleus; the other two are the magnocellular part of the midbrain reticular nucleus and the parvicellular part of the midbrain reticular nucleus (Swanson-2004). BrainInfo distinguishes between the Retrorubral area of the midbrain reticular formation and the retrorubral nucleus.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0733931"),
    knowledge_space_link=IRI(
        "https://knowledge-space.org/wiki/UBERON:0011172#retrorubral-area-of-midbrain-reticular-nucleus"
    ),
    name="retrorubral area of midbrain reticular nucleus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0011172"),
)
UBERONParcellation.retrotrapezoid_nucleus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/retrotrapezoidNucleus",
    definition="'Retrotrapezoid nucleus' is a nucleus of medulla oblongata.",
    description="Group of cells in the rostral medulla close to the ventral surface, near to the trapezoid body",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0110082"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0009918#retrotrapezoid-nucleus"),
    name="retrotrapezoid nucleus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0009918"),
    synonyms=[""],
)
UBERONParcellation.reuniens_nucleus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/reuniensNucleus",
    definition="'Reuniens nucleus' is a nucleus of dorsal thalamus. It is part of the midline nuclear group.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0110085"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0001921#reuniens-nucleus-1"),
    name="reuniens nucleus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0001921"),
    synonyms=[
        "medioventral nucleus",
        "nucleus endymalis (Hassler)",
        "nucleus of reunions",
        "nucleus reuniens",
        "nucleus reuniens (Malone)",
        "nucleus reuniens thalami",
        "Re",
        "reuniens nucleus of the thalamus",
        "reuniens thalamic nucleus",
    ],
)
UBERONParcellation.rhinal_sulcus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/rhinalSulcus",
    definition="'Rhinal sulcus' is a sulcus of brain. It is part of the cerebral cortex.",
    description="In the human brain, the rhinencephalon appears as a longitudinal elevation, with a corresponding internal furrow, on the under surface of the hemisphere close to the lamina terminalis; it is separated from the lateral surface of the hemisphere by a furrow, the external rhinal fissure (or rhinal sulcus), and is continuous behind with that part of the hemisphere, which will ultimately form the anterior end of the temporal lobe. [WP,unvetted].",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0110119"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002683#rhinal-sulcus-1"),
    name="rhinal sulcus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002683"),
)
UBERONParcellation.rhombic_lip = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/rhombicLip",
    definition="'Rhombic lip' is part of the future metencephalon.",
    description="The posterior section of the developing metencephalon recognized transiently within the vertebrate embryo; the rhombic lip extends posteriorly from the roof of the fourth ventricle to dorsal neuroepithelial cell and can be divided into eight structural units based on rhombomeres 1-8 (r1-r8), recognized at early stages of hindbrain development; producing granule cells and five brainstem nuclei, the rhombic lip plays an important role in developing a complex cerebellar neural system.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0727583"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0006215#rhombic-lip"),
    name="rhombic lip",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0006215"),
)
UBERONParcellation.rhomboidal_nucleus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/rhomboidalNucleus",
    definition="'Rhomboidal nucleus' is a nucleus of dorsal thalamus. It is part of the midline nuclear group.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0110128"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002955#rhomboidal-nucleus-1"),
    name="rhomboidal nucleus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002955"),
    synonyms=[
        "nucleus commissuralis rhomboidalis",
        "nucleus rhomboidalis",
        "nucleus rhomboidalis thalami",
        "Rh",
        "rhomboid nucleus",
        "rhomboid nucleus (Cajal 1904)",
        "rhomboid nucleus of the thalamus",
        "rhomboid thalamic nucleus",
    ],
)
UBERONParcellation.right_hemisphere_of_cerebellum = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/rightHemisphereOfCerebellum",
    definition="Is a cerebellar hemisphere. [auto-generated from 'is_a' property of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0014890)]",
    description="A cerebellar hemisphere that is in the right side of a cerebellum. [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0014890)]",
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0014890#right-hemisphere-of-cerebellum"),
    name="right hemisphere of cerebellum",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0014890"),
)
UBERONParcellation.right_lateral_ventricle = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/rightLateralVentricle",
    definition="Is a telencephalic ventricle. Is part of the right cerebral hemisphere. [auto-generated from properties of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0013162) ('is_a' and 'relationship')]",
    description="A telencephalic ventricle that is in the right side of a telencephalon. [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0013162)]",
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0013162#right-lateral-ventricle"),
    name="right lateral ventricle",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0013162"),
    synonyms=["right telencephalic ventricle"],
)
UBERONParcellation.root_of_abducens_nerve = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/rootOfAbducensNerve",
    definition="'Root of abducens nerve' is a root of cranial nerve. It is part of the medulla oblongata.",
    description="Nerve fibers arising from motor neurons in the abducens nucleus that are contained within the pontine tegmentum",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0100173"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002786#abducens-nerve-fibers"),
    name="root of abducens nerve",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002786"),
    synonyms=[
        "abducens nerve fibers",
        "abducens nerve root",
        "abducens nerve tract",
        "abducens nerve/root",
        "central part of abducens nerve",
        "fibrae nervi abducentis",
        "root of abducens nerve",
    ],
)
UBERONParcellation.root_of_olfactory_nerve = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/rootOfOlfactoryNerve",
    definition="The initial segment of an olfactory nerve, leaving the central nervous system.",
    description="'Root of olfactory nerve' is a nerve root.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0727253"),
    name="root of olfactory nerve",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0019311"),
)
UBERONParcellation.root_of_optic_nerve = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/rootOfOpticNerve",
    definition="A nerve root that extends_fibers_into a nerve connecting eye with brain.",
    description="'Root of optic nerve' is a root of cranial nerve.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0728874"),
    name="root of optic nerve",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0009906"),
)
UBERONParcellation.root_of_trochlear_nerve = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/rootOfTrochlearNerve",
    definition="'Root of trochlear nerve' is a root of cranial nerve. It is part of the brainstem.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0112003"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002618#trochlear-nerve-fibers"),
    name="root of trochlear nerve",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002618"),
    synonyms=[
        "4nf",
        "central part of trochlear nerve",
        "fibrae nervi trochlearis",
        "trochlear nerve fibers",
        "trochlear nerve or its root",
        "trochlear nerve root",
        "trochlear nerve tract",
        "trochlear nerve/root",
    ],
)
UBERONParcellation.root_of_vagus_nerve = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/rootOfVagusNerve",
    definition="A root of cranial nerve that is part of a vagus nerve.",
    description="'Root of vagus nerve' is a nerve root.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0731734"),
    name="root of vagus nerve",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0011213"),
)
UBERONParcellation.rostral_anterior_cingulate_cortex = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/rostralAnteriorCingulateCortex",
    definition="'Rostral anterior cingulate cortex' is a regional part of brain. It is part of the anterior cingulate cortex.",
    description="Component of the cingulate cortex.  The rostral boundary was the first appearance of the cingulate sulcus (inferior to the superior frontal sulcus) whereas the caudal boundary was the first appearance of the genu of the corpus callosum. The medial boundary was the medial aspect of the cortex. The supero-lateral boundary was the superior frontal gyrus whereas the infero-lateral boundary was defined as the medial division of the orbitofrontal gyrus (Christine Fennema-Notestine).",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0110204"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0022438#rostral-anterior-cingulate-cortex-1"),
    name="rostral anterior cingulate cortex",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0022438"),
    synonyms=["rostral anterior cingulate cortex"],
)
UBERONParcellation.rostral_cerebellar_tract = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/rostralCerebellarTract",
    definition="Is a white matter. Is part of the brainstem and spinal white matter. [auto-generated from properties of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_2000643) ('is_a' and 'relationship')]",
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:2000643#rostral-cerebellar-tract"),
    name="rostral cerebellar tract",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_2000643"),
)
UBERONParcellation.rostral_epiphyseal_tract = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/rostralEpiphysealTract",
    definition="Is a central nervous system cell part cluster and cranial neuron projection bundle. Is part of the epiphyseal tract. [auto-generated from properties of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0034716) ('is_a' and 'relationship')]",
    description="The more rostral of the two branches of the epiphyseal tract. [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0034716)]",
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0034716#rostral-epiphyseal-tract"),
    name="rostral epiphyseal tract",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0034716"),
)
UBERONParcellation.rostral_interstitial_nucleus_of_medial_longitudinal_fasciculus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/rostralInterstitialNucleusOfMedialLongitudinalFasciculus",
    definition="'Rostral interstitial nucleus of medial longitudinal fasciculus' is a brainstem nucleus, nucleus of midbrain tegmentum and midbrain nucleus. It is part of the midbrain tegmentum.",
    description="The rostral interstitial nucleus of medial longitudinal fasciculus (riMLF) is a portion of the medial longitudinal fasciculus which controls vertical gaze. They project to the vestibular nuclei. [WP,unvetted].",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0110210"),
    knowledge_space_link=IRI(
        "https://knowledge-space.org/wiki/UBERON:0002717#rostral-interstitial-nucleus-of-medial-longitudinal-fasciculus-1"
    ),
    name="rostral interstitial nucleus of medial longitudinal fasciculus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002717"),
    synonyms=[
        "nucleus interstitialis",
        "nucleus interstitialis rostralis",
        "RI",
        "riMLF",
        "Rostral interstitial nucleus of MLF",
        "rostral interstitial nucleus of the medial longitudinal fasciculus",
    ],
)
UBERONParcellation.rostral_intralaminar_nuclear_group = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/rostralIntralaminarNuclearGroup",
    definition="'Rostral intralaminar nuclear group' is a nucleus of dorsal thalamus. It is part of the intralaminar nuclear group.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0110211"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002965#rostral-intralaminar-nuclei"),
    name="rostral intralaminar nuclear group",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002965"),
    synonyms=[
        "anterior group of intralaminar nuclei",
        "nuclei intralaminares rostrales",
        "RIL",
        "rostral group of intralaminar nuclei",
        "rostral intralaminar nuclear group",
        "rostral intralaminar nuclei",
    ],
)
UBERONParcellation.rostral_linear_nucleus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/rostralLinearNucleus",
    definition="'Rostral linear nucleus' is a brainstem nucleus and midbrain nucleus. It is part of the ventral tegmental area.",
    description="Nucleus of the medial ventral tegmental area, originally identified in the rat but also in cat, monkey and human, comprising an average of 7% volume of the VTA across the different species, with the largest being present in the cat.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0110212"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0013734#rostral-linear-nucleus-1"),
    name="rostral linear nucleus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0013734"),
    synonyms=["anterior linear nucleus", "RLi", "rostral linear nucleus of the raphe"],
)
UBERONParcellation.rostral_mesencephalo_cerebellar_tract = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/rostralMesencephaloCerebellarTract",
    definition="Is a white matter. Is part of the brainstem and spinal white matter. [auto-generated from properties of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_2000579) ('is_a' and 'relationship')]",
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:2000579#rostral-mesencephalo-cerebellar-tract"),
    name="rostral mesencephalo-cerebellar tract",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_2000579"),
)
UBERONParcellation.rostral_middle_frontal_gyrus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/rostralMiddleFrontalGyrus",
    definition="'Rostral middle frontal gyrus' is a regional part of brain and frontal gyrus. It is part of the middle frontal gyrus.",
    description="Component of the middl frontal gyrus  The rostral boundary is the first appearance of the superior frontal sulcus whereas the caudal boundary is the middle frontal gyrus. The medial and lateral boundaries are the superior frontal sulcus and the inferior frontal sulcus respectively (Christine Fennema-Notestine).",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0110215"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0006446#rostral-middle-frontal-gyrus-1"),
    name="rostral middle frontal gyrus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0006446"),
    synonyms=[
        "anterior part of middle frontal gyrus",
        "rostral middle frontal gyrus",
        "rostral part of middle frontal gyrus",
    ],
)
UBERONParcellation.rostral_migratory_stream = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/rostralMigratoryStream",
    definition="'Rostral migratory stream' is a regional part of brain. It is part of the telencephalon.",
    description="Unique telencephalic subventricular zones that extend from the lateral ventricles into the olfactory bulbs. Newly produced GABAergic interneurons migrate along the RMS and settle in the bulb.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0110216"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0008881#rostral-migratory-stream-1"),
    name="rostral migratory stream",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0008881"),
    synonyms=["RMS", "rostral migratory pathway"],
)
UBERONParcellation.rostral_portion_of_the_medial_accessory_olive = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/rostralPortionOfTheMedialAccessoryOlive",
    definition="'Rostral portion of the medial accessory olive' is a regional part of brain. It is part of the inferior olivary complex.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0110220"),
    knowledge_space_link=IRI(
        "https://knowledge-space.org/wiki/UBERON:0024043#rostral-portion-of-the-medial-accessory-olive-1"
    ),
    name="rostral portion of the medial accessory olive",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0024043"),
    synonyms=["RMAO", "rostral portion of the medial accessory olive"],
)
UBERONParcellation.rostral_spinocerebellar_tract = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/rostralSpinocerebellarTract",
    definition="Is an axon tract. Is part of the spinocerebellar tract. [auto-generated from properties of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0023984) ('is_a' and 'relationship')]",
    description="Originates from cells rostral to Clarke's column and sends uncrossed axons through the lateral funiculus to the cerebellum. It reaches the cerebellum partly through the brachium conjunctivum and partly through the restiform body, terminating bilaterally in the anterior lobe of the cerebellum. [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0023984)]",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0110223"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0023984#rostral-spinocerebellar-tract-1"),
    name="rostral spinocerebellar tract",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0023984"),
)
UBERONParcellation.rostrum_of_corpus_callosum = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/rostrumOfCorpusCallosum",
    definition="The 'rostrum of corpus callosum' is a white matter fibre bundle. It is part of the corpus callosum.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0731510"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0015703#rostrum-of-corpus-callosum"),
    name="rostrum of corpus callosum",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0015703"),
    synonyms=["corpus callosum rostrum", "rostrum", "rostrum corporis callosi", "rostrum corpus callosi"],
)
UBERONParcellation.rubrospinal_tract = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/rubrospinalTract",
    definition="Is a tract of brain. Is part of the white matter of medulla oblongata. [auto-generated from properties of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0002714) ('is_a' and 'relationship')]",
    description="White matter tract arising in red nucleus and projecting to spinal cord ventral horn. [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0002714)]",
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002714#rubrospinal-tract-1"),
    name="rubrospinal tract",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002714"),
    synonyms=["Monakow's tract", "rubrospinal tract (Monakow)"],
)
UBERONParcellation.secondary_gustatory_tract = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/secondaryGustatoryTract",
    definition="Is a white matter of medulla oblongata. [auto-generated from 'is_a' property of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_2000430)]",
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:2000430#secondary-gustatory-tract"),
    name="secondary gustatory tract",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_2000430"),
)
UBERONParcellation.secondary_olfactory_cortex = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/secondaryOlfactoryCortex",
    definition="'Secondary olfactory cortex' is a regional part of brain. It is part of the olfactory cortex.",
    description="Brodmann's area 28; major gateway for neocortical input to the hippocampus; origin of the perforant pathway; a component of the medial temporal lobe memory system. (CSP) * The cytoarchitecturally well-defined area of multilaminate cerebral cortex on the medial aspect of the parahippocampal gyrus, immediately caudal to the olfactory cortex of the uncus. The entorhinal cortex is the origin of the major neural fiber system afferent to the hippocampus, the so-called PERFORANT PATHWAY. (Stedman, 25th ed) (MSH)",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0110447"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002895#secondary-olfactory-cortex-1"),
    name="secondary olfactory cortex",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002895"),
    synonyms=[
        "area 28 of Brodmann (Crosby)",
        "entorhinal cortex",
        "secondary olfactory areas",
        "secondary olfactory cortex",
        "secondary olfactory cortical area (Carpenter)",
    ],
)
UBERONParcellation.secondary_visual_cortex = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/secondaryVisualCortex",
    definition="'Secondary visual cortex' is part of Brodmann area 18 and a functional region of the brain. It is part of the visual cortex.",
    description="A region of the visual cortex adjacent and strongly connected to the primary visual cortex. It plays an important role in the analysis and discrimination of visual input related to motion, complex shapes, and position. A part of the visual association area.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0727119"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0022232#secondary-visual-cortex"),
    name="secondary visual cortex",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0022232"),
    synonyms=[
        "Area 18 of Brodmann",
        "area 18 of Brodmann-1909",
        "b09-18",
        "B09-18",
        "BA18",
        "Brodmann (1909) area 18",
        "Brodmann area 18",
        "occipital visual neocortex",
        "prestriate area",
        "prestriate cortex",
        "secondary visual area",
        "secondary visual cortex",
        "V2",
        "visual area two",
        "visual area V2",
        "visual association area",
        "visual association cortex",
    ],
)
UBERONParcellation.secretory_circumventricular_organ = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/secretoryCircumventricularOrgan",
    definition="Is a circumventricular organ and neuroendocrine gland. [auto-generated from 'is_a' property of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0010134)]",
    description="A circumventricular organ that is capable of secreting substances into the cerebrospinal fluid. [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0010134)]",
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0010134#secretory-circumventricular-organ"),
    name="secretory circumventricular organ",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0010134"),
)
UBERONParcellation.segmental_subdivision_of_hindbrain = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/segmentalSubdivisionOfHindbrain",
    definition="'Segmental subdivision of hindbrain' is a segmental subdivision of nervous system. It is part of the hindbrain.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0729200"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0004733#segmental-subdivision-of-hindbrain"),
    name="segmental subdivision of hindbrain",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0004733"),
)
UBERONParcellation.sensory_circumventricular_organ = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/sensoryCircumventricularOrgan",
    definition="Is a circumventricular organ. [auto-generated from 'is_a' property of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0010135)]",
    description="A circumventricular organ that is capable of monitoring the levels of substances to the cerebrospinal fluid. [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0010135)]",
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0010135#sensory-circumventricular-organ"),
    name="sensory circumventricular organ",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0010135"),
)
UBERONParcellation.septal_nuclear_complex = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/septalNuclearComplex",
    definition="'Septal nuclear complex' is a cerebral hemisphere gray matter and nuclear complex of neuraxis. It is part of the septum of telencephalon and basal forebrain.",
    description="Collection of nerve cells in the medial forebrain lying generally in front of the anterior commissure (Maryann Martone).",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0110508"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002663#septal-nuclear-complex-1"),
    name="septal nuclear complex",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002663"),
    synonyms=[
        "nuclei septales",
        "parolfactory nuclei",
        "septal nuclei",
        "septal nuclei and related structures",
        "septal nuclei set",
        "septal nucleus",
        "set of septal nuclei",
    ],
)
UBERONParcellation.septal_organ_of_masera = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/septalOrganOfMasera",
    definition="Is part of the olfactory epithelium. [auto-generated from 'relationship' property of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0015246)]",
    description="A small island of olfactory neuroepithelium lying bilaterally at the ventral base of the nasal septum near the entrance of the nasopharynx. [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0015246)]",
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0015246#septal-organ-of-masera"),
    name="septal organ of Masera",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0015246"),
)
UBERONParcellation.septofimbrial_nucleus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/septofimbrialNucleus",
    definition="'Septofimbrial nucleus' is a telencephalic nucleus. It is part of the septal nuclear complex.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0110511"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0001878#septofimbrial-nucleus-1"),
    name="septofimbrial nucleus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0001878"),
    synonyms=[
        "nucleus septalis fimbrialis",
        "nucleus septofibrialis",
        "nucleus septofimbrialis",
        "scattered nucleus of the septum",
        "SFi",
    ],
)
UBERONParcellation.septohippocampal_nucleus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/septohippocampalNucleus",
    definition="'Septohippocampal nucleus' is a telencephalic nucleus. It is part of the septal nuclear complex.",
    description="Part of septal nuclear complex.  In the human, it refers to the most caudal of scattered clusters of neurons in the septum pellucidum that extend, on the underside of the corpus callosum, from the level of the medial septal nucleus to the CA fields ( Crosby-1962 ). In the rat it is associated with the lateral septal nucleus throughout its rostro-caudal course toward the CA fields ( Swanson-1998.  Adapted from Brain Info.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0110513"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0007630#septohippocampal-nucleus"),
    name="septohippocampal nucleus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0007630"),
    synonyms=["SHi"],
)
UBERONParcellation.septum_of_telencephalon = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/septumOfTelencephalon",
    definition="Gray matter structure located on the midline of the forebrain consisting of the septum pellucidum (in some species) and the septal nuclei (Heimer, 1996).",
    description="'Septum of telencephalon' is a cerebral hemisphere gray matter.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0110516"),
    name="septum of telencephalon",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0000446"),
)
UBERONParcellation.septum_pellucidum = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/septumPellucidum",
    definition="'Septum pellucidum' is part of the septum of telencephalon and telencephalic ventricle.",
    description="A triangular double membrane, consisting of glial cells and fibers (Heimer, 1996) separating the anterior horns of the lateral ventricles of the brain. It is situated in the median plane and bounded by the corpus callosum and the body and columns of the fornix.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0110509"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0004714#septal-pellucidum"),
    name="septum pellucidum",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0004714"),
    synonyms=[
        "lateral septum",
        "medial septum",
        "pellucidum",
        "septal pellucidum",
        "septum gliosum",
        "septum lucidum",
        "septum pellucidum of telencephalic ventricle",
        "supracommissural septum",
    ],
)
UBERONParcellation.shell_of_nucleus_accumbens = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/shellOfNucleusAccumbens",
    definition="'Shell of nucleus accumbens' is a regional part of brain. It is part of the nucleus accumbens.",
    description="Crescent shaped outer zone of the nucleus accumbens, defined by a combination of chemoarchitecture and afferent and efferent connections.  The shell is distinguished from the more centrally located core through the notable reduction in staining for the calcium-binding protein calbindin D28K, which is dense in the core and virtually absent in the shell.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0110602"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0012171#shell-of-nucleus-accumbens-1"),
    name="shell of nucleus accumbens",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0012171"),
    synonyms=[
        "AcbSH",
        "accumbens nucleus",
        "accumbens nucleus shell",
        "nucleus accumbens shell",
        "shell",
        "shell of nucleus accumbens",
        "shell region of nucleus accumbens",
    ],
)
UBERONParcellation.solitary_tract = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/solitaryTract",
    definition="Is a tract of brain. Is part of the white matter of medulla oblongata. [auto-generated from properties of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0002718) ('is_a' and 'relationship')]",
    description="The solitary tract is a compact fiber bundle that extends longitudinally through the posterolateral region of the medulla. The solitary tract is surrounded by the nucleus of the solitary tract, and descends to the upper cervical segments of the spinal cord. [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0002718)]",
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002718#solitary-tract-1"),
    name="solitary tract",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002718"),
    synonyms=["respiratory bundle of Gierke"],
)
UBERONParcellation.solitary_tract_nuclear_complex = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/solitaryTractNuclearComplex",
    definition="Is a nuclear complex of neuraxis and gray matter of hindbrain. Is part of the medulla oblongata. [auto-generated from properties of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0002126) ('is_a' and 'relationship')]",
    description="The solitary tract and nucleus are structures in the brainstem that carry and receive visceral sensation and taste from the facial (VII), glossopharyngeal (IX) and vagus (X) cranial nerves. [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0002126)]",
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002126#solitary-tract-nuclear-complex"),
    name="solitary tract nuclear complex",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002126"),
    synonyms=["nuclei of solitary tract", "nucleus tractus solitarii", "solitary nuclei"],
)
UBERONParcellation.somatosensory_cortex = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/somatosensoryCortex",
    definition="Area of the parietal lobe concerned with receiving general sensations. It lies posterior to the central sulcus.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0110752"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0008930#somatosensory-cortex"),
    name="somatosensory cortex",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0008930"),
    synonyms=["somatic sensory cortex"],
)
UBERONParcellation.sommers_sector = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/sommersSector",
    definition="'Sommer's sector' is a regional part of brain. It is part of the hippocampal formation.",
    description="Part of hippocampal formation comprising area CA1 and the subiculum (pg 425, Heimer, L. The human brain and spinal cord, Springer-Verlag, 1995)",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0110759"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0023932#sommer-s-sector-1"),
    name="Sommer's sector",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0023932"),
    synonyms=["sommer's sector", "sommers sector"],
)
UBERONParcellation.spinal_trigeminal_tract = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/spinalTrigeminalTract",
    definition="Is a tract of brain. Is part of the brainstem. [auto-generated from properties of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0014761) ('is_a' and 'relationship')]",
    description="Brainstem tract formed by the central processes of first-order, trigeminal ganglion neurons that extends from the caudal medulla to the midpons. This tract conveys nociceptive and thermal information from the face to second-order neurons in the spinal nucleus of the trigeminal complex. [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0014761)]",
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0014761#spinal-trigeminal-tract"),
    name="spinal trigeminal tract",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0014761"),
)
UBERONParcellation.spinal_trigeminal_tract_of_medulla = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/spinalTrigeminalTractOfMedulla",
    definition="Is a spinal trigeminal tract. Is part of the medulla oblongata. [auto-generated from properties of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0002715) ('is_a' and 'relationship')]",
    description="Part of spinal trigeminal tract located in the medulla. [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0002715)]",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0110958"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002715#spinal-trigeminal-tract-of-medulla-1"),
    name="spinal trigeminal tract of medulla",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002715"),
)
UBERONParcellation.spinal_trigeminal_tract_of_pons = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/spinalTrigeminalTractOfPons",
    definition="Is a spinal trigeminal tract. Is part of the pontine tegmentum. [auto-generated from properties of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0002800) ('is_a' and 'relationship')]",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0110959"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002800#spinal-trigeminal-tract-of-pons-1"),
    name="spinal trigeminal tract of pons",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002800"),
)
UBERONParcellation.spino_olivary_tract = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/spinoOlivaryTract",
    definition="Is a tract of brain. Is part of the white matter of medulla oblongata. [auto-generated from properties of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0002719) ('is_a' and 'relationship')]",
    description="The spino-olivary tract is located in the ventral funiculus of the spinal cord. This tract carries proprioception information from muscles and tendons as well as cutaneous impulses to the olivary nucleus. [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0002719)]",
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002719#spino-olivary-tract-1"),
    name="spino-olivary tract",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002719"),
    synonyms=["helweg's tract"],
)
UBERONParcellation.spinocerebellar_tract = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/spinocerebellarTract",
    definition="Is an axon tract. Is part of the white matter. [auto-generated from properties of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0005413) ('is_a' and 'relationship')]",
    description="This tract conveys interoceptive, proprioceptive, and exteroceptive information from the body's internal organs, and from the trunk, extremities, and neck region to the Cerebellum. [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0005413)]",
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0005413#spinocerebellar-tract"),
    name="spinocerebellar tract",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0005413"),
)
UBERONParcellation.spinocerebellum = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/spinocerebellum",
    definition="Is a regional part of brain. Is part of the cerebellum. [auto-generated from properties of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0014643) ('is_a' and 'relationship')]",
    description="A phylogenetic subdivision of the cerebellum, the intermediate part, which regulates body and limb movements. It receives proprioception input from the dorsal columns of the spinal cord (including the spinocerebellar tract) and the trigeminal nerve, as well as from visual and auditory systems. It sends fibres to deep cerebellar nuclei which in turn project to both the cerebral cortex and the brain stem, thus providing modulation of descending motor systems. [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0014643)]",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0734938"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0014643#spinocerebellum"),
    name="spinocerebellum",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0014643"),
    synonyms=["paleocerebellum"],
)
UBERONParcellation.spinothalamic_tract = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/spinothalamicTract",
    definition="Is a tract of brain. [auto-generated from 'is_a' property of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0007703)]",
    description="A tract that originates from neurons in the spinal central gray and projects to various somatosensory nuclei of the thalamus. It is formed in the medulla by merger of the anterior spinothalamic tract and lateral spinothalamic tract (adapted from Braininfo.org) [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0007703)]",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0110973"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0007703#spinothalamic-tract"),
    name="spinothalamic tract",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0007703"),
)
UBERONParcellation.spinothalamic_tract_of_medulla = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/spinothalamicTractOfMedulla",
    definition="Is a tract of brain. Is part of the medulla oblongata and the spinothalamic tract. [auto-generated from properties of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0002944) ('is_a' and 'relationship')]",
    description="Part of spinothalamic tract that is in the medulla. [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0002944)]",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0110974"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002944#spinothalamic-tract-of-medulla-1"),
    name="spinothalamic tract of medulla",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002944"),
)
UBERONParcellation.spinothalamic_tract_of_midbrain = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/spinothalamicTractOfMidbrain",
    definition="Is a tract of brain. Is part of the midbrain tegmentum and the spinothalamic tract. [auto-generated from properties of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0002609) ('is_a' and 'relationship')]",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0110975"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002609#spinothalamic-tract-of-midbrain-1"),
    name="spinothalamic tract of midbrain",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002609"),
)
UBERONParcellation.spinothalamic_tract_of_pons = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/spinothalamicTractOfPons",
    definition="Is a tract of brain. Is part of the pontine tegmentum and the spinothalamic tract. [auto-generated from properties of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0002798) ('is_a' and 'relationship')]",
    description="Part of spinothalamic tract that is in the pontine tegmentum. [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0002798)]",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0110976"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002798#spinothalamic-tract-of-pons-1"),
    name="spinothalamic tract of pons",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002798"),
    synonyms=[
        "pons of varolius spinothalamic tract",
        "pons of varolius spinothalamic tract of medulla",
        "pons spinothalamic tract",
        "pons spinothalamic tract of medulla",
        "spinothalamic tract of medulla of pons",
        "spinothalamic tract of medulla of pons of varolius",
        "spinothalamic tract of pons of varolius",
    ],
)
UBERONParcellation.splenium_of_the_corpus_callosum = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/spleniumOfTheCorpusCallosum",
    definition="",
    description="The 'splenium of the corpus callosum' is a white matter fibre bundle. It is represents the posterior end of the corpus callosum.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0724356"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0015708#splenium-of-the-corpus-callosum"),
    name="splenium of the corpus callosum",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0015708"),
    synonyms=[
        "corpus callosum splenium",
        "splenium",
        "splenium corporis callosi",
        "splenium corpus callosi",
        "splenium of corpus callosum",
    ],
)
UBERONParcellation.stratum_zonale_of_thalamus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/stratumZonaleOfThalamus",
    definition="'Stratum zonale of thalamus' is a diencephalic white matter. It is part of the dorsal plus ventral thalamus.",
    description="The thalamus consists chiefly of gray substance, but its upper surface is covered by a layer of white substance, named the stratum zonale.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0111083"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002801#stratum-zonale-of-thalamus-1"),
    name="stratum zonale of thalamus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002801"),
    synonyms=["neuraxis stratum", "stratum zonale of the thalamus", "stratum zonale thalami"],
)
UBERONParcellation.stria_medullaris = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/striaMedullaris",
    definition="'Stria medullaris' is a diencephalic white matter and stria of neuraxis. It is part of the dorsal plus ventral thalamus.",
    description="White matter pathway located in the superior wall of the third ventricle along the dorsal-medial margin of the diencephalon; contains axons that interconnect the anterior hypothalamus and septal nuclei in the medial basal forebrain with the habenula, a component of the epithalamus. (http://www.sylvius.com/index/s/stria_medullaris.html)]]",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0111089"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0006086#stria-medullaris-1"),
    name="stria medullaris",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0006086"),
    synonyms=[
        "sm",
        "stria habenularis",
        "stria medularis",
        "stria medullaris (Wenzel - Wenzel)",
        "stria medullaris (Wenzel-Wenzel)",
        "stria medullaris of thalamus",
        "stria medullaris of the thalamus",
        "stria medullaris thalami",
        "stria medullaris thalamica",
    ],
)
UBERONParcellation.stria_terminalis = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/striaTerminalis",
    definition="'Stria terminalis' is a cerebral hemisphere white matter and stria of telencephalon.",
    description="White matter structure in the brain consisting of fibers running along the lateral margin of the ventricular surface of the thalamus. The stria terminalis covers the thalamostriate vein, marking a line of separation between the thalamus and the caudate nucleus as seen upon gross dissection of the ventricles of the brain, viewed from the superior aspect. The stria terminalis extends from the region of the interventricular foramen to the temporal horn of the lateral ventricle, carrying fibers from the amygdala to the septal, hypothalamic, and thalamic areas of the brain. It also carries fibers projecting from these areas back to the amygdala. (http://en.wikipedia.org/wiki/Stria_terminalis)]]",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0111091"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0003029#stria-terminalis-1"),
    name="stria terminalis",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0003029"),
    synonyms=[
        "fibrae striae terminalis",
        "fovilles fasciculus",
        "semicircular stria",
        "st",
        "stria semicircularis",
        "stria terminalis",
        "stria terminalis (Wenzel-Wenzel)",
        "Tarins tenia",
        "tenia semicircularis",
        "terminal stria",
    ],
)
UBERONParcellation.striatum = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/striatum",
    definition="'Striatum' is a gray matter of telencephalon. It is part of the ventral part of telencephalon, corpus striatum and basal nuclear complex.",
    description="* Externally Sourced Definition: A region of the brain consisting of the phylogenetically newer part of the Corpus_striatum (Caudate_nucleus and Putamen).",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0111098"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002435#striatum"),
    name="striatum",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002435"),
    synonyms=[
        "caudate putamen",
        "corpus striatum",
        "corpus striatum (Zilles)",
        "dorsal striatum",
        "neostriatum",
        "neuraxis striatum",
        "striate nucleus",
        "striated nucleus",
        "striatum",
        "striatum of neuraxis",
    ],
)
UBERONParcellation.striosomal_part_of_body_of_caudate_nucleus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/striosomalPartOfBodyOfCaudateNucleus",
    definition="'Striosomal part of body of caudate nucleus' is a striosomal part of caudate nucleus. It is part of the body of caudate nucleus.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0111106"),
    knowledge_space_link=IRI(
        "https://knowledge-space.org/wiki/UBERON:0027244#striosomal-part-of-body-of-caudate-nucleus"
    ),
    name="striosomal part of body of caudate nucleus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0027244"),
)
UBERONParcellation.striosomal_part_of_caudate_nucleus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/striosomalPartOfCaudateNucleus",
    definition="'Striosomal part of caudate nucleus' is a striosome. It is part of the caudate nucleus.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0111107"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0029004#striosomal-part-of-caudate-nucleus-1"),
    name="striosomal part of caudate nucleus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0029004"),
    synonyms=["striosomal compartment of caudate nucleus", "striosomal part of caudate nucleus"],
)
UBERONParcellation.striosomal_part_of_putamen = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/striosomalPartOfPutamen",
    definition="'Striosomal part of putamen' is a striosome. It is part of the putamen.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0111109"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0029005#striosomal-part-of-putamen-1"),
    name="striosomal part of putamen",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0029005"),
    synonyms=["striosomal part of putamen"],
)
UBERONParcellation.subarachnoid_fissure = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/subarachnoidFissure",
    definition="'Subarachnoid fissure' is an anatomical entity. It is part of the subarachnoid space.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0735254"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0014466#subarachnoid-fissure"),
    name="subarachnoid fissure",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0014466"),
)
UBERONParcellation.subarachnoid_space = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/subarachnoidSpace",
    definition="'Subarachnoid space' is an anatomical entity. It is part of the brain.",
    description="The space between the arachnoid and pia mater.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0736673"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0000315#subarachnoid-space"),
    name="subarachnoid space",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0000315"),
)
UBERONParcellation.subarachnoid_sulcus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/subarachnoidSulcus",
    definition="'Subarachnoid sulcus' is a sulcus of brain. It is part of the subarachnoid space.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0730861"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0008334#subarachnoid-sulcus"),
    name="subarachnoid sulcus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0008334"),
)
UBERONParcellation.subbrachial_nucleus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/subbrachialNucleus",
    definition="'Subbrachial nucleus' is a nucleus of midbrain tectum.",
    description="A group of cells ventral to the nucleus of brachium of inferior colliculus in the mouse (Paxinos-2001).",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0111154"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0006119#subbrachial-nucleus-1"),
    name="subbrachial nucleus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0006119"),
    synonyms=["SubB", "subbrachial nucleus", "tegmental area of tsai"],
)
UBERONParcellation.subcallosal_area = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/subcallosalArea",
    definition="'Subcallosal area' is a gray matter of telencephalon.",
    description="The subcallosal area (parolfactory area of Broca, area parolfactoria) is a small triangular field on the medial surface of the hemisphere in front of the subcallosal gyrus, from which it is separated by the posterior parolfactory sulcus; it is continuous below with the olfactory trigone, and above and in front with the cingulate gyrus; it is limited anteriorly by the anterior parolfactory sulcus. [WP,unvetted].",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0111156"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0003020#subcallosal-area-1"),
    name="subcallosal area",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0003020"),
    synonyms=[
        "adolfactory area",
        "area paraolfactoria",
        "area parolfactoria",
        "area subcallosa",
        "paraolfactory area",
        "parolfactory area",
        "subcallosal cortex",
        "Zuckerkandl's gyrus",
    ],
)
UBERONParcellation.subcommissural_organ = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/subcommissuralOrgan",
    definition="Is a secretory circumventricular organ. Is part of the midbrain tectum and the Reissner's fiber. [auto-generated from properties of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0002139) ('is_a' and 'relationship')]",
    description="The subcommissural organ is a circumventricular organ consisting of ependymal cells which secrete SCO-spondin. [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0002139)]",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0111159"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002139#subcommissural-organ-1"),
    name="subcommissural organ",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002139"),
)
UBERONParcellation.subcuneiform_nucleus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/subcuneiformNucleus",
    description="'Subcuneiform nucleus' is a nucleus of midbrain reticular formation.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0111160"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002700#subcuneiform-nucleus-1"),
    name="subcuneiform nucleus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002700"),
)
UBERONParcellation.subfascicular_nucleus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/subfascicularNucleus",
    definition="'Subfascicular nucleus' is a nucleus of dorsal thalamus. It is part of the midline nuclear group.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0111163"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002959#subfascicular-nucleus-1"),
    name="subfascicular nucleus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002959"),
    synonyms=["SF", "nucleus subfascicularis"],
)
UBERONParcellation.subfornical_organ = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/subfornicalOrgan",
    definition="Is a sensory circumventricular organ. Is part of the septal nuclear complex. [auto-generated from properties of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0002219) ('is_a' and 'relationship')]",
    description="Group of neurons situated on the ventral surface of the fornix at the level of the foramen of Monro in the third ventricle (adapted from Wikipedia via NIF). [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0002219)]",
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002219#subfornical-organ"),
    name="subfornical organ",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002219"),
)
UBERONParcellation.subicular_complex = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/subicularComplex",
    definition="'Subicular complex' is a regional part of brain. It is part of the hippocampal formation.",
    description="A composite structure of the temporal lobe that includes the subiculum, the presubiculum and the parasubicular area (Amaral-90)",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0111167"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0023787#subicular-complex-1"),
    name="subicular complex",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0023787"),
    synonyms=["subicular complex"],
)
UBERONParcellation.subiculum = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/subiculum",
    definition="'Subiculum' is a regional part of brain. It is part of the hippocampal formation.",
    description="Part of the hippocampal formation that is bounded by the entorhinal cortex and area CA1.  It is characterized on the CA1 border by an abrupt widening of the pyramidal cell layer. A molecular layer is present that is continuous with that of CA1, although the stratum radiatum is no longer present. The stratum oriens is also not present.  adapted from Paxinos, G. The rat central nervous system, 2nd ed, Academic Press, San Diego, 1995, pg. 468)",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0111168"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002191#subiculum-1"),
    name="subiculum",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002191"),
    synonyms=["gyrus parahippocampalis", "subicular cortex", "subiculum cornu ammonis", "subiculum hippocampi"],
)
UBERONParcellation.sublentiform_nucleus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/sublentiformNucleus",
    definition="'Sublentiform nucleus' is a nucleus of midbrain tectum and pretectal nucleus.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0111190"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002578#sublentiform-nucleus-1"),
    name="sublentiform nucleus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002578"),
    synonyms=["nucleus sublentiformis"],
)
UBERONParcellation.submedial_nucleus_of_thalamus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/submedialNucleusOfThalamus",
    definition="'Submedial nucleus of thalamus' is a posterior nucleus of thalamus.",
    description="Thalamic nucleus separated from the ventromedial part of the mediodorsal nucleus of the thalamus by the internal medullary lamina (Paxinos The rat nervous system 2nd ed, Academic Press, 1995).",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0111192"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0003031#submedial-nucleus"),
    name="submedial nucleus of thalamus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0003031"),
    synonyms=[
        "gelatinosus thalamic nucleus",
        "nucleus submedialis thalami",
        "nucleus submedius thalami",
        "SM",
        "submedial nucleus",
        "submedial nucleus of thalamus",
        "submedial nucleus of the thalamus",
        "submedial nucleus thalamus",
        "submedial thalamic nucleus",
        "submedius thalamic nucleus",
    ],
)
UBERONParcellation.substantia_gelatinosa = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/substantiaGelatinosa",
    definition="'Substantia gelatinosa' is a lamina of gray matter of spinal cord. It is part of the dorsal horn of spinal cord.",
    description="Gray matter region of spinal cord gray matter that caps the posterior horn at all spinal levels.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0111207"),
    knowledge_space_link=IRI(
        "https://knowledge-space.org/wiki/UBERON:0002181#substantia-gelatinosa-of-spinal-cord-dorsal-horn"
    ),
    name="substantia gelatinosa",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002181"),
    synonyms=[
        "central gelatinous substance of spinal cord",
        "gelatinous substance of dorsal horn of spinal cord",
        "gelatinous substance of posterior horn of spinal cord",
        "gelatinous substance of Rolando",
        "lamina II of gray matter of spinal cord",
        "lamina spinalis II",
        "Rexed lamina II",
        "spinal lamina II",
        "substantia gelatinosa cornu posterioris medullae spinalis",
        "substantia gelatinosa of spinal cord dorsal horn",
        "substantia gelatinosa of spinal cord posterior horn",
    ],
)
UBERONParcellation.substantia_innominata = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/substantiaInnominata",
    definition="'Substantia innominata' is a telencephalic nucleus. It is part of the ventral pallidum.",
    description="A predominantly gray matter structure of the basal telencephalon defined on the basis of Nissl stain. Caudal to the anterior commissure it lies deep to the globus pallidus and dorsal to the amygdala. Rostral to the anterior commissure it lies deep to the striatum. The more rostral portion contains the basal forebrain nucleus ( Anthoney-1994 ). In the late twentieth century the region containing the substantia innominata was resegmented on the basis of neurochemistry and connectivity to constitute the striatopallidal system ( Heimer-1995 ). In this scheme the caudal portion of substantia innominata is located largely in the ventral pallidum and the rostral portion in the ventral striatum. (from Brain Info)",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0111212"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0003017#substantia-innominata-1"),
    name="substantia innominata",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0003017"),
    synonyms=[
        "innominate substance",
        "nucleus of substantia innominata",
        "Reichert)",
        "SI",
        "substantia innominata (Reil",
        "substantia innominata of Meynert",
        "substantia innominata of Reichert",
        "substantia innominata of Reil",
        "substriatal gray",
    ],
)
UBERONParcellation.substantia_nigra = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/substantiaNigra",
    definition="'Substantia nigra' is a midbrain nucleus. It is part of the basal ganglion.",
    description="Predominantly gray matter midbrain structure lying dorsal to the crus cerebri and ventral to the midbrain tegmentum.  It is divided into a dorsal, cellularly compact region known as the pars compacta and a more ventrally located, containing more loosely packed cells, the pars reticulata.  The most lateral region of the reticulata is identified as the pars lateralis (MM).",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0111214"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002038#substantia-nigra-1"),
    name="substantia nigra",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002038"),
    synonyms=[
        "nucleus of basis pedunculi",
        "nucleus pigmentosus subthalamo-peduncularis",
        "SN",
        "Soemmering's substance",
        "substancia nigra",
        "substantia nigra (Soemmerringi)",
    ],
)
UBERONParcellation.substantia_nigra_pars_compacta = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/substantiaNigraParsCompacta",
    definition="'Substantia nigra pars compacta' is part of the substantia nigra.",
    description="Regional part of substantia nigra consisting of a densely packed region of cells, more or less dorsal to the pars reticulata, but extending into the pars reticulata in some species.  The dominant neurotransmitter used by pars compacta neurons is dopamine.  Pars compacta neurons are pigmented in many species (MM).",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0111219"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0001965#substantia-nigra-pars-compacta-1"),
    name="substantia nigra pars compacta",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0001965"),
    synonyms=[
        "compact division",
        "compact part",
        "compact part of substantia nigra",
        "nucleus substantiae nigrae",
        "pars compacta",
        "pars compacta of substantia nigra",
        "pars compacta substantiae nigrae",
        "SNC",
        "SNpc",
        "substantia nigra",
        "substantia nigra compact part",
        "substantia nigra compacta",
    ],
)
UBERONParcellation.substantia_nigra_pars_lateralis = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/substantiaNigraParsLateralis",
    definition="'Substantia nigra pars lateralis' is a regional part of brain. It is part of the substantia nigra.",
    description="Part of the pars reticulata of substantia nigra. It is the lateral, 'most fibrous' part (Poirier-83), which is regarded to be the phylogenetically oldest part of the substantia nigra and the only part found in nonmammalian vertebrates (Crosby-62) (Adapted from Brain Info: http://braininfo.rprc.washington.edu/centraldirectory.aspx?ID",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0111221"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002995#substantia-nigra-pars-lateralis-1"),
    name="substantia nigra pars lateralis",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002995"),
    synonyms=[
        "internal capsule (Burdach)",
        "lateral division",
        "lateral part",
        "lateral part of substantia nigra",
        "pars lateralis",
        "pars lateralis substantiae nigrae",
        "SNL",
        "substantia nigra",
        "substantia nigra lateral part",
    ],
)
UBERONParcellation.substantia_nigra_pars_reticulata = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/substantiaNigraParsReticulata",
    definition="'Substantia nigra pars reticulata' is part of the substantia nigra.",
    description="Regional part of substantia nigra consisting of loosely packed cells, generally located ventral and lateral to the pars compacta.  Many cells in this region use GABA as a neurotransmitter (MM).",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0111222"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0001966#substantia-nigra-pars-reticulata-1"),
    name="substantia nigra pars reticulata",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0001966"),
    synonyms=[
        "nucleus substantiae nigrae",
        "pars compacta",
        "pars compacta of substantia nigra",
        "pars diffusa",
        "pars reticularis",
        "pars reticularis substantiae nigrae",
        "pars reticulata",
        "reticular division",
        "reticular part",
        "reticular part of substantia nigra",
        "SNPR",
        "SNR",
        "substantia nigra",
        "substantia nigra reticular part",
    ],
)
UBERONParcellation.sulcus_limitans_of_fourth_ventricle = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/sulcusLimitansOfFourthVentricle",
    definition="'Sulcus limitans of fourth ventricle' is an anatomical entity. It is part of the fourth ventricle.",
    description="In the floor of the fourth ventricle, the sulcus limitans separates the cranial nerve motor nuclei (medial) from the sensory nuclei (lateral). In the superior part of the rhomboid fossa, it corresponds with the lateral limit of the fossa and presents a bluish-gray area, the locus ceruleus (which owes its color to an underlying patch of deeply pigmented nerve cells, termed the substantia ferruginea). [WP].",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0736901"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0009573#sulcus-limitans-of-fourth-ventricle"),
    name="sulcus limitans of fourth ventricle",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0009573"),
)
UBERONParcellation.sulcus_of_brain = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/sulcusOfBrain",
    definition="'Sulcus of brain' is an anatomical entity. It is part of the brain.",
    description="A depression or fissure in the surface of the brain. It surrounds the gyri, creating the characteristic appearance of the brain in humans and other large mammals.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0725590"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0013118#sulcus-of-brain"),
    name="sulcus of brain",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0013118"),
)
UBERONParcellation.superficial_cerebral_vein = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/superficialCerebralVein",
    definition="Is a cerebral vein. [auto-generated from 'is_a' property of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0016559)]",
    description="The superficial cerebral veins are a group of veins in the head. This group includes the superior cerebral veins. [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0016559)]",
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0016559#superficial-cerebral-vein"),
    name="superficial cerebral vein",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0016559"),
    synonyms=["cortical cerebral vein"],
)
UBERONParcellation.superficial_feature_part_of_occipital_lobe = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/superficialFeaturePartOfOccipitalLobe",
    definition="'Superficial feature part of occipital lobe' is a regional part of brain. It is part of the occipital lobe.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0111268"),
    knowledge_space_link=IRI(
        "https://knowledge-space.org/wiki/UBERON:0023462#superficial-feature-part-of-occipital-lobe-1"
    ),
    name="superficial feature part of occipital lobe",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0023462"),
    synonyms=["superficial feature part of occipital lobe"],
)
UBERONParcellation.superficial_feature_part_of_the_cerebellum = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/superficialFeaturePartOfTheCerebellum",
    definition="Is a regional part of brain. Is part of the cerebellum. [auto-generated from properties of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0024046) ('is_a' and 'relationship')]",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0111271"),
    knowledge_space_link=IRI(
        "https://knowledge-space.org/wiki/UBERON:0024046#superficial-feature-part-of-the-cerebellum"
    ),
    name="superficial feature part of the cerebellum",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0024046"),
)
UBERONParcellation.superficial_middle_cerebral_vein = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/superficialMiddleCerebralVein",
    definition="Is a cerebral vein. Is part of the cavernous sinus. [auto-generated from properties of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0035231) ('is_a' and 'relationship')]",
    description="A vein that runs along the fissure of Sylvius to the cavernous sinus on the lateral surface of the brain and connects to the superior sagittal and transverse sinuses. [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0035231)]",
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0035231#superficial-middle-cerebral-vein"),
    name="superficial middle cerebral vein",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0035231"),
    synonyms=["Sylvian vein", "vein of Labbe"],
)
UBERONParcellation.superior_cerebellar_peduncle = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/superiorCerebellarPeduncle",
    definition="Is a cerebellar peduncle. [auto-generated from 'is_a' property of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0002150)]",
    description="A composite structure of the brain stem, which in NeuroNames is subdivided into the superior cerebellar peduncle of pons, the decussation of superior cerebellar peduncle and the superior cerebellar peduncle of midbrain (MM). [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0002150)]",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0111279"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002150#superior-cerebellar-peduncle-1"),
    name="superior cerebellar peduncle",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002150"),
    synonyms=["brachium conjunctivum"],
)
UBERONParcellation.superior_cerebellar_peduncle_of_midbrain = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/superiorCerebellarPeduncleOfMidbrain",
    definition="Is a regional part of brain. Is part of the midbrain tegmentum and the superior cerebellar peduncle. [auto-generated from properties of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0007707) ('is_a' and 'relationship')]",
    description="Regional part of superior cerebellar peduncle, located in the midbrain, consisting of a large bundle of fibers largely projecting from the deep cerebellar nuclei to the midbrain and thalamus. It is continuous with the superior cerebellar peduncle of the pons. (MM). [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0007707)]",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0111280"),
    knowledge_space_link=IRI(
        "https://knowledge-space.org/wiki/UBERON:0007707#superior-cerebellar-peduncle-of-midbrain-1"
    ),
    name="superior cerebellar peduncle of midbrain",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0007707"),
    synonyms=["SCPMB"],
)
UBERONParcellation.superior_cerebellar_peduncle_of_pons = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/superiorCerebellarPeduncleOfPons",
    definition="Is a regional part of brain. Is part of the superior cerebellar peduncle and the pontine tegmentum. [auto-generated from properties of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0007709) ('is_a' and 'relationship')]",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0111281"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0007709#superior-cerebellar-peduncle-of-pons-1"),
    name="superior cerebellar peduncle of pons",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0007709"),
    synonyms=["SCPP"],
)
UBERONParcellation.superior_cerebral_vein = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/superiorCerebralVein",
    definition="Is a superficial cerebral vein. [auto-generated from 'is_a' property of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0035150)]",
    description="The Superior Cerebral Veins, eight to twelve in number, drain the superior, lateral, and medial surfaces of the hemispheres, and are mainly lodged in the sulci between the gyri, but some run across the gyri. They open into the superior sagittal sinus; the anterior veins runs nearly at right angles to the sinus; the posterior and larger veins are directed obliquely forward and open into the sinus in a direction more or less opposed to the current of the blood contained within it. [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0035150)]",
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0035150#superior-cerebral-vein"),
    name="superior cerebral vein",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0035150"),
)
UBERONParcellation.superior_colliculus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/superiorColliculus",
    definition="'Superior colliculus' is a regional part of brain and visual processing part of nervous system. It is part of the corpora quadrigemina.",
    description="Part of the midbrain tecturm consisting of paired bodies that sit caudal to the thalamus and surround the pineal gland in the mesencephalon of vertebrate brains. It comprises the rostral aspect of the midbrain, posterior to the periaqueductal gray and adjacent superior the inferior colliculus. The inferior and superior colliculi are known collectively as the corpora quadrigemina (Latin, quadruplet bodies). It consists of several identified cellular layers and also comprises the brachium of the superior colliculus and commissure of supeior colliculus from Wikipedia.org and Neuronames (MM).",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0111282"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0001945#superior-colliculus-1"),
    name="superior colliculus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0001945"),
    synonyms=[
        "anterior colliculus",
        "anterior corpus quadrigeminum",
        "colliculus bigeminalis oralis",
        "colliculus cranialis",
        "colliculus rostralis",
        "colliculus superior",
        "corpora bigemina",
        "corpus quadrigeminum superius",
        "cranial colliculus",
        "dorsal midbrain",
        "layers of the superior colliculus",
        "lobus opticus",
        "nates",
        "optic lobe",
        "optic tectum",
        "SC",
        "strata (grisea et alba) colliculi cranialis",
        "strata (grisea et alba) colliculi superioris",
        "tectal lobe",
        "tectum",
        "tectum opticum",
    ],
)
UBERONParcellation.superior_frontal_gyrus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/superiorFrontalGyrus",
    definition="'Superior frontal gyrus' is a frontal gyrus.",
    description="Component of the frontal lobe, lateral aspect.  The rostral boundary is the first appearance of the superior frontal sulcus whereas the caudal boundary is the midpoint of the paracentral sulcus on the 'inflated' surface. The medial and lateral boundaries are  the medial aspect of the frontal lobe and the superior frontal sulcus respectively (Christine Fennema-Notestine).",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0111304"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002661#superior-frontal-gyrus-1"),
    name="superior frontal gyrus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002661"),
    synonyms=[
        "gyrus F1",
        "gyrus frontalis primus",
        "gyrus frontalis superior",
        "marginal gyrus",
        "superior frontal convolution",
    ],
)
UBERONParcellation.superior_medullary_velum = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/superiorMedullaryVelum",
    definition="'Superior medullary velum' is a white matter of metencephalon. It is part of the cerebellum.",
    description="The superior medullary velum (anterior medullary velum, valve of Vieussens) is a thin, transparent of white substance, which stretches between the superior cerebellar peduncles; on the dorsal surface of its lower half the folia and lingula are prolonged. It forms, together with the superior cerebellar peduncle, the roof of the upper part of the fourth ventricle; it is narrow above, where it passes beneath the inferior colliculi, and broader below, where it is continuous with the white substance of the superior vermis. A slightly elevated ridge, the fraenulum veli, descends upon its upper part from between the inferior colliculi, and on either side of this the trochlear nerve emerges. Blood is supplied by branches from the superior cerebellar artery. [WP,unvetted].",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0111306"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002659#superior-medullary-velum-1"),
    name="superior medullary velum",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002659"),
    synonyms=[
        "anterior medullary velum",
        "rostral medullary velum",
        "SMV",
        "velum medullare anterius",
        "velum medullare craniale",
        "velum medullare rostralis",
        "velum medullare superior",
        "velum medullare superius",
    ],
)
UBERONParcellation.superior_occipital_gyrus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/superiorOccipitalGyrus",
    definition="'Superior occipital gyrus' is an occipital gyrus.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0111308"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002948#superior-occipital-gyrus-1"),
    name="superior occipital gyrus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002948"),
    synonyms=["gyrus occipitalis primus", "gyrus occipitalis superior"],
)
UBERONParcellation.superior_olivary_complex = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/superiorOlivaryComplex",
    definition="'Superior olivary complex' is a nuclear complex of neuraxis and gray matter of hindbrain. It is part of the pontine tegmentum.",
    description="A a collection of brainstem nuclei that functions in multiple aspects of hearing and is an important component of the ascending and descending auditory pathways of the auditory system.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0111309"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002128#superior-olivary-complex-1"),
    name="superior olivary complex",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002128"),
    synonyms=[
        "nucleus olivaris superior",
        "regio olivaris superioris",
        "superior olivary nuclei",
        "superior olivary nucleus",
        "superior olivary nucleus (Barr & Kiernan)",
        "superior olive",
    ],
)
UBERONParcellation.superior_parietal_cortex = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/superiorParietalCortex",
    definition="'Superior parietal cortex' is part of the parietal lobe and neocortex.",
    description="Component of the parietal lobe.  The rostral and caudal boundaries of the superior parietal cortex were the precentral gyrus and lateral occipital cortex respectively. The medial and lateral boundaries were the precuneus and/or cuneus cortex and the infererior parietal cortex respectively (Christine Fennema-Notestine).",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0111317"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0006094#superior-parietal-cortex-1"),
    name="superior parietal cortex",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0006094"),
    synonyms=[
        "gyrus parietalis superior",
        "lobulus parietalis superior",
        "superior parietal cortex",
        "superior parietal gyrus",
        "superior parietal lobule",
        "superior portion of parietal gyrus",
    ],
)
UBERONParcellation.superior_rostral_gyrus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/superiorRostralGyrus",
    definition="'Superior rostral gyrus' is a regional part of brain. It is part of the rostral gyrus.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0111324"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0019279#superior-rostral-gyrus-1"),
    name="superior rostral gyrus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0019279"),
    synonyms=["superior rostral gyrus"],
)
UBERONParcellation.superior_salivatory_nucleus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/superiorSalivatoryNucleus",
    definition="'Superior salivatory nucleus' is a cranial nerve nucleus, salivatory nucleus and nucleus of medulla oblongata. It is part of the pontine tegmentum.",
    description="Nucleus containing parasympathetic neurons giving rise to the parasympathetic division of the facial nerve, innervating the salivary glands (Brodal, Neurological Anatomy, 3rd ed., 1981, pg 703).",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0111326"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002149#superior-salivatory-nucleus-1"),
    name="superior salivatory nucleus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002149"),
)
UBERONParcellation.superior_temporal_gyrus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/superiorTemporalGyrus",
    definition="'Superior temporal gyrus' is a gyrus. It is part of the temporal lobe.",
    description="Component of the temporal lobe, lateral aspect.  The rostral boundary is the rostral extent of the ssuperior temporal sulcus.  The caudal boundary is the cauday portion of the superior temporal gyrus (posterior to becoming continuous with the supramarginal gyrus).  The medial boundary is the lateral fissure (and when present the supramarginal gyrus), and the lateral boundary is the superior temporal suclus (Christine Fennema-Notestine).",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0111328"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002769#superior-temporal-gyrus-1"),
    name="superior temporal gyrus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002769"),
    synonyms=["STG", "gyrus temporalis superior"],
)
UBERONParcellation.superior_temporal_sulcus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/superiorTemporalSulcus",
    definition="The 'superior temporal sulcus' is the sulcus separating the superior temporal gyrus from the middle temporal gyrus in the temporal lobe of the brain. [from [wikipedia](http://en.wikipedia.org/wiki/Superior_temporal_sulcus)]",
    description="The superior temporal sulcus is the first sulcus inferior to the lateral fissure. It is involved in the perception of where others are gazing and is thus important in determining where others' emotions are being directed. It is also involved in the perception of biological motion. [from [wikipedia](http://en.wikipedia.org/wiki/Superior_temporal_sulcus)]",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0111329"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002734#superior-temporal-sulcus-1"),
    name="superior temporal sulcus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002734"),
    synonyms=["parallel sulcus", "STS", "sulcus t1", "sulcus temporalis superior", "superior temporal fissure"],
)
UBERONParcellation.superior_transverse_frontopolar_gyrus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/superiorTransverseFrontopolarGyrus",
    definition="'Superior transverse frontopolar gyrus' is a regional part of brain. It is part of the transverse frontopolar gyri complex.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0111330"),
    knowledge_space_link=IRI(
        "https://knowledge-space.org/wiki/UBERON:0024201#superior-transverse-frontopolar-gyrus-1"
    ),
    name="superior transverse frontopolar gyrus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0024201"),
    synonyms=["superior transverse frontopolar gyrus"],
)
UBERONParcellation.supracallosal_gyrus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/supracallosalGyrus",
    definition="'Supracallosal gyrus' is a gyrus. It is part of the limbic lobe.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0111340"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002665#supracallosal-gyrus-1"),
    name="supracallosal gyrus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002665"),
    synonyms=[
        "gyrus supracallosus",
        "hippocampus supracommissuralis",
        "supracommissural hippocampal rudiment",
        "supracommissural hippocampus",
    ],
)
UBERONParcellation.suprachiasmatic_nucleus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/suprachiasmaticNucleus",
    definition="'Suprachiasmatic nucleus' is a hypothalamic nucleus and preoptic nucleus. It is part of the medial zone of hypothalamus.",
    description="* An ovoid densely packed collection of small cells of the anterior hypothalamus lying close to the midline in a shallow impression of the optic chiasm. (MSH) * small group of nerve cell bodies in the supraoptic region of the hypothalamus, just above the optic chiasm; influences rhythmic aspects of hypothalamic functions in many vertebrate species. (CSP)",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0111341"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002034#suprachiasmatic-nucleus-1"),
    name="suprachiasmatic nucleus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002034"),
    synonyms=[
        "nucleus suprachiasmaticus",
        "nucleus suprachiasmaticus hypothalami",
        "SCh",
        "SCN",
        "suprachiasmatic nucleus (Spiegel-Zwieg)",
        "suprachiasmatic nucleus of hypothalamus",
    ],
)
UBERONParcellation.suprachiasmatic_nucleus_dorsomedial_part = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/suprachiasmaticNucleusDorsomedialPart",
    definition="'Suprachiasmatic nucleus dorsomedial part' is a regional part of brain. It is part of the suprachiasmatic nucleus.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0111342"),
    knowledge_space_link=IRI(
        "https://knowledge-space.org/wiki/UBERON:0027768#suprachiasmatic-nucleus-dorsomedial-part-1"
    ),
    name="suprachiasmatic nucleus dorsomedial part",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0027768"),
    synonyms=["SCHd", "suprachiasmatic nucleus dorsomedial part"],
)
UBERONParcellation.suprachiasmatic_nucleus_ventrolateral_part = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/suprachiasmaticNucleusVentrolateralPart",
    definition="'Suprachiasmatic nucleus ventrolateral part' is a regional part of brain. It is part of the suprachiasmatic nucleus.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0111345"),
    knowledge_space_link=IRI(
        "https://knowledge-space.org/wiki/UBERON:0027771#suprachiasmatic-nucleus-ventrolateral-part-1"
    ),
    name="suprachiasmatic nucleus ventrolateral part",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0027771"),
    synonyms=["SCHv", "suprachiasmatic nucleus ventrolateral part"],
)
UBERONParcellation.suprageniculate_nucleus_of_thalamus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/suprageniculateNucleusOfThalamus",
    definition="'Suprageniculate nucleus of thalamus' is a nucleus of brain.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0111347"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0003033#suprageniculate-nucleus"),
    name="suprageniculate nucleus of thalamus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0003033"),
    synonyms=["nucleus suprageniculatus", "SG", "suprageniculate nucleus", "suprageniculate thalamic nucleus"],
)
UBERONParcellation.supramammillary_commissure = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/supramammillaryCommissure",
    definition="Is a commissure of diencephalon. Is part of the posterior hypothalamic region. [auto-generated from properties of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0002991) ('is_a' and 'relationship')]",
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002991#supramammillary-commissure-1"),
    name="supramammillary commissure",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002991"),
    synonyms=[
        "commissure of forel",
        "commissure y",
        "decussation supramamilaris",
        "postmammillary decussation",
        "supramammillary decussation",
    ],
)
UBERONParcellation.supramammillary_nucleus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/supramammillaryNucleus",
    definition="'Supramammillary nucleus' is a hypothalamic nucleus. It is part of the mammillary body.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0111351"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0001940#supramammillary-nucleus-1"),
    name="supramammillary nucleus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0001940"),
    synonyms=[
        "nuclei premamillaris",
        "nucleus premamillaris hypothalami",
        "premamillary nucleus",
        "premammillary nuclei",
        "SuM",
    ],
)
UBERONParcellation.supramarginal_gyrus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/supramarginalGyrus",
    definition="'Supramarginal gyrus' is a gyrus. It is part of the parietal lobe.",
    description="Component of the parietal lobe.  The first coronal slice between the superior temporal gyrus and the postcentral gyrus where the supramarginal gyrus appears was the rostral boundary whereas the slice where the supramarginal gyrus becomes continuous with the superior parietal gyrus was the caudal boundary. The medial and lateral boundaries were the lateral banks of the intraparietal sulcus and the medial banks of the lateral fissure and/or the superior temporal gyrus respectively (Christine Fennema-Notestine).",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0111355"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002688#supramarginal-gyrus-1"),
    name="supramarginal gyrus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002688"),
    synonyms=[
        "anterior part of inferior parietal lobule",
        "BA40",
        "Brodmann area 40",
        "gyrus supramarginalis",
        "inferior parietal lobule (krieg)",
    ],
)
UBERONParcellation.supraoptic_nucleus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/supraopticNucleus",
    definition="'Supraoptic nucleus' is a hypothalamic nucleus. It is part of the periventricular zone of hypothalamus and anterior hypothalamic region.",
    description="Well defined nucleus containing large cells in the anterior hypothalamus located above the beginning of the optic tract on both sides of the brain.  At its most anterior end, it is situated above and lateral to the optic chiasm.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0111356"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0001929#supraoptic-nucleus-1"),
    name="supraoptic nucleus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0001929"),
    synonyms=[
        "general",
        "nucleus supraopticus",
        "nucleus supraopticus hypothalami",
        "nucleus tangentialis (Riley)",
        "proper",
        "SO",
        "Supra-optic nucleus",
        "supraoptic nucleus",
        "supraoptic nucleus of hypothalamus",
        "supraoptic nucleus proper (Lenhossek)",
    ],
)
UBERONParcellation.supraoptic_tract = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/supraopticTract",
    definition="Is a brain white matter. [auto-generated from 'is_a' property of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_2002244)]",
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:2002244#supraoptic-tract"),
    name="supraoptic tract",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_2002244"),
    synonyms=["SOT"],
)
UBERONParcellation.supraopticohypophysial_tract = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/supraopticohypophysialTract",
    definition="Is a tract of diencephalon. Is part of the anterior hypothalamic region. [auto-generated from properties of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0002699) ('is_a' and 'relationship')]",
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002699#supraopticohypophysial-tract-1"),
    name="supraopticohypophysial tract",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002699"),
    synonyms=["supra-opticohypophysial tract", "supraopticohypophyseal tract", "tractus supraopticohypophysialis"],
)
UBERONParcellation.supraspinal_nucleus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/supraspinalNucleus",
    definition="'Supraspinal nucleus' is a nucleus of medulla oblongata.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0111360"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002882#supraspinal-nucleus-1"),
    name="supraspinal nucleus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002882"),
    synonyms=[
        "SSp",
        "nucleus substantiae grisea ventralis",
        "nucleus substantiae griseae ventralis",
        "nucleus supraspinalis",
    ],
)
UBERONParcellation.taenia_tectum_of_brain = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/taeniaTectumOfBrain",
    definition="'Taenia tectum of brain' is a white matter of limbic lobe and stria of telencephalon. It is part of the olfactory bulb and supracallosal gyrus.",
    description="A continuation ventrally of the supracallosal gyrus beyond the rostrum of the corpus callosum. It is demonstrated histologically by Nissl stain. In the human ( Anthoney-1994 ) and the macaque ( Paxinos-2004 ) it lies on the rostral surface of the lamina terminalis and is considered identical to or part of the paraterminal gyrus. In the rat ( Swanson-1998 ) and the mouse ( Paxinos-2001 ) it is located similarly in relation to the supracallosal gyrus, however, it is a more prominent layered structure that extends rostrally on the medial surface overlying the anterior olfactory nucleus. It is considered part of the olfactory areas (rodent) of the cerebral cortex. In rodents it consists of two parts, the dorsal tenia tecta and the ventral tenia tecta. Note that some authors use the term 'tenia tecta' or 'taenia tecta' as a synonym for the lateral longitudinal stria ( Riley-1943 ).",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0111490"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0015800#taenia-tectum-of-brain"),
    name="taenia tectum of brain",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0015800"),
    synonyms=["taenia tecta", "taenia tectum", "tenia tecta", "tenia tectum"],
)
UBERONParcellation.tail_of_caudate_nucleus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/tailOfCaudateNucleus",
    definition="'Tail of caudate nucleus' is a gray matter of telencephalon. It is part of the caudate nucleus.",
    description="Narrowest part of the caudate nucleus, roughly defined as that portion that curves ventrally from the body of the caudate nucleus, following the temporal horn of the lateral ventricle",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0111511"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002628#tail-of-caudate-nucleus-1"),
    name="tail of caudate nucleus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002628"),
    synonyms=["cauda (caudatus)", "cauda nuclei caudati", "caudate nuclear tail", "tail of the caudate nucleus"],
)
UBERONParcellation.tectobulbar_tract = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/tectobulbarTract",
    definition="Is a tract of brain. Is part of the medulla oblongata. [auto-generated from properties of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0002164) ('is_a' and 'relationship')]",
    description="A long process of a CNS neuron, that carries efferent (outgoing) action potentials from the cell body in the optic tectum towards target cells in the premotor reticulospinal system in the hindbrain. [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0002164)]",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0111548"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002164#tectobulbar-tract-1"),
    name="tectobulbar tract",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002164"),
    synonyms=["tecto-bulbar tract"],
)
UBERONParcellation.tectopontine_tract = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/tectopontineTract",
    definition="Is a tract of brain. Is part of the pontine tegmentum. [auto-generated from properties of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0002930) ('is_a' and 'relationship')]",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0111549"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002930#tectopontine-tract-1"),
    name="tectopontine tract",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002930"),
    synonyms=["fibrae tectopontinae", "tectopontine fibers", "tectopontine fibres"],
)
UBERONParcellation.tectospinal_tract = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/tectospinalTract",
    definition="Is a tract of brain. [auto-generated from 'is_a' property of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0002949)]",
    description="A long process of a CNS neuron, that carries efferent (outgoing) action potentials from the cell body in the superior colliculus of the midbrain towards target cells in the ventral spinal cord. [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0002949)]",
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002949#tectospinal-tract-1"),
    name="tectospinal tract",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002949"),
    synonyms=["Held's bundle", "tectospinal pathway"],
)
UBERONParcellation.tectothalamic_tract = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/tectothalamicTract",
    definition="Is a tract of diencephalon. Is part of the optic tract. [auto-generated from properties of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0035570) ('is_a' and 'relationship')]",
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0035570#tectothalamic-tract"),
    name="tectothalamic tract",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0035570"),
    synonyms=["tectothalamic fibers"],
)
UBERONParcellation.tela_choroidea_of_fourth_ventricle = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/telaChoroideaOfFourthVentricle",
    definition="Is a tela choroidea. Is part of the fourth ventricle. [auto-generated from properties of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0005287) ('is_a' and 'relationship')]",
    description="Tela chorioidea that lines the fourth ventricle. The tela chorioidea of the fourth ventricle is the name applied to the triangular fold of pia mater which is carried upward between the cerebellum and the medulla oblongata. It consists of two layers, which are continuous with each other in front, and are more or less adherent throughout: The posterior layer covers the antero-inferior surface of the cerebellum. The anterior layer is applied to the structures which form the lower part of the roof of the ventricle, and is continuous inferiorly with the pia mater on the inferior peduncles and closed part of the medulla. [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0005287)]",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0727490"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0005287#tela-choroidea-of-fourth-ventricle"),
    name="tela choroidea of fourth ventricle",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0005287"),
    synonyms=[
        "choroid membrane",
        "choroid membrane of fourth ventricle",
        "tela chorioidea fourth ventricle",
        "tela choroidea fourth ventricle",
        "tela choroidea ventriculi quarti",
    ],
)
UBERONParcellation.tela_choroidea_of_telencephalic_ventricle = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/telaChoroideaOfTelencephalicVentricle",
    definition="Is a tela choroidea. Is part of the telencephalic ventricle. [auto-generated from properties of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0005289) ('is_a' and 'relationship')]",
    description="Tela chorioidea that lines the telencephalic ventricle. [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0005289)]",
    knowledge_space_link=IRI(
        "https://knowledge-space.org/wiki/UBERON:0005289#tela-choroidea-of-telencephalic-ventricle"
    ),
    name="tela choroidea of telencephalic ventricle",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0005289"),
    synonyms=[
        "tela chorioidea of lateral ventricle",
        "tela chorioidea of telencephalic ventricle",
        "tela chorioidea telencephalic ventricle",
        "tela choroidea (ventriculi lateralis)",
        "tela choroidea of lateral ventricle",
        "tela choroidea telencephalic ventricle",
    ],
)
UBERONParcellation.tela_choroidea_of_third_ventricle = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/telaChoroideaOfThirdVentricle",
    definition="Is a tela choroidea. Is part of the third ventricle. [auto-generated from properties of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0005288) ('is_a' and 'relationship')]",
    description="Tela chorioidea that lines the third ventricle. The part of the choroid plexus in relation to the body of the ventricle forms the vascular fringed margin of a triangular process of pia mater, named the tela chorioidea of the third ventricle, and projects from under cover of the lateral edge of the fornix. Blood is supplied by branches from the superior cerebellar artery. [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0005288)]",
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0005288#tela-choroidea-of-third-ventricle"),
    name="tela choroidea of third ventricle",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0005288"),
    synonyms=[
        "choroid membrane of third ventricle",
        "tela chorioidea of third ventricle",
        "tela chorioidea third ventricle",
        "tela choroidea third ventricle",
        "tela choroidea ventriculi tertii",
    ],
)
UBERONParcellation.telencephalic_tracts = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/telencephalicTracts",
    definition="Is a white matter of telencephalon. [auto-generated from 'is_a' property of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_2000597)]",
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:2000597#telencephalic-tracts"),
    name="telencephalic tracts",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_2000597"),
)
UBERONParcellation.telencephalic_ventricle = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/telencephalicVentricle",
    definition="Is a brain ventricle. Is part of the telencephalon. [auto-generated from properties of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0002285) ('is_a' and 'relationship')]",
    description="A brain ventricle that is part of a telencephalon. In mammals and species with an evaginated telencephalon, this is one of a pair of lateral structures, one in each hemisphere. [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0002285)]",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0106125"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002285#lateral-ventricle"),
    name="telencephalic ventricle",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002285"),
    synonyms=["lateral ventricle", "telencephalon lateral ventricle"],
)
UBERONParcellation.telencephalon = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/telencephalon",
    definition="'Telencephalon' is a regional part of brain. It is part of the forebrain.",
    description="The telencephalon is the name for a large region within the brain that is attributed many functions. Many people refer to it as the cerebrum; however, it is technically referred to as the telencephalon. As a more technical definition, the telencephalon refers to the cerebral hemispheres and other, smaller structures within the brain, although the telencephalon is one of the larger divisions (in terms of number). It is the anterior-most embryological division of the brain that develops from the prosencephalon. The telencephalon is composed of the following sub-regions; Limbic system; Cerebral cortex or cortices of the cerebral hemispheres, Basal ganglia, Olfactory bulb.  The telencephalon comprises what most people think of as the 'brain.' It lies on top of the brainstem and is the largest and most well-developed of the five major divisions of the brain. The telencephalon is the newest structure in the phylogenetic sense, with mammals having the largest and most well-developed among all species. It emerges from the prosencephalon, the first of three vesicles that form from the embryonic neural tube (Christine Fennema-Notestine).",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0111558"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0001893#telencephalon-1"),
    name="telencephalon",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0001893"),
    synonyms=["cerebrum", "endbrain", "supratentorial region"],
)
UBERONParcellation.temporal_cortex = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/temporalCortex",
    definition="'Temporal cortex' is a cortex of cerebral lobe. It is part of the temporal lobe.",
    description="Gray matter of the temporal region of the neocortex, located in the temporal lobe in gyrencephalic animals",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0111586"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0016538#temporal-cortex"),
    name="temporal cortex",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0016538"),
    synonyms=["cortex of temporal lobe", "gray matter of temporal lobe", "temporal lobe cortex", "temporal neocortex"],
)
UBERONParcellation.temporal_cortex_cingulum = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/temporalCortexCingulum",
    definition="The 'temporal cortex cingulum' is a white matter fibre bundle. It is part of cingulum of brain.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0727013"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0022429#temporal-cortex-cingulum"),
    name="temporal cortex cingulum",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0022429"),
    synonyms=[
        "cb-tx",
        "cingulum (temporal gyrus)",
        "cingulum bundle in temporal cortex",
        "cingulum bundle in temporal gyrus",
    ],
)
UBERONParcellation.temporal_lobe = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/temporalLobe",
    definition="Lower lateral part of the cerebral hemisphere. (MSH).",
    description="'Temporal lobe' is a lobe of cerebral hemisphere.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0111590"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0001871#temporal-lobe-1"),
    name="temporal lobe",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0001871"),
)
UBERONParcellation.temporal_operculum = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/temporalOperculum",
    definition="'Temporal operculum' is a regional part of brain. It is part of the operculum of brain.",
    description="Part of temporal lobe overlaying the insular cortex",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0111592"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002560#temporal-operculum-1"),
    name="temporal operculum",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002560"),
    synonyms=["facies supratemporalis", "operculum temporale"],
)
UBERONParcellation.temporal_pole = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/temporalPole",
    definition="'Temporal pole' is a pole of cerebral hemisphere. It is part of the temporal lobe.",
    description="Anterior component of the temporal lobe (rostral boundary) extends caudally to the entorhinal cortex.  The medial and lateral boundaries are the medial aspect of the temporal lobe and the superior or inferior temporal sulci, respectively (Christine Fennema-Notestine).",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0111595"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002576#temporal-pole-1"),
    name="temporal pole",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002576"),
    synonyms=["cerebral cortex", "polus temporalis", "temporal pole", "temporopolar cortex"],
)
UBERONParcellation.temporoparietal_junction = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/temporoparietalJunction",
    definition="'Temporoparietal junction' is a regional part of brain. It is part of the cerebral cortex.",
    description="An area of the brain that locates at the interception of temporal and parietal cortices (at the posterior end of the Sylvian fissure).",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0111603"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0023852#temporoparietal-junction-1"),
    name="temporoparietal junction",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0023852"),
    synonyms=["TPJ", "temporoparietal junction"],
)
UBERONParcellation.thalamic_complex = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/thalamicComplex",
    definition="'thalamic complex' is a nuclear complex. It is part of the 'gray matter of diencephalon'.",
    description="A nuclear complex which in mammals consists of four parts, the hypothalamus, epithalamus, ventral thalamus, and dorsal thalamus [WP,modified]. [http://en.wikipedia.org/wiki/Thalamus#Thalamic_nuclei]",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0734352"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0010225#thalamic-complex"),
    name="thalamic complex",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0010225"),
)
UBERONParcellation.thalamic_fiber_tract = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/thalamicFiberTract",
    definition="Is a tract of diencephalon. Is part of the dorsal plus ventral thalamus. [auto-generated from properties of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0025261) ('is_a' and 'relationship')]",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0730765"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0025261#thalamic-fiber-tracts"),
    name="thalamic fiber tract",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0025261"),
    synonyms=["thalamic fiber tracts"],
)
UBERONParcellation.thalamic_reticular_nucleus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/thalamicReticularNucleus",
    definition="The thalamic reticular nucleus is part of the ventral thalamus that forms a capsule around the thalamus laterally. It is separated from the thalamus by the external medullary lamina. Reticular cells are GABAergic, and have discoid dendritic arbors in the plane of the nucleus. Thalamic Reticular Nucleus is variously abbreviated TRN, RTN, NRT, and RT. [WP,unvetted].",
    description="'Thalamic reticular nucleus' is a nucleus of ventral thalamus.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0111656"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0001903#thalamic-reticular-nucleus-1"),
    name="thalamic reticular nucleus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0001903"),
    synonyms=[
        "nuclei reticulares (thalami)",
        "nucleus reticularis",
        "nucleus reticularis thalami",
        "nucleus reticulatus (thalami)",
        "nucleus thalamicus reticularis",
        "reticular nuclear group",
        "reticular nucleus",
        "reticular nucleus of thalamus",
        "reticular nucleus of the thalamus",
        "reticular nucleus thalamus (Arnold)",
        "reticular nucleus-2",
        "reticular thalamic nucleus",
        "reticular thalamus nucleus",
        "reticulatum thalami (Hassler)",
        "Rt",
    ],
)
UBERONParcellation.third_ventricle = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/thirdVentricle",
    definition="Is a brain ventricle. Is part of the diencephalon. [auto-generated from properties of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0002286) ('is_a' and 'relationship')]",
    description="Part of the ventricular system of the brain, forming a single large cavity in the midline of the diencephalon; it is continuous with the lateral ventricles through the interventricular foramen and the fourth ventricle through the cerebral aqueduct. (Maryann Martone) [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0002286)]",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0111707"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002286#third-ventricle-1"),
    name="third ventricle",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002286"),
    synonyms=["3rd ventricle", "ventriculus diencephali"],
)
UBERONParcellation.third_ventricle_choroid_plexus_epithelium = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/thirdVentricleChoroidPlexusEpithelium",
    definition="Is a choroid plexus epithelium. Is part of the choroid plexus of third ventricle. [auto-generated from properties of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0004275) ('is_a' and 'relationship')]",
    description="A choroid plexus epithelium that is part of a third ventricle. [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0004275)]",
    knowledge_space_link=IRI(
        "https://knowledge-space.org/wiki/UBERON:0004275#third-ventricle-choroid-plexus-epithelium"
    ),
    name="third ventricle choroid plexus epithelium",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0004275"),
    synonyms=[
        "chorioid plexus of cerebral hemisphere epithelial tissue of third ventricle",
        "chorioid plexus of cerebral hemisphere epithelium of third ventricle",
        "choroid plexus epithelial tissue of third ventricle",
        "choroid plexus epithelium of third ventricle",
        "epithelial tissue of chorioid plexus of cerebral hemisphere of third ventricle",
        "epithelial tissue of choroid plexus of third ventricle",
        "epithelium of chorioid plexus of cerebral hemisphere of third ventricle",
        "epithelium of choroid plexus of third ventricle",
        "third ventricle chorioid plexus of cerebral hemisphere epithelial tissue",
        "third ventricle chorioid plexus of cerebral hemisphere epithelium",
        "third ventricle choroid plexus epithelial tissue",
        "third ventricle epithelial tissue of chorioid plexus of cerebral hemisphere",
        "third ventricle epithelial tissue of choroid plexus",
        "third ventricle epithelium of chorioid plexus of cerebral hemisphere",
        "third ventricle epithelium of choroid plexus",
    ],
)
UBERONParcellation.third_ventricle_choroid_plexus_stroma = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/thirdVentricleChoroidPlexusStroma",
    definition="Is a choroid plexus stroma. Is part of the choroid plexus of third ventricle. [auto-generated from properties of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0006339) ('is_a' and 'relationship')]",
    description="A choroid plexus stroma that is part of a third ventricle. [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0006339)]",
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0006339#third-ventricle-choroid-plexus-stroma"),
    name="third ventricle choroid plexus stroma",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0006339"),
)
UBERONParcellation.third_ventricle_ependyma = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/thirdVentricleEpendyma",
    definition="Is a brain ependyma. Is part of the third ventricle. [auto-generated from properties of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0004642) ('is_a' and 'relationship')]",
    description="An ependyma that is part of a third ventricle. [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0004642)]",
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0004642#third-ventricle-ependyma"),
    name="third ventricle ependyma",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0004642"),
    synonyms=["3rd ventricle ependyma", "ependyma of third ventricle"],
)
UBERONParcellation.tract_of_brain = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/tractOfBrain",
    definition="Is an axon tract. Is part of the brain and the white matter. [auto-generated from properties of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0007702) ('is_a' and 'relationship')]",
    description="An axon tract that is part of a brain. [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0007702)]",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0736079"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0007702#tract-of-brain"),
    name="tract of brain",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0007702"),
    synonyms=["brain tract"],
)
UBERONParcellation.tract_of_diencephalon = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/tractOfDiencephalon",
    definition="Is a tract of brain. Is part of the diencephalon. [auto-generated from properties of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0011591) ('is_a' and 'relationship')]",
    description="An axon tract that is part of a diencephalon. [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0011591)]",
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0011591#tract-of-diencephalon"),
    name="tract of diencephalon",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0011591"),
    synonyms=["diencephalon tract"],
)
UBERONParcellation.tract_of_the_postoptic_commissure = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/tractOfThePostopticCommissure",
    definition="Is a diencephalic white matter. Is part of the postoptic commissure. [auto-generated from properties of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_2001366) ('is_a' and 'relationship')]",
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:2001366#tract-of-the-postoptic-commissure"),
    name="tract of the postoptic commissure",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_2001366"),
    synonyms=["TPOC"],
)
UBERONParcellation.tractus_sacci_vasculosi = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/tractusSacciVasculosi",
    definition="Is an axon tract. [auto-generated from 'is_a' property of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0035146)]",
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0035146#tractus-sacci-vasculosi"),
    name="tractus sacci vasculosi",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0035146"),
)
UBERONParcellation.transverse_frontopolar_gyri_complex = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/transverseFrontopolarGyriComplex",
    definition="'Transverse frontopolar gyri complex' is a regional part of brain. It is part of the frontal lobe.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0111902"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0022730#transverse-frontopolar-gyri-complex"),
    name="transverse frontopolar gyri complex",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0022730"),
    synonyms=["transverse frontopolar gyri", "transverse frontopolar gyri complex"],
)
UBERONParcellation.transverse_gyrus_of_heschl = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/transverseGyrusOfHeschl",
    definition="'Transverse gyrus of Heschl' is a gyrus. It is part of the auditory cortex.",
    description="Component of the temporal lobe, lateral aspect.  The rostral boundary is the first appearance of the transverse temporal sulcus whereas the caudal boundary is the last slice where the transverse temporal cortex could be identified before its merger into the insular cortex. The lateral fissure and the superior temporal gyrus are the medial and lateral boundaries respectively (Christine Fennema-Notestine).",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0111910"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0003939#transverse-temporal-cortex"),
    name="transverse gyrus of Heschl",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0003939"),
    synonyms=[
        "gyri temporales transversi",
        "Heschl gyrus",
        "Heschl's gyrus",
        "Heshl's gyrus",
        "transverse temporal cortex",
        "transverse temporal gyri",
        "transverse temporal gyrus",
    ],
)
UBERONParcellation.transverse_pontine_fibers = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/transversePontineFibers",
    definition="'Transverse pontine fibers' is a tract of brain. It is part of the basal part of pons.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0111909"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002735#transverse-pontine-fibers-1"),
    name="transverse pontine fibers",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002735"),
    synonyms=[
        "fibrae pontis superficiales",
        "fibrae pontis transversae",
        "fibrae transversae superficiales pontis",
        "superficial transverse fibers of pons",
        "transverse fibers of pons",
        "transverse fibers of the pons",
        "transverse pontine fibers",
        "transverse pontine fibres",
        "transverse pontine tract",
    ],
)
UBERONParcellation.trapezoid_body = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/trapezoidBody",
    definition="'Trapezoid body' is a white matter of pontine tegmentum.",
    description="Bundles of axons traversing the pontine tegmentum oriented in the mediolateral direction. These fibers are related to the auditory pathway.  Nuclei are embedded within these fibers.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0111914"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002932#trapezoid-body-1"),
    name="trapezoid body",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002932"),
    synonyms=["corpus trapezoides", "corpus trapezoideum", "trapezoid body (Treviranus)", "tz"],
)
UBERONParcellation.triangular_part_of_inferior_frontal_gyrus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/triangularPartOfInferiorFrontalGyrus",
    definition="'Triangular part of inferior frontal gyrus' is part of the inferior frontal gyrus.",
    description="Component of the inferior frontal gyrus.defined as the second gyrus from the precentral gyrus (Christine Fennema-Notestine).",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0111954"),
    knowledge_space_link=IRI(
        "https://knowledge-space.org/wiki/UBERON:0002629#triangular-part-of-inferior-frontal-gyrus-1"
    ),
    name="triangular part of inferior frontal gyrus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002629"),
    synonyms=[
        "gyrus frontalis inferior",
        "inferior frontal gyrus",
        "pars triangularis",
        "pars triangularis gyri frontalis inferioris",
        "pars triangularis of frontal operculum (Ono)",
        "triangular part",
    ],
)
UBERONParcellation.triangular_septal_nucleus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/triangularSeptalNucleus",
    definition="'Triangular septal nucleus' is a telencephalic nucleus. It is part of the septal nuclear complex.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0111955"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002977#triangular-septal-nucleus-1"),
    name="triangular septal nucleus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002977"),
    synonyms=[
        "nucleus septalis triangularis",
        "nucleus triangularis septi",
        "triangular nucleus of septum",
        "triangular nucleus of the septum",
        "triangular nucleus septum (Cajal)",
        "TS",
    ],
)
UBERONParcellation.trigeminal_nerve_fibers = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/trigeminalNerveFibers",
    definition="A nerve fiber that is part of a trigeminal nerve.",
    description="'Trigeminal nerve fibers' is a nerve fiber. It is part of the trigeminal nerve.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0111965"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0003041#trigeminal-nerve-fibers-1"),
    name="trigeminal nerve fibers",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0003041"),
    synonyms=[
        "central part of trigeminal nerve",
        "fibrae nervi trigemini",
        "trigeminal nerve fibers",
        "trigeminal nerve tract",
    ],
)
UBERONParcellation.trigeminal_nerve_root = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/trigeminalNerveRoot",
    definition="'Trigeminal nerve root' is a root of cranial nerve. It is part of the metencephalon.",
    description="A nerve root that extends_fibers_into a trigeminal nerve.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0111966"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0004673#trigeminal-nerve-root-1"),
    name="trigeminal nerve root",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0004673"),
)
UBERONParcellation.trigeminothalamic_tract = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/trigeminothalamicTract",
    definition="Is an axon tract. [auto-generated from 'is_a' property of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0004171)]",
    description="The trigeminothalamic tract is one of the major routes of nociceptive and temperature signaling from the face. [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0004171)]",
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0004171#trigeminal-tract"),
    name="trigeminothalamic tract",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0004171"),
    synonyms=["tractus trigeminothalamicus"],
)
UBERONParcellation.trochlear_nucleus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/trochlearNucleus",
    definition="'Trochlear nucleus' is a cranial nerve nucleus, brainstem nucleus and midbrain nucleus. It is part of the midbrain tegmentum.",
    description="Nucleus in the midbrain at the level of the inferior colliculus near the midline, containing the motor neurons giving rise to the trochlear nerve, innervating the contralateral superior oblique extraocular muscle of the eye (Brodal, Neurological Anatomy, 3rd ed, 1981, pg. 533).",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0112004"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002722#trochlear-nucleus-1"),
    name="trochlear nucleus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002722"),
)
UBERONParcellation.tuber_cinereum = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/tuberCinereum",
    definition="'Tuber cinereum' is a regional part of brain. It is part of the medial zone of hypothalamus and intermediate hypothalamic region.",
    description="Layer of gray matter in the hypothalamus that also forms part of the floor of the third ventricle and merges anteriorly into the infundibulum. (MSH)",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0112046"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002620#tuber-cinereum-1"),
    name="tuber cinereum",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002620"),
    synonyms=[
        "hypothalamus",
        "tbcn",
        "tuber cinereum area",
        "tuberal area",
        "tuberal area of hypothalamus",
        "tuberal nucleus",
        "tuberal region",
        "tubercle of Rolando",
    ],
)
UBERONParcellation.tuberal_supraoptic_nucleus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/tuberalSupraopticNucleus",
    definition="'Tuberal supraoptic nucleus' is a hypothalamic nucleus. It is part of the supraoptic nucleus.",
    description="Posterior division of the supraoptic nucleus, formed by the ascension of the optic tract splitting the nucleus into two regions.  The tuberal SON lies along the posterior tuber cinereum of the hypothalamus.  In some species, some neurons lie under the optic chiasm.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0112049"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0024079#tuberal-supraoptic-nucleus-1"),
    name="tuberal supraoptic nucleus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0024079"),
    synonyms=["SONt", "retrochiasmatic subdivision", "tuberal supraoptic nucleus"],
)
UBERONParcellation.tuberomammillary_nucleus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/tuberomammillaryNucleus",
    definition="'Tuberomammillary nucleus' is a hypothalamic nucleus. It is part of the mammillary body and lateral hypothalamic area.",
    description="The tuberomammillary nucleus is a subnucleus of the posterior third of the hypothalamus. It consists of, largely, histaminergic and is involved with the control of arousal, sleep and circadian rhythm. Axons of the tuberomammillary nucleus project primarily to the cerebral cortex, thalamus, basal ganglia, basal forebrain, and hypothalamus. The projections to the cerebral cortex directly increase cortical activation and arousal, and projections to acetylcholinergic neurons of the basal forebrain and dorsal pons do so indirectly, by increasing the release of acetylcholine in the cerebral cortex. [WP,unvetted].",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0112051"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0001936#tuberomammillary-nucleus-1"),
    name="tuberomammillary nucleus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0001936"),
    synonyms=[
        "caudal magnocellular nucleus",
        "mammilloinfundibular nucleus",
        "mammiloinfundibular nucleus",
        "nucleus tuberomamillaris",
        "nucleus tuberomamillaris hypothalami",
        "TM",
        "tubero-mamillary area",
        "tuberomamillary nucleus",
        "tuberomammillary hypothalamic nucleus",
        "tuberomammillary nucleus",
        "ventral part",
        "ventral tuberomammillary nucleus",
    ],
)
UBERONParcellation.tuberomammillary_nucleus_dorsal_part = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/tuberomammillaryNucleusDorsalPart",
    definition="'Tuberomammillary nucleus dorsal part' is a regional part of brain. It is part of the tuberomammillary nucleus.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0112052"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0014593#tuberomammillary-nucleus-dorsal-part-1"),
    name="tuberomammillary nucleus dorsal part",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0014593"),
    synonyms=["dorsal part", "TMd", "tuberomammillary nucleus", "tuberomammillary nucleus dorsal part"],
)
UBERONParcellation.tuberomammillary_nucleus_ventral_part = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/tuberomammillaryNucleusVentralPart",
    definition="'Tuberomammillary nucleus ventral part' is a regional part of brain. It is part of the tuberomammillary nucleus.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0112057"),
    knowledge_space_link=IRI(
        "https://knowledge-space.org/wiki/UBERON:0014594#tuberomammillary-nucleus-ventral-part-1"
    ),
    name="tuberomammillary nucleus ventral part",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0014594"),
    synonyms=["TMv", "tuberomammillary nucleus ventral part"],
)
UBERONParcellation.uncinate_fasciculus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/uncinateFasciculus",
    definition="'Uncinate fasciculus' is a fasciculus of brain. It is part of the pontine tegmentum.",
    description="Pathway arising from the fastigial nucleus to the vestibular nuclei, reticular formation, motor neurons of brainstem and cervical spinal cord (Butler and Hodos, Comparative Vertebrate Neuroanatomy, 2nd ed., 2005, pg 261).",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0112157"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0003044#uncinate-fasciculus-1"),
    name="uncinate fasciculus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0003044"),
    synonyms=[
        "cerebellospinal tract",
        "cerebral uncinate fasciculus",
        "fasciculus fastigio-vestibularis",
        "fastigiobulbar tract",
        "hook bundle of Russell",
        "russell's fasciculus",
        "tractus cerebello-bulbaris",
        "tractus uncinatus",
        "tractus uncinatus (Lewandowsky)",
        "unc",
        "uncinate bundle of Russell",
        "uncinate fascicle (Russell)",
        "uncinate fasciculus of cerebellum",
        "uncinate fasciculus of pons",
        "uncinate fasciculus of Russell",
        "uncinate fasciculus of the pons",
        "uncinate fasciculus-2",
    ],
)
UBERONParcellation.uncinate_fasciculus_of_the_forebrain = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/uncinateFasciculusOfTheForebrain",
    definition="'Uncinate fasciculus of the forebrain' is a regional part of brain. It is part of the white matter of telencephalon.",
    description="A fiber pathway in the cerebral white matter that connects anterior portions of the temporal lobe with the inferior frontal gyrus and the middle frontal gyrus. It is not readily distinguished in myelin-stained cross-sections (adapted from Brain Info).",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0112158"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0019275#uncinate-fasciculus-of-the-forebrain"),
    name="uncinate fasciculus of the forebrain",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0019275"),
    synonyms=["uncinate fasciculus of cerebral hemisphere", "uncinate fasiculus"],
)
UBERONParcellation.uncrossed_tecto_bulbar_tract = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/uncrossedTectoBulbarTract",
    definition="Is a tectobulbar tract. Is part of the brainstem and spinal white matter. [auto-generated from properties of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_2000296) ('is_a' and 'relationship')]",
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:2000296#uncrossed-tecto-bulbar-tract"),
    name="uncrossed tecto-bulbar tract",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_2000296"),
)
UBERONParcellation.unpaired_venous_dural_sinus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/unpairedVenousDuralSinus",
    definition="Is a venous dural sinus. [auto-generated from 'is_a' property of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0017640)]",
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0017640#unpaired-venous-dural-sinus"),
    name="unpaired venous dural sinus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0017640"),
    synonyms=["unpaired dural venous sinus"],
)
UBERONParcellation.upper_rhombic_lip = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/upperRhombicLip",
    definition="'Upper rhombic lip' is a regional part of brain. It is part of the rhombomere 1 and rhombic lip.",
    description="Anterior-most region of dorsal hindbrain within rhombomere 1, adjacent the midbrain-hindbrain boundary.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0732955"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0009841#upper-rhombic-lip"),
    name="upper rhombic lip",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0009841"),
)
UBERONParcellation.vagal_nerve_fiber_bundle = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/vagalNerveFiberBundle",
    definition="'Vagal nerve fiber bundle' is a neuron projection bundle and central nervous system cell part cluster. It is part of the medulla oblongata.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0112236"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0006116#vagal-nerve-fiber-bundle-1"),
    name="vagal nerve fiber bundle",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0006116"),
    synonyms=[
        "central part of vagus nerve",
        "fibrae nervi vagi",
        "tenth cranial nerve fibers",
        "vagal nerve fiber bundle",
        "vagal nerve fibers",
        "vagal nerve tract",
    ],
)
UBERONParcellation.vallecula_of_cerebellum = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/valleculaOfCerebellum",
    definition="Is part of the medulla oblongata. [auto-generated from 'relationship' property of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0013166)]",
    description="On the upper surface of the cerebellum the vermis is elevated above the level of the hemispheres, but on the under surface it is sunk almost out of sight in the bottom of a deep depression between them; this depression is called the vallecula of the cerebellum, and lodges the posterior part of the medulla oblongata. [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0013166)]",
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0013166#vallecula-of-cerebellum"),
    name="vallecula of cerebellum",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0013166"),
    synonyms=["vallecula cerebelli"],
)
UBERONParcellation.valvula_cerebelli = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/valvulaCerebelli",
    definition="'Valvula cerebelli' is a regional part of brain. It is part of the cerebellum.",
    description="Brain structure which is caudally attached to the rostral medulla oblongata and extends into the tectal ventricle. The valvula cerebelli consists of a granular and a molecular layer along with aggregations of large Purkinje and eurydendroid cells and is uniquely present in ray-finned fishes. From Neuroanatomy of the Zebrafish Brain.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0730935"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:2000603#valvula-cerebelli"),
    name="valvula cerebelli",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_2000603"),
)
UBERONParcellation.vasculature_of_brain = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/vasculatureOfBrain",
    definition="Is a vasculature of central nervous system. Is part of the brain. [auto-generated from properties of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0008998) ('is_a' and 'relationship')]",
    description="System pertaining to blood vessels in the brain. [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0008998)]",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0735625"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0008998#vasculature-of-brain"),
    name="vasculature of brain",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0008998"),
    synonyms=["brain vasculature", "cerebrovascular system", "intracerebral vasculature"],
)
UBERONParcellation.vasculature_of_central_nervous_system = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/vasculatureOfCentralNervousSystem",
    definition="Is an anatomical entity. Is part of the central nervous system. [auto-generated from properties of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0036303) ('is_a' and 'relationship')]",
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0036303#vasculature-of-central-nervous-system"),
    name="vasculature of central nervous system",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0036303"),
)
UBERONParcellation.vein_of_vestibular_aqueduct = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/veinOfVestibularAqueduct",
    definition="Is part of the transverse sinus and the inferior petrosal sinus. [auto-generated from 'relationship' property of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0036074)]",
    description="A vein that leaves the vestibule through an individual bone canal running parallel to the vestibular aqueduct up to the dura of the posterior side of the petrosa in the area of the endolymphatic sac. It then opens in the inferior petrosal sinus or the jugular bulb. The vein receives other branches from the bone, dura and sac. [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0036074)]",
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0036074#vein-of-vestibular-aqueduct"),
    name="vein of vestibular aqueduct",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0036074"),
    synonyms=["vena aqueductus vestibuli", "vestibular aqueduct vein"],
)
UBERONParcellation.venous_dural_sinus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/venousDuralSinus",
    definition="Is part of the meningeal cluster. [auto-generated from 'relationship' property of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0005486)]",
    description="A venous channel found between layers of dura mater in the brain. Receives blood from internal and external veins of the brain, receive cerebrospinal fluid (CSF) from the subarachnoid space, and ultimately empty into the internal jugular vein. [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0005486)]",
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0005486#venous-dural-sinus"),
    name="venous dural sinus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0005486"),
    synonyms=[
        "cranial dural venous sinus",
        "dural sinus",
        "dural vein",
        "dural venous sinus",
        "venous dural",
        "venous dural sinus",
    ],
)
UBERONParcellation.venous_system_of_brain = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/venousSystemOfBrain",
    definition="Is part of the brain. [auto-generated from 'relationship' property of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0013146)]",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0733246"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0013146#venous-system-of-brain"),
    name="venous system of brain",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0013146"),
    synonyms=["brain venous system"],
)
UBERONParcellation.ventral_acoustic_stria = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/ventralAcousticStria",
    definition="'Ventral acoustic stria' is a stria of neuraxis and white matter of pontine tegmentum.",
    description="White matter structure containing fibers arising from neurons in the cochlear nuclear complex",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0112282"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0003046#ventral-acoustic-stria-1"),
    name="ventral acoustic stria",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0003046"),
    synonyms=["VAS", "anterior acoustic stria", "stria cochlearis anterior", "striae acusticae ventralis"],
)
UBERONParcellation.ventral_amygdalofugal_projection = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/ventralAmygdalofugalProjection",
    definition="'Ventral amygdalofugal projection' is a tract of brain. It is part of the cerebral hemisphere white matter.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0112283"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002745#ventral-amygdalofugal-projection-1"),
    name="ventral amygdalofugal projection",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002745"),
    synonyms=[
        "projectiones ventrales amygdalae",
        "tractus amygdalofugalis ventralis",
        "vaf",
        "ventral amygdalofugal pathway",
    ],
)
UBERONParcellation.ventral_anterior_nucleus_of_thalamus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/ventralAnteriorNucleusOfThalamus",
    definition="'Ventral anterior nucleus of thalamus' is a nucleus of dorsal thalamus. It is part of the ventral nuclear group.",
    description="The ventral anterior nucleus is a nucleus of the thalamus.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0112284"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002637#ventral-anterior-nucleus"),
    name="ventral anterior nucleus of thalamus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002637"),
    synonyms=[
        "nucleus lateropolaris",
        "nucleus ventralis anterior",
        "nucleus ventralis anterior thalami",
        "nucleus ventralis thalami anterior",
        "VA",
        "ventral anterior nucleus",
        "ventral anterior nucleus of thalamus",
        "ventral anterior nucleus of the thalamus",
        "ventral anterior thalamic nucleus",
        "ventroanterior nucleus of the thalamus",
        "ventroanterior thalamic nucleus",
    ],
)
UBERONParcellation.ventral_cochlear_nucleus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/ventralCochlearNucleus",
    definition="'Ventral cochlear nucleus' is a cochlear nucleus.",
    description="The ventral cochlear nucleus (or anterior, or accessory), placed between the two divisions of the cochlear nerve, is on the ventral aspect of the inferior peduncle. Composed of several regions of distinct cell types, this nucleus serves primarily as a relay station for ascending auditory information. Bushy cells in the anterior ventral cochlear nucleus (AVCN), which receive end bulbs of held from auditory nerve fibers, project to the superior olivary complex through the trapezoid body and intermediate acoustic stria. Other cell types project to the lateral lemniscus and the inferior colliculus directly. [WP,unvetted].",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0112297"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002828#ventral-cochlear-nucleus-1"),
    name="ventral cochlear nucleus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002828"),
    synonyms=[
        "accessory cochlear nucleus",
        "anterior cochlear nucleus",
        "c1281209",
        "nucleus acustici accessorici",
        "nucleus cochlearis anterior",
        "nucleus cochlearis ventralis",
        "VCo",
        "ventral cochlear nuclei",
        "ventral cochlear nucleus",
        "ventral coclear nucleus",
        "ventral division of cochlear nucleus",
    ],
)
UBERONParcellation.ventral_commissure = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/ventralCommissure",
    definition="Is a commissure of telencephalon. Is part of the ventral part of telencephalon. [auto-generated from properties of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0005341) ('is_a' and 'relationship')]",
    description="The fiber tracts that connect the ventral region of the two cerebral hemispheres and span the longitudinal fissure, including the anterior and the habenular commissures. [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0005341)]",
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0005341#ventral-commissure"),
    name="ventral commissure",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0005341"),
)
UBERONParcellation.ventral_external_arcuate_fiber_bundle = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/ventralExternalArcuateFiberBundle",
    definition="'Ventral external arcuate fiber bundle' is a neuron projection bundle and central nervous system cell part cluster. It is part of the medulla oblongata.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0112301"),
    knowledge_space_link=IRI(
        "https://knowledge-space.org/wiki/UBERON:0006097#ventral-external-arcuate-fiber-bundle-1"
    ),
    name="ventral external arcuate fiber bundle",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0006097"),
    synonyms=[
        "fibrae arcuatae externae anteriores",
        "fibrae arcuatae externae ventrales",
        "fibrae circumpyramidales",
        "fibre arcuatae superficiales",
        "ventral external arcuate fiber bundle",
        "ventral external arcuate fibers",
        "ventral external arcuate tract",
    ],
)
UBERONParcellation.ventral_lateral_geniculate_nucleus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/ventralLateralGeniculateNucleus",
    definition="'Ventral lateral geniculate nucleus' is a nucleus of dorsal thalamus. It is part of the lateral geniculate body.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0112321"),
    knowledge_space_link=IRI(
        "https://knowledge-space.org/wiki/UBERON:0002480#ventral-nucleus-of-lateral-geniculate-body"
    ),
    name="ventral lateral geniculate nucleus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002480"),
    synonyms=[
        "corpus geniculatum externum",
        "corpus geniculatum laterale",
        "DLG",
        "dorsal_nucleus_of_lateral_geniculate_body",
        "griseum praegeniculatum",
        "lateral geniculate complex",
        "lateral geniculate nucleus",
        "lateral geniculate nucleus ventral part",
        "nucleus accessorius",
        "nucleus corporis geniculati lateralis",
        "nucleus geniculatus lateralis pars ventralis",
        "nucleus praegeniculatus",
        "nucleus pregeniculatum",
        "nucleus pregeniculatus",
        "nucleus ventralis corporis geniculati lateralis",
        "pars oralis",
        "pars ventralis",
        "praegeniculatum",
        "pregeniculate nucleus",
        "ventral lateral geniculate nucleus",
        "ventral nucleus of lateral geniculate body",
        "ventral part",
        "ventral part (Kolliker)",
        "ventral part (kolliker)",
        "ventral part (Kvlliker)",
        "ventral part of the lateral geniculate complex",
    ],
)
UBERONParcellation.ventral_lateral_nucleus_of_thalamus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/ventralLateralNucleusOfThalamus",
    definition="'Ventral lateral nucleus of thalamus' is a nucleus of dorsal thalamus and nucleus of ventral thalamus. It is part of the ventral nuclear group.",
    description="The ventral lateral nucleus (VL) is a nucleus of the thalamus. [WP,unvetted].",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0112309"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0001925#ventral-lateral-nucleus"),
    name="ventral lateral nucleus of thalamus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0001925"),
    synonyms=[
        "lateral ventral nucleus of thalamus",
        "lateral-ventral nuclei of thalamus",
        "nuclei ventrales laterales thalami",
        "nucleus ventralis intermedius",
        "nucleus ventralis lateralis",
        "nucleus ventralis lateralis thalami",
        "nucleus ventralis thalami lateralis",
        "nucleus ventrolateralis thalami",
        "ventral lateral complex of thalamus",
        "ventral lateral nuclei of thalamus",
        "ventral lateral nucleus",
        "ventral lateral nucleus of thalamus",
        "ventral lateral thalamic nuclei",
        "ventral lateral thalamic nucleus",
        "ventrolateral complex",
        "ventrolateral thalamic nucleus",
        "VL",
    ],
)
UBERONParcellation.ventral_nuclear_group = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/ventralNuclearGroup",
    definition="'Ventral nuclear group' is a nucleus of dorsal thalamus.",
    description="Mostly gray regional part of the lateral thalamic region, consisting of a large group of nuclei lying between the internal medullary lamina and the internal capsule. It includes the ventral anterior, ventral lateral, and ventral posterior nuclei (MM: 2006-10-26)",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0112319"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002776#ventral-nuclear-group-1"),
    name="ventral nuclear group",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002776"),
    synonyms=[
        "dorsal thalamus",
        "nuclei ventrales thalami",
        "ventral dorsal thalamic nuclear group",
        "ventral group",
        "ventral group of dorsal thalamus",
        "ventral group of the dorsal thalamus",
        "ventral nuclear group",
        "ventral nuclear group of thalamus",
        "ventral nuclear mass",
        "ventral nuclei of thalamus",
        "ventral thalamus nucleus",
        "ventral tier thalamic nuclei",
        "VNG",
    ],
)
UBERONParcellation.ventral_nucleus_of_lateral_lemniscus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/ventralNucleusOfLateralLemniscus",
    definition="'Ventral nucleus of lateral lemniscus' is a brainstem nucleus, nucleus of lateral lemniscus and hindbrain nucleus. It is part of the pontine tegmentum.",
    description="The lateral lemniscus is a tract of axons in the brainstem that carries information about sound from the cochlear nucleus to various brainstem nuclei and ultimately the contralateral inferior colliculus of the midbrain. Three distinct, primarily inhibitory, cellular groups are located interspersed within these fibers, and are thus named the nuclei of the lateral lemniscus. [WP,unvetted].",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0112322"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002604#ventral-nucleus-of-lateral-lemniscus-1"),
    name="ventral nucleus of lateral lemniscus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002604"),
    synonyms=[
        "anterior nucleus of lateral lemniscus",
        "nucleus anterior lemnisci lateralis",
        "nucleus lemnisci lateralis pars ventralis",
        "nucleus lemnisci lateralis ventralis",
        "nucleus of the lateral lemniscus",
        "nucleus of the lateral lemniscus ventral part",
        "ventral nucleus of the lateral lemniscus",
        "ventral part",
        "VLL",
    ],
)
UBERONParcellation.ventral_nucleus_of_medial_geniculate_body = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/ventralNucleusOfMedialGeniculateBody",
    definition="'Ventral nucleus of medial geniculate body' is a nucleus of dorsal thalamus. It is part of the medial geniculate body.",
    description="Ventral division of medial geniculate body, first described by Morest (1964) in the cat, but found in primate, mouse and rat as well. It begins midway in the posterior third of the medial geniculate in the cat and is prominent anteriorly. The boundary between the dorsal and ventral divisions is demarcated in rat by a thick horizontally oriented axon bundle, the midgeniculate bundle (Webster, 1995, fig 16).",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0112323"),
    knowledge_space_link=IRI(
        "https://knowledge-space.org/wiki/UBERON:0002985#ventral-nucleus-of-medial-geniculate-body-1"
    ),
    name="ventral nucleus of medial geniculate body",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002985"),
    synonyms=[
        "medial geniculate complex",
        "medial geniculate complex ventral part",
        "medial geniculate nucleus",
        "medial geniculate nucleus ventral part",
        "medial nucleus of medial geniculate complex",
        "MGV",
        "nucleus corporis geniculati medialis",
        "nucleus geniculatus medialis fasciculosis (Hassler)",
        "nucleus geniculatus medialis fasciculosus (Hassler)",
        "nucleus geniculatus medialis pars ventralis",
        "nucleus ventralis corporis geniculati medialis",
        "pars ventralis",
        "ventral nucleus",
        "ventral nucleus of medial geniculate body",
        "ventral nucleus of medial geniculate complex",
        "ventral nucleus of the medial geniculate body",
        "ventral part",
        "ventral principal nucleus of medial geniculate body",
        "VMG",
    ],
)
UBERONParcellation.ventral_nucleus_of_posterior_commissure = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/ventralNucleusOfPosteriorCommissure",
    definition="'Ventral nucleus of posterior commissure' is a brainstem nucleus and midbrain nucleus. It is part of the midbrain tegmentum.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0107753"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002044#nucleus-of-darkschewitsch"),
    name="ventral nucleus of posterior commissure",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002044"),
    synonyms=[
        "Darkshevich nucleus",
        "Darkshevich's nucleus",
        "Dk",
        "nucleus accessorius",
        "nucleus commissurae posterioris (Riley)",
        "nucleus Darkschewitsch",
        "nucleus Darkschewitschi",
        "nucleus fasciculi longitudinalis medialis",
        "Nucleus of Darkschewitsch",
        "nucleus of Darkschewitsch (Cajal)",
        "nucleus of Darkshevich",
        "nucleus of the posterior commissure (Darkschewitsch)",
    ],
)
UBERONParcellation.ventral_nucleus_of_trapezoid_body = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/ventralNucleusOfTrapezoidBody",
    definition="'Ventral nucleus of trapezoid body' is a nucleus of trapezoid body. It is part of the periolivary nucleus.",
    description="A small nucleus of the periolivary complex located laterally to the MNTB, and ventral to the MSO.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0112324"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002832#ventral-nucleus-of-trapezoid-body-1"),
    name="ventral nucleus of trapezoid body",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002832"),
    synonyms=[
        "anterior nucleus of trapezoid body",
        "nucleus anterior corporis trapezoidei",
        "nucleus ventralis corporis trapezoidei",
        "ventral trapezoid nucleus",
        "VNTB",
    ],
)
UBERONParcellation.ventral_oculomotor_nucleus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/ventralOculomotorNucleus",
    definition="'Ventral oculomotor nucleus' is a brainstem nucleus and midbrain nucleus. It is part of the oculomotor nuclear complex.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0112325"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002934#ventral-oculomotor-nucleus-1"),
    name="ventral oculomotor nucleus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002934"),
    synonyms=[
        "nucleus nervi oculomotorii",
        "nucleus nervi oculomotorii ventrolateralis",
        "pars ventralis",
        "V3",
        "ventral nucleus of oculomotor nuclear complex",
        "ventral oculomotor cell column",
    ],
)
UBERONParcellation.ventral_pallidum = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/ventralPallidum",
    definition="A composite structure primarily of forebrain with arguable extension into the midbrain. It is part of the striatopallidal system, which is defined on the basis of neurochemistry and connectivity. It includes the portions of the globus pallidus and the substantia innominata located ventral to the anterior commissure; it extends into the anterior perforated substance and, in some respects, pars reticulata of the substantia nigra. Its boundary with the dorsal pallidum is indistinct in sections stained for Nissl substance (Heimer-95)",
    description="'Ventral pallidum' is a cerebral hemisphere gray matter and pallidum. It is part of the globus pallidus and basal forebrain.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0112326"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002778#ventral-pallidum-1"),
    name="ventral pallidum",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002778"),
    synonyms=[
        "fibrae nervi vagi",
        "globus pallidus ventral part",
        "pallidum ventral region",
        "ventral globus pallidus",
        "ventral pallidum",
        "VP",
    ],
)
UBERONParcellation.ventral_posterior_nucleus_of_thalamus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/ventralPosteriorNucleusOfThalamus",
    definition="'Ventral posterior nucleus of thalamus' is a nucleus of dorsal thalamus. It is part of the ventral nuclear group.",
    description="Part of thalamus receiving primary somatic sensory information via the medial lemniscal pathway that projects to the primary somatosensory cortex (adapted from Paxinos, The Rat Nervous System, 2nd Ed, Academic Press, 1995).",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0112334"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002596#ventral-posterior-nucleus"),
    name="ventral posterior nucleus of thalamus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002596"),
    synonyms=[
        "nuclei ventrales posteriores",
        "nucleus ventrales posteriores",
        "nucleus ventralis posterior",
        "ventral posterior",
        "ventral posterior complex of the thalamus",
        "ventral posterior nucleus",
        "ventral posterior thalamic nucleus",
        "ventrobasal complex",
        "ventrobasal nucleus",
        "ventroposterior inferior nucleus",
        "ventroposterior nucleus",
        "ventroposterior nucleus of thalamus",
        "VP",
        "VPN",
    ],
)
UBERONParcellation.ventral_posteroinferior_nucleus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/ventralPosteroinferiorNucleus",
    definition="'Ventral posteroinferior nucleus' is a nucleus of dorsal thalamus. It is part of the ventral posterior nucleus of thalamus.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0112335"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002939#ventral-posteroinferior-nucleus-1"),
    name="ventral posteroinferior nucleus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002939"),
    synonyms=[
        "inferior part",
        "nuclei ventrales posteriores thalami",
        "nuclei ventrobasales thalami",
        "nucleus thalamicus posteromedialis",
        "nucleus ventralis posterior inferior thalami",
        "nucleus ventrocaudalis parvocellularis extremus (Hassler)",
        "pars inferior",
        "ventral posterior",
        "ventral posterior complex of the thalamus",
        "ventral posterior inferior nucleus",
        "ventral posterior inferior nucleus of dorsal thalamus",
        "ventral posterior inferior nucleus of thalamus",
        "ventral posterior inferior thalamic nucleus",
        "ventral posterior nuclei of thalamus",
        "ventral posterior nucleus of thalamus",
        "ventral posterolateral thalamic nucleus",
        "ventroposterior inferior nucleus",
        "ventroposterior inferior thalamic",
        "ventroposterior inferior thalamic nucleus",
        "ventroposterior nucleus",
        "ventroposterior nucleus of thalamus",
        "VPI",
        "VPN",
    ],
)
UBERONParcellation.ventral_posterolateral_nucleus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/ventralPosterolateralNucleus",
    definition="'Ventral posterolateral nucleus' is a nucleus of dorsal thalamus. It is part of the ventral posterior nucleus of thalamus.",
    description="The ventral posterolateral nucleus (VPL) is a nucleus of the thalamus. Together with the ventral posteromedial nucleus (VPM) it constitutes the ventral posterior nucleus. [WP,unvetted].",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0112336"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002942#ventral-posterolateral-nucleus-1"),
    name="ventral posterolateral nucleus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002942"),
    synonyms=[
        "general",
        "nucleus ventralis posterior lateralis thalami",
        "nucleus ventralis posterolateralis",
        "nucleus ventralis posterolateralis thalami",
        "nucleus ventralis thalami posterior lateralis",
        "posterolateral ventral nucleus of thalamus",
        "posterolateral ventral nucleus of the thalamus",
        "principal part",
        "ventral posterior lateral nucleus",
        "ventral posterior lateral nucleus of dorsal thalamus",
        "ventral posterolateral nucleus of thalamus",
        "ventral posterolateral nucleus of the thalamus",
        "ventral posterolateral nucleus of the thalamus principal part",
        "ventral posterolateral thalamic nucleus",
        "ventroposterior lateral thalamic nucleus",
        "ventroposterolateral nucleus of the thalamus",
        "VPL",
    ],
)
UBERONParcellation.ventral_posteromedial_nucleus_of_thalamus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/ventralPosteromedialNucleusOfThalamus",
    definition="'Ventral posteromedial nucleus of thalamus' is a nucleus of dorsal thalamus. It is part of the ventral posterior nucleus of thalamus.",
    description="The ventral posteromedial nucleus is a nucleus of the thalamus. [WP,unvetted].",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0112339"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002945#ventral-posteromedial-nucleus"),
    name="ventral posteromedial nucleus of thalamus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002945"),
    synonyms=[
        "arcuate nucleus of thalamus",
        "arcuate nucleus of the thalamus",
        "arcuate nucleus-3",
        "general",
        "nucleus arcuatus thalami",
        "nucleus semilunaris thalami",
        "nucleus ventralis posterior medialis thalami",
        "nucleus ventralis posteromedialis",
        "nucleus ventralis posteromedialis thalami",
        "nucleus ventrocaudalis anterior internus (Hassler)",
        "posteromedial ventral nucleus",
        "posteromedial ventral nucleus of thalamus",
        "posteromedial ventral nucleus of the thalamus",
        "principal part",
        "semilunar nucleus",
        "thalamic gustatory nucleus",
        "ventral posterior medial nucleus",
        "ventral posterior medial nucleus of dorsal thalamus",
        "ventral posterior medial nucleus of thalamus",
        "ventral posteromedial nucleus of thalamus",
        "ventral posteromedial nucleus of the thalamus",
        "ventral posteromedial nucleus of the thalamus principal part",
        "ventral posteromedial thalamic nucleus",
        "ventroposterior medial thalamic nucleus",
        "ventroposteromedial nucleus of the thalamus",
        "VPM",
    ],
)
UBERONParcellation.ventral_rhombencephalic_commissure_medulla_oblongata = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/ventralRhombencephalicCommissureMedullaOblongata",
    definition="Is a white matter of medulla oblongata. [auto-generated from 'is_a' property of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_2000985)]",
    knowledge_space_link=IRI(
        "https://knowledge-space.org/wiki/UBERON:2000985#ventral-rhombencephalic-commissure-medulla-oblongata"
    ),
    name="ventral rhombencephalic commissure medulla oblongata",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_2000985"),
)
UBERONParcellation.ventral_striatum = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/ventralStriatum",
    definition="'Ventral striatum' is a gray matter of telencephalon. It is part of the striatum.",
    description="A composite structure of the telencephalon that is defined in the striatopallidal system by connectivity and neurochemical staining. It includes the nucleus accumbens, the most ventral portions of the caudate nucleus and the putamen, the rostrolateral portion of the anterior perforated substance, the islands of Calleja and a rostral subcommissural portion of substantia innominata. The boundary between the ventral striatum and dorsal striatum is indistinct in sections stained for Nissl substance (Heimer-1995;  adapted from Brain Info).",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0112346"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0005403#ventral-striatum"),
    name="ventral striatum",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0005403"),
    synonyms=["striatum ventral region", "striatum ventrale"],
)
UBERONParcellation.ventral_tegmental_area = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/ventralTegmentalArea",
    definition="'Ventral tegmental area' is a regional part of brain. It is part of the midbrain tegmentum.",
    description="Unpaired midbrain region situated in the ventromedial portion of the reticular formation. The VTA is medial to the substantia nigra and ventral to the red nucleus, and extends caudally from the posterior hypothalamus in the diencephalon. The VTA contains dopamine neurons that project to various limbic and cortical areas and is a critical component of the brain's reward circuitry.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0112351"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002691#ventral-tegmental-area-1"),
    name="ventral tegmental area",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002691"),
)
UBERONParcellation.ventral_tegmental_decussation = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/ventralTegmentalDecussation",
    definition="'Ventral tegmental decussation' is a neural decussation. It is part of the ventral tegmental area.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0112354"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002615#ventral-tegmental-decussation-1"),
    name="ventral tegmental decussation",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002615"),
)
UBERONParcellation.ventral_tegmental_nucleus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/ventralTegmentalNucleus",
    definition="A nucleus of brain that is part of a ventral tegmental area.",
    description="'Ventral tegmental nucleus' is a brainstem nucleus and midbrain nucleus. It is part of the midbrain tegmentum.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0112355"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002438#ventral-tegmental-nucleus"),
    name="ventral tegmental nucleus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002438"),
    synonyms=[
        "anterior tegmental nuclei",
        "anterior tegmental nucleus",
        "Deep tegmental nucleus of Gudden",
        "ganglion profundum tegmenti",
        "ganglion tegmenti ventrale",
        "nucleus of Gudden",
        "nucleus tegmentales anteriores",
        "nucleus tegmentalis anterior",
        "nucleus tegmenti ventralis",
        "nucleus ventralis tegmenti",
        "nucleus ventralis tegmenti (Gudden)",
        "rostral tegmental nucleus",
        "ventral raphe tegmental nucleus",
        "ventral tegmental nuclei",
        "Ventral tegmental nucleus (Gudden)",
        "Ventral tegmental nucleus of Gudden",
        "VTg",
    ],
)
UBERONParcellation.ventral_thalamus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/ventralThalamus",
    definition="'Ventral thalamus' is a regional part of brain. It is part of the dorsal plus ventral thalamus.",
    description="Anterior part of the diencephalon that lies between the dorsal thalamus, hypothalamus, and tegmentum of the mesencephalon, including subthalamic nucleus, zona incerta, the fields of Forel, and the nucleus of ansa lenticularis[GO, modified].",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0111230"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0001900#subthalamus"),
    name="ventral thalamus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0001900"),
    synonyms=[
        "perithalamus",
        "prethalamus",
        "SbTh",
        "subthalamic region",
        "Subthalamus",
        "thalamus ventralis",
        "ventral thalamus",
    ],
)
UBERONParcellation.ventral_trigeminal_tract = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/ventralTrigeminalTract",
    definition="Is a trigeminothalamic tract and tract of brain. Is part of the pontine tegmentum. [auto-generated from properties of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0002549) ('is_a' and 'relationship')]",
    description="The Anterior trigeminothalamic tract (or ventral trigeminothalamic tract) serves as pain, temperature, and light touch pathway from the face, head and neck. It receives input from trigeminal nerve, facial nerve, glossopharyngeal nerve and vagus nerve. It receives discriminative tactile and pressure input from the contralateral principal sensory nucleus of CN V, which terminates in the ventral posteromedial nucleus of the thalamus. It then ascends to the contralateral sensory cortex via three neurons. [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0002549)]",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0112361"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002549#ventral-trigeminal-tract-1"),
    name="ventral trigeminal tract",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002549"),
    synonyms=[
        "anterior trigeminothalamic tract",
        "tractus trigeminothalamicus anterior",
        "trigeminal lemniscus-2",
        "ventral crossed tract",
        "ventral secondary ascending tract of V",
        "ventral trigeminal pathway",
        "ventral trigeminothalamic tract",
    ],
)
UBERONParcellation.ventricular_system_of_brain = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/ventricularSystemOfBrain",
    definition="'Ventricular system of brain' is an anatomical system. It is part of the brain and ventricular system of central nervous system.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0731568"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0005282#ventricular-system-of-brain"),
    name="ventricular system of brain",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0005282"),
)
UBERONParcellation.ventricular_zone = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/ventricularZone",
    definition="'Ventricular zone' is an anatomical entity. It is part of the brain and ventricular system of central nervous system.",
    description="Proliferative region that is part of the ventricular system.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0729517"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0003053#ventricular-zone"),
    name="ventricular zone",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0003053"),
)
UBERONParcellation.ventromedial_nucleus_of_hypothalamus = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/ventromedialNucleusOfHypothalamus",
    definition="'Ventromedial nucleus of hypothalamus' is a hypothalamic nucleus. It is part of the intermediate hypothalamic region.",
    description="The ventromedial nucleus (sometimes referred to as the ventromedial hypothalamus) is a nucleus of the hypothalamus. [WP,unvetted].",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0112378"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0001935#ventromedial-nucleus-of-hypothalamus-1"),
    name="ventromedial nucleus of hypothalamus",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0001935"),
    synonyms=[
        "nucleus hypothalamicus ventromedialis",
        "nucleus ventromedialis hypothalami",
        "tuberal nucleus (Ganser)",
        "ventrolateral hypothalamic nucleus",
        "ventrolateral nucleus of hypothalamus",
        "ventromedial hypothalamic nucleus",
        "ventromedial hypothalamus",
        "ventromedial nucleus",
        "ventromedial nucleus hypothalamus",
        "ventromedial nucleus of hypothalamus.",
        "ventromedial nucleus of the hypothalamus",
        "VMH",
    ],
)
UBERONParcellation.vermis_of_the_flocculonodular_lobe_of_the_cerebellum = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/vermisOfTheFlocculonodularLobeOfTheCerebellum",
    definition="Is a cerebellar vermis. [auto-generated from 'is_a' property of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0024037)]",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0112409"),
    knowledge_space_link=IRI(
        "https://knowledge-space.org/wiki/UBERON:0024037#vermis-of-the-flocculonodular-lobe-of-the-cerebellum-1"
    ),
    name="vermis of the flocculonodular lobe of the cerebellum",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0024037"),
    synonyms=["flocculonodular vermis"],
)
UBERONParcellation.vertical_limb_of_the_diagonal_band = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/verticalLimbOfTheDiagonalBand",
    definition="'Vertical limb of the diagonal band' is a subdivision of diagonal band.",
    description="",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0112424"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0006124#vertical-limb-of-the-diagonal-band-1"),
    name="vertical limb of the diagonal band",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0006124"),
    synonyms=[
        "crus verticale striae diagonalis",
        "nucleus of the vertical limb of the diagonal band",
        "vertical limb of diagonal band",
        "vertical limb of the diagonal band",
        "Vertical limb of the diagonal band of Broca",
    ],
)
UBERONParcellation.vessel = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/vessel",
    definition="'vessel' is an anatomical conduit.",
    description="A tubular structure that contains, conveys body fluid, such as blood or lymph.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0731576"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0000055#vessel"),
    name="vessel",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0000055"),
)
UBERONParcellation.vestibular_nuclear_complex = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/vestibularNuclearComplex",
    definition="'Vestibular nuclear complex' is a nuclear complex of neuraxis and gray matter of hindbrain. It is part of the medulla oblongata.",
    description="Nuclear complex containing the vestibular nuclei.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0112452"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002673#vestibular-nuclear-complex-1"),
    name="vestibular nuclear complex",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002673"),
    synonyms=[
        "nuclei vestibulares",
        "nuclei vestibulares in medulla oblongata",
        "vestibular nuclei",
        "vestibular nuclei in medulla oblongata",
        "vestibular nucleus",
    ],
)
UBERONParcellation.vestibular_organ = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/vestibularOrgan",
    definition="Is an anatomical entity. Is part of the somatic nervous system. [auto-generated from properties of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0006585) ('is_a' and 'relationship')]",
    description="An organ that is part of a vestibular system. [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0006585)]",
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0006585#vestibular-organ-1"),
    name="vestibular organ",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0006585"),
    synonyms=["balance organ"],
)
UBERONParcellation.vestibulocerebellar_tract = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/vestibulocerebellarTract",
    definition="Is a tract of brain. Is part of the pontine tegmentum. [auto-generated from properties of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0002552) ('is_a' and 'relationship')]",
    description="White matter tract containing axons arising in the vestibular ganglion primarily projecting to the ipsilateral cerebellum via the inferior cerebellar peduncle (Heimer, L. The Human Brain, 2nd ed., 1995, pg 370). [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0002552)]",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0112459"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002552#vestibulocerebellar-tract-1"),
    name="vestibulocerebellar tract",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002552"),
    synonyms=["vestibulocerebellar fibers"],
)
UBERONParcellation.vestibulocerebellum = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/vestibulocerebellum",
    definition="Is a regional part of brain. Is part of the cerebellum. [auto-generated from properties of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0014642) ('is_a' and 'relationship')]",
    description="A phylogenetic subdivision of the cerebellum, the oldest part, which regulates balance and eye movements. It receives vestibular input from both the semicircular canals and from the vestibular nuclei, and sends fibres back to the medial and lateral vestibular nuclei. It also receives visual input from the superior colliculi and from the visual cortex (the latter via the pontine nuclei, forming a cortico-ponto-cerebellar pathway). Lesions of the vestibulocerebellum cause disturbances of balance and gait. [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0014642)]",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0725946"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0014642#vestibulocerebellum"),
    name="vestibulocerebellum",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0014642"),
    synonyms=["archicerebellum"],
)
UBERONParcellation.vestibulocochlear_nerve_root = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/vestibulocochlearNerveRoot",
    definition="'Vestibulocochlear nerve root' is a root of cranial nerve. It is part of the pontine tegmentum.",
    description="Either of the two roots that come of the vestibulocochlear nerve",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0112460"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002731#vestibulocochlear-nerve-fiber-bundle"),
    name="vestibulocochlear nerve root",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002731"),
    synonyms=[
        "8cn",
        "central part of vestibulocochlear nerve",
        "fibrae nervi statoacustici",
        "root of vestibulocochlear nerve",
        "statoacoustic nerve fibers",
        "vestibular root of vestibulocochlear nerve",
        "vestibulocochlear nerve fibers",
        "vestibulocochlear nerve roots",
        "vestibulocochlear nerve tract",
    ],
)
UBERONParcellation.vestibulospinal_tract = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/vestibulospinalTract",
    definition="Is a tract of brain. [auto-generated from 'is_a' property of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0002768)]",
    description="A long process of a CNS neuron, that carries efferent (outgoing) action potentials from the cell body in the vestibular nucleus of the pons towards target cells in the spinal cord. [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0002768)]",
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002768#vestibulospinal-tract-1"),
    name="vestibulospinal tract",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002768"),
    synonyms=["vestibulo-spinal tract"],
)
UBERONParcellation.white_matter_lamina_of_cerebellum = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/whiteMatterLaminaOfCerebellum",
    definition="Is a white matter lamina of neuraxis. Is part of the cerebellum. [auto-generated from properties of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0014540) ('is_a' and 'relationship')]",
    description="The white laminae of cerebellum is subdivision of the cerebellar cortex comprised of myelinated axons lying deep to the granule cell layer of the cerebellar cortex. [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0014540)]",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0112629"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0014540#white-laminae-of-cerebellum"),
    name="white matter lamina of cerebellum",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0014540"),
    synonyms=["lamina alba of cerebellar cortex", "laminae albae of cerebellar cortex", "white lamina of cerebellum"],
)
UBERONParcellation.white_matter_of_cerebellum = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/whiteMatterOfCerebellum",
    definition="Is a white matter. [auto-generated from 'is_a' property of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0002317)]",
    description="Regional part of cerebellum consisting of the myelinated axons lying deep to the granule cell layer, excluding the deep cerebellar nuclei and the cerebellar peduncles. [definition of the [UBERON ontology term](http://purl.obolibrary.org/obo/UBERON_0002317)]",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0101962"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0002317#cerebellar-white-matter"),
    name="white matter of cerebellum",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0002317"),
    synonyms=["cerebellar white matter", "cerebellum white matter"],
)
UBERONParcellation.white_matter_of_hindbrain = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/whiteMatterOfHindbrain",
    definition="'White matter of hindbrain' is a brain white matter. It is part of the hindbrain.",
    description="A white matter that is part of the hindbrain.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0733772"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0019258#white-matter-of-hindbrain"),
    name="white matter of hindbrain",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0019258"),
)
UBERONParcellation.white_matter_of_medulla_oblongata = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/whiteMatterOfMedullaOblongata",
    definition="A white matter that is part of a medulla oblongata.",
    description="'White matter of medulla oblongata' is a brainstem white matter and white matter of myelencephalon. It is part of the medulla oblongata.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0106748"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0014649#medullary-white-matter"),
    name="white matter of medulla oblongata",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0014649"),
    synonyms=[
        "medullary white matter",
        "substantia alba medullae oblongatae",
        "white matter of medulla",
        "white substance of medulla",
    ],
)
UBERONParcellation.white_matter_of_the_cerebellar_cortex = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/whiteMatterOfTheCerebellarCortex",
    definition="'White matter of the cerebellar cortex' is a white matter of metencephalon. It is part of the cerebellar cortex.",
    description="White matter that lies deep to the granular cell layer of the cerebellar cortex.  It contains afferents to the cerebellar cortex and axons that run between the cerebellar cortex and the deep cerebellar nuclei.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0112631"),
    knowledge_space_link=IRI(
        "https://knowledge-space.org/wiki/UBERON:0024045#white-matter-of-the-cerebellar-cortex-1"
    ),
    name="white matter of the cerebellar cortex",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0024045"),
    synonyms=["white matter of the cerebellar cortex"],
)
UBERONParcellation.zona_incerta = UBERONParcellation(
    id="https://openminds.ebrains.eu/instances/UBERONParcellation/zonaIncerta",
    definition="'Zona incerta' is a nucleus of ventral thalamus.",
    description="A large, horizontally elongated region of gray matter located in the subthalamus, wedged just below the ventral tier of the thalamus and the subthalamic nucleus.",
    interlex_identifier=IRI("http://uri.interlex.org/base/ilx_0112736"),
    knowledge_space_link=IRI("https://knowledge-space.org/wiki/UBERON:0001907#zona-incerta"),
    name="zona incerta",
    preferred_ontology_identifier=IRI("http://purl.obolibrary.org/obo/UBERON_0001907"),
    synonyms=["ZI", "nucleus of the zona incerta", "zona incerta proper"],
)
