"""
<description not available>
"""

# this file was auto-generated!

from openminds.base import IRI

from openminds.base import LinkedMetadata
from openminds.properties import Property


class ParcellationEntity(LinkedMetadata):
    """
    <description not available>
    """

    type_ = "https://openminds.ebrains.eu/sands/ParcellationEntity"
    context = {"@vocab": "https://openminds.ebrains.eu/vocab/"}
    schema_version = "v3.0"

    properties = [
        Property(
            "abbreviation",
            str,
            "abbreviation",
            formatting="text/plain",
            description="no description available",
            instructions="Enter the official abbreviation of this parcellation entity.",
        ),
        Property(
            "alternate_names",
            str,
            "alternateName",
            multiple=True,
            unique_items=True,
            min_items=1,
            formatting="text/plain",
            description="no description available",
            instructions="Enter any alternate names, including any alternative abbreviations, for this parcellation entity.",
        ),
        Property(
            "definition",
            str,
            "definition",
            formatting="text/markdown",
            multiline=True,
            description="Short, but precise statement of the meaning of a word, word group, sign or a symbol.",
            instructions="Enter the definition for this parcellation entity.",
        ),
        Property(
            "has_parents",
            "openminds.v3.sands.ParcellationEntity",
            "hasParent",
            multiple=True,
            unique_items=True,
            min_items=1,
            description="Reference to a parent object or legal person.",
            instructions="Add all anatomical parent structures for this parcellation entity as defined within the corresponding brain atlas.",
        ),
        Property(
            "has_versions",
            "openminds.v3.sands.ParcellationEntityVersion",
            "hasVersion",
            multiple=True,
            unique_items=True,
            min_items=1,
            description="Reference to variants of an original.",
            instructions="Add all versions of this parcellation entity.",
        ),
        Property(
            "lookup_label",
            str,
            "lookupLabel",
            formatting="text/plain",
            description="no description available",
            instructions="Enter a lookup label for this parcellation entity that may help you to find this instance more easily.",
        ),
        Property(
            "name",
            str,
            "name",
            formatting="text/plain",
            required=True,
            description="Word or phrase that constitutes the distinctive designation of the parcellation entity.",
            instructions="Enter the name of this parcellation entity.",
        ),
        Property(
            "ontology_identifiers",
            str,
            "ontologyIdentifier",
            multiple=True,
            unique_items=True,
            min_items=1,
            formatting="text/plain",
            description="Term or code used to identify the parcellation entity registered within a particular ontology.",
            instructions="Enter the internationalized resource identifiers (IRIs) to the related ontological terms matching this parcellation entity.",
        ),
        Property(
            "related_uberon_term",
            ["openminds.v3.controlled_terms.Organ", "openminds.v3.controlled_terms.UBERONParcellation"],
            "relatedUBERONTerm",
            description="no description available",
            instructions="Add the related anatomical entity as defined by the UBERON ontology.",
        ),
    ]

    def __init__(
        self,
        id=None,
        abbreviation=None,
        alternate_names=None,
        definition=None,
        has_parents=None,
        has_versions=None,
        lookup_label=None,
        name=None,
        ontology_identifiers=None,
        related_uberon_term=None,
    ):
        return super().__init__(
            id=id,
            abbreviation=abbreviation,
            alternate_names=alternate_names,
            definition=definition,
            has_parents=has_parents,
            has_versions=has_versions,
            lookup_label=lookup_label,
            name=name,
            ontology_identifiers=ontology_identifiers,
            related_uberon_term=related_uberon_term,
        )

    @classmethod
    def instances(cls):
        return [value for value in cls.__dict__.values() if isinstance(value, cls)]

    @classmethod
    def by_name(cls, name):
        if cls._instance_lookup is None:
            cls._instance_lookup = {}
            for instance in cls.instances():
                cls._instance_lookup[instance.name] = instance
                if instance.synonyms:
                    for synonym in instance.synonyms:
                        cls._instance_lookup[synonym] = instance
        return cls._instance_lookup[name]


ParcellationEntity.aal1_acin = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_ACIN",
    abbreviation="ACIN",
    alternate_names=["CIA", "Cingulum_Ant"],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_limbicLobe"}],
    has_versions=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/AAL1_SPM12-v4_ACIN"}],
    lookup_label="AAL1_ACIN",
    name="anterior cingulate and paracingulate gyri",
)
ParcellationEntity.aal1_ag = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_AG",
    abbreviation="AG",
    alternate_names=["GA", "Angular"],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_parietalLobe"}],
    has_versions=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/AAL1_SPM12-v4_AG"}],
    lookup_label="AAL1_AG",
    name="angular gyrus",
)
ParcellationEntity.aal1_amyg = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_AMYG",
    abbreviation="AMYG",
    alternate_names=["AMYGD", "Amygdala"],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_subcorticalGrayNuclei"}],
    has_versions=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/AAL1_SPM12-v4_AMYG"}],
    lookup_label="AAL1_AMYG",
    name="amygdala",
)
ParcellationEntity.aal1_brain = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_brain",
    lookup_label="AAL1_brain",
    name="brain",
)
ParcellationEntity.aal1_cau = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_CAU",
    abbreviation="CAU",
    alternate_names=["NC", "Caudate"],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_subcorticalGrayNuclei"}],
    has_versions=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/AAL1_SPM12-v4_CAU"}],
    lookup_label="AAL1_CAU",
    name="caudate nucleus",
)
ParcellationEntity.aal1_central_region = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_centralRegion",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_brain"}],
    lookup_label="AAL1_centralRegion",
    name="central region",
)
ParcellationEntity.aal1_f1 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_F1",
    abbreviation="F1",
    alternate_names=["F1", "Frontal_Sup"],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_frontalLobe"}],
    has_versions=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/AAL1_SPM12-v4_F1"}],
    lookup_label="AAL1_F1",
    name="superior frontal gyrus, dorsolateral",
)
ParcellationEntity.aal1_f1_m = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_F1M",
    abbreviation="F1M",
    alternate_names=["FM", "Frontal_Sup_Medial"],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_frontalLobe"}],
    has_versions=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/AAL1_SPM12-v4_F1M"}],
    lookup_label="AAL1_F1M",
    name="superior frontal gyrus, medial",
)
ParcellationEntity.aal1_f1_mo = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_F1MO",
    abbreviation="F1MO",
    alternate_names=["FMO", "Frontal_Med_Orb"],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_frontalLobe"}],
    has_versions=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/AAL1_SPM12-v4_F1MO"}],
    lookup_label="AAL1_F1MO",
    name="superior frontal gyrus, medial orbital",
)
ParcellationEntity.aal1_f1_o = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_F1O",
    abbreviation="F1O",
    alternate_names=["F1O", "Frontal_Sup_Orb"],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_frontalLobe"}],
    has_versions=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/AAL1_SPM12-v4_F1O"}],
    lookup_label="AAL1_F1O",
    name="superior frontal gyrus, orbital part",
)
ParcellationEntity.aal1_f2 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_F2",
    abbreviation="F2",
    alternate_names=["F2", "Frontal_Mid"],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_frontalLobe"}],
    has_versions=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/AAL1_SPM12-v4_F2"}],
    lookup_label="AAL1_F2",
    name="middle frontal gyrus",
)
ParcellationEntity.aal1_f2_o = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_F2O",
    abbreviation="F2O",
    alternate_names=["F2O", "Frontal_Mid_Orb"],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_frontalLobe"}],
    has_versions=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/AAL1_SPM12-v4_F2O"}],
    lookup_label="AAL1_F2O",
    name="middle frontal gyrus, orbital part",
)
ParcellationEntity.aal1_f3_o = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_F3O",
    abbreviation="F3O",
    alternate_names=["F3O", "Frontal_Inf_Orb"],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_frontalLobe"}],
    has_versions=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/AAL1_SPM12-v4_F3O"}],
    lookup_label="AAL1_F3O",
    name="inferior frontal gyrus, orbital part",
)
ParcellationEntity.aal1_f3_op = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_F3OP",
    abbreviation="F3OP",
    alternate_names=["F3OP", "Frontal_Inf_Oper"],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_frontalLobe"}],
    has_versions=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/AAL1_SPM12-v4_F3OP"}],
    lookup_label="AAL1_F3OP",
    name="inferior frontal gyrus, opercular part",
)
ParcellationEntity.aal1_f3_t = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_F3T",
    abbreviation="F3T",
    alternate_names=["F3T", "Frontal_Inf_Tri"],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_frontalLobe"}],
    has_versions=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/AAL1_SPM12-v4_F3T"}],
    lookup_label="AAL1_F3T",
    name="inferior frontal gyrus, triangular part",
)
ParcellationEntity.aal1_frontal_lobe = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_frontalLobe",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_brain"}],
    lookup_label="AAL1_frontalLobe",
    name="frontal lobe",
)
ParcellationEntity.aal1_fusi = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_FUSI",
    abbreviation="FUSI",
    alternate_names=["FUSI", "Fusiform"],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_occipitalLobe"}],
    has_versions=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/AAL1_SPM12-v4_FUSI"}],
    lookup_label="AAL1_FUSI",
    name="fusiform gyrus",
)
ParcellationEntity.aal1_gr = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_GR",
    abbreviation="GR",
    alternate_names=["GR", "Rectus"],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_frontalLobe"}],
    has_versions=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/AAL1_SPM12-v4_GR"}],
    lookup_label="AAL1_GR",
    name="gyrus rectus",
)
ParcellationEntity.aal1_hes = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_HES",
    abbreviation="HES",
    alternate_names=["HESCHL", "Heschl"],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_temporalLobe"}],
    has_versions=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/AAL1_SPM12-v4_HES"}],
    lookup_label="AAL1_HES",
    name="Heschl gyrus",
)
ParcellationEntity.aal1_hip = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_HIP",
    abbreviation="HIP",
    alternate_names=["HIPPO", "Hippocampus"],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_limbicLobe"}],
    has_versions=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/AAL1_SPM12-v4_HIP"}],
    lookup_label="AAL1_HIP",
    name="hippocampus",
)
ParcellationEntity.aal1_in = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_IN",
    abbreviation="IN",
    alternate_names=["IN", "Insula"],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_brain"}],
    has_versions=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/AAL1_SPM12-v4_IN"}],
    lookup_label="AAL1_IN",
    name="insula",
)
ParcellationEntity.aal1_limbic_lobe = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_limbicLobe",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_brain"}],
    lookup_label="AAL1_limbicLobe",
    name="limbic lobe",
)
ParcellationEntity.aal1_ling = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_LING",
    abbreviation="LING",
    alternate_names=["LING", "Lingual"],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_occipitalLobe"}],
    has_versions=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/AAL1_SPM12-v4_LING"}],
    lookup_label="AAL1_LING",
    name="lingual gyrus",
)
ParcellationEntity.aal1_mcin = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_MCIN",
    abbreviation="MCIN",
    alternate_names=["CINM", "Cingulum_Mid"],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_limbicLobe"}],
    has_versions=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/AAL1_SPM12-v4_MCIN"}],
    lookup_label="AAL1_MCIN",
    name="median cingulate and paracingulate gyri",
)
ParcellationEntity.aal1_o1 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_O1",
    abbreviation="O1",
    alternate_names=["O1", "Occipital_Sup"],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_occipitalLobe"}],
    has_versions=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/AAL1_SPM12-v4_O1"}],
    lookup_label="AAL1_O1",
    name="superior occipital gyrus",
)
ParcellationEntity.aal1_o2 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_O2",
    abbreviation="O2",
    alternate_names=["O2", "Occipital_Mid"],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_occipitalLobe"}],
    has_versions=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/AAL1_SPM12-v4_O2"}],
    lookup_label="AAL1_O2",
    name="middle occipital gyrus",
)
ParcellationEntity.aal1_o3 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_O3",
    abbreviation="O3",
    alternate_names=["O3", "Occipital_Inf"],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_occipitalLobe"}],
    has_versions=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/AAL1_SPM12-v4_O3"}],
    lookup_label="AAL1_O3",
    name="inferior occipital gyrus",
)
ParcellationEntity.aal1_oc = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_OC",
    abbreviation="OC",
    alternate_names=["COB", "Olfactory"],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_frontalLobe"}],
    has_versions=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/AAL1_SPM12-v4_OC"}],
    lookup_label="AAL1_OC",
    name="olfactory cortex",
)
ParcellationEntity.aal1_occipital_lobe = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_occipitalLobe",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_brain"}],
    lookup_label="AAL1_occipitalLobe",
    name="occipital lobe",
)
ParcellationEntity.aal1_p1 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_P1",
    abbreviation="P1",
    alternate_names=["P1", "Parietal_Sup"],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_parietalLobe"}],
    has_versions=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/AAL1_SPM12-v4_P1"}],
    lookup_label="AAL1_P1",
    name="superior parietal gyrus",
)
ParcellationEntity.aal1_p2 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_P2",
    abbreviation="P2",
    alternate_names=["P2", "Parietal_Inf"],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_parietalLobe"}],
    has_versions=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/AAL1_SPM12-v4_P2"}],
    lookup_label="AAL1_P2",
    name="inferior parietal, but supramarginal and angular gyri",
)
ParcellationEntity.aal1_pal = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_PAL",
    abbreviation="PAL",
    alternate_names=["PALL", "Pallidum"],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_subcorticalGrayNuclei"}],
    has_versions=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/AAL1_SPM12-v4_PAL"}],
    lookup_label="AAL1_PAL",
    name="lenticular nucleus, pallidum",
)
ParcellationEntity.aal1_parietal_lobe = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_parietalLobe",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_brain"}],
    lookup_label="AAL1_parietalLobe",
    name="parietal lobe",
)
ParcellationEntity.aal1_pcin = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_PCIN",
    abbreviation="PCIN",
    alternate_names=["CIP", "Cingulum_Post"],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_limbicLobe"}],
    has_versions=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/AAL1_SPM12-v4_PCIN"}],
    lookup_label="AAL1_PCIN",
    name="posterior cingulate gyrus",
)
ParcellationEntity.aal1_pcl = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_PCL",
    abbreviation="PCL",
    alternate_names=["LPC", "Paracentralobule"],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_frontalLobe"}],
    has_versions=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/AAL1_SPM12-v4_PCL"}],
    lookup_label="AAL1_PCL",
    name="paracentral lobule",
)
ParcellationEntity.aal1_phip = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_PHIP",
    abbreviation="PHIP",
    alternate_names=["PARA_HIPPO", "ParaHippocampal"],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_limbicLobe"}],
    has_versions=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/AAL1_SPM12-v4_PHIP"}],
    lookup_label="AAL1_PHIP",
    name="parahippocampal gyrus",
)
ParcellationEntity.aal1_post = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_POST",
    abbreviation="POST",
    alternate_names=["PA", "Postcentral"],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_centralRegion"}],
    has_versions=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/AAL1_SPM12-v4_POST"}],
    lookup_label="AAL1_POST",
    name="postcentral gyrus",
)
ParcellationEntity.aal1_pq = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_PQ",
    abbreviation="PQ",
    alternate_names=["PQ", "Precuneus"],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_parietalLobe"}],
    has_versions=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/AAL1_SPM12-v4_PQ"}],
    lookup_label="AAL1_PQ",
    name="precuneus",
)
ParcellationEntity.aal1_pre = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_PRE",
    abbreviation="PRE",
    alternate_names=["FA", "Precentral"],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_centralRegion"}],
    has_versions=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/AAL1_SPM12-v4_PRE"}],
    lookup_label="AAL1_PRE",
    name="precentral gyrus",
)
ParcellationEntity.aal1_put = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_PUT",
    abbreviation="PUT",
    alternate_names=["NL", "Putamen"],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_subcorticalGrayNuclei"}],
    has_versions=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/AAL1_SPM12-v4_PUT"}],
    lookup_label="AAL1_PUT",
    name="lenticular nucleus, putamen",
)
ParcellationEntity.aal1_q = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_Q",
    abbreviation="Q",
    alternate_names=["Q", "Cuneus"],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_occipitalLobe"}],
    has_versions=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/AAL1_SPM12-v4_Q"}],
    lookup_label="AAL1_Q",
    name="cuneus",
)
ParcellationEntity.aal1_ro = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_RO",
    abbreviation="RO",
    alternate_names=["OR", "Rolandic_Oper"],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_centralRegion"}],
    has_versions=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/AAL1_SPM12-v4_RO"}],
    lookup_label="AAL1_RO",
    name="rolandic operculum",
)
ParcellationEntity.aal1_sma = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_SMA",
    abbreviation="SMA",
    alternate_names=["SMA", "Supp_Motor_Area"],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_frontalLobe"}],
    has_versions=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/AAL1_SPM12-v4_SMA"}],
    lookup_label="AAL1_SMA",
    name="supplementary motor area",
)
ParcellationEntity.aal1_smg = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_SMG",
    abbreviation="SMG",
    alternate_names=["GSM", "SupraMarginal"],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_parietalLobe"}],
    has_versions=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/AAL1_SPM12-v4_SMG"}],
    lookup_label="AAL1_SMG",
    name="supramarginal gyrus",
)
ParcellationEntity.aal1_subcortical_gray_nuclei = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_subcorticalGrayNuclei",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_brain"}],
    lookup_label="AAL1_subcorticalGrayNuclei",
    name="subcortical gray nuclei",
)
ParcellationEntity.aal1_t1 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_T1",
    abbreviation="T1",
    alternate_names=["T1", "Temporal_Sup"],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_temporalLobe"}],
    has_versions=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/AAL1_SPM12-v4_T1"}],
    lookup_label="AAL1_T1",
    name="superior temporal gyrus",
)
ParcellationEntity.aal1_t1_p = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_T1P",
    abbreviation="T1P",
    alternate_names=["T1A", "Temporal_Pole_Sup"],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_limbicLobe"}],
    has_versions=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/AAL1_SPM12-v4_T1P"}],
    lookup_label="AAL1_T1P",
    name="temporal pole: superior temporal gyrus",
)
ParcellationEntity.aal1_t2 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_T2",
    abbreviation="T2",
    alternate_names=["T2", "Temporal_Mid"],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_temporalLobe"}],
    has_versions=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/AAL1_SPM12-v4_T2"}],
    lookup_label="AAL1_T2",
    name="middle temporal gyrus",
)
ParcellationEntity.aal1_t2_p = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_T2P",
    abbreviation="T2P",
    alternate_names=["T2A", "Temporal_Pole_Mid"],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_limbicLobe"}],
    has_versions=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/AAL1_SPM12-v4_T2P"}],
    lookup_label="AAL1_T2P",
    name="temporal pole: middle temporal gyrus",
)
ParcellationEntity.aal1_t3 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_T3",
    abbreviation="T3",
    alternate_names=["T3", "Temporal_Inf"],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_temporalLobe"}],
    has_versions=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/AAL1_SPM12-v4_T3"}],
    lookup_label="AAL1_T3",
    name="inferior temporal gyrus",
)
ParcellationEntity.aal1_temporal_lobe = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_temporalLobe",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_brain"}],
    lookup_label="AAL1_temporalLobe",
    name="temporal lobe",
)
ParcellationEntity.aal1_tha = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_THA",
    abbreviation="THA",
    alternate_names=["THA", "Thalamus"],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_subcorticalGrayNuclei"}],
    has_versions=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/AAL1_SPM12-v4_THA"}],
    lookup_label="AAL1_THA",
    name="thalamus",
)
ParcellationEntity.aal1_v1 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_V1",
    abbreviation="V1",
    alternate_names=["V1", "Calcarine"],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_occipitalLobe"}],
    has_versions=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/AAL1_SPM12-v4_V1"}],
    lookup_label="AAL1_V1",
    name="calcarine fissure and surrounding cortex",
)
ParcellationEntity.aseg_atlas_accumbens_area = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/AsegAtlas_accumbensArea",
    lookup_label="AsegAtlas_accumbensArea",
    name="accumbens area",
    related_uberon_term={"@id": "https://openminds.ebrains.eu/instances/UBERONParcellation/nucleusAccumbens"},
)
ParcellationEntity.aseg_atlas_amygdala = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/AsegAtlas_amygdala",
    lookup_label="AsegAtlas_amygdala",
    name="amygdala",
    related_uberon_term={"@id": "https://openminds.ebrains.eu/instances/UBERONParcellation/amygdala"},
)
ParcellationEntity.aseg_atlas_brain_stem = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/AsegAtlas_brainStem",
    lookup_label="AsegAtlas_brainStem",
    name="brain stem",
    related_uberon_term={"@id": "https://openminds.ebrains.eu/instances/UBERONParcellation/brainstem"},
)
ParcellationEntity.aseg_atlas_caudate = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/AsegAtlas_caudate",
    lookup_label="AsegAtlas_caudate",
    name="caudate",
    related_uberon_term={"@id": "https://openminds.ebrains.eu/instances/UBERONParcellation/caudateNucleus"},
)
ParcellationEntity.aseg_atlas_cerebellum_cortex = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/AsegAtlas_cerebellumCortex",
    lookup_label="AsegAtlas_cerebellumCortex",
    name="cerebellum cortex",
    related_uberon_term={"@id": "https://openminds.ebrains.eu/instances/UBERONParcellation/cerebellarCortex"},
)
ParcellationEntity.aseg_atlas_cerebellum_white_matter = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/AsegAtlas_cerebellumWhiteMatter",
    lookup_label="AsegAtlas_cerebellumWhiteMatter",
    name="cerebellum white matter",
    related_uberon_term={"@id": "https://openminds.ebrains.eu/instances/UBERONParcellation/whiteMatterOfCerebellum"},
)
ParcellationEntity.aseg_atlas_cerebral_cortex = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/AsegAtlas_cerebralCortex",
    lookup_label="AsegAtlas_cerebralCortex",
    name="cerebral cortex",
    related_uberon_term={"@id": "https://openminds.ebrains.eu/instances/UBERONParcellation/cerebralCortex"},
)
ParcellationEntity.aseg_atlas_cerebral_white_matter = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/AsegAtlas_cerebralWhiteMatter",
    lookup_label="AsegAtlas_cerebralWhiteMatter",
    name="cerebral white matter",
    related_uberon_term={
        "@id": "https://openminds.ebrains.eu/instances/UBERONParcellation/cerebralHemisphereWhiteMatter"
    },
)
ParcellationEntity.aseg_atlas_cerebrospinal_fluid = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/AsegAtlas_cerebrospinalFluid",
    lookup_label="AsegAtlas_cerebrospinalFluid",
    name="cerebrospinal fluid",
    related_uberon_term={"@id": "https://openminds.ebrains.eu/instances/UBERONParcellation/cerebrospinalFluid"},
)
ParcellationEntity.aseg_atlas_fourth_ventricle = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/AsegAtlas_fourthVentricle",
    lookup_label="AsegAtlas_fourthVentricle",
    name="fourth ventricle",
    related_uberon_term={"@id": "https://openminds.ebrains.eu/instances/UBERONParcellation/fourthVentricle"},
)
ParcellationEntity.aseg_atlas_hippocampus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/AsegAtlas_hippocampus",
    lookup_label="AsegAtlas_hippocampus",
    name="hippocampus",
    related_uberon_term={"@id": "https://openminds.ebrains.eu/instances/UBERONParcellation/hippocampalFormation"},
)
ParcellationEntity.aseg_atlas_inferior_lateral_ventricle = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/AsegAtlas_inferiorLateralVentricle",
    lookup_label="AsegAtlas_inferiorLateralVentricle",
    name="inferior lateral ventricle",
    related_uberon_term={
        "@id": "https://openminds.ebrains.eu/instances/UBERONParcellation/inferiorHornOfTheLateralVentricle"
    },
)
ParcellationEntity.aseg_atlas_lateral_ventricle = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/AsegAtlas_lateralVentricle",
    lookup_label="AsegAtlas_lateralVentricle",
    name="lateral ventricle",
)
ParcellationEntity.aseg_atlas_lesion = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/AsegAtlas_lesion",
    lookup_label="AsegAtlas_lesion",
    name="lesion",
)
ParcellationEntity.aseg_atlas_pallidum = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/AsegAtlas_pallidum",
    lookup_label="AsegAtlas_pallidum",
    name="pallidum",
    related_uberon_term={"@id": "https://openminds.ebrains.eu/instances/UBERONParcellation/pallidum"},
)
ParcellationEntity.aseg_atlas_putamen = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/AsegAtlas_putamen",
    lookup_label="AsegAtlas_putamen",
    name="putamen",
    related_uberon_term={"@id": "https://openminds.ebrains.eu/instances/UBERONParcellation/putamen"},
)
ParcellationEntity.aseg_atlas_thalamus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/AsegAtlas_thalamus",
    lookup_label="AsegAtlas_thalamus",
    name="thalamus",
)
ParcellationEntity.aseg_atlas_third_ventricle = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/AsegAtlas_thirdVentricle",
    lookup_label="AsegAtlas_thirdVentricle",
    name="third ventricle",
    related_uberon_term={"@id": "https://openminds.ebrains.eu/instances/UBERONParcellation/thirdVentricle"},
)
ParcellationEntity.aseg_atlas_unknown = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/AsegAtlas_unknown",
    lookup_label="AsegAtlas_unknown",
    name="unknown",
)
ParcellationEntity.aseg_atlas_ventral_diencephalon = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/AsegAtlas_ventralDiencephalon",
    lookup_label="AsegAtlas_ventralDiencephalon",
    name="ventral diencephalon",
)
ParcellationEntity.aseg_atlas_vessel = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/AsegAtlas_vessel",
    lookup_label="AsegAtlas_vessel",
    name="vessel",
    related_uberon_term={"@id": "https://openminds.ebrains.eu/instances/UBERONParcellation/vessel"},
)
ParcellationEntity.ba_human_ba1 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_BA1",
    abbreviation="BA1",
    alternate_names=["Brodmann's area 1", "human BA1", "human Brodmann area 1", "human Brodmann's area 1"],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_cerebralCortex"}],
    has_versions=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/BA-human_1909_BA1"}],
    lookup_label="BA-human_BA1",
    name="Brodmann area 1",
)
ParcellationEntity.ba_human_ba10 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_BA10",
    abbreviation="BA10",
    alternate_names=["Brodmann's area 10", "human BA10", "human Brodmann area 10", "human Brodmann's area 10"],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_cerebralCortex"}],
    has_versions=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/BA-human_1909_BA10"}],
    lookup_label="BA-human_BA10",
    name="Brodmann area 10",
)
ParcellationEntity.ba_human_ba11 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_BA11",
    abbreviation="BA11",
    alternate_names=["Brodmann's area 11", "human BA11", "human Brodmann area 11", "human Brodmann's area 11"],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_cerebralCortex"}],
    has_versions=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/BA-human_1909_BA11"}],
    lookup_label="BA-human_BA11",
    name="Brodmann area 11",
)
ParcellationEntity.ba_human_ba12 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_BA12",
    abbreviation="BA12",
    alternate_names=["Brodmann's area 12", "human BA12", "human Brodmann area 12", "human Brodmann's area 12"],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_cerebralCortex"}],
    has_versions=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/BA-human_1909_BA12"}],
    lookup_label="BA-human_BA12",
    name="Brodmann area 12",
)
ParcellationEntity.ba_human_ba13 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_BA13",
    abbreviation="BA13",
    alternate_names=["Brodmann's area 13", "human BA13", "human Brodmann area 13", "human Brodmann's area 13"],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_cerebralCortex"}],
    has_versions=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/BA-human_1909_BA13"}],
    lookup_label="BA-human_BA13",
    name="Brodmann area 13",
)
ParcellationEntity.ba_human_ba14 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_BA14",
    abbreviation="BA14",
    alternate_names=["Brodmann's area 14", "human BA14", "human Brodmann area 14", "human Brodmann's area 14"],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_cerebralCortex"}],
    has_versions=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/BA-human_1909_BA14"}],
    lookup_label="BA-human_BA14",
    name="Brodmann area 14",
)
ParcellationEntity.ba_human_ba15 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_BA15",
    abbreviation="BA15",
    alternate_names=["Brodmann's area 15", "human BA15", "human Brodmann area 15", "human Brodmann's area 15"],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_cerebralCortex"}],
    has_versions=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/BA-human_1909_BA15"}],
    lookup_label="BA-human_BA15",
    name="Brodmann area 15",
)
ParcellationEntity.ba_human_ba16 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_BA16",
    abbreviation="BA16",
    alternate_names=["Brodmann's area 16", "human BA16", "human Brodmann area 16", "human Brodmann's area 16"],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_cerebralCortex"}],
    has_versions=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/BA-human_1909_BA16"}],
    lookup_label="BA-human_BA16",
    name="Brodmann area 16",
)
ParcellationEntity.ba_human_ba17 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_BA17",
    abbreviation="BA17",
    alternate_names=["Brodmann's area 17", "human BA17", "human Brodmann area 17", "human Brodmann's area 17"],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_cerebralCortex"}],
    has_versions=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/BA-human_1909_BA17"}],
    lookup_label="BA-human_BA17",
    name="Brodmann area 17",
)
ParcellationEntity.ba_human_ba18 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_BA18",
    abbreviation="BA18",
    alternate_names=["Brodmann's area 18", "human BA18", "human Brodmann area 18", "human Brodmann's area 18"],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_cerebralCortex"}],
    has_versions=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/BA-human_1909_BA18"}],
    lookup_label="BA-human_BA18",
    name="Brodmann area 18",
)
ParcellationEntity.ba_human_ba19 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_BA19",
    abbreviation="BA19",
    alternate_names=["Brodmann's area 19", "human BA19", "human Brodmann area 19", "human Brodmann's area 19"],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_cerebralCortex"}],
    has_versions=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/BA-human_1909_BA19"}],
    lookup_label="BA-human_BA19",
    name="Brodmann area 19",
)
ParcellationEntity.ba_human_ba2 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_BA2",
    abbreviation="BA2",
    alternate_names=["Brodmann's area 2", "human BA2", "human Brodmann area 2", "human Brodmann's area 2"],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_cerebralCortex"}],
    has_versions=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/BA-human_1909_BA2"}],
    lookup_label="BA-human_BA2",
    name="Brodmann area 2",
)
ParcellationEntity.ba_human_ba20 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_BA20",
    abbreviation="BA20",
    alternate_names=["Brodmann's area 20", "human BA20", "human Brodmann area 20", "human Brodmann's area 20"],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_cerebralCortex"}],
    has_versions=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/BA-human_1909_BA20"}],
    lookup_label="BA-human_BA20",
    name="Brodmann area 20",
)
ParcellationEntity.ba_human_ba21 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_BA21",
    abbreviation="BA21",
    alternate_names=["Brodmann's area 21", "human BA21", "human Brodmann area 21", "human Brodmann's area 21"],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_cerebralCortex"}],
    has_versions=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/BA-human_1909_BA21"}],
    lookup_label="BA-human_BA21",
    name="Brodmann area 21",
)
ParcellationEntity.ba_human_ba22 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_BA22",
    abbreviation="BA22",
    alternate_names=["Brodmann's area 22", "human BA22", "human Brodmann area 22", "human Brodmann's area 22"],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_cerebralCortex"}],
    has_versions=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/BA-human_1909_BA22"}],
    lookup_label="BA-human_BA22",
    name="Brodmann area 22",
)
ParcellationEntity.ba_human_ba23 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_BA23",
    abbreviation="BA23",
    alternate_names=["Brodmann's area 23", "human BA23", "human Brodmann area 23", "human Brodmann's area 23"],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_cerebralCortex"}],
    has_versions=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/BA-human_1909_BA23"}],
    lookup_label="BA-human_BA23",
    name="Brodmann area 23",
)
ParcellationEntity.ba_human_ba24 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_BA24",
    abbreviation="BA24",
    alternate_names=["Brodmann's area 24", "human BA24", "human Brodmann area 24", "human Brodmann's area 24"],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_cerebralCortex"}],
    has_versions=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/BA-human_1909_BA24"}],
    lookup_label="BA-human_BA24",
    name="Brodmann area 24",
)
ParcellationEntity.ba_human_ba25 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_BA25",
    abbreviation="BA25",
    alternate_names=["Brodmann's area 25", "human BA25", "human Brodmann area 25", "human Brodmann's area 25"],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_cerebralCortex"}],
    has_versions=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/BA-human_1909_BA25"}],
    lookup_label="BA-human_BA25",
    name="Brodmann area 25",
)
ParcellationEntity.ba_human_ba26 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_BA26",
    abbreviation="BA26",
    alternate_names=["Brodmann's area 26", "human BA26", "human Brodmann area 26", "human Brodmann's area 26"],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_cerebralCortex"}],
    has_versions=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/BA-human_1909_BA26"}],
    lookup_label="BA-human_BA26",
    name="Brodmann area 26",
)
ParcellationEntity.ba_human_ba27 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_BA27",
    abbreviation="BA27",
    alternate_names=["Brodmann's area 27", "human BA27", "human Brodmann area 27", "human Brodmann's area 27"],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_cerebralCortex"}],
    has_versions=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/BA-human_1909_BA27"}],
    lookup_label="BA-human_BA27",
    name="Brodmann area 27",
)
ParcellationEntity.ba_human_ba28 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_BA28",
    abbreviation="BA28",
    alternate_names=["Brodmann's area 28", "human BA28", "human Brodmann area 28", "human Brodmann's area 28"],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_cerebralCortex"}],
    has_versions=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/BA-human_1909_BA28"}],
    lookup_label="BA-human_BA28",
    name="Brodmann area 28",
)
ParcellationEntity.ba_human_ba29 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_BA29",
    abbreviation="BA29",
    alternate_names=["Brodmann's area 29", "human BA29", "human Brodmann area 29", "human Brodmann's area 29"],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_cerebralCortex"}],
    has_versions=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/BA-human_1909_BA29"}],
    lookup_label="BA-human_BA29",
    name="Brodmann area 29",
)
ParcellationEntity.ba_human_ba3 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_BA3",
    abbreviation="BA3",
    alternate_names=["Brodmann's area 3", "human BA3", "human Brodmann area 3", "human Brodmann's area 3"],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_cerebralCortex"}],
    has_versions=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/BA-human_1909_BA3"}],
    lookup_label="BA-human_BA3",
    name="Brodmann area 3",
)
ParcellationEntity.ba_human_ba30 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_BA30",
    abbreviation="BA30",
    alternate_names=["Brodmann's area 30", "human BA30", "human Brodmann area 30", "human Brodmann's area 30"],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_cerebralCortex"}],
    has_versions=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/BA-human_1909_BA30"}],
    lookup_label="BA-human_BA30",
    name="Brodmann area 30",
)
ParcellationEntity.ba_human_ba31 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_BA31",
    abbreviation="BA31",
    alternate_names=["Brodmann's area 31", "human BA31", "human Brodmann area 31", "human Brodmann's area 31"],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_cerebralCortex"}],
    has_versions=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/BA-human_1909_BA31"}],
    lookup_label="BA-human_BA31",
    name="Brodmann area 31",
)
ParcellationEntity.ba_human_ba32 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_BA32",
    abbreviation="BA32",
    alternate_names=["Brodmann's area 32", "human BA32", "human Brodmann area 32", "human Brodmann's area 32"],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_cerebralCortex"}],
    has_versions=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/BA-human_1909_BA32"}],
    lookup_label="BA-human_BA32",
    name="Brodmann area 32",
)
ParcellationEntity.ba_human_ba33 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_BA33",
    abbreviation="BA33",
    alternate_names=["Brodmann's area 33", "human BA33", "human Brodmann area 33", "human Brodmann's area 33"],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_cerebralCortex"}],
    has_versions=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/BA-human_1909_BA33"}],
    lookup_label="BA-human_BA33",
    name="Brodmann area 33",
)
ParcellationEntity.ba_human_ba34 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_BA34",
    abbreviation="BA34",
    alternate_names=["Brodmann's area 34", "human BA34", "human Brodmann area 34", "human Brodmann's area 34"],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_cerebralCortex"}],
    has_versions=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/BA-human_1909_BA34"}],
    lookup_label="BA-human_BA34",
    name="Brodmann area 34",
)
ParcellationEntity.ba_human_ba35 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_BA35",
    abbreviation="BA35",
    alternate_names=["Brodmann's area 35", "human BA35", "human Brodmann area 35", "human Brodmann's area 35"],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_cerebralCortex"}],
    has_versions=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/BA-human_1909_BA35"}],
    lookup_label="BA-human_BA35",
    name="Brodmann area 35",
)
ParcellationEntity.ba_human_ba36 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_BA36",
    abbreviation="BA36",
    alternate_names=["Brodmann's area 36", "human BA36", "human Brodmann area 36", "human Brodmann's area 36"],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_cerebralCortex"}],
    has_versions=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/BA-human_1909_BA36"}],
    lookup_label="BA-human_BA36",
    name="Brodmann area 36",
)
ParcellationEntity.ba_human_ba37 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_BA37",
    abbreviation="BA37",
    alternate_names=["Brodmann's area 37", "human BA37", "human Brodmann area 37", "human Brodmann's area 37"],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_cerebralCortex"}],
    has_versions=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/BA-human_1909_BA37"}],
    lookup_label="BA-human_BA37",
    name="Brodmann area 37",
)
ParcellationEntity.ba_human_ba38 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_BA38",
    abbreviation="BA38",
    alternate_names=["Brodmann's area 38", "human BA38", "human Brodmann area 38", "human Brodmann's area 38"],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_cerebralCortex"}],
    has_versions=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/BA-human_1909_BA38"}],
    lookup_label="BA-human_BA38",
    name="Brodmann area 38",
)
ParcellationEntity.ba_human_ba39 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_BA39",
    abbreviation="BA39",
    alternate_names=["Brodmann's area 39", "human BA39", "human Brodmann area 39", "human Brodmann's area 39"],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_cerebralCortex"}],
    has_versions=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/BA-human_1909_BA39"}],
    lookup_label="BA-human_BA39",
    name="Brodmann area 39",
)
ParcellationEntity.ba_human_ba4 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_BA4",
    abbreviation="BA4",
    alternate_names=["Brodmann's area 4", "human BA4", "human Brodmann area 4", "human Brodmann's area 4"],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_cerebralCortex"}],
    has_versions=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/BA-human_1909_BA4"}],
    lookup_label="BA-human_BA4",
    name="Brodmann area 4",
)
ParcellationEntity.ba_human_ba40 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_BA40",
    abbreviation="BA40",
    alternate_names=["Brodmann's area 40", "human BA40", "human Brodmann area 40", "human Brodmann's area 40"],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_cerebralCortex"}],
    has_versions=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/BA-human_1909_BA40"}],
    lookup_label="BA-human_BA40",
    name="Brodmann area 40",
)
ParcellationEntity.ba_human_ba41 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_BA41",
    abbreviation="BA41",
    alternate_names=["Brodmann's area 41", "human BA41", "human Brodmann area 41", "human Brodmann's area 41"],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_cerebralCortex"}],
    has_versions=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/BA-human_1909_BA41"}],
    lookup_label="BA-human_BA41",
    name="Brodmann area 41",
)
ParcellationEntity.ba_human_ba42 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_BA42",
    abbreviation="BA42",
    alternate_names=["Brodmann's area 42", "human BA42", "human Brodmann area 42", "human Brodmann's area 42"],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_cerebralCortex"}],
    has_versions=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/BA-human_1909_BA42"}],
    lookup_label="BA-human_BA42",
    name="Brodmann area 42",
)
ParcellationEntity.ba_human_ba43 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_BA43",
    abbreviation="BA43",
    alternate_names=["Brodmann's area 43", "human BA43", "human Brodmann area 43", "human Brodmann's area 43"],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_cerebralCortex"}],
    has_versions=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/BA-human_1909_BA43"}],
    lookup_label="BA-human_BA43",
    name="Brodmann area 43",
)
ParcellationEntity.ba_human_ba44 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_BA44",
    abbreviation="BA44",
    alternate_names=["Brodmann's area 44", "human BA44", "human Brodmann area 44", "human Brodmann's area 44"],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_cerebralCortex"}],
    has_versions=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/BA-human_1909_BA44"}],
    lookup_label="BA-human_BA44",
    name="Brodmann area 44",
)
ParcellationEntity.ba_human_ba45 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_BA45",
    abbreviation="BA45",
    alternate_names=["Brodmann's area 45", "human BA45", "human Brodmann area 45", "human Brodmann's area 45"],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_cerebralCortex"}],
    has_versions=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/BA-human_1909_BA45"}],
    lookup_label="BA-human_BA45",
    name="Brodmann area 45",
)
ParcellationEntity.ba_human_ba46 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_BA46",
    abbreviation="BA46",
    alternate_names=["Brodmann's area 46", "human BA46", "human Brodmann area 46", "human Brodmann's area 46"],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_cerebralCortex"}],
    has_versions=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/BA-human_1909_BA46"}],
    lookup_label="BA-human_BA46",
    name="Brodmann area 46",
)
ParcellationEntity.ba_human_ba47 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_BA47",
    abbreviation="BA47",
    alternate_names=["Brodmann's area 47", "human BA47", "human Brodmann area 47", "human Brodmann's area 47"],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_cerebralCortex"}],
    has_versions=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/BA-human_1909_BA47"}],
    lookup_label="BA-human_BA47",
    name="Brodmann area 47",
)
ParcellationEntity.ba_human_ba48 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_BA48",
    abbreviation="BA48",
    alternate_names=["Brodmann's area 48", "human BA48", "human Brodmann area 48", "human Brodmann's area 48"],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_cerebralCortex"}],
    has_versions=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/BA-human_1909_BA48"}],
    lookup_label="BA-human_BA48",
    name="Brodmann area 48",
)
ParcellationEntity.ba_human_ba5 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_BA5",
    abbreviation="BA5",
    alternate_names=["Brodmann's area 5", "human BA5", "human Brodmann area 5", "human Brodmann's area 5"],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_cerebralCortex"}],
    has_versions=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/BA-human_1909_BA5"}],
    lookup_label="BA-human_BA5",
    name="Brodmann area 5",
)
ParcellationEntity.ba_human_ba52 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_BA52",
    abbreviation="BA52",
    alternate_names=["Brodmann's area 52", "human BA52", "human Brodmann area 52", "human Brodmann's area 52"],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_cerebralCortex"}],
    has_versions=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/BA-human_1909_BA52"}],
    lookup_label="BA-human_BA52",
    name="Brodmann area 52",
)
ParcellationEntity.ba_human_ba6 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_BA6",
    abbreviation="BA6",
    alternate_names=["Brodmann's area 6", "human BA6", "human Brodmann area 6", "human Brodmann's area 6"],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_cerebralCortex"}],
    has_versions=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/BA-human_1909_BA6"}],
    lookup_label="BA-human_BA6",
    name="Brodmann area 6",
)
ParcellationEntity.ba_human_ba7 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_BA7",
    abbreviation="BA7",
    alternate_names=["Brodmann's area 7", "human BA7", "human Brodmann area 7", "human Brodmann's area 7"],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_cerebralCortex"}],
    has_versions=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/BA-human_1909_BA7"}],
    lookup_label="BA-human_BA7",
    name="Brodmann area 7",
)
ParcellationEntity.ba_human_ba8 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_BA8",
    abbreviation="BA8",
    alternate_names=["Brodmann's area 8", "human BA8", "human Brodmann area 8", "human Brodmann's area 8"],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_cerebralCortex"}],
    has_versions=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/BA-human_1909_BA8"}],
    lookup_label="BA-human_BA8",
    name="Brodmann area 8",
)
ParcellationEntity.ba_human_ba8a = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_BA8a",
    abbreviation="BA8a",
    alternate_names=["Brodmann's area 8a", "human BA8a", "human Brodmann area 8a", "human Brodmann's area 8a"],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_cerebralCortex"}],
    has_versions=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/BA-human_1909_BA8a"}],
    lookup_label="BA-human_BA8a",
    name="Brodmann area 8a",
)
ParcellationEntity.ba_human_ba9 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_BA9",
    abbreviation="BA9",
    alternate_names=["Brodmann's area 9", "human BA9", "human Brodmann area 9", "human Brodmann's area 9"],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_cerebralCortex"}],
    has_versions=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/BA-human_1909_BA9"}],
    lookup_label="BA-human_BA9",
    name="Brodmann area 9",
)
ParcellationEntity.ba_human_cerebral_cortex = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_cerebralCortex",
    abbreviation="cortex",
    alternate_names=[
        "Brodmann's cerebral cortex",
        "human cortex",
        "human Brodmann cerebral cortex",
        "human Brodmann's cerebral cortex",
    ],
    lookup_label="BA-human_cerebralCortex",
    name="Brodmann cerebral cortex",
    related_uberon_term={"@id": "https://openminds.ebrains.eu/instances/UBERONParcellation/cerebralCortex"},
)
ParcellationEntity.dka_anterior_cingulate_cortex = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/DKA_anteriorCingulateCortex",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/DKA_cingulateCortex"}],
    lookup_label="DKA_anteriorCingulateCortex",
    name="anterior cingulate cortex",
    related_uberon_term={"@id": "https://openminds.ebrains.eu/instances/UBERONParcellation/anteriorCingulateCortex"},
)
ParcellationEntity.dka_banks_of_superior_temporal_sulcus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/DKA_banksOfSuperiorTemporalSulcus",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/DKA_temporalLobe_lateralAspect"}],
    lookup_label="DKA_banksOfSuperiorTemporalSulcus",
    name="banks of superior temporal sulcus",
    related_uberon_term={
        "@id": "https://openminds.ebrains.eu/instances/UBERONParcellation/banksOfSuperiorTemporalSulcus"
    },
)
ParcellationEntity.dka_banks_superior_temporal_sulcus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/DKA_banksSuperiorTemporalSulcus",
    lookup_label="DKA_banksSuperiorTemporalSulcus",
    name="banks superior temporal sulcus",
)
ParcellationEntity.dka_caudal_anterior_cingulate_cortex = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/DKA_caudalAnteriorCingulateCortex",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/DKA_anteriorCingulateCortex"}],
    lookup_label="DKA_caudalAnteriorCingulateCortex",
    name="caudal anterior cingulate cortex",
    related_uberon_term={
        "@id": "https://openminds.ebrains.eu/instances/UBERONParcellation/caudalAnteriorCingulateCortex"
    },
)
ParcellationEntity.dka_caudal_middle_frontal_gyrus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/DKA_caudalMiddleFrontalGyrus",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/DKA_middleFrontalGyrus"}],
    lookup_label="DKA_caudalMiddleFrontalGyrus",
    name="caudal middle frontal gyrus",
    related_uberon_term={"@id": "https://openminds.ebrains.eu/instances/UBERONParcellation/caudalMiddleFrontalGyrus"},
)
ParcellationEntity.dka_cerebral_cortex = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/DKA_cerebralCortex",
    lookup_label="DKA_cerebralCortex",
    name="cerebral cortex",
    related_uberon_term={"@id": "https://openminds.ebrains.eu/instances/UBERONParcellation/cerebralCortex"},
)
ParcellationEntity.dka_cingulate_cortex = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/DKA_cingulateCortex",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/DKA_cerebralCortex"}],
    lookup_label="DKA_cingulateCortex",
    name="cingulate cortex",
    related_uberon_term={"@id": "https://openminds.ebrains.eu/instances/UBERONParcellation/cingulateCortex"},
)
ParcellationEntity.dka_corpus_callosum = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/DKA_corpusCallosum",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/DKA_occipitalLobe"}],
    lookup_label="DKA_corpusCallosum",
    name="corpus callosum",
    related_uberon_term={"@id": "https://openminds.ebrains.eu/instances/UBERONParcellation/corpusCallosum"},
)
ParcellationEntity.dka_cuneus_cortex = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/DKA_cuneusCortex",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/DKA_occipitalLobe"}],
    lookup_label="DKA_cuneusCortex",
    name="cuneus cortex",
    related_uberon_term={"@id": "https://openminds.ebrains.eu/instances/UBERONParcellation/cuneusCortex"},
)
ParcellationEntity.dka_entorhinal_cortex = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/DKA_entorhinalCortex",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/DKA_temporalLobe_medialAspect"}],
    lookup_label="DKA_entorhinalCortex",
    name="entorhinal cortex",
    related_uberon_term={"@id": "https://openminds.ebrains.eu/instances/UBERONParcellation/entorhinalCortex"},
)
ParcellationEntity.dka_frontal_lobe = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/DKA_frontalLobe",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/DKA_cerebralCortex"}],
    lookup_label="DKA_frontalLobe",
    name="frontal lobe",
    related_uberon_term={"@id": "https://openminds.ebrains.eu/instances/UBERONParcellation/frontalLobe"},
)
ParcellationEntity.dka_frontal_pole = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/DKA_frontalPole",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/DKA_frontalLobe"}],
    lookup_label="DKA_frontalPole",
    name="frontal pole",
    related_uberon_term={"@id": "https://openminds.ebrains.eu/instances/UBERONParcellation/frontalPole"},
)
ParcellationEntity.dka_fusiform_gyrus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/DKA_fusiformGyrus",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/DKA_temporalLobe_medialAspect"}],
    lookup_label="DKA_fusiformGyrus",
    name="fusiform gyrus",
    related_uberon_term={"@id": "https://openminds.ebrains.eu/instances/UBERONParcellation/fusiformGyrus"},
)
ParcellationEntity.dka_inferior_frontal_gyrus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/DKA_inferiorFrontalGyrus",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/DKA_frontalLobe"}],
    lookup_label="DKA_inferiorFrontalGyrus",
    name="inferior frontal gyrus",
    related_uberon_term={"@id": "https://openminds.ebrains.eu/instances/UBERONParcellation/inferiorFrontalGyrus"},
)
ParcellationEntity.dka_inferior_parietal_cortex = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/DKA_inferiorParietalCortex",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/DKA_parietalLobe"}],
    lookup_label="DKA_inferiorParietalCortex",
    name="inferior parietal cortex",
    related_uberon_term={"@id": "https://openminds.ebrains.eu/instances/UBERONParcellation/inferiorParietalCortex"},
)
ParcellationEntity.dka_inferior_temporal_gyrus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/DKA_inferiorTemporalGyrus",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/DKA_temporalLobe_lateralAspect"}],
    lookup_label="DKA_inferiorTemporalGyrus",
    name="inferior temporal gyrus",
    related_uberon_term={"@id": "https://openminds.ebrains.eu/instances/UBERONParcellation/inferiorTemporalGyrus"},
)
ParcellationEntity.dka_insula = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/DKA_insula",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/DKA_cerebralCortex"}],
    lookup_label="DKA_insula",
    name="insula",
    related_uberon_term={"@id": "https://openminds.ebrains.eu/instances/UBERONParcellation/insula"},
)
ParcellationEntity.dka_isthmus_of_cingulate_cortex = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/DKA_isthmusOfCingulateCortex",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/DKA_occipitalLobe"}],
    lookup_label="DKA_isthmusOfCingulateCortex",
    name="isthmus of cingulate cortex",
    related_uberon_term={"@id": "https://openminds.ebrains.eu/instances/UBERONParcellation/isthmusOfCingulateGyrus"},
)
ParcellationEntity.dka_lateral_occipital_cortex = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/DKA_lateralOccipitalCortex",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/DKA_occipitalLobe"}],
    lookup_label="DKA_lateralOccipitalCortex",
    name="lateral occipital cortex",
    related_uberon_term={"@id": "https://openminds.ebrains.eu/instances/UBERONParcellation/lateralOccipitalCortex"},
)
ParcellationEntity.dka_lateral_orbital_frontal_cortex = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/DKA_lateralOrbitalFrontalCortex",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/DKA_orbitofrontalCortex"}],
    lookup_label="DKA_lateralOrbitalFrontalCortex",
    name="lateral orbitofrontal cortex",
    related_uberon_term={
        "@id": "https://openminds.ebrains.eu/instances/UBERONParcellation/lateralOrbitalFrontalCortex"
    },
)
ParcellationEntity.dka_lingual_gyrus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/DKA_lingualGyrus",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/DKA_occipitalLobe"}],
    lookup_label="DKA_lingualGyrus",
    name="lingual gyrus",
    related_uberon_term={"@id": "https://openminds.ebrains.eu/instances/UBERONParcellation/lingualGyrus"},
)
ParcellationEntity.dka_medial_orbital_frontal_cortex = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/DKA_medialOrbitalFrontalCortex",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/DKA_orbitofrontalCortex"}],
    lookup_label="DKA_medialOrbitalFrontalCortex",
    name="medial orbitofrontal cortex",
    related_uberon_term={
        "@id": "https://openminds.ebrains.eu/instances/UBERONParcellation/medialOrbitalFrontalCortex"
    },
)
ParcellationEntity.dka_middle_frontal_gyrus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/DKA_middleFrontalGyrus",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/DKA_frontalLobe"}],
    lookup_label="DKA_middleFrontalGyrus",
    name="middle frontal gyrus",
    related_uberon_term={"@id": "https://openminds.ebrains.eu/instances/UBERONParcellation/middleFrontalGyrus"},
)
ParcellationEntity.dka_middle_temporal_gyrus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/DKA_middleTemporalGyrus",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/DKA_temporalLobe_lateralAspect"}],
    lookup_label="DKA_middleTemporalGyrus",
    name="middle temporal gyrus",
    related_uberon_term={"@id": "https://openminds.ebrains.eu/instances/UBERONParcellation/middleTemporalGyrus"},
)
ParcellationEntity.dka_occipital_lobe = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/DKA_occipitalLobe",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/DKA_cerebralCortex"}],
    lookup_label="DKA_occipitalLobe",
    name="occipital lobe",
    related_uberon_term={"@id": "https://openminds.ebrains.eu/instances/UBERONParcellation/occipitalLobe"},
)
ParcellationEntity.dka_orbitofrontal_cortex = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/DKA_orbitofrontalCortex",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/DKA_frontalLobe"}],
    lookup_label="DKA_orbitofrontalCortex",
    name="orbitofrontal cortex",
    related_uberon_term={"@id": "https://openminds.ebrains.eu/instances/UBERONParcellation/orbitofrontalCortex"},
)
ParcellationEntity.dka_paracentral_lobule = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/DKA_paracentralLobule",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/DKA_frontalLobe"}],
    lookup_label="DKA_paracentralLobule",
    name="paracentral lobule",
    related_uberon_term={"@id": "https://openminds.ebrains.eu/instances/UBERONParcellation/paracentralLobule"},
)
ParcellationEntity.dka_parahippocampal_gyrus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/DKA_parahippocampalGyrus",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/DKA_temporalLobe_medialAspect"}],
    lookup_label="DKA_parahippocampalGyrus",
    name="parahippocampal gyrus",
    related_uberon_term={"@id": "https://openminds.ebrains.eu/instances/UBERONParcellation/parahippocampalGyrus"},
)
ParcellationEntity.dka_parietal_lobe = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/DKA_parietalLobe",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/DKA_cerebralCortex"}],
    lookup_label="DKA_parietalLobe",
    name="parietal lobe",
    related_uberon_term={"@id": "https://openminds.ebrains.eu/instances/UBERONParcellation/parietalLobe"},
)
ParcellationEntity.dka_pars_opercularis = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/DKA_parsOpercularis",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/DKA_inferiorFrontalGyrus"}],
    lookup_label="DKA_parsOpercularis",
    name="pars opercularis",
    related_uberon_term={
        "@id": "https://openminds.ebrains.eu/instances/UBERONParcellation/opercularPartOfInferiorFrontalGyrus"
    },
)
ParcellationEntity.dka_pars_orbitalis = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/DKA_parsOrbitalis",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/DKA_inferiorFrontalGyrus"}],
    lookup_label="DKA_parsOrbitalis",
    name="pars orbitalis",
    related_uberon_term={
        "@id": "https://openminds.ebrains.eu/instances/UBERONParcellation/orbitalPartOfInferiorFrontalGyrus"
    },
)
ParcellationEntity.dka_pars_triangularis = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/DKA_parsTriangularis",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/DKA_inferiorFrontalGyrus"}],
    lookup_label="DKA_parsTriangularis",
    name="pars triangularis",
    related_uberon_term={
        "@id": "https://openminds.ebrains.eu/instances/UBERONParcellation/triangularPartOfInferiorFrontalGyrus"
    },
)
ParcellationEntity.dka_pericalcarine_cortex = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/DKA_pericalcarineCortex",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/DKA_occipitalLobe"}],
    lookup_label="DKA_pericalcarineCortex",
    name="pericalcarine cortex",
    related_uberon_term={"@id": "https://openminds.ebrains.eu/instances/UBERONParcellation/pericalcarineCortex"},
)
ParcellationEntity.dka_postcentral_gyrus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/DKA_postcentralGyrus",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/DKA_parietalLobe"}],
    lookup_label="DKA_postcentralGyrus",
    name="postcentral gyrus",
    related_uberon_term={"@id": "https://openminds.ebrains.eu/instances/UBERONParcellation/postcentralGyrus"},
)
ParcellationEntity.dka_posterior_cingulate_cortex = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/DKA_posteriorCingulateCortex",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/DKA_occipitalLobe"}],
    lookup_label="DKA_posteriorCingulateCortex",
    name="posterior cingulate cortex",
    related_uberon_term={"@id": "https://openminds.ebrains.eu/instances/UBERONParcellation/posteriorCingulateCortex"},
)
ParcellationEntity.dka_precentral_gyrus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/DKA_precentralGyrus",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/DKA_frontalLobe"}],
    lookup_label="DKA_precentralGyrus",
    name="precentral gyrus",
    related_uberon_term={"@id": "https://openminds.ebrains.eu/instances/UBERONParcellation/precentralGyrus"},
)
ParcellationEntity.dka_precuneus_cortex = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/DKA_precuneusCortex",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/DKA_parietalLobe"}],
    lookup_label="DKA_precuneusCortex",
    name="precuneus cortex",
    related_uberon_term={"@id": "https://openminds.ebrains.eu/instances/UBERONParcellation/precuneusCortex"},
)
ParcellationEntity.dka_rostral_anterior_cingulate_cortex = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/DKA_rostralAnteriorCingulateCortex",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/DKA_anteriorCingulateCortex"}],
    lookup_label="DKA_rostralAnteriorCingulateCortex",
    name="rostral anterior cingulate cortex",
    related_uberon_term={
        "@id": "https://openminds.ebrains.eu/instances/UBERONParcellation/rostralAnteriorCingulateCortex"
    },
)
ParcellationEntity.dka_rostral_middle_frontal_gyrus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/DKA_rostralMiddleFrontalGyrus",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/DKA_middleFrontalGyrus"}],
    lookup_label="DKA_rostralMiddleFrontalGyrus",
    name="rostral middle frontal gyrus",
    related_uberon_term={"@id": "https://openminds.ebrains.eu/instances/UBERONParcellation/rostralMiddleFrontalGyrus"},
)
ParcellationEntity.dka_superior_frontal_gyrus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/DKA_superiorFrontalGyrus",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/DKA_frontalLobe"}],
    lookup_label="DKA_superiorFrontalGyrus",
    name="superior frontal gyrus",
    related_uberon_term={"@id": "https://openminds.ebrains.eu/instances/UBERONParcellation/superiorFrontalGyrus"},
)
ParcellationEntity.dka_superior_parietal_cortex = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/DKA_superiorParietalCortex",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/DKA_parietalLobe"}],
    lookup_label="DKA_superiorParietalCortex",
    name="superior parietal cortex",
    related_uberon_term={"@id": "https://openminds.ebrains.eu/instances/UBERONParcellation/superiorParietalCortex"},
)
ParcellationEntity.dka_superior_temporal_gyrus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/DKA_superiorTemporalGyrus",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/DKA_temporalLobe_lateralAspect"}],
    lookup_label="DKA_superiorTemporalGyrus",
    name="superior temporal gyrus",
    related_uberon_term={"@id": "https://openminds.ebrains.eu/instances/UBERONParcellation/superiorTemporalGyrus"},
)
ParcellationEntity.dka_supramarginal_gyrus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/DKA_supramarginalGyrus",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/DKA_parietalLobe"}],
    lookup_label="DKA_supramarginalGyrus",
    name="supramarginal gyrus",
    related_uberon_term={"@id": "https://openminds.ebrains.eu/instances/UBERONParcellation/supramarginalGyrus"},
)
ParcellationEntity.dka_temporal_lobe = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/DKA_temporalLobe",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/DKA_cerebralCortex"}],
    lookup_label="DKA_temporalLobe",
    name="temporal lobe",
    related_uberon_term={"@id": "https://openminds.ebrains.eu/instances/UBERONParcellation/temporalLobe"},
)
ParcellationEntity.dka_temporal_lobe_lateral_aspect = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/DKA_temporalLobe_lateralAspect",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/DKA_temporalLobe"}],
    lookup_label="DKA_temporalLobe_lateralAspect",
    name="temporal lobe - lateral aspect",
)
ParcellationEntity.dka_temporal_lobe_medial_aspect = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/DKA_temporalLobe_medialAspect",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/DKA_temporalLobe"}],
    lookup_label="DKA_temporalLobe_medialAspect",
    name="temporal lobe - medial aspect",
)
ParcellationEntity.dka_temporal_pole = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/DKA_temporalPole",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/DKA_temporalLobe_medialAspect"}],
    lookup_label="DKA_temporalPole",
    name="temporal pole",
    related_uberon_term={"@id": "https://openminds.ebrains.eu/instances/UBERONParcellation/temporalPole"},
)
ParcellationEntity.dka_transverse_temporal_cortex = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/DKA_transverseTemporalCortex",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/DKA_temporalLobe_lateralAspect"}],
    lookup_label="DKA_transverseTemporalCortex",
    name="transverse temporal cortex",
    related_uberon_term={"@id": "https://openminds.ebrains.eu/instances/UBERONParcellation/transverseGyrusOfHeschl"},
)
ParcellationEntity.dwma_anterior_segement_of_arcuate_fasciculus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/DWMA_anteriorSegementOfArcuateFasciculus",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/DWMA_arcuateFasciculus"}],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/DWMA_2018_anteriorSegementOfArcuateFasciculus"
        }
    ],
    lookup_label="DWMA_anteriorSegementOfArcuateFasciculus",
    name="anterior segment of arcuate fasciculus",
)
ParcellationEntity.dwma_arcuate_fasciculus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/DWMA_arcuateFasciculus",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/DWMA_deepWhiteMatter"}],
    lookup_label="DWMA_arcuateFasciculus",
    name="arcuate fasciculus",
    related_uberon_term={"@id": "https://openminds.ebrains.eu/instances/UBERONParcellation/arcuateFasciculus"},
)
ParcellationEntity.dwma_cingulum = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/DWMA_cingulum",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/DWMA_deepWhiteMatter"}],
    lookup_label="DWMA_cingulum",
    name="cingulum",
    related_uberon_term={"@id": "https://openminds.ebrains.eu/instances/UBERONParcellation/cingulumOfBrain"},
)
ParcellationEntity.dwma_corticospinal_tract = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/DWMA_corticospinalTract",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/DWMA_deepWhiteMatter"}],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/DWMA_2018_corticospinalTract"}
    ],
    lookup_label="DWMA_corticospinalTract",
    name="corticospinal tract",
    related_uberon_term={"@id": "https://openminds.ebrains.eu/instances/UBERONParcellation/corticospinalTract"},
)
ParcellationEntity.dwma_deep_white_matter = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/DWMA_deepWhiteMatter",
    lookup_label="DWMA_deepWhiteMatter",
    name="deep white matter",
)
ParcellationEntity.dwma_direct_segement_of_arcuate_fasciculus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/DWMA_directSegementOfArcuateFasciculus",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/DWMA_arcuateFasciculus"}],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/DWMA_2018_directSegementOfArcuateFasciculus"
        }
    ],
    lookup_label="DWMA_directSegementOfArcuateFasciculus",
    name="direct segment of arcuate fasciculus",
)
ParcellationEntity.dwma_fornix = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/DWMA_fornix",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/DWMA_deepWhiteMatter"}],
    has_versions=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/DWMA_2018_fornix"}],
    lookup_label="DWMA_fornix",
    name="fornix",
    related_uberon_term={"@id": "https://openminds.ebrains.eu/instances/UBERONParcellation/fornixOfBrain"},
)
ParcellationEntity.dwma_inferior_fronto_occipital_fasciculus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/DWMA_inferiorFronto-occipitalFasciculus",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/DWMA_deepWhiteMatter"}],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/DWMA_2018_inferiorFronto-occipitalFasciculus"
        }
    ],
    lookup_label="DWMA_inferiorFronto-occipitalFasciculus",
    name="inferior fronto-occipital fasciculus",
    related_uberon_term={
        "@id": "https://openminds.ebrains.eu/instances/UBERONParcellation/inferiorOccipitofrontalFasciculus"
    },
)
ParcellationEntity.dwma_inferior_longitudinal_fasciculus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/DWMA_inferiorLongitudinalFasciculus",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/DWMA_deepWhiteMatter"}],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/DWMA_2018_inferiorLongitudinalFasciculus"
        }
    ],
    lookup_label="DWMA_inferiorLongitudinalFasciculus",
    name="inferior longitudinal fasciculus",
    related_uberon_term={
        "@id": "https://openminds.ebrains.eu/instances/UBERONParcellation/inferiorLongitudinalFasciculus"
    },
)
ParcellationEntity.dwma_long_cingulate_fibres = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/DWMA_longCingulateFibres",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/DWMA_cingulum"}],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/DWMA_2018_longCingulateFibres"}
    ],
    lookup_label="DWMA_longCingulateFibres",
    name="long cingulate fibres",
)
ParcellationEntity.dwma_posterior_segement_of_arcuate_fasciculus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/DWMA_posteriorSegementOfArcuateFasciculus",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/DWMA_arcuateFasciculus"}],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/DWMA_2018_posteriorSegementOfArcuateFasciculus"
        }
    ],
    lookup_label="DWMA_posteriorSegementOfArcuateFasciculus",
    name="posterior segment of arcuate fasciculus",
)
ParcellationEntity.dwma_short_cingulate_fibres = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/DWMA_shortCingulateFibres",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/DWMA_cingulum"}],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/DWMA_2018_shortCingulateFibres"}
    ],
    lookup_label="DWMA_shortCingulateFibres",
    name="short cingulate fibres",
)
ParcellationEntity.dwma_temporal_cingulate_fibres = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/DWMA_temporalCingulateFibres",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/DWMA_cingulum"}],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/DWMA_2018_temporalCingulateFibres"}
    ],
    lookup_label="DWMA_temporalCingulateFibres",
    name="temporal cingulate fibres",
    related_uberon_term={"@id": "https://openminds.ebrains.eu/instances/UBERONParcellation/temporalCortexCingulum"},
)
ParcellationEntity.dwma_uncinate_fasciculus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/DWMA_uncinateFasciculus",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/DWMA_deepWhiteMatter"}],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/DWMA_2018_uncinateFasciculus"}
    ],
    lookup_label="DWMA_uncinateFasciculus",
    name="uncinate fasciculus",
    related_uberon_term={"@id": "https://openminds.ebrains.eu/instances/UBERONParcellation/uncinateFasciculus"},
)
ParcellationEntity.jba__acb_l = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_AcbL",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_ventralStriatum"}],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_AcbL_PM-v5.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_AcbL_PM-v5.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_AcbL_PM-v5.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_AcbL_PM-v5.0"},
    ],
    lookup_label="JBA_AcbL",
    name="AcbL (Lateral Accumbens, Ventral Striatum)",
)
ParcellationEntity.jba__acb_m = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_AcbM",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_ventralStriatum"}],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_AcbM_PM-v5.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_AcbM_PM-v5.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_AcbM_PM-v5.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_AcbM_PM-v5.0"},
    ],
    lookup_label="JBA_AcbM",
    name="AcbM (Medial Accumbens, Ventral Striatum)",
)
ParcellationEntity.jba__area_1 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-1",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-1_PM-v8.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-1_PM-v8.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-1_PM-v8.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-1_PM-v8.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-1_PM-v8.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-1_PM-v8.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-1_PM-v8.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-1_PM-v10.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-1_PM-v10.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-1_PM-v10.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-1_PM-v10.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-1_PM-v12.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-1_PM-v12.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-1_PM-v12.1"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-1_PM-v12.1"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-1_PM-v12.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-1_PM-v12.1"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-1_PM-v12.1"
        },
    ],
    lookup_label="JBA_Area-1",
    name="Area 1 (PostCG)",
)
ParcellationEntity.jba__area_2 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-2",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-2_PM-v3.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-2_PM-v3.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-2_PM-v3.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-2_PM-v3.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-2_PM-v3.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-2_PM-v3.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-2_PM-v3.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-2_PM-v5.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-2_PM-v5.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-2_PM-v5.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-2_PM-v5.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-2_PM-v7.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-2_PM-v7.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-2_PM-v7.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-2_PM-v7.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-2_PM-v7.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-2_PM-v7.1"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-2_PM-v7.1"
        },
    ],
    lookup_label="JBA_Area-2",
    name="Area 2 (PostCS)",
)
ParcellationEntity.jba__area_25 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-25",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-25_PM-v16.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-25_PM-v16.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-25_PM-v16.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-25_PM-v16.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-25_PM-v16.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-25_PM-v16.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-25_PM-v16.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-25_PM-v18.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-25_PM-v18.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-25_PM-v18.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-25_PM-v18.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-25_PM-v20.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-25_PM-v20.1"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-25_PM-v20.1"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-25_PM-v20.1"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-25_PM-v20.1"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-25_PM-v20.1"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-25_PM-v20.1"
        },
    ],
    lookup_label="JBA_Area-25",
    name="Area 25 (sACC)",
)
ParcellationEntity.jba__area_25_25a = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-25.25a",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-25"}],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-25.25a_PM-v8.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-25.25a_PM-v20.1"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-25.25a_PM-v20.1"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-25.25a_PM-v20.1"
        },
    ],
    lookup_label="JBA_Area-25.25a",
    name="Area 25.25a (sACC",
)
ParcellationEntity.jba__area_25_25p = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-25.25p",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-25"}],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-25.25p_PM-v20.1"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-25.25p_PM-v20.1"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-25.25p_PM-v20.1"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-25.25p_PM-v20.1"
        },
    ],
    lookup_label="JBA_Area-25.25p",
    name="Area 25.25p (sACC)",
)
ParcellationEntity.jba__area_33 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-33",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-33_PM-v16.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-33_PM-v16.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-33_PM-v16.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-33_PM-v16.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-33_PM-v16.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-33_PM-v16.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-33_PM-v16.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-33_PM-v18.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-33_PM-v18.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-33_PM-v18.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-33_PM-v18.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-33_PM-v20.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-33_PM-v20.1"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-33_PM-v20.1"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-33_PM-v20.1"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-33_PM-v20.1"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-33_PM-v20.1"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-33_PM-v20.1"
        },
    ],
    lookup_label="JBA_Area-33",
    name="Area 33 (ACC)",
)
ParcellationEntity.jba__area_3a = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-3a",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-3a_PM-v8.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-3a_PM-v8.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-3a_PM-v8.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-3a_PM-v8.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-3a_PM-v8.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-3a_PM-v8.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-3a_PM-v8.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-3a_PM-v10.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-3a_PM-v10.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-3a_PM-v10.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-3a_PM-v10.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-3a_PM-v12.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-3a_PM-v12.1"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-3a_PM-v12.1"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-3a_PM-v12.1"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-3a_PM-v12.1"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-3a_PM-v12.1"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-3a_PM-v12.1"
        },
    ],
    lookup_label="JBA_Area-3a",
    name="Area 3a (PostCG)",
)
ParcellationEntity.jba__area_3b = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-3b",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-3b_PM-v8.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-3b_PM-v8.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-3b_PM-v8.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-3b_PM-v8.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-3b_PM-v8.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-3b_PM-v8.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-3b_PM-v8.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-3b_PM-v10.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-3b_PM-v10.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-3b_PM-v10.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-3b_PM-v10.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-3b_PM-v12.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-3b_PM-v12.1"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-3b_PM-v12.1"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-3b_PM-v12.1"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-3b_PM-v12.1"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-3b_PM-v12.1"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-3b_PM-v12.1"
        },
    ],
    lookup_label="JBA_Area-3b",
    name="Area 3b (PostCG)",
)
ParcellationEntity.jba__area_44 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-44",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalGyrus"}],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-44_PM-v7.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-44_PM-v7.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-44_PM-v7.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-44_PM-v7.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-44_PM-v7.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-44_PM-v7.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-44_PM-v7.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-44_PM-v9.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-44_PM-v9.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-44_PM-v9.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-44_PM-v9.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-44_PM-v9.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-44_PM-v9.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-44_PM-v9.2"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-44_PM-v9.2"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-44_PM-v9.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-44_PM-v9.2"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-44_PM-v9.2"
        },
    ],
    lookup_label="JBA_Area-44",
    name="Area 44 (IFG)",
)
ParcellationEntity.jba__area_45 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-45",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalGyrus"}],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-45_PM-v7.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-45_PM-v7.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-45_PM-v7.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-45_PM-v7.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-45_PM-v7.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-45_PM-v7.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-45_PM-v7.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-45_PM-v9.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-45_PM-v9.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-45_PM-v9.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-45_PM-v9.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-45_PM-v9.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-45_PM-v9.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-45_PM-v9.2"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-45_PM-v9.2"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-45_PM-v9.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-45_PM-v9.2"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-45_PM-v9.2"
        },
    ],
    lookup_label="JBA_Area-45",
    name="Area 45 (IFG)",
)
ParcellationEntity.jba__area_4a = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-4a",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_precentralGyrus"}],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-4a_PM-v9.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-4a_PM-v9.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-4a_PM-v9.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-4a_PM-v9.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-4a_PM-v9.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-4a_PM-v9.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-4a_PM-v9.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-4a_PM-v11.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-4a_PM-v11.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-4a_PM-v11.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-4a_PM-v11.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-4a_PM-v13.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-4a_PM-v13.1"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-4a_PM-v13.1"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-4a_PM-v13.1"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-4a_PM-v13.1"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-4a_PM-v13.1"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-4a_PM-v13.1"
        },
    ],
    lookup_label="JBA_Area-4a",
    name="Area 4a (PreCG)",
)
ParcellationEntity.jba__area_4p = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-4p",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_precentralGyrus"}],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-4p_PM-v9.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-4p_PM-v9.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-4p_PM-v9.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-4p_PM-v9.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-4p_PM-v9.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-4p_PM-v9.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-4p_PM-v9.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-4p_PM-v11.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-4p_PM-v11.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-4p_PM-v11.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-4p_PM-v11.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-4p_PM-v13.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-4p_PM-v13.1"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-4p_PM-v13.1"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-4p_PM-v13.1"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-4p_PM-v13.1"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-4p_PM-v13.1"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-4p_PM-v13.1"
        },
    ],
    lookup_label="JBA_Area-4p",
    name="Area 4p (PreCG)",
)
ParcellationEntity.jba__area_5_ci = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-5Ci",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-5Ci_PM-v8.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-5Ci_PM-v8.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-5Ci_PM-v8.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-5Ci_PM-v8.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-5Ci_PM-v8.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-5Ci_PM-v8.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-5Ci_PM-v8.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-5Ci_PM-v9.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-5Ci_PM-v9.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-5Ci_PM-v9.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-5Ci_PM-v9.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-5Ci_PM-v9.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-5Ci_PM-v9.2"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-5Ci_PM-v9.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-5Ci_PM-v9.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-5Ci_PM-v9.2"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-5Ci_PM-v9.2"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-5Ci_PM-v9.2"
        },
    ],
    lookup_label="JBA_Area-5Ci",
    name="Area 5Ci (SPL)",
)
ParcellationEntity.jba__area_5_l = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-5L",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-5L_PM-v8.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-5L_PM-v8.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-5L_PM-v8.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-5L_PM-v8.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-5L_PM-v8.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-5L_PM-v8.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-5L_PM-v8.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-5L_PM-v9.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-5L_PM-v9.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-5L_PM-v9.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-5L_PM-v9.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-5L_PM-v9.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-5L_PM-v9.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-5L_PM-v9.2"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-5L_PM-v9.2"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-5L_PM-v9.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-5L_PM-v9.2"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-5L_PM-v9.2"
        },
    ],
    lookup_label="JBA_Area-5L",
    name="Area 5L (SPL)",
)
ParcellationEntity.jba__area_5_m = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-5M",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-5M_PM-v8.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-5M_PM-v8.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-5M_PM-v8.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-5M_PM-v8.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-5M_PM-v8.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-5M_PM-v8.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-5M_PM-v8.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-5M_PM-v9.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-5M_PM-v9.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-5M_PM-v9.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-5M_PM-v9.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-5M_PM-v9.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-5M_PM-v9.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-5M_PM-v9.2"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-5M_PM-v9.2"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-5M_PM-v9.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-5M_PM-v9.2"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-5M_PM-v9.2"
        },
    ],
    lookup_label="JBA_Area-5M",
    name="Area 5M (SPL)",
)
ParcellationEntity.jba__area_6d1 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-6d1",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalPrecentralGyrus"}],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-6d1_PM-v4.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-6d1_PM-v4.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-6d1_PM-v4.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-6d1_PM-v4.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-6d1_PM-v4.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-6d1_PM-v4.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-6d1_PM-v5.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-6d1_PM-v5.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-6d1_PM-v5.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-6d1_int"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-6d1_PM-v7.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-6d1_PM-v7.1"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-6d1_PM-v7.1"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-6d1_int"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-6d1_PM-v7.1"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-6d1_PM-v7.1"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-6d1_PM-v7.1"
        },
    ],
    lookup_label="JBA_Area-6d1",
    name="Area 6d1 (PreCG)",
)
ParcellationEntity.jba__area_6d2 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-6d2",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalPrecentralGyrus"}],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-6d2_PM-v4.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-6d2_PM-v4.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-6d2_PM-v4.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-6d2_PM-v4.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-6d2_PM-v4.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-6d2_PM-v4.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-6d2_PM-v5.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-6d2_PM-v5.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-6d2_PM-v5.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-6d2_int"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-6d2_PM-v7.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-6d2_PM-v7.1"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-6d2_PM-v7.1"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-6d2_int"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-6d2_PM-v7.1"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-6d2_PM-v7.1"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-6d2_PM-v7.1"
        },
    ],
    lookup_label="JBA_Area-6d2",
    name="Area 6d2 (PreCG)",
)
ParcellationEntity.jba__area_6d3 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-6d3",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalSulcus"}],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-6d3_PM-v4.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-6d3_PM-v4.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-6d3_PM-v4.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-6d3_PM-v4.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-6d3_PM-v4.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-6d3_PM-v4.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-6d3_PM-v5.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-6d3_PM-v5.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-6d3_PM-v5.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-6d3_int"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-6d3_PM-v7.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-6d3_PM-v7.1"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-6d3_PM-v7.1"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-6d3_int"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-6d3_PM-v7.1"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-6d3_PM-v7.1"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-6d3_PM-v7.1"
        },
    ],
    lookup_label="JBA_Area-6d3",
    name="Area 6d3 (SFS)",
)
ParcellationEntity.jba__area_6ma = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-6ma",
    has_parents=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_posteriorMedialSuperiorFrontalGyrus"}
    ],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-6ma_PM-v9.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-6ma_PM-v9.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-6ma_PM-v9.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-6ma_PM-v9.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-6ma_PM-v9.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-6ma_PM-v9.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-6ma_PM-v10.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-6ma_PM-v10.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-6ma_PM-v10.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-6ma_int"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-6ma_PM-v12.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-6ma_PM-v12.1"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-6ma_PM-v12.1"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-6ma_int"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-6ma_PM-v12.1"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-6ma_PM-v12.1"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-6ma_PM-v12.1"
        },
    ],
    lookup_label="JBA_Area-6ma",
    name="Area 6ma (preSMA, mesial SFG)",
)
ParcellationEntity.jba__area_6mp = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-6mp",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_mesialPrecentralGyrus"}],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-6mp_PM-v9.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-6mp_PM-v9.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-6mp_PM-v9.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-6mp_PM-v9.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-6mp_PM-v9.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-6mp_PM-v9.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-6mp_PM-v10.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-6mp_PM-v10.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-6mp_PM-v10.0"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-6mp_PM-v10.0"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-6mp_PM-v12.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-6mp_PM-v12.1"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-6mp_PM-v12.1"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-6mp_PM-v12.1"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-6mp_PM-v12.1"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-6mp_PM-v12.1"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-6mp_PM-v12.1"
        },
    ],
    lookup_label="JBA_Area-6mp",
    name="Area 6mp (SMA, mesial SFG)",
)
ParcellationEntity.jba__area_7_a = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-7A",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-7A_PM-v8.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-7A_PM-v8.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-7A_PM-v8.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-7A_PM-v8.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-7A_PM-v8.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-7A_PM-v8.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-7A_PM-v8.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-7A_PM-v9.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-7A_PM-v9.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-7A_PM-v9.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-7A_PM-v9.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-7A_PM-v9.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-7A_PM-v9.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-7A_PM-v9.2"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-7A_PM-v9.2"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-7A_PM-v9.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-7A_PM-v9.2"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-7A_PM-v9.2"
        },
    ],
    lookup_label="JBA_Area-7A",
    name="Area 7A (SPL)",
)
ParcellationEntity.jba__area_7_m = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-7M",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-7M_PM-v8.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-7M_PM-v8.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-7M_PM-v8.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-7M_PM-v9.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-7M_PM-v9.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-7M_PM-v9.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-7M_PM-v9.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-7M_PM-v9.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-7M_PM-v9.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-7M_PM-v9.2"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-7M_PM-v9.2"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-7M_PM-v9.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-7M_PM-v9.2"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-7M_PM-v9.2"
        },
    ],
    lookup_label="JBA_Area-7M",
    name="Area 7M (SPL)",
)
ParcellationEntity.jba__area_7_p = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-7P",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-7P_PM-v8.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-7P_PM-v8.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-7P_PM-v8.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-7P_PM-v8.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-7P_PM-v8.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-7P_PM-v8.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-7P_PM-v8.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-7P_PM-v9.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-7P_PM-v9.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-7P_PM-v9.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-7P_PM-v9.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-7P_PM-v9.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-7P_PM-v9.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-7P_PM-v9.2"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-7P_PM-v9.2"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-7P_PM-v9.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-7P_PM-v9.2"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-7P_PM-v9.2"
        },
    ],
    lookup_label="JBA_Area-7P",
    name="Area 7P (SPL)",
)
ParcellationEntity.jba__area_7_pc = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-7PC",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-7PC_PM-v8.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-7PC_PM-v8.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-7PC_PM-v8.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-7PC_PM-v8.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-7PC_PM-v8.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-7PC_PM-v8.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-7PC_PM-v8.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-7PC_PM-v9.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-7PC_PM-v9.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-7PC_PM-v9.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-7PC_PM-v9.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-7PC_PM-v9.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-7PC_PM-v9.2"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-7PC_PM-v9.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-7PC_PM-v9.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-7PC_PM-v9.2"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-7PC_PM-v9.2"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-7PC_PM-v9.2"
        },
    ],
    lookup_label="JBA_Area-7PC",
    name="Area 7PC (SPL)",
)
ParcellationEntity.jba__area_8d1 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-8d1",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalGyrus"}],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-8d1_PM-v5.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-8d1_PM-v4.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-8d1_PM-v4.2"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-8d1_PM-v4.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-8d1_PM-v4.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-8d1_PM-v4.2"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-8d1_PM-v4.2"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-8d1_PM-v4.2"
        },
    ],
    lookup_label="JBA_Area-8d1",
    name="Area 8d1 (SFG)",
)
ParcellationEntity.jba__area_8d2 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-8d2",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalGyrus"}],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-8d2_PM-v4.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-8d2_PM-v4.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-8d2_PM-v4.2"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-8d2_PM-v4.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-8d2_PM-v4.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-8d2_PM-v4.2"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-8d2_PM-v4.2"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-8d2_PM-v4.2"
        },
    ],
    lookup_label="JBA_Area-8d2",
    name="Area 8d2 (SFG)",
)
ParcellationEntity.jba__area_8v1 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-8v1",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_middleFrontalGyrus"}],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-8v1_PM-v8.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-8v1_PM-v4.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-8v1_PM-v4.2"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-8v1_PM-v4.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-8v1_PM-v4.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-8v1_PM-v4.2"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-8v1_PM-v4.2"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-8v1_PM-v4.2"
        },
    ],
    lookup_label="JBA_Area-8v1",
    name="Area 8v1 (MFG)",
)
ParcellationEntity.jba__area_8v2 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-8v2",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_middleFrontalGyrus"}],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-8v2_PM-v4.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-8v2_PM-v4.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-8v2_PM-v4.2"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-8v2_PM-v4.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-8v2_PM-v4.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-8v2_PM-v4.2"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-8v2_PM-v4.2"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-8v2_PM-v4.2"
        },
    ],
    lookup_label="JBA_Area-8v2",
    name="Area 8v2 (MFG)",
)
ParcellationEntity.jba__area__co_s1 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-CoS1",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_collateralSulcus"}],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-CoS1_PM-v8.2"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-CoS1_PM-v7.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-CoS1_PM-v7.2"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-CoS1_PM-v7.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-CoS1_PM-v7.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-CoS1_PM-v7.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-CoS1_PM-v7.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-CoS1_PM-v7.2"
        },
    ],
    lookup_label="JBA_Area-CoS1",
    name="Area CoS1 (CoS)",
)
ParcellationEntity.jba__area__fo1 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-Fo1",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_medialOrbitofrontalCortex"}],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-Fo1_PM-v3.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-Fo1_PM-v3.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-Fo1_PM-v3.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-Fo1_PM-v3.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-Fo1_PM-v3.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-Fo1_PM-v3.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-Fo1_PM-v3.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-Fo1_PM-v5.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-Fo1_PM-v5.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-Fo1_PM-v5.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-Fo1_PM-v5.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-Fo1_PM-v5.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-Fo1_PM-v5.2"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-Fo1_PM-v5.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-Fo1_PM-v5.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-Fo1_PM-v5.2"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-Fo1_PM-v5.2"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-Fo1_PM-v5.2"
        },
    ],
    lookup_label="JBA_Area-Fo1",
    name="Area Fo1 (OFC)",
)
ParcellationEntity.jba__area__fo2 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-Fo2",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_medialOrbitofrontalCortex"}],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-Fo2_PM-v3.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-Fo2_PM-v3.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-Fo2_PM-v3.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-Fo2_PM-v3.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-Fo2_PM-v3.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-Fo2_PM-v3.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-Fo2_PM-v3.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-Fo2_PM-v5.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-Fo2_PM-v5.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-Fo2_PM-v5.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-Fo2_PM-v5.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-Fo2_PM-v5.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-Fo2_PM-v5.2"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-Fo2_PM-v5.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-Fo2_PM-v5.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-Fo2_PM-v5.2"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-Fo2_PM-v5.2"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-Fo2_PM-v5.2"
        },
    ],
    lookup_label="JBA_Area-Fo2",
    name="Area Fo2 (OFC)",
)
ParcellationEntity.jba__area__fo3 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-Fo3",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_medialOrbitofrontalCortex"}],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-Fo3_PM-v3.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-Fo3_PM-v3.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-Fo3_PM-v3.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-Fo3_PM-v3.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-Fo3_PM-v3.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-Fo3_PM-v3.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-Fo3_PM-v3.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-Fo3_PM-v5.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-Fo3_PM-v5.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-Fo3_PM-v5.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-Fo3_PM-v5.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-Fo3_PM-v5.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-Fo3_PM-v5.2"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-Fo3_PM-v5.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-Fo3_PM-v5.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-Fo3_PM-v5.2"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-Fo3_PM-v5.2"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-Fo3_PM-v5.2"
        },
    ],
    lookup_label="JBA_Area-Fo3",
    name="Area Fo3 (OFC)",
)
ParcellationEntity.jba__area__fo4 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-Fo4",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-Fo4_PM-v2.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-Fo4_PM-v2.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-Fo4_PM-v2.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-Fo4_PM-v2.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-Fo4_PM-v2.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-Fo4_PM-v2.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-Fo4_PM-v3.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-Fo4_PM-v3.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-Fo4_PM-v3.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-Fo4_PM-v3.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-Fo4_PM-v3.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-Fo4_PM-v3.2"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-Fo4_PM-v3.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-Fo4_PM-v3.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-Fo4_PM-v3.2"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-Fo4_PM-v3.2"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-Fo4_PM-v3.2"
        },
    ],
    lookup_label="JBA_Area-Fo4",
    name="Area Fo4 (OFC)",
)
ParcellationEntity.jba__area__fo5 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-Fo5",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-Fo5_PM-v2.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-Fo5_PM-v2.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-Fo5_PM-v2.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-Fo5_PM-v2.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-Fo5_PM-v2.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-Fo5_PM-v2.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-Fo5_PM-v3.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-Fo5_PM-v3.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-Fo5_PM-v3.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-Fo5_PM-v3.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-Fo5_PM-v3.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-Fo5_PM-v3.2"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-Fo5_PM-v3.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-Fo5_PM-v3.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-Fo5_PM-v3.2"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-Fo5_PM-v3.2"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-Fo5_PM-v3.2"
        },
    ],
    lookup_label="JBA_Area-Fo5",
    name="Area Fo5 (OFC)",
)
ParcellationEntity.jba__area__fo6 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-Fo6",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-Fo6_PM-v2.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-Fo6_PM-v2.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-Fo6_PM-v2.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-Fo6_PM-v2.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-Fo6_PM-v2.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-Fo6_PM-v2.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-Fo6_PM-v3.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-Fo6_PM-v3.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-Fo6_PM-v3.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-Fo6_PM-v3.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-Fo6_PM-v3.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-Fo6_PM-v3.2"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-Fo6_PM-v3.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-Fo6_PM-v3.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-Fo6_PM-v3.2"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-Fo6_PM-v3.2"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-Fo6_PM-v3.2"
        },
    ],
    lookup_label="JBA_Area-Fo6",
    name="Area Fo6 (OFC)",
)
ParcellationEntity.jba__area__fo7 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-Fo7",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-Fo7_PM-v2.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-Fo7_PM-v2.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-Fo7_PM-v2.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-Fo7_PM-v2.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-Fo7_PM-v2.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-Fo7_PM-v2.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-Fo7_PM-v3.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-Fo7_PM-v3.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-Fo7_PM-v3.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-Fo7_PM-v3.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-Fo7_PM-v3.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-Fo7_PM-v3.2"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-Fo7_PM-v3.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-Fo7_PM-v3.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-Fo7_PM-v3.2"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-Fo7_PM-v3.2"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-Fo7_PM-v3.2"
        },
    ],
    lookup_label="JBA_Area-Fo7",
    name="Area Fo7 (OFC)",
)
ParcellationEntity.jba__area__fp1 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-Fp1",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalPole"}],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-Fp1_PM-v2.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-Fp1_PM-v2.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-Fp1_PM-v2.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-Fp1_PM-v2.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-Fp1_PM-v2.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-Fp1_PM-v2.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-Fp1_PM-v2.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-Fp1_PM-v4.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-Fp1_PM-v4.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-Fp1_PM-v4.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-Fp1_PM-v4.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-Fp1_PM-v5.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-Fp1_PM-v5.1"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-Fp1_PM-v5.1"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-Fp1_PM-v5.1"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-Fp1_PM-v5.1"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-Fp1_PM-v5.1"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-Fp1_PM-v5.1"
        },
    ],
    lookup_label="JBA_Area-Fp1",
    name="Area Fp1 (FPole)",
)
ParcellationEntity.jba__area__fp2 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-Fp2",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalPole"}],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-Fp2_PM-v2.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-Fp2_PM-v2.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-Fp2_PM-v2.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-Fp2_PM-v2.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-Fp2_PM-v2.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-Fp2_PM-v2.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-Fp2_PM-v2.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-Fp2_PM-v4.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-Fp2_PM-v4.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-Fp2_PM-v4.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-Fp2_PM-v4.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-Fp2_PM-v5.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-Fp2_PM-v5.1"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-Fp2_PM-v5.1"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-Fp2_PM-v5.1"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-Fp2_PM-v5.1"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-Fp2_PM-v5.1"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-Fp2_PM-v5.1"
        },
    ],
    lookup_label="JBA_Area-Fp2",
    name="Area Fp2 (FPole)",
)
ParcellationEntity.jba__area__ia = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-Ia",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_agranularInsula"}],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-Ia_PM-v3.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-Ia_PM-v3.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-Ia_PM-v3.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-Ia_PM-v3.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-Ia_PM-v3.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-Ia_PM-v3.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-Ia_PM-v4.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-Ia_PM-v4.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-Ia_PM-v4.0"},
    ],
    lookup_label="JBA_Area-Ia",
    name="Area Ia (Insula)",
)
ParcellationEntity.jba__area__ia1 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-Ia1",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_agranularInsula"}],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-Ia1_PM-v4.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-Ia1_PM-v5.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-Ia1_PM-v5.1"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-Ia1_PM-v5.1"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-Ia1_PM-v5.1"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-Ia1_PM-v5.1"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-Ia1_PM-v5.1"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-Ia1_PM-v5.1"
        },
    ],
    lookup_label="JBA_Area-Ia1",
    name="Area Ia1 (Insula)",
)
ParcellationEntity.jba__area__ia2 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-Ia2",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_agranularInsula"}],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-Ia2_PM-v5.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-Ia2_PM-v4.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-Ia2_PM-v4.0"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-Ia2_PM-v4.0"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-Ia2_PM-v4.0"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-Ia2_PM-v4.0"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-Ia2_PM-v4.0"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-Ia2_PM-v4.0"
        },
    ],
    lookup_label="JBA_Area-Ia2",
    name="Area Ia2 (Insula)",
)
ParcellationEntity.jba__area__ia3 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-Ia3",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_agranularInsula"}],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-Ia3_PM-v4.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-Ia3_PM-v4.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-Ia3_PM-v4.0"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-Ia3_PM-v4.0"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-Ia3_PM-v4.0"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-Ia3_PM-v4.0"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-Ia3_PM-v4.0"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-Ia3_PM-v4.0"
        },
    ],
    lookup_label="JBA_Area-Ia3",
    name="Area Ia3 (Insula)",
)
ParcellationEntity.jba__area__id1 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-Id1",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-Id1_PM-v11.0"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-Id1_PM-v13.1"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-Id1_PM-v13.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-Id1_PM-v13.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-Id1_PM-v13.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-Id1_PM-v13.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-Id1_PM-v13.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-Id1_PM-v14.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-Id1_PM-v14.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-Id1_PM-v14.0"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-Id1_PM-v14.0"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-Id1_PM-v14.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-Id1_PM-v14.2"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-Id1_PM-v14.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-Id1_PM-v14.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-Id1_PM-v14.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-Id1_PM-v14.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-Id1_PM-v14.2"
        },
    ],
    lookup_label="JBA_Area-Id1",
    name="Area Id1 (Insula)",
)
ParcellationEntity.jba__area__id10 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-Id10",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-Id10_PM-v14.2"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-Id10_PM-v4.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-Id10_PM-v4.0"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-Id10_PM-v4.0"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-Id10_PM-v4.0"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-Id10_PM-v4.0"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-Id10_PM-v4.0"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-Id10_PM-v4.0"
        },
    ],
    lookup_label="JBA_Area-Id10",
    name="Area Id10 (Insula)",
)
ParcellationEntity.jba__area__id2 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-Id2",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-Id2_PM-v7.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-Id2_PM-v7.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-Id2_PM-v7.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-Id2_PM-v7.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-Id2_PM-v7.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-Id2_PM-v7.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-Id2_PM-v8.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-Id2_PM-v8.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-Id2_PM-v8.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-Id2_PM-v8.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-Id2_PM-v9.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-Id2_PM-v9.1"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-Id2_PM-v9.1"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-Id2_PM-v9.1"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-Id2_PM-v9.1"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-Id2_PM-v9.1"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-Id2_PM-v9.1"
        },
    ],
    lookup_label="JBA_Area-Id2",
    name="Area Id2 (Insula)",
)
ParcellationEntity.jba__area__id3 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-Id3",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-Id3_PM-v7.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-Id3_PM-v7.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-Id3_PM-v7.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-Id3_PM-v7.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-Id3_PM-v7.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-Id3_PM-v7.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-Id3_PM-v8.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-Id3_PM-v8.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-Id3_PM-v8.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-Id3_PM-v8.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-Id3_PM-v9.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-Id3_PM-v9.1"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-Id3_PM-v9.1"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-Id3_PM-v9.1"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-Id3_PM-v9.1"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-Id3_PM-v9.1"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-Id3_PM-v9.1"
        },
    ],
    lookup_label="JBA_Area-Id3",
    name="Area Id3 (Insula)",
)
ParcellationEntity.jba__area__id4 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-Id4",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-Id4_PM-v3.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-Id4_PM-v3.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-Id4_PM-v3.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-Id4_PM-v3.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-Id4_PM-v3.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-Id4_PM-v3.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-Id4_PM-v4.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-Id4_PM-v4.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-Id4_PM-v4.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-Id4_PM-v4.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-Id4_PM-v5.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-Id4_PM-v5.1"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-Id4_PM-v5.1"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-Id4_PM-v5.1"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-Id4_PM-v5.1"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-Id4_PM-v5.1"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-Id4_PM-v5.1"
        },
    ],
    lookup_label="JBA_Area-Id4",
    name="Area Id4 (Insula)",
)
ParcellationEntity.jba__area__id5 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-Id5",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-Id5_PM-v3.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-Id5_PM-v3.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-Id5_PM-v3.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-Id5_PM-v3.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-Id5_PM-v3.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-Id5_PM-v3.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-Id5_PM-v4.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-Id5_PM-v4.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-Id5_PM-v4.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-Id5_PM-v4.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-Id5_PM-v5.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-Id5_PM-v5.1"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-Id5_PM-v5.1"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-Id5_PM-v5.1"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-Id5_PM-v5.1"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-Id5_PM-v5.1"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-Id5_PM-v5.1"
        },
    ],
    lookup_label="JBA_Area-Id5",
    name="Area Id5 (Insula)",
)
ParcellationEntity.jba__area__id6 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-Id6",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-Id6_PM-v3.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-Id6_PM-v3.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-Id6_PM-v3.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-Id6_PM-v3.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-Id6_PM-v3.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-Id6_PM-v3.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-Id6_PM-v4.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-Id6_PM-v4.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-Id6_PM-v4.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-Id6_PM-v4.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-Id6_PM-v5.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-Id6_PM-v5.1"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-Id6_PM-v5.1"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-Id6_PM-v5.1"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-Id6_PM-v5.1"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-Id6_PM-v5.1"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-Id6_PM-v5.1"
        },
    ],
    lookup_label="JBA_Area-Id6",
    name="Area Id6 (Insula)",
)
ParcellationEntity.jba__area__id7 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-Id7",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-Id7_PM-v6.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-Id7_PM-v6.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-Id7_PM-v6.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-Id7_PM-v6.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-Id7_PM-v6.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-Id7_PM-v6.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-Id7_PM-v7.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-Id7_PM-v7.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-Id7_PM-v7.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-Id7_PM-v7.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-Id7_PM-v8.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-Id7_PM-v8.1"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-Id7_PM-v8.1"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-Id7_PM-v8.1"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-Id7_PM-v8.1"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-Id7_PM-v8.1"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-Id7_PM-v8.1"
        },
    ],
    lookup_label="JBA_Area-Id7",
    name="Area Id7 (Insula)",
)
ParcellationEntity.jba__area__id8 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-Id8",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-Id8_PM-v8.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-Id8_PM-v4.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-Id8_PM-v4.0"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-Id8_PM-v4.0"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-Id8_PM-v4.0"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-Id8_PM-v4.0"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-Id8_PM-v4.0"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-Id8_PM-v4.0"
        },
    ],
    lookup_label="JBA_Area-Id8",
    name="Area Id8 (Insula)",
)
ParcellationEntity.jba__area__id9 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-Id9",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-Id9_PM-v4.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-Id9_PM-v4.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-Id9_PM-v4.0"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-Id9_PM-v4.0"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-Id9_PM-v4.0"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-Id9_PM-v4.0"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-Id9_PM-v4.0"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-Id9_PM-v4.0"
        },
    ],
    lookup_label="JBA_Area-Id9",
    name="Area Id9 (Insula)",
)
ParcellationEntity.jba__area__ig1 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-Ig1",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_granularInsula"}],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-Ig1_PM-v11.0"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-Ig1_PM-v13.1"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-Ig1_PM-v13.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-Ig1_PM-v13.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-Ig1_PM-v13.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-Ig1_PM-v13.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-Ig1_PM-v13.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-Ig1_PM-v14.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-Ig1_PM-v14.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-Ig1_PM-v14.0"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-Ig1_PM-v14.0"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-Ig1_PM-v14.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-Ig1_PM-v14.2"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-Ig1_PM-v14.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-Ig1_PM-v14.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-Ig1_PM-v14.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-Ig1_PM-v14.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-Ig1_PM-v14.2"
        },
    ],
    lookup_label="JBA_Area-Ig1",
    name="Area Ig1 (Insula)",
)
ParcellationEntity.jba__area__ig2 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-Ig2",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_granularInsula"}],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-Ig2_PM-v11.0"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-Ig2_PM-v13.1"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-Ig2_PM-v13.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-Ig2_PM-v13.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-Ig2_PM-v13.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-Ig2_PM-v13.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-Ig2_PM-v13.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-Ig2_PM-v14.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-Ig2_PM-v14.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-Ig2_PM-v14.0"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-Ig2_PM-v14.0"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-Ig2_PM-v14.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-Ig2_PM-v14.2"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-Ig2_PM-v14.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-Ig2_PM-v14.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-Ig2_PM-v14.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-Ig2_PM-v14.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-Ig2_PM-v14.2"
        },
    ],
    lookup_label="JBA_Area-Ig2",
    name="Area Ig2 (Insula)",
)
ParcellationEntity.jba__area__ig3 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-Ig3",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_granularInsula"}],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-Ig3_PM-v3.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-Ig3_PM-v3.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-Ig3_PM-v3.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-Ig3_PM-v3.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-Ig3_PM-v3.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-Ig3_PM-v3.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-Ig3_PM-v4.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-Ig3_PM-v4.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-Ig3_PM-v4.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-Ig3_PM-v4.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-Ig3_PM-v5.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-Ig3_PM-v5.1"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-Ig3_PM-v5.1"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-Ig3_PM-v5.1"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-Ig3_PM-v5.1"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-Ig3_PM-v5.1"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-Ig3_PM-v5.1"
        },
    ],
    lookup_label="JBA_Area-Ig3",
    name="Area Ig3 (Insula)",
)
ParcellationEntity.jba__area__ph1 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-Ph1",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parahippocampalGyrus"}],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-Ph1_PM-v4.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-Ph1_PM-v7.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-Ph1_PM-v7.2"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-Ph1_PM-v7.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-Ph1_PM-v7.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-Ph1_PM-v7.2"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-Ph1_PM-v7.2"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-Ph1_PM-v7.2"
        },
    ],
    lookup_label="JBA_Area-Ph1",
    name="Area Ph1 (PhG)",
)
ParcellationEntity.jba__area__ph2 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-Ph2",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parahippocampalGyrus"}],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-Ph2_PM-v7.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-Ph2_PM-v7.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-Ph2_PM-v7.2"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-Ph2_PM-v7.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-Ph2_PM-v7.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-Ph2_PM-v7.2"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-Ph2_PM-v7.2"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-Ph2_PM-v7.2"
        },
    ],
    lookup_label="JBA_Area-Ph2",
    name="Area Ph2 (PhG)",
)
ParcellationEntity.jba__area__ph3 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-Ph3",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parahippocampalGyrus"}],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-Ph3_PM-v7.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-Ph3_PM-v7.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-Ph3_PM-v7.2"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-Ph3_PM-v7.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-Ph3_PM-v7.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-Ph3_PM-v7.2"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-Ph3_PM-v7.2"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-Ph3_PM-v7.2"
        },
    ],
    lookup_label="JBA_Area-Ph3",
    name="Area Ph3 (PhG)",
)
ParcellationEntity.jba__area__te_i = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-TeI",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_temporalInsula"}],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-TeI_PM-v5.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-TeI_PM-v5.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-TeI_PM-v5.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-TeI_PM-v5.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-TeI_PM-v6.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-TeI_PM-v6.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-TeI_PM-v6.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-TeI_PM-v6.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-TeI_PM-v6.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-TeI_PM-v6.2"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-TeI_PM-v6.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-TeI_PM-v6.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-TeI_PM-v6.2"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-TeI_PM-v6.2"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-TeI_PM-v6.2"
        },
    ],
    lookup_label="JBA_Area-TeI",
    name="Area TeI (STG)",
)
ParcellationEntity.jba__area_a29 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-a29",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_retrosplenialPart"}],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-a29_PM-v11.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-a29_PM-v11.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-a29_PM-v11.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-a29_PM-v11.0"},
    ],
    lookup_label="JBA_Area-a29",
    name="Area a29 (retrosplenial)",
)
ParcellationEntity.jba__area_a30 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-a30",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_retrosplenialPart"}],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-a30_PM-v11.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-a30_PM-v11.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-a30_PM-v11.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-a30_PM-v11.0"},
    ],
    lookup_label="JBA_Area-a30",
    name="Area a30 (retrosplenial)",
)
ParcellationEntity.jba__area_fg1 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-FG1",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-FG1_PM-v1.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-FG1_PM-v1.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-FG1_PM-v1.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-FG1_PM-v1.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-FG1_PM-v1.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-FG1_PM-v1.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-FG1_PM-v1.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-FG1_PM-v3.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-FG1_PM-v3.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-FG1_PM-v3.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-FG1_PM-v3.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-FG1_PM-v3.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-FG1_PM-v3.2"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-FG1_PM-v3.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-FG1_PM-v3.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-FG1_PM-v3.2"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-FG1_PM-v3.2"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-FG1_PM-v3.2"
        },
    ],
    lookup_label="JBA_Area-FG1",
    name="Area FG1 (FusG)",
)
ParcellationEntity.jba__area_fg2 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-FG2",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-FG2_PM-v1.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-FG2_PM-v1.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-FG2_PM-v1.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-FG2_PM-v1.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-FG2_PM-v1.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-FG2_PM-v1.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-FG2_PM-v1.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-FG2_PM-v3.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-FG2_PM-v3.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-FG2_PM-v3.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-FG2_PM-v3.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-FG2_PM-v3.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-FG2_PM-v3.2"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-FG2_PM-v3.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-FG2_PM-v3.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-FG2_PM-v3.2"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-FG2_PM-v3.2"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-FG2_PM-v3.2"
        },
    ],
    lookup_label="JBA_Area-FG2",
    name="Area FG2 (FusG)",
)
ParcellationEntity.jba__area_fg3 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-FG3",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-FG3_PM-v6.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-FG3_PM-v6.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-FG3_PM-v6.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-FG3_PM-v6.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-FG3_PM-v6.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-FG3_PM-v6.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-FG3_PM-v6.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-FG3_PM-v7.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-FG3_PM-v7.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-FG3_PM-v7.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-FG3_PM-v7.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-FG3_PM-v7.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-FG3_PM-v7.2"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-FG3_PM-v7.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-FG3_PM-v7.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-FG3_PM-v7.2"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-FG3_PM-v7.2"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-FG3_PM-v7.2"
        },
    ],
    lookup_label="JBA_Area-FG3",
    name="Area FG3 (FusG)",
)
ParcellationEntity.jba__area_fg4 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-FG4",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-FG4_PM-v6.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-FG4_PM-v6.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-FG4_PM-v6.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-FG4_PM-v6.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-FG4_PM-v6.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-FG4_PM-v6.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-FG4_PM-v6.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-FG4_PM-v7.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-FG4_PM-v7.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-FG4_PM-v7.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-FG4_PM-v7.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-FG4_PM-v7.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-FG4_PM-v7.2"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-FG4_PM-v7.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-FG4_PM-v7.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-FG4_PM-v7.2"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-FG4_PM-v7.2"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-FG4_PM-v7.2"
        },
    ],
    lookup_label="JBA_Area-FG4",
    name="Area FG4 (FusG)",
)
ParcellationEntity.jba__area_h_ip1 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-hIP1",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-hIP1_PM-v6.0"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-hIP1_PM-v6.1"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-hIP1_PM-v6.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-hIP1_PM-v6.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-hIP1_PM-v6.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-hIP1_PM-v6.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-hIP1_PM-v6.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-hIP1_PM-v7.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-hIP1_PM-v7.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-hIP1_PM-v7.0"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-hIP1_PM-v7.0"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-hIP1_PM-v7.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-hIP1_PM-v7.2"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-hIP1_PM-v7.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-hIP1_PM-v7.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-hIP1_PM-v7.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-hIP1_PM-v7.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-hIP1_PM-v7.2"
        },
    ],
    lookup_label="JBA_Area-hIP1",
    name="Area hIP1 (IPS)",
)
ParcellationEntity.jba__area_h_ip2 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-hIP2",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-hIP2_PM-v6.0"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-hIP2_PM-v6.1"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-hIP2_PM-v6.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-hIP2_PM-v6.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-hIP2_PM-v6.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-hIP2_PM-v6.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-hIP2_PM-v6.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-hIP2_PM-v7.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-hIP2_PM-v7.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-hIP2_PM-v7.0"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-hIP2_PM-v7.0"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-hIP2_PM-v7.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-hIP2_PM-v7.2"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-hIP2_PM-v7.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-hIP2_PM-v7.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-hIP2_PM-v7.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-hIP2_PM-v7.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-hIP2_PM-v7.2"
        },
    ],
    lookup_label="JBA_Area-hIP2",
    name="Area hIP2 (IPS)",
)
ParcellationEntity.jba__area_h_ip3 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-hIP3",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-hIP3_PM-v8.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-hIP3_PM-v8.4"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-hIP3_PM-v8.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-hIP3_PM-v8.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-hIP3_PM-v8.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-hIP3_PM-v8.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-hIP3_PM-v8.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-hIP3_PM-v9.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-hIP3_PM-v9.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-hIP3_PM-v9.0"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-hIP3_PM-v9.0"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-hIP3_PM-v9.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-hIP3_PM-v9.2"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-hIP3_PM-v9.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-hIP3_PM-v9.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-hIP3_PM-v9.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-hIP3_PM-v9.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-hIP3_PM-v9.2"
        },
    ],
    lookup_label="JBA_Area-hIP3",
    name="Area hIP3 (IPS)",
)
ParcellationEntity.jba__area_h_ip4 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-hIP4",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-hIP4_PM-v7.1"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-hIP4_PM-v7.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-hIP4_PM-v7.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-hIP4_PM-v7.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-hIP4_PM-v7.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-hIP4_PM-v7.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-hIP4_PM-v7.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-hIP4_PM-v7.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-hIP4_PM-v7.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-hIP4_int"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-hIP4_PM-v7.3"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-hIP4_PM-v7.3"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-hIP4_PM-v7.3"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-hIP4_int"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-hIP4_PM-v7.3"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-hIP4_PM-v7.3"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-hIP4_PM-v7.3"
        },
    ],
    lookup_label="JBA_Area-hIP4",
    name="Area hIP4 (IPS)",
)
ParcellationEntity.jba__area_h_ip5 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-hIP5",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-hIP5_PM-v7.1"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-hIP5_PM-v7.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-hIP5_PM-v7.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-hIP5_PM-v7.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-hIP5_PM-v7.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-hIP5_PM-v7.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-hIP5_PM-v7.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-hIP5_PM-v7.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-hIP5_PM-v7.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-hIP5_int"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-hIP5_PM-v7.3"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-hIP5_PM-v7.3"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-hIP5_PM-v7.3"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-hIP5_int"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-hIP5_PM-v7.3"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-hIP5_PM-v7.3"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-hIP5_PM-v7.3"
        },
    ],
    lookup_label="JBA_Area-hIP5",
    name="Area hIP5 (IPS)",
)
ParcellationEntity.jba__area_h_ip6 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-hIP6",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-hIP6_PM-v7.1"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-hIP6_PM-v7.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-hIP6_PM-v7.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-hIP6_PM-v7.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-hIP6_PM-v7.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-hIP6_PM-v7.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-hIP6_PM-v7.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-hIP6_PM-v7.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-hIP6_PM-v7.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-hIP6_int"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-hIP6_PM-v7.3"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-hIP6_PM-v7.3"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-hIP6_PM-v7.3"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-hIP6_int"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-hIP6_PM-v7.3"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-hIP6_PM-v7.3"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-hIP6_PM-v7.3"
        },
    ],
    lookup_label="JBA_Area-hIP6",
    name="Area hIP6 (IPS)",
)
ParcellationEntity.jba__area_h_ip7 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-hIP7",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-hIP7_PM-v7.1"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-hIP7_PM-v7.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-hIP7_PM-v7.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-hIP7_PM-v7.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-hIP7_PM-v7.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-hIP7_PM-v7.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-hIP7_PM-v7.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-hIP7_PM-v7.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-hIP7_PM-v7.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-hIP7_int"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-hIP7_PM-v7.3"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-hIP7_PM-v7.3"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-hIP7_PM-v7.3"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-hIP7_int"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-hIP7_PM-v7.3"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-hIP7_PM-v7.3"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-hIP7_PM-v7.3"
        },
    ],
    lookup_label="JBA_Area-hIP7",
    name="Area hIP7 (IPS)",
)
ParcellationEntity.jba__area_h_ip8 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-hIP8",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-hIP8_PM-v7.1"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-hIP8_PM-v7.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-hIP8_PM-v7.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-hIP8_PM-v7.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-hIP8_PM-v7.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-hIP8_PM-v7.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-hIP8_PM-v7.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-hIP8_PM-v7.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-hIP8_PM-v7.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-hIP8_int"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-hIP8_PM-v7.3"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-hIP8_PM-v7.3"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-hIP8_PM-v7.3"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-hIP8_int"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-hIP8_PM-v7.3"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-hIP8_PM-v7.3"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-hIP8_PM-v7.3"
        },
    ],
    lookup_label="JBA_Area-hIP8",
    name="Area hIP8 (IPS)",
)
ParcellationEntity.jba__area_h_oc1 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-hOc1",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_occipitalCortex"}],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-hOc1_PM-v2.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-hOc1_PM-v2.4"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-hOc1_PM-v2.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-hOc1_PM-v2.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-hOc1_PM-v2.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-hOc1_PM-v2.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-hOc1_PM-v2.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-hOc1_PM-v4.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-hOc1_PM-v4.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-hOc1_PM-v4.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-hOc1_deep"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-hOc1_PM-v4.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-hOc1_PM-v4.2"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-hOc1_PM-v4.2"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-hOc1_deep"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-hOc1_PM-v4.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-hOc1_PM-v4.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-hOc1_PM-v4.2"
        },
    ],
    lookup_label="JBA_Area-hOc1",
    name="Area hOc1 (V1, 17, CalcS)",
)
ParcellationEntity.jba__area_h_oc2 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-hOc2",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_occipitalCortex"}],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-hOc2_PM-v2.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-hOc2_PM-v2.4"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-hOc2_PM-v2.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-hOc2_PM-v2.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-hOc2_PM-v2.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-hOc2_PM-v2.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-hOc2_PM-v2.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-hOc2_PM-v4.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-hOc2_PM-v4.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-hOc2_PM-v4.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-hOc2_deep"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-hOc2_PM-v4.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-hOc2_PM-v4.2"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-hOc2_PM-v4.2"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-hOc2_deep"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-hOc2_PM-v4.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-hOc2_PM-v4.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-hOc2_PM-v4.2"
        },
    ],
    lookup_label="JBA_Area-hOc2",
    name="Area hOc2 (V2, 18)",
)
ParcellationEntity.jba__area_h_oc3d = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-hOc3d",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalOccipitalCortex"}],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-hOc3d_PM-v2.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-hOc3d_PM-v2.4"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-hOc3d_PM-v2.4"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-hOc3d_PM-v2.4"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-hOc3d_PM-v2.4"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-hOc3d_PM-v2.4"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-hOc3d_PM-v2.4"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-hOc3d_PM-v4.0"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-hOc3d_PM-v4.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-hOc3d_PM-v4.0"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-hOc3d_PM-v4.0"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-hOc3d_PM-v4.2"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-hOc3d_PM-v4.2"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-hOc3d_PM-v4.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-hOc3d_PM-v4.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-hOc3d_PM-v4.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-hOc3d_PM-v4.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-hOc3d_PM-v4.2"
        },
    ],
    lookup_label="JBA_Area-hOc3d",
    name="Area hOc3d (Cuneus)",
)
ParcellationEntity.jba__area_h_oc3v = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-hOc3v",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_ventralOccipitalCortex"}],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-hOc3v_PM-v3.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-hOc3v_PM-v3.4"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-hOc3v_PM-v3.4"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-hOc3v_PM-v3.4"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-hOc3v_PM-v3.4"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-hOc3v_PM-v3.4"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-hOc3v_PM-v3.4"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-hOc3v_PM-v5.0"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-hOc3v_PM-v5.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-hOc3v_PM-v5.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-hOc3v_deep"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-hOc3v_PM-v5.2"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-hOc3v_PM-v5.2"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-hOc3v_PM-v5.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-hOc3v_deep"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-hOc3v_PM-v5.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-hOc3v_PM-v5.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-hOc3v_PM-v5.2"
        },
    ],
    lookup_label="JBA_Area-hOc3v",
    name="Area hOc3v (LingG)",
)
ParcellationEntity.jba__area_h_oc4d = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-hOc4d",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalOccipitalCortex"}],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-hOc4d_PM-v2.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-hOc4d_PM-v2.4"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-hOc4d_PM-v2.4"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-hOc4d_PM-v2.4"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-hOc4d_PM-v2.4"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-hOc4d_PM-v2.4"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-hOc4d_PM-v2.4"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-hOc4d_PM-v4.0"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-hOc4d_PM-v4.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-hOc4d_PM-v4.0"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-hOc4d_PM-v4.0"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-hOc4d_PM-v4.2"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-hOc4d_PM-v4.2"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-hOc4d_PM-v4.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-hOc4d_PM-v4.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-hOc4d_PM-v4.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-hOc4d_PM-v4.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-hOc4d_PM-v4.2"
        },
    ],
    lookup_label="JBA_Area-hOc4d",
    name="Area hOc4d (Cuneus)",
)
ParcellationEntity.jba__area_h_oc4la = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-hOc4la",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOccipitalCortex"}],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-hOc4la_PM-v3.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-hOc4la_PM-v3.4"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-hOc4la_PM-v3.4"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-hOc4la_PM-v3.4"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-hOc4la_PM-v3.4"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-hOc4la_PM-v3.4"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-hOc4la_PM-v3.4"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-hOc4la_PM-v5.0"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-hOc4la_PM-v5.0"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-hOc4la_PM-v5.0"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-hOc4la_PM-v5.0"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-hOc4la_PM-v5.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-hOc4la_PM-v5.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-hOc4la_PM-v5.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-hOc4la_PM-v5.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-hOc4la_PM-v5.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-hOc4la_PM-v5.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-hOc4la_PM-v5.2"
        },
    ],
    lookup_label="JBA_Area-hOc4la",
    name="Area hOc4la (LOC)",
)
ParcellationEntity.jba__area_h_oc4lp = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-hOc4lp",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOccipitalCortex"}],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-hOc4lp_PM-v3.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-hOc4lp_PM-v3.4"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-hOc4lp_PM-v3.4"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-hOc4lp_PM-v3.4"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-hOc4lp_PM-v3.4"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-hOc4lp_PM-v3.4"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-hOc4lp_PM-v3.4"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-hOc4lp_PM-v5.0"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-hOc4lp_PM-v5.0"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-hOc4lp_PM-v5.0"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-hOc4lp_PM-v5.0"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-hOc4lp_PM-v5.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-hOc4lp_PM-v5.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-hOc4lp_PM-v5.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-hOc4lp_PM-v5.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-hOc4lp_PM-v5.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-hOc4lp_PM-v5.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-hOc4lp_PM-v5.2"
        },
    ],
    lookup_label="JBA_Area-hOc4lp",
    name="Area hOc4lp (LOC)",
)
ParcellationEntity.jba__area_h_oc4v = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-hOc4v",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_ventralOccipitalCortex"}],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-hOc4v_PM-v3.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-hOc4v_PM-v3.4"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-hOc4v_PM-v3.4"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-hOc4v_PM-v3.4"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-hOc4v_PM-v3.4"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-hOc4v_PM-v3.4"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-hOc4v_PM-v3.4"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-hOc4v_PM-v5.0"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-hOc4v_PM-v5.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-hOc4v_PM-v5.0"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-hOc4v_PM-v5.0"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-hOc4v_PM-v5.2"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-hOc4v_PM-v5.2"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-hOc4v_PM-v5.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-hOc4v_PM-v5.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-hOc4v_PM-v5.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-hOc4v_PM-v5.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-hOc4v_PM-v5.2"
        },
    ],
    lookup_label="JBA_Area-hOc4v",
    name="Area hOc4v (LingG)",
)
ParcellationEntity.jba__area_h_oc5 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-hOc5",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOccipitalCortex"}],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-hOc5_PM-v2.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-hOc5_PM-v2.4"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-hOc5_PM-v2.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-hOc5_PM-v2.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-hOc5_PM-v2.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-hOc5_PM-v2.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-hOc5_PM-v2.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-hOc5_PM-v4.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-hOc5_PM-v4.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-hOc5_PM-v4.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-hOc5_deep"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-hOc5_PM-v4.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-hOc5_PM-v4.2"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-hOc5_PM-v4.2"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-hOc5_deep"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-hOc5_PM-v4.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-hOc5_PM-v4.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-hOc5_PM-v4.2"
        },
    ],
    lookup_label="JBA_Area-hOc5",
    name="Area hOc5 (LOC)",
)
ParcellationEntity.jba__area_h_oc6 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-hOc6",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalOccipitalCortex"}],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-hOc6_PM-v7.1"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-hOc6_PM-v7.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-hOc6_PM-v7.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-hOc6_PM-v7.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-hOc6_PM-v7.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-hOc6_PM-v7.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-hOc6_PM-v7.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-hOc6_PM-v7.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-hOc6_PM-v7.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-hOc6_int"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-hOc6_PM-v7.3"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-hOc6_PM-v7.3"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-hOc6_PM-v7.3"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-hOc6_int"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-hOc6_PM-v7.3"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-hOc6_PM-v7.3"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-hOc6_PM-v7.3"
        },
    ],
    lookup_label="JBA_Area-hOc6",
    name="Area hOc6 (POS)",
)
ParcellationEntity.jba__area_h_po1 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-hPO1",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parieto-occipitalSulcus"}],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-hPO1_PM-v7.1"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-hPO1_PM-v7.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-hPO1_PM-v7.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-hPO1_PM-v7.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-hPO1_PM-v7.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-hPO1_PM-v7.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-hPO1_PM-v7.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-hPO1_PM-v7.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-hPO1_PM-v7.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-hPO1_int"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-hPO1_PM-v7.3"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-hPO1_PM-v7.3"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-hPO1_PM-v7.3"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-hPO1_int"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-hPO1_PM-v7.3"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-hPO1_PM-v7.3"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-hPO1_PM-v7.3"
        },
    ],
    lookup_label="JBA_Area-hPO1",
    name="Area hPO1 (POS)",
)
ParcellationEntity.jba__area_i29 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-i29",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_retrosplenialPart"}],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-i29_PM-v11.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-i29_PM-v11.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-i29_PM-v11.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-i29_PM-v11.0"},
    ],
    lookup_label="JBA_Area-i29",
    name="Area i29 (retrosplenial)",
)
ParcellationEntity.jba__area_i30 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-i30",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_retrosplenialPart"}],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-i30_PM-v11.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-i30_PM-v11.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-i30_PM-v11.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-i30_PM-v11.0"},
    ],
    lookup_label="JBA_Area-i30",
    name="Area i30 (retrosplenial)",
)
ParcellationEntity.jba__area_ifj1 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-IFJ1",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-IFJ1_PM-v9.2"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-IFJ1_PM-v3.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-IFJ1_PM-v3.2"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-IFJ1_PM-v3.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-IFJ1_PM-v3.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-IFJ1_PM-v3.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-IFJ1_PM-v3.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-IFJ1_PM-v3.2"
        },
    ],
    lookup_label="JBA_Area-IFJ1",
    name="Area IFJ1 (IFS,PreCS)",
)
ParcellationEntity.jba__area_ifj2 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-IFJ2",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-IFJ2_PM-v3.2"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-IFJ2_PM-v3.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-IFJ2_PM-v3.2"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-IFJ2_PM-v3.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-IFJ2_PM-v3.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-IFJ2_PM-v3.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-IFJ2_PM-v3.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-IFJ2_PM-v3.2"
        },
    ],
    lookup_label="JBA_Area-IFJ2",
    name="Area IFJ2 (IFS,PreCS)",
)
ParcellationEntity.jba__area_ifs1 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-IFS1",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-IFS1_PM-v3.2"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-IFS1_PM-v3.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-IFS1_PM-v3.2"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-IFS1_PM-v3.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-IFS1_PM-v3.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-IFS1_PM-v3.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-IFS1_PM-v3.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-IFS1_PM-v3.2"
        },
    ],
    lookup_label="JBA_Area-IFS1",
    name="Area IFS1 (IFS)",
)
ParcellationEntity.jba__area_ifs2 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-IFS2",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-IFS2_PM-v3.2"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-IFS2_PM-v3.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-IFS2_PM-v3.2"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-IFS2_PM-v3.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-IFS2_PM-v3.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-IFS2_PM-v3.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-IFS2_PM-v3.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-IFS2_PM-v3.2"
        },
    ],
    lookup_label="JBA_Area-IFS2",
    name="Area IFS2 (IFS)",
)
ParcellationEntity.jba__area_ifs3 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-IFS3",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-IFS3_PM-v3.2"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-IFS3_PM-v3.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-IFS3_PM-v3.2"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-IFS3_PM-v3.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-IFS3_PM-v3.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-IFS3_PM-v3.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-IFS3_PM-v3.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-IFS3_PM-v3.2"
        },
    ],
    lookup_label="JBA_Area-IFS3",
    name="Area IFS3 (IFS)",
)
ParcellationEntity.jba__area_ifs4 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-IFS4",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-IFS4_PM-v3.2"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-IFS4_PM-v3.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-IFS4_PM-v3.2"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-IFS4_PM-v3.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-IFS4_PM-v3.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-IFS4_PM-v3.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-IFS4_PM-v3.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-IFS4_PM-v3.2"
        },
    ],
    lookup_label="JBA_Area-IFS4",
    name="Area IFS4 (IFS)",
)
ParcellationEntity.jba__area_mfg1 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-MFG1",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_middleFrontalGyrus"}],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-MFG1_deep"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-MFG1_PM-v9.0"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-MFG1_PM-v9.0"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-MFG1_PM-v9.0"
        },
    ],
    lookup_label="JBA_Area-MFG1",
    name="Area MFG1 (MFG)",
)
ParcellationEntity.jba__area_mfg2 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-MFG2",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fronto-marginalSulcus"}],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-MFG2_deep"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-MFG2_PM-v9.0"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-MFG2_PM-v9.0"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-MFG2_PM-v9.0"
        },
    ],
    lookup_label="JBA_Area-MFG2",
    name="Area MFG2 (MFG)",
)
ParcellationEntity.jba__area_op1 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-OP1",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-OP1_PM-v9.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-OP1_PM-v9.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-OP1_PM-v9.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-OP1_PM-v11.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-OP1_PM-v11.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-OP1_PM-v11.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-OP1_PM-v11.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-OP1_PM-v12.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-OP1_PM-v12.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-OP1_PM-v12.0"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-OP1_PM-v12.0"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-OP1_PM-v12.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-OP1_PM-v12.2"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-OP1_PM-v12.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-OP1_PM-v12.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-OP1_PM-v12.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-OP1_PM-v12.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-OP1_PM-v12.2"
        },
    ],
    lookup_label="JBA_Area-OP1",
    name="Area OP1 (POperc)",
)
ParcellationEntity.jba__area_op2 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-OP2",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-OP2_PM-v9.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-OP2_PM-v9.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-OP2_PM-v9.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-OP2_PM-v11.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-OP2_PM-v11.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-OP2_PM-v11.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-OP2_PM-v11.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-OP2_PM-v12.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-OP2_PM-v12.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-OP2_PM-v12.0"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-OP2_PM-v12.0"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-OP2_PM-v12.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-OP2_PM-v12.2"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-OP2_PM-v12.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-OP2_PM-v12.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-OP2_PM-v12.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-OP2_PM-v12.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-OP2_PM-v12.2"
        },
    ],
    lookup_label="JBA_Area-OP2",
    name="Area OP2 (POperc)",
)
ParcellationEntity.jba__area_op3 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-OP3",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-OP3_PM-v9.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-OP3_PM-v9.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-OP3_PM-v9.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-OP3_PM-v11.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-OP3_PM-v11.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-OP3_PM-v11.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-OP3_PM-v11.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-OP3_PM-v12.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-OP3_PM-v12.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-OP3_PM-v12.0"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-OP3_PM-v12.0"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-OP3_PM-v12.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-OP3_PM-v12.2"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-OP3_PM-v12.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-OP3_PM-v12.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-OP3_PM-v12.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-OP3_PM-v12.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-OP3_PM-v12.2"
        },
    ],
    lookup_label="JBA_Area-OP3",
    name="Area OP3 (POperc)",
)
ParcellationEntity.jba__area_op4 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-OP4",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-OP4_PM-v9.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-OP4_PM-v9.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-OP4_PM-v9.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-OP4_PM-v11.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-OP4_PM-v11.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-OP4_PM-v11.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-OP4_PM-v11.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-OP4_PM-v12.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-OP4_PM-v12.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-OP4_PM-v12.0"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-OP4_PM-v12.0"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-OP4_PM-v12.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-OP4_PM-v12.2"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-OP4_PM-v12.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-OP4_PM-v12.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-OP4_PM-v12.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-OP4_PM-v12.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-OP4_PM-v12.2"
        },
    ],
    lookup_label="JBA_Area-OP4",
    name="Area OP4 (POperc)",
)
ParcellationEntity.jba__area_op5 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-OP5",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-OP5_PM-v2.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-OP5_PM-v2.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-OP5_PM-v2.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-OP5_PM-v2.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-OP5_PM-v3.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-OP5_PM-v3.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-OP5_PM-v3.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-OP5_PM-v3.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-OP5_PM-v3.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-OP5_PM-v3.2"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-OP5_PM-v3.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-OP5_PM-v3.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-OP5_PM-v3.2"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-OP5_PM-v3.2"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-OP5_PM-v3.2"
        },
    ],
    lookup_label="JBA_Area-OP5",
    name="Area Op5 (Frontal Operculum)",
)
ParcellationEntity.jba__area_op6 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-OP6",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-OP6_PM-v2.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-OP6_PM-v2.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-OP6_PM-v2.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-OP6_PM-v2.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-OP6_PM-v3.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-OP6_PM-v3.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-OP6_PM-v3.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-OP6_PM-v3.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-OP6_PM-v3.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-OP6_PM-v3.2"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-OP6_PM-v3.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-OP6_PM-v3.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-OP6_PM-v3.2"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-OP6_PM-v3.2"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-OP6_PM-v3.2"
        },
    ],
    lookup_label="JBA_Area-OP6",
    name="Area Op6 (Frontal Operculum)",
)
ParcellationEntity.jba__area_op7 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-OP7",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-OP7_PM-v2.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-OP7_PM-v2.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-OP7_PM-v2.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-OP7_PM-v2.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-OP7_PM-v3.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-OP7_PM-v3.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-OP7_PM-v3.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-OP7_PM-v3.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-OP7_PM-v3.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-OP7_PM-v3.2"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-OP7_PM-v3.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-OP7_PM-v3.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-OP7_PM-v3.2"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-OP7_PM-v3.2"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-OP7_PM-v3.2"
        },
    ],
    lookup_label="JBA_Area-OP7",
    name="Area Op7 (Frontal Operculum)",
)
ParcellationEntity.jba__area_op8 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-OP8",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-OP8_PM-v5.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-OP8_PM-v5.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-OP8_PM-v5.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-OP8_PM-v5.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-OP8_PM-v5.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-OP8_PM-v5.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-OP8_PM-v6.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-OP8_PM-v6.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-OP8_PM-v6.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-OP8_PM-v6.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-OP8_PM-v6.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-OP8_PM-v6.2"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-OP8_PM-v6.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-OP8_PM-v6.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-OP8_PM-v6.2"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-OP8_PM-v6.2"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-OP8_PM-v6.2"
        },
    ],
    lookup_label="JBA_Area-OP8",
    name="Area Op8 (Frontal Operculum)",
)
ParcellationEntity.jba__area_op9 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-OP9",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-OP9_PM-v5.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-OP9_PM-v5.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-OP9_PM-v5.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-OP9_PM-v5.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-OP9_PM-v5.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-OP9_PM-v5.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-OP9_PM-v6.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-OP9_PM-v6.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-OP9_PM-v6.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-OP9_PM-v6.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-OP9_PM-v6.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-OP9_PM-v6.2"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-OP9_PM-v6.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-OP9_PM-v6.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-OP9_PM-v6.2"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-OP9_PM-v6.2"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-OP9_PM-v6.2"
        },
    ],
    lookup_label="JBA_Area-OP9",
    name="Area Op9 (Frontal Operculum)",
)
ParcellationEntity.jba__area_p24ab = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-p24ab",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-p24ab_PM-v16.1"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-p24ab_PM-v16.1"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-p24ab_PM-v16.1"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-p24ab_PM-v16.1"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-p24ab_PM-v16.1"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-p24ab_PM-v16.1"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-p24ab_PM-v18.0"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-p24ab_PM-v18.0"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-p24ab_PM-v18.0"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-p24ab_PM-v18.0"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-p24ab_PM-v20.1"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-p24ab_PM-v20.1"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-p24ab_PM-v20.1"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-p24ab_PM-v20.1"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-p24ab_PM-v20.1"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-p24ab_PM-v20.1"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-p24ab_PM-v20.1"
        },
    ],
    lookup_label="JBA_Area-p24ab",
    name="Area p24ab (pACC)",
)
ParcellationEntity.jba__area_p24ab_p24a = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-p24ab.p24a",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-p24ab"}],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-p24ab.p24a_PM-v20.1"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-p24ab.p24a_PM-v20.1"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-p24ab.p24a_PM-v20.1"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-p24ab.p24a_PM-v20.1"
        },
    ],
    lookup_label="JBA_Area-p24ab.p24a",
    name="Area p24ab.p24a (pACC)",
)
ParcellationEntity.jba__area_p24ab_p24b = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-p24ab.p24b",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-p24ab"}],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-p24ab.p24b_PM-v20.1"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-p24ab.p24b_PM-v20.1"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-p24ab.p24b_PM-v20.1"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-p24ab.p24b_PM-v20.1"
        },
    ],
    lookup_label="JBA_Area-p24ab.p24b",
    name="Area p24ab.p24b (pACC)",
)
ParcellationEntity.jba__area_p24c = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-p24c",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-p24c_PM-v16.1"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-p24c_PM-v16.1"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-p24c_PM-v16.1"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-p24c_PM-v16.1"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-p24c_PM-v16.1"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-p24c_PM-v16.1"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-p24c_PM-v18.0"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-p24c_PM-v18.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-p24c_PM-v18.0"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-p24c_PM-v18.0"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-p24c_PM-v20.1"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-p24c_PM-v20.1"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-p24c_PM-v20.1"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-p24c_PM-v20.1"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-p24c_PM-v20.1"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-p24c_PM-v20.1"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-p24c_PM-v20.1"
        },
    ],
    lookup_label="JBA_Area-p24c",
    name="Area p24c (pACC)",
)
ParcellationEntity.jba__area_p24c_pd24cd = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-p24c.pd24cd",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-p24c"}],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-p24c.pd24cd_PM-v20.1"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-p24c.pd24cd_PM-v20.1"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-p24c.pd24cd_PM-v20.1"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-p24c.pd24cd_PM-v20.1"
        },
    ],
    lookup_label="JBA_Area-p24c.pd24cd",
    name="Area p24c.pd24cd (pACC)",
)
ParcellationEntity.jba__area_p24c_pd24cv = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-p24c.pd24cv",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-p24c"}],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-p24c.pd24cv_PM-v20.1"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-p24c.pd24cv_PM-v20.1"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-p24c.pd24cv_PM-v20.1"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-p24c.pd24cv_PM-v20.1"
        },
    ],
    lookup_label="JBA_Area-p24c.pd24cv",
    name="Area p24c.pd24cv (pACC)",
)
ParcellationEntity.jba__area_p24c_pv24c = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-p24c.pv24c",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-p24c"}],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-p24c.pv24c_PM-v20.1"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-p24c.pv24c_PM-v20.1"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-p24c.pv24c_PM-v20.1"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-p24c.pv24c_PM-v20.1"
        },
    ],
    lookup_label="JBA_Area-p24c.pv24c",
    name="Area p24c.pv24c (pACC)",
)
ParcellationEntity.jba__area_p29 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-p29",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_retrosplenialPart"}],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-p29_PM-v11.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-p29_PM-v11.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-p29_PM-v11.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-p29_PM-v11.0"},
    ],
    lookup_label="JBA_Area-p29",
    name="Area p29 (retrosplenial)",
)
ParcellationEntity.jba__area_p30 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-p30",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_retrosplenialPart"}],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-p30_PM-v11.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-p30_PM-v11.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-p30_PM-v11.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-p30_PM-v11.0"},
    ],
    lookup_label="JBA_Area-p30",
    name="Area p30 (retrosplenial)",
)
ParcellationEntity.jba__area_p32 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-p32",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-p32_PM-v16.1"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-p32_PM-v16.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-p32_PM-v16.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-p32_PM-v16.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-p32_PM-v16.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-p32_PM-v16.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-p32_PM-v18.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-p32_PM-v18.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-p32_PM-v18.0"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-p32_PM-v18.0"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-p32_PM-v20.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-p32_PM-v20.1"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-p32_PM-v20.1"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-p32_PM-v20.1"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-p32_PM-v20.1"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-p32_PM-v20.1"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-p32_PM-v20.1"
        },
    ],
    lookup_label="JBA_Area-p32",
    name="Area p32 (pACC)",
)
ParcellationEntity.jba__area_p_fcm = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-PFcm",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-PFcm_PM-v9.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-PFcm_PM-v9.4"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-PFcm_PM-v9.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-PFcm_PM-v9.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-PFcm_PM-v9.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-PFcm_PM-v9.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-PFcm_PM-v9.4"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-PFcm_PM-v11.0"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-PFcm_PM-v11.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-PFcm_PM-v11.0"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-PFcm_PM-v11.0"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-PFcm_PM-v11.2"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-PFcm_PM-v11.2"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-PFcm_PM-v11.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-PFcm_PM-v11.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-PFcm_PM-v11.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-PFcm_PM-v11.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-PFcm_PM-v11.2"
        },
    ],
    lookup_label="JBA_Area-PFcm",
    name="Area PFcm (IPL)",
)
ParcellationEntity.jba__area_p_fm = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-PFm",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-PFm_PM-v9.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-PFm_PM-v9.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-PFm_PM-v9.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-PFm_PM-v9.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-PFm_PM-v9.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-PFm_PM-v9.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-PFm_PM-v9.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-PFm_PM-v11.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-PFm_PM-v11.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-PFm_PM-v11.0"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-PFm_PM-v11.0"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-PFm_PM-v11.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-PFm_PM-v11.2"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-PFm_PM-v11.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-PFm_PM-v11.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-PFm_PM-v11.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-PFm_PM-v11.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-PFm_PM-v11.2"
        },
    ],
    lookup_label="JBA_Area-PFm",
    name="Area PFm (IPL)",
)
ParcellationEntity.jba__area_p_fop = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-PFop",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-PFop_PM-v9.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-PFop_PM-v9.4"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-PFop_PM-v9.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-PFop_PM-v9.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-PFop_PM-v9.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-PFop_PM-v9.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-PFop_PM-v9.4"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-PFop_PM-v11.0"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-PFop_PM-v11.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-PFop_PM-v11.0"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-PFop_PM-v11.0"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-PFop_PM-v11.2"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-PFop_PM-v11.2"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-PFop_PM-v11.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-PFop_PM-v11.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-PFop_PM-v11.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-PFop_PM-v11.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-PFop_PM-v11.2"
        },
    ],
    lookup_label="JBA_Area-PFop",
    name="Area PFop (IPL)",
)
ParcellationEntity.jba__area_p_ft = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-PFt",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-PFt_PM-v9.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-PFt_PM-v9.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-PFt_PM-v9.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-PFt_PM-v9.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-PFt_PM-v9.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-PFt_PM-v9.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-PFt_PM-v9.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-PFt_PM-v11.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-PFt_PM-v11.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-PFt_PM-v11.0"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-PFt_PM-v11.0"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-PFt_PM-v11.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-PFt_PM-v11.2"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-PFt_PM-v11.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-PFt_PM-v11.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-PFt_PM-v11.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-PFt_PM-v11.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-PFt_PM-v11.2"
        },
    ],
    lookup_label="JBA_Area-PFt",
    name="Area PFt (IPL)",
)
ParcellationEntity.jba__area_p_ga = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-PGa",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-PGa_PM-v9.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-PGa_PM-v9.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-PGa_PM-v9.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-PGa_PM-v9.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-PGa_PM-v9.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-PGa_PM-v9.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-PGa_PM-v9.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-PGa_PM-v11.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-PGa_PM-v11.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-PGa_PM-v11.0"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-PGa_PM-v11.0"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-PGa_PM-v11.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-PGa_PM-v11.2"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-PGa_PM-v11.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-PGa_PM-v11.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-PGa_PM-v11.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-PGa_PM-v11.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-PGa_PM-v11.2"
        },
    ],
    lookup_label="JBA_Area-PGa",
    name="Area PGa (IPL)",
)
ParcellationEntity.jba__area_p_gp = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-PGp",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-PGp_PM-v9.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-PGp_PM-v9.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-PGp_PM-v9.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-PGp_PM-v9.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-PGp_PM-v9.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-PGp_PM-v9.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-PGp_PM-v9.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-PGp_PM-v11.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-PGp_PM-v11.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-PGp_PM-v11.0"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-PGp_PM-v11.0"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-PGp_PM-v11.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-PGp_PM-v11.2"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-PGp_PM-v11.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-PGp_PM-v11.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-PGp_PM-v11.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-PGp_PM-v11.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-PGp_PM-v11.2"
        },
    ],
    lookup_label="JBA_Area-PGp",
    name="Area PGp (IPL)",
)
ParcellationEntity.jba__area_pf = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-PF",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-PF_PM-v9.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-PF_PM-v9.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-PF_PM-v9.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-PF_PM-v9.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-PF_PM-v9.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-PF_PM-v9.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-PF_PM-v9.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-PF_PM-v11.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-PF_PM-v11.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-PF_PM-v11.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-PF_PM-v11.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-PF_PM-v11.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-PF_PM-v11.2"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-PF_PM-v11.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-PF_PM-v11.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-PF_PM-v11.2"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-PF_PM-v11.2"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-PF_PM-v11.2"
        },
    ],
    lookup_label="JBA_Area-PF",
    name="Area PF (IPL)",
)
ParcellationEntity.jba__area_s24 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-s24",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-s24_PM-v16.0"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-s24_PM-v16.1"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-s24_PM-v16.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-s24_PM-v16.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-s24_PM-v16.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-s24_PM-v16.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-s24_PM-v16.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-s24_PM-v18.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-s24_PM-v18.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-s24_PM-v18.0"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-s24_PM-v18.0"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-s24_PM-v20.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-s24_PM-v20.1"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-s24_PM-v20.1"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-s24_PM-v20.1"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-s24_PM-v20.1"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-s24_PM-v20.1"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-s24_PM-v20.1"
        },
    ],
    lookup_label="JBA_Area-s24",
    name="Area s24 (sACC)",
)
ParcellationEntity.jba__area_s24_s24a = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-s24.s24a",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-s24"}],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-s24.s24a_PM-v20.1"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-s24.s24a_PM-v20.1"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-s24.s24a_PM-v20.1"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-s24.s24a_PM-v20.1"
        },
    ],
    lookup_label="JBA_Area-s24.s24a",
    name="Area s24.s24a (sACC)",
)
ParcellationEntity.jba__area_s24_s24b = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-s24.s24b",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-s24"}],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-s24.s24b_PM-v20.1"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-s24.s24b_PM-v20.1"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-s24.s24b_PM-v20.1"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-s24.s24b_PM-v20.1"
        },
    ],
    lookup_label="JBA_Area-s24.s24b",
    name="Area s24.s24b (sACC)",
)
ParcellationEntity.jba__area_s32 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-s32",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-s32_PM-v16.0"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-s32_PM-v16.1"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-s32_PM-v16.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-s32_PM-v16.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-s32_PM-v16.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-s32_PM-v16.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-s32_PM-v16.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-s32_PM-v18.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-s32_PM-v18.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-s32_PM-v18.0"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-s32_PM-v18.0"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-s32_PM-v20.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-s32_PM-v20.1"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-s32_PM-v20.1"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-s32_PM-v20.1"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-s32_PM-v20.1"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-s32_PM-v20.1"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-s32_PM-v20.1"
        },
    ],
    lookup_label="JBA_Area-s32",
    name="Area s32 (sACC)",
)
ParcellationEntity.jba__area_sfs1 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-SFS1",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalSulcus"}],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-SFS1_deep"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-SFS1_PM-v9.0"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-SFS1_PM-v9.0"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-SFS1_PM-v9.0"
        },
    ],
    lookup_label="JBA_Area-SFS1",
    name="Area SFS1 (SFS)",
)
ParcellationEntity.jba__area_sfs2 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-SFS2",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalSulcus"}],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-SFS2_deep"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-SFS2_PM-v9.0"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-SFS2_PM-v9.0"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-SFS2_PM-v9.0"
        },
    ],
    lookup_label="JBA_Area-SFS2",
    name="Area SFS2 (SFS)",
)
ParcellationEntity.jba__area_sts1 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-STS1",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalSulcus"}],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-STS1_PM-v3.1"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-STS1_PM-v3.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-STS1_PM-v3.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-STS1_PM-v3.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-STS1_PM-v3.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-STS1_PM-v3.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-STS1_PM-v5.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-STS1_PM-v5.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-STS1_PM-v5.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-STS1_int"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-STS1_PM-v5.3"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-STS1_PM-v5.3"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-STS1_PM-v5.3"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-STS1_int"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-STS1_PM-v5.3"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-STS1_PM-v5.3"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-STS1_PM-v5.3"
        },
    ],
    lookup_label="JBA_Area-STS1",
    name="Area STS1 (STS)",
)
ParcellationEntity.jba__area_sts2 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-STS2",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalSulcus"}],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-STS2_PM-v3.1"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-STS2_PM-v3.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-STS2_PM-v3.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-STS2_PM-v3.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-STS2_PM-v3.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-STS2_PM-v3.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-STS2_PM-v5.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-STS2_PM-v5.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-STS2_PM-v5.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-STS2_int"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-STS2_PM-v5.3"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-STS2_PM-v5.3"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-STS2_PM-v5.3"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-STS2_int"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-STS2_PM-v5.3"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-STS2_PM-v5.3"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-STS2_PM-v5.3"
        },
    ],
    lookup_label="JBA_Area-STS2",
    name="Area STS2 (STS)",
)
ParcellationEntity.jba__area_te_1_0 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-TE-1.0",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-TE-1.0_PM-v5.0"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-TE-1.0_PM-v5.1"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-TE-1.0_PM-v5.1"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-TE-1.0_PM-v5.1"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-TE-1.0_PM-v5.1"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-TE-1.0_PM-v5.1"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-TE-1.0_PM-v5.1"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-TE-1.0_PM-v6.0"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-TE-1.0_PM-v6.0"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-TE-1.0_PM-v6.0"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-TE-1.0_int"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-TE-1.0_PM-v6.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-TE-1.0_PM-v6.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-TE-1.0_PM-v6.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-TE-1.0_int"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-TE-1.0_PM-v6.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-TE-1.0_PM-v6.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-TE-1.0_PM-v6.2"
        },
    ],
    lookup_label="JBA_Area-TE-1.0",
    name="Area TE 1.0 (HESCHL)",
)
ParcellationEntity.jba__area_te_1_1 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-TE-1.1",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-TE-1.1_PM-v5.0"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-TE-1.1_PM-v5.1"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-TE-1.1_PM-v5.1"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-TE-1.1_PM-v5.1"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-TE-1.1_PM-v5.1"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-TE-1.1_PM-v5.1"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-TE-1.1_PM-v5.1"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-TE-1.1_PM-v6.0"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-TE-1.1_PM-v6.0"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-TE-1.1_PM-v6.0"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-TE-1.1_int"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-TE-1.1_PM-v6.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-TE-1.1_PM-v6.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-TE-1.1_PM-v6.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-TE-1.1_int"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-TE-1.1_PM-v6.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-TE-1.1_PM-v6.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-TE-1.1_PM-v6.2"
        },
    ],
    lookup_label="JBA_Area-TE-1.1",
    name="Area TE 1.1 (HESCHL)",
)
ParcellationEntity.jba__area_te_1_2 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-TE-1.2",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-TE-1.2_PM-v5.0"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-TE-1.2_PM-v5.1"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-TE-1.2_PM-v5.1"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-TE-1.2_PM-v5.1"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-TE-1.2_PM-v5.1"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-TE-1.2_PM-v5.1"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-TE-1.2_PM-v5.1"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-TE-1.2_PM-v6.0"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-TE-1.2_PM-v6.0"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-TE-1.2_PM-v6.0"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-TE-1.2_int"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-TE-1.2_PM-v6.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-TE-1.2_PM-v6.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-TE-1.2_PM-v6.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-TE-1.2_int"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-TE-1.2_PM-v6.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-TE-1.2_PM-v6.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-TE-1.2_PM-v6.2"
        },
    ],
    lookup_label="JBA_Area-TE-1.2",
    name="Area TE 1.2 (HESCHL)",
)
ParcellationEntity.jba__area_te_2_1 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-TE-2.1",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalGyrus"}],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-TE-2.1_PM-v5.1"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-TE-2.1_PM-v5.1"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-TE-2.1_PM-v5.1"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-TE-2.1_PM-v5.1"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-TE-2.1_PM-v6.0"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-TE-2.1_PM-v6.0"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-TE-2.1_PM-v6.0"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-TE-2.1_PM-v6.0"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-TE-2.1_PM-v6.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-TE-2.1_PM-v6.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-TE-2.1_PM-v6.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-TE-2.1_PM-v6.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-TE-2.1_PM-v6.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-TE-2.1_PM-v6.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-TE-2.1_PM-v6.2"
        },
    ],
    lookup_label="JBA_Area-TE-2.1",
    name="Area TE 2.1 (STG)",
)
ParcellationEntity.jba__area_te_2_2 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-TE-2.2",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalGyrus"}],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-TE-2.2_PM-v5.1"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-TE-2.2_PM-v5.1"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-TE-2.2_PM-v5.1"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-TE-2.2_PM-v5.1"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-TE-2.2_PM-v6.0"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-TE-2.2_PM-v6.0"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-TE-2.2_PM-v6.0"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-TE-2.2_PM-v6.0"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-TE-2.2_PM-v6.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-TE-2.2_PM-v6.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-TE-2.2_PM-v6.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-TE-2.2_PM-v6.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-TE-2.2_PM-v6.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-TE-2.2_PM-v6.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-TE-2.2_PM-v6.2"
        },
    ],
    lookup_label="JBA_Area-TE-2.2",
    name="Area TE 2.2 (STG)",
)
ParcellationEntity.jba__area_te_3 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-TE-3",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalGyrus"}],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-TE-3_PM-v5.0"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-TE-3_PM-v5.1"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-TE-3_PM-v5.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-TE-3_PM-v5.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-TE-3_PM-v5.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-TE-3_PM-v5.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-TE-3_PM-v5.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-TE-3_PM-v6.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-TE-3_PM-v6.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-TE-3_PM-v6.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-TE-3_int"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-TE-3_PM-v6.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-TE-3_PM-v6.2"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-TE-3_PM-v6.2"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-TE-3_int"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-TE-3_PM-v6.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-TE-3_PM-v6.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-TE-3_PM-v6.2"
        },
    ],
    lookup_label="JBA_Area-TE-3",
    name="Area TE 3 (STG)",
)
ParcellationEntity.jba__area_ti = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-TI",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_temporalInsula"}],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-TI_PM-v5.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-TI_PM-v5.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-TI_PM-v5.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-TI_PM-v5.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-TI_PM-v6.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-TI_PM-v6.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-TI_PM-v6.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-TI_PM-v6.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-TI_PM-v6.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-TI_PM-v6.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-TI_PM-v6.2"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-TI_PM-v6.2"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-TI_PM-v6.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-TI_PM-v6.2"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-TI_PM-v6.2"
        },
    ],
    lookup_label="JBA_Area-TI",
    name="Area TI (STG)",
)
ParcellationEntity.jba__area_tpj = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-TPJ",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_temporo-parietalJunction"}],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-TPJ_PM-v6.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-TPJ_PM-v6.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-TPJ_PM-v6.2"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-TPJ_PM-v6.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-TPJ_PM-v6.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-TPJ_PM-v6.2"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-TPJ_PM-v6.2"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-TPJ_PM-v6.2"
        },
    ],
    lookup_label="JBA_Area-TPJ",
    name="Area TPJ (STG/SMG)",
)
ParcellationEntity.jba__ch_123 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Ch-123",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_magnocellularGroup"}],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Ch-123_PM-v4.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Ch-123_PM-v4.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Ch-123_PM-v4.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Ch-123_PM-v4.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Ch-123_PM-v4.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Ch-123_PM-v4.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Ch-123_PM-v4.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Ch-123_PM-v4.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Ch-123_PM-v4.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Ch-123_PM-v4.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Ch-123_PM-v4.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Ch-123_PM-v4.3"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Ch-123_PM-v4.3"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Ch-123_PM-v4.3"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Ch-123_PM-v4.3"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Ch-123_PM-v4.3"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Ch-123_PM-v4.3"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Ch-123_PM-v4.3"
        },
    ],
    lookup_label="JBA_Ch-123",
    name="Ch 123 (Basal Forebrain)",
)
ParcellationEntity.jba__ch_4 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Ch-4",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_sublenticularBasalForebrain"}],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Ch-4_PM-v4.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Ch-4_PM-v4.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Ch-4_PM-v4.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Ch-4_PM-v4.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Ch-4_PM-v4.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Ch-4_PM-v4.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Ch-4_PM-v4.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Ch-4_PM-v4.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Ch-4_PM-v4.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Ch-4_PM-v4.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Ch-4_PM-v4.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Ch-4_PM-v4.3"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Ch-4_PM-v4.3"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Ch-4_PM-v4.3"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Ch-4_PM-v4.3"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Ch-4_PM-v4.3"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Ch-4_PM-v4.3"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Ch-4_PM-v4.3"},
    ],
    lookup_label="JBA_Ch-4",
    name="Ch 4 (Basal Forebrain)",
)
ParcellationEntity.jba__dorsal__dentate__nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Dorsal-Dentate-Nucleus",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dentateNucleus"}],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Dorsal-Dentate-Nucleus_PM-v6.0"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Dorsal-Dentate-Nucleus_PM-v6.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Dorsal-Dentate-Nucleus_PM-v6.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Dorsal-Dentate-Nucleus_PM-v6.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Dorsal-Dentate-Nucleus_PM-v6.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Dorsal-Dentate-Nucleus_PM-v6.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Dorsal-Dentate-Nucleus_PM-v6.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Dorsal-Dentate-Nucleus_PM-v6.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Dorsal-Dentate-Nucleus_PM-v6.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Dorsal-Dentate-Nucleus_PM-v6.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Dorsal-Dentate-Nucleus_PM-v6.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Dorsal-Dentate-Nucleus_PM-v6.3"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Dorsal-Dentate-Nucleus_PM-v6.3"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Dorsal-Dentate-Nucleus_PM-v6.3"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Dorsal-Dentate-Nucleus_PM-v6.3"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Dorsal-Dentate-Nucleus_PM-v6.3"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Dorsal-Dentate-Nucleus_PM-v6.3"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Dorsal-Dentate-Nucleus_PM-v6.3"
        },
    ],
    lookup_label="JBA_Dorsal-Dentate-Nucleus",
    name="Dorsal Dentate Nucleus (Cerebellum)",
)
ParcellationEntity.jba__entorhinal__cortex = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Entorhinal-Cortex",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Entorhinal-Cortex_PM-v11b.0"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Entorhinal-Cortex_PM-v11.1"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Entorhinal-Cortex_PM-v11.1"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Entorhinal-Cortex_PM-v11.1"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Entorhinal-Cortex_PM-v11.1"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Entorhinal-Cortex_PM-v11.1"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Entorhinal-Cortex_PM-v11.1"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Entorhinal-Cortex_PM-v13.0"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Entorhinal-Cortex_PM-v13.0"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Entorhinal-Cortex_PM-v13.0"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Entorhinal-Cortex_int"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Entorhinal-Cortex_PM-v13.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Entorhinal-Cortex_PM-v13.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Entorhinal-Cortex_PM-v13.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Entorhinal-Cortex_int"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Entorhinal-Cortex_PM-v13.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Entorhinal-Cortex_PM-v13.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Entorhinal-Cortex_PM-v13.2"
        },
    ],
    lookup_label="JBA_Entorhinal-Cortex",
    name="Entorhinal Cortex",
)
ParcellationEntity.jba__fastigial__nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Fastigial-Nucleus",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebellarNuclei"}],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Fastigial-Nucleus_PM-v6.0"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Fastigial-Nucleus_PM-v6.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Fastigial-Nucleus_PM-v6.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Fastigial-Nucleus_PM-v6.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Fastigial-Nucleus_PM-v6.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Fastigial-Nucleus_PM-v6.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Fastigial-Nucleus_PM-v6.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Fastigial-Nucleus_PM-v6.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Fastigial-Nucleus_PM-v6.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Fastigial-Nucleus_PM-v6.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Fastigial-Nucleus_PM-v6.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Fastigial-Nucleus_PM-v6.3"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Fastigial-Nucleus_PM-v6.3"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Fastigial-Nucleus_PM-v6.3"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Fastigial-Nucleus_PM-v6.3"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Fastigial-Nucleus_PM-v6.3"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Fastigial-Nucleus_PM-v6.3"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Fastigial-Nucleus_PM-v6.3"
        },
    ],
    lookup_label="JBA_Fastigial-Nucleus",
    name="Fastigial Nucleus (Cerebellum)",
)
ParcellationEntity.jba__frontal_i = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Frontal-I",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalLobe"}],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Frontal-I_PM-v9.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Frontal-I_PM-v9.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Frontal-I_PM-v9.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Frontal-I_PM-v9.2"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Frontal-I_PM-v10.0"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Frontal-I_PM-v10.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Frontal-I_PM-v10.0"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Frontal-I_PM-v11.3"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Frontal-I_PM-v11.3"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Frontal-I_PM-v11.3"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Frontal-I_PM-v11.4"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Frontal-I_PM-v11.4"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Frontal-I_PM-v11.4"
        },
    ],
    lookup_label="JBA_Frontal-I",
    name="Frontal-I (GapMap)",
)
ParcellationEntity.jba__frontal_ii = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Frontal-II",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalLobe"}],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Frontal-II_PM-v9.0"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Frontal-II_PM-v9.0"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Frontal-II_PM-v9.2"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Frontal-II_PM-v9.2"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Frontal-II_PM-v10.0"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Frontal-II_PM-v10.0"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Frontal-II_PM-v10.0"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Frontal-II_PM-v11.3"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Frontal-II_PM-v11.3"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Frontal-II_PM-v11.3"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Frontal-II_PM-v11.4"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Frontal-II_PM-v11.4"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Frontal-II_PM-v11.4"
        },
    ],
    lookup_label="JBA_Frontal-II",
    name="Frontal-II (GapMap)",
)
ParcellationEntity.jba__frontal_to__occipital = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Frontal-to-Occipital",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebralCortex"}],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Frontal-to-Occipital_PM-v9.0"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Frontal-to-Occipital_PM-v9.0"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Frontal-to-Occipital_PM-v9.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Frontal-to-Occipital_PM-v9.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Frontal-to-Occipital_PM-v10.0"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Frontal-to-Occipital_PM-v10.0"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Frontal-to-Occipital_PM-v10.0"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Frontal-to-Occipital_PM-v11.3"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Frontal-to-Occipital_PM-v11.3"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Frontal-to-Occipital_PM-v11.3"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Frontal-to-Occipital_PM-v11.4"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Frontal-to-Occipital_PM-v11.4"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Frontal-to-Occipital_PM-v11.4"
        },
    ],
    lookup_label="JBA_Frontal-to-Occipital",
    name="Frontal-to-Occipital (GapMap",
)
ParcellationEntity.jba__frontal_to__temporal = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Frontal-to-Temporal",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebralCortex"}],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Frontal-to-Temporal_PM-v9.0"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Frontal-to-Temporal_PM-v9.0"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Frontal-to-Temporal_PM-v9.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Frontal-to-Temporal_PM-v9.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Frontal-to-Temporal_PM-v10.0"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Frontal-to-Temporal_PM-v10.0"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Frontal-to-Temporal_PM-v10.0"
        },
    ],
    lookup_label="JBA_Frontal-to-Temporal",
    name="Frontal-to-Temporal (GapMap)",
)
ParcellationEntity.jba__frontal_to__temporal_i = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Frontal-to-Temporal-I",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Frontal-to-Temporal"}],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Frontal-to-Temporal-I_PM-v11.3"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Frontal-to-Temporal-I_PM-v11.3"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Frontal-to-Temporal-I_PM-v11.3"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Frontal-to-Temporal-I_PM-v11.4"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Frontal-to-Temporal-I_PM-v11.4"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Frontal-to-Temporal-I_PM-v11.4"
        },
    ],
    lookup_label="JBA_Frontal-to-Temporal-I",
    name="Frontal-to-Temporal-I (GapMap)",
)
ParcellationEntity.jba__frontal_to__temporal_ii = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Frontal-to-Temporal-II",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Frontal-to-Temporal"}],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Frontal-to-Temporal-II_PM-v11.3"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Frontal-to-Temporal-II_PM-v11.3"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Frontal-to-Temporal-II_PM-v11.3"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Frontal-to-Temporal-II_PM-v11.4"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Frontal-to-Temporal-II_PM-v11.4"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Frontal-to-Temporal-II_PM-v11.4"
        },
    ],
    lookup_label="JBA_Frontal-to-Temporal-II",
    name="Frontal-to-Temporal-II (GapMap)",
)
ParcellationEntity.jba__fu_cd = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_FuCd",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_ventralStriatum"}],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_FuCd_PM-v5.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_FuCd_PM-v5.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_FuCd_PM-v5.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_FuCd_PM-v5.0"},
    ],
    lookup_label="JBA_FuCd",
    name="FuCd (Fundus of Caudate Nucleus, Ventral Striatum)",
)
ParcellationEntity.jba__fu_p = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_FuP",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_ventralStriatum"}],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_FuP_PM-v5.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_FuP_PM-v5.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_FuP_PM-v5.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_FuP_PM-v5.0"},
    ],
    lookup_label="JBA_FuP",
    name="FuP (Fundus of Putamen, Ventral Striatum)",
)
ParcellationEntity.jba__heschls_gyrus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_temporalLobe"}],
    lookup_label="JBA_HeschlsGyrus",
    name="Heschl’s gyrus",
)
ParcellationEntity.jba__interposed__nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Interposed-Nucleus",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebellarNuclei"}],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Interposed-Nucleus_PM-v6.0"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Interposed-Nucleus_PM-v6.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Interposed-Nucleus_PM-v6.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Interposed-Nucleus_PM-v6.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Interposed-Nucleus_PM-v6.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Interposed-Nucleus_PM-v6.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Interposed-Nucleus_PM-v6.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Interposed-Nucleus_PM-v6.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Interposed-Nucleus_PM-v6.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Interposed-Nucleus_PM-v6.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Interposed-Nucleus_PM-v6.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Interposed-Nucleus_PM-v6.3"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Interposed-Nucleus_PM-v6.3"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Interposed-Nucleus_PM-v6.3"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Interposed-Nucleus_PM-v6.3"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Interposed-Nucleus_PM-v6.3"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Interposed-Nucleus_PM-v6.3"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Interposed-Nucleus_PM-v6.3"
        },
    ],
    lookup_label="JBA_Interposed-Nucleus",
    name="Interposed Nucleus (Cerebellum)",
)
ParcellationEntity.jba__subiculum = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Subiculum",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Subiculum_PM-v11b.0"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Subiculum_PM-v11.1"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Subiculum_PM-v11.1"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Subiculum_PM-v11.1"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Subiculum_PM-v11.1"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Subiculum_PM-v11.1"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Subiculum_PM-v11.1"},
    ],
    lookup_label="JBA_Subiculum",
    name="Subiculum (Hippocampus)",
)
ParcellationEntity.jba__subiculum__pa_s = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Subiculum.PaS",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Subiculum"}],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Subiculum.PaS_PM-v13.0"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Subiculum.PaS_PM-v13.0"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Subiculum.PaS_PM-v13.0"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Subiculum.PaS_PM-v13.0"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Subiculum.PaS_PM-v13.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Subiculum.PaS_PM-v13.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Subiculum.PaS_PM-v13.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Subiculum.PaS_PM-v13.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Subiculum.PaS_PM-v13.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Subiculum.PaS_PM-v13.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Subiculum.PaS_PM-v13.2"
        },
    ],
    lookup_label="JBA_Subiculum.PaS",
    name="Subiculum.PaS (Hippocampus)",
)
ParcellationEntity.jba__subiculum__pre_s = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Subiculum.PreS",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Subiculum"}],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Subiculum.PreS_PM-v13.0"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Subiculum.PreS_PM-v13.0"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Subiculum.PreS_PM-v13.0"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Subiculum.PreS_PM-v13.0"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Subiculum.PreS_PM-v13.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Subiculum.PreS_PM-v13.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Subiculum.PreS_PM-v13.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Subiculum.PreS_PM-v13.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Subiculum.PreS_PM-v13.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Subiculum.PreS_PM-v13.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Subiculum.PreS_PM-v13.2"
        },
    ],
    lookup_label="JBA_Subiculum.PreS",
    name="Subiculum.PreS (Hippocampus)",
)
ParcellationEntity.jba__subiculum__pro_s = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Subiculum.ProS",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Subiculum"}],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Subiculum.ProS_PM-v13.0"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Subiculum.ProS_PM-v13.0"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Subiculum.ProS_PM-v13.0"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Subiculum.ProS_PM-v13.0"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Subiculum.ProS_PM-v13.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Subiculum.ProS_PM-v13.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Subiculum.ProS_PM-v13.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Subiculum.ProS_PM-v13.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Subiculum.ProS_PM-v13.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Subiculum.ProS_PM-v13.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Subiculum.ProS_PM-v13.2"
        },
    ],
    lookup_label="JBA_Subiculum.ProS",
    name="Subiculum.ProS (Hippocampus)",
)
ParcellationEntity.jba__subiculum__sub = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Subiculum.Sub",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Subiculum"}],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Subiculum.Sub_PM-v13.0"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Subiculum.Sub_PM-v13.0"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Subiculum.Sub_PM-v13.0"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Subiculum.Sub_PM-v13.0"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Subiculum.Sub_PM-v13.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Subiculum.Sub_PM-v13.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Subiculum.Sub_PM-v13.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Subiculum.Sub_PM-v13.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Subiculum.Sub_PM-v13.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Subiculum.Sub_PM-v13.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Subiculum.Sub_PM-v13.2"
        },
    ],
    lookup_label="JBA_Subiculum.Sub",
    name="Subiculum.Sub (Hippocampus)",
)
ParcellationEntity.jba__temporal_to__parietal = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Temporal-to-Parietal",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebralCortex"}],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Temporal-to-Parietal_PM-v9.0"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Temporal-to-Parietal_PM-v9.0"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Temporal-to-Parietal_PM-v9.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Temporal-to-Parietal_PM-v9.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Temporal-to-Parietal_PM-v10.0"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Temporal-to-Parietal_PM-v10.0"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Temporal-to-Parietal_PM-v10.0"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Temporal-to-Parietal_PM-v11.3"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Temporal-to-Parietal_PM-v11.3"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Temporal-to-Parietal_PM-v11.3"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Temporal-to-Parietal_PM-v11.4"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Temporal-to-Parietal_PM-v11.4"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Temporal-to-Parietal_PM-v11.4"
        },
    ],
    lookup_label="JBA_Temporal-to-Parietal",
    name="Temporal-to-Parietal (GapMap)",
)
ParcellationEntity.jba__terminal_islands = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Terminal-islands",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_olfactoryCortex"}],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Terminal-islands_PM-v4.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Terminal-islands_PM-v4.0"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Terminal-islands_PM-v4.0"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Terminal-islands_PM-v4.0"
        },
    ],
    lookup_label="JBA_Terminal-islands",
    name="Terminal islands (Basal Forebrain)",
)
ParcellationEntity.jba__tuberculum = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Tuberculum",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_olfactoryCortex"}],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Tuberculum_PM-v4.0"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Tuberculum_PM-v4.0"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Tuberculum_PM-v4.0"
        },
    ],
    lookup_label="JBA_Tuberculum",
    name="Tuberculum (Basal Forebrain)",
)
ParcellationEntity.jba__ventral__dentate__nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Ventral-Dentate-Nucleus",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dentateNucleus"}],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Ventral-Dentate-Nucleus_PM-v6.0"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Ventral-Dentate-Nucleus_PM-v6.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Ventral-Dentate-Nucleus_PM-v6.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Ventral-Dentate-Nucleus_PM-v6.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Ventral-Dentate-Nucleus_PM-v6.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Ventral-Dentate-Nucleus_PM-v6.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Ventral-Dentate-Nucleus_PM-v6.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Ventral-Dentate-Nucleus_PM-v6.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Ventral-Dentate-Nucleus_PM-v6.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Ventral-Dentate-Nucleus_PM-v6.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Ventral-Dentate-Nucleus_PM-v6.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Ventral-Dentate-Nucleus_PM-v6.3"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Ventral-Dentate-Nucleus_PM-v6.3"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Ventral-Dentate-Nucleus_PM-v6.3"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Ventral-Dentate-Nucleus_PM-v6.3"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Ventral-Dentate-Nucleus_PM-v6.3"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Ventral-Dentate-Nucleus_PM-v6.3"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Ventral-Dentate-Nucleus_PM-v6.3"
        },
    ],
    lookup_label="JBA_Ventral-Dentate-Nucleus",
    name="Ventral Dentate Nucleus (Cerebellum)",
)
ParcellationEntity.jba_agranular_insula = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_agranularInsula",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_insula"}],
    lookup_label="JBA_agranularInsula",
    name="agranular insula",
)
ParcellationEntity.jba_amygdala = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_amygdala",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebralNuclei"}],
    lookup_label="JBA_amygdala",
    name="amygdala",
)
ParcellationEntity.jba_amygdaloid_groups = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_amygdaloidGroups",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_amygdala"}],
    lookup_label="JBA_amygdaloidGroups",
    name="amygdaloid groups",
)
ParcellationEntity.jba_basal_forebrain = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_basalForebrain",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebralNuclei"}],
    lookup_label="JBA_basalForebrain",
    name="basal forebrain",
)
ParcellationEntity.jba_basal_ganglia = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_basalGanglia",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebralNuclei"}],
    lookup_label="JBA_basalGanglia",
    name="basal ganglia",
)
ParcellationEntity.jba_brain = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_brain",
    lookup_label="JBA_brain",
    name="brain",
)
ParcellationEntity.jba_bst = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_BST",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_basalForebrain"}],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_BST_PM-v20.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_BST_PM-v6.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_BST_PM-v6.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_BST_PM-v6.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_BST_PM-v6.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_BST_PM-v6.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_BST_PM-v6.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_BST_PM-v6.1"},
    ],
    lookup_label="JBA_BST",
    name="BST (Bed Nucleus)",
)
ParcellationEntity.jba_ca = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_CA",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_CA_PM-v11.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_CA_PM-v11.1"},
    ],
    lookup_label="JBA_CA",
    name="CA (Hippocampus)",
)
ParcellationEntity.jba_ca1 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_CA1",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_CA1_PM-v11b.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_CA1_PM-v11.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_CA1_PM-v11.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_CA1_PM-v11.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_CA1_PM-v11.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_CA1_PM-v13.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_CA1_PM-v13.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_CA1_PM-v13.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_CA1_PM-v13.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_CA1_PM-v13.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_CA1_PM-v13.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_CA1_PM-v13.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_CA1_PM-v13.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_CA1_PM-v13.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_CA1_PM-v13.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_CA1_PM-v13.2"},
    ],
    lookup_label="JBA_CA1",
    name="CA1 (Hippocampus)",
)
ParcellationEntity.jba_ca2 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_CA2",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_CA2_PM-v11b.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_CA2_PM-v11.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_CA2_PM-v11.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_CA2_PM-v11.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_CA2_PM-v11.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_CA2_PM-v13.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_CA2_PM-v13.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_CA2_PM-v13.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_CA2_PM-v13.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_CA2_PM-v13.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_CA2_PM-v13.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_CA2_PM-v13.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_CA2_PM-v13.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_CA2_PM-v13.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_CA2_PM-v13.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_CA2_PM-v13.2"},
    ],
    lookup_label="JBA_CA2",
    name="CA2 (Hippocampus)",
)
ParcellationEntity.jba_ca3 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_CA3",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_CA3_PM-v11b.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_CA3_PM-v11.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_CA3_PM-v11.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_CA3_PM-v11.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_CA3_PM-v11.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_CA3_PM-v13.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_CA3_PM-v13.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_CA3_PM-v13.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_CA3_PM-v13.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_CA3_PM-v13.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_CA3_PM-v13.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_CA3_PM-v13.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_CA3_PM-v13.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_CA3_PM-v13.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_CA3_PM-v13.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_CA3_PM-v13.2"},
    ],
    lookup_label="JBA_CA3",
    name="CA3 (Hippocampus)",
)
ParcellationEntity.jba_cerebellar_nuclei = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebellarNuclei",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebellum"}],
    lookup_label="JBA_cerebellarNuclei",
    name="cerebellar nuclei",
)
ParcellationEntity.jba_cerebellum = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebellum",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_metencephalon"}],
    lookup_label="JBA_cerebellum",
    name="cerebellum",
)
ParcellationEntity.jba_cerebral_cortex = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebralCortex",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_telencephalon"}],
    lookup_label="JBA_cerebralCortex",
    name="cerebral cortex",
)
ParcellationEntity.jba_cerebral_nuclei = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebralNuclei",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_telencephalon"}],
    lookup_label="JBA_cerebralNuclei",
    name="cerebral nuclei",
)
ParcellationEntity.jba_cgl = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_CGL",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_metathalamus"}],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_CGL_PM-v12.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_CGL_PM-v5.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_CGL_PM-v5.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_CGL_PM-v5.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_CGL_PM-v5.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_CGL_PM-v10.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_CGL_PM-v10.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_CGL_PM-v10.0"},
    ],
    lookup_label="JBA_CGL",
    name="CGL (Metathalamus)",
)
ParcellationEntity.jba_cgl_lam1 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_CGL.lam1",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_CGL"}],
    lookup_label="JBA_CGL.lam1",
    name="CGL.lam1 (Metathalamus)",
)
ParcellationEntity.jba_cgl_lam2 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_CGL.lam2",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_CGL"}],
    lookup_label="JBA_CGL.lam2",
    name="CGL.lam2 (Metathalamus)",
)
ParcellationEntity.jba_cgl_lam3 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_CGL.lam3",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_CGL"}],
    lookup_label="JBA_CGL.lam3",
    name="CGL.lam3 (Metathalamus)",
)
ParcellationEntity.jba_cgl_lam4 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_CGL.lam4",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_CGL"}],
    lookup_label="JBA_CGL.lam4",
    name="CGL.lam4 (Metathalamus)",
)
ParcellationEntity.jba_cgl_lam5 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_CGL.lam5",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_CGL"}],
    lookup_label="JBA_CGL.lam5",
    name="CGL.lam5 (Metathalamus)",
)
ParcellationEntity.jba_cgl_lam6 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_CGL.lam6",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_CGL"}],
    lookup_label="JBA_CGL.lam6",
    name="CGL.lam6 (Metathalamus)",
)
ParcellationEntity.jba_cgm = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_CGM",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_metathalamus"}],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_CGM_PM-v10.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_CGM_PM-v5.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_CGM_PM-v5.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_CGM_PM-v5.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_CGM_PM-v5.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_CGM_PM-v10.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_CGM_PM-v10.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_CGM_PM-v10.0"},
    ],
    lookup_label="JBA_CGM",
    name="CGM (Metathalamus)",
)
ParcellationEntity.jba_cgm_cg_md = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_CGM.CGMd",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_CGM"}],
    lookup_label="JBA_CGM.CGMd",
    name="CGM.CGMd (Metathalamus)",
)
ParcellationEntity.jba_cgm_cg_mm = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_CGM.CGMm",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_CGM"}],
    lookup_label="JBA_CGM.CGMm",
    name="CGM.CGMm (Metathalamus)",
)
ParcellationEntity.jba_cgm_cg_mv = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_CGM.CGMv",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_CGM"}],
    lookup_label="JBA_CGM.CGMv",
    name="CGM.CGMv (Metathalamus)",
)
ParcellationEntity.jba_cingulate_gyrus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cingulateGyrus",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_limbicLobe"}],
    lookup_label="JBA_cingulateGyrus",
    name="cingulate gyrus",
)
ParcellationEntity.jba_cm = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_CM",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_amygdaloidGroups"}],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_CM_PM-v6.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_CM_PM-v6.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_CM_PM-v6.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_CM_PM-v6.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_CM_PM-v6.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_CM_PM-v6.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_CM_PM-v6.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_CM_PM-v8.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_CM_PM-v8.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_CM_PM-v8.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_CM_PM-v8.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_CM_PM-v8.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_CM_PM-v8.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_CM_PM-v8.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_CM_PM-v8.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_CM_PM-v8.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_CM_PM-v8.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_CM_PM-v8.2"},
    ],
    lookup_label="JBA_CM",
    name="CM (Amygdala)",
)
ParcellationEntity.jba_cm__ce = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_CM.Ce",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_CM"}],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_CM.Ce_PM-v8.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_CM.Ce_PM-v8.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_CM.Ce_PM-v8.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_CM.Ce_PM-v8.2"},
    ],
    lookup_label="JBA_CM.Ce",
    name="CM.Ce (Amygdala)",
)
ParcellationEntity.jba_cm__me = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_CM.Me",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_CM"}],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_CM.Me_PM-v8.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_CM.Me_PM-v8.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_CM.Me_PM-v8.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_CM.Me_PM-v8.2"},
    ],
    lookup_label="JBA_CM.Me",
    name="CM.Me (Amygdala)",
)
ParcellationEntity.jba_cm_aaa = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_CM.AAA",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_CM"}],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_CM.AAA_PM-v11.4"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_CM.AAA_PM-v8.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_CM.AAA_PM-v8.2"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_CM.AAA_PM-v8.2"
        },
    ],
    lookup_label="JBA_CM.AAA",
    name="CM.AAA (Amygdala)",
)
ParcellationEntity.jba_collateral_sulcus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_collateralSulcus",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_temporalLobe"}],
    lookup_label="JBA_collateralSulcus",
    name="collateral sulcus",
)
ParcellationEntity.jba_dentate_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dentateNucleus",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebellarNuclei"}],
    lookup_label="JBA_dentateNucleus",
    name="dentate nucleus",
)
ParcellationEntity.jba_dg = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_DG",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_DG_PM-v11b.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_DG_PM-v11.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_DG_PM-v11.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_DG_PM-v11.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_DG_PM-v11.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_DG_PM-v11.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_DG_PM-v11.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_DG_PM-v13.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_DG_PM-v13.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_DG_PM-v13.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_DG_PM-v13.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_DG_PM-v13.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_DG_PM-v13.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_DG_PM-v13.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_DG_PM-v13.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_DG_PM-v13.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_DG_PM-v13.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_DG_PM-v13.2"},
    ],
    lookup_label="JBA_DG",
    name="DG (Hippocampus)",
)
ParcellationEntity.jba_diencephalon = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_diencephalon",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_brain"}],
    lookup_label="JBA_diencephalon",
    name="diencephalon",
)
ParcellationEntity.jba_dorsal_occipital_cortex = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalOccipitalCortex",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_occipitalLobe"}],
    lookup_label="JBA_dorsalOccipitalCortex",
    name="dorsal occipital cortex",
)
ParcellationEntity.jba_dorsal_precentral_gyrus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalPrecentralGyrus",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalLobe"}],
    lookup_label="JBA_dorsalPrecentralGyrus",
    name="dorsal precentral gyrus",
)
ParcellationEntity.jba_dysgranular_insula = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_insula"}],
    lookup_label="JBA_dysgranularInsula",
    name="dysgranular insula",
)
ParcellationEntity.jba_fiber_masses = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fiberMasses",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_amygdala"}],
    lookup_label="JBA_fiberMasses",
    name="fiber masses",
)
ParcellationEntity.jba_frontal_cingulate_gyrus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cingulateGyrus"}],
    lookup_label="JBA_frontalCingulateGyrus",
    name="frontal cingulate gyrus",
)
ParcellationEntity.jba_frontal_lobe = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalLobe",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebralCortex"}],
    lookup_label="JBA_frontalLobe",
    name="frontal lobe",
)
ParcellationEntity.jba_frontal_operculum = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalLobe"}],
    lookup_label="JBA_frontalOperculum",
    name="frontal operculum",
)
ParcellationEntity.jba_frontal_pole = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalPole",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalLobe"}],
    lookup_label="JBA_frontalPole",
    name="frontal pole",
)
ParcellationEntity.jba_fronto_marginal_sulcus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fronto-marginalSulcus",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalLobe"}],
    lookup_label="JBA_fronto-marginalSulcus",
    name="fronto-marginal sulcus",
)
ParcellationEntity.jba_fusiform_gyrus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_temporalLobe"}],
    lookup_label="JBA_fusiformGyrus",
    name="fusiform gyrus",
)
ParcellationEntity.jba_granular_insula = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_granularInsula",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_insula"}],
    lookup_label="JBA_granularInsula",
    name="granular insula",
)
ParcellationEntity.jba_hata = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HATA",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_HATA_PM-v11b.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_HATA_PM-v11.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_HATA_PM-v11.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_HATA_PM-v11.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_HATA_PM-v11.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_HATA_PM-v11.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_HATA_PM-v11.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_HATA_PM-v13.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_HATA_PM-v13.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_HATA_PM-v13.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_HATA_PM-v13.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_HATA_PM-v13.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_HATA_PM-v13.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_HATA_PM-v13.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_HATA_PM-v13.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_HATA_PM-v13.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_HATA_PM-v13.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_HATA_PM-v13.2"},
    ],
    lookup_label="JBA_HATA",
    name="HATA (Hippocampus)",
)
ParcellationEntity.jba_hc__transsubiculum = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HC-Transsubiculum",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_HC-Transsubiculum_PM-v13.0"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_HC-Transsubiculum_PM-v13.0"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_HC-Transsubiculum_PM-v13.0"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_HC-Transsubiculum_PM-v13.0"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_HC-Transsubiculum_PM-v13.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_HC-Transsubiculum_PM-v13.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_HC-Transsubiculum_PM-v13.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_HC-Transsubiculum_PM-v13.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_HC-Transsubiculum_PM-v13.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_HC-Transsubiculum_PM-v13.2"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_HC-Transsubiculum_PM-v13.2"
        },
    ],
    lookup_label="JBA_HC-Transsubiculum",
    name="HC-Transsubiculum (Hippocampus)",
)
ParcellationEntity.jba_hippocampal_formation = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_limbicLobe"}],
    lookup_label="JBA_hippocampalFormation",
    name="hippocampal formation",
)
ParcellationEntity.jba_if = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_IF",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fiberMasses"}],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_IF_PM-v6.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_IF_PM-v6.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_IF_PM-v6.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_IF_PM-v6.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_IF_PM-v6.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_IF_PM-v6.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_IF_PM-v6.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_IF_PM-v8.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_IF_PM-v8.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_IF_PM-v8.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_IF_PM-v8.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_IF_PM-v8.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_IF_PM-v8.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_IF_PM-v8.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_IF_PM-v8.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_IF_PM-v8.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_IF_PM-v8.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_IF_PM-v8.2"},
    ],
    lookup_label="JBA_IF",
    name="IF (Amygdala)",
)
ParcellationEntity.jba_if_ice = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_IF.ice",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_IF"}],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_IF.ice_PM-v13.2"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_IF.ice_PM-v8.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_IF.ice_PM-v8.2"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_IF.ice_PM-v8.2"
        },
    ],
    lookup_label="JBA_IF.ice",
    name="IF.ice (Amygdala)",
)
ParcellationEntity.jba_if_iol = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_IF.iol",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_IF"}],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_IF.iol_PM-v8.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_IF.iol_PM-v8.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_IF.iol_PM-v8.2"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_IF.iol_PM-v8.2"
        },
    ],
    lookup_label="JBA_IF.iol",
    name="IF.iol (Amygdala)",
)
ParcellationEntity.jba_if_ld = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_IF.ld",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_IF"}],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_IF.ld_PM-v8.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_IF.ld_PM-v8.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_IF.ld_PM-v8.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_IF.ld_PM-v8.2"},
    ],
    lookup_label="JBA_IF.ld",
    name="IF.ld (Amygdala)",
)
ParcellationEntity.jba_inferior_frontal_gyrus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalGyrus",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalLobe"}],
    lookup_label="JBA_inferiorFrontalGyrus",
    name="inferior frontal gyrus",
)
ParcellationEntity.jba_inferior_frontal_sulcus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalLobe"}],
    lookup_label="JBA_inferiorFrontalSulcus",
    name="inferior frontal sulcus",
)
ParcellationEntity.jba_inferior_parietal_lobule = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalLobe"}],
    lookup_label="JBA_inferiorParietalLobule",
    name="inferior parietal lobule",
)
ParcellationEntity.jba_insula = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_insula",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebralCortex"}],
    lookup_label="JBA_insula",
    name="insula",
)
ParcellationEntity.jba_intraparietal_sulcus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalLobe"}],
    lookup_label="JBA_intraparietalSulcus",
    name="intraparietal sulcus",
)
ParcellationEntity.jba_lateral_occipital_cortex = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOccipitalCortex",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_occipitalLobe"}],
    lookup_label="JBA_lateralOccipitalCortex",
    name="lateral occipital cortex",
)
ParcellationEntity.jba_lateral_orbitofrontal_cortex = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalLobe"}],
    lookup_label="JBA_lateralOrbitofrontalCortex",
    name="lateral orbitofrontal cortex",
)
ParcellationEntity.jba_lb = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_LB",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_amygdaloidGroups"}],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_LB_PM-v6.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_LB_PM-v6.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_LB_PM-v6.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_LB_PM-v6.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_LB_PM-v6.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_LB_PM-v6.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_LB_PM-v6.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_LB_PM-v8.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_LB_PM-v8.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_LB_PM-v8.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_LB_PM-v8.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_LB_PM-v8.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_LB_PM-v8.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_LB_PM-v8.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_LB_PM-v8.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_LB_PM-v8.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_LB_PM-v8.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_LB_PM-v8.2"},
    ],
    lookup_label="JBA_LB",
    name="LB (Amygdala)",
)
ParcellationEntity.jba_lb__bl = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_LB.Bl",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_LB"}],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_LB.Bl_PM-v3.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_LB.Bl_PM-v8.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_LB.Bl_PM-v8.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_LB.Bl_PM-v8.2"},
    ],
    lookup_label="JBA_LB.Bl",
    name="LB.Bl (Amygdala)",
)
ParcellationEntity.jba_lb__bm = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_LB.Bm",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_LB"}],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_LB.Bm_PM-v8.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_LB.Bm_PM-v8.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_LB.Bm_PM-v8.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_LB.Bm_PM-v8.2"},
    ],
    lookup_label="JBA_LB.Bm",
    name="LB.Bm (Amygdala)",
)
ParcellationEntity.jba_lb__la = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_LB.La",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_LB"}],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_LB.La_PM-v8.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_LB.La_PM-v8.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_LB.La_PM-v8.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_LB.La_PM-v8.2"},
    ],
    lookup_label="JBA_LB.La",
    name="LB.La (Amygdala)",
)
ParcellationEntity.jba_lb__pl = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_LB.Pl",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_LB"}],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_LB.Pl_PM-v8.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_LB.Pl_PM-v8.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_LB.Pl_PM-v8.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_LB.Pl_PM-v8.2"},
    ],
    lookup_label="JBA_LB.Pl",
    name="LB.Pl (Amygdala)",
)
ParcellationEntity.jba_limbic_lobe = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_limbicLobe",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebralCortex"}],
    lookup_label="JBA_limbicLobe",
    name="limbic lobe",
)
ParcellationEntity.jba_magnocellular_group = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_magnocellularGroup",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_basalForebrain"}],
    lookup_label="JBA_magnocellularGroup",
    name="magnocellular group",
)
ParcellationEntity.jba_medial_orbitofrontal_cortex = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_medialOrbitofrontalCortex",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalLobe"}],
    lookup_label="JBA_medialOrbitofrontalCortex",
    name="medial orbitofrontal cortex",
)
ParcellationEntity.jba_mesial_precentral_gyrus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_mesialPrecentralGyrus",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalLobe"}],
    lookup_label="JBA_mesialPrecentralGyrus",
    name="mesial precentral gyrus",
)
ParcellationEntity.jba_metathalamus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_metathalamus",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_thalamus"}],
    lookup_label="JBA_metathalamus",
    name="metathalamus",
)
ParcellationEntity.jba_metencephalon = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_metencephalon",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_brain"}],
    lookup_label="JBA_metencephalon",
    name="metencephalon",
)
ParcellationEntity.jba_mf = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_MF",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fiberMasses"}],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_MF_PM-v6.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_MF_PM-v6.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_MF_PM-v6.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_MF_PM-v6.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_MF_PM-v6.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_MF_PM-v6.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_MF_PM-v6.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_MF_PM-v8.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_MF_PM-v8.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_MF_PM-v8.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_MF_PM-v8.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_MF_PM-v8.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_MF_PM-v8.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_MF_PM-v8.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_MF_PM-v8.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_MF_PM-v8.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_MF_PM-v8.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_MF_PM-v8.2"},
    ],
    lookup_label="JBA_MF",
    name="MF (Amygdala)",
)
ParcellationEntity.jba_mf_icm = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_MF.icm",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_MF"}],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_MF.icm_PM-v10.0"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_MF.icm_PM-v8.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_MF.icm_PM-v8.2"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_MF.icm_PM-v8.2"
        },
    ],
    lookup_label="JBA_MF.icm",
    name="MF.icm (Amygdala)",
)
ParcellationEntity.jba_mf_lm = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_MF.lm",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_MF"}],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_MF.lm_PM-v8.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_MF.lm_PM-v8.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_MF.lm_PM-v8.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_MF.lm_PM-v8.2"},
    ],
    lookup_label="JBA_MF.lm",
    name="MF.lm (Amygdala)",
)
ParcellationEntity.jba_middle_frontal_gyrus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_middleFrontalGyrus",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalLobe"}],
    lookup_label="JBA_middleFrontalGyrus",
    name="middle frontal gyrus",
)
ParcellationEntity.jba_occipital_cortex = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_occipitalCortex",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_occipitalLobe"}],
    lookup_label="JBA_occipitalCortex",
    name="occipital cortex",
)
ParcellationEntity.jba_occipital_lobe = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_occipitalLobe",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebralCortex"}],
    lookup_label="JBA_occipitalLobe",
    name="occipital lobe",
)
ParcellationEntity.jba_olfactory_cortex = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_olfactoryCortex",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_limbicLobe"}],
    lookup_label="JBA_olfactoryCortex",
    name="olfactory cortex",
)
ParcellationEntity.jba_parahippocampal_gyrus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parahippocampalGyrus",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_temporalLobe"}],
    lookup_label="JBA_parahippocampalGyrus",
    name="parahippocampal gyrus",
)
ParcellationEntity.jba_parietal_lobe = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalLobe",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebralCortex"}],
    lookup_label="JBA_parietalLobe",
    name="parietal lobe",
)
ParcellationEntity.jba_parietal_operculum = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalLobe"}],
    lookup_label="JBA_parietalOperculum",
    name="parietal operculum",
)
ParcellationEntity.jba_parieto_occipital_sulcus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parieto-occipitalSulcus",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalLobe"}],
    lookup_label="JBA_parieto-occipitalSulcus",
    name="parieto-occipital sulcus",
)
ParcellationEntity.jba_postcentral_gyrus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalLobe"}],
    lookup_label="JBA_postcentralGyrus",
    name="postcentral gyrus",
)
ParcellationEntity.jba_posterior_medial_superior_frontal_gyrus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_posteriorMedialSuperiorFrontalGyrus",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalLobe"}],
    lookup_label="JBA_posteriorMedialSuperiorFrontalGyrus",
    name="posterior medial superior frontal gyrus",
)
ParcellationEntity.jba_precentral_gyrus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_precentralGyrus",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalLobe"}],
    lookup_label="JBA_precentralGyrus",
    name="precentral gyrus",
)
ParcellationEntity.jba_retrosplenial_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_retrosplenialPart",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cingulateGyrus"}],
    lookup_label="JBA_retrosplenialPart",
    name="retrosplenial part",
)
ParcellationEntity.jba_sf = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_SF",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_amygdaloidGroups"}],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_SF_PM-v6.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_SF_PM-v6.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_SF_PM-v6.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_SF_PM-v6.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_SF_PM-v6.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_SF_PM-v6.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_SF_PM-v6.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_SF_PM-v8.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_SF_PM-v8.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_SF_PM-v8.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_SF_PM-v8.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_SF_PM-v8.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_SF_PM-v8.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_SF_PM-v8.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_SF_PM-v8.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_SF_PM-v8.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_SF_PM-v8.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_SF_PM-v8.2"},
    ],
    lookup_label="JBA_SF",
    name="SF (Amygdala)",
)
ParcellationEntity.jba_sf_a_hi = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_SF.AHi",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_SF"}],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_SF.AHi_PM-v11.0"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_SF.AHi_PM-v8.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_SF.AHi_PM-v8.2"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_SF.AHi_PM-v8.2"
        },
    ],
    lookup_label="JBA_SF.AHi",
    name="SF.AHi (Amygdala)",
)
ParcellationEntity.jba_sf_a_pir = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_SF.APir",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_SF"}],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_SF.APir_PM-v8.2"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_SF.APir_PM-v8.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_SF.APir_PM-v8.2"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_SF.APir_PM-v8.2"
        },
    ],
    lookup_label="JBA_SF.APir",
    name="SF.APir (Amygdala)",
)
ParcellationEntity.jba_sf_v_co = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_SF.VCo",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_SF"}],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_SF.VCo_PM-v8.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_SF.VCo_PM-v8.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_SF.VCo_PM-v8.2"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_SF.VCo_PM-v8.2"
        },
    ],
    lookup_label="JBA_SF.VCo",
    name="SF.VCo (Amygdala)",
)
ParcellationEntity.jba_stn = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_STN",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_subthalamus"}],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_STN_PM-v4.3"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_STN_PM-v5.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_STN_PM-v5.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_STN_PM-v5.0"},
    ],
    lookup_label="JBA_STN",
    name="STN (Subthalamus)",
)
ParcellationEntity.jba_sublenticular_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_sublenticularPart",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_basalForebrain"}],
    lookup_label="JBA_sublenticularPart",
    name="sublenticular part",
)
ParcellationEntity.jba_subthalamus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_subthalamus",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_diencephalon"}],
    lookup_label="JBA_subthalamus",
    name="subthalamus",
)
ParcellationEntity.jba_superior_frontal_gyrus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalGyrus",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalLobe"}],
    lookup_label="JBA_superiorFrontalGyrus",
    name="superior frontal gyrus",
)
ParcellationEntity.jba_superior_frontal_sulcus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalSulcus",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalLobe"}],
    lookup_label="JBA_superiorFrontalSulcus",
    name="superior frontal sulcus",
)
ParcellationEntity.jba_superior_parietal_lobule = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalLobe"}],
    lookup_label="JBA_superiorParietalLobule",
    name="superior parietal lobule",
)
ParcellationEntity.jba_superior_temporal_gyrus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalGyrus",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_temporalLobe"}],
    lookup_label="JBA_superiorTemporalGyrus",
    name="superior temporal gyrus",
)
ParcellationEntity.jba_superior_temporal_sulcus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalSulcus",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_temporalLobe"}],
    lookup_label="JBA_superiorTemporalSulcus",
    name="superior temporal sulcus",
)
ParcellationEntity.jba_telencephalon = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_telencephalon",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_brain"}],
    lookup_label="JBA_telencephalon",
    name="telencephalon",
)
ParcellationEntity.jba_temporal_insula = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_temporalInsula",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_temporalLobe"}],
    lookup_label="JBA_temporalInsula",
    name="temporal insula",
)
ParcellationEntity.jba_temporal_lobe = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_temporalLobe",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebralCortex"}],
    lookup_label="JBA_temporalLobe",
    name="temporal lobe",
)
ParcellationEntity.jba_temporo_parietal_junction = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_temporo-parietalJunction",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_temporalLobe"}],
    lookup_label="JBA_temporo-parietalJunction",
    name="temporo-parietal junction",
)
ParcellationEntity.jba_thalamus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_thalamus",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_diencephalon"}],
    lookup_label="JBA_thalamus",
    name="thalamus",
)
ParcellationEntity.jba_ventral_occipital_cortex = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_ventralOccipitalCortex",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_occipitalLobe"}],
    lookup_label="JBA_ventralOccipitalCortex",
    name="ventral occipital cortex",
)
ParcellationEntity.jba_ventral_striatum = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_ventralStriatum",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_basalGanglia"}],
    lookup_label="JBA_ventralStriatum",
    name="ventral striatum",
)
ParcellationEntity.jba_vp = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_VP",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_basalGanglia"}],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_VP_PM-v6.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_VP_PM-v5.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_VP_PM-v5.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_VP_PM-v5.0"},
    ],
    lookup_label="JBA_VP",
    name="VP (Ventral Pallidum)",
)
ParcellationEntity.jba_vtm = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/JBA_VTM",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fiberMasses"}],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_VTM_PM-v6.1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_VTM_PM-v6.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_VTM_PM-v6.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_VTM_PM-v6.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_VTM_PM-v6.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_VTM_PM-v6.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_VTM_PM-v6.4"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_VTM_PM-v8.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_VTM_PM-v8.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_VTM_PM-v8.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_VTM_PM-v8.0"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_VTM_PM-v8.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_VTM_PM-v8.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_VTM_PM-v8.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_VTM_PM-v8.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_VTM_PM-v8.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_VTM_PM-v8.2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_VTM_PM-v8.2"},
    ],
    lookup_label="JBA_VTM",
    name="VTM (Amygdala)",
)
ParcellationEntity.pw_rbsc_cor_10th_cerebellar_lobule_nodule = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_10thCerebellarLobuleNodule",
    abbreviation="10Cb",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_10thCerebellarLobuleNodule"
        }
    ],
    lookup_label="PW-RBSC-cor_10thCerebellarLobuleNodule",
    name="10th cerebellar lobule (nodule)",
)
ParcellationEntity.pw_rbsc_cor_1st_cerebellar_lobule_lingula = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_1stCerebellarLobuleLingula",
    abbreviation="1Cb",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_1stCerebellarLobuleLingula"
        }
    ],
    lookup_label="PW-RBSC-cor_1stCerebellarLobuleLingula",
    name="1st cerebellar lobule (lingula)",
)
ParcellationEntity.pw_rbsc_cor_2b_cerebellar_lobule = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_2bCerebellarLobule",
    abbreviation="2bCb",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_2bCerebellarLobule"
        }
    ],
    lookup_label="PW-RBSC-cor_2bCerebellarLobule",
    name="2b cerebellar lobule",
)
ParcellationEntity.pw_rbsc_cor_2nd_and3rd_cerebellar_lobules = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_2ndAnd3rdCerebellarLobules",
    abbreviation="2/3Cb",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_2ndAnd3rdCerebellarLobules"
        }
    ],
    lookup_label="PW-RBSC-cor_2ndAnd3rdCerebellarLobules",
    name="2nd and 3rd cerebellar lobules",
)
ParcellationEntity.pw_rbsc_cor_2nd_cerebellar_lobule = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_2ndCerebellarLobule",
    abbreviation="2Cb",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_2ndCerebellarLobule"
        }
    ],
    lookup_label="PW-RBSC-cor_2ndCerebellarLobule",
    name="2nd cerebellar lobule",
)
ParcellationEntity.pw_rbsc_cor_3rd_and4th_cerebellar_lobules = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_3rdAnd4thCerebellarLobules",
    abbreviation="3/4Cb",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_3rdAnd4thCerebellarLobules"
        }
    ],
    lookup_label="PW-RBSC-cor_3rdAnd4thCerebellarLobules",
    name="3rd and 4th cerebellar lobules",
)
ParcellationEntity.pw_rbsc_cor_3rd_cerebellar_lobule = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_3rdCerebellarLobule",
    abbreviation="3Cb",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_3rdCerebellarLobule"
        }
    ],
    lookup_label="PW-RBSC-cor_3rdCerebellarLobule",
    name="3rd cerebellar lobule",
)
ParcellationEntity.pw_rbsc_cor_3rd_ventricle = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_3rdVentricle",
    abbreviation="3V",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_3rdVentricle"}
    ],
    lookup_label="PW-RBSC-cor_3rdVentricle",
    name="3rd ventricle",
)
ParcellationEntity.pw_rbsc_cor_4th_and5th_cerebellar_lobules = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_4thAnd5thCerebellarLobules",
    abbreviation="4/5Cb",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_4thAnd5thCerebellarLobules"
        }
    ],
    lookup_label="PW-RBSC-cor_4thAnd5thCerebellarLobules",
    name="4th and 5th cerebellar lobules",
)
ParcellationEntity.pw_rbsc_cor_4th_cerebellar_lobule = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_4thCerebellarLobule",
    abbreviation="4Cb",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_4thCerebellarLobule"
        }
    ],
    lookup_label="PW-RBSC-cor_4thCerebellarLobule",
    name="4th cerebellar lobule",
)
ParcellationEntity.pw_rbsc_cor_4th_ventricle = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_4thVentricle",
    abbreviation="4V",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_4thVentricle"}
    ],
    lookup_label="PW-RBSC-cor_4thVentricle",
    name="4th ventricle",
)
ParcellationEntity.pw_rbsc_cor_5th_cerebellar_lobule = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_5thCerebellarLobule",
    abbreviation="5Cb",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_5thCerebellarLobule"
        }
    ],
    lookup_label="PW-RBSC-cor_5thCerebellarLobule",
    name="5th cerebellar lobule",
)
ParcellationEntity.pw_rbsc_cor_6a_cerebellar_lobule = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_6aCerebellarLobule",
    abbreviation="6aCb",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_6aCerebellarLobule"
        }
    ],
    lookup_label="PW-RBSC-cor_6aCerebellarLobule",
    name="6a cerebellar lobule",
)
ParcellationEntity.pw_rbsc_cor_6b_cerebellar_lobule = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_6bCerebellarLobule",
    abbreviation="6bCb",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_6bCerebellarLobule"
        }
    ],
    lookup_label="PW-RBSC-cor_6bCerebellarLobule",
    name="6b cerebellar lobule",
)
ParcellationEntity.pw_rbsc_cor_6c_cerebellar_lobule = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_6cCerebellarLobule",
    abbreviation="6cCb",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_6cCerebellarLobule"
        }
    ],
    lookup_label="PW-RBSC-cor_6cCerebellarLobule",
    name="6c cerebellar lobule",
)
ParcellationEntity.pw_rbsc_cor_6th_cerebellar_lobule = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_6thCerebellarLobule",
    abbreviation="6Cb",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_6thCerebellarLobule"
        }
    ],
    lookup_label="PW-RBSC-cor_6thCerebellarLobule",
    name="6th cerebellar lobule",
)
ParcellationEntity.pw_rbsc_cor_7th_cerebellar_lobule = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_7thCerebellarLobule",
    abbreviation="7Cb",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_7thCerebellarLobule"
        }
    ],
    lookup_label="PW-RBSC-cor_7thCerebellarLobule",
    name="7th cerebellar lobule",
)
ParcellationEntity.pw_rbsc_cor_8th_cerebellar_lobule = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_8thCerebellarLobule",
    abbreviation="8Cb",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_8thCerebellarLobule"
        }
    ],
    lookup_label="PW-RBSC-cor_8thCerebellarLobule",
    name="8th cerebellar lobule",
)
ParcellationEntity.pw_rbsc_cor_9th_cerebellar_lobule = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_9thCerebellarLobule",
    abbreviation="9Cb",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_9thCerebellarLobule"
        }
    ],
    lookup_label="PW-RBSC-cor_9thCerebellarLobule",
    name="9th cerebellar lobule",
)
ParcellationEntity.pw_rbsc_cor_9th_cerebellar_lobule_a = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_9thCerebellarLobuleA",
    abbreviation="9aCb",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_9thCerebellarLobuleA"
        }
    ],
    lookup_label="PW-RBSC-cor_9thCerebellarLobuleA",
    name="9th cerebellar lobule, a",
)
ParcellationEntity.pw_rbsc_cor_9th_cerebellar_lobule_a_and_b = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_9thCerebellarLobuleAAndB",
    abbreviation="9a,bCb",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_9thCerebellarLobuleAAndB"
        }
    ],
    lookup_label="PW-RBSC-cor_9thCerebellarLobuleAAndB",
    name="9th cerebellar lobule, a and b",
)
ParcellationEntity.pw_rbsc_cor_9th_cerebellar_lobule_b = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_9thCerebellarLobuleB",
    abbreviation="9bCb",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_9thCerebellarLobuleB"
        }
    ],
    lookup_label="PW-RBSC-cor_9thCerebellarLobuleB",
    name="9th cerebellar lobule, b",
)
ParcellationEntity.pw_rbsc_cor_9th_cerebellar_lobule_c = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_9thCerebellarLobuleC",
    abbreviation="9cCb",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_9thCerebellarLobuleC"
        }
    ],
    lookup_label="PW-RBSC-cor_9thCerebellarLobuleC",
    name="9th cerebellar lobule, c",
)
ParcellationEntity.pw_rbsc_cor__barringtons_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_BarringtonsNucleus",
    abbreviation="Bar",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_BarringtonsNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_BarringtonsNucleus",
    name="Barrington’s nucleus",
)
ParcellationEntity.pw_rbsc_cor__botzinger_complex = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_BotzingerComplex",
    abbreviation="Bo",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_BotzingerComplex"}
    ],
    lookup_label="PW-RBSC-cor_BotzingerComplex",
    name="Botzinger complex",
)
ParcellationEntity.pw_rbsc_cor__edinger_westphal_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_EdingerWestphalNucleus",
    abbreviation="EW",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_EdingerWestphalNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_EdingerWestphalNucleus",
    name="Edinger-Westphal nucleus",
)
ParcellationEntity.pw_rbsc_cor__killiker_fuse_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_KillikerFuseNucleus",
    abbreviation="KF",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_KillikerFuseNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_KillikerFuseNucleus",
    name="Kîlliker-Fuse nucleus",
)
ParcellationEntity.pw_rbsc_cor__purkinje_cell_layer_of_the_cerebellum = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_PurkinjeCellLayerOfTheCerebellum",
    abbreviation="Pk",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_PurkinjeCellLayerOfTheCerebellum"
        }
    ],
    lookup_label="PW-RBSC-cor_PurkinjeCellLayerOfTheCerebellum",
    name="Purkinje cell layer of the cerebellum",
)
ParcellationEntity.pw_rbsc_cor_a11dopamine_cells = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_A11dopamineCells",
    abbreviation="A11",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_A11dopamineCells"}
    ],
    lookup_label="PW-RBSC-cor_A11dopamineCells",
    name="A11dopamine cells",
)
ParcellationEntity.pw_rbsc_cor_a13_dopamine_cells = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_A13DopamineCells",
    abbreviation="A13",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_A13DopamineCells"}
    ],
    lookup_label="PW-RBSC-cor_A13DopamineCells",
    name="A13 dopamine cells",
)
ParcellationEntity.pw_rbsc_cor_a1_noradrenaline_cells = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_A1NoradrenalineCells",
    abbreviation="A1",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_A1NoradrenalineCells"
        }
    ],
    lookup_label="PW-RBSC-cor_A1NoradrenalineCells",
    name="A1 noradrenaline cells",
)
ParcellationEntity.pw_rbsc_cor_a1_noradrenaline_cells_c1_adrenaline_cells = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_A1NoradrenalineCellsC1AdrenalineCells",
    abbreviation="A1/C1",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_A1NoradrenalineCellsC1AdrenalineCells"
        }
    ],
    lookup_label="PW-RBSC-cor_A1NoradrenalineCellsC1AdrenalineCells",
    name="A1 noradrenaline cells/C1 adrenaline cells",
)
ParcellationEntity.pw_rbsc_cor_a2_noradrenaline_cells = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_A2NoradrenalineCells",
    abbreviation="A2",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_A2NoradrenalineCells"
        }
    ],
    lookup_label="PW-RBSC-cor_A2NoradrenalineCells",
    name="A2 noradrenaline cells",
)
ParcellationEntity.pw_rbsc_cor_a5_noradrenaline_cells = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_A5NoradrenalineCells",
    abbreviation="A5",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_A5NoradrenalineCells"
        }
    ],
    lookup_label="PW-RBSC-cor_A5NoradrenalineCells",
    name="A5 noradrenaline cells",
)
ParcellationEntity.pw_rbsc_cor_a7_noradrenaline_cells = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_A7NoradrenalineCells",
    abbreviation="A7",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_A7NoradrenalineCells"
        }
    ],
    lookup_label="PW-RBSC-cor_A7NoradrenalineCells",
    name="A7 noradrenaline cells",
)
ParcellationEntity.pw_rbsc_cor_abducens_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_abducensNucleus",
    abbreviation="6N",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_abducensNucleus"}
    ],
    lookup_label="PW-RBSC-cor_abducensNucleus",
    name="abducens nucleus",
)
ParcellationEntity.pw_rbsc_cor_abducens_nucleus_retractor_bulbi_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_abducensNucleusRetractorBulbiPart",
    abbreviation="6RB",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_abducensNucleusRetractorBulbiPart"
        }
    ],
    lookup_label="PW-RBSC-cor_abducensNucleusRetractorBulbiPart",
    name="abducens nucleus, retractor bulbi part",
)
ParcellationEntity.pw_rbsc_cor_accessory_abducens_facial_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_accessoryAbducensFacialNucleus",
    abbreviation="Acs6/7",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_accessoryAbducensFacialNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_accessoryAbducensFacialNucleus",
    name="accessory abducens/facial nucleus",
)
ParcellationEntity.pw_rbsc_cor_accessory_nerve_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_accessoryNerveNucleus",
    abbreviation="11N",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_accessoryNerveNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_accessoryNerveNucleus",
    name="accessory nerve nucleus",
)
ParcellationEntity.pw_rbsc_cor_accessory_neurosecretory_nuclei = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_accessoryNeurosecretoryNuclei",
    abbreviation="ANS",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_accessoryNeurosecretoryNuclei"
        }
    ],
    lookup_label="PW-RBSC-cor_accessoryNeurosecretoryNuclei",
    name="accessory neurosecretory nuclei",
)
ParcellationEntity.pw_rbsc_cor_accessory_olfactory_bulb = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_accessoryOlfactoryBulb",
    abbreviation="AOB",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_accessoryOlfactoryBulb"
        }
    ],
    lookup_label="PW-RBSC-cor_accessoryOlfactoryBulb",
    name="accessory olfactory bulb",
)
ParcellationEntity.pw_rbsc_cor_accessory_olfactory_tract = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_accessoryOlfactoryTract",
    abbreviation="aot",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_accessoryOlfactoryTract"
        }
    ],
    lookup_label="PW-RBSC-cor_accessoryOlfactoryTract",
    name="accessory olfactory tract",
)
ParcellationEntity.pw_rbsc_cor_accumbens_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_accumbensNucleus",
    abbreviation="Acb",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_accumbensNucleus"}
    ],
    lookup_label="PW-RBSC-cor_accumbensNucleus",
    name="accumbens nucleus",
)
ParcellationEntity.pw_rbsc_cor_accumbens_nucleus_core = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_accumbensNucleusCore",
    abbreviation="AcbC",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_accumbensNucleusCore"
        }
    ],
    lookup_label="PW-RBSC-cor_accumbensNucleusCore",
    name="accumbens nucleus, core",
)
ParcellationEntity.pw_rbsc_cor_accumbens_nucleus_shell = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_accumbensNucleusShell",
    abbreviation="AcbSh",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_accumbensNucleusShell"
        }
    ],
    lookup_label="PW-RBSC-cor_accumbensNucleusShell",
    name="accumbens nucleus, shell",
)
ParcellationEntity.pw_rbsc_cor_agranular_insular_cortex = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_agranularInsularCortex",
    abbreviation="AI",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_agranularInsularCortex"
        }
    ],
    lookup_label="PW-RBSC-cor_agranularInsularCortex",
    name="agranular insular cortex",
)
ParcellationEntity.pw_rbsc_cor_agranular_insular_cortex_dorsal_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_agranularInsularCortexDorsalPart",
    abbreviation="AID",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_agranularInsularCortexDorsalPart"
        }
    ],
    lookup_label="PW-RBSC-cor_agranularInsularCortexDorsalPart",
    name="agranular insular cortex, dorsal part",
)
ParcellationEntity.pw_rbsc_cor_agranular_insular_cortex_posterior_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_agranularInsularCortexPosteriorPart",
    abbreviation="AIP",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_agranularInsularCortexPosteriorPart"
        }
    ],
    lookup_label="PW-RBSC-cor_agranularInsularCortexPosteriorPart",
    name="agranular insular cortex, posterior part",
)
ParcellationEntity.pw_rbsc_cor_agranular_insular_cortex_ventral_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_agranularInsularCortexVentralPart",
    abbreviation="AIV",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_agranularInsularCortexVentralPart"
        }
    ],
    lookup_label="PW-RBSC-cor_agranularInsularCortexVentralPart",
    name="agranular insular cortex, ventral part",
)
ParcellationEntity.pw_rbsc_cor_alar_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_alarNucleus",
    abbreviation="Al",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_alarNucleus"}
    ],
    lookup_label="PW-RBSC-cor_alarNucleus",
    name="alar nucleus",
)
ParcellationEntity.pw_rbsc_cor_alveus_of_the_hippocampus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_alveusOfTheHippocampus",
    abbreviation="alv",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_alveusOfTheHippocampus"
        }
    ],
    lookup_label="PW-RBSC-cor_alveusOfTheHippocampus",
    name="alveus of the hippocampus",
)
ParcellationEntity.pw_rbsc_cor_ambiguus_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_ambiguusNucleus",
    abbreviation="Amb",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ambiguusNucleus"}
    ],
    lookup_label="PW-RBSC-cor_ambiguusNucleus",
    name="ambiguus nucleus",
)
ParcellationEntity.pw_rbsc_cor_ambiguus_nucleus_compact_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_ambiguusNucleusCompactPart",
    abbreviation="AmbC",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ambiguusNucleusCompactPart"
        }
    ],
    lookup_label="PW-RBSC-cor_ambiguusNucleusCompactPart",
    name="ambiguus nucleus, compact part",
)
ParcellationEntity.pw_rbsc_cor_ambiguus_nucleus_loose_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_ambiguusNucleusLoosePart",
    abbreviation="AmbL",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ambiguusNucleusLoosePart"
        }
    ],
    lookup_label="PW-RBSC-cor_ambiguusNucleusLoosePart",
    name="ambiguus nucleus, loose part",
)
ParcellationEntity.pw_rbsc_cor_ambiguus_nucleus_subcompact_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_ambiguusNucleusSubcompactPart",
    abbreviation="AmbSC",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ambiguusNucleusSubcompactPart"
        }
    ],
    lookup_label="PW-RBSC-cor_ambiguusNucleusSubcompactPart",
    name="ambiguus nucleus, subcompact part",
)
ParcellationEntity.pw_rbsc_cor_amygdalohippocampal_area = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_amygdalohippocampalArea",
    abbreviation="AHi",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_amygdalohippocampalArea"
        }
    ],
    lookup_label="PW-RBSC-cor_amygdalohippocampalArea",
    name="amygdalohippocampal area",
)
ParcellationEntity.pw_rbsc_cor_amygdalohippocampal_area_anterolateral_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_amygdalohippocampalAreaAnterolateralPart",
    abbreviation="AHiAL",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_amygdalohippocampalAreaAnterolateralPart"
        }
    ],
    lookup_label="PW-RBSC-cor_amygdalohippocampalAreaAnterolateralPart",
    name="amygdalohippocampal area, anterolateral part",
)
ParcellationEntity.pw_rbsc_cor_amygdalohippocampal_area_posterolateral_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_amygdalohippocampalAreaPosterolateralPart",
    abbreviation="AHiPL",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_amygdalohippocampalAreaPosterolateralPart"
        }
    ],
    lookup_label="PW-RBSC-cor_amygdalohippocampalAreaPosterolateralPart",
    name="amygdalohippocampal area, posterolateral part",
)
ParcellationEntity.pw_rbsc_cor_amygdalohippocampal_area_posteromedial_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_amygdalohippocampalAreaPosteromedialPart",
    abbreviation="AHiPM",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_amygdalohippocampalAreaPosteromedialPart"
        }
    ],
    lookup_label="PW-RBSC-cor_amygdalohippocampalAreaPosteromedialPart",
    name="amygdalohippocampal area, posteromedial part",
)
ParcellationEntity.pw_rbsc_cor_amygdaloid_fissure = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_amygdaloidFissure",
    abbreviation="af",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_amygdaloidFissure"
        }
    ],
    lookup_label="PW-RBSC-cor_amygdaloidFissure",
    name="amygdaloid fissure",
)
ParcellationEntity.pw_rbsc_cor_amygdaloid_intramedullary_gray = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_amygdaloidIntramedullaryGray",
    abbreviation="IMG",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_amygdaloidIntramedullaryGray"
        }
    ],
    lookup_label="PW-RBSC-cor_amygdaloidIntramedullaryGray",
    name="amygdaloid intramedullary gray",
)
ParcellationEntity.pw_rbsc_cor_amygdalopiriform_transition_area = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_amygdalopiriformTransitionArea",
    abbreviation="APir",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_amygdalopiriformTransitionArea"
        }
    ],
    lookup_label="PW-RBSC-cor_amygdalopiriformTransitionArea",
    name="amygdalopiriform transition area",
)
ParcellationEntity.pw_rbsc_cor_amygdalostriatal_transition_area = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_amygdalostriatalTransitionArea",
    abbreviation="ASt",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_amygdalostriatalTransitionArea"
        }
    ],
    lookup_label="PW-RBSC-cor_amygdalostriatalTransitionArea",
    name="amygdalostriatal transition area",
)
ParcellationEntity.pw_rbsc_cor_angular_thalamic_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_angularThalamicNucleus",
    abbreviation="AngT",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_angularThalamicNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_angularThalamicNucleus",
    name="angular thalamic nucleus",
)
ParcellationEntity.pw_rbsc_cor_ansoparamedian_fissure = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_ansoparamedianFissure",
    abbreviation="apmf",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ansoparamedianFissure"
        }
    ],
    lookup_label="PW-RBSC-cor_ansoparamedianFissure",
    name="ansoparamedian fissure",
)
ParcellationEntity.pw_rbsc_cor_anterior_amygdaloid_area = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_anteriorAmygdaloidArea",
    abbreviation="AA",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteriorAmygdaloidArea"
        }
    ],
    lookup_label="PW-RBSC-cor_anteriorAmygdaloidArea",
    name="anterior amygdaloid area",
)
ParcellationEntity.pw_rbsc_cor_anterior_cerebral_artery = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_anteriorCerebralArtery",
    abbreviation="acer",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteriorCerebralArtery"
        }
    ],
    lookup_label="PW-RBSC-cor_anteriorCerebralArtery",
    name="anterior cerebral artery",
)
ParcellationEntity.pw_rbsc_cor_anterior_commissural_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_anteriorCommissuralNucleus",
    abbreviation="AC",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteriorCommissuralNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_anteriorCommissuralNucleus",
    name="anterior commissural nucleus",
)
ParcellationEntity.pw_rbsc_cor_anterior_commissure = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_anteriorCommissure",
    abbreviation="ac",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteriorCommissure"
        }
    ],
    lookup_label="PW-RBSC-cor_anteriorCommissure",
    name="anterior commissure",
)
ParcellationEntity.pw_rbsc_cor_anterior_commissure_anterior_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_anteriorCommissureAnteriorPart",
    abbreviation="aca",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteriorCommissureAnteriorPart"
        }
    ],
    lookup_label="PW-RBSC-cor_anteriorCommissureAnteriorPart",
    name="anterior commissure, anterior part",
)
ParcellationEntity.pw_rbsc_cor_anterior_commissure_intrabulbar_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_anteriorCommissureIntrabulbarPart",
    abbreviation="aci",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteriorCommissureIntrabulbarPart"
        }
    ],
    lookup_label="PW-RBSC-cor_anteriorCommissureIntrabulbarPart",
    name="anterior commissure, intrabulbar part",
)
ParcellationEntity.pw_rbsc_cor_anterior_commissure_posterior_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_anteriorCommissurePosteriorPart",
    abbreviation="acp",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteriorCommissurePosteriorPart"
        }
    ],
    lookup_label="PW-RBSC-cor_anteriorCommissurePosteriorPart",
    name="anterior commissure, posterior part",
)
ParcellationEntity.pw_rbsc_cor_anterior_cortical_amygdaloid_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_anteriorCorticalAmygdaloidNucleus",
    abbreviation="ACo",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteriorCorticalAmygdaloidNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_anteriorCorticalAmygdaloidNucleus",
    name="anterior cortical amygdaloid nucleus",
)
ParcellationEntity.pw_rbsc_cor_anterior_hypothalamic_area = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_anteriorHypothalamicArea",
    abbreviation="AH",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteriorHypothalamicArea"
        }
    ],
    lookup_label="PW-RBSC-cor_anteriorHypothalamicArea",
    name="anterior hypothalamic area",
)
ParcellationEntity.pw_rbsc_cor_anterior_hypothalamic_area_anterior_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_anteriorHypothalamicAreaAnteriorPart",
    abbreviation="AHA",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteriorHypothalamicAreaAnteriorPart"
        }
    ],
    lookup_label="PW-RBSC-cor_anteriorHypothalamicAreaAnteriorPart",
    name="anterior hypothalamic area, anterior part",
)
ParcellationEntity.pw_rbsc_cor_anterior_hypothalamic_area_central_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_anteriorHypothalamicAreaCentralPart",
    abbreviation="AHC",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteriorHypothalamicAreaCentralPart"
        }
    ],
    lookup_label="PW-RBSC-cor_anteriorHypothalamicAreaCentralPart",
    name="anterior hypothalamic area, central part",
)
ParcellationEntity.pw_rbsc_cor_anterior_hypothalamic_area_posterior_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_anteriorHypothalamicAreaPosteriorPart",
    abbreviation="AHP",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteriorHypothalamicAreaPosteriorPart"
        }
    ],
    lookup_label="PW-RBSC-cor_anteriorHypothalamicAreaPosteriorPart",
    name="anterior hypothalamic area, posterior part",
)
ParcellationEntity.pw_rbsc_cor_anterior_lobe_of_pituitary = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_anteriorLobeOfPituitary",
    abbreviation="APit",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteriorLobeOfPituitary"
        }
    ],
    lookup_label="PW-RBSC-cor_anteriorLobeOfPituitary",
    name="anterior lobe of pituitary",
)
ParcellationEntity.pw_rbsc_cor_anterior_olfactory_nucleus_dorsal_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_anteriorOlfactoryNucleusDorsalPart",
    abbreviation="AOD",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteriorOlfactoryNucleusDorsalPart"
        }
    ],
    lookup_label="PW-RBSC-cor_anteriorOlfactoryNucleusDorsalPart",
    name="anterior olfactory nucleus, dorsal part",
)
ParcellationEntity.pw_rbsc_cor_anterior_olfactory_nucleus_external_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_anteriorOlfactoryNucleusExternalPart",
    abbreviation="AOE",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteriorOlfactoryNucleusExternalPart"
        }
    ],
    lookup_label="PW-RBSC-cor_anteriorOlfactoryNucleusExternalPart",
    name="anterior olfactory nucleus, external part",
)
ParcellationEntity.pw_rbsc_cor_anterior_olfactory_nucleus_lateral_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_anteriorOlfactoryNucleusLateralPart",
    abbreviation="AOL",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteriorOlfactoryNucleusLateralPart"
        }
    ],
    lookup_label="PW-RBSC-cor_anteriorOlfactoryNucleusLateralPart",
    name="anterior olfactory nucleus, lateral part",
)
ParcellationEntity.pw_rbsc_cor_anterior_olfactory_nucleus_medial_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_anteriorOlfactoryNucleusMedialPart",
    abbreviation="AOM",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteriorOlfactoryNucleusMedialPart"
        }
    ],
    lookup_label="PW-RBSC-cor_anteriorOlfactoryNucleusMedialPart",
    name="anterior olfactory nucleus, medial part",
)
ParcellationEntity.pw_rbsc_cor_anterior_olfactory_nucleus_posterior_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_anteriorOlfactoryNucleusPosteriorPart",
    abbreviation="AOP",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteriorOlfactoryNucleusPosteriorPart"
        }
    ],
    lookup_label="PW-RBSC-cor_anteriorOlfactoryNucleusPosteriorPart",
    name="anterior olfactory nucleus, posterior part",
)
ParcellationEntity.pw_rbsc_cor_anterior_olfactory_nucleus_ventral_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_anteriorOlfactoryNucleusVentralPart",
    abbreviation="AOV",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteriorOlfactoryNucleusVentralPart"
        }
    ],
    lookup_label="PW-RBSC-cor_anteriorOlfactoryNucleusVentralPart",
    name="anterior olfactory nucleus, ventral part",
)
ParcellationEntity.pw_rbsc_cor_anterior_olfactory_nucleus_ventroposterior_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_anteriorOlfactoryNucleusVentroposteriorPart",
    abbreviation="AOVP",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteriorOlfactoryNucleusVentroposteriorPart"
        }
    ],
    lookup_label="PW-RBSC-cor_anteriorOlfactoryNucleusVentroposteriorPart",
    name="anterior olfactory nucleus, ventroposterior part",
)
ParcellationEntity.pw_rbsc_cor_anterior_perifornical_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_anteriorPerifornicalNucleus",
    abbreviation="APF",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteriorPerifornicalNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_anteriorPerifornicalNucleus",
    name="anterior perifornical nucleus",
)
ParcellationEntity.pw_rbsc_cor_anterior_pretectal_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_anteriorPretectalNucleus",
    abbreviation="APT",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteriorPretectalNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_anteriorPretectalNucleus",
    name="anterior pretectal nucleus",
)
ParcellationEntity.pw_rbsc_cor_anterior_pretectal_nucleus_dorsal_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_anteriorPretectalNucleusDorsalPart",
    abbreviation="APTD",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteriorPretectalNucleusDorsalPart"
        }
    ],
    lookup_label="PW-RBSC-cor_anteriorPretectalNucleusDorsalPart",
    name="anterior pretectal nucleus, dorsal part",
)
ParcellationEntity.pw_rbsc_cor_anterior_pretectal_nucleus_ventral_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_anteriorPretectalNucleusVentralPart",
    abbreviation="APTV",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteriorPretectalNucleusVentralPart"
        }
    ],
    lookup_label="PW-RBSC-cor_anteriorPretectalNucleusVentralPart",
    name="anterior pretectal nucleus, ventral part",
)
ParcellationEntity.pw_rbsc_cor_anterior_spinal_artery = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_anteriorSpinalArtery",
    abbreviation="asp",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteriorSpinalArtery"
        }
    ],
    lookup_label="PW-RBSC-cor_anteriorSpinalArtery",
    name="anterior spinal artery",
)
ParcellationEntity.pw_rbsc_cor_anterior_tegmental_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_anteriorTegmentalNucleus",
    abbreviation="ATg",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteriorTegmentalNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_anteriorTegmentalNucleus",
    name="anterior tegmental nucleus",
)
ParcellationEntity.pw_rbsc_cor_anterodorsal_thalamic_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_anterodorsalThalamicNucleus",
    abbreviation="AD",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anterodorsalThalamicNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_anterodorsalThalamicNucleus",
    name="anterodorsal thalamic nucleus",
)
ParcellationEntity.pw_rbsc_cor_anteromedial_thalamic_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_anteromedialThalamicNucleus",
    abbreviation="AM",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteromedialThalamicNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_anteromedialThalamicNucleus",
    name="anteromedial thalamic nucleus",
)
ParcellationEntity.pw_rbsc_cor_anteromedial_thalamic_nucleus_ventral_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_anteromedialThalamicNucleusVentralPart",
    abbreviation="AMV",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteromedialThalamicNucleusVentralPart"
        }
    ],
    lookup_label="PW-RBSC-cor_anteromedialThalamicNucleusVentralPart",
    name="anteromedial thalamic nucleus, ventral part",
)
ParcellationEntity.pw_rbsc_cor_anterovent_thalamic_nucleus_dorsomedial_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_anteroventThalamicNucleusDorsomedialPart",
    abbreviation="AVDM",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteroventThalamicNucleusDorsomedialPart"
        }
    ],
    lookup_label="PW-RBSC-cor_anteroventThalamicNucleusDorsomedialPart",
    name="anterovent thalamic nucleus, dorsomedial part",
)
ParcellationEntity.pw_rbsc_cor_anteroventral_periventricular_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_anteroventralPeriventricularNucleus",
    abbreviation="AVPe",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteroventralPeriventricularNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_anteroventralPeriventricularNucleus",
    name="anteroventral periventricular nucleus",
)
ParcellationEntity.pw_rbsc_cor_anteroventral_thalamic_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_anteroventralThalamicNucleus",
    abbreviation="AV",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteroventralThalamicNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_anteroventralThalamicNucleus",
    name="anteroventral thalamic nucleus",
)
ParcellationEntity.pw_rbsc_cor_anteroventral_thalamic_nucleus_ventrolateral_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_anteroventralThalamicNucleusVentrolateralPart",
    abbreviation="AVVL",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteroventralThalamicNucleusVentrolateralPart"
        }
    ],
    lookup_label="PW-RBSC-cor_anteroventralThalamicNucleusVentrolateralPart",
    name="anteroventral thalamic nucleus, ventrolateral part",
)
ParcellationEntity.pw_rbsc_cor_aqueduct = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_aqueduct",
    abbreviation="Aq",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_aqueduct"}
    ],
    lookup_label="PW-RBSC-cor_aqueduct",
    name="aqueduct",
)
ParcellationEntity.pw_rbsc_cor_arcuate_hypothalamic_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_arcuateHypothalamicNucleus",
    abbreviation="Arc",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_arcuateHypothalamicNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_arcuateHypothalamicNucleus",
    name="arcuate hypothalamic nucleus",
)
ParcellationEntity.pw_rbsc_cor_arcuate_hypothalamic_nucleus_dorsal_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_arcuateHypothalamicNucleusDorsalPart",
    abbreviation="ArcD",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_arcuateHypothalamicNucleusDorsalPart"
        }
    ],
    lookup_label="PW-RBSC-cor_arcuateHypothalamicNucleusDorsalPart",
    name="arcuate hypothalamic nucleus, dorsal part",
)
ParcellationEntity.pw_rbsc_cor_arcuate_hypothalamic_nucleus_lateral_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_arcuateHypothalamicNucleusLateralPart",
    abbreviation="ArcL",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_arcuateHypothalamicNucleusLateralPart"
        }
    ],
    lookup_label="PW-RBSC-cor_arcuateHypothalamicNucleusLateralPart",
    name="arcuate hypothalamic nucleus, lateral part",
)
ParcellationEntity.pw_rbsc_cor_arcuate_hypothalamic_nucleus_lateroposterior_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_arcuateHypothalamicNucleusLateroposteriorPart",
    abbreviation="ArcLP",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_arcuateHypothalamicNucleusLateroposteriorPart"
        }
    ],
    lookup_label="PW-RBSC-cor_arcuateHypothalamicNucleusLateroposteriorPart",
    name="arcuate hypothalamic nucleus, lateroposterior part",
)
ParcellationEntity.pw_rbsc_cor_arcuate_hypothalamic_nucleus_medial_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_arcuateHypothalamicNucleusMedialPart",
    abbreviation="ArcM",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_arcuateHypothalamicNucleusMedialPart"
        }
    ],
    lookup_label="PW-RBSC-cor_arcuateHypothalamicNucleusMedialPart",
    name="arcuate hypothalamic nucleus, medial part",
)
ParcellationEntity.pw_rbsc_cor_arcuate_hypothalamic_nucleus_medial_posterior_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_arcuateHypothalamicNucleusMedialPosteriorPart",
    abbreviation="ArcMP",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_arcuateHypothalamicNucleusMedialPosteriorPart"
        }
    ],
    lookup_label="PW-RBSC-cor_arcuateHypothalamicNucleusMedialPosteriorPart",
    name="arcuate hypothalamic nucleus, medial posterior part",
)
ParcellationEntity.pw_rbsc_cor_area_postrema = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_areaPostrema",
    abbreviation="AP",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_areaPostrema"}
    ],
    lookup_label="PW-RBSC-cor_areaPostrema",
    name="area postrema",
)
ParcellationEntity.pw_rbsc_cor_artery = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_artery",
    abbreviation="a",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_artery"}
    ],
    lookup_label="PW-RBSC-cor_artery",
    name="artery",
)
ParcellationEntity.pw_rbsc_cor_ascending_fibers_of_the_facial_nerve = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_ascendingFibersOfTheFacialNerve",
    abbreviation="asc7",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ascendingFibersOfTheFacialNerve"
        }
    ],
    lookup_label="PW-RBSC-cor_ascendingFibersOfTheFacialNerve",
    name="ascending fibers of the facial nerve",
)
ParcellationEntity.pw_rbsc_cor_azygous_anterior_cerebral_artery = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_azygousAnteriorCerebralArtery",
    abbreviation="azac",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_azygousAnteriorCerebralArtery"
        }
    ],
    lookup_label="PW-RBSC-cor_azygousAnteriorCerebralArtery",
    name="azygous anterior cerebral artery",
)
ParcellationEntity.pw_rbsc_cor_azygous_pericallosal_artery = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_azygousPericallosalArtery",
    abbreviation="azp",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_azygousPericallosalArtery"
        }
    ],
    lookup_label="PW-RBSC-cor_azygousPericallosalArtery",
    name="azygous pericallosal artery",
)
ParcellationEntity.pw_rbsc_cor_b9_serotonin_cells = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_B9SerotoninCells",
    abbreviation="B9",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_B9SerotoninCells"}
    ],
    lookup_label="PW-RBSC-cor_B9SerotoninCells",
    name="B9 serotonin cells",
)
ParcellationEntity.pw_rbsc_cor_basal_nucleus_compact_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_basalNucleusCompactPart",
    abbreviation="BC",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_basalNucleusCompactPart"
        }
    ],
    lookup_label="PW-RBSC-cor_basalNucleusCompactPart",
    name="basal nucleus, compact part",
)
ParcellationEntity.pw_rbsc_cor_basal_nucleus_meynert = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_basalNucleusMeynert",
    abbreviation="B",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_basalNucleusMeynert"
        }
    ],
    lookup_label="PW-RBSC-cor_basalNucleusMeynert",
    name="basal nucleus (Meynert)",
)
ParcellationEntity.pw_rbsc_cor_basilar_artery = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_basilarArtery",
    abbreviation="bas",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_basilarArtery"}
    ],
    lookup_label="PW-RBSC-cor_basilarArtery",
    name="basilar artery",
)
ParcellationEntity.pw_rbsc_cor_basolateral_amygdaloid_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_basolateralAmygdaloidNucleus",
    abbreviation="BL",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_basolateralAmygdaloidNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_basolateralAmygdaloidNucleus",
    name="basolateral amygdaloid nucleus",
)
ParcellationEntity.pw_rbsc_cor_basolateral_amygdaloid_nucleus_anterior_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_basolateralAmygdaloidNucleusAnteriorPart",
    abbreviation="BLA",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_basolateralAmygdaloidNucleusAnteriorPart"
        }
    ],
    lookup_label="PW-RBSC-cor_basolateralAmygdaloidNucleusAnteriorPart",
    name="basolateral amygdaloid nucleus, anterior part",
)
ParcellationEntity.pw_rbsc_cor_basolateral_amygdaloid_nucleus_posterior_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_basolateralAmygdaloidNucleusPosteriorPart",
    abbreviation="BLP",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_basolateralAmygdaloidNucleusPosteriorPart"
        }
    ],
    lookup_label="PW-RBSC-cor_basolateralAmygdaloidNucleusPosteriorPart",
    name="basolateral amygdaloid nucleus, posterior part",
)
ParcellationEntity.pw_rbsc_cor_basolateral_amygdaloid_nucleus_ventral_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_basolateralAmygdaloidNucleusVentralPart",
    abbreviation="BLV",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_basolateralAmygdaloidNucleusVentralPart"
        }
    ],
    lookup_label="PW-RBSC-cor_basolateralAmygdaloidNucleusVentralPart",
    name="basolateral amygdaloid nucleus, ventral part",
)
ParcellationEntity.pw_rbsc_cor_basomedial_amygdaloid_nucleus_anterior_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_basomedialAmygdaloidNucleusAnteriorPart",
    abbreviation="BMA",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_basomedialAmygdaloidNucleusAnteriorPart"
        }
    ],
    lookup_label="PW-RBSC-cor_basomedialAmygdaloidNucleusAnteriorPart",
    name="basomedial amygdaloid nucleus, anterior part",
)
ParcellationEntity.pw_rbsc_cor_basomedial_amygdaloid_nucleus_posterior_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_basomedialAmygdaloidNucleusPosteriorPart",
    abbreviation="BMP",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_basomedialAmygdaloidNucleusPosteriorPart"
        }
    ],
    lookup_label="PW-RBSC-cor_basomedialAmygdaloidNucleusPosteriorPart",
    name="basomedial amygdaloid nucleus, posterior part",
)
ParcellationEntity.pw_rbsc_cor_bed_nucleus_of_stria_terminalis_fusiform_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_bedNucleusOfStriaTerminalisFusiformPart",
    abbreviation="Fu",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_bedNucleusOfStriaTerminalisFusiformPart"
        }
    ],
    lookup_label="PW-RBSC-cor_bedNucleusOfStriaTerminalisFusiformPart",
    name="bed nucleus of stria terminalis, fusiform part",
)
ParcellationEntity.pw_rbsc_cor_bed_nucleus_of_stria_terminalis_supracapsular_division = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_bedNucleusOfStriaTerminalisSupracapsularDivision",
    abbreviation="STS",
    alternate_names=["bed nucleus of the stria terminalis, supracapsular division"],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_bedNucleusOfStriaTerminalisSupracapsularDivision"
        }
    ],
    lookup_label="PW-RBSC-cor_bedNucleusOfStriaTerminalisSupracapsularDivision",
    name="bed nucleus of stria terminalis, supracapsular division",
)
ParcellationEntity.pw_rbsc_cor_bed_nucleus_of_stria_terminalis_supracapsular_division_lateral_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_bedNucleusOfStriaTerminalisSupracapsularDivisionLateralPart",
    abbreviation="STSL",
    alternate_names=["STSM"],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_bedNucleusOfStriaTerminalisSupracapsularDivisionLateralPart"
        }
    ],
    lookup_label="PW-RBSC-cor_bedNucleusOfStriaTerminalisSupracapsularDivisionLateralPart",
    name="bed nucleus of stria terminalis, supracapsular division, lateral part",
)
ParcellationEntity.pw_rbsc_cor_bed_nucleus_of_stria_terminalis_supracapsular_division_medial_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_bedNucleusOfStriaTerminalisSupracapsularDivisionMedialPart",
    abbreviation="STSM",
    alternate_names=["STSL"],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_bedNucleusOfStriaTerminalisSupracapsularDivisionMedialPart"
        }
    ],
    lookup_label="PW-RBSC-cor_bedNucleusOfStriaTerminalisSupracapsularDivisionMedialPart",
    name="bed nucleus of stria terminalis, supracapsular division, medial part",
)
ParcellationEntity.pw_rbsc_cor_bed_nucleus_of_the_accessory_olfactory_tract = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_bedNucleusOfTheAccessoryOlfactoryTract",
    abbreviation="BAOT",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_bedNucleusOfTheAccessoryOlfactoryTract"
        }
    ],
    lookup_label="PW-RBSC-cor_bedNucleusOfTheAccessoryOlfactoryTract",
    name="bed nucleus of the accessory olfactory tract",
)
ParcellationEntity.pw_rbsc_cor_bed_nucleus_of_the_anterior_commissure = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_bedNucleusOfTheAnteriorCommissure",
    abbreviation="BAC",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_bedNucleusOfTheAnteriorCommissure"
        }
    ],
    lookup_label="PW-RBSC-cor_bedNucleusOfTheAnteriorCommissure",
    name="bed nucleus of the anterior commissure",
)
ParcellationEntity.pw_rbsc_cor_bed_nucleus_of_the_stria_terminalis_intermediate_division = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_bedNucleusOfTheStriaTerminalisIntermediateDivision",
    abbreviation="STI",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_bedNucleusOfTheStriaTerminalisIntermediateDivision"
        }
    ],
    lookup_label="PW-RBSC-cor_bedNucleusOfTheStriaTerminalisIntermediateDivision",
    name="bed nucleus of the stria terminalis, intermediate division",
)
ParcellationEntity.pw_rbsc_cor_bed_nucleus_of_the_stria_terminalis_intraamygdaloid_division = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_bedNucleusOfTheStriaTerminalisIntraamygdaloidDivision",
    abbreviation="STIA",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_bedNucleusOfTheStriaTerminalisIntraamygdaloidDivision"
        }
    ],
    lookup_label="PW-RBSC-cor_bedNucleusOfTheStriaTerminalisIntraamygdaloidDivision",
    name="bed nucleus of the stria terminalis, intraamygdaloid division",
)
ParcellationEntity.pw_rbsc_cor_bed_nucleus_of_the_stria_terminalis_lateral_division = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_bedNucleusOfTheStriaTerminalisLateralDivision",
    abbreviation="STL",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_bedNucleusOfTheStriaTerminalisLateralDivision"
        }
    ],
    lookup_label="PW-RBSC-cor_bedNucleusOfTheStriaTerminalisLateralDivision",
    name="bed nucleus of the stria terminalis, lateral division",
)
ParcellationEntity.pw_rbsc_cor_bed_nucleus_of_the_stria_terminalis_lateral_division_dorsal_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_bedNucleusOfTheStriaTerminalisLateralDivisionDorsalPart",
    abbreviation="STLD",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_bedNucleusOfTheStriaTerminalisLateralDivisionDorsalPart"
        }
    ],
    lookup_label="PW-RBSC-cor_bedNucleusOfTheStriaTerminalisLateralDivisionDorsalPart",
    name="bed nucleus of the stria terminalis, lateral division, dorsal part",
)
ParcellationEntity.pw_rbsc_cor_bed_nucleus_of_the_stria_terminalis_lateral_division_intermediate_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_bedNucleusOfTheStriaTerminalisLateralDivisionIntermediatePart",
    abbreviation="STLI",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_bedNucleusOfTheStriaTerminalisLateralDivisionIntermediatePart"
        }
    ],
    lookup_label="PW-RBSC-cor_bedNucleusOfTheStriaTerminalisLateralDivisionIntermediatePart",
    name="bed nucleus of the stria terminalis, lateral division, intermediate part",
)
ParcellationEntity.pw_rbsc_cor_bed_nucleus_of_the_stria_terminalis_lateral_division_juxtacapsular_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_bedNucleusOfTheStriaTerminalisLateralDivisionJuxtacapsularPart",
    abbreviation="STLJ",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_bedNucleusOfTheStriaTerminalisLateralDivisionJuxtacapsularPart"
        }
    ],
    lookup_label="PW-RBSC-cor_bedNucleusOfTheStriaTerminalisLateralDivisionJuxtacapsularPart",
    name="bed nucleus of the stria terminalis, lateral division, juxtacapsular part",
)
ParcellationEntity.pw_rbsc_cor_bed_nucleus_of_the_stria_terminalis_lateral_division_posterior_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_bedNucleusOfTheStriaTerminalisLateralDivisionPosteriorPart",
    abbreviation="STLP",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_bedNucleusOfTheStriaTerminalisLateralDivisionPosteriorPart"
        }
    ],
    lookup_label="PW-RBSC-cor_bedNucleusOfTheStriaTerminalisLateralDivisionPosteriorPart",
    name="bed nucleus of the stria terminalis, lateral division, posterior part",
)
ParcellationEntity.pw_rbsc_cor_bed_nucleus_of_the_stria_terminalis_lateral_division_ventral_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_bedNucleusOfTheStriaTerminalisLateralDivisionVentralPart",
    abbreviation="STLV",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_bedNucleusOfTheStriaTerminalisLateralDivisionVentralPart"
        }
    ],
    lookup_label="PW-RBSC-cor_bedNucleusOfTheStriaTerminalisLateralDivisionVentralPart",
    name="bed nucleus of the stria terminalis, lateral division, ventral part",
)
ParcellationEntity.pw_rbsc_cor_bed_nucleus_of_the_stria_terminalis_medial_division = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_bedNucleusOfTheStriaTerminalisMedialDivision",
    abbreviation="STM",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_bedNucleusOfTheStriaTerminalisMedialDivision"
        }
    ],
    lookup_label="PW-RBSC-cor_bedNucleusOfTheStriaTerminalisMedialDivision",
    name="bed nucleus of the stria terminalis, medial division",
)
ParcellationEntity.pw_rbsc_cor_bed_nucleus_of_the_stria_terminalis_medial_division_anterior_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_bedNucleusOfTheStriaTerminalisMedialDivisionAnteriorPart",
    abbreviation="STMA",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_bedNucleusOfTheStriaTerminalisMedialDivisionAnteriorPart"
        }
    ],
    lookup_label="PW-RBSC-cor_bedNucleusOfTheStriaTerminalisMedialDivisionAnteriorPart",
    name="bed nucleus of the stria terminalis, medial division, anterior part",
)
ParcellationEntity.pw_rbsc_cor_bed_nucleus_of_the_stria_terminalis_medial_division_anterolateral_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_bedNucleusOfTheStriaTerminalisMedialDivisionAnterolateralPart",
    abbreviation="STMAL",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_bedNucleusOfTheStriaTerminalisMedialDivisionAnterolateralPart"
        }
    ],
    lookup_label="PW-RBSC-cor_bedNucleusOfTheStriaTerminalisMedialDivisionAnterolateralPart",
    name="bed nucleus of the stria terminalis, medial division, anterolateral part",
)
ParcellationEntity.pw_rbsc_cor_bed_nucleus_of_the_stria_terminalis_medial_division_anteromedial_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_bedNucleusOfTheStriaTerminalisMedialDivisionAnteromedialPart",
    abbreviation="STMAM",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_bedNucleusOfTheStriaTerminalisMedialDivisionAnteromedialPart"
        }
    ],
    lookup_label="PW-RBSC-cor_bedNucleusOfTheStriaTerminalisMedialDivisionAnteromedialPart",
    name="bed nucleus of the stria terminalis, medial division, anteromedial part",
)
ParcellationEntity.pw_rbsc_cor_bed_nucleus_of_the_stria_terminalis_medial_division_posterior_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_bedNucleusOfTheStriaTerminalisMedialDivisionPosteriorPart",
    abbreviation="STMP",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_bedNucleusOfTheStriaTerminalisMedialDivisionPosteriorPart"
        }
    ],
    lookup_label="PW-RBSC-cor_bedNucleusOfTheStriaTerminalisMedialDivisionPosteriorPart",
    name="bed nucleus of the stria terminalis, medial division, posterior part",
)
ParcellationEntity.pw_rbsc_cor_bed_nucleus_of_the_stria_terminalis_medial_division_posterointermediate_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_bedNucleusOfTheStriaTerminalisMedialDivisionPosterointermediatePart",
    abbreviation="STMPI",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_bedNucleusOfTheStriaTerminalisMedialDivisionPosterointermediatePart"
        }
    ],
    lookup_label="PW-RBSC-cor_bedNucleusOfTheStriaTerminalisMedialDivisionPosterointermediatePart",
    name="bed nucleus of the stria terminalis, medial division, posterointermediate part",
)
ParcellationEntity.pw_rbsc_cor_bed_nucleus_of_the_stria_terminalis_medial_division_posterolateral_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_bedNucleusOfTheStriaTerminalisMedialDivisionPosterolateralPart",
    abbreviation="STMPL",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_bedNucleusOfTheStriaTerminalisMedialDivisionPosterolateralPart"
        }
    ],
    lookup_label="PW-RBSC-cor_bedNucleusOfTheStriaTerminalisMedialDivisionPosterolateralPart",
    name="bed nucleus of the stria terminalis, medial division, posterolateral part",
)
ParcellationEntity.pw_rbsc_cor_bed_nucleus_of_the_stria_terminalis_medial_division_posteromedial_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_bedNucleusOfTheStriaTerminalisMedialDivisionPosteromedialPart",
    abbreviation="STMPM",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_bedNucleusOfTheStriaTerminalisMedialDivisionPosteromedialPart"
        }
    ],
    lookup_label="PW-RBSC-cor_bedNucleusOfTheStriaTerminalisMedialDivisionPosteromedialPart",
    name="bed nucleus of the stria terminalis, medial division, posteromedial part",
)
ParcellationEntity.pw_rbsc_cor_bed_nucleus_of_the_stria_terminalis_medial_division_ventral_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_bedNucleusOfTheStriaTerminalisMedialDivisionVentralPart",
    abbreviation="STMV",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_bedNucleusOfTheStriaTerminalisMedialDivisionVentralPart"
        }
    ],
    lookup_label="PW-RBSC-cor_bedNucleusOfTheStriaTerminalisMedialDivisionVentralPart",
    name="bed nucleus of the stria terminalis, medial division, ventral part",
)
ParcellationEntity.pw_rbsc_cor_brachium_of_the_inferior_colliculus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_brachiumOfTheInferiorColliculus",
    abbreviation="bic",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_brachiumOfTheInferiorColliculus"
        }
    ],
    lookup_label="PW-RBSC-cor_brachiumOfTheInferiorColliculus",
    name="brachium of the inferior colliculus",
)
ParcellationEntity.pw_rbsc_cor_brachium_of_the_superior_colliculus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_brachiumOfTheSuperiorColliculus",
    abbreviation="bsc",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_brachiumOfTheSuperiorColliculus"
        }
    ],
    lookup_label="PW-RBSC-cor_brachiumOfTheSuperiorColliculus",
    name="brachium of the superior colliculus",
)
ParcellationEntity.pw_rbsc_cor_c1_adrenaline_cells = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_C1AdrenalineCells",
    abbreviation="C1",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_C1AdrenalineCells"
        }
    ],
    lookup_label="PW-RBSC-cor_C1AdrenalineCells",
    name="C1 adrenaline cells",
)
ParcellationEntity.pw_rbsc_cor_c1_adrenaline_cells_and_a1_noradrenaline_cells = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_C1AdrenalineCellsAndA1NoradrenalineCells",
    abbreviation="C1/A1",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_C1AdrenalineCellsAndA1NoradrenalineCells"
        }
    ],
    lookup_label="PW-RBSC-cor_C1AdrenalineCellsAndA1NoradrenalineCells",
    name="C1 adrenaline cells and A1 noradrenaline cells",
)
ParcellationEntity.pw_rbsc_cor_c2_adrenaline_cells = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_C2AdrenalineCells",
    abbreviation="C2",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_C2AdrenalineCells"
        }
    ],
    lookup_label="PW-RBSC-cor_C2AdrenalineCells",
    name="C2 adrenaline cells",
)
ParcellationEntity.pw_rbsc_cor_c3_adrenaline_cells = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_C3AdrenalineCells",
    abbreviation="C3",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_C3AdrenalineCells"
        }
    ],
    lookup_label="PW-RBSC-cor_C3AdrenalineCells",
    name="C3 adrenaline cells",
)
ParcellationEntity.pw_rbsc_cor_caudal_interstitial_nucleus_of_the_medial_longitudinal_fasciculus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_caudalInterstitialNucleusOfTheMedialLongitudinalFasciculus",
    abbreviation="CI",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_caudalInterstitialNucleusOfTheMedialLongitudinalFasciculus"
        }
    ],
    lookup_label="PW-RBSC-cor_caudalInterstitialNucleusOfTheMedialLongitudinalFasciculus",
    name="caudal interstitial nucleus of the medial longitudinal fasciculus",
)
ParcellationEntity.pw_rbsc_cor_caudal_linear_nucleus_of_the_raphe = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_caudalLinearNucleusOfTheRaphe",
    abbreviation="CLi",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_caudalLinearNucleusOfTheRaphe"
        }
    ],
    lookup_label="PW-RBSC-cor_caudalLinearNucleusOfTheRaphe",
    name="caudal linear nucleus of the raphe",
)
ParcellationEntity.pw_rbsc_cor_caudal_periolivary_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_caudalPeriolivaryNucleus",
    abbreviation="CPO",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_caudalPeriolivaryNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_caudalPeriolivaryNucleus",
    name="caudal periolivary nucleus",
)
ParcellationEntity.pw_rbsc_cor_caudate_putamen_striatum = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_caudatePutamenStriatum",
    abbreviation="CPu",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_caudatePutamenStriatum"
        }
    ],
    lookup_label="PW-RBSC-cor_caudatePutamenStriatum",
    name="caudate putamen (striatum)",
)
ParcellationEntity.pw_rbsc_cor_caudomedial_entothinal_cortex = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_caudomedialEntothinalCortex",
    abbreviation="CEnt",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_caudomedialEntothinalCortex"
        }
    ],
    lookup_label="PW-RBSC-cor_caudomedialEntothinalCortex",
    name="caudomedial entothinal cortex",
)
ParcellationEntity.pw_rbsc_cor_caudoventrolateral_reticular_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_caudoventrolateralReticularNucleus",
    abbreviation="CVL",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_caudoventrolateralReticularNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_caudoventrolateralReticularNucleus",
    name="caudoventrolateral reticular nucleus",
)
ParcellationEntity.pw_rbsc_cor_cell_bridges_of_the_ventral_striatum = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_cellBridgesOfTheVentralStriatum",
    abbreviation="CB",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_cellBridgesOfTheVentralStriatum"
        }
    ],
    lookup_label="PW-RBSC-cor_cellBridgesOfTheVentralStriatum",
    name="cell bridges of the ventral striatum",
)
ParcellationEntity.pw_rbsc_cor_central_amygdaloid_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_centralAmygdaloidNucleus",
    abbreviation="Ce",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_centralAmygdaloidNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_centralAmygdaloidNucleus",
    name="central amygdaloid nucleus",
)
ParcellationEntity.pw_rbsc_cor_central_amygdaloid_nucleus_capsular_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_centralAmygdaloidNucleusCapsularPart",
    abbreviation="CeC",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_centralAmygdaloidNucleusCapsularPart"
        }
    ],
    lookup_label="PW-RBSC-cor_centralAmygdaloidNucleusCapsularPart",
    name="central amygdaloid nucleus, capsular part",
)
ParcellationEntity.pw_rbsc_cor_central_amygdaloid_nucleus_lateral_division = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_centralAmygdaloidNucleusLateralDivision",
    abbreviation="CeL",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_centralAmygdaloidNucleusLateralDivision"
        }
    ],
    lookup_label="PW-RBSC-cor_centralAmygdaloidNucleusLateralDivision",
    name="central amygdaloid nucleus, lateral division",
)
ParcellationEntity.pw_rbsc_cor_central_amygdaloid_nucleus_medial_division = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_centralAmygdaloidNucleusMedialDivision",
    abbreviation="CeM",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_centralAmygdaloidNucleusMedialDivision"
        }
    ],
    lookup_label="PW-RBSC-cor_centralAmygdaloidNucleusMedialDivision",
    name="central amygdaloid nucleus, medial division",
)
ParcellationEntity.pw_rbsc_cor_central_canal = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_centralCanal",
    abbreviation="CC",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_centralCanal"}
    ],
    lookup_label="PW-RBSC-cor_centralCanal",
    name="central canal",
)
ParcellationEntity.pw_rbsc_cor_central_cervical_nucleus_of_the_spinal_cord = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_centralCervicalNucleusOfTheSpinalCord",
    abbreviation="CeCv",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_centralCervicalNucleusOfTheSpinalCord"
        }
    ],
    lookup_label="PW-RBSC-cor_centralCervicalNucleusOfTheSpinalCord",
    name="central cervical nucleus of the spinal cord",
)
ParcellationEntity.pw_rbsc_cor_central_gray = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_centralGray",
    abbreviation="CG",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_centralGray"}
    ],
    lookup_label="PW-RBSC-cor_centralGray",
    name="central gray",
)
ParcellationEntity.pw_rbsc_cor_central_gray_alpha_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_centralGrayAlphaPart",
    abbreviation="CGA",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_centralGrayAlphaPart"
        }
    ],
    lookup_label="PW-RBSC-cor_centralGrayAlphaPart",
    name="central gray, alpha part",
)
ParcellationEntity.pw_rbsc_cor_central_gray_beta_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_centralGrayBetaPart",
    abbreviation="CGB",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_centralGrayBetaPart"
        }
    ],
    lookup_label="PW-RBSC-cor_centralGrayBetaPart",
    name="central gray, beta part",
)
ParcellationEntity.pw_rbsc_cor_central_gray_gamma_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_centralGrayGammaPart",
    abbreviation="CGG",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_centralGrayGammaPart"
        }
    ],
    lookup_label="PW-RBSC-cor_centralGrayGammaPart",
    name="central gray, gamma part",
)
ParcellationEntity.pw_rbsc_cor_central_gray_nucleus_o = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_centralGrayNucleusO",
    abbreviation="CGO",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_centralGrayNucleusO"
        }
    ],
    lookup_label="PW-RBSC-cor_centralGrayNucleusO",
    name="central gray, nucleus O",
)
ParcellationEntity.pw_rbsc_cor_central_gray_of_the_pons = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_centralGrayOfThePons",
    abbreviation="CGPn",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_centralGrayOfThePons"
        }
    ],
    lookup_label="PW-RBSC-cor_centralGrayOfThePons",
    name="central gray of the pons",
)
ParcellationEntity.pw_rbsc_cor_central_medial_thalamic_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_centralMedialThalamicNucleus",
    abbreviation="CM",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_centralMedialThalamicNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_centralMedialThalamicNucleus",
    name="central medial thalamic nucleus",
)
ParcellationEntity.pw_rbsc_cor_central_nucleus_of_the_inferior_colliculus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_centralNucleusOfTheInferiorColliculus",
    abbreviation="CIC",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_centralNucleusOfTheInferiorColliculus"
        }
    ],
    lookup_label="PW-RBSC-cor_centralNucleusOfTheInferiorColliculus",
    name="central nucleus of the inferior colliculus",
)
ParcellationEntity.pw_rbsc_cor_centrolateral_thalamic_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_centrolateralThalamicNucleus",
    abbreviation="CL",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_centrolateralThalamicNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_centrolateralThalamicNucleus",
    name="centrolateral thalamic nucleus",
)
ParcellationEntity.pw_rbsc_cor_cerebellar_commissure = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_cerebellarCommissure",
    abbreviation="cbx",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_cerebellarCommissure"
        }
    ],
    lookup_label="PW-RBSC-cor_cerebellarCommissure",
    name="cerebellar commissure",
)
ParcellationEntity.pw_rbsc_cor_cerebellar_white_matter = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_cerebellarWhiteMatter",
    abbreviation="cbw",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_cerebellarWhiteMatter"
        }
    ],
    lookup_label="PW-RBSC-cor_cerebellarWhiteMatter",
    name="cerebellar white matter",
)
ParcellationEntity.pw_rbsc_cor_cerebellum = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_cerebellum",
    abbreviation="Cb",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_cerebellum"}
    ],
    lookup_label="PW-RBSC-cor_cerebellum",
    name="cerebellum",
)
ParcellationEntity.pw_rbsc_cor_cerebral_cortex = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_cerebralCortex",
    abbreviation="Cx",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_cerebralCortex"}
    ],
    lookup_label="PW-RBSC-cor_cerebralCortex",
    name="cerebral cortex",
)
ParcellationEntity.pw_rbsc_cor_cerebral_peduncle = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_cerebralPeduncle",
    abbreviation="cp",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_cerebralPeduncle"}
    ],
    lookup_label="PW-RBSC-cor_cerebralPeduncle",
    name="cerebral peduncle",
)
ParcellationEntity.pw_rbsc_cor_choroid_plexus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_choroidPlexus",
    abbreviation="chp",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_choroidPlexus"}
    ],
    lookup_label="PW-RBSC-cor_choroidPlexus",
    name="choroid plexus",
)
ParcellationEntity.pw_rbsc_cor_cingulate_cortex_area1 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_cingulateCortexArea1",
    abbreviation="Cg1",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_cingulateCortexArea1"
        }
    ],
    lookup_label="PW-RBSC-cor_cingulateCortexArea1",
    name="cingulate cortex, area 1",
)
ParcellationEntity.pw_rbsc_cor_cingulate_cortex_area2 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_cingulateCortexArea2",
    abbreviation="Cg2",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_cingulateCortexArea2"
        }
    ],
    lookup_label="PW-RBSC-cor_cingulateCortexArea2",
    name="cingulate cortex, area 2",
)
ParcellationEntity.pw_rbsc_cor_cingulum = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_cingulum",
    abbreviation="cg",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_cingulum"}
    ],
    lookup_label="PW-RBSC-cor_cingulum",
    name="cingulum",
)
ParcellationEntity.pw_rbsc_cor_circular_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_circularNucleus",
    abbreviation="Cir",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_circularNucleus"}
    ],
    lookup_label="PW-RBSC-cor_circularNucleus",
    name="circular nucleus",
)
ParcellationEntity.pw_rbsc_cor_claustrum = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_claustrum",
    abbreviation="Cl",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_claustrum"}
    ],
    lookup_label="PW-RBSC-cor_claustrum",
    name="claustrum",
)
ParcellationEntity.pw_rbsc_cor_cochlear_root_of_the_vestibulocochlear_nerve = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_cochlearRootOfTheVestibulocochlearNerve",
    abbreviation="8cn",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_cochlearRootOfTheVestibulocochlearNerve"
        }
    ],
    lookup_label="PW-RBSC-cor_cochlearRootOfTheVestibulocochlearNerve",
    name="cochlear root of the vestibulocochlear nerve",
)
ParcellationEntity.pw_rbsc_cor_commissural_nucleus_of_the_inferior_colliculus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_commissuralNucleusOfTheInferiorColliculus",
    abbreviation="Com",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_commissuralNucleusOfTheInferiorColliculus"
        }
    ],
    lookup_label="PW-RBSC-cor_commissuralNucleusOfTheInferiorColliculus",
    name="commissural nucleus of the inferior colliculus",
)
ParcellationEntity.pw_rbsc_cor_commissural_stria_terminalis = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_commissuralStriaTerminalis",
    abbreviation="cst",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_commissuralStriaTerminalis"
        }
    ],
    lookup_label="PW-RBSC-cor_commissuralStriaTerminalis",
    name="commissural stria terminalis",
)
ParcellationEntity.pw_rbsc_cor_commissure_of_the_inferior_colliculus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_commissureOfTheInferiorColliculus",
    abbreviation="cic",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_commissureOfTheInferiorColliculus"
        }
    ],
    lookup_label="PW-RBSC-cor_commissureOfTheInferiorColliculus",
    name="commissure of the inferior colliculus",
)
ParcellationEntity.pw_rbsc_cor_commissure_of_the_lateral_lemniscus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_commissureOfTheLateralLemniscus",
    abbreviation="cll",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_commissureOfTheLateralLemniscus"
        }
    ],
    lookup_label="PW-RBSC-cor_commissureOfTheLateralLemniscus",
    name="commissure of the lateral lemniscus",
)
ParcellationEntity.pw_rbsc_cor_commissure_of_the_superior_colliculus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_commissureOfTheSuperiorColliculus",
    abbreviation="csc",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_commissureOfTheSuperiorColliculus"
        }
    ],
    lookup_label="PW-RBSC-cor_commissureOfTheSuperiorColliculus",
    name="commissure of the superior colliculus",
)
ParcellationEntity.pw_rbsc_cor_conterminal_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_conterminalNucleus",
    abbreviation="Ct",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_conterminalNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_conterminalNucleus",
    name="conterminal nucleus",
)
ParcellationEntity.pw_rbsc_cor_copula_of_the_pyramis = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_copulaOfThePyramis",
    abbreviation="Cop",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_copulaOfThePyramis"
        }
    ],
    lookup_label="PW-RBSC-cor_copulaOfThePyramis",
    name="copula of the pyramis",
)
ParcellationEntity.pw_rbsc_cor_corpus_callosum = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_corpusCallosum",
    abbreviation="cc",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_corpusCallosum"}
    ],
    lookup_label="PW-RBSC-cor_corpusCallosum",
    name="corpus callosum",
)
ParcellationEntity.pw_rbsc_cor_cortex_amygdala_transition_zone = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_cortexAmygdalaTransitionZone",
    abbreviation="CxA",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_cortexAmygdalaTransitionZone"
        }
    ],
    lookup_label="PW-RBSC-cor_cortexAmygdalaTransitionZone",
    name="cortex-amygdala transition zone",
)
ParcellationEntity.pw_rbsc_cor_cortex_amygdala_transition_zone_layer1 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_cortexAmygdalaTransitionZoneLayer1",
    abbreviation="CxA1",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_cortexAmygdalaTransitionZoneLayer1"
        }
    ],
    lookup_label="PW-RBSC-cor_cortexAmygdalaTransitionZoneLayer1",
    name="cortex-amygdala transition zone, layer 1",
)
ParcellationEntity.pw_rbsc_cor_crus1_of_the_ansiform_lobule = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_crus1OfTheAnsiformLobule",
    abbreviation="Crus1",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_crus1OfTheAnsiformLobule"
        }
    ],
    lookup_label="PW-RBSC-cor_crus1OfTheAnsiformLobule",
    name="crus 1 of the ansiform lobule",
)
ParcellationEntity.pw_rbsc_cor_crus2_of_the_ansiform_lobule = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_crus2OfTheAnsiformLobule",
    abbreviation="Crus2",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_crus2OfTheAnsiformLobule"
        }
    ],
    lookup_label="PW-RBSC-cor_crus2OfTheAnsiformLobule",
    name="crus 2 of the ansiform lobule",
)
ParcellationEntity.pw_rbsc_cor_cuneate_fasciculus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_cuneateFasciculus",
    abbreviation="cu",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_cuneateFasciculus"
        }
    ],
    lookup_label="PW-RBSC-cor_cuneateFasciculus",
    name="cuneate fasciculus",
)
ParcellationEntity.pw_rbsc_cor_cuneate_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_cuneateNucleus",
    abbreviation="Cu",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_cuneateNucleus"}
    ],
    lookup_label="PW-RBSC-cor_cuneateNucleus",
    name="cuneate nucleus",
)
ParcellationEntity.pw_rbsc_cor_cuneate_nucleus_rotundus_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_cuneateNucleusRotundusPart",
    abbreviation="CuR",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_cuneateNucleusRotundusPart"
        }
    ],
    lookup_label="PW-RBSC-cor_cuneateNucleusRotundusPart",
    name="cuneate nucleus, rotundus part",
)
ParcellationEntity.pw_rbsc_cor_cuneiform_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_cuneiformNucleus",
    abbreviation="CnF",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_cuneiformNucleus"}
    ],
    lookup_label="PW-RBSC-cor_cuneiformNucleus",
    name="cuneiform nucleus",
)
ParcellationEntity.pw_rbsc_cor_cuneiform_nucleus_dorsal_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_cuneiformNucleusDorsalPart",
    abbreviation="CnFD",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_cuneiformNucleusDorsalPart"
        }
    ],
    lookup_label="PW-RBSC-cor_cuneiformNucleusDorsalPart",
    name="cuneiform nucleus, dorsal part",
)
ParcellationEntity.pw_rbsc_cor_cuneiform_nucleus_intermediate_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_cuneiformNucleusIntermediatePart",
    abbreviation="CnFI",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_cuneiformNucleusIntermediatePart"
        }
    ],
    lookup_label="PW-RBSC-cor_cuneiformNucleusIntermediatePart",
    name="cuneiform nucleus, intermediate part",
)
ParcellationEntity.pw_rbsc_cor_cuneiform_nucleus_ventral_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_cuneiformNucleusVentralPart",
    abbreviation="CnFV",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_cuneiformNucleusVentralPart"
        }
    ],
    lookup_label="PW-RBSC-cor_cuneiformNucleusVentralPart",
    name="cuneiform nucleus, ventral part",
)
ParcellationEntity.pw_rbsc_cor_decussation_of_the_superior_cerebellar_peduncle = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_decussationOfTheSuperiorCerebellarPeduncle",
    abbreviation="xscp",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_decussationOfTheSuperiorCerebellarPeduncle"
        }
    ],
    lookup_label="PW-RBSC-cor_decussationOfTheSuperiorCerebellarPeduncle",
    name="decussation of the superior cerebellar peduncle",
)
ParcellationEntity.pw_rbsc_cor_decussation_of_the_trapezoid_body = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_decussationOfTheTrapezoidBody",
    abbreviation="tzx",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_decussationOfTheTrapezoidBody"
        }
    ],
    lookup_label="PW-RBSC-cor_decussationOfTheTrapezoidBody",
    name="decussation of the trapezoid body",
)
ParcellationEntity.pw_rbsc_cor_deep_cerebral_white_matter = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_deepCerebralWhiteMatter",
    abbreviation="dcw",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_deepCerebralWhiteMatter"
        }
    ],
    lookup_label="PW-RBSC-cor_deepCerebralWhiteMatter",
    name="deep cerebral white matter",
)
ParcellationEntity.pw_rbsc_cor_deep_gray_layer_of_the_superior_colliculus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_deepGrayLayerOfTheSuperiorColliculus",
    abbreviation="DpG",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_deepGrayLayerOfTheSuperiorColliculus"
        }
    ],
    lookup_label="PW-RBSC-cor_deepGrayLayerOfTheSuperiorColliculus",
    name="deep gray layer of the superior colliculus",
)
ParcellationEntity.pw_rbsc_cor_deep_white_layer_of_the_superior_colliculus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_deepWhiteLayerOfTheSuperiorColliculus",
    abbreviation="DpWh",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_deepWhiteLayerOfTheSuperiorColliculus"
        }
    ],
    lookup_label="PW-RBSC-cor_deepWhiteLayerOfTheSuperiorColliculus",
    name="deep white layer of the superior colliculus",
)
ParcellationEntity.pw_rbsc_cor_dentate_gyrus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_dentateGyrus",
    abbreviation="DG",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dentateGyrus"}
    ],
    lookup_label="PW-RBSC-cor_dentateGyrus",
    name="dentate gyrus",
)
ParcellationEntity.pw_rbsc_cor_dorsal3rd_ventricle = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_dorsal3rdVentricle",
    abbreviation="D3V",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsal3rdVentricle"
        }
    ],
    lookup_label="PW-RBSC-cor_dorsal3rdVentricle",
    name="dorsal 3rd ventricle",
)
ParcellationEntity.pw_rbsc_cor_dorsal_acoustic_stria = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_dorsalAcousticStria",
    abbreviation="das",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalAcousticStria"
        }
    ],
    lookup_label="PW-RBSC-cor_dorsalAcousticStria",
    name="dorsal acoustic stria",
)
ParcellationEntity.pw_rbsc_cor_dorsal_cochlear_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_dorsalCochlearNucleus",
    abbreviation="DC",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalCochlearNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_dorsalCochlearNucleus",
    name="dorsal cochlear nucleus",
)
ParcellationEntity.pw_rbsc_cor_dorsal_cochlear_nucleus_deep_core = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_dorsalCochlearNucleusDeepCore",
    abbreviation="DCDp",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalCochlearNucleusDeepCore"
        }
    ],
    lookup_label="PW-RBSC-cor_dorsalCochlearNucleusDeepCore",
    name="dorsal cochlear nucleus, deep core",
)
ParcellationEntity.pw_rbsc_cor_dorsal_cochlear_nucleus_fusiform_layer = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_dorsalCochlearNucleusFusiformLayer",
    abbreviation="DCFu",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalCochlearNucleusFusiformLayer"
        }
    ],
    lookup_label="PW-RBSC-cor_dorsalCochlearNucleusFusiformLayer",
    name="dorsal cochlear nucleus, fusiform layer",
)
ParcellationEntity.pw_rbsc_cor_dorsal_cochlear_nucleus_granular_layer = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_dorsalCochlearNucleusGranularLayer",
    abbreviation="DCGr",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalCochlearNucleusGranularLayer"
        }
    ],
    lookup_label="PW-RBSC-cor_dorsalCochlearNucleusGranularLayer",
    name="dorsal cochlear nucleus, granular layer",
)
ParcellationEntity.pw_rbsc_cor_dorsal_cochlear_nucleus_molecular_layer = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_dorsalCochlearNucleusMolecularLayer",
    abbreviation="DCMo",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalCochlearNucleusMolecularLayer"
        }
    ],
    lookup_label="PW-RBSC-cor_dorsalCochlearNucleusMolecularLayer",
    name="dorsal cochlear nucleus, molecular layer",
)
ParcellationEntity.pw_rbsc_cor_dorsal_cortex_of_the_inferior_colliculus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_dorsalCortexOfTheInferiorColliculus",
    abbreviation="DCIC",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalCortexOfTheInferiorColliculus"
        }
    ],
    lookup_label="PW-RBSC-cor_dorsalCortexOfTheInferiorColliculus",
    name="dorsal cortex of the inferior colliculus",
)
ParcellationEntity.pw_rbsc_cor_dorsal_corticospinal_tract = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_dorsalCorticospinalTract",
    abbreviation="dcs",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalCorticospinalTract"
        }
    ],
    lookup_label="PW-RBSC-cor_dorsalCorticospinalTract",
    name="dorsal corticospinal tract",
)
ParcellationEntity.pw_rbsc_cor_dorsal_endopiriform_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_dorsalEndopiriformNucleus",
    abbreviation="DEn",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalEndopiriformNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_dorsalEndopiriformNucleus",
    name="dorsal endopiriform nucleus",
)
ParcellationEntity.pw_rbsc_cor_dorsal_fornix = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_dorsalFornix",
    abbreviation="df",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalFornix"}
    ],
    lookup_label="PW-RBSC-cor_dorsalFornix",
    name="dorsal fornix",
)
ParcellationEntity.pw_rbsc_cor_dorsal_hippocampal_commissure = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_dorsalHippocampalCommissure",
    abbreviation="dhc",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalHippocampalCommissure"
        }
    ],
    lookup_label="PW-RBSC-cor_dorsalHippocampalCommissure",
    name="dorsal hippocampal commissure",
)
ParcellationEntity.pw_rbsc_cor_dorsal_hypothalamic_area = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_dorsalHypothalamicArea",
    abbreviation="DA",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalHypothalamicArea"
        }
    ],
    lookup_label="PW-RBSC-cor_dorsalHypothalamicArea",
    name="dorsal hypothalamic area",
)
ParcellationEntity.pw_rbsc_cor_dorsal_intermediate_entorhinal_cortex = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_dorsalIntermediateEntorhinalCortex",
    abbreviation="DIEnt",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalIntermediateEntorhinalCortex"
        }
    ],
    lookup_label="PW-RBSC-cor_dorsalIntermediateEntorhinalCortex",
    name="dorsal intermediate entorhinal cortex",
)
ParcellationEntity.pw_rbsc_cor_dorsal_lateral_geniculate_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_dorsalLateralGeniculateNucleus",
    abbreviation="DLG",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalLateralGeniculateNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_dorsalLateralGeniculateNucleus",
    name="dorsal lateral geniculate nucleus",
)
ParcellationEntity.pw_rbsc_cor_dorsal_lateral_olfactory_tract = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_dorsalLateralOlfactoryTract",
    abbreviation="dlo",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalLateralOlfactoryTract"
        }
    ],
    lookup_label="PW-RBSC-cor_dorsalLateralOlfactoryTract",
    name="dorsal lateral olfactory tract",
)
ParcellationEntity.pw_rbsc_cor_dorsal_motor_nucleus_of_vagus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_dorsalMotorNucleusOfVagus",
    abbreviation="10N",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalMotorNucleusOfVagus"
        }
    ],
    lookup_label="PW-RBSC-cor_dorsalMotorNucleusOfVagus",
    name="dorsal motor nucleus of vagus",
)
ParcellationEntity.pw_rbsc_cor_dorsal_nucleus_of_the_lateral_lemniscus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_dorsalNucleusOfTheLateralLemniscus",
    abbreviation="DLL",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalNucleusOfTheLateralLemniscus"
        }
    ],
    lookup_label="PW-RBSC-cor_dorsalNucleusOfTheLateralLemniscus",
    name="dorsal nucleus of the lateral lemniscus",
)
ParcellationEntity.pw_rbsc_cor_dorsal_nucleus_of_the_spinal_cord = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_dorsalNucleusOfTheSpinalCord",
    abbreviation="D",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalNucleusOfTheSpinalCord"
        }
    ],
    lookup_label="PW-RBSC-cor_dorsalNucleusOfTheSpinalCord",
    name="dorsal nucleus of the spinal cord",
)
ParcellationEntity.pw_rbsc_cor_dorsal_paragigantocellular_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_dorsalParagigantocellularNucleus",
    abbreviation="DPGi",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalParagigantocellularNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_dorsalParagigantocellularNucleus",
    name="dorsal paragigantocellular nucleus",
)
ParcellationEntity.pw_rbsc_cor_dorsal_part_of_claustrum = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_dorsalPartOfClaustrum",
    abbreviation="DCl",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalPartOfClaustrum"
        }
    ],
    lookup_label="PW-RBSC-cor_dorsalPartOfClaustrum",
    name="dorsal part of claustrum",
)
ParcellationEntity.pw_rbsc_cor_dorsal_peduncular_cortex = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_dorsalPeduncularCortex",
    abbreviation="DP",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalPeduncularCortex"
        }
    ],
    lookup_label="PW-RBSC-cor_dorsalPeduncularCortex",
    name="dorsal peduncular cortex",
)
ParcellationEntity.pw_rbsc_cor_dorsal_peduncular_pontine_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_dorsalPeduncularPontineNucleus",
    abbreviation="DPPn",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalPeduncularPontineNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_dorsalPeduncularPontineNucleus",
    name="dorsal peduncular pontine nucleus",
)
ParcellationEntity.pw_rbsc_cor_dorsal_periolivary_region = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_dorsalPeriolivaryRegion",
    abbreviation="DPO",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalPeriolivaryRegion"
        }
    ],
    lookup_label="PW-RBSC-cor_dorsalPeriolivaryRegion",
    name="dorsal periolivary region",
)
ParcellationEntity.pw_rbsc_cor_dorsal_raphe_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_dorsalRapheNucleus",
    abbreviation="DR",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalRapheNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_dorsalRapheNucleus",
    name="dorsal raphe nucleus",
)
ParcellationEntity.pw_rbsc_cor_dorsal_raphe_nucleus_caudal_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_dorsalRapheNucleusCaudalPart",
    abbreviation="DRC",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalRapheNucleusCaudalPart"
        }
    ],
    lookup_label="PW-RBSC-cor_dorsalRapheNucleusCaudalPart",
    name="dorsal raphe nucleus, caudal part",
)
ParcellationEntity.pw_rbsc_cor_dorsal_raphe_nucleus_dorsal_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_dorsalRapheNucleusDorsalPart",
    abbreviation="DRD",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalRapheNucleusDorsalPart"
        }
    ],
    lookup_label="PW-RBSC-cor_dorsalRapheNucleusDorsalPart",
    name="dorsal raphe nucleus, dorsal part",
)
ParcellationEntity.pw_rbsc_cor_dorsal_raphe_nucleus_lateral_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_dorsalRapheNucleusLateralPart",
    abbreviation="DRL",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalRapheNucleusLateralPart"
        }
    ],
    lookup_label="PW-RBSC-cor_dorsalRapheNucleusLateralPart",
    name="dorsal raphe nucleus, lateral part",
)
ParcellationEntity.pw_rbsc_cor_dorsal_raphe_nucleus_ventral_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_dorsalRapheNucleusVentralPart",
    abbreviation="DRV",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalRapheNucleusVentralPart"
        }
    ],
    lookup_label="PW-RBSC-cor_dorsalRapheNucleusVentralPart",
    name="dorsal raphe nucleus, ventral part",
)
ParcellationEntity.pw_rbsc_cor_dorsal_spinocerebellar_tract = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_dorsalSpinocerebellarTract",
    abbreviation="dsc",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalSpinocerebellarTract"
        }
    ],
    lookup_label="PW-RBSC-cor_dorsalSpinocerebellarTract",
    name="dorsal spinocerebellar tract",
)
ParcellationEntity.pw_rbsc_cor_dorsal_spinocerebellar_tract_and_olivocerebellar_tract = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_dorsalSpinocerebellarTractAndOlivocerebellarTract",
    abbreviation="dsc/oc",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalSpinocerebellarTractAndOlivocerebellarTract"
        }
    ],
    lookup_label="PW-RBSC-cor_dorsalSpinocerebellarTractAndOlivocerebellarTract",
    name="dorsal spinocerebellar tract and olivocerebellar tract",
)
ParcellationEntity.pw_rbsc_cor_dorsal_subiculum = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_dorsalSubiculum",
    abbreviation="DS",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalSubiculum"}
    ],
    lookup_label="PW-RBSC-cor_dorsalSubiculum",
    name="dorsal subiculum",
)
ParcellationEntity.pw_rbsc_cor_dorsal_tegmental_decussation = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_dorsalTegmentalDecussation",
    abbreviation="dtgx",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalTegmentalDecussation"
        }
    ],
    lookup_label="PW-RBSC-cor_dorsalTegmentalDecussation",
    name="dorsal tegmental decussation",
)
ParcellationEntity.pw_rbsc_cor_dorsal_tegmental_nucleus_central_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_dorsalTegmentalNucleusCentralPart",
    abbreviation="DTgC",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalTegmentalNucleusCentralPart"
        }
    ],
    lookup_label="PW-RBSC-cor_dorsalTegmentalNucleusCentralPart",
    name="dorsal tegmental nucleus, central part",
)
ParcellationEntity.pw_rbsc_cor_dorsal_tegmental_nucleus_pericentral_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_dorsalTegmentalNucleusPericentralPart",
    abbreviation="DTgP",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalTegmentalNucleusPericentralPart"
        }
    ],
    lookup_label="PW-RBSC-cor_dorsalTegmentalNucleusPericentralPart",
    name="dorsal tegmental nucleus, pericentral part",
)
ParcellationEntity.pw_rbsc_cor_dorsal_tenia_tecta = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_dorsalTeniaTecta",
    abbreviation="DTT",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalTeniaTecta"}
    ],
    lookup_label="PW-RBSC-cor_dorsalTeniaTecta",
    name="dorsal tenia tecta",
)
ParcellationEntity.pw_rbsc_cor_dorsal_tenia_tecta_layer1 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_dorsalTeniaTectaLayer1",
    abbreviation="DTT1",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalTeniaTectaLayer1"
        }
    ],
    lookup_label="PW-RBSC-cor_dorsalTeniaTectaLayer1",
    name="dorsal tenia tecta layer 1",
)
ParcellationEntity.pw_rbsc_cor_dorsal_terminal_nucleus_of_the_accessory_optic_tract = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_dorsalTerminalNucleusOfTheAccessoryOpticTract",
    abbreviation="DT",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalTerminalNucleusOfTheAccessoryOpticTract"
        }
    ],
    lookup_label="PW-RBSC-cor_dorsalTerminalNucleusOfTheAccessoryOpticTract",
    name="dorsal terminal nucleus of the accessory optic tract",
)
ParcellationEntity.pw_rbsc_cor_dorsal_transition_zone = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_dorsalTransitionZone",
    abbreviation="DTr",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalTransitionZone"
        }
    ],
    lookup_label="PW-RBSC-cor_dorsalTransitionZone",
    name="dorsal transition zone",
)
ParcellationEntity.pw_rbsc_cor_dorsal_tuberomammillary_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_dorsalTuberomammillaryNucleus",
    abbreviation="DTM",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalTuberomammillaryNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_dorsalTuberomammillaryNucleus",
    name="dorsal tuberomammillary nucleus",
)
ParcellationEntity.pw_rbsc_cor_dorsolateral_entorhinal_cortex = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_dorsolateralEntorhinalCortex",
    abbreviation="DLEnt",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsolateralEntorhinalCortex"
        }
    ],
    lookup_label="PW-RBSC-cor_dorsolateralEntorhinalCortex",
    name="dorsolateral entorhinal cortex",
)
ParcellationEntity.pw_rbsc_cor_dorsolateral_orbital_cortex = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_dorsolateralOrbitalCortex",
    abbreviation="DLO",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsolateralOrbitalCortex"
        }
    ],
    lookup_label="PW-RBSC-cor_dorsolateralOrbitalCortex",
    name="dorsolateral orbital cortex",
)
ParcellationEntity.pw_rbsc_cor_dorsolateral_periaqueductal_gray = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_dorsolateralPeriaqueductalGray",
    abbreviation="DLPAG",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsolateralPeriaqueductalGray"
        }
    ],
    lookup_label="PW-RBSC-cor_dorsolateralPeriaqueductalGray",
    name="dorsolateral periaqueductal gray",
)
ParcellationEntity.pw_rbsc_cor_dorsomedial_hypothalamic_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_dorsomedialHypothalamicNucleus",
    abbreviation="DM",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsomedialHypothalamicNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_dorsomedialHypothalamicNucleus",
    name="dorsomedial hypothalamic nucleus",
)
ParcellationEntity.pw_rbsc_cor_dorsomedial_hypothalamic_nucleus_compact_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_dorsomedialHypothalamicNucleusCompactPart",
    abbreviation="DMC",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsomedialHypothalamicNucleusCompactPart"
        }
    ],
    lookup_label="PW-RBSC-cor_dorsomedialHypothalamicNucleusCompactPart",
    name="dorsomedial hypothalamic nucleus, compact part",
)
ParcellationEntity.pw_rbsc_cor_dorsomedial_hypothalamic_nucleus_dorsal_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_dorsomedialHypothalamicNucleusDorsalPart",
    abbreviation="DMD",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsomedialHypothalamicNucleusDorsalPart"
        }
    ],
    lookup_label="PW-RBSC-cor_dorsomedialHypothalamicNucleusDorsalPart",
    name="dorsomedial hypothalamic nucleus, dorsal part",
)
ParcellationEntity.pw_rbsc_cor_dorsomedial_hypothalamic_nucleus_ventral_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_dorsomedialHypothalamicNucleusVentralPart",
    abbreviation="DMV",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsomedialHypothalamicNucleusVentralPart"
        }
    ],
    lookup_label="PW-RBSC-cor_dorsomedialHypothalamicNucleusVentralPart",
    name="dorsomedial hypothalamic nucleus, ventral part",
)
ParcellationEntity.pw_rbsc_cor_dorsomedial_periaqueductal_gray = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_dorsomedialPeriaqueductalGray",
    abbreviation="DMPAG",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsomedialPeriaqueductalGray"
        }
    ],
    lookup_label="PW-RBSC-cor_dorsomedialPeriaqueductalGray",
    name="dorsomedial periaqueductal gray",
)
ParcellationEntity.pw_rbsc_cor_dorsomedial_spinal_trigeminal_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_dorsomedialSpinalTrigeminalNucleus",
    abbreviation="DMSp5",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsomedialSpinalTrigeminalNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_dorsomedialSpinalTrigeminalNucleus",
    name="dorsomedial spinal trigeminal nucleus",
)
ParcellationEntity.pw_rbsc_cor_dorsomedial_tegmental_area = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_dorsomedialTegmentalArea",
    abbreviation="DMTg",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsomedialTegmentalArea"
        }
    ],
    lookup_label="PW-RBSC-cor_dorsomedialTegmentalArea",
    name="dorsomedial tegmental area",
)
ParcellationEntity.pw_rbsc_cor_dysgranular_insular_cortex = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_dysgranularInsularCortex",
    abbreviation="DI",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dysgranularInsularCortex"
        }
    ],
    lookup_label="PW-RBSC-cor_dysgranularInsularCortex",
    name="dysgranular insular cortex",
)
ParcellationEntity.pw_rbsc_cor_ectorhinal_cortex = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_ectorhinalCortex",
    abbreviation="Ect",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ectorhinalCortex"}
    ],
    lookup_label="PW-RBSC-cor_ectorhinalCortex",
    name="ectorhinal cortex",
)
ParcellationEntity.pw_rbsc_cor_ectotrigeminal_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_ectotrigeminalNucleus",
    abbreviation="E5",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ectotrigeminalNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_ectotrigeminalNucleus",
    name="ectotrigeminal nucleus",
)
ParcellationEntity.pw_rbsc_cor_entopeduncular_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_entopeduncularNucleus",
    abbreviation="EP",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_entopeduncularNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_entopeduncularNucleus",
    name="entopeduncular nucleus",
)
ParcellationEntity.pw_rbsc_cor_entorhinal_cortex = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_entorhinalCortex",
    abbreviation="Ent",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_entorhinalCortex"}
    ],
    lookup_label="PW-RBSC-cor_entorhinalCortex",
    name="entorhinal cortex",
)
ParcellationEntity.pw_rbsc_cor_ependyma_and_subependymal_layer = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_ependymaAndSubependymalLayer",
    abbreviation="E",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ependymaAndSubependymalLayer"
        }
    ],
    lookup_label="PW-RBSC-cor_ependymaAndSubependymalLayer",
    name="ependyma and subependymal layer",
)
ParcellationEntity.pw_rbsc_cor_ependymal_and_subendymal_layer_olfactory_ventricle = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_ependymalAndSubendymalLayerOlfactoryVentricle",
    abbreviation="E/OV",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ependymalAndSubendymalLayerOlfactoryVentricle"
        }
    ],
    lookup_label="PW-RBSC-cor_ependymalAndSubendymalLayerOlfactoryVentricle",
    name="ependymal and subendymal layer/olfactory ventricle",
)
ParcellationEntity.pw_rbsc_cor_epifascicular_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_epifascicularNucleus",
    abbreviation="EF",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_epifascicularNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_epifascicularNucleus",
    name="epifascicular nucleus",
)
ParcellationEntity.pw_rbsc_cor_epilemniscal_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_epilemniscalNucleus",
    abbreviation="ELm",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_epilemniscalNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_epilemniscalNucleus",
    name="epilemniscal nucleus",
)
ParcellationEntity.pw_rbsc_cor_epipeduncular_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_epipeduncularNucleus",
    abbreviation="EpP",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_epipeduncularNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_epipeduncularNucleus",
    name="epipeduncular nucleus",
)
ParcellationEntity.pw_rbsc_cor_epirubrospinal_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_epirubrospinalNucleus",
    abbreviation="ERS",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_epirubrospinalNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_epirubrospinalNucleus",
    name="epirubrospinal nucleus",
)
ParcellationEntity.pw_rbsc_cor_episupraoptic_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_episupraopticNucleus",
    abbreviation="ESO",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_episupraopticNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_episupraopticNucleus",
    name="episupraoptic nucleus",
)
ParcellationEntity.pw_rbsc_cor_ethmoid_thalamic_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_ethmoidThalamicNucleus",
    abbreviation="Eth",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ethmoidThalamicNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_ethmoidThalamicNucleus",
    name="ethmoid thalamic nucleus",
)
ParcellationEntity.pw_rbsc_cor_external_capsule = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_externalCapsule",
    abbreviation="ec",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_externalCapsule"}
    ],
    lookup_label="PW-RBSC-cor_externalCapsule",
    name="external capsule",
)
ParcellationEntity.pw_rbsc_cor_external_cortex_of_the_inferior_colliculus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_externalCortexOfTheInferiorColliculus",
    abbreviation="ECIC",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_externalCortexOfTheInferiorColliculus"
        }
    ],
    lookup_label="PW-RBSC-cor_externalCortexOfTheInferiorColliculus",
    name="external cortex of the inferior colliculus",
)
ParcellationEntity.pw_rbsc_cor_external_cortex_of_the_inferior_colliculus_layer1 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_externalCortexOfTheInferiorColliculusLayer1",
    abbreviation="ECIC1",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_externalCortexOfTheInferiorColliculusLayer1"
        }
    ],
    lookup_label="PW-RBSC-cor_externalCortexOfTheInferiorColliculusLayer1",
    name="external cortex of the inferior colliculus, layer 1",
)
ParcellationEntity.pw_rbsc_cor_external_cuneate_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_externalCuneateNucleus",
    abbreviation="ECu",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_externalCuneateNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_externalCuneateNucleus",
    name="external cuneate nucleus",
)
ParcellationEntity.pw_rbsc_cor_external_medullary_lamina = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_externalMedullaryLamina",
    abbreviation="eml",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_externalMedullaryLamina"
        }
    ],
    lookup_label="PW-RBSC-cor_externalMedullaryLamina",
    name="external medullary lamina",
)
ParcellationEntity.pw_rbsc_cor_external_plexiform_layer_of_the_accessory_olfactory_bulb = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_externalPlexiformLayerOfTheAccessoryOlfactoryBulb",
    abbreviation="EPlA",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_externalPlexiformLayerOfTheAccessoryOlfactoryBulb"
        }
    ],
    lookup_label="PW-RBSC-cor_externalPlexiformLayerOfTheAccessoryOlfactoryBulb",
    name="external plexiform layer of the accessory olfactory bulb",
)
ParcellationEntity.pw_rbsc_cor_external_plexiform_layer_of_the_olfactory_bulb = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_externalPlexiformLayerOfTheOlfactoryBulb",
    abbreviation="EPl",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_externalPlexiformLayerOfTheOlfactoryBulb"
        }
    ],
    lookup_label="PW-RBSC-cor_externalPlexiformLayerOfTheOlfactoryBulb",
    name="external plexiform layer of the olfactory bulb",
)
ParcellationEntity.pw_rbsc_cor_f_cell_group_of_the_vestibular_complex = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_FCellGroupOfTheVestibularComplex",
    abbreviation="FVe",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_FCellGroupOfTheVestibularComplex"
        }
    ],
    lookup_label="PW-RBSC-cor_FCellGroupOfTheVestibularComplex",
    name="F cell group of the vestibular complex",
)
ParcellationEntity.pw_rbsc_cor_facial_nerve = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_facialNerve",
    abbreviation="7n",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_facialNerve"}
    ],
    lookup_label="PW-RBSC-cor_facialNerve",
    name="facial nerve",
)
ParcellationEntity.pw_rbsc_cor_facial_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_facialNucleus",
    abbreviation="7N",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_facialNucleus"}
    ],
    lookup_label="PW-RBSC-cor_facialNucleus",
    name="facial nucleus",
)
ParcellationEntity.pw_rbsc_cor_facial_nucleus_dorsal_intermediate_subnucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_facialNucleusDorsalIntermediateSubnucleus",
    abbreviation="7DI",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_facialNucleusDorsalIntermediateSubnucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_facialNucleusDorsalIntermediateSubnucleus",
    name="facial nucleus, dorsal intermediate subnucleus",
)
ParcellationEntity.pw_rbsc_cor_facial_nucleus_dorsolateral_subnucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_facialNucleusDorsolateralSubnucleus",
    abbreviation="7DL",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_facialNucleusDorsolateralSubnucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_facialNucleusDorsolateralSubnucleus",
    name="facial nucleus, dorsolateral subnucleus",
)
ParcellationEntity.pw_rbsc_cor_facial_nucleus_dorsomedial_subnucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_facialNucleusDorsomedialSubnucleus",
    abbreviation="7DM",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_facialNucleusDorsomedialSubnucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_facialNucleusDorsomedialSubnucleus",
    name="facial nucleus, dorsomedial subnucleus",
)
ParcellationEntity.pw_rbsc_cor_facial_nucleus_lateral_subnucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_facialNucleusLateralSubnucleus",
    abbreviation="7L",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_facialNucleusLateralSubnucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_facialNucleusLateralSubnucleus",
    name="facial nucleus, lateral subnucleus",
)
ParcellationEntity.pw_rbsc_cor_facial_nucleus_stylohyoid_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_facialNucleusStylohyoidPart",
    abbreviation="7SH",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_facialNucleusStylohyoidPart"
        }
    ],
    lookup_label="PW-RBSC-cor_facialNucleusStylohyoidPart",
    name="facial nucleus, stylohyoid part",
)
ParcellationEntity.pw_rbsc_cor_facial_nucleus_ventral_intermediate_subnucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_facialNucleusVentralIntermediateSubnucleus",
    abbreviation="7VI",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_facialNucleusVentralIntermediateSubnucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_facialNucleusVentralIntermediateSubnucleus",
    name="facial nucleus, ventral intermediate subnucleus",
)
ParcellationEntity.pw_rbsc_cor_facial_nucleus_ventromedial_subnucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_facialNucleusVentromedialSubnucleus",
    abbreviation="7VM",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_facialNucleusVentromedialSubnucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_facialNucleusVentromedialSubnucleus",
    name="facial nucleus, ventromedial subnucleus",
)
ParcellationEntity.pw_rbsc_cor_fasciculus_retroflexus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_fasciculusRetroflexus",
    abbreviation="fr",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_fasciculusRetroflexus"
        }
    ],
    lookup_label="PW-RBSC-cor_fasciculusRetroflexus",
    name="fasciculus retroflexus",
)
ParcellationEntity.pw_rbsc_cor_fasciola_cinereum = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_fasciolaCinereum",
    abbreviation="FC",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_fasciolaCinereum"}
    ],
    lookup_label="PW-RBSC-cor_fasciolaCinereum",
    name="fasciola cinereum",
)
ParcellationEntity.pw_rbsc_cor_field_ca1_of_the_hippocampus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_fieldCA1OfTheHippocampus",
    abbreviation="CA1",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_fieldCA1OfTheHippocampus"
        }
    ],
    lookup_label="PW-RBSC-cor_fieldCA1OfTheHippocampus",
    name="field CA1 of the hippocampus",
)
ParcellationEntity.pw_rbsc_cor_field_ca2_of_the_hippocampus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_fieldCA2OfTheHippocampus",
    abbreviation="CA2",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_fieldCA2OfTheHippocampus"
        }
    ],
    lookup_label="PW-RBSC-cor_fieldCA2OfTheHippocampus",
    name="field CA2 of the hippocampus",
)
ParcellationEntity.pw_rbsc_cor_field_ca3_of_the_hippocampus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_fieldCA3OfTheHippocampus",
    abbreviation="CA3",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_fieldCA3OfTheHippocampus"
        }
    ],
    lookup_label="PW-RBSC-cor_fieldCA3OfTheHippocampus",
    name="field CA3 of the hippocampus",
)
ParcellationEntity.pw_rbsc_cor_fimbria_of_the_hippocampus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_fimbriaOfTheHippocampus",
    abbreviation="fi",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_fimbriaOfTheHippocampus"
        }
    ],
    lookup_label="PW-RBSC-cor_fimbriaOfTheHippocampus",
    name="fimbria of the hippocampus",
)
ParcellationEntity.pw_rbsc_cor_flocculus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_flocculus",
    abbreviation="Fl",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_flocculus"}
    ],
    lookup_label="PW-RBSC-cor_flocculus",
    name="flocculus",
)
ParcellationEntity.pw_rbsc_cor_forceps_major_of_the_corpus_callosum = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_forcepsMajorOfTheCorpusCallosum",
    abbreviation="fmj",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_forcepsMajorOfTheCorpusCallosum"
        }
    ],
    lookup_label="PW-RBSC-cor_forcepsMajorOfTheCorpusCallosum",
    name="forceps major of the corpus callosum",
)
ParcellationEntity.pw_rbsc_cor_forceps_minor_of_the_corpus_callosum = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_forcepsMinorOfTheCorpusCallosum",
    abbreviation="fmi",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_forcepsMinorOfTheCorpusCallosum"
        }
    ],
    lookup_label="PW-RBSC-cor_forcepsMinorOfTheCorpusCallosum",
    name="forceps minor of the corpus callosum",
)
ParcellationEntity.pw_rbsc_cor_fornix = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_fornix",
    abbreviation="f",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_fornix"}
    ],
    lookup_label="PW-RBSC-cor_fornix",
    name="fornix",
)
ParcellationEntity.pw_rbsc_cor_frontal_association_cortex = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_frontalAssociationCortex",
    abbreviation="FrA",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_frontalAssociationCortex"
        }
    ],
    lookup_label="PW-RBSC-cor_frontalAssociationCortex",
    name="frontal association cortex",
)
ParcellationEntity.pw_rbsc_cor_frontal_cortex_area3 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_frontalCortexArea3",
    abbreviation="Fr3",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_frontalCortexArea3"
        }
    ],
    lookup_label="PW-RBSC-cor_frontalCortexArea3",
    name="frontal cortex, area 3",
)
ParcellationEntity.pw_rbsc_cor_gelatinous_layer_of_the_caudal_spinal_trigeminal_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_gelatinousLayerOfTheCaudalSpinalTrigeminalNucleus",
    abbreviation="Ge5",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_gelatinousLayerOfTheCaudalSpinalTrigeminalNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_gelatinousLayerOfTheCaudalSpinalTrigeminalNucleus",
    name="gelatinous layer of the caudal spinal trigeminal nucleus",
)
ParcellationEntity.pw_rbsc_cor_gemini_hypothalamic_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_geminiHypothalamicNucleus",
    abbreviation="Gem",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_geminiHypothalamicNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_geminiHypothalamicNucleus",
    name="gemini hypothalamic nucleus",
)
ParcellationEntity.pw_rbsc_cor_genu_of_the_corpus_callosum = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_genuOfTheCorpusCallosum",
    abbreviation="gcc",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_genuOfTheCorpusCallosum"
        }
    ],
    lookup_label="PW-RBSC-cor_genuOfTheCorpusCallosum",
    name="genu of the corpus callosum",
)
ParcellationEntity.pw_rbsc_cor_genu_of_the_facial_nerve = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_genuOfTheFacialNerve",
    abbreviation="g7",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_genuOfTheFacialNerve"
        }
    ],
    lookup_label="PW-RBSC-cor_genuOfTheFacialNerve",
    name="genu of the facial nerve",
)
ParcellationEntity.pw_rbsc_cor_gigantocellular_reticular_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_gigantocellularReticularNucleus",
    abbreviation="Gi",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_gigantocellularReticularNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_gigantocellularReticularNucleus",
    name="gigantocellular reticular nucleus",
)
ParcellationEntity.pw_rbsc_cor_gigantocellular_reticular_nucleus_alpha_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_gigantocellularReticularNucleusAlphaPart",
    abbreviation="GiA",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_gigantocellularReticularNucleusAlphaPart"
        }
    ],
    lookup_label="PW-RBSC-cor_gigantocellularReticularNucleusAlphaPart",
    name="gigantocellular reticular nucleus, alpha part",
)
ParcellationEntity.pw_rbsc_cor_gigantocellular_reticular_nucleus_ventral_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_gigantocellularReticularNucleusVentralPart",
    abbreviation="GiV",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_gigantocellularReticularNucleusVentralPart"
        }
    ],
    lookup_label="PW-RBSC-cor_gigantocellularReticularNucleusVentralPart",
    name="gigantocellular reticular nucleus, ventral part",
)
ParcellationEntity.pw_rbsc_cor_globus_pallidus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_globusPallidus",
    abbreviation="GP",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_globusPallidus"}
    ],
    lookup_label="PW-RBSC-cor_globusPallidus",
    name="globus pallidus",
)
ParcellationEntity.pw_rbsc_cor_glomerular_layer_of_the_accessory_olfactory_bulb = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_glomerularLayerOfTheAccessoryOlfactoryBulb",
    abbreviation="GlA",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_glomerularLayerOfTheAccessoryOlfactoryBulb"
        }
    ],
    lookup_label="PW-RBSC-cor_glomerularLayerOfTheAccessoryOlfactoryBulb",
    name="glomerular layer of the accessory olfactory bulb",
)
ParcellationEntity.pw_rbsc_cor_glomerular_layer_of_the_olfactory_bulb = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_glomerularLayerOfTheOlfactoryBulb",
    abbreviation="Gl",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_glomerularLayerOfTheOlfactoryBulb"
        }
    ],
    lookup_label="PW-RBSC-cor_glomerularLayerOfTheOlfactoryBulb",
    name="glomerular layer of the olfactory bulb",
)
ParcellationEntity.pw_rbsc_cor_glossopharyngeal_nerve = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_glossopharyngealNerve",
    abbreviation="9n",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_glossopharyngealNerve"
        }
    ],
    lookup_label="PW-RBSC-cor_glossopharyngealNerve",
    name="glossopharyngeal nerve",
)
ParcellationEntity.pw_rbsc_cor_gracile_fasciculus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_gracileFasciculus",
    abbreviation="gr",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_gracileFasciculus"
        }
    ],
    lookup_label="PW-RBSC-cor_gracileFasciculus",
    name="gracile fasciculus",
)
ParcellationEntity.pw_rbsc_cor_gracile_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_gracileNucleus",
    abbreviation="Gr",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_gracileNucleus"}
    ],
    lookup_label="PW-RBSC-cor_gracileNucleus",
    name="gracile nucleus",
)
ParcellationEntity.pw_rbsc_cor_granular_cell_layer_of_the_olfactory_bulb = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_granularCellLayerOfTheOlfactoryBulb",
    abbreviation="GrO",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_granularCellLayerOfTheOlfactoryBulb"
        }
    ],
    lookup_label="PW-RBSC-cor_granularCellLayerOfTheOlfactoryBulb",
    name="granular cell layer of the olfactory bulb",
)
ParcellationEntity.pw_rbsc_cor_granular_insular_cortex = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_granularInsularCortex",
    abbreviation="GI",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_granularInsularCortex"
        }
    ],
    lookup_label="PW-RBSC-cor_granularInsularCortex",
    name="granular insular cortex",
)
ParcellationEntity.pw_rbsc_cor_granular_layer_of_the_dentate_gyrus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_granularLayerOfTheDentateGyrus",
    abbreviation="GrDG",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_granularLayerOfTheDentateGyrus"
        }
    ],
    lookup_label="PW-RBSC-cor_granularLayerOfTheDentateGyrus",
    name="granular layer of the dentate gyrus",
)
ParcellationEntity.pw_rbsc_cor_granule_cell_layer_of_cochlear_nuclei = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_granuleCellLayerOfCochlearNuclei",
    abbreviation="GrC",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_granuleCellLayerOfCochlearNuclei"
        }
    ],
    lookup_label="PW-RBSC-cor_granuleCellLayerOfCochlearNuclei",
    name="granule cell layer of cochlear nuclei",
)
ParcellationEntity.pw_rbsc_cor_granule_cell_layer_of_the_accessory_olfactory_bulb = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_granuleCellLayerOfTheAccessoryOlfactoryBulb",
    abbreviation="GrA",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_granuleCellLayerOfTheAccessoryOlfactoryBulb"
        }
    ],
    lookup_label="PW-RBSC-cor_granuleCellLayerOfTheAccessoryOlfactoryBulb",
    name="granule cell layer of the accessory olfactory bulb",
)
ParcellationEntity.pw_rbsc_cor_granule_cell_layer_of_the_cerebellum = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_granuleCellLayerOfTheCerebellum",
    abbreviation="GrCb",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_granuleCellLayerOfTheCerebellum"
        }
    ],
    lookup_label="PW-RBSC-cor_granuleCellLayerOfTheCerebellum",
    name="granule cell layer of the cerebellum",
)
ParcellationEntity.pw_rbsc_cor_habenular_commissure = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_habenularCommissure",
    abbreviation="hbc",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_habenularCommissure"
        }
    ],
    lookup_label="PW-RBSC-cor_habenularCommissure",
    name="habenular commissure",
)
ParcellationEntity.pw_rbsc_cor_hilus_of_the_dentate_gyrus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_hilusOfTheDentateGyrus",
    abbreviation="Hil",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_hilusOfTheDentateGyrus"
        }
    ],
    lookup_label="PW-RBSC-cor_hilusOfTheDentateGyrus",
    name="hilus of the dentate gyrus",
)
ParcellationEntity.pw_rbsc_cor_hippocampal_fissure = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_hippocampalFissure",
    abbreviation="hif",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_hippocampalFissure"
        }
    ],
    lookup_label="PW-RBSC-cor_hippocampalFissure",
    name="hippocampal fissure",
)
ParcellationEntity.pw_rbsc_cor_hypoglossal_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_hypoglossalNucleus",
    abbreviation="12N",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_hypoglossalNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_hypoglossalNucleus",
    name="hypoglossal nucleus",
)
ParcellationEntity.pw_rbsc_cor_hypoglossal_nucleus_geniohyoid_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_hypoglossalNucleusGeniohyoidPart",
    abbreviation="12GH",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_hypoglossalNucleusGeniohyoidPart"
        }
    ],
    lookup_label="PW-RBSC-cor_hypoglossalNucleusGeniohyoidPart",
    name="hypoglossal nucleus, geniohyoid part",
)
ParcellationEntity.pw_rbsc_cor_indusium_griseum = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_indusiumGriseum",
    abbreviation="IG",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_indusiumGriseum"}
    ],
    lookup_label="PW-RBSC-cor_indusiumGriseum",
    name="indusium griseum",
)
ParcellationEntity.pw_rbsc_cor_inferior_cerebellar_peduncle_decussation = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_inferiorCerebellarPeduncleDecussation",
    abbreviation="icpx",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_inferiorCerebellarPeduncleDecussation"
        }
    ],
    lookup_label="PW-RBSC-cor_inferiorCerebellarPeduncleDecussation",
    name="inferior cerebellar peduncle decussation",
)
ParcellationEntity.pw_rbsc_cor_inferior_cerebellar_peduncle_restiform_body = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_inferiorCerebellarPeduncleRestiformBody",
    abbreviation="icp",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_inferiorCerebellarPeduncleRestiformBody"
        }
    ],
    lookup_label="PW-RBSC-cor_inferiorCerebellarPeduncleRestiformBody",
    name="inferior cerebellar peduncle (restiform body)",
)
ParcellationEntity.pw_rbsc_cor_inferior_colliculus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_inferiorColliculus",
    abbreviation="IC",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_inferiorColliculus"
        }
    ],
    lookup_label="PW-RBSC-cor_inferiorColliculus",
    name="inferior colliculus",
)
ParcellationEntity.pw_rbsc_cor_inferior_olive_beta_subnucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_inferiorOliveBetaSubnucleus",
    abbreviation="IOBe",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_inferiorOliveBetaSubnucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_inferiorOliveBetaSubnucleus",
    name="inferior olive, beta subnucleus",
)
ParcellationEntity.pw_rbsc_cor_inferior_olive_cap_of_kooy_of_the_medial_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_inferiorOliveCapOfKooyOfTheMedialNucleus",
    abbreviation="IOK",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_inferiorOliveCapOfKooyOfTheMedialNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_inferiorOliveCapOfKooyOfTheMedialNucleus",
    name="inferior olive, cap of Kooy of the medial nucleus",
)
ParcellationEntity.pw_rbsc_cor_inferior_olive_dorsal_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_inferiorOliveDorsalNucleus",
    abbreviation="IOD",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_inferiorOliveDorsalNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_inferiorOliveDorsalNucleus",
    name="inferior olive, dorsal nucleus",
)
ParcellationEntity.pw_rbsc_cor_inferior_olive_dorsomedial_cell_group = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_inferiorOliveDorsomedialCellGroup",
    abbreviation="IODM",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_inferiorOliveDorsomedialCellGroup"
        }
    ],
    lookup_label="PW-RBSC-cor_inferiorOliveDorsomedialCellGroup",
    name="inferior olive, dorsomedial cell group",
)
ParcellationEntity.pw_rbsc_cor_inferior_olive_medial_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_inferiorOliveMedialNucleus",
    abbreviation="IOM",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_inferiorOliveMedialNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_inferiorOliveMedialNucleus",
    name="inferior olive, medial nucleus",
)
ParcellationEntity.pw_rbsc_cor_inferior_olive_principal_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_inferiorOlivePrincipalNucleus",
    abbreviation="IOPr",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_inferiorOlivePrincipalNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_inferiorOlivePrincipalNucleus",
    name="inferior olive, principal nucleus",
)
ParcellationEntity.pw_rbsc_cor_inferior_olive_subnucleus_a_of_medial_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_inferiorOliveSubnucleusAOfMedialNucleus",
    abbreviation="IOA",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_inferiorOliveSubnucleusAOfMedialNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_inferiorOliveSubnucleusAOfMedialNucleus",
    name="inferior olive, subnucleus A of medial nucleus",
)
ParcellationEntity.pw_rbsc_cor_inferior_olive_subnucleus_b_of_medial_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_inferiorOliveSubnucleusBOfMedialNucleus",
    abbreviation="IOB",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_inferiorOliveSubnucleusBOfMedialNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_inferiorOliveSubnucleusBOfMedialNucleus",
    name="inferior olive, subnucleus B of medial nucleus",
)
ParcellationEntity.pw_rbsc_cor_inferior_olive_subnucleus_c_of_medial_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_inferiorOliveSubnucleusCOfMedialNucleus",
    abbreviation="IOC",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_inferiorOliveSubnucleusCOfMedialNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_inferiorOliveSubnucleusCOfMedialNucleus",
    name="inferior olive, subnucleus C of medial nucleus",
)
ParcellationEntity.pw_rbsc_cor_inferior_olive_ventrolateral_protrusion = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_inferiorOliveVentrolateralProtrusion",
    abbreviation="IOVL",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_inferiorOliveVentrolateralProtrusion"
        }
    ],
    lookup_label="PW-RBSC-cor_inferiorOliveVentrolateralProtrusion",
    name="inferior olive, ventrolateral protrusion",
)
ParcellationEntity.pw_rbsc_cor_inferior_salivatory_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_inferiorSalivatoryNucleus",
    abbreviation="IS",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_inferiorSalivatoryNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_inferiorSalivatoryNucleus",
    name="inferior salivatory nucleus",
)
ParcellationEntity.pw_rbsc_cor_infralimbic_cortex = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_infralimbicCortex",
    abbreviation="IL",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_infralimbicCortex"
        }
    ],
    lookup_label="PW-RBSC-cor_infralimbicCortex",
    name="infralimbic cortex",
)
ParcellationEntity.pw_rbsc_cor_infundibular_recess = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_infundibularRecess",
    abbreviation="IRe",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_infundibularRecess"
        }
    ],
    lookup_label="PW-RBSC-cor_infundibularRecess",
    name="infundibular recess",
)
ParcellationEntity.pw_rbsc_cor_infundibular_stem = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_infundibularStem",
    abbreviation="InfS",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_infundibularStem"}
    ],
    lookup_label="PW-RBSC-cor_infundibularStem",
    name="infundibular stem",
)
ParcellationEntity.pw_rbsc_cor_interanterodorsal_thalamic_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_interanterodorsalThalamicNucleus",
    abbreviation="IAD",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_interanterodorsalThalamicNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_interanterodorsalThalamicNucleus",
    name="interanterodorsal thalamic nucleus",
)
ParcellationEntity.pw_rbsc_cor_interanteromedial_thalamic_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_interanteromedialThalamicNucleus",
    abbreviation="IAM",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_interanteromedialThalamicNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_interanteromedialThalamicNucleus",
    name="interanteromedial thalamic nucleus",
)
ParcellationEntity.pw_rbsc_cor_intercalated_amygdaloid_nucleus_main_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_intercalatedAmygdaloidNucleusMainPart",
    abbreviation="IM",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_intercalatedAmygdaloidNucleusMainPart"
        }
    ],
    lookup_label="PW-RBSC-cor_intercalatedAmygdaloidNucleusMainPart",
    name="intercalated amygdaloid nucleus, main part",
)
ParcellationEntity.pw_rbsc_cor_intercalated_nuclei_of_the_amygdala = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_intercalatedNucleiOfTheAmygdala",
    abbreviation="I",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_intercalatedNucleiOfTheAmygdala"
        }
    ],
    lookup_label="PW-RBSC-cor_intercalatedNucleiOfTheAmygdala",
    name="intercalated nuclei of the amygdala",
)
ParcellationEntity.pw_rbsc_cor_intercalated_nucleus_of_the_medulla = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_intercalatedNucleusOfTheMedulla",
    abbreviation="In",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_intercalatedNucleusOfTheMedulla"
        }
    ],
    lookup_label="PW-RBSC-cor_intercalatedNucleusOfTheMedulla",
    name="intercalated nucleus of the medulla",
)
ParcellationEntity.pw_rbsc_cor_intercrural_fissure = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_intercruralFissure",
    abbreviation="icf",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_intercruralFissure"
        }
    ],
    lookup_label="PW-RBSC-cor_intercruralFissure",
    name="intercrural fissure",
)
ParcellationEntity.pw_rbsc_cor_interfascicular_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_interfascicularNucleus",
    abbreviation="IF",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_interfascicularNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_interfascicularNucleus",
    name="interfascicular nucleus",
)
ParcellationEntity.pw_rbsc_cor_intergeniculate_leaf = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_intergeniculateLeaf",
    abbreviation="IGL",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_intergeniculateLeaf"
        }
    ],
    lookup_label="PW-RBSC-cor_intergeniculateLeaf",
    name="intergeniculate leaf",
)
ParcellationEntity.pw_rbsc_cor_intermediate_endopiriform_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_intermediateEndopiriformNucleus",
    abbreviation="IEn",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_intermediateEndopiriformNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_intermediateEndopiriformNucleus",
    name="intermediate endopiriform nucleus",
)
ParcellationEntity.pw_rbsc_cor_intermediate_gray_layer_of_the_superior_colliculus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_intermediateGrayLayerOfTheSuperiorColliculus",
    abbreviation="InG",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_intermediateGrayLayerOfTheSuperiorColliculus"
        }
    ],
    lookup_label="PW-RBSC-cor_intermediateGrayLayerOfTheSuperiorColliculus",
    name="intermediate gray layer of the superior colliculus",
)
ParcellationEntity.pw_rbsc_cor_intermediate_interstitial_nucleus_of_the_medial_longitudinal_fasciculus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_intermediateInterstitialNucleusOfTheMedialLongitudinalFasciculus",
    abbreviation="II",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_intermediateInterstitialNucleusOfTheMedialLongitudinalFasciculus"
        }
    ],
    lookup_label="PW-RBSC-cor_intermediateInterstitialNucleusOfTheMedialLongitudinalFasciculus",
    name="intermediate interstitial nucleus of the medial longitudinal fasciculus",
)
ParcellationEntity.pw_rbsc_cor_intermediate_lobe_of_pituitary = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_intermediateLobeOfPituitary",
    abbreviation="IPit",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_intermediateLobeOfPituitary"
        }
    ],
    lookup_label="PW-RBSC-cor_intermediateLobeOfPituitary",
    name="intermediate lobe of pituitary",
)
ParcellationEntity.pw_rbsc_cor_intermediate_nucleus_of_the_lateral_lemniscus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_intermediateNucleusOfTheLateralLemniscus",
    abbreviation="ILL",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_intermediateNucleusOfTheLateralLemniscus"
        }
    ],
    lookup_label="PW-RBSC-cor_intermediateNucleusOfTheLateralLemniscus",
    name="intermediate nucleus of the lateral lemniscus",
)
ParcellationEntity.pw_rbsc_cor_intermediate_reticular_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_intermediateReticularNucleus",
    abbreviation="IRt",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_intermediateReticularNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_intermediateReticularNucleus",
    name="intermediate reticular nucleus",
)
ParcellationEntity.pw_rbsc_cor_intermediate_reticular_nucleus_alpha_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_intermediateReticularNucleusAlphaPart",
    abbreviation="IRtA",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_intermediateReticularNucleusAlphaPart"
        }
    ],
    lookup_label="PW-RBSC-cor_intermediateReticularNucleusAlphaPart",
    name="intermediate reticular nucleus, alpha part",
)
ParcellationEntity.pw_rbsc_cor_intermediate_white_layer_of_the_superior_colliculus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_intermediateWhiteLayerOfTheSuperiorColliculus",
    abbreviation="InWh",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_intermediateWhiteLayerOfTheSuperiorColliculus"
        }
    ],
    lookup_label="PW-RBSC-cor_intermediateWhiteLayerOfTheSuperiorColliculus",
    name="intermediate white layer of the superior colliculus",
)
ParcellationEntity.pw_rbsc_cor_intermediodorsal_thalamic_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_intermediodorsalThalamicNucleus",
    abbreviation="IMD",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_intermediodorsalThalamicNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_intermediodorsalThalamicNucleus",
    name="intermediodorsal thalamic nucleus",
)
ParcellationEntity.pw_rbsc_cor_intermediolateral_cell_column_of_the_spinal_cord = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_intermediolateralCellColumnOfTheSpinalCord",
    abbreviation="IML",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_intermediolateralCellColumnOfTheSpinalCord"
        }
    ],
    lookup_label="PW-RBSC-cor_intermediolateralCellColumnOfTheSpinalCord",
    name="intermediolateral cell column of the spinal cord",
)
ParcellationEntity.pw_rbsc_cor_intermedioventral_thalamic_commissure = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_intermedioventralThalamicCommissure",
    abbreviation="imvc",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_intermedioventralThalamicCommissure"
        }
    ],
    lookup_label="PW-RBSC-cor_intermedioventralThalamicCommissure",
    name="intermedioventral thalamic commissure",
)
ParcellationEntity.pw_rbsc_cor_intermedius_nucleus_of_the_medulla = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_intermediusNucleusOfTheMedulla",
    abbreviation="InM",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_intermediusNucleusOfTheMedulla"
        }
    ],
    lookup_label="PW-RBSC-cor_intermediusNucleusOfTheMedulla",
    name="intermedius nucleus of the medulla",
)
ParcellationEntity.pw_rbsc_cor_internal_arcuate_fibers = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_internalArcuateFibers",
    abbreviation="ia",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_internalArcuateFibers"
        }
    ],
    lookup_label="PW-RBSC-cor_internalArcuateFibers",
    name="internal arcuate fibers",
)
ParcellationEntity.pw_rbsc_cor_internal_capsule = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_internalCapsule",
    abbreviation="ic",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_internalCapsule"}
    ],
    lookup_label="PW-RBSC-cor_internalCapsule",
    name="internal capsule",
)
ParcellationEntity.pw_rbsc_cor_internal_carotid_artery = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_internalCarotidArtery",
    abbreviation="ictd",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_internalCarotidArtery"
        }
    ],
    lookup_label="PW-RBSC-cor_internalCarotidArtery",
    name="internal carotid artery",
)
ParcellationEntity.pw_rbsc_cor_internal_medullary_lamina = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_internalMedullaryLamina",
    abbreviation="iml",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_internalMedullaryLamina"
        }
    ],
    lookup_label="PW-RBSC-cor_internalMedullaryLamina",
    name="internal medullary lamina",
)
ParcellationEntity.pw_rbsc_cor_internal_plexiform_layer_of_the_olfactory_bulb = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_internalPlexiformLayerOfTheOlfactoryBulb",
    abbreviation="IPl",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_internalPlexiformLayerOfTheOlfactoryBulb"
        }
    ],
    lookup_label="PW-RBSC-cor_internalPlexiformLayerOfTheOlfactoryBulb",
    name="internal plexiform layer of the olfactory bulb",
)
ParcellationEntity.pw_rbsc_cor_interpeduncular_fossa = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_interpeduncularFossa",
    abbreviation="IPF",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_interpeduncularFossa"
        }
    ],
    lookup_label="PW-RBSC-cor_interpeduncularFossa",
    name="interpeduncular fossa",
)
ParcellationEntity.pw_rbsc_cor_interpeduncular_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_interpeduncularNucleus",
    abbreviation="IP",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_interpeduncularNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_interpeduncularNucleus",
    name="interpeduncular nucleus",
)
ParcellationEntity.pw_rbsc_cor_interpeduncular_nucleus_apical_subnucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_interpeduncularNucleusApicalSubnucleus",
    abbreviation="IPA",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_interpeduncularNucleusApicalSubnucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_interpeduncularNucleusApicalSubnucleus",
    name="interpeduncular nucleus, apical subnucleus",
)
ParcellationEntity.pw_rbsc_cor_interpeduncular_nucleus_caudal_subnucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_interpeduncularNucleusCaudalSubnucleus",
    abbreviation="IPC",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_interpeduncularNucleusCaudalSubnucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_interpeduncularNucleusCaudalSubnucleus",
    name="interpeduncular nucleus, caudal subnucleus",
)
ParcellationEntity.pw_rbsc_cor_interpeduncular_nucleus_dorsolateral_subnucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_interpeduncularNucleusDorsolateralSubnucleus",
    abbreviation="IPDL",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_interpeduncularNucleusDorsolateralSubnucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_interpeduncularNucleusDorsolateralSubnucleus",
    name="interpeduncular nucleus, dorsolateral subnucleus",
)
ParcellationEntity.pw_rbsc_cor_interpeduncular_nucleus_dorsomedial_subnucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_interpeduncularNucleusDorsomedialSubnucleus",
    abbreviation="IPDM",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_interpeduncularNucleusDorsomedialSubnucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_interpeduncularNucleusDorsomedialSubnucleus",
    name="interpeduncular nucleus, dorsomedial subnucleus",
)
ParcellationEntity.pw_rbsc_cor_interpeduncular_nucleus_intermediate_subnucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_interpeduncularNucleusIntermediateSubnucleus",
    abbreviation="IPI",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_interpeduncularNucleusIntermediateSubnucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_interpeduncularNucleusIntermediateSubnucleus",
    name="interpeduncular nucleus, intermediate subnucleus",
)
ParcellationEntity.pw_rbsc_cor_interpeduncular_nucleus_lateral_subnucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_interpeduncularNucleusLateralSubnucleus",
    abbreviation="IPL",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_interpeduncularNucleusLateralSubnucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_interpeduncularNucleusLateralSubnucleus",
    name="interpeduncular nucleus, lateral subnucleus",
)
ParcellationEntity.pw_rbsc_cor_interpeduncular_nucleus_rostral_subnucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_interpeduncularNucleusRostralSubnucleus",
    abbreviation="IPR",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_interpeduncularNucleusRostralSubnucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_interpeduncularNucleusRostralSubnucleus",
    name="interpeduncular nucleus, rostral subnucleus",
)
ParcellationEntity.pw_rbsc_cor_interposed_cerebellar_nucleus_anterior_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_interposedCerebellarNucleusAnteriorPart",
    abbreviation="IntA",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_interposedCerebellarNucleusAnteriorPart"
        }
    ],
    lookup_label="PW-RBSC-cor_interposedCerebellarNucleusAnteriorPart",
    name="interposed cerebellar nucleus, anterior part",
)
ParcellationEntity.pw_rbsc_cor_interposed_cerebellar_nucleus_dorsolateral_hump = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_interposedCerebellarNucleusDorsolateralHump",
    abbreviation="IntDL",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_interposedCerebellarNucleusDorsolateralHump"
        }
    ],
    lookup_label="PW-RBSC-cor_interposedCerebellarNucleusDorsolateralHump",
    name="interposed cerebellar nucleus, dorsolateral hump",
)
ParcellationEntity.pw_rbsc_cor_interposed_cerebellar_nucleus_dorsomedial_crest = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_interposedCerebellarNucleusDorsomedialCrest",
    abbreviation="IntDM",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_interposedCerebellarNucleusDorsomedialCrest"
        }
    ],
    lookup_label="PW-RBSC-cor_interposedCerebellarNucleusDorsomedialCrest",
    name="interposed cerebellar nucleus, dorsomedial crest",
)
ParcellationEntity.pw_rbsc_cor_interposed_cerebellar_nucleus_posterior_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_interposedCerebellarNucleusPosteriorPart",
    abbreviation="IntP",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_interposedCerebellarNucleusPosteriorPart"
        }
    ],
    lookup_label="PW-RBSC-cor_interposedCerebellarNucleusPosteriorPart",
    name="interposed cerebellar nucleus, posterior part",
)
ParcellationEntity.pw_rbsc_cor_interposed_cerebellar_nucleus_posterior_parvicellular_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_interposedCerebellarNucleusPosteriorParvicellularPart",
    abbreviation="IntPPC",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_interposedCerebellarNucleusPosteriorParvicellularPart"
        }
    ],
    lookup_label="PW-RBSC-cor_interposedCerebellarNucleusPosteriorParvicellularPart",
    name="interposed cerebellar nucleus, posterior parvicellular part",
)
ParcellationEntity.pw_rbsc_cor_interstitial_nucleus_of_cajal = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_interstitialNucleusOfCajal",
    abbreviation="InC",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_interstitialNucleusOfCajal"
        }
    ],
    lookup_label="PW-RBSC-cor_interstitialNucleusOfCajal",
    name="interstitial nucleus of Cajal",
)
ParcellationEntity.pw_rbsc_cor_interstitial_nucleus_of_cajal_shell_region = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_interstitialNucleusOfCajalShellRegion",
    abbreviation="InCSh",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_interstitialNucleusOfCajalShellRegion"
        }
    ],
    lookup_label="PW-RBSC-cor_interstitialNucleusOfCajalShellRegion",
    name="interstitial nucleus of Cajal, shell region",
)
ParcellationEntity.pw_rbsc_cor_interstitial_nucleus_of_the_decussation_of_the_superior_cerebellar_peduncle = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_interstitialNucleusOfTheDecussationOfTheSuperiorCerebellarPeduncle",
    abbreviation="ID",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_interstitialNucleusOfTheDecussationOfTheSuperiorCerebellarPeduncle"
        }
    ],
    lookup_label="PW-RBSC-cor_interstitialNucleusOfTheDecussationOfTheSuperiorCerebellarPeduncle",
    name="interstitial nucleus of the decussation of the superior cerebellar peduncle",
)
ParcellationEntity.pw_rbsc_cor_interstitial_nucleus_of_the_medulla = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_interstitialNucleusOfTheMedulla",
    abbreviation="IB",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_interstitialNucleusOfTheMedulla"
        }
    ],
    lookup_label="PW-RBSC-cor_interstitialNucleusOfTheMedulla",
    name="interstitial nucleus of the medulla",
)
ParcellationEntity.pw_rbsc_cor_interstitial_nucleus_of_the_posterior_limb_of_the_anterior_commissure = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_interstitialNucleusOfThePosteriorLimbOfTheAnteriorCommissure",
    abbreviation="IPAC",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_interstitialNucleusOfThePosteriorLimbOfTheAnteriorCommissure"
        }
    ],
    lookup_label="PW-RBSC-cor_interstitialNucleusOfThePosteriorLimbOfTheAnteriorCommissure",
    name="interstitial nucleus of the posterior limb of the anterior commissure",
)
ParcellationEntity.pw_rbsc_cor_interstitial_nucleus_of_the_posterior_limb_of_the_anterior_commissure_lateral_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_interstitialNucleusOfThePosteriorLimbOfTheAnteriorCommissureLateralPart",
    abbreviation="IPACL",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_interstitialNucleusOfThePosteriorLimbOfTheAnteriorCommissureLateralPart"
        }
    ],
    lookup_label="PW-RBSC-cor_interstitialNucleusOfThePosteriorLimbOfTheAnteriorCommissureLateralPart",
    name="interstitial nucleus of the posterior limb of the anterior commissure, lateral part",
)
ParcellationEntity.pw_rbsc_cor_interstitial_nucleus_of_the_posterior_limb_of_the_anterior_commissure_medial_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_interstitialNucleusOfThePosteriorLimbOfTheAnteriorCommissureMedialPart",
    abbreviation="IPACM",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_interstitialNucleusOfThePosteriorLimbOfTheAnteriorCommissureMedialPart"
        }
    ],
    lookup_label="PW-RBSC-cor_interstitialNucleusOfThePosteriorLimbOfTheAnteriorCommissureMedialPart",
    name="interstitial nucleus of the posterior limb of the anterior commissure, medial part",
)
ParcellationEntity.pw_rbsc_cor_interstitial_nucleus_of_the_vestibulocochlear_nerve = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_interstitialNucleusOfTheVestibulocochlearNerve",
    abbreviation="I8",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_interstitialNucleusOfTheVestibulocochlearNerve"
        }
    ],
    lookup_label="PW-RBSC-cor_interstitialNucleusOfTheVestibulocochlearNerve",
    name="interstitial nucleus of the vestibulocochlear nerve",
)
ParcellationEntity.pw_rbsc_cor_interventricular_foramen = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_interventricularForamen",
    abbreviation="IVF",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_interventricularForamen"
        }
    ],
    lookup_label="PW-RBSC-cor_interventricularForamen",
    name="interventricular foramen",
)
ParcellationEntity.pw_rbsc_cor_intramedullary_thalamic_area = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_intramedullaryThalamicArea",
    abbreviation="IMA",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_intramedullaryThalamicArea"
        }
    ],
    lookup_label="PW-RBSC-cor_intramedullaryThalamicArea",
    name="intramedullary thalamic area",
)
ParcellationEntity.pw_rbsc_cor_islands_of_calleja = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_islandsOfCalleja",
    abbreviation="ICj",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_islandsOfCalleja"}
    ],
    lookup_label="PW-RBSC-cor_islandsOfCalleja",
    name="islands of Calleja",
)
ParcellationEntity.pw_rbsc_cor_islands_of_calleja_major_island = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_islandsOfCallejaMajorIsland",
    abbreviation="ICjM",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_islandsOfCallejaMajorIsland"
        }
    ],
    lookup_label="PW-RBSC-cor_islandsOfCallejaMajorIsland",
    name="islands of Calleja, major island",
)
ParcellationEntity.pw_rbsc_cor_isthmic_periaqueductal_gray = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_isthmicPeriaqueductalGray",
    abbreviation="isPAG",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_isthmicPeriaqueductalGray"
        }
    ],
    lookup_label="PW-RBSC-cor_isthmicPeriaqueductalGray",
    name="isthmic periaqueductal gray",
)
ParcellationEntity.pw_rbsc_cor_isthmic_reticular_formation = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_isthmicReticularFormation",
    abbreviation="isRt",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_isthmicReticularFormation"
        }
    ],
    lookup_label="PW-RBSC-cor_isthmicReticularFormation",
    name="isthmic reticular formation",
)
ParcellationEntity.pw_rbsc_cor_juxtaolivary_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_juxtaolivaryNucleus",
    abbreviation="JxO",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_juxtaolivaryNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_juxtaolivaryNucleus",
    name="juxtaolivary nucleus",
)
ParcellationEntity.pw_rbsc_cor_juxtaparaventricular_part_of_lateral_hypothalamus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_juxtaparaventricularPartOfLateralHypothalamus",
    abbreviation="JPLH",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_juxtaparaventricularPartOfLateralHypothalamus"
        }
    ],
    lookup_label="PW-RBSC-cor_juxtaparaventricularPartOfLateralHypothalamus",
    name="juxtaparaventricular part of lateral hypothalamus",
)
ParcellationEntity.pw_rbsc_cor_lacunosum_moleculare_layer_of_the_hippocampus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_lacunosumMoleculareLayerOfTheHippocampus",
    abbreviation="LMol",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lacunosumMoleculareLayerOfTheHippocampus"
        }
    ],
    lookup_label="PW-RBSC-cor_lacunosumMoleculareLayerOfTheHippocampus",
    name="lacunosum moleculare layer of the hippocampus",
)
ParcellationEntity.pw_rbsc_cor_lambdoid_septal_zone = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_lambdoidSeptalZone",
    abbreviation="Ld",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lambdoidSeptalZone"
        }
    ],
    lookup_label="PW-RBSC-cor_lambdoidSeptalZone",
    name="lambdoid septal zone",
)
ParcellationEntity.pw_rbsc_cor_lateral_accumbens_shell = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_lateralAccumbensShell",
    abbreviation="LAcbSh",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralAccumbensShell"
        }
    ],
    lookup_label="PW-RBSC-cor_lateralAccumbensShell",
    name="lateral accumbens shell",
)
ParcellationEntity.pw_rbsc_cor_lateral_amygdaloid_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_lateralAmygdaloidNucleus",
    abbreviation="La",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralAmygdaloidNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_lateralAmygdaloidNucleus",
    name="lateral amygdaloid nucleus",
)
ParcellationEntity.pw_rbsc_cor_lateral_amygdaloid_nucleus_dorsolateral_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_lateralAmygdaloidNucleusDorsolateralPart",
    abbreviation="LaDL",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralAmygdaloidNucleusDorsolateralPart"
        }
    ],
    lookup_label="PW-RBSC-cor_lateralAmygdaloidNucleusDorsolateralPart",
    name="lateral amygdaloid nucleus, dorsolateral part",
)
ParcellationEntity.pw_rbsc_cor_lateral_amygdaloid_nucleus_ventrolateral_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_lateralAmygdaloidNucleusVentrolateralPart",
    abbreviation="LaVL",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralAmygdaloidNucleusVentrolateralPart"
        }
    ],
    lookup_label="PW-RBSC-cor_lateralAmygdaloidNucleusVentrolateralPart",
    name="lateral amygdaloid nucleus, ventrolateral part",
)
ParcellationEntity.pw_rbsc_cor_lateral_amygdaloid_nucleus_ventromedial_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_lateralAmygdaloidNucleusVentromedialPart",
    abbreviation="LaVM",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralAmygdaloidNucleusVentromedialPart"
        }
    ],
    lookup_label="PW-RBSC-cor_lateralAmygdaloidNucleusVentromedialPart",
    name="lateral amygdaloid nucleus, ventromedial part",
)
ParcellationEntity.pw_rbsc_cor_lateral_cerebellar_nucleus_parvicellular_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_lateralCerebellarNucleusParvicellularPart",
    abbreviation="LatPC",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralCerebellarNucleusParvicellularPart"
        }
    ],
    lookup_label="PW-RBSC-cor_lateralCerebellarNucleusParvicellularPart",
    name="lateral cerebellar nucleus, parvicellular part",
)
ParcellationEntity.pw_rbsc_cor_lateral_cervical_nucleus_of_the_spinal_cord = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_lateralCervicalNucleusOfTheSpinalCord",
    abbreviation="LatC",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralCervicalNucleusOfTheSpinalCord"
        }
    ],
    lookup_label="PW-RBSC-cor_lateralCervicalNucleusOfTheSpinalCord",
    name="lateral cervical nucleus of the spinal cord",
)
ParcellationEntity.pw_rbsc_cor_lateral_dentate_cerebellar_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_lateralDentateCerebellarNucleus",
    abbreviation="Lat",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralDentateCerebellarNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_lateralDentateCerebellarNucleus",
    name="lateral (dentate) cerebellar nucleus",
)
ParcellationEntity.pw_rbsc_cor_lateral_entorhinal_cortex = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_lateralEntorhinalCortex",
    abbreviation="LEnt",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralEntorhinalCortex"
        }
    ],
    lookup_label="PW-RBSC-cor_lateralEntorhinalCortex",
    name="lateral entorhinal cortex",
)
ParcellationEntity.pw_rbsc_cor_lateral_habenular_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_lateralHabenularNucleus",
    abbreviation="LHb",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralHabenularNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_lateralHabenularNucleus",
    name="lateral habenular nucleus",
)
ParcellationEntity.pw_rbsc_cor_lateral_habenular_nucleus_lateral_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_lateralHabenularNucleusLateralPart",
    abbreviation="LHbL",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralHabenularNucleusLateralPart"
        }
    ],
    lookup_label="PW-RBSC-cor_lateralHabenularNucleusLateralPart",
    name="lateral habenular nucleus, lateral part",
)
ParcellationEntity.pw_rbsc_cor_lateral_habenular_nucleus_medial_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_lateralHabenularNucleusMedialPart",
    abbreviation="LHbM",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralHabenularNucleusMedialPart"
        }
    ],
    lookup_label="PW-RBSC-cor_lateralHabenularNucleusMedialPart",
    name="lateral habenular nucleus, medial part",
)
ParcellationEntity.pw_rbsc_cor_lateral_hypothalamic_area = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_lateralHypothalamicArea",
    abbreviation="LH",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralHypothalamicArea"
        }
    ],
    lookup_label="PW-RBSC-cor_lateralHypothalamicArea",
    name="lateral hypothalamic area",
)
ParcellationEntity.pw_rbsc_cor_lateral_lemniscus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_lateralLemniscus",
    abbreviation="ll",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralLemniscus"}
    ],
    lookup_label="PW-RBSC-cor_lateralLemniscus",
    name="lateral lemniscus",
)
ParcellationEntity.pw_rbsc_cor_lateral_mammillary_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_lateralMammillaryNucleus",
    abbreviation="LM",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralMammillaryNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_lateralMammillaryNucleus",
    name="lateral mammillary nucleus",
)
ParcellationEntity.pw_rbsc_cor_lateral_olfactory_tract = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_lateralOlfactoryTract",
    abbreviation="lo",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralOlfactoryTract"
        }
    ],
    lookup_label="PW-RBSC-cor_lateralOlfactoryTract",
    name="lateral olfactory tract",
)
ParcellationEntity.pw_rbsc_cor_lateral_orbital_cortex = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_lateralOrbitalCortex",
    abbreviation="LO",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralOrbitalCortex"
        }
    ],
    lookup_label="PW-RBSC-cor_lateralOrbitalCortex",
    name="lateral orbital cortex",
)
ParcellationEntity.pw_rbsc_cor_lateral_orbitofrontal_artery = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_lateralOrbitofrontalArtery",
    abbreviation="lofr",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralOrbitofrontalArtery"
        }
    ],
    lookup_label="PW-RBSC-cor_lateralOrbitofrontalArtery",
    name="lateral orbitofrontal artery",
)
ParcellationEntity.pw_rbsc_cor_lateral_parabrachial_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_lateralParabrachialNucleus",
    abbreviation="LPB",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralParabrachialNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_lateralParabrachialNucleus",
    name="lateral parabrachial nucleus",
)
ParcellationEntity.pw_rbsc_cor_lateral_parabrachial_nucleus_central_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_lateralParabrachialNucleusCentralPart",
    abbreviation="LPBC",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralParabrachialNucleusCentralPart"
        }
    ],
    lookup_label="PW-RBSC-cor_lateralParabrachialNucleusCentralPart",
    name="lateral parabrachial nucleus, central part",
)
ParcellationEntity.pw_rbsc_cor_lateral_parabrachial_nucleus_crescent_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_lateralParabrachialNucleusCrescentPart",
    abbreviation="LPBCr",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralParabrachialNucleusCrescentPart"
        }
    ],
    lookup_label="PW-RBSC-cor_lateralParabrachialNucleusCrescentPart",
    name="lateral parabrachial nucleus, crescent part",
)
ParcellationEntity.pw_rbsc_cor_lateral_parabrachial_nucleus_dorsal_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_lateralParabrachialNucleusDorsalPart",
    abbreviation="LPBD",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralParabrachialNucleusDorsalPart"
        }
    ],
    lookup_label="PW-RBSC-cor_lateralParabrachialNucleusDorsalPart",
    name="lateral parabrachial nucleus, dorsal part",
)
ParcellationEntity.pw_rbsc_cor_lateral_parabrachial_nucleus_external_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_lateralParabrachialNucleusExternalPart",
    abbreviation="LPBE",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralParabrachialNucleusExternalPart"
        }
    ],
    lookup_label="PW-RBSC-cor_lateralParabrachialNucleusExternalPart",
    name="lateral parabrachial nucleus, external part",
)
ParcellationEntity.pw_rbsc_cor_lateral_parabrachial_nucleus_internal_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_lateralParabrachialNucleusInternalPart",
    abbreviation="LPBI",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralParabrachialNucleusInternalPart"
        }
    ],
    lookup_label="PW-RBSC-cor_lateralParabrachialNucleusInternalPart",
    name="lateral parabrachial nucleus, internal part",
)
ParcellationEntity.pw_rbsc_cor_lateral_parabrachial_nucleus_medial_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_lateralParabrachialNucleusMedialPart",
    abbreviation="LPBM",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralParabrachialNucleusMedialPart"
        }
    ],
    lookup_label="PW-RBSC-cor_lateralParabrachialNucleusMedialPart",
    name="lateral parabrachial nucleus, medial part",
)
ParcellationEntity.pw_rbsc_cor_lateral_parabrachial_nucleus_superior_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_lateralParabrachialNucleusSuperiorPart",
    abbreviation="LPBS",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralParabrachialNucleusSuperiorPart"
        }
    ],
    lookup_label="PW-RBSC-cor_lateralParabrachialNucleusSuperiorPart",
    name="lateral parabrachial nucleus, superior part",
)
ParcellationEntity.pw_rbsc_cor_lateral_parabrachial_nucleus_ventral_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_lateralParabrachialNucleusVentralPart",
    abbreviation="LPBV",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralParabrachialNucleusVentralPart"
        }
    ],
    lookup_label="PW-RBSC-cor_lateralParabrachialNucleusVentralPart",
    name="lateral parabrachial nucleus, ventral part",
)
ParcellationEntity.pw_rbsc_cor_lateral_paragigantocellular_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_lateralParagigantocellularNucleus",
    abbreviation="LPGi",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralParagigantocellularNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_lateralParagigantocellularNucleus",
    name="lateral paragigantocellular nucleus",
)
ParcellationEntity.pw_rbsc_cor_lateral_paragigantocellular_nucleus_alpha_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_lateralParagigantocellularNucleusAlphaPart",
    abbreviation="LPGiA",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralParagigantocellularNucleusAlphaPart"
        }
    ],
    lookup_label="PW-RBSC-cor_lateralParagigantocellularNucleusAlphaPart",
    name="lateral paragigantocellular nucleus, alpha part",
)
ParcellationEntity.pw_rbsc_cor_lateral_paragigantocellular_nucleus_external_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_lateralParagigantocellularNucleusExternalPart",
    abbreviation="LPGiE",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralParagigantocellularNucleusExternalPart"
        }
    ],
    lookup_label="PW-RBSC-cor_lateralParagigantocellularNucleusExternalPart",
    name="lateral paragigantocellular nucleus, external part",
)
ParcellationEntity.pw_rbsc_cor_lateral_parietal_association_cortex = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_lateralParietalAssociationCortex",
    abbreviation="LPtA",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralParietalAssociationCortex"
        }
    ],
    lookup_label="PW-RBSC-cor_lateralParietalAssociationCortex",
    name="lateral parietal association cortex",
)
ParcellationEntity.pw_rbsc_cor_lateral_periaqueductal_gray = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_lateralPeriaqueductalGray",
    abbreviation="LPAG",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralPeriaqueductalGray"
        }
    ],
    lookup_label="PW-RBSC-cor_lateralPeriaqueductalGray",
    name="lateral periaqueductal gray",
)
ParcellationEntity.pw_rbsc_cor_lateral_posterior_thalamic_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_lateralPosteriorThalamicNucleus",
    abbreviation="LP",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralPosteriorThalamicNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_lateralPosteriorThalamicNucleus",
    name="lateral posterior thalamic nucleus",
)
ParcellationEntity.pw_rbsc_cor_lateral_posterior_thalamic_nucleus_laterocaudal_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_lateralPosteriorThalamicNucleusLaterocaudalPart",
    abbreviation="LPLC",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralPosteriorThalamicNucleusLaterocaudalPart"
        }
    ],
    lookup_label="PW-RBSC-cor_lateralPosteriorThalamicNucleusLaterocaudalPart",
    name="lateral posterior thalamic nucleus, laterocaudal part",
)
ParcellationEntity.pw_rbsc_cor_lateral_posterior_thalamic_nucleus_laterorostral_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_lateralPosteriorThalamicNucleusLaterorostralPart",
    abbreviation="LPLR",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralPosteriorThalamicNucleusLaterorostralPart"
        }
    ],
    lookup_label="PW-RBSC-cor_lateralPosteriorThalamicNucleusLaterorostralPart",
    name="lateral posterior thalamic nucleus, laterorostral part",
)
ParcellationEntity.pw_rbsc_cor_lateral_posterior_thalamic_nucleus_mediocaudal_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_lateralPosteriorThalamicNucleusMediocaudalPart",
    abbreviation="LPMC",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralPosteriorThalamicNucleusMediocaudalPart"
        }
    ],
    lookup_label="PW-RBSC-cor_lateralPosteriorThalamicNucleusMediocaudalPart",
    name="lateral posterior thalamic nucleus, mediocaudal part",
)
ParcellationEntity.pw_rbsc_cor_lateral_posterior_thalamic_nucleus_mediorostral_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_lateralPosteriorThalamicNucleusMediorostralPart",
    abbreviation="LPMR",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralPosteriorThalamicNucleusMediorostralPart"
        }
    ],
    lookup_label="PW-RBSC-cor_lateralPosteriorThalamicNucleusMediorostralPart",
    name="lateral posterior thalamic nucleus, mediorostral part",
)
ParcellationEntity.pw_rbsc_cor_lateral_preoptic_area = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_lateralPreopticArea",
    abbreviation="LPO",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralPreopticArea"
        }
    ],
    lookup_label="PW-RBSC-cor_lateralPreopticArea",
    name="lateral preoptic area",
)
ParcellationEntity.pw_rbsc_cor_lateral_recess_of_the4th_ventricle = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_lateralRecessOfThe4thVentricle",
    abbreviation="LR4V",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralRecessOfThe4thVentricle"
        }
    ],
    lookup_label="PW-RBSC-cor_lateralRecessOfThe4thVentricle",
    name="lateral recess of the 4th ventricle",
)
ParcellationEntity.pw_rbsc_cor_lateral_reticular_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_lateralReticularNucleus",
    abbreviation="LRt",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralReticularNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_lateralReticularNucleus",
    name="lateral reticular nucleus",
)
ParcellationEntity.pw_rbsc_cor_lateral_reticular_nucleus_parvicellular_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_lateralReticularNucleusParvicellularPart",
    abbreviation="LRtPC",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralReticularNucleusParvicellularPart"
        }
    ],
    lookup_label="PW-RBSC-cor_lateralReticularNucleusParvicellularPart",
    name="lateral reticular nucleus, parvicellular part",
)
ParcellationEntity.pw_rbsc_cor_lateral_reticular_nucleus_subtrigeminal_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_lateralReticularNucleusSubtrigeminalPart",
    abbreviation="LRtS5",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralReticularNucleusSubtrigeminalPart"
        }
    ],
    lookup_label="PW-RBSC-cor_lateralReticularNucleusSubtrigeminalPart",
    name="lateral reticular nucleus, subtrigeminal part",
)
ParcellationEntity.pw_rbsc_cor_lateral_septal_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_lateralSeptalNucleus",
    abbreviation="LS",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralSeptalNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_lateralSeptalNucleus",
    name="lateral septal nucleus",
)
ParcellationEntity.pw_rbsc_cor_lateral_septal_nucleus_dorsal_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_lateralSeptalNucleusDorsalPart",
    abbreviation="LSD",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralSeptalNucleusDorsalPart"
        }
    ],
    lookup_label="PW-RBSC-cor_lateralSeptalNucleusDorsalPart",
    name="lateral septal nucleus, dorsal part",
)
ParcellationEntity.pw_rbsc_cor_lateral_septal_nucleus_intermediate_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_lateralSeptalNucleusIntermediatePart",
    abbreviation="LSI",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralSeptalNucleusIntermediatePart"
        }
    ],
    lookup_label="PW-RBSC-cor_lateralSeptalNucleusIntermediatePart",
    name="lateral septal nucleus, intermediate part",
)
ParcellationEntity.pw_rbsc_cor_lateral_septal_nucleus_ventral_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_lateralSeptalNucleusVentralPart",
    abbreviation="LSV",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralSeptalNucleusVentralPart"
        }
    ],
    lookup_label="PW-RBSC-cor_lateralSeptalNucleusVentralPart",
    name="lateral septal nucleus, ventral part",
)
ParcellationEntity.pw_rbsc_cor_lateral_spinal_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_lateralSpinalNucleus",
    abbreviation="LSp",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralSpinalNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_lateralSpinalNucleus",
    name="lateral spinal nucleus",
)
ParcellationEntity.pw_rbsc_cor_lateral_stripe_of_the_striatum = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_lateralStripeOfTheStriatum",
    abbreviation="LSS",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralStripeOfTheStriatum"
        }
    ],
    lookup_label="PW-RBSC-cor_lateralStripeOfTheStriatum",
    name="lateral stripe of the striatum",
)
ParcellationEntity.pw_rbsc_cor_lateral_superior_olive = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_lateralSuperiorOlive",
    abbreviation="LSO",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralSuperiorOlive"
        }
    ],
    lookup_label="PW-RBSC-cor_lateralSuperiorOlive",
    name="lateral superior olive",
)
ParcellationEntity.pw_rbsc_cor_lateral_terminal_nucleus_of_the_accessory_optic_tract = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_lateralTerminalNucleusOfTheAccessoryOpticTract",
    abbreviation="LT",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralTerminalNucleusOfTheAccessoryOpticTract"
        }
    ],
    lookup_label="PW-RBSC-cor_lateralTerminalNucleusOfTheAccessoryOpticTract",
    name="lateral terminal nucleus of the accessory optic tract",
)
ParcellationEntity.pw_rbsc_cor_lateral_ventricle = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_lateralVentricle",
    abbreviation="LV",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralVentricle"}
    ],
    lookup_label="PW-RBSC-cor_lateralVentricle",
    name="lateral ventricle",
)
ParcellationEntity.pw_rbsc_cor_lateral_vestibular_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_lateralVestibularNucleus",
    abbreviation="LVe",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralVestibularNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_lateralVestibularNucleus",
    name="lateral vestibular nucleus",
)
ParcellationEntity.pw_rbsc_cor_lateroanterior_hypothalamic_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_lateroanteriorHypothalamicNucleus",
    abbreviation="LA",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateroanteriorHypothalamicNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_lateroanteriorHypothalamicNucleus",
    name="lateroanterior hypothalamic nucleus",
)
ParcellationEntity.pw_rbsc_cor_laterodorsal_tegmental_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_laterodorsalTegmentalNucleus",
    abbreviation="LDTg",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_laterodorsalTegmentalNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_laterodorsalTegmentalNucleus",
    name="laterodorsal tegmental nucleus",
)
ParcellationEntity.pw_rbsc_cor_laterodorsal_tegmental_nucleus_ventral_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_laterodorsalTegmentalNucleusVentralPart",
    abbreviation="LDTgV",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_laterodorsalTegmentalNucleusVentralPart"
        }
    ],
    lookup_label="PW-RBSC-cor_laterodorsalTegmentalNucleusVentralPart",
    name="laterodorsal tegmental nucleus, ventral part",
)
ParcellationEntity.pw_rbsc_cor_laterodorsal_thalamic_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_laterodorsalThalamicNucleus",
    abbreviation="LD",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_laterodorsalThalamicNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_laterodorsalThalamicNucleus",
    name="laterodorsal thalamic nucleus",
)
ParcellationEntity.pw_rbsc_cor_laterodorsal_thalamic_nucleus_dorsomedial_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_laterodorsalThalamicNucleusDorsomedialPart",
    abbreviation="LDDM",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_laterodorsalThalamicNucleusDorsomedialPart"
        }
    ],
    lookup_label="PW-RBSC-cor_laterodorsalThalamicNucleusDorsomedialPart",
    name="laterodorsal thalamic nucleus, dorsomedial part",
)
ParcellationEntity.pw_rbsc_cor_laterodorsal_thalamic_nucleus_ventrolateral_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_laterodorsalThalamicNucleusVentrolateralPart",
    abbreviation="LDVL",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_laterodorsalThalamicNucleusVentrolateralPart"
        }
    ],
    lookup_label="PW-RBSC-cor_laterodorsalThalamicNucleusVentrolateralPart",
    name="laterodorsal thalamic nucleus, ventrolateral part",
)
ParcellationEntity.pw_rbsc_cor_lateroventral_periolivary_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_lateroventralPeriolivaryNucleus",
    abbreviation="LVPO",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateroventralPeriolivaryNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_lateroventralPeriolivaryNucleus",
    name="lateroventral periolivary nucleus",
)
ParcellationEntity.pw_rbsc_cor_layer1_of_cortex = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_layer1OfCortex",
    abbreviation="1",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_layer1OfCortex"}
    ],
    lookup_label="PW-RBSC-cor_layer1OfCortex",
    name="layer 1 of cortex",
)
ParcellationEntity.pw_rbsc_cor_layer1b_of_cortex = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_layer1bOfCortex",
    abbreviation="1b",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_layer1bOfCortex"}
    ],
    lookup_label="PW-RBSC-cor_layer1bOfCortex",
    name="layer 1b of cortex",
)
ParcellationEntity.pw_rbsc_cor_layer2_of_cortex = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_layer2OfCortex",
    abbreviation="2",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_layer2OfCortex"}
    ],
    lookup_label="PW-RBSC-cor_layer2OfCortex",
    name="layer 2 of cortex",
)
ParcellationEntity.pw_rbsc_cor_layer3_of_cortex = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_layer3OfCortex",
    abbreviation="3",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_layer3OfCortex"}
    ],
    lookup_label="PW-RBSC-cor_layer3OfCortex",
    name="layer 3 of cortex",
)
ParcellationEntity.pw_rbsc_cor_layer4_of_cortex = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_layer4OfCortex",
    abbreviation="4",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_layer4OfCortex"}
    ],
    lookup_label="PW-RBSC-cor_layer4OfCortex",
    name="layer 4 of cortex",
)
ParcellationEntity.pw_rbsc_cor_layer5_of_cortex = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_layer5OfCortex",
    abbreviation="5",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_layer5OfCortex"}
    ],
    lookup_label="PW-RBSC-cor_layer5OfCortex",
    name="layer 5 of cortex",
)
ParcellationEntity.pw_rbsc_cor_layer5a_of_cortex = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_layer5aOfCortex",
    abbreviation="5a",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_layer5aOfCortex"}
    ],
    lookup_label="PW-RBSC-cor_layer5aOfCortex",
    name="layer 5a of cortex",
)
ParcellationEntity.pw_rbsc_cor_layer5b_of_cortex = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_layer5bOfCortex",
    abbreviation="5b",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_layer5bOfCortex"}
    ],
    lookup_label="PW-RBSC-cor_layer5bOfCortex",
    name="layer 5b of cortex",
)
ParcellationEntity.pw_rbsc_cor_layer6_of_cortex = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_layer6OfCortex",
    abbreviation="6",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_layer6OfCortex"}
    ],
    lookup_label="PW-RBSC-cor_layer6OfCortex",
    name="layer 6 of cortex",
)
ParcellationEntity.pw_rbsc_cor_layer6a_of_cortex = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_layer6aOfCortex",
    abbreviation="6a",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_layer6aOfCortex"}
    ],
    lookup_label="PW-RBSC-cor_layer6aOfCortex",
    name="layer 6a of cortex",
)
ParcellationEntity.pw_rbsc_cor_layer6b_of_cortex = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_layer6bOfCortex",
    abbreviation="6b",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_layer6bOfCortex"}
    ],
    lookup_label="PW-RBSC-cor_layer6bOfCortex",
    name="layer 6b of cortex",
)
ParcellationEntity.pw_rbsc_cor_lemina_terminalis = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_leminaTerminalis",
    abbreviation="LTer",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_leminaTerminalis"}
    ],
    lookup_label="PW-RBSC-cor_leminaTerminalis",
    name="lemina terminalis",
)
ParcellationEntity.pw_rbsc_cor_linear_nucleus_of_the_medulla = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_linearNucleusOfTheMedulla",
    abbreviation="Li",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_linearNucleusOfTheMedulla"
        }
    ],
    lookup_label="PW-RBSC-cor_linearNucleusOfTheMedulla",
    name="linear nucleus of the medulla",
)
ParcellationEntity.pw_rbsc_cor_lithoid_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_lithoidNucleus",
    abbreviation="Lth",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lithoidNucleus"}
    ],
    lookup_label="PW-RBSC-cor_lithoidNucleus",
    name="lithoid nucleus",
)
ParcellationEntity.pw_rbsc_cor_locus_coeruleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_locusCoeruleus",
    abbreviation="LC",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_locusCoeruleus"}
    ],
    lookup_label="PW-RBSC-cor_locusCoeruleus",
    name="locus coeruleus",
)
ParcellationEntity.pw_rbsc_cor_longitudinal_fasciculus_of_the_pons = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_longitudinalFasciculusOfThePons",
    abbreviation="lfp",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_longitudinalFasciculusOfThePons"
        }
    ],
    lookup_label="PW-RBSC-cor_longitudinalFasciculusOfThePons",
    name="longitudinal fasciculus of the pons",
)
ParcellationEntity.pw_rbsc_cor_magnocellular_nucleus_of_the_lateral_hypothalamus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_magnocellularNucleusOfTheLateralHypothalamus",
    abbreviation="MCLH",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_magnocellularNucleusOfTheLateralHypothalamus"
        }
    ],
    lookup_label="PW-RBSC-cor_magnocellularNucleusOfTheLateralHypothalamus",
    name="magnocellular nucleus of the lateral hypothalamus",
)
ParcellationEntity.pw_rbsc_cor_magnocellular_nucleus_of_the_posterior_commissure = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_magnocellularNucleusOfThePosteriorCommissure",
    abbreviation="MCPC",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_magnocellularNucleusOfThePosteriorCommissure"
        }
    ],
    lookup_label="PW-RBSC-cor_magnocellularNucleusOfThePosteriorCommissure",
    name="magnocellular nucleus of the posterior commissure",
)
ParcellationEntity.pw_rbsc_cor_magnocellular_preoptic_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_magnocellularPreopticNucleus",
    abbreviation="MCPO",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_magnocellularPreopticNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_magnocellularPreopticNucleus",
    name="magnocellular preoptic nucleus",
)
ParcellationEntity.pw_rbsc_cor_mammillary_peduncle = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_mammillaryPeduncle",
    abbreviation="mp",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_mammillaryPeduncle"
        }
    ],
    lookup_label="PW-RBSC-cor_mammillaryPeduncle",
    name="mammillary peduncle",
)
ParcellationEntity.pw_rbsc_cor_mammillary_recess_of_the3rd_ventricle = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_mammillaryRecessOfThe3rdVentricle",
    abbreviation="MRe",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_mammillaryRecessOfThe3rdVentricle"
        }
    ],
    lookup_label="PW-RBSC-cor_mammillaryRecessOfThe3rdVentricle",
    name="mammillary recess of the 3rd ventricle",
)
ParcellationEntity.pw_rbsc_cor_mammillotegmental_tract = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_mammillotegmentalTract",
    abbreviation="mtg",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_mammillotegmentalTract"
        }
    ],
    lookup_label="PW-RBSC-cor_mammillotegmentalTract",
    name="mammillotegmental tract",
)
ParcellationEntity.pw_rbsc_cor_mammillothalamic_tract = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_mammillothalamicTract",
    abbreviation="mt",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_mammillothalamicTract"
        }
    ],
    lookup_label="PW-RBSC-cor_mammillothalamicTract",
    name="mammillothalamic tract",
)
ParcellationEntity.pw_rbsc_cor_marginal_zone_of_the_medial_geniculate = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_marginalZoneOfTheMedialGeniculate",
    abbreviation="MZMG",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_marginalZoneOfTheMedialGeniculate"
        }
    ],
    lookup_label="PW-RBSC-cor_marginalZoneOfTheMedialGeniculate",
    name="marginal zone of the medial geniculate",
)
ParcellationEntity.pw_rbsc_cor_matrix_region_of_the_medulla = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_matrixRegionOfTheMedulla",
    abbreviation="Mx",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_matrixRegionOfTheMedulla"
        }
    ],
    lookup_label="PW-RBSC-cor_matrixRegionOfTheMedulla",
    name="matrix region of the medulla",
)
ParcellationEntity.pw_rbsc_cor_medial_accessory_oculomotor_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_medialAccessoryOculomotorNucleus",
    abbreviation="MA3",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialAccessoryOculomotorNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_medialAccessoryOculomotorNucleus",
    name="medial accessory oculomotor nucleus",
)
ParcellationEntity.pw_rbsc_cor_medial_amygdaloid_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_medialAmygdaloidNucleus",
    abbreviation="Me",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialAmygdaloidNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_medialAmygdaloidNucleus",
    name="medial amygdaloid nucleus",
)
ParcellationEntity.pw_rbsc_cor_medial_amygdaloid_nucleus_anterior_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_medialAmygdaloidNucleusAnteriorPart",
    abbreviation="MeA",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialAmygdaloidNucleusAnteriorPart"
        }
    ],
    lookup_label="PW-RBSC-cor_medialAmygdaloidNucleusAnteriorPart",
    name="medial amygdaloid nucleus, anterior part",
)
ParcellationEntity.pw_rbsc_cor_medial_amygdaloid_nucleus_anterodorsal_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_medialAmygdaloidNucleusAnterodorsalPart",
    abbreviation="MeAD",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialAmygdaloidNucleusAnterodorsalPart"
        }
    ],
    lookup_label="PW-RBSC-cor_medialAmygdaloidNucleusAnterodorsalPart",
    name="medial amygdaloid nucleus, anterodorsal part",
)
ParcellationEntity.pw_rbsc_cor_medial_amygdaloid_nucleus_anteroventral_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_medialAmygdaloidNucleusAnteroventralPart",
    abbreviation="MeAV",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialAmygdaloidNucleusAnteroventralPart"
        }
    ],
    lookup_label="PW-RBSC-cor_medialAmygdaloidNucleusAnteroventralPart",
    name="medial amygdaloid nucleus, anteroventral part",
)
ParcellationEntity.pw_rbsc_cor_medial_amygdaloid_nucleus_posterodorsal_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_medialAmygdaloidNucleusPosterodorsalPart",
    abbreviation="MePD",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialAmygdaloidNucleusPosterodorsalPart"
        }
    ],
    lookup_label="PW-RBSC-cor_medialAmygdaloidNucleusPosterodorsalPart",
    name="medial amygdaloid nucleus, posterodorsal part",
)
ParcellationEntity.pw_rbsc_cor_medial_amygdaloid_nucleus_posteroventral_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_medialAmygdaloidNucleusPosteroventralPart",
    abbreviation="MePV",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialAmygdaloidNucleusPosteroventralPart"
        }
    ],
    lookup_label="PW-RBSC-cor_medialAmygdaloidNucleusPosteroventralPart",
    name="medial amygdaloid nucleus, posteroventral part",
)
ParcellationEntity.pw_rbsc_cor_medial_cerebellar_nucleus_caudomedial_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_medialCerebellarNucleusCaudomedialPart",
    abbreviation="MedCM",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialCerebellarNucleusCaudomedialPart"
        }
    ],
    lookup_label="PW-RBSC-cor_medialCerebellarNucleusCaudomedialPart",
    name="medial cerebellar nucleus, caudomedial part",
)
ParcellationEntity.pw_rbsc_cor_medial_cerebellar_nucleus_dorsolateral_protuberance = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_medialCerebellarNucleusDorsolateralProtuberance",
    abbreviation="MedDL",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialCerebellarNucleusDorsolateralProtuberance"
        }
    ],
    lookup_label="PW-RBSC-cor_medialCerebellarNucleusDorsolateralProtuberance",
    name="medial cerebellar nucleus, dorsolateral protuberance",
)
ParcellationEntity.pw_rbsc_cor_medial_cerebellar_nucleus_lateral_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_medialCerebellarNucleusLateralPart",
    abbreviation="MedL",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialCerebellarNucleusLateralPart"
        }
    ],
    lookup_label="PW-RBSC-cor_medialCerebellarNucleusLateralPart",
    name="medial cerebellar nucleus, lateral part",
)
ParcellationEntity.pw_rbsc_cor_medial_corticohypothalamic_tract = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_medialCorticohypothalamicTract",
    abbreviation="mch",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialCorticohypothalamicTract"
        }
    ],
    lookup_label="PW-RBSC-cor_medialCorticohypothalamicTract",
    name="medial corticohypothalamic tract",
)
ParcellationEntity.pw_rbsc_cor_medial_eminence_external_layer = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_medialEminenceExternalLayer",
    abbreviation="MEE",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialEminenceExternalLayer"
        }
    ],
    lookup_label="PW-RBSC-cor_medialEminenceExternalLayer",
    name="medial eminence, external layer",
)
ParcellationEntity.pw_rbsc_cor_medial_eminence_internal_layer = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_medialEminenceInternalLayer",
    abbreviation="MEI",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialEminenceInternalLayer"
        }
    ],
    lookup_label="PW-RBSC-cor_medialEminenceInternalLayer",
    name="medial eminence, internal layer",
)
ParcellationEntity.pw_rbsc_cor_medial_entorhinal_cortex = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_medialEntorhinalCortex",
    abbreviation="MEnt",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialEntorhinalCortex"
        }
    ],
    lookup_label="PW-RBSC-cor_medialEntorhinalCortex",
    name="medial entorhinal cortex",
)
ParcellationEntity.pw_rbsc_cor_medial_entorhinal_cortex_ventral_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_medialEntorhinalCortexVentralPart",
    abbreviation="MEntV",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialEntorhinalCortexVentralPart"
        }
    ],
    lookup_label="PW-RBSC-cor_medialEntorhinalCortexVentralPart",
    name="medial entorhinal cortex, ventral part",
)
ParcellationEntity.pw_rbsc_cor_medial_fastigial_cerebellar_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_medialFastigialCerebellarNucleus",
    abbreviation="Med",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialFastigialCerebellarNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_medialFastigialCerebellarNucleus",
    name="medial (fastigial) cerebellar nucleus",
)
ParcellationEntity.pw_rbsc_cor_medial_forebrain_bundle = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_medialForebrainBundle",
    abbreviation="mfb",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialForebrainBundle"
        }
    ],
    lookup_label="PW-RBSC-cor_medialForebrainBundle",
    name="medial forebrain bundle",
)
ParcellationEntity.pw_rbsc_cor_medial_forebrain_bundle_a_component = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_medialForebrainBundleAComponent",
    abbreviation="mfba",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialForebrainBundleAComponent"
        }
    ],
    lookup_label="PW-RBSC-cor_medialForebrainBundleAComponent",
    name="medial forebrain bundle, ‘a’ component",
)
ParcellationEntity.pw_rbsc_cor_medial_forebrain_bundle_b_component = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_medialForebrainBundleBComponent",
    abbreviation="mfbb",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialForebrainBundleBComponent"
        }
    ],
    lookup_label="PW-RBSC-cor_medialForebrainBundleBComponent",
    name="medial forebrain bundle, ‘b’ component",
)
ParcellationEntity.pw_rbsc_cor_medial_geniculate_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_medialGeniculateNucleus",
    abbreviation="MG",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialGeniculateNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_medialGeniculateNucleus",
    name="medial geniculate nucleus",
)
ParcellationEntity.pw_rbsc_cor_medial_geniculate_nucleus_dorsal_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_medialGeniculateNucleusDorsalPart",
    abbreviation="MGD",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialGeniculateNucleusDorsalPart"
        }
    ],
    lookup_label="PW-RBSC-cor_medialGeniculateNucleusDorsalPart",
    name="medial geniculate nucleus, dorsal part",
)
ParcellationEntity.pw_rbsc_cor_medial_geniculate_nucleus_medial_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_medialGeniculateNucleusMedialPart",
    abbreviation="MGM",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialGeniculateNucleusMedialPart"
        }
    ],
    lookup_label="PW-RBSC-cor_medialGeniculateNucleusMedialPart",
    name="medial geniculate nucleus, medial part",
)
ParcellationEntity.pw_rbsc_cor_medial_geniculate_nucleus_ventral_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_medialGeniculateNucleusVentralPart",
    abbreviation="MGV",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialGeniculateNucleusVentralPart"
        }
    ],
    lookup_label="PW-RBSC-cor_medialGeniculateNucleusVentralPart",
    name="medial geniculate nucleus, ventral part",
)
ParcellationEntity.pw_rbsc_cor_medial_habenular_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_medialHabenularNucleus",
    abbreviation="MHb",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialHabenularNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_medialHabenularNucleus",
    name="medial habenular nucleus",
)
ParcellationEntity.pw_rbsc_cor_medial_lemniscus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_medialLemniscus",
    abbreviation="ml",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialLemniscus"}
    ],
    lookup_label="PW-RBSC-cor_medialLemniscus",
    name="medial lemniscus",
)
ParcellationEntity.pw_rbsc_cor_medial_lemniscus_decussation = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_medialLemniscusDecussation",
    abbreviation="mlx",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialLemniscusDecussation"
        }
    ],
    lookup_label="PW-RBSC-cor_medialLemniscusDecussation",
    name="medial lemniscus decussation",
)
ParcellationEntity.pw_rbsc_cor_medial_longitudinal_fasciculus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_medialLongitudinalFasciculus",
    abbreviation="mlf",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialLongitudinalFasciculus"
        }
    ],
    lookup_label="PW-RBSC-cor_medialLongitudinalFasciculus",
    name="medial longitudinal fasciculus",
)
ParcellationEntity.pw_rbsc_cor_medial_mammillary_nucleus_lateral_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_medialMammillaryNucleusLateralPart",
    abbreviation="ML",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialMammillaryNucleusLateralPart"
        }
    ],
    lookup_label="PW-RBSC-cor_medialMammillaryNucleusLateralPart",
    name="medial mammillary nucleus, lateral part",
)
ParcellationEntity.pw_rbsc_cor_medial_mammillary_nucleus_medial_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_medialMammillaryNucleusMedialPart",
    abbreviation="MM",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialMammillaryNucleusMedialPart"
        }
    ],
    lookup_label="PW-RBSC-cor_medialMammillaryNucleusMedialPart",
    name="medial mammillary nucleus, medial part",
)
ParcellationEntity.pw_rbsc_cor_medial_mammillary_nucleus_median_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_medialMammillaryNucleusMedianPart",
    abbreviation="MnM",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialMammillaryNucleusMedianPart"
        }
    ],
    lookup_label="PW-RBSC-cor_medialMammillaryNucleusMedianPart",
    name="medial mammillary nucleus, median part",
)
ParcellationEntity.pw_rbsc_cor_medial_orbital_cortex = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_medialOrbitalCortex",
    abbreviation="MO",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialOrbitalCortex"
        }
    ],
    lookup_label="PW-RBSC-cor_medialOrbitalCortex",
    name="medial orbital cortex",
)
ParcellationEntity.pw_rbsc_cor_medial_orbitofrontal_artery = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_medialOrbitofrontalArtery",
    abbreviation="mofr",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialOrbitofrontalArtery"
        }
    ],
    lookup_label="PW-RBSC-cor_medialOrbitofrontalArtery",
    name="medial orbitofrontal artery",
)
ParcellationEntity.pw_rbsc_cor_medial_parabrachial_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_medialParabrachialNucleus",
    abbreviation="MPB",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialParabrachialNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_medialParabrachialNucleus",
    name="medial parabrachial nucleus",
)
ParcellationEntity.pw_rbsc_cor_medial_parabrachial_nucleus_external_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_medialParabrachialNucleusExternalPart",
    abbreviation="MPBE",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialParabrachialNucleusExternalPart"
        }
    ],
    lookup_label="PW-RBSC-cor_medialParabrachialNucleusExternalPart",
    name="medial parabrachial nucleus external part",
)
ParcellationEntity.pw_rbsc_cor_medial_paralemniscial_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_medialParalemniscialNucleus",
    abbreviation="MPL",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialParalemniscialNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_medialParalemniscialNucleus",
    name="medial paralemniscial nucleus",
)
ParcellationEntity.pw_rbsc_cor_medial_parietal_association_cortex = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_medialParietalAssociationCortex",
    abbreviation="MPtA",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialParietalAssociationCortex"
        }
    ],
    lookup_label="PW-RBSC-cor_medialParietalAssociationCortex",
    name="medial parietal association cortex",
)
ParcellationEntity.pw_rbsc_cor_medial_preoptic_area = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_medialPreopticArea",
    abbreviation="MPA",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialPreopticArea"
        }
    ],
    lookup_label="PW-RBSC-cor_medialPreopticArea",
    name="medial preoptic area",
)
ParcellationEntity.pw_rbsc_cor_medial_preoptic_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_medialPreopticNucleus",
    abbreviation="MPO",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialPreopticNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_medialPreopticNucleus",
    name="medial preoptic nucleus",
)
ParcellationEntity.pw_rbsc_cor_medial_preoptic_nucleus_central_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_medialPreopticNucleusCentralPart",
    abbreviation="MPOC",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialPreopticNucleusCentralPart"
        }
    ],
    lookup_label="PW-RBSC-cor_medialPreopticNucleusCentralPart",
    name="medial preoptic nucleus, central part",
)
ParcellationEntity.pw_rbsc_cor_medial_preoptic_nucleus_lateral_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_medialPreopticNucleusLateralPart",
    abbreviation="MPOL",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialPreopticNucleusLateralPart"
        }
    ],
    lookup_label="PW-RBSC-cor_medialPreopticNucleusLateralPart",
    name="medial preoptic nucleus, lateral part",
)
ParcellationEntity.pw_rbsc_cor_medial_preoptic_nucleus_medial_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_medialPreopticNucleusMedialPart",
    abbreviation="MPOM",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialPreopticNucleusMedialPart"
        }
    ],
    lookup_label="PW-RBSC-cor_medialPreopticNucleusMedialPart",
    name="medial preoptic nucleus, medial part",
)
ParcellationEntity.pw_rbsc_cor_medial_pretectal_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_medialPretectalNucleus",
    abbreviation="MPT",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialPretectalNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_medialPretectalNucleus",
    name="medial pretectal nucleus",
)
ParcellationEntity.pw_rbsc_cor_medial_septal_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_medialSeptalNucleus",
    abbreviation="MS",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialSeptalNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_medialSeptalNucleus",
    name="medial septal nucleus",
)
ParcellationEntity.pw_rbsc_cor_medial_superior_olive = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_medialSuperiorOlive",
    abbreviation="MSO",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialSuperiorOlive"
        }
    ],
    lookup_label="PW-RBSC-cor_medialSuperiorOlive",
    name="medial superior olive",
)
ParcellationEntity.pw_rbsc_cor_medial_terminal_nucleus_of_the_accessory_optic_tract = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_medialTerminalNucleusOfTheAccessoryOpticTract",
    abbreviation="MT",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialTerminalNucleusOfTheAccessoryOpticTract"
        }
    ],
    lookup_label="PW-RBSC-cor_medialTerminalNucleusOfTheAccessoryOpticTract",
    name="medial terminal nucleus of the accessory optic tract",
)
ParcellationEntity.pw_rbsc_cor_medial_tuberal_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_medialTuberalNucleus",
    abbreviation="MTu",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialTuberalNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_medialTuberalNucleus",
    name="medial tuberal nucleus",
)
ParcellationEntity.pw_rbsc_cor_medial_vestibular_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_medialVestibularNucleus",
    abbreviation="MVe",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialVestibularNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_medialVestibularNucleus",
    name="medial vestibular nucleus",
)
ParcellationEntity.pw_rbsc_cor_medial_vestibular_nucleus_magnocellular_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_medialVestibularNucleusMagnocellularPart",
    abbreviation="MVeMC",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialVestibularNucleusMagnocellularPart"
        }
    ],
    lookup_label="PW-RBSC-cor_medialVestibularNucleusMagnocellularPart",
    name="medial vestibular nucleus, magnocellular part",
)
ParcellationEntity.pw_rbsc_cor_medial_vestibular_nucleus_parvicellular_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_medialVestibularNucleusParvicellularPart",
    abbreviation="MVePC",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialVestibularNucleusParvicellularPart"
        }
    ],
    lookup_label="PW-RBSC-cor_medialVestibularNucleusParvicellularPart",
    name="medial vestibular nucleus, parvicellular part",
)
ParcellationEntity.pw_rbsc_cor_median_accessory_nucleus_of_the_medulla = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_medianAccessoryNucleusOfTheMedulla",
    abbreviation="MnA",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medianAccessoryNucleusOfTheMedulla"
        }
    ],
    lookup_label="PW-RBSC-cor_medianAccessoryNucleusOfTheMedulla",
    name="median accessory nucleus of the medulla",
)
ParcellationEntity.pw_rbsc_cor_median_eminence = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_medianEminence",
    abbreviation="ME",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medianEminence"}
    ],
    lookup_label="PW-RBSC-cor_medianEminence",
    name="median eminence",
)
ParcellationEntity.pw_rbsc_cor_median_preoptic_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_medianPreopticNucleus",
    abbreviation="MnPO",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medianPreopticNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_medianPreopticNucleus",
    name="median preoptic nucleus",
)
ParcellationEntity.pw_rbsc_cor_median_raphe_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_medianRapheNucleus",
    abbreviation="MnR",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medianRapheNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_medianRapheNucleus",
    name="median raphe nucleus",
)
ParcellationEntity.pw_rbsc_cor_mediodorsal_thalamic_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_mediodorsalThalamicNucleus",
    abbreviation="MD",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_mediodorsalThalamicNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_mediodorsalThalamicNucleus",
    name="mediodorsal thalamic nucleus",
)
ParcellationEntity.pw_rbsc_cor_mediodorsal_thalamic_nucleus_central_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_mediodorsalThalamicNucleusCentralPart",
    abbreviation="MDC",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_mediodorsalThalamicNucleusCentralPart"
        }
    ],
    lookup_label="PW-RBSC-cor_mediodorsalThalamicNucleusCentralPart",
    name="mediodorsal thalamic nucleus, central part",
)
ParcellationEntity.pw_rbsc_cor_mediodorsal_thalamic_nucleus_lateral_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_mediodorsalThalamicNucleusLateralPart",
    abbreviation="MDL",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_mediodorsalThalamicNucleusLateralPart"
        }
    ],
    lookup_label="PW-RBSC-cor_mediodorsalThalamicNucleusLateralPart",
    name="mediodorsal thalamic nucleus, lateral part",
)
ParcellationEntity.pw_rbsc_cor_mediodorsal_thalamic_nucleus_medial_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_mediodorsalThalamicNucleusMedialPart",
    abbreviation="MDM",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_mediodorsalThalamicNucleusMedialPart"
        }
    ],
    lookup_label="PW-RBSC-cor_mediodorsalThalamicNucleusMedialPart",
    name="mediodorsal thalamic nucleus, medial part",
)
ParcellationEntity.pw_rbsc_cor_medioventral_periolivary_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_medioventralPeriolivaryNucleus",
    abbreviation="MVPO",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medioventralPeriolivaryNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_medioventralPeriolivaryNucleus",
    name="medioventral periolivary nucleus",
)
ParcellationEntity.pw_rbsc_cor_medullary_reticular_nucleus_dorsal_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_medullaryReticularNucleusDorsalPart",
    abbreviation="MdD",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medullaryReticularNucleusDorsalPart"
        }
    ],
    lookup_label="PW-RBSC-cor_medullaryReticularNucleusDorsalPart",
    name="medullary reticular nucleus, dorsal part",
)
ParcellationEntity.pw_rbsc_cor_medullary_reticular_nucleus_ventral_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_medullaryReticularNucleusVentralPart",
    abbreviation="MdV",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medullaryReticularNucleusVentralPart"
        }
    ],
    lookup_label="PW-RBSC-cor_medullaryReticularNucleusVentralPart",
    name="medullary reticular nucleus, ventral part",
)
ParcellationEntity.pw_rbsc_cor_mesencephalic_reticular_formation = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_mesencephalicReticularFormation",
    abbreviation="mRt",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_mesencephalicReticularFormation"
        }
    ],
    lookup_label="PW-RBSC-cor_mesencephalicReticularFormation",
    name="mesencephalic reticular formation",
)
ParcellationEntity.pw_rbsc_cor_mesencephalic_trigeminal_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_mesencephalicTrigeminalNucleus",
    abbreviation="Me5",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_mesencephalicTrigeminalNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_mesencephalicTrigeminalNucleus",
    name="mesencephalic trigeminal nucleus",
)
ParcellationEntity.pw_rbsc_cor_mesencephalic_trigeminal_tract = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_mesencephalicTrigeminalTract",
    abbreviation="me5",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_mesencephalicTrigeminalTract"
        }
    ],
    lookup_label="PW-RBSC-cor_mesencephalicTrigeminalTract",
    name="mesencephalic trigeminal tract",
)
ParcellationEntity.pw_rbsc_cor_microcellular_tegmental_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_microcellularTegmentalNucleus",
    abbreviation="MiTg",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_microcellularTegmentalNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_microcellularTegmentalNucleus",
    name="microcellular tegmental nucleus",
)
ParcellationEntity.pw_rbsc_cor_middle_cerebellar_peduncle = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_middleCerebellarPeduncle",
    abbreviation="mcp",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_middleCerebellarPeduncle"
        }
    ],
    lookup_label="PW-RBSC-cor_middleCerebellarPeduncle",
    name="middle cerebellar peduncle",
)
ParcellationEntity.pw_rbsc_cor_middle_cerebral_artery = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_middleCerebralArtery",
    abbreviation="mcer",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_middleCerebralArtery"
        }
    ],
    lookup_label="PW-RBSC-cor_middleCerebralArtery",
    name="middle cerebral artery",
)
ParcellationEntity.pw_rbsc_cor_mitral_cell_layer_of_the_accessory_olfactory_bulb = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_mitralCellLayerOfTheAccessoryOlfactoryBulb",
    abbreviation="MiA",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_mitralCellLayerOfTheAccessoryOlfactoryBulb"
        }
    ],
    lookup_label="PW-RBSC-cor_mitralCellLayerOfTheAccessoryOlfactoryBulb",
    name="mitral cell layer of the accessory olfactory bulb",
)
ParcellationEntity.pw_rbsc_cor_mitral_cell_layer_of_the_olfactory_bulb = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_mitralCellLayerOfTheOlfactoryBulb",
    abbreviation="Mi",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_mitralCellLayerOfTheOlfactoryBulb"
        }
    ],
    lookup_label="PW-RBSC-cor_mitralCellLayerOfTheOlfactoryBulb",
    name="mitral cell layer of the olfactory bulb",
)
ParcellationEntity.pw_rbsc_cor_molecular_layer_of_the_cerebellum = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_molecularLayerOfTheCerebellum",
    abbreviation="MoCb",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_molecularLayerOfTheCerebellum"
        }
    ],
    lookup_label="PW-RBSC-cor_molecularLayerOfTheCerebellum",
    name="molecular layer of the cerebellum",
)
ParcellationEntity.pw_rbsc_cor_molecular_layer_of_the_dentate_gyrus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_molecularLayerOfTheDentateGyrus",
    abbreviation="MoDG",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_molecularLayerOfTheDentateGyrus"
        }
    ],
    lookup_label="PW-RBSC-cor_molecularLayerOfTheDentateGyrus",
    name="molecular layer of the dentate gyrus",
)
ParcellationEntity.pw_rbsc_cor_molecular_layer_of_the_subiculum = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_molecularLayerOfTheSubiculum",
    abbreviation="MoS",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_molecularLayerOfTheSubiculum"
        }
    ],
    lookup_label="PW-RBSC-cor_molecularLayerOfTheSubiculum",
    name="molecular layer of the subiculum",
)
ParcellationEntity.pw_rbsc_cor_motor_root_of_the_trigeminal_nerve = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_motorRootOfTheTrigeminalNerve",
    abbreviation="m5",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_motorRootOfTheTrigeminalNerve"
        }
    ],
    lookup_label="PW-RBSC-cor_motorRootOfTheTrigeminalNerve",
    name="motor root of the trigeminal nerve",
)
ParcellationEntity.pw_rbsc_cor_motor_trigeminal_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_motorTrigeminalNucleus",
    abbreviation="5N",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_motorTrigeminalNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_motorTrigeminalNucleus",
    name="motor trigeminal nucleus",
)
ParcellationEntity.pw_rbsc_cor_motor_trigeminal_nucleus_anterior_digastric_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_motorTrigeminalNucleusAnteriorDigastricPart",
    abbreviation="5ADi",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_motorTrigeminalNucleusAnteriorDigastricPart"
        }
    ],
    lookup_label="PW-RBSC-cor_motorTrigeminalNucleusAnteriorDigastricPart",
    name="motor trigeminal nucleus, anterior digastric part",
)
ParcellationEntity.pw_rbsc_cor_motor_trigeminal_nucleus_masseter_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_motorTrigeminalNucleusMasseterPart",
    abbreviation="5Ma",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_motorTrigeminalNucleusMasseterPart"
        }
    ],
    lookup_label="PW-RBSC-cor_motorTrigeminalNucleusMasseterPart",
    name="motor trigeminal nucleus, masseter part",
)
ParcellationEntity.pw_rbsc_cor_motor_trigeminal_nucleus_mylohyoid_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_motorTrigeminalNucleusMylohyoidPart",
    abbreviation="5MHy",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_motorTrigeminalNucleusMylohyoidPart"
        }
    ],
    lookup_label="PW-RBSC-cor_motorTrigeminalNucleusMylohyoidPart",
    name="motor trigeminal nucleus, mylohyoid part",
)
ParcellationEntity.pw_rbsc_cor_motor_trigeminal_nucleus_temporalis_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_motorTrigeminalNucleusTemporalisPart",
    abbreviation="5Te",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_motorTrigeminalNucleusTemporalisPart"
        }
    ],
    lookup_label="PW-RBSC-cor_motorTrigeminalNucleusTemporalisPart",
    name="motor trigeminal nucleus, temporalis part",
)
ParcellationEntity.pw_rbsc_cor_motor_trigeminal_nucleus_tensor_tympani_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_motorTrigeminalNucleusTensorTympaniPart",
    abbreviation="5TT",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_motorTrigeminalNucleusTensorTympaniPart"
        }
    ],
    lookup_label="PW-RBSC-cor_motorTrigeminalNucleusTensorTympaniPart",
    name="motor trigeminal nucleus, tensor tympani part",
)
ParcellationEntity.pw_rbsc_cor_navicular_nucleus_of_the_basal_forebrain = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_navicularNucleusOfTheBasalForebrain",
    abbreviation="Nv",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_navicularNucleusOfTheBasalForebrain"
        }
    ],
    lookup_label="PW-RBSC-cor_navicularNucleusOfTheBasalForebrain",
    name="navicular nucleus of the basal forebrain",
)
ParcellationEntity.pw_rbsc_cor_nervus_intermedius_component_of_the_facial_nerve = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_nervusIntermediusComponentOfTheFacialNerve",
    abbreviation="7ni",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nervusIntermediusComponentOfTheFacialNerve"
        }
    ],
    lookup_label="PW-RBSC-cor_nervusIntermediusComponentOfTheFacialNerve",
    name="nervus intermedius component of the facial nerve",
)
ParcellationEntity.pw_rbsc_cor_nigrostriatal_bundle = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_nigrostriatalBundle",
    abbreviation="ns",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nigrostriatalBundle"
        }
    ],
    lookup_label="PW-RBSC-cor_nigrostriatalBundle",
    name="nigrostriatal bundle",
)
ParcellationEntity.pw_rbsc_cor_nucleus_of_darkschewitsch = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_nucleusOfDarkschewitsch",
    abbreviation="Dk",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nucleusOfDarkschewitsch"
        }
    ],
    lookup_label="PW-RBSC-cor_nucleusOfDarkschewitsch",
    name="nucleus of Darkschewitsch",
)
ParcellationEntity.pw_rbsc_cor_nucleus_of_origin_of_efferents_of_the_vestibular_nerve = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_nucleusOfOriginOfEfferentsOfTheVestibularNerve",
    abbreviation="EVe",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nucleusOfOriginOfEfferentsOfTheVestibularNerve"
        }
    ],
    lookup_label="PW-RBSC-cor_nucleusOfOriginOfEfferentsOfTheVestibularNerve",
    name="nucleus of origin of efferents of the vestibular nerve",
)
ParcellationEntity.pw_rbsc_cor_nucleus_of_roller = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_nucleusOfRoller",
    abbreviation="Ro",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nucleusOfRoller"}
    ],
    lookup_label="PW-RBSC-cor_nucleusOfRoller",
    name="nucleus of Roller",
)
ParcellationEntity.pw_rbsc_cor_nucleus_of_the_ansa_lenticularis = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_nucleusOfTheAnsaLenticularis",
    abbreviation="AL",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nucleusOfTheAnsaLenticularis"
        }
    ],
    lookup_label="PW-RBSC-cor_nucleusOfTheAnsaLenticularis",
    name="nucleus of the ansa lenticularis",
)
ParcellationEntity.pw_rbsc_cor_nucleus_of_the_brachium_of_the_inferior_colliculus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_nucleusOfTheBrachiumOfTheInferiorColliculus",
    abbreviation="BIC",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nucleusOfTheBrachiumOfTheInferiorColliculus"
        }
    ],
    lookup_label="PW-RBSC-cor_nucleusOfTheBrachiumOfTheInferiorColliculus",
    name="nucleus of the brachium of the inferior colliculus",
)
ParcellationEntity.pw_rbsc_cor_nucleus_of_the_central_acoustic_tract = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_nucleusOfTheCentralAcousticTract",
    abbreviation="CAT",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nucleusOfTheCentralAcousticTract"
        }
    ],
    lookup_label="PW-RBSC-cor_nucleusOfTheCentralAcousticTract",
    name="nucleus of the central acoustic tract",
)
ParcellationEntity.pw_rbsc_cor_nucleus_of_the_commissural_stria_terminalis = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_nucleusOfTheCommissuralStriaTerminalis",
    abbreviation="CST",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nucleusOfTheCommissuralStriaTerminalis"
        }
    ],
    lookup_label="PW-RBSC-cor_nucleusOfTheCommissuralStriaTerminalis",
    name="nucleus of the commissural stria terminalis",
)
ParcellationEntity.pw_rbsc_cor_nucleus_of_the_fields_of_forel = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_nucleusOfTheFieldsOfForel",
    abbreviation="F",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nucleusOfTheFieldsOfForel"
        }
    ],
    lookup_label="PW-RBSC-cor_nucleusOfTheFieldsOfForel",
    name="nucleus of the fields of Forel",
)
ParcellationEntity.pw_rbsc_cor_nucleus_of_the_horizontal_limb_of_the_diagonal_band = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_nucleusOfTheHorizontalLimbOfTheDiagonalBand",
    abbreviation="HDB",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nucleusOfTheHorizontalLimbOfTheDiagonalBand"
        }
    ],
    lookup_label="PW-RBSC-cor_nucleusOfTheHorizontalLimbOfTheDiagonalBand",
    name="nucleus of the horizontal limb of the diagonal band",
)
ParcellationEntity.pw_rbsc_cor_nucleus_of_the_lateral_olfactory_tract = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_nucleusOfTheLateralOlfactoryTract",
    abbreviation="LOT",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nucleusOfTheLateralOlfactoryTract"
        }
    ],
    lookup_label="PW-RBSC-cor_nucleusOfTheLateralOlfactoryTract",
    name="nucleus of the lateral olfactory tract",
)
ParcellationEntity.pw_rbsc_cor_nucleus_of_the_lateral_olfactory_tract_layer1 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_nucleusOfTheLateralOlfactoryTractLayer1",
    abbreviation="LOT1",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nucleusOfTheLateralOlfactoryTractLayer1"
        }
    ],
    lookup_label="PW-RBSC-cor_nucleusOfTheLateralOlfactoryTractLayer1",
    name="nucleus of the lateral olfactory tract, layer 1",
)
ParcellationEntity.pw_rbsc_cor_nucleus_of_the_optic_tract = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_nucleusOfTheOpticTract",
    abbreviation="OT",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nucleusOfTheOpticTract"
        }
    ],
    lookup_label="PW-RBSC-cor_nucleusOfTheOpticTract",
    name="nucleus of the optic tract",
)
ParcellationEntity.pw_rbsc_cor_nucleus_of_the_posterior_commissure = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_nucleusOfThePosteriorCommissure",
    abbreviation="PCom",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nucleusOfThePosteriorCommissure"
        }
    ],
    lookup_label="PW-RBSC-cor_nucleusOfThePosteriorCommissure",
    name="nucleus of the posterior commissure",
)
ParcellationEntity.pw_rbsc_cor_nucleus_of_the_solitary_tract_central_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_nucleusOfTheSolitaryTractCentralPart",
    abbreviation="SolCe",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nucleusOfTheSolitaryTractCentralPart"
        }
    ],
    lookup_label="PW-RBSC-cor_nucleusOfTheSolitaryTractCentralPart",
    name="nucleus of the solitary tract, central part",
)
ParcellationEntity.pw_rbsc_cor_nucleus_of_the_solitary_tract_commissural_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_nucleusOfTheSolitaryTractCommissuralPart",
    abbreviation="SolC",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nucleusOfTheSolitaryTractCommissuralPart"
        }
    ],
    lookup_label="PW-RBSC-cor_nucleusOfTheSolitaryTractCommissuralPart",
    name="nucleus of the solitary tract, commissural part",
)
ParcellationEntity.pw_rbsc_cor_nucleus_of_the_solitary_tract_dorsomedial_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_nucleusOfTheSolitaryTractDorsomedialPart",
    abbreviation="SolDM",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nucleusOfTheSolitaryTractDorsomedialPart"
        }
    ],
    lookup_label="PW-RBSC-cor_nucleusOfTheSolitaryTractDorsomedialPart",
    name="nucleus of the solitary tract, dorsomedial part",
)
ParcellationEntity.pw_rbsc_cor_nucleus_of_the_solitary_tract_gelatinous_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_nucleusOfTheSolitaryTractGelatinousPart",
    abbreviation="SolG",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nucleusOfTheSolitaryTractGelatinousPart"
        }
    ],
    lookup_label="PW-RBSC-cor_nucleusOfTheSolitaryTractGelatinousPart",
    name="nucleus of the solitary tract, gelatinous part",
)
ParcellationEntity.pw_rbsc_cor_nucleus_of_the_solitary_tract_intermediate_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_nucleusOfTheSolitaryTractIntermediatePart",
    abbreviation="SolIM",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nucleusOfTheSolitaryTractIntermediatePart"
        }
    ],
    lookup_label="PW-RBSC-cor_nucleusOfTheSolitaryTractIntermediatePart",
    name="nucleus of the solitary tract, intermediate part",
)
ParcellationEntity.pw_rbsc_cor_nucleus_of_the_solitary_tract_interstitial_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_nucleusOfTheSolitaryTractInterstitialPart",
    abbreviation="SolI",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nucleusOfTheSolitaryTractInterstitialPart"
        }
    ],
    lookup_label="PW-RBSC-cor_nucleusOfTheSolitaryTractInterstitialPart",
    name="nucleus of the solitary tract, interstitial part",
)
ParcellationEntity.pw_rbsc_cor_nucleus_of_the_solitary_tract_lateral_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_nucleusOfTheSolitaryTractLateralPart",
    abbreviation="SolL",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nucleusOfTheSolitaryTractLateralPart"
        }
    ],
    lookup_label="PW-RBSC-cor_nucleusOfTheSolitaryTractLateralPart",
    name="nucleus of the solitary tract, lateral part",
)
ParcellationEntity.pw_rbsc_cor_nucleus_of_the_solitary_tract_medial_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_nucleusOfTheSolitaryTractMedialPart",
    abbreviation="SolM",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nucleusOfTheSolitaryTractMedialPart"
        }
    ],
    lookup_label="PW-RBSC-cor_nucleusOfTheSolitaryTractMedialPart",
    name="nucleus of the solitary tract, medial part",
)
ParcellationEntity.pw_rbsc_cor_nucleus_of_the_solitary_tract_rostrolateral_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_nucleusOfTheSolitaryTractRostrolateralPart",
    abbreviation="SolRL",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nucleusOfTheSolitaryTractRostrolateralPart"
        }
    ],
    lookup_label="PW-RBSC-cor_nucleusOfTheSolitaryTractRostrolateralPart",
    name="nucleus of the solitary tract, rostrolateral part",
)
ParcellationEntity.pw_rbsc_cor_nucleus_of_the_solitary_tract_ventrolateral_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_nucleusOfTheSolitaryTractVentrolateralPart",
    abbreviation="SolVL",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nucleusOfTheSolitaryTractVentrolateralPart"
        }
    ],
    lookup_label="PW-RBSC-cor_nucleusOfTheSolitaryTractVentrolateralPart",
    name="nucleus of the solitary tract, ventrolateral part",
)
ParcellationEntity.pw_rbsc_cor_nucleus_of_the_stria_medullaris = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_nucleusOfTheStriaMedullaris",
    abbreviation="SM",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nucleusOfTheStriaMedullaris"
        }
    ],
    lookup_label="PW-RBSC-cor_nucleusOfTheStriaMedullaris",
    name="nucleus of the stria medullaris",
)
ParcellationEntity.pw_rbsc_cor_nucleus_of_the_trapezoid_body = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_nucleusOfTheTrapezoidBody",
    abbreviation="Tz",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nucleusOfTheTrapezoidBody"
        }
    ],
    lookup_label="PW-RBSC-cor_nucleusOfTheTrapezoidBody",
    name="nucleus of the trapezoid body",
)
ParcellationEntity.pw_rbsc_cor_nucleus_of_the_vertical_limb_of_the_diagonal_band = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_nucleusOfTheVerticalLimbOfTheDiagonalBand",
    abbreviation="VDB",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nucleusOfTheVerticalLimbOfTheDiagonalBand"
        }
    ],
    lookup_label="PW-RBSC-cor_nucleusOfTheVerticalLimbOfTheDiagonalBand",
    name="nucleus of the vertical limb of the diagonal band",
)
ParcellationEntity.pw_rbsc_cor_nucleus_x = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_nucleusX",
    abbreviation="X",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nucleusX"}
    ],
    lookup_label="PW-RBSC-cor_nucleusX",
    name="nucleus X",
)
ParcellationEntity.pw_rbsc_cor_nucleus_y = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_nucleusY",
    abbreviation="Y",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nucleusY"}
    ],
    lookup_label="PW-RBSC-cor_nucleusY",
    name="nucleus Y",
)
ParcellationEntity.pw_rbsc_cor_nucleus_z = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_nucleusZ",
    abbreviation="Z",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nucleusZ"}
    ],
    lookup_label="PW-RBSC-cor_nucleusZ",
    name="nucleus Z",
)
ParcellationEntity.pw_rbsc_cor_obex = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_obex",
    abbreviation="Obex",
    has_versions=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_obex"}],
    lookup_label="PW-RBSC-cor_obex",
    name="obex",
)
ParcellationEntity.pw_rbsc_cor_oculomotor_nerve = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_oculomotorNerve",
    abbreviation="3n",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_oculomotorNerve"}
    ],
    lookup_label="PW-RBSC-cor_oculomotorNerve",
    name="oculomotor nerve",
)
ParcellationEntity.pw_rbsc_cor_oculomotor_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_oculomotorNucleus",
    abbreviation="3N",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_oculomotorNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_oculomotorNucleus",
    name="oculomotor nucleus",
)
ParcellationEntity.pw_rbsc_cor_oculomotor_nucleus_parvicellular_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_oculomotorNucleusParvicellularPart",
    abbreviation="3PC",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_oculomotorNucleusParvicellularPart"
        }
    ],
    lookup_label="PW-RBSC-cor_oculomotorNucleusParvicellularPart",
    name="oculomotor nucleus, parvicellular part",
)
ParcellationEntity.pw_rbsc_cor_olfactory_bulb = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_olfactoryBulb",
    abbreviation="OB",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_olfactoryBulb"}
    ],
    lookup_label="PW-RBSC-cor_olfactoryBulb",
    name="olfactory bulb",
)
ParcellationEntity.pw_rbsc_cor_olfactory_nerve_layer = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_olfactoryNerveLayer",
    abbreviation="ON",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_olfactoryNerveLayer"
        }
    ],
    lookup_label="PW-RBSC-cor_olfactoryNerveLayer",
    name="olfactory nerve layer",
)
ParcellationEntity.pw_rbsc_cor_olfactory_tubercle = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_olfactoryTubercle",
    abbreviation="Tu",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_olfactoryTubercle"
        }
    ],
    lookup_label="PW-RBSC-cor_olfactoryTubercle",
    name="olfactory tubercle",
)
ParcellationEntity.pw_rbsc_cor_olfactory_ventricle_olfactory_part_of_lateral_ventricle = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_olfactoryVentricleOlfactoryPartOfLateralVentricle",
    abbreviation="OV",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_olfactoryVentricleOlfactoryPartOfLateralVentricle"
        }
    ],
    lookup_label="PW-RBSC-cor_olfactoryVentricleOlfactoryPartOfLateralVentricle",
    name="olfactory ventricle (olfactory part of lateral ventricle)",
)
ParcellationEntity.pw_rbsc_cor_olivary_pretectal_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_olivaryPretectalNucleus",
    abbreviation="OPT",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_olivaryPretectalNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_olivaryPretectalNucleus",
    name="olivary pretectal nucleus",
)
ParcellationEntity.pw_rbsc_cor_olivocerebellar_tract = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_olivocerebellarTract",
    abbreviation="oc",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_olivocerebellarTract"
        }
    ],
    lookup_label="PW-RBSC-cor_olivocerebellarTract",
    name="olivocerebellar tract",
)
ParcellationEntity.pw_rbsc_cor_olivocochlear_bundle = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_olivocochlearBundle",
    abbreviation="ocb",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_olivocochlearBundle"
        }
    ],
    lookup_label="PW-RBSC-cor_olivocochlearBundle",
    name="olivocochlear bundle",
)
ParcellationEntity.pw_rbsc_cor_optic_chiasm = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_opticChiasm",
    abbreviation="och",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_opticChiasm"}
    ],
    lookup_label="PW-RBSC-cor_opticChiasm",
    name="optic chiasm",
)
ParcellationEntity.pw_rbsc_cor_optic_nerve = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_opticNerve",
    abbreviation="2n",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_opticNerve"}
    ],
    lookup_label="PW-RBSC-cor_opticNerve",
    name="optic nerve",
)
ParcellationEntity.pw_rbsc_cor_optic_nerve_layer_of_the_superior_colliculus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_opticNerveLayerOfTheSuperiorColliculus",
    abbreviation="Op",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_opticNerveLayerOfTheSuperiorColliculus"
        }
    ],
    lookup_label="PW-RBSC-cor_opticNerveLayerOfTheSuperiorColliculus",
    name="optic nerve layer of the superior colliculus",
)
ParcellationEntity.pw_rbsc_cor_optic_tract = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_opticTract",
    abbreviation="opt",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_opticTract"}
    ],
    lookup_label="PW-RBSC-cor_opticTract",
    name="optic tract",
)
ParcellationEntity.pw_rbsc_cor_oriens_layer_of_the_hippocampus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_oriensLayerOfTheHippocampus",
    abbreviation="Or",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_oriensLayerOfTheHippocampus"
        }
    ],
    lookup_label="PW-RBSC-cor_oriensLayerOfTheHippocampus",
    name="oriens layer of the hippocampus",
)
ParcellationEntity.pw_rbsc_cor_oval_paracentral_thalamic_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_ovalParacentralThalamicNucleus",
    abbreviation="OPC",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ovalParacentralThalamicNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_ovalParacentralThalamicNucleus",
    name="oval paracentral thalamic nucleus",
)
ParcellationEntity.pw_rbsc_cor_p1_periaqueductal_gray = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_p1PeriaqueductalGray",
    abbreviation="p1PAG",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_p1PeriaqueductalGray"
        }
    ],
    lookup_label="PW-RBSC-cor_p1PeriaqueductalGray",
    name="p1 periaqueductal gray",
)
ParcellationEntity.pw_rbsc_cor_paraabducens_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_paraabducensNucleus",
    abbreviation="Pa6",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_paraabducensNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_paraabducensNucleus",
    name="paraabducens nucleus",
)
ParcellationEntity.pw_rbsc_cor_parabigeminal_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_parabigeminalNucleus",
    abbreviation="PBG",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_parabigeminalNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_parabigeminalNucleus",
    name="parabigeminal nucleus",
)
ParcellationEntity.pw_rbsc_cor_parabrachial_pigmented_nucleus_of_the_vta = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_parabrachialPigmentedNucleusOfTheVTA",
    abbreviation="PBP",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_parabrachialPigmentedNucleusOfTheVTA"
        }
    ],
    lookup_label="PW-RBSC-cor_parabrachialPigmentedNucleusOfTheVTA",
    name="parabrachial pigmented nucleus of the VTA",
)
ParcellationEntity.pw_rbsc_cor_paracentral_thalamic_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_paracentralThalamicNucleus",
    abbreviation="PC",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_paracentralThalamicNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_paracentralThalamicNucleus",
    name="paracentral thalamic nucleus",
)
ParcellationEntity.pw_rbsc_cor_paracochlear_glial_substance = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_paracochlearGlialSubstance",
    abbreviation="PCGS",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_paracochlearGlialSubstance"
        }
    ],
    lookup_label="PW-RBSC-cor_paracochlearGlialSubstance",
    name="paracochlear glial substance",
)
ParcellationEntity.pw_rbsc_cor_paracommissural_nucleus_of_the_posterior_commissure = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_paracommissuralNucleusOfThePosteriorCommissure",
    abbreviation="PaC",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_paracommissuralNucleusOfThePosteriorCommissure"
        }
    ],
    lookup_label="PW-RBSC-cor_paracommissuralNucleusOfThePosteriorCommissure",
    name="paracommissural nucleus of the posterior commissure",
)
ParcellationEntity.pw_rbsc_cor_parafascicular_thalamic_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_parafascicularThalamicNucleus",
    abbreviation="PF",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_parafascicularThalamicNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_parafascicularThalamicNucleus",
    name="parafascicular thalamic nucleus",
)
ParcellationEntity.pw_rbsc_cor_parafloccular_sulcus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_parafloccularSulcus",
    abbreviation="pfs",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_parafloccularSulcus"
        }
    ],
    lookup_label="PW-RBSC-cor_parafloccularSulcus",
    name="parafloccular sulcus",
)
ParcellationEntity.pw_rbsc_cor_paraflocculus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_paraflocculus",
    abbreviation="PFl",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_paraflocculus"}
    ],
    lookup_label="PW-RBSC-cor_paraflocculus",
    name="paraflocculus",
)
ParcellationEntity.pw_rbsc_cor_parainterfascicular_nucleus_of_the_vta = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_parainterfascicularNucleusOfTheVTA",
    abbreviation="PIF",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_parainterfascicularNucleusOfTheVTA"
        }
    ],
    lookup_label="PW-RBSC-cor_parainterfascicularNucleusOfTheVTA",
    name="parainterfascicular nucleus of the VTA",
)
ParcellationEntity.pw_rbsc_cor_paralambdoid_septal_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_paralambdoidSeptalNucleus",
    abbreviation="PLd",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_paralambdoidSeptalNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_paralambdoidSeptalNucleus",
    name="paralambdoid septal nucleus",
)
ParcellationEntity.pw_rbsc_cor_paralemniscal_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_paralemniscalNucleus",
    abbreviation="PL",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_paralemniscalNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_paralemniscalNucleus",
    name="paralemniscal nucleus",
)
ParcellationEntity.pw_rbsc_cor_paramedian_lobule = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_paramedianLobule",
    abbreviation="PM",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_paramedianLobule"}
    ],
    lookup_label="PW-RBSC-cor_paramedianLobule",
    name="paramedian lobule",
)
ParcellationEntity.pw_rbsc_cor_paramedian_raphe_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_paramedianRapheNucleus",
    abbreviation="PMnR",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_paramedianRapheNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_paramedianRapheNucleus",
    name="paramedian raphe nucleus",
)
ParcellationEntity.pw_rbsc_cor_paramedian_reticular_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_paramedianReticularNucleus",
    abbreviation="PMn",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_paramedianReticularNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_paramedianReticularNucleus",
    name="paramedian reticular nucleus",
)
ParcellationEntity.pw_rbsc_cor_paramedian_sulcus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_paramedianSulcus",
    abbreviation="pms",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_paramedianSulcus"}
    ],
    lookup_label="PW-RBSC-cor_paramedianSulcus",
    name="paramedian sulcus",
)
ParcellationEntity.pw_rbsc_cor_paranigral_nucleus_of_the_vta = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_paranigralNucleusOfTheVTA",
    abbreviation="PN",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_paranigralNucleusOfTheVTA"
        }
    ],
    lookup_label="PW-RBSC-cor_paranigralNucleusOfTheVTA",
    name="paranigral nucleus of the VTA",
)
ParcellationEntity.pw_rbsc_cor_parapyramidal_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_parapyramidalNucleus",
    abbreviation="PPy",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_parapyramidalNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_parapyramidalNucleus",
    name="parapyramidal nucleus",
)
ParcellationEntity.pw_rbsc_cor_pararubral_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_pararubralNucleus",
    abbreviation="PaR",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_pararubralNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_pararubralNucleus",
    name="pararubral nucleus",
)
ParcellationEntity.pw_rbsc_cor_parasolitary_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_parasolitaryNucleus",
    abbreviation="PSol",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_parasolitaryNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_parasolitaryNucleus",
    name="parasolitary nucleus",
)
ParcellationEntity.pw_rbsc_cor_parastrial_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_parastrialNucleus",
    abbreviation="PS",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_parastrialNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_parastrialNucleus",
    name="parastrial nucleus",
)
ParcellationEntity.pw_rbsc_cor_parasubiculum = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_parasubiculum",
    abbreviation="PaS",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_parasubiculum"}
    ],
    lookup_label="PW-RBSC-cor_parasubiculum",
    name="parasubiculum",
)
ParcellationEntity.pw_rbsc_cor_parasubthalamic_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_parasubthalamicNucleus",
    abbreviation="PSTh",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_parasubthalamicNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_parasubthalamicNucleus",
    name="parasubthalamic nucleus",
)
ParcellationEntity.pw_rbsc_cor_paratenial_thalamic_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_paratenialThalamicNucleus",
    abbreviation="PT",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_paratenialThalamicNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_paratenialThalamicNucleus",
    name="paratenial thalamic nucleus",
)
ParcellationEntity.pw_rbsc_cor_paraterete_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_paratereteNucleus",
    abbreviation="PTe",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_paratereteNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_paratereteNucleus",
    name="paraterete nucleus",
)
ParcellationEntity.pw_rbsc_cor_paratrigeminal_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_paratrigeminalNucleus",
    abbreviation="Pa5",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_paratrigeminalNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_paratrigeminalNucleus",
    name="paratrigeminal nucleus",
)
ParcellationEntity.pw_rbsc_cor_paratrochlear_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_paratrochlearNucleus",
    abbreviation="Pa4",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_paratrochlearNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_paratrochlearNucleus",
    name="paratrochlear nucleus",
)
ParcellationEntity.pw_rbsc_cor_paraventricular_hypothalamic_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_paraventricularHypothalamicNucleus",
    abbreviation="Pa",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_paraventricularHypothalamicNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_paraventricularHypothalamicNucleus",
    name="paraventricular hypothalamic nucleus",
)
ParcellationEntity.pw_rbsc_cor_paraventricular_hypothalamic_nucleus_anterior_parvicellular_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_paraventricularHypothalamicNucleusAnteriorParvicellularPart",
    abbreviation="PaAP",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_paraventricularHypothalamicNucleusAnteriorParvicellularPart"
        }
    ],
    lookup_label="PW-RBSC-cor_paraventricularHypothalamicNucleusAnteriorParvicellularPart",
    name="paraventricular hypothalamic nucleus, anterior parvicellular part",
)
ParcellationEntity.pw_rbsc_cor_paraventricular_hypothalamic_nucleus_dorsal_cap = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_paraventricularHypothalamicNucleusDorsalCap",
    abbreviation="PaDC",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_paraventricularHypothalamicNucleusDorsalCap"
        }
    ],
    lookup_label="PW-RBSC-cor_paraventricularHypothalamicNucleusDorsalCap",
    name="paraventricular hypothalamic nucleus, dorsal cap",
)
ParcellationEntity.pw_rbsc_cor_paraventricular_hypothalamic_nucleus_lateral_magnocellular_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_paraventricularHypothalamicNucleusLateralMagnocellularPart",
    abbreviation="PaLM",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_paraventricularHypothalamicNucleusLateralMagnocellularPart"
        }
    ],
    lookup_label="PW-RBSC-cor_paraventricularHypothalamicNucleusLateralMagnocellularPart",
    name="paraventricular hypothalamic nucleus, lateral magnocellular part",
)
ParcellationEntity.pw_rbsc_cor_paraventricular_hypothalamic_nucleus_medial_magnocellular_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_paraventricularHypothalamicNucleusMedialMagnocellularPart",
    abbreviation="PaMM",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_paraventricularHypothalamicNucleusMedialMagnocellularPart"
        }
    ],
    lookup_label="PW-RBSC-cor_paraventricularHypothalamicNucleusMedialMagnocellularPart",
    name="paraventricular hypothalamic nucleus, medial magnocellular part",
)
ParcellationEntity.pw_rbsc_cor_paraventricular_hypothalamic_nucleus_medial_parvicellular_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_paraventricularHypothalamicNucleusMedialParvicellularPart",
    abbreviation="PaMP",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_paraventricularHypothalamicNucleusMedialParvicellularPart"
        }
    ],
    lookup_label="PW-RBSC-cor_paraventricularHypothalamicNucleusMedialParvicellularPart",
    name="paraventricular hypothalamic nucleus, medial parvicellular part",
)
ParcellationEntity.pw_rbsc_cor_paraventricular_hypothalamic_nucleus_posterior_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_paraventricularHypothalamicNucleusPosteriorPart",
    abbreviation="PaPo",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_paraventricularHypothalamicNucleusPosteriorPart"
        }
    ],
    lookup_label="PW-RBSC-cor_paraventricularHypothalamicNucleusPosteriorPart",
    name="paraventricular hypothalamic nucleus, posterior part",
)
ParcellationEntity.pw_rbsc_cor_paraventricular_hypothalamic_nucleus_ventral_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_paraventricularHypothalamicNucleusVentralPart",
    abbreviation="PaV",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_paraventricularHypothalamicNucleusVentralPart"
        }
    ],
    lookup_label="PW-RBSC-cor_paraventricularHypothalamicNucleusVentralPart",
    name="paraventricular hypothalamic nucleus, ventral part",
)
ParcellationEntity.pw_rbsc_cor_paraventricular_thalamic_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_paraventricularThalamicNucleus",
    abbreviation="PV",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_paraventricularThalamicNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_paraventricularThalamicNucleus",
    name="paraventricular thalamic nucleus",
)
ParcellationEntity.pw_rbsc_cor_paraventricular_thalamic_nucleus_anterior_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_paraventricularThalamicNucleusAnteriorPart",
    abbreviation="PVA",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_paraventricularThalamicNucleusAnteriorPart"
        }
    ],
    lookup_label="PW-RBSC-cor_paraventricularThalamicNucleusAnteriorPart",
    name="paraventricular thalamic nucleus, anterior part",
)
ParcellationEntity.pw_rbsc_cor_paraventricular_thalamic_nucleus_posterior_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_paraventricularThalamicNucleusPosteriorPart",
    abbreviation="PVP",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_paraventricularThalamicNucleusPosteriorPart"
        }
    ],
    lookup_label="PW-RBSC-cor_paraventricularThalamicNucleusPosteriorPart",
    name="paraventricular thalamic nucleus, posterior part",
)
ParcellationEntity.pw_rbsc_cor_paraxiphoid_nucleus_of_thalamus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_paraxiphoidNucleusOfThalamus",
    abbreviation="PaXi",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_paraxiphoidNucleusOfThalamus"
        }
    ],
    lookup_label="PW-RBSC-cor_paraxiphoidNucleusOfThalamus",
    name="paraxiphoid nucleus of thalamus",
)
ParcellationEntity.pw_rbsc_cor_parietal_cortex_posterior_area_caudal_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_parietalCortexPosteriorAreaCaudalPart",
    abbreviation="PtPC",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_parietalCortexPosteriorAreaCaudalPart"
        }
    ],
    lookup_label="PW-RBSC-cor_parietalCortexPosteriorAreaCaudalPart",
    name="parietal cortex, posterior area, caudal part",
)
ParcellationEntity.pw_rbsc_cor_parietal_cortex_posterior_area_dorsal_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_parietalCortexPosteriorAreaDorsalPart",
    abbreviation="PtPD",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_parietalCortexPosteriorAreaDorsalPart"
        }
    ],
    lookup_label="PW-RBSC-cor_parietalCortexPosteriorAreaDorsalPart",
    name="parietal cortex, posterior area, dorsal part",
)
ParcellationEntity.pw_rbsc_cor_parietal_cortex_posterior_area_rostral_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_parietalCortexPosteriorAreaRostralPart",
    abbreviation="PtPR",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_parietalCortexPosteriorAreaRostralPart"
        }
    ],
    lookup_label="PW-RBSC-cor_parietalCortexPosteriorAreaRostralPart",
    name="parietal cortex, posterior area, rostral part",
)
ParcellationEntity.pw_rbsc_cor_parvicellular_reticular_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_parvicellularReticularNucleus",
    abbreviation="PCRt",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_parvicellularReticularNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_parvicellularReticularNucleus",
    name="parvicellular reticular nucleus",
)
ParcellationEntity.pw_rbsc_cor_parvicellular_reticular_nucleus_alpha_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_parvicellularReticularNucleusAlphaPart",
    abbreviation="PCRtA",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_parvicellularReticularNucleusAlphaPart"
        }
    ],
    lookup_label="PW-RBSC-cor_parvicellularReticularNucleusAlphaPart",
    name="parvicellular reticular nucleus, alpha part",
)
ParcellationEntity.pw_rbsc_cor_peduncular_part_of_lateral_hypothalamus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_peduncularPartOfLateralHypothalamus",
    abbreviation="PLH",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_peduncularPartOfLateralHypothalamus"
        }
    ],
    lookup_label="PW-RBSC-cor_peduncularPartOfLateralHypothalamus",
    name="peduncular part of lateral hypothalamus",
)
ParcellationEntity.pw_rbsc_cor_pedunculopontine_tegmental_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_pedunculopontineTegmentalNucleus",
    abbreviation="PTg",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_pedunculopontineTegmentalNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_pedunculopontineTegmentalNucleus",
    name="pedunculopontine tegmental nucleus",
)
ParcellationEntity.pw_rbsc_cor_periaqueductal_gray = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_periaqueductalGray",
    abbreviation="PAG",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_periaqueductalGray"
        }
    ],
    lookup_label="PW-RBSC-cor_periaqueductalGray",
    name="periaqueductal gray",
)
ParcellationEntity.pw_rbsc_cor_perifacial_zone = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_perifacialZone",
    abbreviation="P7",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_perifacialZone"}
    ],
    lookup_label="PW-RBSC-cor_perifacialZone",
    name="perifacial zone",
)
ParcellationEntity.pw_rbsc_cor_perifornical_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_perifornicalNucleus",
    abbreviation="PeF",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_perifornicalNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_perifornicalNucleus",
    name="perifornical nucleus",
)
ParcellationEntity.pw_rbsc_cor_perifornical_part_of_lateral_hypothalamus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_perifornicalPartOfLateralHypothalamus",
    abbreviation="PeFLH",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_perifornicalPartOfLateralHypothalamus"
        }
    ],
    lookup_label="PW-RBSC-cor_perifornicalPartOfLateralHypothalamus",
    name="perifornical part of lateral hypothalamus",
)
ParcellationEntity.pw_rbsc_cor_perilemniscal_nucleus_ventral_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_perilemniscalNucleusVentralPart",
    abbreviation="PLV",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_perilemniscalNucleusVentralPart"
        }
    ],
    lookup_label="PW-RBSC-cor_perilemniscalNucleusVentralPart",
    name="perilemniscal nucleus, ventral part",
)
ParcellationEntity.pw_rbsc_cor_periolivary_horn = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_periolivaryHorn",
    abbreviation="POH",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_periolivaryHorn"}
    ],
    lookup_label="PW-RBSC-cor_periolivaryHorn",
    name="periolivary horn",
)
ParcellationEntity.pw_rbsc_cor_peripeduncular_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_peripeduncularNucleus",
    abbreviation="PP",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_peripeduncularNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_peripeduncularNucleus",
    name="peripeduncular nucleus",
)
ParcellationEntity.pw_rbsc_cor_perirhinal_cortex = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_perirhinalCortex",
    abbreviation="PRh",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_perirhinalCortex"}
    ],
    lookup_label="PW-RBSC-cor_perirhinalCortex",
    name="perirhinal cortex",
)
ParcellationEntity.pw_rbsc_cor_peritrigeminal_zone = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_peritrigeminalZone",
    abbreviation="P5",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_peritrigeminalZone"
        }
    ],
    lookup_label="PW-RBSC-cor_peritrigeminalZone",
    name="peritrigeminal zone",
)
ParcellationEntity.pw_rbsc_cor_periventricular_gray = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_periventricularGray",
    abbreviation="PVG",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_periventricularGray"
        }
    ],
    lookup_label="PW-RBSC-cor_periventricularGray",
    name="periventricular gray",
)
ParcellationEntity.pw_rbsc_cor_periventricular_hypothalamic_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_periventricularHypothalamicNucleus",
    abbreviation="Pe",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_periventricularHypothalamicNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_periventricularHypothalamicNucleus",
    name="periventricular hypothalamic nucleus",
)
ParcellationEntity.pw_rbsc_cor_periventricular_hypothalamic_nucleus_anterior_parvicellular_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_periventricularHypothalamicNucleusAnteriorParvicellularPart",
    abbreviation="PeAP",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_periventricularHypothalamicNucleusAnteriorParvicellularPart"
        }
    ],
    lookup_label="PW-RBSC-cor_periventricularHypothalamicNucleusAnteriorParvicellularPart",
    name="periventricular hypothalamic nucleus, anterior parvicellular part",
)
ParcellationEntity.pw_rbsc_cor_pineal_gland = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_pinealGland",
    abbreviation="Pi",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_pinealGland"}
    ],
    lookup_label="PW-RBSC-cor_pinealGland",
    name="pineal gland",
)
ParcellationEntity.pw_rbsc_cor_pineal_stalk = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_pinealStalk",
    abbreviation="PiSt",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_pinealStalk"}
    ],
    lookup_label="PW-RBSC-cor_pinealStalk",
    name="pineal stalk",
)
ParcellationEntity.pw_rbsc_cor_piriform_cortex = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_piriformCortex",
    abbreviation="Pir",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_piriformCortex"}
    ],
    lookup_label="PW-RBSC-cor_piriformCortex",
    name="piriform cortex",
)
ParcellationEntity.pw_rbsc_cor_piriform_cortex_layer1 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_piriformCortexLayer1",
    abbreviation="Pir1",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_piriformCortexLayer1"
        }
    ],
    lookup_label="PW-RBSC-cor_piriformCortexLayer1",
    name="piriform cortex, layer 1",
)
ParcellationEntity.pw_rbsc_cor_pleomorphic_part_of_periaqueductai_gray = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_pleomorphicPartOfPeriaqueductaiGray",
    abbreviation="PlPAG",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_pleomorphicPartOfPeriaqueductaiGray"
        }
    ],
    lookup_label="PW-RBSC-cor_pleomorphicPartOfPeriaqueductaiGray",
    name="pleomorphic part of periaqueductai gray",
)
ParcellationEntity.pw_rbsc_cor_polymorph_layer_of_the_dentate_gyrus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_polymorphLayerOfTheDentateGyrus",
    abbreviation="PoDG",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_polymorphLayerOfTheDentateGyrus"
        }
    ],
    lookup_label="PW-RBSC-cor_polymorphLayerOfTheDentateGyrus",
    name="polymorph layer of the dentate gyrus",
)
ParcellationEntity.pw_rbsc_cor_pontine_nuclei = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_pontineNuclei",
    abbreviation="Pn",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_pontineNuclei"}
    ],
    lookup_label="PW-RBSC-cor_pontineNuclei",
    name="pontine nuclei",
)
ParcellationEntity.pw_rbsc_cor_pontine_raphe_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_pontineRapheNucleus",
    abbreviation="PnR",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_pontineRapheNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_pontineRapheNucleus",
    name="pontine raphe nucleus",
)
ParcellationEntity.pw_rbsc_cor_pontine_reticular_nucleus_caudal_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_pontineReticularNucleusCaudalPart",
    abbreviation="PnC",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_pontineReticularNucleusCaudalPart"
        }
    ],
    lookup_label="PW-RBSC-cor_pontineReticularNucleusCaudalPart",
    name="pontine reticular nucleus, caudal part",
)
ParcellationEntity.pw_rbsc_cor_pontine_reticular_nucleus_oral_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_pontineReticularNucleusOralPart",
    abbreviation="PnO",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_pontineReticularNucleusOralPart"
        }
    ],
    lookup_label="PW-RBSC-cor_pontineReticularNucleusOralPart",
    name="pontine reticular nucleus, oral part",
)
ParcellationEntity.pw_rbsc_cor_pontine_reticular_nucleus_ventral_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_pontineReticularNucleusVentralPart",
    abbreviation="PnV",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_pontineReticularNucleusVentralPart"
        }
    ],
    lookup_label="PW-RBSC-cor_pontineReticularNucleusVentralPart",
    name="pontine reticular nucleus, ventral part",
)
ParcellationEntity.pw_rbsc_cor_posterior_cerebral_artery = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_posteriorCerebralArtery",
    abbreviation="pcer",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_posteriorCerebralArtery"
        }
    ],
    lookup_label="PW-RBSC-cor_posteriorCerebralArtery",
    name="posterior cerebral artery",
)
ParcellationEntity.pw_rbsc_cor_posterior_commissure = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_posteriorCommissure",
    abbreviation="pc",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_posteriorCommissure"
        }
    ],
    lookup_label="PW-RBSC-cor_posteriorCommissure",
    name="posterior commissure",
)
ParcellationEntity.pw_rbsc_cor_posterior_hypothalamic_area = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_posteriorHypothalamicArea",
    abbreviation="PHA",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_posteriorHypothalamicArea"
        }
    ],
    lookup_label="PW-RBSC-cor_posteriorHypothalamicArea",
    name="posterior hypothalamic area",
)
ParcellationEntity.pw_rbsc_cor_posterior_hypothalamic_area_dorsal_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_posteriorHypothalamicAreaDorsalPart",
    abbreviation="PHD",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_posteriorHypothalamicAreaDorsalPart"
        }
    ],
    lookup_label="PW-RBSC-cor_posteriorHypothalamicAreaDorsalPart",
    name="posterior hypothalamic area, dorsal part",
)
ParcellationEntity.pw_rbsc_cor_posterior_hypothalamic_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_posteriorHypothalamicNucleus",
    abbreviation="PH",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_posteriorHypothalamicNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_posteriorHypothalamicNucleus",
    name="posterior hypothalamic nucleus",
)
ParcellationEntity.pw_rbsc_cor_posterior_intralaminar_thalamic_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_posteriorIntralaminarThalamicNucleus",
    abbreviation="PIL",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_posteriorIntralaminarThalamicNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_posteriorIntralaminarThalamicNucleus",
    name="posterior intralaminar thalamic nucleus",
)
ParcellationEntity.pw_rbsc_cor_posterior_limitans_thalamic_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_posteriorLimitansThalamicNucleus",
    abbreviation="PLi",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_posteriorLimitansThalamicNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_posteriorLimitansThalamicNucleus",
    name="posterior limitans thalamic nucleus",
)
ParcellationEntity.pw_rbsc_cor_posterior_lobe_of_pituitary = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_posteriorLobeOfPituitary",
    abbreviation="PPit",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_posteriorLobeOfPituitary"
        }
    ],
    lookup_label="PW-RBSC-cor_posteriorLobeOfPituitary",
    name="posterior lobe of pituitary",
)
ParcellationEntity.pw_rbsc_cor_posterior_pretectal_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_posteriorPretectalNucleus",
    abbreviation="PPT",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_posteriorPretectalNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_posteriorPretectalNucleus",
    name="posterior pretectal nucleus",
)
ParcellationEntity.pw_rbsc_cor_posterior_superior_fissure = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_posteriorSuperiorFissure",
    abbreviation="psf",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_posteriorSuperiorFissure"
        }
    ],
    lookup_label="PW-RBSC-cor_posteriorSuperiorFissure",
    name="posterior superior fissure",
)
ParcellationEntity.pw_rbsc_cor_posterior_thalamic_nuclear_group = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_posteriorThalamicNuclearGroup",
    abbreviation="Po",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_posteriorThalamicNuclearGroup"
        }
    ],
    lookup_label="PW-RBSC-cor_posteriorThalamicNuclearGroup",
    name="posterior thalamic nuclear group",
)
ParcellationEntity.pw_rbsc_cor_posterior_thalamic_nuclear_group_triangular_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_posteriorThalamicNuclearGroupTriangularPart",
    abbreviation="PoT",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_posteriorThalamicNuclearGroupTriangularPart"
        }
    ],
    lookup_label="PW-RBSC-cor_posteriorThalamicNuclearGroupTriangularPart",
    name="posterior thalamic nuclear group, triangular part",
)
ParcellationEntity.pw_rbsc_cor_posterodorsal_preoptic_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_posterodorsalPreopticNucleus",
    abbreviation="PDPO",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_posterodorsalPreopticNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_posterodorsalPreopticNucleus",
    name="posterodorsal preoptic nucleus",
)
ParcellationEntity.pw_rbsc_cor_posterodorsal_raphe_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_posterodorsalRapheNucleus",
    abbreviation="PDR",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_posterodorsalRapheNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_posterodorsalRapheNucleus",
    name="posterodorsal raphe nucleus",
)
ParcellationEntity.pw_rbsc_cor_posterodorsal_tegmental_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_posterodorsalTegmentalNucleus",
    abbreviation="PDTg",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_posterodorsalTegmentalNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_posterodorsalTegmentalNucleus",
    name="posterodorsal tegmental nucleus",
)
ParcellationEntity.pw_rbsc_cor_posterolateral_cortical_amygdaloid_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_posterolateralCorticalAmygdaloidNucleus",
    abbreviation="PLCo",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_posterolateralCorticalAmygdaloidNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_posterolateralCorticalAmygdaloidNucleus",
    name="posterolateral cortical amygdaloid nucleus",
)
ParcellationEntity.pw_rbsc_cor_posterolateral_cortical_amygdaloid_nucleus_layer1 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_posterolateralCorticalAmygdaloidNucleusLayer1",
    abbreviation="PLCo1",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_posterolateralCorticalAmygdaloidNucleusLayer1"
        }
    ],
    lookup_label="PW-RBSC-cor_posterolateralCorticalAmygdaloidNucleusLayer1",
    name="posterolateral cortical amygdaloid nucleus, layer 1",
)
ParcellationEntity.pw_rbsc_cor_posterolateral_fissure = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_posterolateralFissure",
    abbreviation="plf",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_posterolateralFissure"
        }
    ],
    lookup_label="PW-RBSC-cor_posterolateralFissure",
    name="posterolateral fissure",
)
ParcellationEntity.pw_rbsc_cor_posteromedial_cortical_amygdaloid_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_posteromedialCorticalAmygdaloidNucleus",
    abbreviation="PMCo",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_posteromedialCorticalAmygdaloidNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_posteromedialCorticalAmygdaloidNucleus",
    name="posteromedial cortical amygdaloid nucleus",
)
ParcellationEntity.pw_rbsc_cor_posteromedian_thalamic_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_posteromedianThalamicNucleus",
    abbreviation="PoMn",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_posteromedianThalamicNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_posteromedianThalamicNucleus",
    name="posteromedian thalamic nucleus",
)
ParcellationEntity.pw_rbsc_cor_postsubiculum = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_postsubiculum",
    abbreviation="Post",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_postsubiculum"}
    ],
    lookup_label="PW-RBSC-cor_postsubiculum",
    name="postsubiculum",
)
ParcellationEntity.pw_rbsc_cor_pre_botzinger_complex = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_preBotzingerComplex",
    abbreviation="PrBo",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_preBotzingerComplex"
        }
    ],
    lookup_label="PW-RBSC-cor_preBotzingerComplex",
    name="pre-Botzinger complex",
)
ParcellationEntity.pw_rbsc_cor_pre_edinger_westphal_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_preEdingerWestphalNucleus",
    abbreviation="PrEW",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_preEdingerWestphalNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_preEdingerWestphalNucleus",
    name="pre-Edinger-Westphal nucleus",
)
ParcellationEntity.pw_rbsc_cor_precommissural_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_precommissuralNucleus",
    abbreviation="PrC",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_precommissuralNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_precommissuralNucleus",
    name="precommissural nucleus",
)
ParcellationEntity.pw_rbsc_cor_preculminate_fissure = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_preculminateFissure",
    abbreviation="pcuf",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_preculminateFissure"
        }
    ],
    lookup_label="PW-RBSC-cor_preculminateFissure",
    name="preculminate fissure",
)
ParcellationEntity.pw_rbsc_cor_precuneiform_area = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_precuneiformArea",
    abbreviation="PrCnF",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_precuneiformArea"}
    ],
    lookup_label="PW-RBSC-cor_precuneiformArea",
    name="precuneiform area",
)
ParcellationEntity.pw_rbsc_cor_prelimbic_cortex = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_prelimbicCortex",
    abbreviation="PrL",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_prelimbicCortex"}
    ],
    lookup_label="PW-RBSC-cor_prelimbicCortex",
    name="prelimbic cortex",
)
ParcellationEntity.pw_rbsc_cor_premammillary_nucleus_dorsal_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_premammillaryNucleusDorsalPart",
    abbreviation="PMD",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_premammillaryNucleusDorsalPart"
        }
    ],
    lookup_label="PW-RBSC-cor_premammillaryNucleusDorsalPart",
    name="premammillary nucleus, dorsal part",
)
ParcellationEntity.pw_rbsc_cor_premammillary_nucleus_ventral_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_premammillaryNucleusVentralPart",
    abbreviation="PMV",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_premammillaryNucleusVentralPart"
        }
    ],
    lookup_label="PW-RBSC-cor_premammillaryNucleusVentralPart",
    name="premammillary nucleus, ventral part",
)
ParcellationEntity.pw_rbsc_cor_preoptic_recess_of_the3rd_ventricle = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_preopticRecessOfThe3rdVentricle",
    abbreviation="P3V",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_preopticRecessOfThe3rdVentricle"
        }
    ],
    lookup_label="PW-RBSC-cor_preopticRecessOfThe3rdVentricle",
    name="preoptic recess of the 3rd ventricle",
)
ParcellationEntity.pw_rbsc_cor_prepositus_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_prepositusNucleus",
    abbreviation="Pr",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_prepositusNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_prepositusNucleus",
    name="prepositus nucleus",
)
ParcellationEntity.pw_rbsc_cor_prepyramidal_fissure = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_prepyramidalFissure",
    abbreviation="ppf",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_prepyramidalFissure"
        }
    ],
    lookup_label="PW-RBSC-cor_prepyramidalFissure",
    name="prepyramidal fissure",
)
ParcellationEntity.pw_rbsc_cor_prerubral_field = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_prerubralField",
    abbreviation="PR",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_prerubralField"}
    ],
    lookup_label="PW-RBSC-cor_prerubralField",
    name="prerubral field",
)
ParcellationEntity.pw_rbsc_cor_presubiculum = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_presubiculum",
    abbreviation="PrS",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_presubiculum"}
    ],
    lookup_label="PW-RBSC-cor_presubiculum",
    name="presubiculum",
)
ParcellationEntity.pw_rbsc_cor_primary_auditory_cortex = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_primaryAuditoryCortex",
    abbreviation="Au1",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_primaryAuditoryCortex"
        }
    ],
    lookup_label="PW-RBSC-cor_primaryAuditoryCortex",
    name="primary auditory cortex",
)
ParcellationEntity.pw_rbsc_cor_primary_fissure = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_primaryFissure",
    abbreviation="prf",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_primaryFissure"}
    ],
    lookup_label="PW-RBSC-cor_primaryFissure",
    name="primary fissure",
)
ParcellationEntity.pw_rbsc_cor_primary_motor_cortex = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_primaryMotorCortex",
    abbreviation="M1",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_primaryMotorCortex"
        }
    ],
    lookup_label="PW-RBSC-cor_primaryMotorCortex",
    name="primary motor cortex",
)
ParcellationEntity.pw_rbsc_cor_primary_somatosensory_cortex = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_primarySomatosensoryCortex",
    abbreviation="S1",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_primarySomatosensoryCortex"
        }
    ],
    lookup_label="PW-RBSC-cor_primarySomatosensoryCortex",
    name="primary somatosensory cortex",
)
ParcellationEntity.pw_rbsc_cor_primary_somatosensory_cortex_barrel_field = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_primarySomatosensoryCortexBarrelField",
    abbreviation="S1BF",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_primarySomatosensoryCortexBarrelField"
        }
    ],
    lookup_label="PW-RBSC-cor_primarySomatosensoryCortexBarrelField",
    name="primary somatosensory cortex, barrel field",
)
ParcellationEntity.pw_rbsc_cor_primary_somatosensory_cortex_dysgranular_zone = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_primarySomatosensoryCortexDysgranularZone",
    abbreviation="S1DZ",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_primarySomatosensoryCortexDysgranularZone"
        }
    ],
    lookup_label="PW-RBSC-cor_primarySomatosensoryCortexDysgranularZone",
    name="primary somatosensory cortex, dysgranular zone",
)
ParcellationEntity.pw_rbsc_cor_primary_somatosensory_cortex_forelimb_region = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_primarySomatosensoryCortexForelimbRegion",
    abbreviation="S1FL",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_primarySomatosensoryCortexForelimbRegion"
        }
    ],
    lookup_label="PW-RBSC-cor_primarySomatosensoryCortexForelimbRegion",
    name="primary somatosensory cortex, forelimb region",
)
ParcellationEntity.pw_rbsc_cor_primary_somatosensory_cortex_hindlimb_region = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_primarySomatosensoryCortexHindlimbRegion",
    abbreviation="S1HL",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_primarySomatosensoryCortexHindlimbRegion"
        }
    ],
    lookup_label="PW-RBSC-cor_primarySomatosensoryCortexHindlimbRegion",
    name="primary somatosensory cortex, hindlimb region",
)
ParcellationEntity.pw_rbsc_cor_primary_somatosensory_cortex_jaw_region = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_primarySomatosensoryCortexJawRegion",
    abbreviation="S1J",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_primarySomatosensoryCortexJawRegion"
        }
    ],
    lookup_label="PW-RBSC-cor_primarySomatosensoryCortexJawRegion",
    name="primary somatosensory cortex, jaw region",
)
ParcellationEntity.pw_rbsc_cor_primary_somatosensory_cortex_oral_dysgranular_zone = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_primarySomatosensoryCortexOralDysgranularZone",
    abbreviation="S1DZO",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_primarySomatosensoryCortexOralDysgranularZone"
        }
    ],
    lookup_label="PW-RBSC-cor_primarySomatosensoryCortexOralDysgranularZone",
    name="primary somatosensory cortex, oral dysgranular zone",
)
ParcellationEntity.pw_rbsc_cor_primary_somatosensory_cortex_shoulder_region = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_primarySomatosensoryCortexShoulderRegion",
    abbreviation="S1Sh",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_primarySomatosensoryCortexShoulderRegion"
        }
    ],
    lookup_label="PW-RBSC-cor_primarySomatosensoryCortexShoulderRegion",
    name="primary somatosensory cortex, shoulder region",
)
ParcellationEntity.pw_rbsc_cor_primary_somatosensory_cortex_trunk_region = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_primarySomatosensoryCortexTrunkRegion",
    abbreviation="S1Tr",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_primarySomatosensoryCortexTrunkRegion"
        }
    ],
    lookup_label="PW-RBSC-cor_primarySomatosensoryCortexTrunkRegion",
    name="primary somatosensory cortex, trunk region",
)
ParcellationEntity.pw_rbsc_cor_primary_somatosensory_cortex_upper_lip_region = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_primarySomatosensoryCortexUpperLipRegion",
    abbreviation="S1ULp",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_primarySomatosensoryCortexUpperLipRegion"
        }
    ],
    lookup_label="PW-RBSC-cor_primarySomatosensoryCortexUpperLipRegion",
    name="primary somatosensory cortex, upper lip region",
)
ParcellationEntity.pw_rbsc_cor_primary_visual_cortex = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_primaryVisualCortex",
    abbreviation="V1",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_primaryVisualCortex"
        }
    ],
    lookup_label="PW-RBSC-cor_primaryVisualCortex",
    name="primary visual cortex",
)
ParcellationEntity.pw_rbsc_cor_primary_visual_cortex_binocular_area = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_primaryVisualCortexBinocularArea",
    abbreviation="V1B",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_primaryVisualCortexBinocularArea"
        }
    ],
    lookup_label="PW-RBSC-cor_primaryVisualCortexBinocularArea",
    name="primary visual cortex, binocular area",
)
ParcellationEntity.pw_rbsc_cor_primary_visual_cortex_monocular_area = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_primaryVisualCortexMonocularArea",
    abbreviation="V1M",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_primaryVisualCortexMonocularArea"
        }
    ],
    lookup_label="PW-RBSC-cor_primaryVisualCortexMonocularArea",
    name="primary visual cortex, monocular area",
)
ParcellationEntity.pw_rbsc_cor_principal_mammillary_tract = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_principalMammillaryTract",
    abbreviation="pm",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_principalMammillaryTract"
        }
    ],
    lookup_label="PW-RBSC-cor_principalMammillaryTract",
    name="principal mammillary tract",
)
ParcellationEntity.pw_rbsc_cor_principal_sensory_trigeminal_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_principalSensoryTrigeminalNucleus",
    abbreviation="Pr5",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_principalSensoryTrigeminalNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_principalSensoryTrigeminalNucleus",
    name="principal sensory trigeminal nucleus",
)
ParcellationEntity.pw_rbsc_cor_principal_sensory_trigeminal_nucleus_dorsomedial_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_principalSensoryTrigeminalNucleusDorsomedialPart",
    abbreviation="Pr5DM",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_principalSensoryTrigeminalNucleusDorsomedialPart"
        }
    ],
    lookup_label="PW-RBSC-cor_principalSensoryTrigeminalNucleusDorsomedialPart",
    name="principal sensory trigeminal nucleus, dorsomedial part",
)
ParcellationEntity.pw_rbsc_cor_principal_sensory_trigeminal_nucleus_ventrolateral_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_principalSensoryTrigeminalNucleusVentrolateralPart",
    abbreviation="Pr5VL",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_principalSensoryTrigeminalNucleusVentrolateralPart"
        }
    ],
    lookup_label="PW-RBSC-cor_principalSensoryTrigeminalNucleusVentrolateralPart",
    name="principal sensory trigeminal nucleus, ventrolateral part",
)
ParcellationEntity.pw_rbsc_cor_pyramidal_cell_layer_of_the_hippocampus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_pyramidalCellLayerOfTheHippocampus",
    abbreviation="Py",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_pyramidalCellLayerOfTheHippocampus"
        }
    ],
    lookup_label="PW-RBSC-cor_pyramidalCellLayerOfTheHippocampus",
    name="pyramidal cell layer of the hippocampus",
)
ParcellationEntity.pw_rbsc_cor_pyramidal_decussation = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_pyramidalDecussation",
    abbreviation="pyx",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_pyramidalDecussation"
        }
    ],
    lookup_label="PW-RBSC-cor_pyramidalDecussation",
    name="pyramidal decussation",
)
ParcellationEntity.pw_rbsc_cor_pyramidal_tract = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_pyramidalTract",
    abbreviation="py",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_pyramidalTract"}
    ],
    lookup_label="PW-RBSC-cor_pyramidalTract",
    name="pyramidal tract",
)
ParcellationEntity.pw_rbsc_cor_r1_reticular_formation = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_r1ReticularFormation",
    abbreviation="r1Rt",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_r1ReticularFormation"
        }
    ],
    lookup_label="PW-RBSC-cor_r1ReticularFormation",
    name="r1 reticular formation",
)
ParcellationEntity.pw_rbsc_cor_r2_reticular_formation = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_r2ReticularFormation",
    abbreviation="r2Rt",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_r2ReticularFormation"
        }
    ],
    lookup_label="PW-RBSC-cor_r2ReticularFormation",
    name="r2 reticular formation",
)
ParcellationEntity.pw_rbsc_cor_r3_reticular_formation = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_r3ReticularFormation",
    abbreviation="r3Rt",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_r3ReticularFormation"
        }
    ],
    lookup_label="PW-RBSC-cor_r3ReticularFormation",
    name="r3 reticular formation",
)
ParcellationEntity.pw_rbsc_cor_radiatum_layer_of_the_hippocampus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_radiatumLayerOfTheHippocampus",
    abbreviation="Rad",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_radiatumLayerOfTheHippocampus"
        }
    ],
    lookup_label="PW-RBSC-cor_radiatumLayerOfTheHippocampus",
    name="radiatum layer of the hippocampus",
)
ParcellationEntity.pw_rbsc_cor_raphe_interpositus_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_rapheInterpositusNucleus",
    abbreviation="RIP",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_rapheInterpositusNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_rapheInterpositusNucleus",
    name="raphe interpositus nucleus",
)
ParcellationEntity.pw_rbsc_cor_raphe_magnus_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_rapheMagnusNucleus",
    abbreviation="RMg",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_rapheMagnusNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_rapheMagnusNucleus",
    name="raphe magnus nucleus",
)
ParcellationEntity.pw_rbsc_cor_raphe_obscurus_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_rapheObscurusNucleus",
    abbreviation="ROb",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_rapheObscurusNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_rapheObscurusNucleus",
    name="raphe obscurus nucleus",
)
ParcellationEntity.pw_rbsc_cor_raphe_pallidus_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_raphePallidusNucleus",
    abbreviation="RPa",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_raphePallidusNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_raphePallidusNucleus",
    name="raphe pallidus nucleus",
)
ParcellationEntity.pw_rbsc_cor_recess_of_the_inferior_colliculus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_recessOfTheInferiorColliculus",
    abbreviation="ReIC",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_recessOfTheInferiorColliculus"
        }
    ],
    lookup_label="PW-RBSC-cor_recessOfTheInferiorColliculus",
    name="recess of the inferior colliculus",
)
ParcellationEntity.pw_rbsc_cor_red_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_redNucleus",
    abbreviation="R",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_redNucleus"}
    ],
    lookup_label="PW-RBSC-cor_redNucleus",
    name="red nucleus",
)
ParcellationEntity.pw_rbsc_cor_red_nucleus_magnocellular_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_redNucleusMagnocellularPart",
    abbreviation="RMC",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_redNucleusMagnocellularPart"
        }
    ],
    lookup_label="PW-RBSC-cor_redNucleusMagnocellularPart",
    name="red nucleus, magnocellular part",
)
ParcellationEntity.pw_rbsc_cor_red_nucleus_parvicellular_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_redNucleusParvicellularPart",
    abbreviation="RPC",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_redNucleusParvicellularPart"
        }
    ],
    lookup_label="PW-RBSC-cor_redNucleusParvicellularPart",
    name="red nucleus, parvicellular part",
)
ParcellationEntity.pw_rbsc_cor_region_where_va_and_vl_overlap = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_regionWhereVAAndVLOverlap",
    abbreviation="VA/VL",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_regionWhereVAAndVLOverlap"
        }
    ],
    lookup_label="PW-RBSC-cor_regionWhereVAAndVLOverlap",
    name="region where VA and VL overlap",
)
ParcellationEntity.pw_rbsc_cor_reticluostrial_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_reticluostrialNucleus",
    abbreviation="RtSt",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_reticluostrialNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_reticluostrialNucleus",
    name="reticluostrial nucleus",
)
ParcellationEntity.pw_rbsc_cor_reticular_thalamic_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_reticularThalamicNucleus",
    abbreviation="Rt",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_reticularThalamicNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_reticularThalamicNucleus",
    name="reticular thalamic nucleus",
)
ParcellationEntity.pw_rbsc_cor_reticulotegmental_nucleus_of_the_pons = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_reticulotegmentalNucleusOfThePons",
    abbreviation="RtTg",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_reticulotegmentalNucleusOfThePons"
        }
    ],
    lookup_label="PW-RBSC-cor_reticulotegmentalNucleusOfThePons",
    name="reticulotegmental nucleus of the pons",
)
ParcellationEntity.pw_rbsc_cor_reticulotegmental_nucleus_of_the_pons_lateral_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_reticulotegmentalNucleusOfThePonsLateralPart",
    abbreviation="RtTgL",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_reticulotegmentalNucleusOfThePonsLateralPart"
        }
    ],
    lookup_label="PW-RBSC-cor_reticulotegmentalNucleusOfThePonsLateralPart",
    name="reticulotegmental nucleus of the pons, lateral part",
)
ParcellationEntity.pw_rbsc_cor_reticulotegmental_nucleus_of_the_pons_pericentral_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_reticulotegmentalNucleusOfThePonsPericentralPart",
    abbreviation="RtTgP",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_reticulotegmentalNucleusOfThePonsPericentralPart"
        }
    ],
    lookup_label="PW-RBSC-cor_reticulotegmentalNucleusOfThePonsPericentralPart",
    name="reticulotegmental nucleus of the pons, pericentral part",
)
ParcellationEntity.pw_rbsc_cor_retroambiguus_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_retroambiguusNucleus",
    abbreviation="RAmb",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_retroambiguusNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_retroambiguusNucleus",
    name="retroambiguus nucleus",
)
ParcellationEntity.pw_rbsc_cor_retrochiasmatic_area = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_retrochiasmaticArea",
    abbreviation="RCh",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_retrochiasmaticArea"
        }
    ],
    lookup_label="PW-RBSC-cor_retrochiasmaticArea",
    name="retrochiasmatic area",
)
ParcellationEntity.pw_rbsc_cor_retrochiasmatic_area_lateral_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_retrochiasmaticAreaLateralPart",
    abbreviation="RChL",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_retrochiasmaticAreaLateralPart"
        }
    ],
    lookup_label="PW-RBSC-cor_retrochiasmaticAreaLateralPart",
    name="retrochiasmatic area, lateral part",
)
ParcellationEntity.pw_rbsc_cor_retroendopiriform_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_retroendopiriformNucleus",
    abbreviation="REn",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_retroendopiriformNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_retroendopiriformNucleus",
    name="retroendopiriform nucleus",
)
ParcellationEntity.pw_rbsc_cor_retroethmoid_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_retroethmoidNucleus",
    abbreviation="REth",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_retroethmoidNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_retroethmoidNucleus",
    name="retroethmoid nucleus",
)
ParcellationEntity.pw_rbsc_cor_retrolemniscal_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_retrolemniscalNucleus",
    abbreviation="RL",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_retrolemniscalNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_retrolemniscalNucleus",
    name="retrolemniscal nucleus",
)
ParcellationEntity.pw_rbsc_cor_retroparafascicular_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_retroparafascicularNucleus",
    abbreviation="RPF",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_retroparafascicularNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_retroparafascicularNucleus",
    name="retroparafascicular nucleus",
)
ParcellationEntity.pw_rbsc_cor_retrorubral_field = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_retrorubralField",
    abbreviation="RRF",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_retrorubralField"}
    ],
    lookup_label="PW-RBSC-cor_retrorubralField",
    name="retrorubral field",
)
ParcellationEntity.pw_rbsc_cor_retrorubral_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_retrorubralNucleus",
    abbreviation="RR",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_retrorubralNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_retrorubralNucleus",
    name="retrorubral nucleus",
)
ParcellationEntity.pw_rbsc_cor_retrosplenial_dysgranular_cortex = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_retrosplenialDysgranularCortex",
    abbreviation="RSD",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_retrosplenialDysgranularCortex"
        }
    ],
    lookup_label="PW-RBSC-cor_retrosplenialDysgranularCortex",
    name="retrosplenial dysgranular cortex",
)
ParcellationEntity.pw_rbsc_cor_retrosplenial_granular_cortex = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_retrosplenialGranularCortex",
    abbreviation="RSG",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_retrosplenialGranularCortex"
        }
    ],
    lookup_label="PW-RBSC-cor_retrosplenialGranularCortex",
    name="retrosplenial granular cortex",
)
ParcellationEntity.pw_rbsc_cor_retrosplenial_granular_cortex_a_region = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_retrosplenialGranularCortexARegion",
    abbreviation="RSGa",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_retrosplenialGranularCortexARegion"
        }
    ],
    lookup_label="PW-RBSC-cor_retrosplenialGranularCortexARegion",
    name="retrosplenial granular cortex, a region",
)
ParcellationEntity.pw_rbsc_cor_retrosplenial_granular_cortex_b_region = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_retrosplenialGranularCortexBRegion",
    abbreviation="RSGb",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_retrosplenialGranularCortexBRegion"
        }
    ],
    lookup_label="PW-RBSC-cor_retrosplenialGranularCortexBRegion",
    name="retrosplenial granular cortex, b region",
)
ParcellationEntity.pw_rbsc_cor_retrosplenial_granular_cortex_c_region = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_retrosplenialGranularCortexCRegion",
    abbreviation="RSGc",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_retrosplenialGranularCortexCRegion"
        }
    ],
    lookup_label="PW-RBSC-cor_retrosplenialGranularCortexCRegion",
    name="retrosplenial granular cortex, c region",
)
ParcellationEntity.pw_rbsc_cor_retrouniens_area = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_retrouniensArea",
    abbreviation="RRe",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_retrouniensArea"}
    ],
    lookup_label="PW-RBSC-cor_retrouniensArea",
    name="retrouniens area",
)
ParcellationEntity.pw_rbsc_cor_reuniens_thalamic_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_reuniensThalamicNucleus",
    abbreviation="Re",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_reuniensThalamicNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_reuniensThalamicNucleus",
    name="reuniens thalamic nucleus",
)
ParcellationEntity.pw_rbsc_cor_rhabdoid_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_rhabdoidNucleus",
    abbreviation="Rbd",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_rhabdoidNucleus"}
    ],
    lookup_label="PW-RBSC-cor_rhabdoidNucleus",
    name="rhabdoid nucleus",
)
ParcellationEntity.pw_rbsc_cor_rhinal_fissure = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_rhinalFissure",
    abbreviation="rf",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_rhinalFissure"}
    ],
    lookup_label="PW-RBSC-cor_rhinalFissure",
    name="rhinal fissure",
)
ParcellationEntity.pw_rbsc_cor_rhinal_incisure = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_rhinalIncisure",
    abbreviation="ri",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_rhinalIncisure"}
    ],
    lookup_label="PW-RBSC-cor_rhinalIncisure",
    name="rhinal incisure",
)
ParcellationEntity.pw_rbsc_cor_rhomboid_thalamic_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_rhomboidThalamicNucleus",
    abbreviation="Rh",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_rhomboidThalamicNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_rhomboidThalamicNucleus",
    name="rhomboid thalamic nucleus",
)
ParcellationEntity.pw_rbsc_cor_root_of_abducens_nerve = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_rootOfAbducensNerve",
    abbreviation="6n",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_rootOfAbducensNerve"
        }
    ],
    lookup_label="PW-RBSC-cor_rootOfAbducensNerve",
    name="root of abducens nerve",
)
ParcellationEntity.pw_rbsc_cor_root_of_accessory_nerve = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_rootOfAccessoryNerve",
    abbreviation="11n",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_rootOfAccessoryNerve"
        }
    ],
    lookup_label="PW-RBSC-cor_rootOfAccessoryNerve",
    name="root of accessory nerve",
)
ParcellationEntity.pw_rbsc_cor_root_of_hypoglossal_nerve = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_rootOfHypoglossalNerve",
    abbreviation="12n",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_rootOfHypoglossalNerve"
        }
    ],
    lookup_label="PW-RBSC-cor_rootOfHypoglossalNerve",
    name="root of hypoglossal nerve",
)
ParcellationEntity.pw_rbsc_cor_rostral_amygdalopiriform_area = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_rostralAmygdalopiriformArea",
    abbreviation="RAPir",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_rostralAmygdalopiriformArea"
        }
    ],
    lookup_label="PW-RBSC-cor_rostralAmygdalopiriformArea",
    name="rostral amygdalopiriform area",
)
ParcellationEntity.pw_rbsc_cor_rostral_interstitial_nucleus_of_medial_longitudinal_fasciculus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_rostralInterstitialNucleusOfMedialLongitudinalFasciculus",
    abbreviation="RI",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_rostralInterstitialNucleusOfMedialLongitudinalFasciculus"
        }
    ],
    lookup_label="PW-RBSC-cor_rostralInterstitialNucleusOfMedialLongitudinalFasciculus",
    name="rostral interstitial nucleus of medial longitudinal fasciculus",
)
ParcellationEntity.pw_rbsc_cor_rostral_linear_nucleus_of_the_raphe = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_rostralLinearNucleusOfTheRaphe",
    abbreviation="RLi",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_rostralLinearNucleusOfTheRaphe"
        }
    ],
    lookup_label="PW-RBSC-cor_rostralLinearNucleusOfTheRaphe",
    name="rostral linear nucleus of the raphe",
)
ParcellationEntity.pw_rbsc_cor_rostral_ventral_respiratory_group = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_rostralVentralRespiratoryGroup",
    abbreviation="RVRG",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_rostralVentralRespiratoryGroup"
        }
    ],
    lookup_label="PW-RBSC-cor_rostralVentralRespiratoryGroup",
    name="rostral ventral respiratory group",
)
ParcellationEntity.pw_rbsc_cor_rostroventrolateral_reticular_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_rostroventrolateralReticularNucleus",
    abbreviation="RVL",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_rostroventrolateralReticularNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_rostroventrolateralReticularNucleus",
    name="rostroventrolateral reticular nucleus",
)
ParcellationEntity.pw_rbsc_cor_rostrum_of_the_corpus_callosum = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_rostrumOfTheCorpusCallosum",
    abbreviation="rcc",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_rostrumOfTheCorpusCallosum"
        }
    ],
    lookup_label="PW-RBSC-cor_rostrumOfTheCorpusCallosum",
    name="rostrum of the corpus callosum",
)
ParcellationEntity.pw_rbsc_cor_rubrospinal_tract = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_rubrospinalTract",
    abbreviation="rs",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_rubrospinalTract"}
    ],
    lookup_label="PW-RBSC-cor_rubrospinalTract",
    name="rubrospinal tract",
)
ParcellationEntity.pw_rbsc_cor_sagulum_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_sagulumNucleus",
    abbreviation="Sag",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_sagulumNucleus"}
    ],
    lookup_label="PW-RBSC-cor_sagulumNucleus",
    name="sagulum nucleus",
)
ParcellationEntity.pw_rbsc_cor_scaphoid_thalamic_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_scaphoidThalamicNucleus",
    abbreviation="Sc",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_scaphoidThalamicNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_scaphoidThalamicNucleus",
    name="scaphoid thalamic nucleus",
)
ParcellationEntity.pw_rbsc_cor_secondary_auditory_cortex_dorsal_area = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_secondaryAuditoryCortexDorsalArea",
    abbreviation="AuD",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_secondaryAuditoryCortexDorsalArea"
        }
    ],
    lookup_label="PW-RBSC-cor_secondaryAuditoryCortexDorsalArea",
    name="secondary auditory cortex, dorsal area",
)
ParcellationEntity.pw_rbsc_cor_secondary_auditory_cortex_ventral_area = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_secondaryAuditoryCortexVentralArea",
    abbreviation="AuV",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_secondaryAuditoryCortexVentralArea"
        }
    ],
    lookup_label="PW-RBSC-cor_secondaryAuditoryCortexVentralArea",
    name="secondary auditory cortex, ventral area",
)
ParcellationEntity.pw_rbsc_cor_secondary_fissure = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_secondaryFissure",
    abbreviation="sf",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_secondaryFissure"}
    ],
    lookup_label="PW-RBSC-cor_secondaryFissure",
    name="secondary fissure",
)
ParcellationEntity.pw_rbsc_cor_secondary_motor_cortex = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_secondaryMotorCortex",
    abbreviation="M2",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_secondaryMotorCortex"
        }
    ],
    lookup_label="PW-RBSC-cor_secondaryMotorCortex",
    name="secondary motor cortex",
)
ParcellationEntity.pw_rbsc_cor_secondary_somatosensory_cortex = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_secondarySomatosensoryCortex",
    abbreviation="S2",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_secondarySomatosensoryCortex"
        }
    ],
    lookup_label="PW-RBSC-cor_secondarySomatosensoryCortex",
    name="secondary somatosensory cortex",
)
ParcellationEntity.pw_rbsc_cor_secondary_visual_cortex_lateral_area = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_secondaryVisualCortexLateralArea",
    abbreviation="V2L",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_secondaryVisualCortexLateralArea"
        }
    ],
    lookup_label="PW-RBSC-cor_secondaryVisualCortexLateralArea",
    name="secondary visual cortex, lateral area",
)
ParcellationEntity.pw_rbsc_cor_secondary_visual_cortex_mediolateral_area = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_secondaryVisualCortexMediolateralArea",
    abbreviation="V2ML",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_secondaryVisualCortexMediolateralArea"
        }
    ],
    lookup_label="PW-RBSC-cor_secondaryVisualCortexMediolateralArea",
    name="secondary visual cortex, mediolateral area",
)
ParcellationEntity.pw_rbsc_cor_secondary_visual_cortex_mediomedial_area = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_secondaryVisualCortexMediomedialArea",
    abbreviation="V2MM",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_secondaryVisualCortexMediomedialArea"
        }
    ],
    lookup_label="PW-RBSC-cor_secondaryVisualCortexMediomedialArea",
    name="secondary visual cortex, mediomedial area",
)
ParcellationEntity.pw_rbsc_cor_sensory_root_of_the_trigeminal_nerve = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_sensoryRootOfTheTrigeminalNerve",
    abbreviation="s5",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_sensoryRootOfTheTrigeminalNerve"
        }
    ],
    lookup_label="PW-RBSC-cor_sensoryRootOfTheTrigeminalNerve",
    name="sensory root of the trigeminal nerve",
)
ParcellationEntity.pw_rbsc_cor_septofimbrial_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_septofimbrialNucleus",
    abbreviation="SFi",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_septofimbrialNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_septofimbrialNucleus",
    name="septofimbrial nucleus",
)
ParcellationEntity.pw_rbsc_cor_septohippocampal_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_septohippocampalNucleus",
    abbreviation="SHi",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_septohippocampalNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_septohippocampalNucleus",
    name="septohippocampal nucleus",
)
ParcellationEntity.pw_rbsc_cor_septohypothalamic_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_septohypothalamicNucleus",
    abbreviation="SHy",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_septohypothalamicNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_septohypothalamicNucleus",
    name="septohypothalamic nucleus",
)
ParcellationEntity.pw_rbsc_cor_simple_lobule = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_simpleLobule",
    abbreviation="Sim",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_simpleLobule"}
    ],
    lookup_label="PW-RBSC-cor_simpleLobule",
    name="simple lobule",
)
ParcellationEntity.pw_rbsc_cor_simple_lobule_a = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_simpleLobuleA",
    abbreviation="SimA",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_simpleLobuleA"}
    ],
    lookup_label="PW-RBSC-cor_simpleLobuleA",
    name="simple lobule A",
)
ParcellationEntity.pw_rbsc_cor_simple_lobule_b = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_simpleLobuleB",
    abbreviation="SimB",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_simpleLobuleB"}
    ],
    lookup_label="PW-RBSC-cor_simpleLobuleB",
    name="simple lobule B",
)
ParcellationEntity.pw_rbsc_cor_simplex_fissure = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_simplexFissure",
    abbreviation="simf",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_simplexFissure"}
    ],
    lookup_label="PW-RBSC-cor_simplexFissure",
    name="simplex fissure",
)
ParcellationEntity.pw_rbsc_cor_solitary_nucleus_dorsolateral_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_solitaryNucleusDorsolateralPart",
    abbreviation="SolDL",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_solitaryNucleusDorsolateralPart"
        }
    ],
    lookup_label="PW-RBSC-cor_solitaryNucleusDorsolateralPart",
    name="solitary nucleus, dorsolateral part",
)
ParcellationEntity.pw_rbsc_cor_solitary_nucleus_ventral_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_solitaryNucleusVentralPart",
    abbreviation="SolV",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_solitaryNucleusVentralPart"
        }
    ],
    lookup_label="PW-RBSC-cor_solitaryNucleusVentralPart",
    name="solitary nucleus, ventral part",
)
ParcellationEntity.pw_rbsc_cor_solitary_tract = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_solitaryTract",
    abbreviation="sol",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_solitaryTract"}
    ],
    lookup_label="PW-RBSC-cor_solitaryTract",
    name="solitary tract",
)
ParcellationEntity.pw_rbsc_cor_sphenoid_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_sphenoidNucleus",
    abbreviation="Sph",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_sphenoidNucleus"}
    ],
    lookup_label="PW-RBSC-cor_sphenoidNucleus",
    name="sphenoid nucleus",
)
ParcellationEntity.pw_rbsc_cor_spinal_trigeminal_nucleus_caudal_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_spinalTrigeminalNucleusCaudalPart",
    abbreviation="Sp5C",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_spinalTrigeminalNucleusCaudalPart"
        }
    ],
    lookup_label="PW-RBSC-cor_spinalTrigeminalNucleusCaudalPart",
    name="spinal trigeminal nucleus, caudal part",
)
ParcellationEntity.pw_rbsc_cor_spinal_trigeminal_nucleus_interpolar_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_spinalTrigeminalNucleusInterpolarPart",
    abbreviation="Sp5I",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_spinalTrigeminalNucleusInterpolarPart"
        }
    ],
    lookup_label="PW-RBSC-cor_spinalTrigeminalNucleusInterpolarPart",
    name="spinal trigeminal nucleus, interpolar part",
)
ParcellationEntity.pw_rbsc_cor_spinal_trigeminal_nucleus_oral_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_spinalTrigeminalNucleusOralPart",
    abbreviation="Sp5O",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_spinalTrigeminalNucleusOralPart"
        }
    ],
    lookup_label="PW-RBSC-cor_spinalTrigeminalNucleusOralPart",
    name="spinal trigeminal nucleus, oral part",
)
ParcellationEntity.pw_rbsc_cor_spinal_trigeminal_tract = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_spinalTrigeminalTract",
    abbreviation="sp5",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_spinalTrigeminalTract"
        }
    ],
    lookup_label="PW-RBSC-cor_spinalTrigeminalTract",
    name="spinal trigeminal tract",
)
ParcellationEntity.pw_rbsc_cor_spinal_vestibular_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_spinalVestibularNucleus",
    abbreviation="SpVe",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_spinalVestibularNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_spinalVestibularNucleus",
    name="spinal vestibular nucleus",
)
ParcellationEntity.pw_rbsc_cor_splenium_of_the_corpus_callosum = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_spleniumOfTheCorpusCallosum",
    abbreviation="scc",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_spleniumOfTheCorpusCallosum"
        }
    ],
    lookup_label="PW-RBSC-cor_spleniumOfTheCorpusCallosum",
    name="splenium of the corpus callosum",
)
ParcellationEntity.pw_rbsc_cor_stigmoid_hypothalamic_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_stigmoidHypothalamicNucleus",
    abbreviation="Stg",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_stigmoidHypothalamicNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_stigmoidHypothalamicNucleus",
    name="stigmoid hypothalamic nucleus",
)
ParcellationEntity.pw_rbsc_cor_stratum_lucidum_of_the_hippocampus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_stratumLucidumOfTheHippocampus",
    abbreviation="SLu",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_stratumLucidumOfTheHippocampus"
        }
    ],
    lookup_label="PW-RBSC-cor_stratumLucidumOfTheHippocampus",
    name="stratum lucidum of the hippocampus",
)
ParcellationEntity.pw_rbsc_cor_stria_medullaris_of_the_thalamus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_striaMedullarisOfTheThalamus",
    abbreviation="sm",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_striaMedullarisOfTheThalamus"
        }
    ],
    lookup_label="PW-RBSC-cor_striaMedullarisOfTheThalamus",
    name="stria medullaris of the thalamus",
)
ParcellationEntity.pw_rbsc_cor_stria_terminalis = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_striaTerminalis",
    abbreviation="st",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_striaTerminalis"}
    ],
    lookup_label="PW-RBSC-cor_striaTerminalis",
    name="stria terminalis",
)
ParcellationEntity.pw_rbsc_cor_strial_part_of_the_preoptic_area = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_strialPartOfThePreopticArea",
    abbreviation="StA",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_strialPartOfThePreopticArea"
        }
    ],
    lookup_label="PW-RBSC-cor_strialPartOfThePreopticArea",
    name="strial part of the preoptic area",
)
ParcellationEntity.pw_rbsc_cor_striohypothalamic_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_striohypothalamicNucleus",
    abbreviation="StHy",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_striohypothalamicNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_striohypothalamicNucleus",
    name="striohypothalamic nucleus",
)
ParcellationEntity.pw_rbsc_cor_subbrachial_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_subbrachialNucleus",
    abbreviation="SubB",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_subbrachialNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_subbrachialNucleus",
    name="subbrachial nucleus",
)
ParcellationEntity.pw_rbsc_cor_subcoeruleus_nucleus_alpha_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_subcoeruleusNucleusAlphaPart",
    abbreviation="SubCA",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_subcoeruleusNucleusAlphaPart"
        }
    ],
    lookup_label="PW-RBSC-cor_subcoeruleusNucleusAlphaPart",
    name="subcoeruleus nucleus, alpha part",
)
ParcellationEntity.pw_rbsc_cor_subcoeruleus_nucleus_dorsal_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_subcoeruleusNucleusDorsalPart",
    abbreviation="SubCD",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_subcoeruleusNucleusDorsalPart"
        }
    ],
    lookup_label="PW-RBSC-cor_subcoeruleusNucleusDorsalPart",
    name="subcoeruleus nucleus, dorsal part",
)
ParcellationEntity.pw_rbsc_cor_subcoeruleus_nucleus_ventral_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_subcoeruleusNucleusVentralPart",
    abbreviation="SubCV",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_subcoeruleusNucleusVentralPart"
        }
    ],
    lookup_label="PW-RBSC-cor_subcoeruleusNucleusVentralPart",
    name="subcoeruleus nucleus, ventral part",
)
ParcellationEntity.pw_rbsc_cor_subcommissural_organ = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_subcommissuralOrgan",
    abbreviation="SCO",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_subcommissuralOrgan"
        }
    ],
    lookup_label="PW-RBSC-cor_subcommissuralOrgan",
    name="subcommissural organ",
)
ParcellationEntity.pw_rbsc_cor_subfornical_organ = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_subfornicalOrgan",
    abbreviation="SFO",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_subfornicalOrgan"}
    ],
    lookup_label="PW-RBSC-cor_subfornicalOrgan",
    name="subfornical organ",
)
ParcellationEntity.pw_rbsc_cor_subgeniculate_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_subgeniculateNucleus",
    abbreviation="SubG",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_subgeniculateNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_subgeniculateNucleus",
    name="subgeniculate nucleus",
)
ParcellationEntity.pw_rbsc_cor_subiculum = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_subiculum",
    abbreviation="S",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_subiculum"}
    ],
    lookup_label="PW-RBSC-cor_subiculum",
    name="subiculum",
)
ParcellationEntity.pw_rbsc_cor_subiculum_transition_area = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_subiculumTransitionArea",
    abbreviation="STr",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_subiculumTransitionArea"
        }
    ],
    lookup_label="PW-RBSC-cor_subiculumTransitionArea",
    name="subiculum, transition area",
)
ParcellationEntity.pw_rbsc_cor_subincertal_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_subincertalNucleus",
    abbreviation="SubI",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_subincertalNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_subincertalNucleus",
    name="subincertal nucleus",
)
ParcellationEntity.pw_rbsc_cor_sublenticular_extended_amygdala = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_sublenticularExtendedAmygdala",
    abbreviation="EA",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_sublenticularExtendedAmygdala"
        }
    ],
    lookup_label="PW-RBSC-cor_sublenticularExtendedAmygdala",
    name="sublenticular extended amygdala",
)
ParcellationEntity.pw_rbsc_cor_sublenticular_extended_amygdala_central_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_sublenticularExtendedAmygdalaCentralPart",
    abbreviation="EAC",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_sublenticularExtendedAmygdalaCentralPart"
        }
    ],
    lookup_label="PW-RBSC-cor_sublenticularExtendedAmygdalaCentralPart",
    name="sublenticular extended amygdala, central part",
)
ParcellationEntity.pw_rbsc_cor_sublenticular_extended_amygdala_medial_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_sublenticularExtendedAmygdalaMedialPart",
    abbreviation="EAM",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_sublenticularExtendedAmygdalaMedialPart"
        }
    ],
    lookup_label="PW-RBSC-cor_sublenticularExtendedAmygdalaMedialPart",
    name="sublenticular extended amygdala, medial part",
)
ParcellationEntity.pw_rbsc_cor_submammillothalamic_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_submammillothalamicNucleus",
    abbreviation="SMT",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_submammillothalamicNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_submammillothalamicNucleus",
    name="submammillothalamic nucleus",
)
ParcellationEntity.pw_rbsc_cor_submedius_thalamic_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_submediusThalamicNucleus",
    abbreviation="Sub",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_submediusThalamicNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_submediusThalamicNucleus",
    name="submedius thalamic nucleus",
)
ParcellationEntity.pw_rbsc_cor_submedius_thalamic_nucleus_dorsal_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_submediusThalamicNucleusDorsalPart",
    abbreviation="SubD",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_submediusThalamicNucleusDorsalPart"
        }
    ],
    lookup_label="PW-RBSC-cor_submediusThalamicNucleusDorsalPart",
    name="submedius thalamic nucleus, dorsal part",
)
ParcellationEntity.pw_rbsc_cor_submedius_thalamic_nucleus_ventral_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_submediusThalamicNucleusVentralPart",
    abbreviation="SubV",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_submediusThalamicNucleusVentralPart"
        }
    ],
    lookup_label="PW-RBSC-cor_submediusThalamicNucleusVentralPart",
    name="submedius thalamic nucleus, ventral part",
)
ParcellationEntity.pw_rbsc_cor_subparafascicular_thalamic_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_subparafascicularThalamicNucleus",
    abbreviation="SPF",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_subparafascicularThalamicNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_subparafascicularThalamicNucleus",
    name="subparafascicular thalamic nucleus",
)
ParcellationEntity.pw_rbsc_cor_subparafascicular_thalamic_nucleus_parvicellular_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_subparafascicularThalamicNucleusParvicellularPart",
    abbreviation="SPFPC",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_subparafascicularThalamicNucleusParvicellularPart"
        }
    ],
    lookup_label="PW-RBSC-cor_subparafascicularThalamicNucleusParvicellularPart",
    name="subparafascicular thalamic nucleus, parvicellular part",
)
ParcellationEntity.pw_rbsc_cor_subparaventricular_zone_of_the_hypothalamus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_subparaventricularZoneOfTheHypothalamus",
    abbreviation="SPa",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_subparaventricularZoneOfTheHypothalamus"
        }
    ],
    lookup_label="PW-RBSC-cor_subparaventricularZoneOfTheHypothalamus",
    name="subparaventricular zone of the hypothalamus",
)
ParcellationEntity.pw_rbsc_cor_subpeduncular_tegmental_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_subpeduncularTegmentalNucleus",
    abbreviation="SPTg",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_subpeduncularTegmentalNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_subpeduncularTegmentalNucleus",
    name="subpeduncular tegmental nucleus",
)
ParcellationEntity.pw_rbsc_cor_subpostrema_area = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_subpostremaArea",
    abbreviation="SubP",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_subpostremaArea"}
    ],
    lookup_label="PW-RBSC-cor_subpostremaArea",
    name="subpostrema area",
)
ParcellationEntity.pw_rbsc_cor_substantia_innominata = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_substantiaInnominata",
    abbreviation="SI",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_substantiaInnominata"
        }
    ],
    lookup_label="PW-RBSC-cor_substantiaInnominata",
    name="substantia innominata",
)
ParcellationEntity.pw_rbsc_cor_substantia_innominata_basal_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_substantiaInnominataBasalPart",
    abbreviation="SIB",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_substantiaInnominataBasalPart"
        }
    ],
    lookup_label="PW-RBSC-cor_substantiaInnominataBasalPart",
    name="substantia innominata, basal part",
)
ParcellationEntity.pw_rbsc_cor_substantia_nigra_compact_part_dorsal_tier = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_substantiaNigraCompactPartDorsalTier",
    abbreviation="SNCD",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_substantiaNigraCompactPartDorsalTier"
        }
    ],
    lookup_label="PW-RBSC-cor_substantiaNigraCompactPartDorsalTier",
    name="substantia nigra, compact part, dorsal tier",
)
ParcellationEntity.pw_rbsc_cor_substantia_nigra_compact_part_medial_tier = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_substantiaNigraCompactPartMedialTier",
    abbreviation="SNCM",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_substantiaNigraCompactPartMedialTier"
        }
    ],
    lookup_label="PW-RBSC-cor_substantiaNigraCompactPartMedialTier",
    name="substantia nigra, compact part, medial tier",
)
ParcellationEntity.pw_rbsc_cor_substantia_nigra_compacta_part_ventral_tier = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_substantiaNigraCompactaPartVentralTier",
    abbreviation="SNCV",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_substantiaNigraCompactaPartVentralTier"
        }
    ],
    lookup_label="PW-RBSC-cor_substantiaNigraCompactaPartVentralTier",
    name="substantia nigra, compacta part, ventral tier",
)
ParcellationEntity.pw_rbsc_cor_substantia_nigra_lateral_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_substantiaNigraLateralPart",
    abbreviation="SNL",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_substantiaNigraLateralPart"
        }
    ],
    lookup_label="PW-RBSC-cor_substantiaNigraLateralPart",
    name="substantia nigra, lateral part",
)
ParcellationEntity.pw_rbsc_cor_substantia_nigra_reticular_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_substantiaNigraReticularPart",
    abbreviation="SNR",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_substantiaNigraReticularPart"
        }
    ],
    lookup_label="PW-RBSC-cor_substantiaNigraReticularPart",
    name="substantia nigra, reticular part",
)
ParcellationEntity.pw_rbsc_cor_subthalamic_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_subthalamicNucleus",
    abbreviation="STh",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_subthalamicNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_subthalamicNucleus",
    name="subthalamic nucleus",
)
ParcellationEntity.pw_rbsc_cor_superficial_gray_layer_of_the_superior_colliculus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_superficialGrayLayerOfTheSuperiorColliculus",
    abbreviation="SuG",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_superficialGrayLayerOfTheSuperiorColliculus"
        }
    ],
    lookup_label="PW-RBSC-cor_superficialGrayLayerOfTheSuperiorColliculus",
    name="superficial gray layer of the superior colliculus",
)
ParcellationEntity.pw_rbsc_cor_superior_cerebellar_peduncle_brachium_conjunctivum = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_superiorCerebellarPeduncleBrachiumConjunctivum",
    abbreviation="scp",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_superiorCerebellarPeduncleBrachiumConjunctivum"
        }
    ],
    lookup_label="PW-RBSC-cor_superiorCerebellarPeduncleBrachiumConjunctivum",
    name="superior cerebellar peduncle (brachium conjunctivum)",
)
ParcellationEntity.pw_rbsc_cor_superior_cerebellar_peduncle_descending_limb = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_superiorCerebellarPeduncleDescendingLimb",
    abbreviation="scpd",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_superiorCerebellarPeduncleDescendingLimb"
        }
    ],
    lookup_label="PW-RBSC-cor_superiorCerebellarPeduncleDescendingLimb",
    name="superior cerebellar peduncle, descending limb",
)
ParcellationEntity.pw_rbsc_cor_superior_medullary_velum = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_superiorMedullaryVelum",
    abbreviation="SMV",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_superiorMedullaryVelum"
        }
    ],
    lookup_label="PW-RBSC-cor_superiorMedullaryVelum",
    name="superior medullary velum",
)
ParcellationEntity.pw_rbsc_cor_superior_paraolivary_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_superiorParaolivaryNucleus",
    abbreviation="SPO",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_superiorParaolivaryNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_superiorParaolivaryNucleus",
    name="superior paraolivary nucleus",
)
ParcellationEntity.pw_rbsc_cor_superior_salivatory_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_superiorSalivatoryNucleus",
    abbreviation="SuS",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_superiorSalivatoryNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_superiorSalivatoryNucleus",
    name="superior salivatory nucleus",
)
ParcellationEntity.pw_rbsc_cor_superior_thalamic_radiation = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_superiorThalamicRadiation",
    abbreviation="str",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_superiorThalamicRadiation"
        }
    ],
    lookup_label="PW-RBSC-cor_superiorThalamicRadiation",
    name="superior thalamic radiation",
)
ParcellationEntity.pw_rbsc_cor_superior_vestibular_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_superiorVestibularNucleus",
    abbreviation="SuVe",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_superiorVestibularNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_superiorVestibularNucleus",
    name="superior vestibular nucleus",
)
ParcellationEntity.pw_rbsc_cor_suprachiasmatic_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_suprachiasmaticNucleus",
    abbreviation="SCh",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_suprachiasmaticNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_suprachiasmaticNucleus",
    name="suprachiasmatic nucleus",
)
ParcellationEntity.pw_rbsc_cor_suprachiasmatic_nucleus_dorsolateral_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_suprachiasmaticNucleusDorsolateralPart",
    abbreviation="SChDL",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_suprachiasmaticNucleusDorsolateralPart"
        }
    ],
    lookup_label="PW-RBSC-cor_suprachiasmaticNucleusDorsolateralPart",
    name="suprachiasmatic nucleus, dorsolateral part",
)
ParcellationEntity.pw_rbsc_cor_suprachiasmatic_nucleus_ventromedial_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_suprachiasmaticNucleusVentromedialPart",
    abbreviation="SChVM",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_suprachiasmaticNucleusVentromedialPart"
        }
    ],
    lookup_label="PW-RBSC-cor_suprachiasmaticNucleusVentromedialPart",
    name="suprachiasmatic nucleus, ventromedial part",
)
ParcellationEntity.pw_rbsc_cor_suprageniculate_thalamic_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_suprageniculateThalamicNucleus",
    abbreviation="SG",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_suprageniculateThalamicNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_suprageniculateThalamicNucleus",
    name="suprageniculate thalamic nucleus",
)
ParcellationEntity.pw_rbsc_cor_supragenual_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_supragenualNucleus",
    abbreviation="SGe",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_supragenualNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_supragenualNucleus",
    name="supragenual nucleus",
)
ParcellationEntity.pw_rbsc_cor_supramammillary_decussation = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_supramammillaryDecussation",
    abbreviation="sumx",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_supramammillaryDecussation"
        }
    ],
    lookup_label="PW-RBSC-cor_supramammillaryDecussation",
    name="supramammillary decussation",
)
ParcellationEntity.pw_rbsc_cor_supramammillary_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_supramammillaryNucleus",
    abbreviation="SuM",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_supramammillaryNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_supramammillaryNucleus",
    name="supramammillary nucleus",
)
ParcellationEntity.pw_rbsc_cor_supramammillary_nucleus_lateral_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_supramammillaryNucleusLateralPart",
    abbreviation="SuML",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_supramammillaryNucleusLateralPart"
        }
    ],
    lookup_label="PW-RBSC-cor_supramammillaryNucleusLateralPart",
    name="supramammillary nucleus, lateral part",
)
ParcellationEntity.pw_rbsc_cor_supramammillary_nucleus_medial_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_supramammillaryNucleusMedialPart",
    abbreviation="SuMM",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_supramammillaryNucleusMedialPart"
        }
    ],
    lookup_label="PW-RBSC-cor_supramammillaryNucleusMedialPart",
    name="supramammillary nucleus, medial part",
)
ParcellationEntity.pw_rbsc_cor_supraoculomotor_cap = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_supraoculomotorCap",
    abbreviation="Su3C",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_supraoculomotorCap"
        }
    ],
    lookup_label="PW-RBSC-cor_supraoculomotorCap",
    name="supraoculomotor cap",
)
ParcellationEntity.pw_rbsc_cor_supraoculomotor_periaqueductal_gray = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_supraoculomotorPeriaqueductalGray",
    abbreviation="Su3",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_supraoculomotorPeriaqueductalGray"
        }
    ],
    lookup_label="PW-RBSC-cor_supraoculomotorPeriaqueductalGray",
    name="supraoculomotor periaqueductal gray",
)
ParcellationEntity.pw_rbsc_cor_supraoptic_decussation = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_supraopticDecussation",
    abbreviation="sox",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_supraopticDecussation"
        }
    ],
    lookup_label="PW-RBSC-cor_supraopticDecussation",
    name="supraoptic decussation",
)
ParcellationEntity.pw_rbsc_cor_supraoptic_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_supraopticNucleus",
    abbreviation="SO",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_supraopticNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_supraopticNucleus",
    name="supraoptic nucleus",
)
ParcellationEntity.pw_rbsc_cor_supraoptic_nucleus_retrochiasmatic_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_supraopticNucleusRetrochiasmaticPart",
    abbreviation="SOR",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_supraopticNucleusRetrochiasmaticPart"
        }
    ],
    lookup_label="PW-RBSC-cor_supraopticNucleusRetrochiasmaticPart",
    name="supraoptic nucleus, retrochiasmatic part",
)
ParcellationEntity.pw_rbsc_cor_supratrigeminal_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_supratrigeminalNucleus",
    abbreviation="Su5",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_supratrigeminalNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_supratrigeminalNucleus",
    name="supratrigeminal nucleus",
)
ParcellationEntity.pw_rbsc_cor_tectospinal_tract = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_tectospinalTract",
    abbreviation="ts",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_tectospinalTract"}
    ],
    lookup_label="PW-RBSC-cor_tectospinalTract",
    name="tectospinal tract",
)
ParcellationEntity.pw_rbsc_cor_temporal_association_cortex = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_temporalAssociationCortex",
    abbreviation="TeA",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_temporalAssociationCortex"
        }
    ],
    lookup_label="PW-RBSC-cor_temporalAssociationCortex",
    name="temporal association cortex",
)
ParcellationEntity.pw_rbsc_cor_terete_hypothalamic_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_tereteHypothalamicNucleus",
    abbreviation="Te",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_tereteHypothalamicNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_tereteHypothalamicNucleus",
    name="terete hypothalamic nucleus",
)
ParcellationEntity.pw_rbsc_cor_transverse_fibers_of_the_pons = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_transverseFibersOfThePons",
    abbreviation="tfp",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_transverseFibersOfThePons"
        }
    ],
    lookup_label="PW-RBSC-cor_transverseFibersOfThePons",
    name="transverse fibers of the pons",
)
ParcellationEntity.pw_rbsc_cor_trapezoid_body = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_trapezoidBody",
    abbreviation="tz",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_trapezoidBody"}
    ],
    lookup_label="PW-RBSC-cor_trapezoidBody",
    name="trapezoid body",
)
ParcellationEntity.pw_rbsc_cor_triangular_nucleus_lateral_lemniscus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_triangularNucleusLateralLemniscus",
    abbreviation="TrLL",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_triangularNucleusLateralLemniscus"
        }
    ],
    lookup_label="PW-RBSC-cor_triangularNucleusLateralLemniscus",
    name="triangular nucleus, lateral lemniscus",
)
ParcellationEntity.pw_rbsc_cor_triangular_septal_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_triangularSeptalNucleus",
    abbreviation="TS",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_triangularSeptalNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_triangularSeptalNucleus",
    name="triangular septal nucleus",
)
ParcellationEntity.pw_rbsc_cor_trigeminal_ganglion = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_trigeminalGanglion",
    abbreviation="5Gn",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_trigeminalGanglion"
        }
    ],
    lookup_label="PW-RBSC-cor_trigeminalGanglion",
    name="trigeminal ganglion",
)
ParcellationEntity.pw_rbsc_cor_trigeminal_solitary_transition_zone = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_trigeminalSolitaryTransitionZone",
    abbreviation="5Sol",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_trigeminalSolitaryTransitionZone"
        }
    ],
    lookup_label="PW-RBSC-cor_trigeminalSolitaryTransitionZone",
    name="trigeminal-solitary transition zone",
)
ParcellationEntity.pw_rbsc_cor_trigeminal_transition_zone = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_trigeminalTransitionZone",
    abbreviation="5Tr",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_trigeminalTransitionZone"
        }
    ],
    lookup_label="PW-RBSC-cor_trigeminalTransitionZone",
    name="trigeminal transition zone",
)
ParcellationEntity.pw_rbsc_cor_trigeminothalamic_tract = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_trigeminothalamicTract",
    abbreviation="tth",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_trigeminothalamicTract"
        }
    ],
    lookup_label="PW-RBSC-cor_trigeminothalamicTract",
    name="trigeminothalamic tract",
)
ParcellationEntity.pw_rbsc_cor_trochlear_nerve = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_trochlearNerve",
    abbreviation="4n",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_trochlearNerve"}
    ],
    lookup_label="PW-RBSC-cor_trochlearNerve",
    name="trochlear nerve",
)
ParcellationEntity.pw_rbsc_cor_trochlear_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_trochlearNucleus",
    abbreviation="4N",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_trochlearNucleus"}
    ],
    lookup_label="PW-RBSC-cor_trochlearNucleus",
    name="trochlear nucleus",
)
ParcellationEntity.pw_rbsc_cor_trochlear_nuclues_shell_region = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_trochlearNucluesShellRegion",
    abbreviation="4Sh",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_trochlearNucluesShellRegion"
        }
    ],
    lookup_label="PW-RBSC-cor_trochlearNucluesShellRegion",
    name="trochlear nuclues shell region",
)
ParcellationEntity.pw_rbsc_cor_tuberal_region_of_lateral_hypothalamus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_tuberalRegionOfLateralHypothalamus",
    abbreviation="TuLH",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_tuberalRegionOfLateralHypothalamus"
        }
    ],
    lookup_label="PW-RBSC-cor_tuberalRegionOfLateralHypothalamus",
    name="tuberal region of lateral hypothalamus",
)
ParcellationEntity.pw_rbsc_cor_uncinate_fasciculus_decussation = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_uncinateFasciculusDecussation",
    abbreviation="unx",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_uncinateFasciculusDecussation"
        }
    ],
    lookup_label="PW-RBSC-cor_uncinateFasciculusDecussation",
    name="uncinate fasciculus decussation",
)
ParcellationEntity.pw_rbsc_cor_uncinate_fasciculus_of_the_cerebellum = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_uncinateFasciculusOfTheCerebellum",
    abbreviation="un",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_uncinateFasciculusOfTheCerebellum"
        }
    ],
    lookup_label="PW-RBSC-cor_uncinateFasciculusOfTheCerebellum",
    name="uncinate fasciculus of the cerebellum",
)
ParcellationEntity.pw_rbsc_cor_vagus_nerve = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_vagusNerve",
    abbreviation="10n",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_vagusNerve"}
    ],
    lookup_label="PW-RBSC-cor_vagusNerve",
    name="vagus nerve",
)
ParcellationEntity.pw_rbsc_cor_vascular_organ_of_the_lamina_terminalis = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_vascularOrganOfTheLaminaTerminalis",
    abbreviation="VOLT",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_vascularOrganOfTheLaminaTerminalis"
        }
    ],
    lookup_label="PW-RBSC-cor_vascularOrganOfTheLaminaTerminalis",
    name="vascular organ of the lamina terminalis",
)
ParcellationEntity.pw_rbsc_cor_vein = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_vein",
    abbreviation="v",
    has_versions=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_vein"}],
    lookup_label="PW-RBSC-cor_vein",
    name="vein",
)
ParcellationEntity.pw_rbsc_cor_ventral_anterior_thalamic_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_ventralAnteriorThalamicNucleus",
    abbreviation="VA",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventralAnteriorThalamicNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_ventralAnteriorThalamicNucleus",
    name="ventral anterior thalamic nucleus",
)
ParcellationEntity.pw_rbsc_cor_ventral_cochlear_nucleus_anterior_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_ventralCochlearNucleusAnteriorPart",
    abbreviation="VCA",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventralCochlearNucleusAnteriorPart"
        }
    ],
    lookup_label="PW-RBSC-cor_ventralCochlearNucleusAnteriorPart",
    name="ventral cochlear nucleus, anterior part",
)
ParcellationEntity.pw_rbsc_cor_ventral_cochlear_nucleus_capsular_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_ventralCochlearNucleusCapsularPart",
    abbreviation="VCCap",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventralCochlearNucleusCapsularPart"
        }
    ],
    lookup_label="PW-RBSC-cor_ventralCochlearNucleusCapsularPart",
    name="ventral cochlear nucleus, capsular part",
)
ParcellationEntity.pw_rbsc_cor_ventral_cochlear_nucleus_granule_cell_layer = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_ventralCochlearNucleusGranuleCellLayer",
    abbreviation="VCAGr",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventralCochlearNucleusGranuleCellLayer"
        }
    ],
    lookup_label="PW-RBSC-cor_ventralCochlearNucleusGranuleCellLayer",
    name="ventral cochlear nucleus, granule cell layer",
)
ParcellationEntity.pw_rbsc_cor_ventral_cochlear_nucleus_posterior_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_ventralCochlearNucleusPosteriorPart",
    abbreviation="VCP",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventralCochlearNucleusPosteriorPart"
        }
    ],
    lookup_label="PW-RBSC-cor_ventralCochlearNucleusPosteriorPart",
    name="ventral cochlear nucleus, posterior part",
)
ParcellationEntity.pw_rbsc_cor_ventral_cochlear_nucleus_posterior_part_octopus_cell_area = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_ventralCochlearNucleusPosteriorPartOctopusCellArea",
    abbreviation="VCPO",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventralCochlearNucleusPosteriorPartOctopusCellArea"
        }
    ],
    lookup_label="PW-RBSC-cor_ventralCochlearNucleusPosteriorPartOctopusCellArea",
    name="ventral cochlear nucleus, posterior part, octopus cell area",
)
ParcellationEntity.pw_rbsc_cor_ventral_endopiriform_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_ventralEndopiriformNucleus",
    abbreviation="VEn",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventralEndopiriformNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_ventralEndopiriformNucleus",
    name="ventral endopiriform nucleus",
)
ParcellationEntity.pw_rbsc_cor_ventral_geniculate_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_ventralGeniculateNucleus",
    abbreviation="VG",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventralGeniculateNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_ventralGeniculateNucleus",
    name="ventral geniculate nucleus",
)
ParcellationEntity.pw_rbsc_cor_ventral_geniculate_nucleus_layer1 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_ventralGeniculateNucleusLayer1",
    abbreviation="VG1",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventralGeniculateNucleusLayer1"
        }
    ],
    lookup_label="PW-RBSC-cor_ventralGeniculateNucleusLayer1",
    name="ventral geniculate nucleus, layer 1",
)
ParcellationEntity.pw_rbsc_cor_ventral_hippocampal_commissure = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_ventralHippocampalCommissure",
    abbreviation="vhc",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventralHippocampalCommissure"
        }
    ],
    lookup_label="PW-RBSC-cor_ventralHippocampalCommissure",
    name="ventral hippocampal commissure",
)
ParcellationEntity.pw_rbsc_cor_ventral_intermediate_entorhinal_cortex = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_ventralIntermediateEntorhinalCortex",
    abbreviation="VIEnt",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventralIntermediateEntorhinalCortex"
        }
    ],
    lookup_label="PW-RBSC-cor_ventralIntermediateEntorhinalCortex",
    name="ventral intermediate entorhinal cortex",
)
ParcellationEntity.pw_rbsc_cor_ventral_linear_nucleus_of_the_thalamus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_ventralLinearNucleusOfTheThalamus",
    abbreviation="VLi",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventralLinearNucleusOfTheThalamus"
        }
    ],
    lookup_label="PW-RBSC-cor_ventralLinearNucleusOfTheThalamus",
    name="ventral linear nucleus of the thalamus",
)
ParcellationEntity.pw_rbsc_cor_ventral_nucleus_of_the_lat_lemniscus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_ventralNucleusOfTheLatLemniscus",
    abbreviation="VLL",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventralNucleusOfTheLatLemniscus"
        }
    ],
    lookup_label="PW-RBSC-cor_ventralNucleusOfTheLatLemniscus",
    name="ventral nucleus of the lat lemniscus",
)
ParcellationEntity.pw_rbsc_cor_ventral_orbital_cortex = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_ventralOrbitalCortex",
    abbreviation="VO",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventralOrbitalCortex"
        }
    ],
    lookup_label="PW-RBSC-cor_ventralOrbitalCortex",
    name="ventral orbital cortex",
)
ParcellationEntity.pw_rbsc_cor_ventral_pallidum = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_ventralPallidum",
    abbreviation="VP",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventralPallidum"}
    ],
    lookup_label="PW-RBSC-cor_ventralPallidum",
    name="ventral pallidum",
)
ParcellationEntity.pw_rbsc_cor_ventral_part_of_claustrum = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_ventralPartOfClaustrum",
    abbreviation="VCl",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventralPartOfClaustrum"
        }
    ],
    lookup_label="PW-RBSC-cor_ventralPartOfClaustrum",
    name="ventral part of claustrum",
)
ParcellationEntity.pw_rbsc_cor_ventral_posterior_nucleus_of_the_thalamus_parvicellular_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_ventralPosteriorNucleusOfTheThalamusParvicellularPart",
    abbreviation="VPPC",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventralPosteriorNucleusOfTheThalamusParvicellularPart"
        }
    ],
    lookup_label="PW-RBSC-cor_ventralPosteriorNucleusOfTheThalamusParvicellularPart",
    name="ventral posterior nucleus of the thalamus, parvicellular part",
)
ParcellationEntity.pw_rbsc_cor_ventral_posterolateral_thalamic_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_ventralPosterolateralThalamicNucleus",
    abbreviation="VPL",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventralPosterolateralThalamicNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_ventralPosterolateralThalamicNucleus",
    name="ventral posterolateral thalamic nucleus",
)
ParcellationEntity.pw_rbsc_cor_ventral_posteromedial_thalamic_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_ventralPosteromedialThalamicNucleus",
    abbreviation="VPM",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventralPosteromedialThalamicNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_ventralPosteromedialThalamicNucleus",
    name="ventral posteromedial thalamic nucleus",
)
ParcellationEntity.pw_rbsc_cor_ventral_reuniens_thalamic_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_ventralReuniensThalamicNucleus",
    abbreviation="VRe",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventralReuniensThalamicNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_ventralReuniensThalamicNucleus",
    name="ventral reuniens thalamic nucleus",
)
ParcellationEntity.pw_rbsc_cor_ventral_spinocerebellar_tract = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_ventralSpinocerebellarTract",
    abbreviation="vsc",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventralSpinocerebellarTract"
        }
    ],
    lookup_label="PW-RBSC-cor_ventralSpinocerebellarTract",
    name="ventral spinocerebellar tract",
)
ParcellationEntity.pw_rbsc_cor_ventral_spinocerebellar_tract_decussation = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_ventralSpinocerebellarTractDecussation",
    abbreviation="vscx",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventralSpinocerebellarTractDecussation"
        }
    ],
    lookup_label="PW-RBSC-cor_ventralSpinocerebellarTractDecussation",
    name="ventral spinocerebellar tract decussation",
)
ParcellationEntity.pw_rbsc_cor_ventral_subiculum = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_ventralSubiculum",
    abbreviation="VS",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventralSubiculum"}
    ],
    lookup_label="PW-RBSC-cor_ventralSubiculum",
    name="ventral subiculum",
)
ParcellationEntity.pw_rbsc_cor_ventral_tegmental_area = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_ventralTegmentalArea",
    abbreviation="VTA",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventralTegmentalArea"
        }
    ],
    lookup_label="PW-RBSC-cor_ventralTegmentalArea",
    name="ventral tegmental area",
)
ParcellationEntity.pw_rbsc_cor_ventral_tegmental_area_rostral_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_ventralTegmentalAreaRostralPart",
    abbreviation="VTAR",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventralTegmentalAreaRostralPart"
        }
    ],
    lookup_label="PW-RBSC-cor_ventralTegmentalAreaRostralPart",
    name="ventral tegmental area, rostral part",
)
ParcellationEntity.pw_rbsc_cor_ventral_tegmental_decussation = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_ventralTegmentalDecussation",
    abbreviation="vtgx",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventralTegmentalDecussation"
        }
    ],
    lookup_label="PW-RBSC-cor_ventralTegmentalDecussation",
    name="ventral tegmental decussation",
)
ParcellationEntity.pw_rbsc_cor_ventral_tegmental_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_ventralTegmentalNucleus",
    abbreviation="VTg",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventralTegmentalNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_ventralTegmentalNucleus",
    name="ventral tegmental nucleus",
)
ParcellationEntity.pw_rbsc_cor_ventral_tenia_tecta = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_ventralTeniaTecta",
    abbreviation="VTT",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventralTeniaTecta"
        }
    ],
    lookup_label="PW-RBSC-cor_ventralTeniaTecta",
    name="ventral tenia tecta",
)
ParcellationEntity.pw_rbsc_cor_ventral_tenia_tecta_layer1 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_ventralTeniaTectaLayer1",
    abbreviation="VTT1",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventralTeniaTectaLayer1"
        }
    ],
    lookup_label="PW-RBSC-cor_ventralTeniaTectaLayer1",
    name="ventral tenia tecta, layer 1",
)
ParcellationEntity.pw_rbsc_cor_ventral_tuberomammillary_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_ventralTuberomammillaryNucleus",
    abbreviation="VTM",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventralTuberomammillaryNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_ventralTuberomammillaryNucleus",
    name="ventral tuberomammillary nucleus",
)
ParcellationEntity.pw_rbsc_cor_ventrolateral_hypothalamic_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_ventrolateralHypothalamicNucleus",
    abbreviation="VLH",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventrolateralHypothalamicNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_ventrolateralHypothalamicNucleus",
    name="ventrolateral hypothalamic nucleus",
)
ParcellationEntity.pw_rbsc_cor_ventrolateral_hypothalamic_tract = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_ventrolateralHypothalamicTract",
    abbreviation="vlh",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventrolateralHypothalamicTract"
        }
    ],
    lookup_label="PW-RBSC-cor_ventrolateralHypothalamicTract",
    name="ventrolateral hypothalamic tract",
)
ParcellationEntity.pw_rbsc_cor_ventrolateral_periaqueductal_gray = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_ventrolateralPeriaqueductalGray",
    abbreviation="VLPAG",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventrolateralPeriaqueductalGray"
        }
    ],
    lookup_label="PW-RBSC-cor_ventrolateralPeriaqueductalGray",
    name="ventrolateral periaqueductal gray",
)
ParcellationEntity.pw_rbsc_cor_ventrolateral_preoptic_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_ventrolateralPreopticNucleus",
    abbreviation="VLPO",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventrolateralPreopticNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_ventrolateralPreopticNucleus",
    name="ventrolateral preoptic nucleus",
)
ParcellationEntity.pw_rbsc_cor_ventrolateral_thalamic_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_ventrolateralThalamicNucleus",
    abbreviation="VL",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventrolateralThalamicNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_ventrolateralThalamicNucleus",
    name="ventrolateral thalamic nucleus",
)
ParcellationEntity.pw_rbsc_cor_ventromedial_hypothalamic_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_ventromedialHypothalamicNucleus",
    abbreviation="VMH",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventromedialHypothalamicNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_ventromedialHypothalamicNucleus",
    name="ventromedial hypothalamic nucleus",
)
ParcellationEntity.pw_rbsc_cor_ventromedial_hypothalamic_nucleus_anterior_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_ventromedialHypothalamicNucleusAnteriorPart",
    abbreviation="VMHA",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventromedialHypothalamicNucleusAnteriorPart"
        }
    ],
    lookup_label="PW-RBSC-cor_ventromedialHypothalamicNucleusAnteriorPart",
    name="ventromedial hypothalamic nucleus, anterior part",
)
ParcellationEntity.pw_rbsc_cor_ventromedial_hypothalamic_nucleus_central_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_ventromedialHypothalamicNucleusCentralPart",
    abbreviation="VMHC",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventromedialHypothalamicNucleusCentralPart"
        }
    ],
    lookup_label="PW-RBSC-cor_ventromedialHypothalamicNucleusCentralPart",
    name="ventromedial hypothalamic nucleus, central part",
)
ParcellationEntity.pw_rbsc_cor_ventromedial_hypothalamic_nucleus_dorsomedial_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_ventromedialHypothalamicNucleusDorsomedialPart",
    abbreviation="VMHDM",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventromedialHypothalamicNucleusDorsomedialPart"
        }
    ],
    lookup_label="PW-RBSC-cor_ventromedialHypothalamicNucleusDorsomedialPart",
    name="ventromedial hypothalamic nucleus, dorsomedial part",
)
ParcellationEntity.pw_rbsc_cor_ventromedial_hypothalamic_nucleus_ventrolateral_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_ventromedialHypothalamicNucleusVentrolateralPart",
    abbreviation="VMHVL",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventromedialHypothalamicNucleusVentrolateralPart"
        }
    ],
    lookup_label="PW-RBSC-cor_ventromedialHypothalamicNucleusVentrolateralPart",
    name="ventromedial hypothalamic nucleus, ventrolateral part",
)
ParcellationEntity.pw_rbsc_cor_ventromedial_nucleus_of_the_hypothalamus_shell = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_ventromedialNucleusOfTheHypothalamusShell",
    abbreviation="VMHSh",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventromedialNucleusOfTheHypothalamusShell"
        }
    ],
    lookup_label="PW-RBSC-cor_ventromedialNucleusOfTheHypothalamusShell",
    name="ventromedial nucleus of the hypothalamus shell",
)
ParcellationEntity.pw_rbsc_cor_ventromedial_preoptic_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_ventromedialPreopticNucleus",
    abbreviation="VMPO",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventromedialPreopticNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_ventromedialPreopticNucleus",
    name="ventromedial preoptic nucleus",
)
ParcellationEntity.pw_rbsc_cor_ventromedial_thalamic_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_ventromedialThalamicNucleus",
    abbreviation="VM",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventromedialThalamicNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_ventromedialThalamicNucleus",
    name="ventromedial thalamic nucleus",
)
ParcellationEntity.pw_rbsc_cor_vertebral_artery = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_vertebralArtery",
    abbreviation="vert",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_vertebralArtery"}
    ],
    lookup_label="PW-RBSC-cor_vertebralArtery",
    name="vertebral artery",
)
ParcellationEntity.pw_rbsc_cor_vestibular_root_of_the_vestibulocochlear_nerve = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_vestibularRootOfTheVestibulocochlearNerve",
    abbreviation="8vn",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_vestibularRootOfTheVestibulocochlearNerve"
        }
    ],
    lookup_label="PW-RBSC-cor_vestibularRootOfTheVestibulocochlearNerve",
    name="vestibular root of the vestibulocochlear nerve",
)
ParcellationEntity.pw_rbsc_cor_vestibulocerebellar_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_vestibulocerebellarNucleus",
    abbreviation="VeCb",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_vestibulocerebellarNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_vestibulocerebellarNucleus",
    name="vestibulocerebellar nucleus",
)
ParcellationEntity.pw_rbsc_cor_vestibulocochlear_ganglion = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_vestibulocochlearGanglion",
    abbreviation="8Gn",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_vestibulocochlearGanglion"
        }
    ],
    lookup_label="PW-RBSC-cor_vestibulocochlearGanglion",
    name="vestibulocochlear ganglion",
)
ParcellationEntity.pw_rbsc_cor_vestibulocochlear_nerve = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_vestibulocochlearNerve",
    abbreviation="8n",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_vestibulocochlearNerve"
        }
    ],
    lookup_label="PW-RBSC-cor_vestibulocochlearNerve",
    name="vestibulocochlear nerve",
)
ParcellationEntity.pw_rbsc_cor_vestibulomesencephalic_tract = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_vestibulomesencephalicTract",
    abbreviation="veme",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_vestibulomesencephalicTract"
        }
    ],
    lookup_label="PW-RBSC-cor_vestibulomesencephalicTract",
    name="vestibulomesencephalic tract",
)
ParcellationEntity.pw_rbsc_cor_vestibulospinal_tract = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_vestibulospinalTract",
    abbreviation="vesp",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_vestibulospinalTract"
        }
    ],
    lookup_label="PW-RBSC-cor_vestibulospinalTract",
    name="vestibulospinal tract",
)
ParcellationEntity.pw_rbsc_cor_vomeronasal_nerve = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_vomeronasalNerve",
    abbreviation="vn",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_vomeronasalNerve"}
    ],
    lookup_label="PW-RBSC-cor_vomeronasalNerve",
    name="vomeronasal nerve",
)
ParcellationEntity.pw_rbsc_cor_vomeronasal_nerve_layer = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_vomeronasalNerveLayer",
    abbreviation="VN",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_vomeronasalNerveLayer"
        }
    ],
    lookup_label="PW-RBSC-cor_vomeronasalNerveLayer",
    name="vomeronasal nerve layer",
)
ParcellationEntity.pw_rbsc_cor_xiphoid_thalamic_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_xiphoidThalamicNucleus",
    abbreviation="Xi",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_xiphoidThalamicNucleus"
        }
    ],
    lookup_label="PW-RBSC-cor_xiphoidThalamicNucleus",
    name="xiphoid thalamic nucleus",
)
ParcellationEntity.pw_rbsc_cor_zona_incerta = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_zonaIncerta",
    abbreviation="ZI",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_zonaIncerta"}
    ],
    lookup_label="PW-RBSC-cor_zonaIncerta",
    name="zona incerta",
)
ParcellationEntity.pw_rbsc_cor_zona_incerta_caudal_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_zonaIncertaCaudalPart",
    abbreviation="ZIC",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_zonaIncertaCaudalPart"
        }
    ],
    lookup_label="PW-RBSC-cor_zonaIncertaCaudalPart",
    name="zona incerta, caudal part",
)
ParcellationEntity.pw_rbsc_cor_zona_incerta_dorsal_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_zonaIncertaDorsalPart",
    abbreviation="ZID",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_zonaIncertaDorsalPart"
        }
    ],
    lookup_label="PW-RBSC-cor_zonaIncertaDorsalPart",
    name="zona incerta, dorsal part",
)
ParcellationEntity.pw_rbsc_cor_zona_incerta_rostral_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_zonaIncertaRostralPart",
    abbreviation="ZIR",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_zonaIncertaRostralPart"
        }
    ],
    lookup_label="PW-RBSC-cor_zonaIncertaRostralPart",
    name="zona incerta, rostral part",
)
ParcellationEntity.pw_rbsc_cor_zona_incerta_ventral_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_zonaIncertaVentralPart",
    abbreviation="ZIV",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_zonaIncertaVentralPart"
        }
    ],
    lookup_label="PW-RBSC-cor_zonaIncertaVentralPart",
    name="zona incerta, ventral part",
)
ParcellationEntity.pw_rbsc_cor_zona_limitans = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_zonaLimitans",
    abbreviation="ZL",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_zonaLimitans"}
    ],
    lookup_label="PW-RBSC-cor_zonaLimitans",
    name="zona limitans",
)
ParcellationEntity.pw_rbsc_cor_zonal_layer_of_the_superior_colliculus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/PW-RBSC-cor_zonalLayerOfTheSuperiorColliculus",
    abbreviation="Zo",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_zonalLayerOfTheSuperiorColliculus"
        }
    ],
    lookup_label="PW-RBSC-cor_zonalLayerOfTheSuperiorColliculus",
    name="zonal layer of the superior colliculus",
)
ParcellationEntity.swanson_bm__ammons_horn_noguez = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_AmmonsHornNoguez",
    abbreviation="CA",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_AmmonsHornNoguez"}
    ],
    lookup_label="SwansonBM_AmmonsHornNoguez",
    name="Ammon’s horn [Noguez]",
)
ParcellationEntity.swanson_bm__barringtons_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_BarringtonsNucleus",
    abbreviation="B",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_BarringtonsNucleus"}
    ],
    lookup_label="SwansonBM_BarringtonsNucleus",
    name="Barrington’s nucleus",
)
ParcellationEntity.swanson_bm__edinger_westphal_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_EdingerWestphalNucleus",
    abbreviation="EW",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_EdingerWestphalNucleus"
        }
    ],
    lookup_label="SwansonBM_EdingerWestphalNucleus",
    name="Edinger-Westphal nucleus",
)
ParcellationEntity.swanson_bm__kolliker_fuse_subnucleus_of_pb = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_KollikerFuseSubnucleusOfPB",
    abbreviation="KF",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_KollikerFuseSubnucleusOfPB"
        }
    ],
    lookup_label="SwansonBM_KollikerFuseSubnucleusOfPB",
    name="Kölliker-Fuse subnucleus (of PB)",
)
ParcellationEntity.swanson_bm__onufs_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_OnufsNucleus",
    abbreviation="ON",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_OnufsNucleus"}
    ],
    lookup_label="SwansonBM_OnufsNucleus",
    name="Onuf’s nucleus",
)
ParcellationEntity.swanson_bm_abducens_nerve_eustachius = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_abducensNerveEustachius",
    abbreviation="VIn",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_abducensNerveEustachius"
        }
    ],
    lookup_label="SwansonBM_abducensNerveEustachius",
    name="abducens nerve [Eustachius]",
)
ParcellationEntity.swanson_bm_abducens_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_abducensNucleus",
    abbreviation="VI",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_abducensNucleus"}
    ],
    lookup_label="SwansonBM_abducensNucleus",
    name="abducens nucleus",
)
ParcellationEntity.swanson_bm_accessory_abducens_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_accessoryAbducensNucleus",
    abbreviation="ACVI",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_accessoryAbducensNucleus"
        }
    ],
    lookup_label="SwansonBM_accessoryAbducensNucleus",
    name="accessory abducens nucleus",
)
ParcellationEntity.swanson_bm_accessory_facial_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_accessoryFacialNucleus",
    abbreviation="ACVII",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_accessoryFacialNucleus"
        }
    ],
    lookup_label="SwansonBM_accessoryFacialNucleus",
    name="accessory facial nucleus",
)
ParcellationEntity.swanson_bm_accessory_olfactory_bulb_balogh = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_accessoryOlfactoryBulbBalogh",
    abbreviation="AOB",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_accessoryOlfactoryBulbBalogh"
        }
    ],
    lookup_label="SwansonBM_accessoryOlfactoryBulbBalogh",
    name="accessory olfactory bulb [Balogh]",
)
ParcellationEntity.swanson_bm_accessory_olfactory_bulb_glomerular_layer = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_accessoryOlfactoryBulbGlomerularLayer",
    abbreviation="AOBgl",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_accessoryOlfactoryBulbGlomerularLayer"
        }
    ],
    lookup_label="SwansonBM_accessoryOlfactoryBulbGlomerularLayer",
    name="accessory olfactory bulb, glomerular layer",
)
ParcellationEntity.swanson_bm_accessory_olfactory_bulb_granule_cell_layer = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_accessoryOlfactoryBulbGranuleCellLayer",
    abbreviation="AOBgr",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_accessoryOlfactoryBulbGranuleCellLayer"
        }
    ],
    lookup_label="SwansonBM_accessoryOlfactoryBulbGranuleCellLayer",
    name="accessory olfactory bulb, granule cell layer",
)
ParcellationEntity.swanson_bm_accessory_olfactory_bulb_mitral_layer = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_accessoryOlfactoryBulbMitralLayer",
    abbreviation="AOBmi",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_accessoryOlfactoryBulbMitralLayer"
        }
    ],
    lookup_label="SwansonBM_accessoryOlfactoryBulbMitralLayer",
    name="accessory olfactory bulb, mitral layer",
)
ParcellationEntity.swanson_bm_accessory_olfactory_nerve = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_accessoryOlfactoryNerve",
    abbreviation="aIn",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_accessoryOlfactoryNerve"
        }
    ],
    lookup_label="SwansonBM_accessoryOlfactoryNerve",
    name="accessory olfactory nerve",
)
ParcellationEntity.swanson_bm_accessory_olfactory_tract = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_accessoryOlfactoryTract",
    abbreviation="aolt",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_accessoryOlfactoryTract"
        }
    ],
    lookup_label="SwansonBM_accessoryOlfactoryTract",
    name="accessory olfactory tract",
)
ParcellationEntity.swanson_bm_accessory_optic_tract = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_accessoryOpticTract",
    abbreviation="aot",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_accessoryOpticTract"
        }
    ],
    lookup_label="SwansonBM_accessoryOpticTract",
    name="accessory optic tract",
)
ParcellationEntity.swanson_bm_accessory_spinal_nerve_willis = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_accessorySpinalNerveWillis",
    abbreviation="XIn",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_accessorySpinalNerveWillis"
        }
    ],
    lookup_label="SwansonBM_accessorySpinalNerveWillis",
    name="accessory spinal nerve [Willis]",
)
ParcellationEntity.swanson_bm_accessory_supraoptic_group = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_accessorySupraopticGroup",
    abbreviation="ASO",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_accessorySupraopticGroup"
        }
    ],
    lookup_label="SwansonBM_accessorySupraopticGroup",
    name="accessory supraoptic group",
)
ParcellationEntity.swanson_bm_agranular_insular_area = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_agranularInsularArea",
    abbreviation="AI",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_agranularInsularArea"
        }
    ],
    lookup_label="SwansonBM_agranularInsularArea",
    name="agranular insular area",
)
ParcellationEntity.swanson_bm_agranular_insular_area_dorsal_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_agranularInsularAreaDorsalPart",
    abbreviation="AId",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_agranularInsularAreaDorsalPart"
        }
    ],
    lookup_label="SwansonBM_agranularInsularAreaDorsalPart",
    name="agranular insular area, dorsal part",
)
ParcellationEntity.swanson_bm_agranular_insular_area_posterior_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_agranularInsularAreaPosteriorPart",
    abbreviation="AIp",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_agranularInsularAreaPosteriorPart"
        }
    ],
    lookup_label="SwansonBM_agranularInsularAreaPosteriorPart",
    name="agranular insular area, posterior part",
)
ParcellationEntity.swanson_bm_agranular_insular_area_ventral_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_agranularInsularAreaVentralPart",
    abbreviation="AIv",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_agranularInsularAreaVentralPart"
        }
    ],
    lookup_label="SwansonBM_agranularInsularAreaVentralPart",
    name="agranular insular area, ventral part",
)
ParcellationEntity.swanson_bm_alveus_burdach = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_alveusBurdach",
    abbreviation="alv",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_alveusBurdach"}
    ],
    lookup_label="SwansonBM_alveusBurdach",
    name="alveus [Burdach]",
)
ParcellationEntity.swanson_bm_amygdala_burdach = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_amygdalaBurdach",
    abbreviation="AMY",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_amygdalaBurdach"}
    ],
    lookup_label="SwansonBM_amygdalaBurdach",
    name="amygdala [Burdach]",
)
ParcellationEntity.swanson_bm_amygdalar_capsule = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_amygdalarCapsule",
    abbreviation="amc",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_amygdalarCapsule"}
    ],
    lookup_label="SwansonBM_amygdalarCapsule",
    name="amygdalar capsule",
)
ParcellationEntity.swanson_bm_angular_bundle = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_angularBundle",
    abbreviation="ab",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_angularBundle"}
    ],
    lookup_label="SwansonBM_angularBundle",
    name="angular bundle",
)
ParcellationEntity.swanson_bm_ansa_peduncularis_gratiolet = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_ansaPeduncularisGratiolet",
    abbreviation="apd",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_ansaPeduncularisGratiolet"
        }
    ],
    lookup_label="SwansonBM_ansaPeduncularisGratiolet",
    name="ansa peduncularis [Gratiolet]",
)
ParcellationEntity.swanson_bm_ansiform_lobule = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_ansiformLobule",
    abbreviation="AN",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_ansiformLobule"}
    ],
    lookup_label="SwansonBM_ansiformLobule",
    name="ansiform lobule",
)
ParcellationEntity.swanson_bm_ansiform_lobule_crus1_sublobules_ad = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_ansiformLobuleCrus1SublobulesAd",
    abbreviation="ANcr1a-d",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_ansiformLobuleCrus1SublobulesAd"
        }
    ],
    lookup_label="SwansonBM_ansiformLobuleCrus1SublobulesAd",
    name="ansiform lobule, crus 1, sublobules a-d",
)
ParcellationEntity.swanson_bm_ansiform_lobule_crus2_sublobules_ab = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_ansiformLobuleCrus2SublobulesAb",
    abbreviation="ANcr2a,b",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_ansiformLobuleCrus2SublobulesAb"
        }
    ],
    lookup_label="SwansonBM_ansiformLobuleCrus2SublobulesAb",
    name="ansiform lobule, crus 2, sublobules a,b",
)
ParcellationEntity.swanson_bm_ansoparamedian_fissure = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_ansoparamedianFissure",
    abbreviation="apf",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_ansoparamedianFissure"
        }
    ],
    lookup_label="SwansonBM_ansoparamedianFissure",
    name="ansoparamedian fissure",
)
ParcellationEntity.swanson_bm_anterior_amygdalar_area = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_anteriorAmygdalarArea",
    abbreviation="AAA",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_anteriorAmygdalarArea"
        }
    ],
    lookup_label="SwansonBM_anteriorAmygdalarArea",
    name="anterior amygdalar area",
)
ParcellationEntity.swanson_bm_anterior_cingulate_area = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_anteriorCingulateArea",
    abbreviation="ACA",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_anteriorCingulateArea"
        }
    ],
    lookup_label="SwansonBM_anteriorCingulateArea",
    name="anterior cingulate area",
)
ParcellationEntity.swanson_bm_anterior_cingulate_area_dorsal_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_anteriorCingulateAreaDorsalPart",
    abbreviation="ACAd",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_anteriorCingulateAreaDorsalPart"
        }
    ],
    lookup_label="SwansonBM_anteriorCingulateAreaDorsalPart",
    name="anterior cingulate area, dorsal part",
)
ParcellationEntity.swanson_bm_anterior_cingulate_area_ventral_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_anteriorCingulateAreaVentralPart",
    abbreviation="ACAv",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_anteriorCingulateAreaVentralPart"
        }
    ],
    lookup_label="SwansonBM_anteriorCingulateAreaVentralPart",
    name="anterior cingulate area, ventral part",
)
ParcellationEntity.swanson_bm_anterior_commissure_olfactory_limb = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_anteriorCommissureOlfactoryLimb",
    abbreviation="aco",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_anteriorCommissureOlfactoryLimb"
        }
    ],
    lookup_label="SwansonBM_anteriorCommissureOlfactoryLimb",
    name="anterior commissure, olfactory limb",
)
ParcellationEntity.swanson_bm_anterior_commissure_riolan = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_anteriorCommissureRiolan",
    abbreviation="ac",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_anteriorCommissureRiolan"
        }
    ],
    lookup_label="SwansonBM_anteriorCommissureRiolan",
    name="anterior commissure [Riolan]",
)
ParcellationEntity.swanson_bm_anterior_commissure_temporal_limb = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_anteriorCommissureTemporalLimb",
    abbreviation="act",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_anteriorCommissureTemporalLimb"
        }
    ],
    lookup_label="SwansonBM_anteriorCommissureTemporalLimb",
    name="anterior commissure, temporal limb",
)
ParcellationEntity.swanson_bm_anterior_hypothalamic_area = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_anteriorHypothalamicArea",
    abbreviation="AHA",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_anteriorHypothalamicArea"
        }
    ],
    lookup_label="SwansonBM_anteriorHypothalamicArea",
    name="anterior hypothalamic area",
)
ParcellationEntity.swanson_bm_anterior_hypothalamic_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_anteriorHypothalamicNucleus",
    abbreviation="AHN",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_anteriorHypothalamicNucleus"
        }
    ],
    lookup_label="SwansonBM_anteriorHypothalamicNucleus",
    name="anterior hypothalamic nucleus",
)
ParcellationEntity.swanson_bm_anterior_hypothalamic_nucleus_anterior_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_anteriorHypothalamicNucleusAnteriorPart",
    abbreviation="AHNa",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_anteriorHypothalamicNucleusAnteriorPart"
        }
    ],
    lookup_label="SwansonBM_anteriorHypothalamicNucleusAnteriorPart",
    name="anterior hypothalamic nucleus, anterior part",
)
ParcellationEntity.swanson_bm_anterior_hypothalamic_nucleus_central_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_anteriorHypothalamicNucleusCentralPart",
    abbreviation="AHNc",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_anteriorHypothalamicNucleusCentralPart"
        }
    ],
    lookup_label="SwansonBM_anteriorHypothalamicNucleusCentralPart",
    name="anterior hypothalamic nucleus, central part",
)
ParcellationEntity.swanson_bm_anterior_hypothalamic_nucleus_dorsal_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_anteriorHypothalamicNucleusDorsalPart",
    abbreviation="AHNd",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_anteriorHypothalamicNucleusDorsalPart"
        }
    ],
    lookup_label="SwansonBM_anteriorHypothalamicNucleusDorsalPart",
    name="anterior hypothalamic nucleus, dorsal part",
)
ParcellationEntity.swanson_bm_anterior_hypothalamic_nucleus_posterior_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_anteriorHypothalamicNucleusPosteriorPart",
    abbreviation="AHNp",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_anteriorHypothalamicNucleusPosteriorPart"
        }
    ],
    lookup_label="SwansonBM_anteriorHypothalamicNucleusPosteriorPart",
    name="anterior hypothalamic nucleus, posterior part",
)
ParcellationEntity.swanson_bm_anterior_laterolateral_visual_area = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_anteriorLaterolateralVisualArea",
    abbreviation="VISlla",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_anteriorLaterolateralVisualArea"
        }
    ],
    lookup_label="SwansonBM_anteriorLaterolateralVisualArea",
    name="anterior laterolateral visual area",
)
ParcellationEntity.swanson_bm_anterior_level_hypothalamus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_anteriorLevelHypothalamus",
    abbreviation="ANT",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_anteriorLevelHypothalamus"
        }
    ],
    lookup_label="SwansonBM_anteriorLevelHypothalamus",
    name="anterior level, hypothalamus",
)
ParcellationEntity.swanson_bm_anterior_lobe_cerebellum = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_anteriorLobeCerebellum",
    abbreviation="ALC",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_anteriorLobeCerebellum"
        }
    ],
    lookup_label="SwansonBM_anteriorLobeCerebellum",
    name="anterior lobe cerebellum",
)
ParcellationEntity.swanson_bm_anterior_nuclei_dorsal_thalamus_nissl = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_anteriorNucleiDorsalThalamusNissl",
    abbreviation="ATN",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_anteriorNucleiDorsalThalamusNissl"
        }
    ],
    lookup_label="SwansonBM_anteriorNucleiDorsalThalamusNissl",
    name="anterior nuclei, dorsal thalamus [Nissl]",
)
ParcellationEntity.swanson_bm_anterior_olfactory_nucleus_dorsal_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_anteriorOlfactoryNucleusDorsalPart",
    abbreviation="AONd",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_anteriorOlfactoryNucleusDorsalPart"
        }
    ],
    lookup_label="SwansonBM_anteriorOlfactoryNucleusDorsalPart",
    name="anterior olfactory nucleus, dorsal part",
)
ParcellationEntity.swanson_bm_anterior_olfactory_nucleus_dorsal_part_molecular_layer = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_anteriorOlfactoryNucleusDorsalPartMolecularLayer",
    abbreviation="AONd1",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_anteriorOlfactoryNucleusDorsalPartMolecularLayer"
        }
    ],
    lookup_label="SwansonBM_anteriorOlfactoryNucleusDorsalPartMolecularLayer",
    name="anterior olfactory nucleus, dorsal part, molecular layer",
)
ParcellationEntity.swanson_bm_anterior_olfactory_nucleus_dorsal_part_pyramidal_layer = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_anteriorOlfactoryNucleusDorsalPartPyramidalLayer",
    abbreviation="AONd2",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_anteriorOlfactoryNucleusDorsalPartPyramidalLayer"
        }
    ],
    lookup_label="SwansonBM_anteriorOlfactoryNucleusDorsalPartPyramidalLayer",
    name="anterior olfactory nucleus, dorsal part, pyramidal layer",
)
ParcellationEntity.swanson_bm_anterior_olfactory_nucleus_external_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_anteriorOlfactoryNucleusExternalPart",
    abbreviation="AONe",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_anteriorOlfactoryNucleusExternalPart"
        }
    ],
    lookup_label="SwansonBM_anteriorOlfactoryNucleusExternalPart",
    name="anterior olfactory nucleus, external part",
)
ParcellationEntity.swanson_bm_anterior_olfactory_nucleus_external_part_molecular_layer = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_anteriorOlfactoryNucleusExternalPartMolecularLayer",
    abbreviation="AONe1",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_anteriorOlfactoryNucleusExternalPartMolecularLayer"
        }
    ],
    lookup_label="SwansonBM_anteriorOlfactoryNucleusExternalPartMolecularLayer",
    name="anterior olfactory nucleus, external part, molecular layer",
)
ParcellationEntity.swanson_bm_anterior_olfactory_nucleus_external_part_pyramidal_layer = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_anteriorOlfactoryNucleusExternalPartPyramidalLayer",
    abbreviation="AONe2",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_anteriorOlfactoryNucleusExternalPartPyramidalLayer"
        }
    ],
    lookup_label="SwansonBM_anteriorOlfactoryNucleusExternalPartPyramidalLayer",
    name="anterior olfactory nucleus, external part, pyramidal layer",
)
ParcellationEntity.swanson_bm_anterior_olfactory_nucleus_kolliker = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_anteriorOlfactoryNucleusKolliker",
    abbreviation="AON",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_anteriorOlfactoryNucleusKolliker"
        }
    ],
    lookup_label="SwansonBM_anteriorOlfactoryNucleusKolliker",
    name="anterior olfactory nucleus [Kölliker]",
)
ParcellationEntity.swanson_bm_anterior_olfactory_nucleus_lateral_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_anteriorOlfactoryNucleusLateralPart",
    abbreviation="AONl",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_anteriorOlfactoryNucleusLateralPart"
        }
    ],
    lookup_label="SwansonBM_anteriorOlfactoryNucleusLateralPart",
    name="anterior olfactory nucleus, lateral part",
)
ParcellationEntity.swanson_bm_anterior_olfactory_nucleus_lateral_part_molecular_layer = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_anteriorOlfactoryNucleusLateralPartMolecularLayer",
    abbreviation="AONl1",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_anteriorOlfactoryNucleusLateralPartMolecularLayer"
        }
    ],
    lookup_label="SwansonBM_anteriorOlfactoryNucleusLateralPartMolecularLayer",
    name="anterior olfactory nucleus, lateral part, molecular layer",
)
ParcellationEntity.swanson_bm_anterior_olfactory_nucleus_lateral_part_pyramidal_layer = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_anteriorOlfactoryNucleusLateralPartPyramidalLayer",
    abbreviation="AONl2",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_anteriorOlfactoryNucleusLateralPartPyramidalLayer"
        }
    ],
    lookup_label="SwansonBM_anteriorOlfactoryNucleusLateralPartPyramidalLayer",
    name="anterior olfactory nucleus, lateral part, pyramidal layer",
)
ParcellationEntity.swanson_bm_anterior_olfactory_nucleus_medial_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_anteriorOlfactoryNucleusMedialPart",
    abbreviation="AONm",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_anteriorOlfactoryNucleusMedialPart"
        }
    ],
    lookup_label="SwansonBM_anteriorOlfactoryNucleusMedialPart",
    name="anterior olfactory nucleus, medial part",
)
ParcellationEntity.swanson_bm_anterior_olfactory_nucleus_medial_part_molecular_layer = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_anteriorOlfactoryNucleusMedialPartMolecularLayer",
    abbreviation="AONm1",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_anteriorOlfactoryNucleusMedialPartMolecularLayer"
        }
    ],
    lookup_label="SwansonBM_anteriorOlfactoryNucleusMedialPartMolecularLayer",
    name="anterior olfactory nucleus, medial part, molecular layer",
)
ParcellationEntity.swanson_bm_anterior_olfactory_nucleus_medial_part_pyramidal_layer = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_anteriorOlfactoryNucleusMedialPartPyramidalLayer",
    abbreviation="AONm2",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_anteriorOlfactoryNucleusMedialPartPyramidalLayer"
        }
    ],
    lookup_label="SwansonBM_anteriorOlfactoryNucleusMedialPartPyramidalLayer",
    name="anterior olfactory nucleus, medial part, pyramidal layer",
)
ParcellationEntity.swanson_bm_anterior_olfactory_nucleus_posteroventral_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_anteriorOlfactoryNucleusPosteroventralPart",
    abbreviation="AONpv",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_anteriorOlfactoryNucleusPosteroventralPart"
        }
    ],
    lookup_label="SwansonBM_anteriorOlfactoryNucleusPosteroventralPart",
    name="anterior olfactory nucleus, posteroventral part",
)
ParcellationEntity.swanson_bm_anterior_olfactory_nucleus_posteroventral_part_molecular_layer = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_anteriorOlfactoryNucleusPosteroventralPartMolecularLayer",
    abbreviation="AONpv1",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_anteriorOlfactoryNucleusPosteroventralPartMolecularLayer"
        }
    ],
    lookup_label="SwansonBM_anteriorOlfactoryNucleusPosteroventralPartMolecularLayer",
    name="anterior olfactory nucleus, posteroventral part, molecular layer",
)
ParcellationEntity.swanson_bm_anterior_olfactory_nucleus_posteroventral_part_pyramidal_layer = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_anteriorOlfactoryNucleusPosteroventralPartPyramidalLayer",
    abbreviation="AONpv2",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_anteriorOlfactoryNucleusPosteroventralPartPyramidalLayer"
        }
    ],
    lookup_label="SwansonBM_anteriorOlfactoryNucleusPosteroventralPartPyramidalLayer",
    name="anterior olfactory nucleus, posteroventral part, pyramidal layer",
)
ParcellationEntity.swanson_bm_anterior_pretectal_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_anteriorPretectalNucleus",
    abbreviation="APN",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_anteriorPretectalNucleus"
        }
    ],
    lookup_label="SwansonBM_anteriorPretectalNucleus",
    name="anterior pretectal nucleus",
)
ParcellationEntity.swanson_bm_anterior_tegmental_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_anteriorTegmentalNucleus",
    abbreviation="AT",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_anteriorTegmentalNucleus"
        }
    ],
    lookup_label="SwansonBM_anteriorTegmentalNucleus",
    name="anterior tegmental nucleus",
)
ParcellationEntity.swanson_bm_anterodorsal_nucleus_thalamus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_anterodorsalNucleusThalamus",
    abbreviation="AD",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_anterodorsalNucleusThalamus"
        }
    ],
    lookup_label="SwansonBM_anterodorsalNucleusThalamus",
    name="anterodorsal nucleus thalamus",
)
ParcellationEntity.swanson_bm_anterodorsal_preoptic_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_anterodorsalPreopticNucleus",
    abbreviation="ADP",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_anterodorsalPreopticNucleus"
        }
    ],
    lookup_label="SwansonBM_anterodorsalPreopticNucleus",
    name="anterodorsal preoptic nucleus",
)
ParcellationEntity.swanson_bm_anterolateral_visual_area = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_anterolateralVisualArea",
    abbreviation="VISal",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_anterolateralVisualArea"
        }
    ],
    lookup_label="SwansonBM_anterolateralVisualArea",
    name="anterolateral visual area",
)
ParcellationEntity.swanson_bm_anteromedial_nucleus_thalamus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_anteromedialNucleusThalamus",
    abbreviation="AM",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_anteromedialNucleusThalamus"
        }
    ],
    lookup_label="SwansonBM_anteromedialNucleusThalamus",
    name="anteromedial nucleus thalamus",
)
ParcellationEntity.swanson_bm_anteromedial_nucleus_thalamus_dorsal_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_anteromedialNucleusThalamusDorsalPart",
    abbreviation="AMd",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_anteromedialNucleusThalamusDorsalPart"
        }
    ],
    lookup_label="SwansonBM_anteromedialNucleusThalamusDorsalPart",
    name="anteromedial nucleus thalamus, dorsal part",
)
ParcellationEntity.swanson_bm_anteromedial_nucleus_thalamus_ventral_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_anteromedialNucleusThalamusVentralPart",
    abbreviation="AMv",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_anteromedialNucleusThalamusVentralPart"
        }
    ],
    lookup_label="SwansonBM_anteromedialNucleusThalamusVentralPart",
    name="anteromedial nucleus thalamus, ventral part",
)
ParcellationEntity.swanson_bm_anteromedial_visual_area = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_anteromedialVisualArea",
    abbreviation="VISam",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_anteromedialVisualArea"
        }
    ],
    lookup_label="SwansonBM_anteromedialVisualArea",
    name="anteromedial visual area",
)
ParcellationEntity.swanson_bm_anteroventral_nucleus_thalamus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_anteroventralNucleusThalamus",
    abbreviation="AV",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_anteroventralNucleusThalamus"
        }
    ],
    lookup_label="SwansonBM_anteroventralNucleusThalamus",
    name="anteroventral nucleus thalamus",
)
ParcellationEntity.swanson_bm_anteroventral_periventricular_nucleus_hypothalamus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_anteroventralPeriventricularNucleusHypothalamus",
    abbreviation="AVPV",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_anteroventralPeriventricularNucleusHypothalamus"
        }
    ],
    lookup_label="SwansonBM_anteroventralPeriventricularNucleusHypothalamus",
    name="anteroventral periventricular nucleus hypothalamus",
)
ParcellationEntity.swanson_bm_anteroventral_preoptic_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_anteroventralPreopticNucleus",
    abbreviation="AVP",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_anteroventralPreopticNucleus"
        }
    ],
    lookup_label="SwansonBM_anteroventralPreopticNucleus",
    name="anteroventral preoptic nucleus",
)
ParcellationEntity.swanson_bm_arachnoid = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_arachnoid",
    abbreviation="A",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_arachnoid"}
    ],
    lookup_label="SwansonBM_arachnoid",
    name="arachnoid",
)
ParcellationEntity.swanson_bm_arbor_vitae = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_arborVitae",
    abbreviation="arb",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_arborVitae"}
    ],
    lookup_label="SwansonBM_arborVitae",
    name="arbor vitae",
)
ParcellationEntity.swanson_bm_arcuate_hypothalamic_nucleus_clark = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_arcuateHypothalamicNucleusClark",
    abbreviation="ARH",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_arcuateHypothalamicNucleusClark"
        }
    ],
    lookup_label="SwansonBM_arcuateHypothalamicNucleusClark",
    name="arcuate hypothalamic nucleus [Clark]",
)
ParcellationEntity.swanson_bm_area_postrema = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_areaPostrema",
    abbreviation="AP",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_areaPostrema"}
    ],
    lookup_label="SwansonBM_areaPostrema",
    name="area postrema",
)
ParcellationEntity.swanson_bm_auditory_areas = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_auditoryAreas",
    abbreviation="AUD",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_auditoryAreas"}
    ],
    lookup_label="SwansonBM_auditoryAreas",
    name="auditory areas",
)
ParcellationEntity.swanson_bm_autonomic_ganglia = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_autonomicGanglia",
    abbreviation="GA",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_autonomicGanglia"}
    ],
    lookup_label="SwansonBM_autonomicGanglia",
    name="autonomic ganglia",
)
ParcellationEntity.swanson_bm_autonomic_nervous_system_langley = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_autonomicNervousSystemLangley",
    abbreviation="ANS",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_autonomicNervousSystemLangley"
        }
    ],
    lookup_label="SwansonBM_autonomicNervousSystemLangley",
    name="autonomic nervous system [Langley]",
)
ParcellationEntity.swanson_bm_basal_nucleus_of_the_dorsal_horn = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_basalNucleusOfTheDorsalHorn",
    abbreviation="BN",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_basalNucleusOfTheDorsalHorn"
        }
    ],
    lookup_label="SwansonBM_basalNucleusOfTheDorsalHorn",
    name="basal nucleus of the dorsal horn",
)
ParcellationEntity.swanson_bm_basal_nucleus_of_the_dorsal_horn_general = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_basalNucleusOfTheDorsalHornGeneral",
    abbreviation="BNg",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_basalNucleusOfTheDorsalHornGeneral"
        }
    ],
    lookup_label="SwansonBM_basalNucleusOfTheDorsalHornGeneral",
    name="basal nucleus of the dorsal horn, general",
)
ParcellationEntity.swanson_bm_basolateral_amygdalar_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_basolateralAmygdalarNucleus",
    abbreviation="BLA",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_basolateralAmygdalarNucleus"
        }
    ],
    lookup_label="SwansonBM_basolateralAmygdalarNucleus",
    name="basolateral amygdalar nucleus",
)
ParcellationEntity.swanson_bm_basolateral_amygdalar_nucleus_anterior_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_basolateralAmygdalarNucleusAnteriorPart",
    abbreviation="BLAa",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_basolateralAmygdalarNucleusAnteriorPart"
        }
    ],
    lookup_label="SwansonBM_basolateralAmygdalarNucleusAnteriorPart",
    name="basolateral amygdalar nucleus, anterior part",
)
ParcellationEntity.swanson_bm_basolateral_amygdalar_nucleus_posterior_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_basolateralAmygdalarNucleusPosteriorPart",
    abbreviation="BLAp",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_basolateralAmygdalarNucleusPosteriorPart"
        }
    ],
    lookup_label="SwansonBM_basolateralAmygdalarNucleusPosteriorPart",
    name="basolateral amygdalar nucleus, posterior part",
)
ParcellationEntity.swanson_bm_basomedial_amygdalar_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_basomedialAmygdalarNucleus",
    abbreviation="BMA",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_basomedialAmygdalarNucleus"
        }
    ],
    lookup_label="SwansonBM_basomedialAmygdalarNucleus",
    name="basomedial amygdalar nucleus",
)
ParcellationEntity.swanson_bm_basomedial_amygdalar_nucleus_anterior_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_basomedialAmygdalarNucleusAnteriorPart",
    abbreviation="BMAa",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_basomedialAmygdalarNucleusAnteriorPart"
        }
    ],
    lookup_label="SwansonBM_basomedialAmygdalarNucleusAnteriorPart",
    name="basomedial amygdalar nucleus, anterior part",
)
ParcellationEntity.swanson_bm_basomedial_amygdalar_nucleus_posterior_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_basomedialAmygdalarNucleusPosteriorPart",
    abbreviation="BMAp",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_basomedialAmygdalarNucleusPosteriorPart"
        }
    ],
    lookup_label="SwansonBM_basomedialAmygdalarNucleusPosteriorPart",
    name="basomedial amygdalar nucleus, posterior part",
)
ParcellationEntity.swanson_bm_bed_nuclei_stria_terminalis_anterior_division = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_bedNucleiStriaTerminalisAnteriorDivision",
    abbreviation="BSTa",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_bedNucleiStriaTerminalisAnteriorDivision"
        }
    ],
    lookup_label="SwansonBM_bedNucleiStriaTerminalisAnteriorDivision",
    name="bed nuclei stria terminalis, anterior division",
)
ParcellationEntity.swanson_bm_bed_nuclei_stria_terminalis_anterior_division_anterolateral_area = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_bedNucleiStriaTerminalisAnteriorDivisionAnterolateralArea",
    abbreviation="BSTal",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_bedNucleiStriaTerminalisAnteriorDivisionAnterolateralArea"
        }
    ],
    lookup_label="SwansonBM_bedNucleiStriaTerminalisAnteriorDivisionAnterolateralArea",
    name="bed nuclei stria terminalis, anterior division, anterolateral area",
)
ParcellationEntity.swanson_bm_bed_nuclei_stria_terminalis_anterior_division_anteromedial_area = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_bedNucleiStriaTerminalisAnteriorDivisionAnteromedialArea",
    abbreviation="BSTam",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_bedNucleiStriaTerminalisAnteriorDivisionAnteromedialArea"
        }
    ],
    lookup_label="SwansonBM_bedNucleiStriaTerminalisAnteriorDivisionAnteromedialArea",
    name="bed nuclei stria terminalis, anterior division, anteromedial area",
)
ParcellationEntity.swanson_bm_bed_nuclei_stria_terminalis_anterior_division_dorsomedial_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_bedNucleiStriaTerminalisAnteriorDivisionDorsomedialNucleus",
    abbreviation="BSTdm",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_bedNucleiStriaTerminalisAnteriorDivisionDorsomedialNucleus"
        }
    ],
    lookup_label="SwansonBM_bedNucleiStriaTerminalisAnteriorDivisionDorsomedialNucleus",
    name="bed nuclei stria terminalis, anterior division, dorsomedial nucleus",
)
ParcellationEntity.swanson_bm_bed_nuclei_stria_terminalis_anterior_division_fusiform_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_bedNucleiStriaTerminalisAnteriorDivisionFusiformNucleus",
    abbreviation="BSTfu",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_bedNucleiStriaTerminalisAnteriorDivisionFusiformNucleus"
        }
    ],
    lookup_label="SwansonBM_bedNucleiStriaTerminalisAnteriorDivisionFusiformNucleus",
    name="bed nuclei stria terminalis, anterior division, fusiform nucleus",
)
ParcellationEntity.swanson_bm_bed_nuclei_stria_terminalis_anterior_division_juxtacapsular_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_bedNucleiStriaTerminalisAnteriorDivisionJuxtacapsularNucleus",
    abbreviation="BSTju",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_bedNucleiStriaTerminalisAnteriorDivisionJuxtacapsularNucleus"
        }
    ],
    lookup_label="SwansonBM_bedNucleiStriaTerminalisAnteriorDivisionJuxtacapsularNucleus",
    name="bed nuclei stria terminalis, anterior division, juxtacapsular nucleus",
)
ParcellationEntity.swanson_bm_bed_nuclei_stria_terminalis_anterior_division_magnocellular_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_bedNucleiStriaTerminalisAnteriorDivisionMagnocellularNucleus",
    abbreviation="BSTmg",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_bedNucleiStriaTerminalisAnteriorDivisionMagnocellularNucleus"
        }
    ],
    lookup_label="SwansonBM_bedNucleiStriaTerminalisAnteriorDivisionMagnocellularNucleus",
    name="bed nuclei stria terminalis, anterior division, magnocellular nucleus",
)
ParcellationEntity.swanson_bm_bed_nuclei_stria_terminalis_anterior_division_oval_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_bedNucleiStriaTerminalisAnteriorDivisionOvalNucleus",
    abbreviation="BSTov",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_bedNucleiStriaTerminalisAnteriorDivisionOvalNucleus"
        }
    ],
    lookup_label="SwansonBM_bedNucleiStriaTerminalisAnteriorDivisionOvalNucleus",
    name="bed nuclei stria terminalis, anterior division, oval nucleus",
)
ParcellationEntity.swanson_bm_bed_nuclei_stria_terminalis_anterior_division_rhomboid_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_bedNucleiStriaTerminalisAnteriorDivisionRhomboidNucleus",
    abbreviation="BSTrh",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_bedNucleiStriaTerminalisAnteriorDivisionRhomboidNucleus"
        }
    ],
    lookup_label="SwansonBM_bedNucleiStriaTerminalisAnteriorDivisionRhomboidNucleus",
    name="bed nuclei stria terminalis, anterior division, rhomboid nucleus",
)
ParcellationEntity.swanson_bm_bed_nuclei_stria_terminalis_anterior_division_subcommissural_zone = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_bedNucleiStriaTerminalisAnteriorDivisionSubcommissuralZone",
    abbreviation="BSTsc",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_bedNucleiStriaTerminalisAnteriorDivisionSubcommissuralZone"
        }
    ],
    lookup_label="SwansonBM_bedNucleiStriaTerminalisAnteriorDivisionSubcommissuralZone",
    name="bed nuclei stria terminalis, anterior division, subcommissural zone",
)
ParcellationEntity.swanson_bm_bed_nuclei_stria_terminalis_anterior_division_ventral_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_bedNucleiStriaTerminalisAnteriorDivisionVentralNucleus",
    abbreviation="BSTv",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_bedNucleiStriaTerminalisAnteriorDivisionVentralNucleus"
        }
    ],
    lookup_label="SwansonBM_bedNucleiStriaTerminalisAnteriorDivisionVentralNucleus",
    name="bed nuclei stria terminalis, anterior division, ventral nucleus",
)
ParcellationEntity.swanson_bm_bed_nuclei_stria_terminalis_johnston = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_bedNucleiStriaTerminalisJohnston",
    abbreviation="BST",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_bedNucleiStriaTerminalisJohnston"
        }
    ],
    lookup_label="SwansonBM_bedNucleiStriaTerminalisJohnston",
    name="bed nuclei stria terminalis [Johnston]",
)
ParcellationEntity.swanson_bm_bed_nuclei_stria_terminalis_posterior_division = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_bedNucleiStriaTerminalisPosteriorDivision",
    abbreviation="BSTp",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_bedNucleiStriaTerminalisPosteriorDivision"
        }
    ],
    lookup_label="SwansonBM_bedNucleiStriaTerminalisPosteriorDivision",
    name="bed nuclei stria terminalis, posterior division",
)
ParcellationEntity.swanson_bm_bed_nuclei_stria_terminalis_posterior_division_cellsparse_zone = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_bedNucleiStriaTerminalisPosteriorDivisionCellsparseZone",
    abbreviation="BSTsz",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_bedNucleiStriaTerminalisPosteriorDivisionCellsparseZone"
        }
    ],
    lookup_label="SwansonBM_bedNucleiStriaTerminalisPosteriorDivisionCellsparseZone",
    name="bed nuclei stria terminalis, posterior division, cell-sparse zone",
)
ParcellationEntity.swanson_bm_bed_nuclei_stria_terminalis_posterior_division_dorsal_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_bedNucleiStriaTerminalisPosteriorDivisionDorsalNucleus",
    abbreviation="BSTd",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_bedNucleiStriaTerminalisPosteriorDivisionDorsalNucleus"
        }
    ],
    lookup_label="SwansonBM_bedNucleiStriaTerminalisPosteriorDivisionDorsalNucleus",
    name="bed nuclei stria terminalis, posterior division, dorsal nucleus",
)
ParcellationEntity.swanson_bm_bed_nuclei_stria_terminalis_posterior_division_interfascicular_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_bedNucleiStriaTerminalisPosteriorDivisionInterfascicularNucleus",
    abbreviation="BSTif",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_bedNucleiStriaTerminalisPosteriorDivisionInterfascicularNucleus"
        }
    ],
    lookup_label="SwansonBM_bedNucleiStriaTerminalisPosteriorDivisionInterfascicularNucleus",
    name="bed nuclei stria terminalis, posterior division, interfascicular nucleus",
)
ParcellationEntity.swanson_bm_bed_nuclei_stria_terminalis_posterior_division_premedullary_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_bedNucleiStriaTerminalisPosteriorDivisionPremedullaryNucleus",
    abbreviation="BSTpm",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_bedNucleiStriaTerminalisPosteriorDivisionPremedullaryNucleus"
        }
    ],
    lookup_label="SwansonBM_bedNucleiStriaTerminalisPosteriorDivisionPremedullaryNucleus",
    name="bed nuclei stria terminalis, posterior division, premedullary nucleus",
)
ParcellationEntity.swanson_bm_bed_nuclei_stria_terminalis_posterior_division_principal_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_bedNucleiStriaTerminalisPosteriorDivisionPrincipalNucleus",
    abbreviation="BSTpr",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_bedNucleiStriaTerminalisPosteriorDivisionPrincipalNucleus"
        }
    ],
    lookup_label="SwansonBM_bedNucleiStriaTerminalisPosteriorDivisionPrincipalNucleus",
    name="bed nuclei stria terminalis, posterior division, principal nucleus",
)
ParcellationEntity.swanson_bm_bed_nuclei_stria_terminalis_posterior_division_strial_extension = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_bedNucleiStriaTerminalisPosteriorDivisionStrialExtension",
    abbreviation="BSTse",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_bedNucleiStriaTerminalisPosteriorDivisionStrialExtension"
        }
    ],
    lookup_label="SwansonBM_bedNucleiStriaTerminalisPosteriorDivisionStrialExtension",
    name="bed nuclei stria terminalis, posterior division, strial extension",
)
ParcellationEntity.swanson_bm_bed_nuclei_stria_terminalis_posterior_division_transverse_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_bedNucleiStriaTerminalisPosteriorDivisionTransverseNucleus",
    abbreviation="BSTtr",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_bedNucleiStriaTerminalisPosteriorDivisionTransverseNucleus"
        }
    ],
    lookup_label="SwansonBM_bedNucleiStriaTerminalisPosteriorDivisionTransverseNucleus",
    name="bed nuclei stria terminalis, posterior division, transverse nucleus",
)
ParcellationEntity.swanson_bm_bed_nucleus_accessory_olfactory_tract = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_bedNucleusAccessoryOlfactoryTract",
    abbreviation="BA",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_bedNucleusAccessoryOlfactoryTract"
        }
    ],
    lookup_label="SwansonBM_bedNucleusAccessoryOlfactoryTract",
    name="bed nucleus accessory olfactory tract",
)
ParcellationEntity.swanson_bm_bed_nucleus_anterior_commissure_gurdjian = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_bedNucleusAnteriorCommissureGurdjian",
    abbreviation="BAC",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_bedNucleusAnteriorCommissureGurdjian"
        }
    ],
    lookup_label="SwansonBM_bedNucleusAnteriorCommissureGurdjian",
    name="bed nucleus anterior commissure [Gurdjian]",
)
ParcellationEntity.swanson_bm_bed_nucleus_of_the_stria_medullaris_cajal = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_bedNucleusOfTheStriaMedullarisCajal",
    abbreviation="BSM",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_bedNucleusOfTheStriaMedullarisCajal"
        }
    ],
    lookup_label="SwansonBM_bedNucleusOfTheStriaMedullarisCajal",
    name="bed nucleus of the stria medullaris [Cajal]",
)
ParcellationEntity.swanson_bm_behavior_control_column = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_behaviorControlColumn",
    abbreviation="BCC",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_behaviorControlColumn"
        }
    ],
    lookup_label="SwansonBM_behaviorControlColumn",
    name="behavior control column",
)
ParcellationEntity.swanson_bm_behavioral_state_system = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_behavioralStateSystem",
    abbreviation="STA",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_behavioralStateSystem"
        }
    ],
    lookup_label="SwansonBM_behavioralStateSystem",
    name="behavioral state system",
)
ParcellationEntity.swanson_bm_brachial_plexus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_brachialPlexus",
    abbreviation="bp",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_brachialPlexus"}
    ],
    lookup_label="SwansonBM_brachialPlexus",
    name="brachial plexus",
)
ParcellationEntity.swanson_bm_brachium_of_the_inferior_colliculus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_brachiumOfTheInferiorColliculus",
    abbreviation="bic",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_brachiumOfTheInferiorColliculus"
        }
    ],
    lookup_label="SwansonBM_brachiumOfTheInferiorColliculus",
    name="brachium of the inferior colliculus",
)
ParcellationEntity.swanson_bm_brachium_of_the_superior_colliculus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_brachiumOfTheSuperiorColliculus",
    abbreviation="bsc",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_brachiumOfTheSuperiorColliculus"
        }
    ],
    lookup_label="SwansonBM_brachiumOfTheSuperiorColliculus",
    name="brachium of the superior colliculus",
)
ParcellationEntity.swanson_bm_brain = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_brain",
    abbreviation="BR",
    has_versions=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_brain"}],
    lookup_label="SwansonBM_brain",
    name="brain",
)
ParcellationEntity.swanson_bm_brainstem = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_brainstem",
    abbreviation="BS",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_brainstem"}
    ],
    lookup_label="SwansonBM_brainstem",
    name="brainstem",
)
ParcellationEntity.swanson_bm_bulbocerebellar_tract = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_bulbocerebellarTract",
    abbreviation="bct",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_bulbocerebellarTract"
        }
    ],
    lookup_label="SwansonBM_bulbocerebellarTract",
    name="bulbocerebellar tract",
)
ParcellationEntity.swanson_bm_caudal_intracentral_fissure = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_caudalIntracentralFissure",
    abbreviation="icec",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_caudalIntracentralFissure"
        }
    ],
    lookup_label="SwansonBM_caudalIntracentralFissure",
    name="caudal intracentral fissure",
)
ParcellationEntity.swanson_bm_caudoputamen = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_caudoputamen",
    abbreviation="CP",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_caudoputamen"}
    ],
    lookup_label="SwansonBM_caudoputamen",
    name="caudoputamen",
)
ParcellationEntity.swanson_bm_celiac_ganglion = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_celiacGanglion",
    abbreviation="GCE",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_celiacGanglion"}
    ],
    lookup_label="SwansonBM_celiacGanglion",
    name="celiac ganglion",
)
ParcellationEntity.swanson_bm_central_amygdalar_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_centralAmygdalarNucleus",
    abbreviation="CEA",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_centralAmygdalarNucleus"
        }
    ],
    lookup_label="SwansonBM_centralAmygdalarNucleus",
    name="central amygdalar nucleus",
)
ParcellationEntity.swanson_bm_central_amygdalar_nucleus_capsular_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_centralAmygdalarNucleusCapsularPart",
    abbreviation="CEAc",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_centralAmygdalarNucleusCapsularPart"
        }
    ],
    lookup_label="SwansonBM_centralAmygdalarNucleusCapsularPart",
    name="central amygdalar nucleus, capsular part",
)
ParcellationEntity.swanson_bm_central_amygdalar_nucleus_lateral_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_centralAmygdalarNucleusLateralPart",
    abbreviation="CEAl",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_centralAmygdalarNucleusLateralPart"
        }
    ],
    lookup_label="SwansonBM_centralAmygdalarNucleusLateralPart",
    name="central amygdalar nucleus, lateral part",
)
ParcellationEntity.swanson_bm_central_amygdalar_nucleus_medial_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_centralAmygdalarNucleusMedialPart",
    abbreviation="CEAm",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_centralAmygdalarNucleusMedialPart"
        }
    ],
    lookup_label="SwansonBM_centralAmygdalarNucleusMedialPart",
    name="central amygdalar nucleus, medial part",
)
ParcellationEntity.swanson_bm_central_canal_spinal_cordmedulla = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_centralCanalSpinalCordmedulla",
    abbreviation="C",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_centralCanalSpinalCordmedulla"
        }
    ],
    lookup_label="SwansonBM_centralCanalSpinalCordmedulla",
    name="central canal, spinal cord/medulla",
)
ParcellationEntity.swanson_bm_central_cervical_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_centralCervicalNucleus",
    abbreviation="CEC",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_centralCervicalNucleus"
        }
    ],
    lookup_label="SwansonBM_centralCervicalNucleus",
    name="central cervical nucleus",
)
ParcellationEntity.swanson_bm_central_gray = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_centralGray",
    abbreviation="CG",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_centralGray"}
    ],
    lookup_label="SwansonBM_centralGray",
    name="central gray",
)
ParcellationEntity.swanson_bm_central_gray_brain = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_centralGrayBrain",
    abbreviation="CGB",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_centralGrayBrain"}
    ],
    lookup_label="SwansonBM_centralGrayBrain",
    name="central gray brain",
)
ParcellationEntity.swanson_bm_central_lateral_nucleus_thalamus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_centralLateralNucleusThalamus",
    abbreviation="CL",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_centralLateralNucleusThalamus"
        }
    ],
    lookup_label="SwansonBM_centralLateralNucleusThalamus",
    name="central lateral nucleus thalamus",
)
ParcellationEntity.swanson_bm_central_linear_nucleus_raphe = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_centralLinearNucleusRaphe",
    abbreviation="CLI",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_centralLinearNucleusRaphe"
        }
    ],
    lookup_label="SwansonBM_centralLinearNucleusRaphe",
    name="central linear nucleus raphé",
)
ParcellationEntity.swanson_bm_central_lobule = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_centralLobule",
    abbreviation="CENT",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_centralLobule"}
    ],
    lookup_label="SwansonBM_centralLobule",
    name="central lobule",
)
ParcellationEntity.swanson_bm_central_lobule_lobule_ii_sublobules_ab = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_centralLobuleLobuleIISublobulesAb",
    abbreviation="CENT2a,b",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_centralLobuleLobuleIISublobulesAb"
        }
    ],
    lookup_label="SwansonBM_centralLobuleLobuleIISublobulesAb",
    name="central lobule, lobule II, sublobules a,b",
)
ParcellationEntity.swanson_bm_central_lobule_lobule_iii_sublobules_ab = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_centralLobuleLobuleIIISublobulesAb",
    abbreviation="CENT3a,b",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_centralLobuleLobuleIIISublobulesAb"
        }
    ],
    lookup_label="SwansonBM_centralLobuleLobuleIIISublobulesAb",
    name="central lobule, lobule III, sublobules a,b",
)
ParcellationEntity.swanson_bm_central_medial_nucleus_thalamus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_centralMedialNucleusThalamus",
    abbreviation="CM",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_centralMedialNucleusThalamus"
        }
    ],
    lookup_label="SwansonBM_centralMedialNucleusThalamus",
    name="central medial nucleus thalamus",
)
ParcellationEntity.swanson_bm_central_nervous_system = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_centralNervousSystem",
    abbreviation="CNS",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_centralNervousSystem"
        }
    ],
    lookup_label="SwansonBM_centralNervousSystem",
    name="central nervous system",
)
ParcellationEntity.swanson_bm_central_nervous_system_gray_matter = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_centralNervousSystemGrayMatter",
    abbreviation="CNSg",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_centralNervousSystemGrayMatter"
        }
    ],
    lookup_label="SwansonBM_centralNervousSystemGrayMatter",
    name="central nervous system gray matter",
)
ParcellationEntity.swanson_bm_central_nervous_system_white_matter = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_centralNervousSystemWhiteMatter",
    abbreviation="cnsw",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_centralNervousSystemWhiteMatter"
        }
    ],
    lookup_label="SwansonBM_centralNervousSystemWhiteMatter",
    name="central nervous system white matter",
)
ParcellationEntity.swanson_bm_central_tegmental_bundle_bechterew = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_centralTegmentalBundleBechterew",
    abbreviation="ctb",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_centralTegmentalBundleBechterew"
        }
    ],
    lookup_label="SwansonBM_centralTegmentalBundleBechterew",
    name="central tegmental bundle [Bechterew]",
)
ParcellationEntity.swanson_bm_cerebellar_commissure = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_cerebellarCommissure",
    abbreviation="cbc",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_cerebellarCommissure"
        }
    ],
    lookup_label="SwansonBM_cerebellarCommissure",
    name="cerebellar commissure",
)
ParcellationEntity.swanson_bm_cerebellar_cortex = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_cerebellarCortex",
    abbreviation="CBX",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_cerebellarCortex"}
    ],
    lookup_label="SwansonBM_cerebellarCortex",
    name="cerebellar cortex",
)
ParcellationEntity.swanson_bm_cerebellar_cortex_granule_cell_layer_inner = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_cerebellarCortexGranuleCellLayerInner",
    abbreviation="CBXg",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_cerebellarCortexGranuleCellLayerInner"
        }
    ],
    lookup_label="SwansonBM_cerebellarCortexGranuleCellLayerInner",
    name="cerebellar cortex, granule cell layer (inner)",
)
ParcellationEntity.swanson_bm_cerebellar_cortex_grooves = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_cerebellarCortexGrooves",
    abbreviation="grvcb",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_cerebellarCortexGrooves"
        }
    ],
    lookup_label="SwansonBM_cerebellarCortexGrooves",
    name="cerebellar cortex grooves",
)
ParcellationEntity.swanson_bm_cerebellar_cortex_molecular_layer = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_cerebellarCortexMolecularLayer",
    abbreviation="CBXm",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_cerebellarCortexMolecularLayer"
        }
    ],
    lookup_label="SwansonBM_cerebellarCortexMolecularLayer",
    name="cerebellar cortex, molecular layer",
)
ParcellationEntity.swanson_bm_cerebellar_cortex_purkinje_layer = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_cerebellarCortexPurkinjeLayer",
    abbreviation="CBXp",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_cerebellarCortexPurkinjeLayer"
        }
    ],
    lookup_label="SwansonBM_cerebellarCortexPurkinjeLayer",
    name="cerebellar cortex, Purkinje layer",
)
ParcellationEntity.swanson_bm_cerebellar_nuclei = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_cerebellarNuclei",
    abbreviation="CBN",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_cerebellarNuclei"}
    ],
    lookup_label="SwansonBM_cerebellarNuclei",
    name="cerebellar nuclei",
)
ParcellationEntity.swanson_bm_cerebellar_peduncles = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_cerebellarPeduncles",
    abbreviation="cbp",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_cerebellarPeduncles"
        }
    ],
    lookup_label="SwansonBM_cerebellarPeduncles",
    name="cerebellar peduncles",
)
ParcellationEntity.swanson_bm_cerebellum_herophilus_erasistratus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_cerebellumHerophilusErasistratus",
    abbreviation="CB",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_cerebellumHerophilusErasistratus"
        }
    ],
    lookup_label="SwansonBM_cerebellumHerophilusErasistratus",
    name="cerebellum [Herophilus, Erasistratus]",
)
ParcellationEntity.swanson_bm_cerebellum_related_fiber_tracts = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_cerebellumRelatedFiberTracts",
    abbreviation="cbf",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_cerebellumRelatedFiberTracts"
        }
    ],
    lookup_label="SwansonBM_cerebellumRelatedFiberTracts",
    name="cerebellum related fiber tracts",
)
ParcellationEntity.swanson_bm_cerebral_aqueduct_collicular_recess = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_cerebralAqueductCollicularRecess",
    abbreviation="AQc",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_cerebralAqueductCollicularRecess"
        }
    ],
    lookup_label="SwansonBM_cerebralAqueductCollicularRecess",
    name="cerebral aqueduct, collicular recess",
)
ParcellationEntity.swanson_bm_cerebral_aqueduct_general = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_cerebralAqueductGeneral",
    abbreviation="AQg",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_cerebralAqueductGeneral"
        }
    ],
    lookup_label="SwansonBM_cerebralAqueductGeneral",
    name="cerebral aqueduct, general",
)
ParcellationEntity.swanson_bm_cerebral_aqueduct_proper_sylvius = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_cerebralAqueductProperSylvius",
    abbreviation="AQ",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_cerebralAqueductProperSylvius"
        }
    ],
    lookup_label="SwansonBM_cerebralAqueductProperSylvius",
    name="cerebral aqueduct proper [Sylvius]",
)
ParcellationEntity.swanson_bm_cerebral_cortex = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_cerebralCortex",
    abbreviation="CTX",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_cerebralCortex"}
    ],
    lookup_label="SwansonBM_cerebralCortex",
    name="cerebral cortex",
)
ParcellationEntity.swanson_bm_cerebral_cortex_cortical_plate = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_cerebralCortexCorticalPlate",
    abbreviation="CTXpl",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_cerebralCortexCorticalPlate"
        }
    ],
    lookup_label="SwansonBM_cerebralCortexCorticalPlate",
    name="cerebral cortex, cortical plate",
)
ParcellationEntity.swanson_bm_cerebral_cortex_grooves = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_cerebralCortexGrooves",
    abbreviation="grvc",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_cerebralCortexGrooves"
        }
    ],
    lookup_label="SwansonBM_cerebralCortexGrooves",
    name="cerebral cortex grooves",
)
ParcellationEntity.swanson_bm_cerebral_cortex_polymodal_association_cortex = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_cerebralCortexPolymodalAssociationCortex",
    abbreviation="CTXpm",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_cerebralCortexPolymodalAssociationCortex"
        }
    ],
    lookup_label="SwansonBM_cerebralCortexPolymodalAssociationCortex",
    name="cerebral cortex, polymodal association cortex",
)
ParcellationEntity.swanson_bm_cerebral_cortex_sensorymotor_cortex = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_cerebralCortexSensorymotorCortex",
    abbreviation="CTXsm",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_cerebralCortexSensorymotorCortex"
        }
    ],
    lookup_label="SwansonBM_cerebralCortexSensorymotorCortex",
    name="cerebral cortex, sensory-motor cortex",
)
ParcellationEntity.swanson_bm_cerebral_cortex_subplate_region = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_cerebralCortexSubplateRegion",
    abbreviation="CTXsp",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_cerebralCortexSubplateRegion"
        }
    ],
    lookup_label="SwansonBM_cerebralCortexSubplateRegion",
    name="cerebral cortex, subplate region",
)
ParcellationEntity.swanson_bm_cerebral_nuclei = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_cerebralNuclei",
    abbreviation="CNU",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_cerebralNuclei"}
    ],
    lookup_label="SwansonBM_cerebralNuclei",
    name="cerebral nuclei",
)
ParcellationEntity.swanson_bm_cerebral_peduncle = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_cerebralPeduncle",
    abbreviation="cpd",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_cerebralPeduncle"}
    ],
    lookup_label="SwansonBM_cerebralPeduncle",
    name="cerebral peduncle",
)
ParcellationEntity.swanson_bm_cerebrospinal_fluid = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_cerebrospinalFluid",
    abbreviation="CSF",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_cerebrospinalFluid"}
    ],
    lookup_label="SwansonBM_cerebrospinalFluid",
    name="cerebrospinal fluid",
)
ParcellationEntity.swanson_bm_cerebrospinal_trunk = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_cerebrospinalTrunk",
    abbreviation="TK",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_cerebrospinalTrunk"}
    ],
    lookup_label="SwansonBM_cerebrospinalTrunk",
    name="cerebrospinal trunk",
)
ParcellationEntity.swanson_bm_cerebrum_cerebral_hemispheres_endbrain_telencephalon = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_cerebrumCerebralHemispheresEndbrainTelencephalon",
    abbreviation="CH",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_cerebrumCerebralHemispheresEndbrainTelencephalon"
        }
    ],
    lookup_label="SwansonBM_cerebrumCerebralHemispheresEndbrainTelencephalon",
    name="cerebrum (cerebral hemispheres, endbrain, telencephalon)",
)
ParcellationEntity.swanson_bm_cervical_plexus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_cervicalPlexus",
    abbreviation="cep",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_cervicalPlexus"}
    ],
    lookup_label="SwansonBM_cervicalPlexus",
    name="cervical plexus",
)
ParcellationEntity.swanson_bm_cervical_spinal_ganglia18 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_cervicalSpinalGanglia18",
    abbreviation="G-C1-8",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_cervicalSpinalGanglia18"
        }
    ],
    lookup_label="SwansonBM_cervicalSpinalGanglia18",
    name="cervical spinal ganglia, 1-8",
)
ParcellationEntity.swanson_bm_cervicothalamic_tract = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_cervicothalamicTract",
    abbreviation="cett",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_cervicothalamicTract"
        }
    ],
    lookup_label="SwansonBM_cervicothalamicTract",
    name="cervicothalamic tract",
)
ParcellationEntity.swanson_bm_choroid_fissure = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_choroidFissure",
    abbreviation="chf",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_choroidFissure"}
    ],
    lookup_label="SwansonBM_choroidFissure",
    name="choroid fissure",
)
ParcellationEntity.swanson_bm_choroid_fissure_fourth_ventricle = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_choroidFissureFourthVentricle",
    abbreviation="chf4",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_choroidFissureFourthVentricle"
        }
    ],
    lookup_label="SwansonBM_choroidFissureFourthVentricle",
    name="choroid fissure, fourth ventricle",
)
ParcellationEntity.swanson_bm_choroid_fissure_lateral_ventricle = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_choroidFissureLateralVentricle",
    abbreviation="chfl",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_choroidFissureLateralVentricle"
        }
    ],
    lookup_label="SwansonBM_choroidFissureLateralVentricle",
    name="choroid fissure, lateral ventricle",
)
ParcellationEntity.swanson_bm_choroid_fissure_third_ventricle = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_choroidFissureThirdVentricle",
    abbreviation="chf3",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_choroidFissureThirdVentricle"
        }
    ],
    lookup_label="SwansonBM_choroidFissureThirdVentricle",
    name="choroid fissure, third ventricle",
)
ParcellationEntity.swanson_bm_choroid_plexus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_choroidPlexus",
    abbreviation="chp",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_choroidPlexus"}
    ],
    lookup_label="SwansonBM_choroidPlexus",
    name="choroid plexus",
)
ParcellationEntity.swanson_bm_choroid_plexus_fourth_ventricle = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_choroidPlexusFourthVentricle",
    abbreviation="chp4",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_choroidPlexusFourthVentricle"
        }
    ],
    lookup_label="SwansonBM_choroidPlexusFourthVentricle",
    name="choroid plexus, fourth ventricle",
)
ParcellationEntity.swanson_bm_choroid_plexus_lateral_ventricle = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_choroidPlexusLateralVentricle",
    abbreviation="chpl",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_choroidPlexusLateralVentricle"
        }
    ],
    lookup_label="SwansonBM_choroidPlexusLateralVentricle",
    name="choroid plexus, lateral ventricle",
)
ParcellationEntity.swanson_bm_choroid_plexus_third_ventricle = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_choroidPlexusThirdVentricle",
    abbreviation="chp3",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_choroidPlexusThirdVentricle"
        }
    ],
    lookup_label="SwansonBM_choroidPlexusThirdVentricle",
    name="choroid plexus, third ventricle",
)
ParcellationEntity.swanson_bm_choroidal_fissure_eye = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_choroidalFissureEye",
    abbreviation="cho",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_choroidalFissureEye"
        }
    ],
    lookup_label="SwansonBM_choroidalFissureEye",
    name="choroidal fissure (eye)",
)
ParcellationEntity.swanson_bm_ciliary_ganglion = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_ciliaryGanglion",
    abbreviation="GcIII",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_ciliaryGanglion"}
    ],
    lookup_label="SwansonBM_ciliaryGanglion",
    name="ciliary ganglion",
)
ParcellationEntity.swanson_bm_ciliary_nerve = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_ciliaryNerve",
    abbreviation="cin",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_ciliaryNerve"}
    ],
    lookup_label="SwansonBM_ciliaryNerve",
    name="ciliary nerve",
)
ParcellationEntity.swanson_bm_cingulate_region_burdach = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_cingulateRegionBurdach",
    abbreviation="CNG",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_cingulateRegionBurdach"
        }
    ],
    lookup_label="SwansonBM_cingulateRegionBurdach",
    name="cingulate region [Burdach]",
)
ParcellationEntity.swanson_bm_cingulum_bundle_reil = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_cingulumBundleReil",
    abbreviation="cing",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_cingulumBundleReil"}
    ],
    lookup_label="SwansonBM_cingulumBundleReil",
    name="cingulum bundle [Reil]",
)
ParcellationEntity.swanson_bm_claustrum_burdach = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_claustrumBurdach",
    abbreviation="CLA",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_claustrumBurdach"}
    ],
    lookup_label="SwansonBM_claustrumBurdach",
    name="claustrum [Burdach]",
)
ParcellationEntity.swanson_bm_coccygeal_spinal_ganglia13 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_coccygealSpinalGanglia13",
    abbreviation="G-Co1-3",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_coccygealSpinalGanglia13"
        }
    ],
    lookup_label="SwansonBM_coccygealSpinalGanglia13",
    name="coccygeal spinal ganglia, 1-3",
)
ParcellationEntity.swanson_bm_coccygeal_sympathetic_ganglion = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_coccygealSympatheticGanglion",
    abbreviation="Gs-C",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_coccygealSympatheticGanglion"
        }
    ],
    lookup_label="SwansonBM_coccygealSympatheticGanglion",
    name="coccygeal sympathetic ganglion",
)
ParcellationEntity.swanson_bm_cochlear_nerve = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_cochlearNerve",
    abbreviation="cVIIIn",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_cochlearNerve"}
    ],
    lookup_label="SwansonBM_cochlearNerve",
    name="cochlear nerve",
)
ParcellationEntity.swanson_bm_cochlear_nuclei = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_cochlearNuclei",
    abbreviation="CN",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_cochlearNuclei"}
    ],
    lookup_label="SwansonBM_cochlearNuclei",
    name="cochlear nuclei",
)
ParcellationEntity.swanson_bm_cochlear_nuclei_granular_lamina = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_cochlearNucleiGranularLamina",
    abbreviation="CNlam",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_cochlearNucleiGranularLamina"
        }
    ],
    lookup_label="SwansonBM_cochlearNucleiGranularLamina",
    name="cochlear nuclei, granular lamina",
)
ParcellationEntity.swanson_bm_cochlear_nuclei_subpeduncular_granular_region = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_cochlearNucleiSubpeduncularGranularRegion",
    abbreviation="CNspg",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_cochlearNucleiSubpeduncularGranularRegion"
        }
    ],
    lookup_label="SwansonBM_cochlearNucleiSubpeduncularGranularRegion",
    name="cochlear nuclei, subpeduncular granular region",
)
ParcellationEntity.swanson_bm_columns_of_the_fornix = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_columnsOfTheFornix",
    abbreviation="fx",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_columnsOfTheFornix"}
    ],
    lookup_label="SwansonBM_columnsOfTheFornix",
    name="columns of the fornix",
)
ParcellationEntity.swanson_bm_commissural_nucleus_periaqueductal_gray_paxinos_watson = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_commissuralNucleusPeriaqueductalGrayPaxinosWatson",
    abbreviation="COM",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_commissuralNucleusPeriaqueductalGrayPaxinosWatson"
        }
    ],
    lookup_label="SwansonBM_commissuralNucleusPeriaqueductalGrayPaxinosWatson",
    name="commissural nucleus, periaqueductal gray [Paxinos-Watson]",
)
ParcellationEntity.swanson_bm_copula_pyramidis_sublobules_ab = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_copulaPyramidisSublobulesAb",
    abbreviation="COPYa,b",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_copulaPyramidisSublobulesAb"
        }
    ],
    lookup_label="SwansonBM_copulaPyramidisSublobulesAb",
    name="copula pyramidis, sublobules a,b",
)
ParcellationEntity.swanson_bm_corpus_callosum_anterior_forceps_arnold = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_corpusCallosumAnteriorForcepsArnold",
    abbreviation="fa",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_corpusCallosumAnteriorForcepsArnold"
        }
    ],
    lookup_label="SwansonBM_corpusCallosumAnteriorForcepsArnold",
    name="corpus callosum, anterior forceps [Arnold]",
)
ParcellationEntity.swanson_bm_corpus_callosum_body = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_corpusCallosumBody",
    abbreviation="ccb",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_corpusCallosumBody"}
    ],
    lookup_label="SwansonBM_corpusCallosumBody",
    name="corpus callosum, body",
)
ParcellationEntity.swanson_bm_corpus_callosum_galen = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_corpusCallosumGalen",
    abbreviation="cc",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_corpusCallosumGalen"
        }
    ],
    lookup_label="SwansonBM_corpusCallosumGalen",
    name="corpus callosum [Galen]",
)
ParcellationEntity.swanson_bm_corpus_callosum_genu = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_corpusCallosumGenu",
    abbreviation="ccg",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_corpusCallosumGenu"}
    ],
    lookup_label="SwansonBM_corpusCallosumGenu",
    name="corpus callosum, genu",
)
ParcellationEntity.swanson_bm_corpus_callosum_posterior_forceps_arnold = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_corpusCallosumPosteriorForcepsArnold",
    abbreviation="fp",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_corpusCallosumPosteriorForcepsArnold"
        }
    ],
    lookup_label="SwansonBM_corpusCallosumPosteriorForcepsArnold",
    name="corpus callosum, posterior forceps [Arnold]",
)
ParcellationEntity.swanson_bm_corpus_callosum_rostrum = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_corpusCallosumRostrum",
    abbreviation="ccr",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_corpusCallosumRostrum"
        }
    ],
    lookup_label="SwansonBM_corpusCallosumRostrum",
    name="corpus callosum, rostrum",
)
ParcellationEntity.swanson_bm_corpus_callosum_splenium_burdach = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_corpusCallosumSpleniumBurdach",
    abbreviation="ccs",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_corpusCallosumSpleniumBurdach"
        }
    ],
    lookup_label="SwansonBM_corpusCallosumSpleniumBurdach",
    name="corpus callosum, splenium [Burdach]",
)
ParcellationEntity.swanson_bm_cortical_amygdalar_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_corticalAmygdalarNucleus",
    abbreviation="COA",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_corticalAmygdalarNucleus"
        }
    ],
    lookup_label="SwansonBM_corticalAmygdalarNucleus",
    name="cortical amygdalar nucleus",
)
ParcellationEntity.swanson_bm_cortical_amygdalar_nucleus_anterior_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_corticalAmygdalarNucleusAnteriorPart",
    abbreviation="COAa",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_corticalAmygdalarNucleusAnteriorPart"
        }
    ],
    lookup_label="SwansonBM_corticalAmygdalarNucleusAnteriorPart",
    name="cortical amygdalar nucleus, anterior part",
)
ParcellationEntity.swanson_bm_cortical_amygdalar_nucleus_posterior_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_corticalAmygdalarNucleusPosteriorPart",
    abbreviation="COAp",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_corticalAmygdalarNucleusPosteriorPart"
        }
    ],
    lookup_label="SwansonBM_corticalAmygdalarNucleusPosteriorPart",
    name="cortical amygdalar nucleus, posterior part",
)
ParcellationEntity.swanson_bm_cortical_amygdalar_nucleus_posterior_part_lateral_zone = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_corticalAmygdalarNucleusPosteriorPartLateralZone",
    abbreviation="COApl",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_corticalAmygdalarNucleusPosteriorPartLateralZone"
        }
    ],
    lookup_label="SwansonBM_corticalAmygdalarNucleusPosteriorPartLateralZone",
    name="cortical amygdalar nucleus, posterior part, lateral zone",
)
ParcellationEntity.swanson_bm_cortical_amygdalar_nucleus_posterior_part_medial_zone = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_corticalAmygdalarNucleusPosteriorPartMedialZone",
    abbreviation="COApm",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_corticalAmygdalarNucleusPosteriorPartMedialZone"
        }
    ],
    lookup_label="SwansonBM_corticalAmygdalarNucleusPosteriorPartMedialZone",
    name="cortical amygdalar nucleus, posterior part, medial zone",
)
ParcellationEntity.swanson_bm_corticobulbar_tract = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_corticobulbarTract",
    abbreviation="cbt",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_corticobulbarTract"}
    ],
    lookup_label="SwansonBM_corticobulbarTract",
    name="corticobulbar tract",
)
ParcellationEntity.swanson_bm_corticopontine_tract = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_corticopontineTract",
    abbreviation="cpt",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_corticopontineTract"
        }
    ],
    lookup_label="SwansonBM_corticopontineTract",
    name="corticopontine tract",
)
ParcellationEntity.swanson_bm_corticorubral_tract = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_corticorubralTract",
    abbreviation="crt",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_corticorubralTract"}
    ],
    lookup_label="SwansonBM_corticorubralTract",
    name="corticorubral tract",
)
ParcellationEntity.swanson_bm_corticospinal_tract = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_corticospinalTract",
    abbreviation="cst",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_corticospinalTract"}
    ],
    lookup_label="SwansonBM_corticospinalTract",
    name="corticospinal tract",
)
ParcellationEntity.swanson_bm_corticospinal_tract_uncrossed_burdach_turck = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_corticospinalTractUncrossedBurdachTurck",
    abbreviation="cstu",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_corticospinalTractUncrossedBurdachTurck"
        }
    ],
    lookup_label="SwansonBM_corticospinalTractUncrossedBurdachTurck",
    name="corticospinal tract, uncrossed [Burdach, Türck]",
)
ParcellationEntity.swanson_bm_corticotectal_tract = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_corticotectalTract",
    abbreviation="cte",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_corticotectalTract"}
    ],
    lookup_label="SwansonBM_corticotectalTract",
    name="corticotectal tract",
)
ParcellationEntity.swanson_bm_cranial_nerves = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_cranialNerves",
    abbreviation="cran",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_cranialNerves"}
    ],
    lookup_label="SwansonBM_cranialNerves",
    name="cranial nerves",
)
ParcellationEntity.swanson_bm_cranial_parasympathetic_ganglia = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_cranialParasympatheticGanglia",
    abbreviation="GPC",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_cranialParasympatheticGanglia"
        }
    ],
    lookup_label="SwansonBM_cranialParasympatheticGanglia",
    name="cranial parasympathetic ganglia",
)
ParcellationEntity.swanson_bm_cranial_plexuses = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_cranialPlexuses",
    abbreviation="plxc",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_cranialPlexuses"}
    ],
    lookup_label="SwansonBM_cranialPlexuses",
    name="cranial plexuses",
)
ParcellationEntity.swanson_bm_cranial_sensory_ganglia = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_cranialSensoryGanglia",
    abbreviation="GCR",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_cranialSensoryGanglia"
        }
    ],
    lookup_label="SwansonBM_cranialSensoryGanglia",
    name="cranial sensory ganglia",
)
ParcellationEntity.swanson_bm_crus1_fissures13 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_crus1Fissures13",
    abbreviation="cr1f1-3",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_crus1Fissures13"}
    ],
    lookup_label="SwansonBM_crus1Fissures13",
    name="crus 1, fissures 1-3",
)
ParcellationEntity.swanson_bm_crus2_fissure = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_crus2Fissure",
    abbreviation="cr2f",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_crus2Fissure"}
    ],
    lookup_label="SwansonBM_crus2Fissure",
    name="crus 2 fissure",
)
ParcellationEntity.swanson_bm_culmen = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_culmen",
    abbreviation="CUL",
    has_versions=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_culmen"}],
    lookup_label="SwansonBM_culmen",
    name="culmen",
)
ParcellationEntity.swanson_bm_culmen_lobules_ivv = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_culmenLobulesIVV",
    abbreviation="CUL4,5",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_culmenLobulesIVV"}
    ],
    lookup_label="SwansonBM_culmenLobulesIVV",
    name="culmen, lobules IV,V",
)
ParcellationEntity.swanson_bm_cuneate_fascicle_burdach = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_cuneateFascicleBurdach",
    abbreviation="cuf",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_cuneateFascicleBurdach"
        }
    ],
    lookup_label="SwansonBM_cuneateFascicleBurdach",
    name="cuneate fascicle [Burdach]",
)
ParcellationEntity.swanson_bm_cuneate_nucleus_burdach = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_cuneateNucleusBurdach",
    abbreviation="CU",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_cuneateNucleusBurdach"
        }
    ],
    lookup_label="SwansonBM_cuneateNucleusBurdach",
    name="cuneate nucleus [Burdach]",
)
ParcellationEntity.swanson_bm_cuneiform_nucleus_castaldi = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_cuneiformNucleusCastaldi",
    abbreviation="CUN",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_cuneiformNucleusCastaldi"
        }
    ],
    lookup_label="SwansonBM_cuneiformNucleusCastaldi",
    name="cuneiform nucleus [Castaldi]",
)
ParcellationEntity.swanson_bm_cuneocerebellar_tract = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_cuneocerebellarTract",
    abbreviation="cct",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_cuneocerebellarTract"
        }
    ],
    lookup_label="SwansonBM_cuneocerebellarTract",
    name="cuneocerebellar tract",
)
ParcellationEntity.swanson_bm_declival_fissure2 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_declivalFissure2",
    abbreviation="def2",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_declivalFissure2"}
    ],
    lookup_label="SwansonBM_declivalFissure2",
    name="declival fissure 2",
)
ParcellationEntity.swanson_bm_declive_vi_sublobules_ad = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_decliveVISublobulesAd",
    abbreviation="DECa-d",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_decliveVISublobulesAd"
        }
    ],
    lookup_label="SwansonBM_decliveVISublobulesAd",
    name="declive (VI), sublobules a-d",
)
ParcellationEntity.swanson_bm_decussation_of_the_trochlear_nerve = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_decussationOfTheTrochlearNerve",
    abbreviation="IVd",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_decussationOfTheTrochlearNerve"
        }
    ],
    lookup_label="SwansonBM_decussationOfTheTrochlearNerve",
    name="decussation of the trochlear nerve",
)
ParcellationEntity.swanson_bm_deep_cerebellar_nuclei = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_deepCerebellarNuclei",
    abbreviation="DNC",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_deepCerebellarNuclei"
        }
    ],
    lookup_label="SwansonBM_deepCerebellarNuclei",
    name="deep cerebellar nuclei",
)
ParcellationEntity.swanson_bm_dentate_gyrus_crest = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_dentateGyrusCrest",
    abbreviation="DGcr",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_dentateGyrusCrest"}
    ],
    lookup_label="SwansonBM_dentateGyrusCrest",
    name="dentate gyrus, crest",
)
ParcellationEntity.swanson_bm_dentate_gyrus_crestgranule_cell_layer = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_dentateGyrusCrestgranuleCellLayer",
    abbreviation="DGcr-sg",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_dentateGyrusCrestgranuleCellLayer"
        }
    ],
    lookup_label="SwansonBM_dentateGyrusCrestgranuleCellLayer",
    name="dentate gyrus, crest-granule cell layer",
)
ParcellationEntity.swanson_bm_dentate_gyrus_crestmolecular_layer = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_dentateGyrusCrestmolecularLayer",
    abbreviation="DGcr-mo",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_dentateGyrusCrestmolecularLayer"
        }
    ],
    lookup_label="SwansonBM_dentateGyrusCrestmolecularLayer",
    name="dentate gyrus, crest-molecular layer",
)
ParcellationEntity.swanson_bm_dentate_gyrus_crestpolymorph_layer = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_dentateGyrusCrestpolymorphLayer",
    abbreviation="DGcr-po",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_dentateGyrusCrestpolymorphLayer"
        }
    ],
    lookup_label="SwansonBM_dentateGyrusCrestpolymorphLayer",
    name="dentate gyrus, crest-polymorph layer",
)
ParcellationEntity.swanson_bm_dentate_gyrus_lateral_blade = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_dentateGyrusLateralBlade",
    abbreviation="DGlb",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_dentateGyrusLateralBlade"
        }
    ],
    lookup_label="SwansonBM_dentateGyrusLateralBlade",
    name="dentate gyrus, lateral blade",
)
ParcellationEntity.swanson_bm_dentate_gyrus_lateral_bladegranule_cell_layer = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_dentateGyrusLateralBladegranuleCellLayer",
    abbreviation="DGlb-sg",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_dentateGyrusLateralBladegranuleCellLayer"
        }
    ],
    lookup_label="SwansonBM_dentateGyrusLateralBladegranuleCellLayer",
    name="dentate gyrus, lateral blade-granule cell layer",
)
ParcellationEntity.swanson_bm_dentate_gyrus_lateral_blademolecular_layer = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_dentateGyrusLateralBlademolecularLayer",
    abbreviation="DGlb-mo",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_dentateGyrusLateralBlademolecularLayer"
        }
    ],
    lookup_label="SwansonBM_dentateGyrusLateralBlademolecularLayer",
    name="dentate gyrus, lateral blade-molecular layer",
)
ParcellationEntity.swanson_bm_dentate_gyrus_lateral_bladepolymorph_layer = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_dentateGyrusLateralBladepolymorphLayer",
    abbreviation="DGlb-po",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_dentateGyrusLateralBladepolymorphLayer"
        }
    ],
    lookup_label="SwansonBM_dentateGyrusLateralBladepolymorphLayer",
    name="dentate gyrus, lateral blade-polymorph layer",
)
ParcellationEntity.swanson_bm_dentate_gyrus_medial_blade = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_dentateGyrusMedialBlade",
    abbreviation="DGmb",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_dentateGyrusMedialBlade"
        }
    ],
    lookup_label="SwansonBM_dentateGyrusMedialBlade",
    name="dentate gyrus, medial blade",
)
ParcellationEntity.swanson_bm_dentate_gyrus_medial_bladegranule_cell_layer = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_dentateGyrusMedialBladegranuleCellLayer",
    abbreviation="DGmb-sg",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_dentateGyrusMedialBladegranuleCellLayer"
        }
    ],
    lookup_label="SwansonBM_dentateGyrusMedialBladegranuleCellLayer",
    name="dentate gyrus, medial blade-granule cell layer",
)
ParcellationEntity.swanson_bm_dentate_gyrus_medial_blademolecular_layer = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_dentateGyrusMedialBlademolecularLayer",
    abbreviation="DGmb-mo",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_dentateGyrusMedialBlademolecularLayer"
        }
    ],
    lookup_label="SwansonBM_dentateGyrusMedialBlademolecularLayer",
    name="dentate gyrus, medial blade-molecular layer",
)
ParcellationEntity.swanson_bm_dentate_gyrus_medial_bladepolymorph_layer = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_dentateGyrusMedialBladepolymorphLayer",
    abbreviation="DGmb-po",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_dentateGyrusMedialBladepolymorphLayer"
        }
    ],
    lookup_label="SwansonBM_dentateGyrusMedialBladepolymorphLayer",
    name="dentate gyrus, medial blade-polymorph layer",
)
ParcellationEntity.swanson_bm_dentate_gyrus_tarin = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_dentateGyrusTarin",
    abbreviation="DG",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_dentateGyrusTarin"}
    ],
    lookup_label="SwansonBM_dentateGyrusTarin",
    name="dentate gyrus [Tarin]",
)
ParcellationEntity.swanson_bm_dentate_nucleus_magnocellular_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_dentateNucleusMagnocellularPart",
    abbreviation="DNm",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_dentateNucleusMagnocellularPart"
        }
    ],
    lookup_label="SwansonBM_dentateNucleusMagnocellularPart",
    name="dentate nucleus, magnocellular part",
)
ParcellationEntity.swanson_bm_dentate_nucleus_parvicellular_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_dentateNucleusParvicellularPart",
    abbreviation="DNp",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_dentateNucleusParvicellularPart"
        }
    ],
    lookup_label="SwansonBM_dentateNucleusParvicellularPart",
    name="dentate nucleus, parvicellular part",
)
ParcellationEntity.swanson_bm_dentate_nucleus_vicq_d_azyr = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_dentateNucleusVicqDAzyr",
    abbreviation="DN",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_dentateNucleusVicqDAzyr"
        }
    ],
    lookup_label="SwansonBM_dentateNucleusVicqDAzyr",
    name="dentate nucleus [Vicq d’Azyr]",
)
ParcellationEntity.swanson_bm_diagonal_band_broca = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_diagonalBandBroca",
    abbreviation="db",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_diagonalBandBroca"}
    ],
    lookup_label="SwansonBM_diagonalBandBroca",
    name="diagonal band [Broca]",
)
ParcellationEntity.swanson_bm_diagonal_band_nucleus_broca = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_diagonalBandNucleusBroca",
    abbreviation="NDB",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_diagonalBandNucleusBroca"
        }
    ],
    lookup_label="SwansonBM_diagonalBandNucleusBroca",
    name="diagonal band nucleus [Broca]",
)
ParcellationEntity.swanson_bm_diencephalon = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_diencephalon",
    abbreviation="DI",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_diencephalon"}
    ],
    lookup_label="SwansonBM_diencephalon",
    name="diencephalon",
)
ParcellationEntity.swanson_bm_distal_glossopharyngeal_ganglion_andersch = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_distalGlossopharyngealGanglionAndersch",
    abbreviation="GdIX",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_distalGlossopharyngealGanglionAndersch"
        }
    ],
    lookup_label="SwansonBM_distalGlossopharyngealGanglionAndersch",
    name="distal glossopharyngeal ganglion [Andersch]",
)
ParcellationEntity.swanson_bm_distal_glossopharyngeovagal_placode = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_distalGlossopharyngeovagalPlacode",
    abbreviation="IX/Xpd",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_distalGlossopharyngeovagalPlacode"
        }
    ],
    lookup_label="SwansonBM_distalGlossopharyngeovagalPlacode",
    name="distal glossopharyngeovagal placode",
)
ParcellationEntity.swanson_bm_distal_vagal_ganglion = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_distalVagalGanglion",
    abbreviation="GdX",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_distalVagalGanglion"
        }
    ],
    lookup_label="SwansonBM_distalVagalGanglion",
    name="distal vagal ganglion",
)
ParcellationEntity.swanson_bm_dorsal_acoustic_stria_monakow = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_dorsalAcousticStriaMonakow",
    abbreviation="das",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_dorsalAcousticStriaMonakow"
        }
    ],
    lookup_label="SwansonBM_dorsalAcousticStriaMonakow",
    name="dorsal acoustic stria [Monakow]",
)
ParcellationEntity.swanson_bm_dorsal_auditory_areas = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_dorsalAuditoryAreas",
    abbreviation="AUDd",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_dorsalAuditoryAreas"
        }
    ],
    lookup_label="SwansonBM_dorsalAuditoryAreas",
    name="dorsal auditory areas",
)
ParcellationEntity.swanson_bm_dorsal_cochlear_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_dorsalCochlearNucleus",
    abbreviation="DCO",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_dorsalCochlearNucleus"
        }
    ],
    lookup_label="SwansonBM_dorsalCochlearNucleus",
    name="dorsal cochlear nucleus",
)
ParcellationEntity.swanson_bm_dorsal_column_nuclei = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_dorsalColumnNuclei",
    abbreviation="DCN",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_dorsalColumnNuclei"}
    ],
    lookup_label="SwansonBM_dorsalColumnNuclei",
    name="dorsal column nuclei",
)
ParcellationEntity.swanson_bm_dorsal_columns = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_dorsalColumns",
    abbreviation="dc",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_dorsalColumns"}
    ],
    lookup_label="SwansonBM_dorsalColumns",
    name="dorsal columns",
)
ParcellationEntity.swanson_bm_dorsal_commissural_nucleus_of_the_spinal_cord = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_dorsalCommissuralNucleusOfTheSpinalCord",
    abbreviation="DOC",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_dorsalCommissuralNucleusOfTheSpinalCord"
        }
    ],
    lookup_label="SwansonBM_dorsalCommissuralNucleusOfTheSpinalCord",
    name="dorsal commissural nucleus of the spinal cord",
)
ParcellationEntity.swanson_bm_dorsal_commissure_spinal_cord = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_dorsalCommissureSpinalCord",
    abbreviation="dcm",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_dorsalCommissureSpinalCord"
        }
    ],
    lookup_label="SwansonBM_dorsalCommissureSpinalCord",
    name="dorsal commissure, spinal cord",
)
ParcellationEntity.swanson_bm_dorsal_fornix = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_dorsalFornix",
    abbreviation="df",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_dorsalFornix"}
    ],
    lookup_label="SwansonBM_dorsalFornix",
    name="dorsal fornix",
)
ParcellationEntity.swanson_bm_dorsal_hippocampal_commissure = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_dorsalHippocampalCommissure",
    abbreviation="dhc",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_dorsalHippocampalCommissure"
        }
    ],
    lookup_label="SwansonBM_dorsalHippocampalCommissure",
    name="dorsal hippocampal commissure",
)
ParcellationEntity.swanson_bm_dorsal_horn_spinal_cord = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_dorsalHornSpinalCord",
    abbreviation="DH",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_dorsalHornSpinalCord"
        }
    ],
    lookup_label="SwansonBM_dorsalHornSpinalCord",
    name="dorsal horn, spinal cord",
)
ParcellationEntity.swanson_bm_dorsal_longitudinal_fascicle_schutz = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_dorsalLongitudinalFascicleSchutz",
    abbreviation="dlf",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_dorsalLongitudinalFascicleSchutz"
        }
    ],
    lookup_label="SwansonBM_dorsalLongitudinalFascicleSchutz",
    name="dorsal longitudinal fascicle [Schütz]",
)
ParcellationEntity.swanson_bm_dorsal_median_septum = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_dorsalMedianSeptum",
    abbreviation="dms",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_dorsalMedianSeptum"}
    ],
    lookup_label="SwansonBM_dorsalMedianSeptum",
    name="dorsal median septum",
)
ParcellationEntity.swanson_bm_dorsal_motor_nucleus_vagus_nerve = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_dorsalMotorNucleusVagusNerve",
    abbreviation="DMX",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_dorsalMotorNucleusVagusNerve"
        }
    ],
    lookup_label="SwansonBM_dorsalMotorNucleusVagusNerve",
    name="dorsal motor nucleus vagus nerve",
)
ParcellationEntity.swanson_bm_dorsal_nucleus_raphe = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_dorsalNucleusRaphe",
    abbreviation="DR",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_dorsalNucleusRaphe"}
    ],
    lookup_label="SwansonBM_dorsalNucleusRaphe",
    name="dorsal nucleus raphé",
)
ParcellationEntity.swanson_bm_dorsal_nucleus_spinal_cord_caudal_part_stilling = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_dorsalNucleusSpinalCordCaudalPartStilling",
    abbreviation="DSNc",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_dorsalNucleusSpinalCordCaudalPartStilling"
        }
    ],
    lookup_label="SwansonBM_dorsalNucleusSpinalCordCaudalPartStilling",
    name="dorsal nucleus spinal cord, caudal part [Stilling]",
)
ParcellationEntity.swanson_bm_dorsal_nucleus_spinal_cord_general = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_dorsalNucleusSpinalCordGeneral",
    abbreviation="DSNg",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_dorsalNucleusSpinalCordGeneral"
        }
    ],
    lookup_label="SwansonBM_dorsalNucleusSpinalCordGeneral",
    name="dorsal nucleus spinal cord, general",
)
ParcellationEntity.swanson_bm_dorsal_nucleus_spinal_cord_stilling_clarke = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_dorsalNucleusSpinalCordStillingClarke",
    abbreviation="DSN",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_dorsalNucleusSpinalCordStillingClarke"
        }
    ],
    lookup_label="SwansonBM_dorsalNucleusSpinalCordStillingClarke",
    name="dorsal nucleus spinal cord [Stilling, Clarke]",
)
ParcellationEntity.swanson_bm_dorsal_premammillary_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_dorsalPremammillaryNucleus",
    abbreviation="PMd",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_dorsalPremammillaryNucleus"
        }
    ],
    lookup_label="SwansonBM_dorsalPremammillaryNucleus",
    name="dorsal premammillary nucleus",
)
ParcellationEntity.swanson_bm_dorsal_propriohypothalamic_pathways = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_dorsalPropriohypothalamicPathways",
    abbreviation="phpd",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_dorsalPropriohypothalamicPathways"
        }
    ],
    lookup_label="SwansonBM_dorsalPropriohypothalamicPathways",
    name="dorsal propriohypothalamic pathways",
)
ParcellationEntity.swanson_bm_dorsal_roots_coiter = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_dorsalRootsCoiter",
    abbreviation="drt",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_dorsalRootsCoiter"}
    ],
    lookup_label="SwansonBM_dorsalRootsCoiter",
    name="dorsal roots [Coiter]",
)
ParcellationEntity.swanson_bm_dorsal_spinocerebellar_tract_flechsig = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_dorsalSpinocerebellarTractFlechsig",
    abbreviation="sctd",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_dorsalSpinocerebellarTractFlechsig"
        }
    ],
    lookup_label="SwansonBM_dorsalSpinocerebellarTractFlechsig",
    name="dorsal spinocerebellar tract [Flechsig]",
)
ParcellationEntity.swanson_bm_dorsal_tegmental_decussation_meynert = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_dorsalTegmentalDecussationMeynert",
    abbreviation="dtd",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_dorsalTegmentalDecussationMeynert"
        }
    ],
    lookup_label="SwansonBM_dorsalTegmentalDecussationMeynert",
    name="dorsal tegmental decussation [Meynert]",
)
ParcellationEntity.swanson_bm_dorsal_tegmental_nucleus_gudden = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_dorsalTegmentalNucleusGudden",
    abbreviation="DTN",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_dorsalTegmentalNucleusGudden"
        }
    ],
    lookup_label="SwansonBM_dorsalTegmentalNucleusGudden",
    name="dorsal tegmental nucleus [Gudden]",
)
ParcellationEntity.swanson_bm_dorsal_tegmental_tract_lindvall_bjorklund = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_dorsalTegmentalTractLindvallBjorklund",
    abbreviation="dtt",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_dorsalTegmentalTractLindvallBjorklund"
        }
    ],
    lookup_label="SwansonBM_dorsalTegmentalTractLindvallBjorklund",
    name="dorsal tegmental tract [Lindvall-Björklund]",
)
ParcellationEntity.swanson_bm_dorsal_terminal_nucleus_accessory_optic_tract = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_dorsalTerminalNucleusAccessoryOpticTract",
    abbreviation="DT",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_dorsalTerminalNucleusAccessoryOpticTract"
        }
    ],
    lookup_label="SwansonBM_dorsalTerminalNucleusAccessoryOpticTract",
    name="dorsal terminal nucleus accessory optic tract",
)
ParcellationEntity.swanson_bm_dorsal_thalamus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_dorsalThalamus",
    abbreviation="DOR",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_dorsalThalamus"}
    ],
    lookup_label="SwansonBM_dorsalThalamus",
    name="dorsal thalamus",
)
ParcellationEntity.swanson_bm_dorsal_thalamus_polymodal_association_cortex_relate = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_dorsalThalamusPolymodalAssociationCortexRelate",
    abbreviation="DORpm",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_dorsalThalamusPolymodalAssociationCortexRelate"
        }
    ],
    lookup_label="SwansonBM_dorsalThalamusPolymodalAssociationCortexRelate",
    name="dorsal thalamus, polymodal association cortex relate",
)
ParcellationEntity.swanson_bm_dorsal_thalamus_sensorymotor_cortex_related = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_dorsalThalamusSensorymotorCortexRelated",
    abbreviation="DORsm",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_dorsalThalamusSensorymotorCortexRelated"
        }
    ],
    lookup_label="SwansonBM_dorsalThalamusSensorymotorCortexRelated",
    name="dorsal thalamus, sensory-motor cortex related",
)
ParcellationEntity.swanson_bm_dorsolateral_fascicle_lissauer = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_dorsolateralFascicleLissauer",
    abbreviation="dl",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_dorsolateralFascicleLissauer"
        }
    ],
    lookup_label="SwansonBM_dorsolateralFascicleLissauer",
    name="dorsolateral fascicle [Lissauer]",
)
ParcellationEntity.swanson_bm_dorsomedial_hypothalamic_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_dorsomedialHypothalamicNucleus",
    abbreviation="DMH",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_dorsomedialHypothalamicNucleus"
        }
    ],
    lookup_label="SwansonBM_dorsomedialHypothalamicNucleus",
    name="dorsomedial hypothalamic nucleus",
)
ParcellationEntity.swanson_bm_dorsomedial_hypothalamic_nucleus_anterior_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_dorsomedialHypothalamicNucleusAnteriorPart",
    abbreviation="DMHa",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_dorsomedialHypothalamicNucleusAnteriorPart"
        }
    ],
    lookup_label="SwansonBM_dorsomedialHypothalamicNucleusAnteriorPart",
    name="dorsomedial hypothalamic nucleus, anterior part",
)
ParcellationEntity.swanson_bm_dorsomedial_hypothalamic_nucleus_posterior_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_dorsomedialHypothalamicNucleusPosteriorPart",
    abbreviation="DMHp",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_dorsomedialHypothalamicNucleusPosteriorPart"
        }
    ],
    lookup_label="SwansonBM_dorsomedialHypothalamicNucleusPosteriorPart",
    name="dorsomedial hypothalamic nucleus, posterior part",
)
ParcellationEntity.swanson_bm_dorsomedial_hypothalamic_nucleus_ventral_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_dorsomedialHypothalamicNucleusVentralPart",
    abbreviation="DMHv",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_dorsomedialHypothalamicNucleusVentralPart"
        }
    ],
    lookup_label="SwansonBM_dorsomedialHypothalamicNucleusVentralPart",
    name="dorsomedial hypothalamic nucleus, ventral part",
)
ParcellationEntity.swanson_bm_dura = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_dura",
    abbreviation="D",
    has_versions=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_dura"}],
    lookup_label="SwansonBM_dura",
    name="dura",
)
ParcellationEntity.swanson_bm_ectorhinal_area = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_ectorhinalArea",
    abbreviation="ECT",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_ectorhinalArea"}
    ],
    lookup_label="SwansonBM_ectorhinalArea",
    name="ectorhinal area",
)
ParcellationEntity.swanson_bm_efferent_cochlear_group = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_efferentCochlearGroup",
    abbreviation="ECO",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_efferentCochlearGroup"
        }
    ],
    lookup_label="SwansonBM_efferentCochlearGroup",
    name="efferent cochlear group",
)
ParcellationEntity.swanson_bm_efferent_cochleovestibular_bundle = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_efferentCochleovestibularBundle",
    abbreviation="cvb",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_efferentCochleovestibularBundle"
        }
    ],
    lookup_label="SwansonBM_efferentCochleovestibularBundle",
    name="efferent cochleovestibular bundle",
)
ParcellationEntity.swanson_bm_efferent_vestibular_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_efferentVestibularNucleus",
    abbreviation="EV",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_efferentVestibularNucleus"
        }
    ],
    lookup_label="SwansonBM_efferentVestibularNucleus",
    name="efferent vestibular nucleus",
)
ParcellationEntity.swanson_bm_endopiriform_nucleus_dorsal_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_endopiriformNucleusDorsalPart",
    abbreviation="EPd",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_endopiriformNucleusDorsalPart"
        }
    ],
    lookup_label="SwansonBM_endopiriformNucleusDorsalPart",
    name="endopiriform nucleus, dorsal part",
)
ParcellationEntity.swanson_bm_endopiriform_nucleus_loo = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_endopiriformNucleusLoo",
    abbreviation="EP",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_endopiriformNucleusLoo"
        }
    ],
    lookup_label="SwansonBM_endopiriformNucleusLoo",
    name="endopiriform nucleus [Loo]",
)
ParcellationEntity.swanson_bm_endopiriform_nucleus_ventral_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_endopiriformNucleusVentralPart",
    abbreviation="EPv",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_endopiriformNucleusVentralPart"
        }
    ],
    lookup_label="SwansonBM_endopiriformNucleusVentralPart",
    name="endopiriform nucleus, ventral part",
)
ParcellationEntity.swanson_bm_endorhinal_groove = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_endorhinalGroove",
    abbreviation="eg",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_endorhinalGroove"}
    ],
    lookup_label="SwansonBM_endorhinalGroove",
    name="endorhinal groove",
)
ParcellationEntity.swanson_bm_enteric_nervous_system_langley = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_entericNervousSystemLangley",
    abbreviation="ENS",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_entericNervousSystemLangley"
        }
    ],
    lookup_label="SwansonBM_entericNervousSystemLangley",
    name="enteric nervous system [Langley]",
)
ParcellationEntity.swanson_bm_entorhinal_area = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_entorhinalArea",
    abbreviation="ENT",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_entorhinalArea"}
    ],
    lookup_label="SwansonBM_entorhinalArea",
    name="entorhinal area",
)
ParcellationEntity.swanson_bm_entorhinal_area_lateral_part_layers16 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_entorhinalAreaLateralPartLayers16",
    abbreviation="ENTl1-6",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_entorhinalAreaLateralPartLayers16"
        }
    ],
    lookup_label="SwansonBM_entorhinalAreaLateralPartLayers16",
    name="entorhinal area, lateral part, layers 1-6",
)
ParcellationEntity.swanson_bm_entorhinal_area_medial_part_dorsal_zone_layers16 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_entorhinalAreaMedialPartDorsalZoneLayers16",
    abbreviation="ENTm1-6",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_entorhinalAreaMedialPartDorsalZoneLayers16"
        }
    ],
    lookup_label="SwansonBM_entorhinalAreaMedialPartDorsalZoneLayers16",
    name="entorhinal area, medial part, dorsal zone, layers 1-6",
)
ParcellationEntity.swanson_bm_entorhinal_area_medial_part_ventral_zone_haug = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_entorhinalAreaMedialPartVentralZoneHaug",
    abbreviation="ENTmv",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_entorhinalAreaMedialPartVentralZoneHaug"
        }
    ],
    lookup_label="SwansonBM_entorhinalAreaMedialPartVentralZoneHaug",
    name="entorhinal area, medial part, ventral zone [Haug]",
)
ParcellationEntity.swanson_bm_epithalamus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_epithalamus",
    abbreviation="EPI",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_epithalamus"}
    ],
    lookup_label="SwansonBM_epithalamus",
    name="epithalamus",
)
ParcellationEntity.swanson_bm_external_capsule_burdach = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_externalCapsuleBurdach",
    abbreviation="ec",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_externalCapsuleBurdach"
        }
    ],
    lookup_label="SwansonBM_externalCapsuleBurdach",
    name="external capsule [Burdach]",
)
ParcellationEntity.swanson_bm_external_cuneate_nucleus_monakow_blumenau = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_externalCuneateNucleusMonakowBlumenau",
    abbreviation="ECU",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_externalCuneateNucleusMonakowBlumenau"
        }
    ],
    lookup_label="SwansonBM_externalCuneateNucleusMonakowBlumenau",
    name="external cuneate nucleus [Monakow, Blumenau]",
)
ParcellationEntity.swanson_bm_external_medullary_lamina_thalamus_burdach = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_externalMedullaryLaminaThalamusBurdach",
    abbreviation="em",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_externalMedullaryLaminaThalamusBurdach"
        }
    ],
    lookup_label="SwansonBM_externalMedullaryLaminaThalamusBurdach",
    name="external medullary lamina thalamus [Burdach]",
)
ParcellationEntity.swanson_bm_extrapyramidal_fiber_systems = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_extrapyramidalFiberSystems",
    abbreviation="eps",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_extrapyramidalFiberSystems"
        }
    ],
    lookup_label="SwansonBM_extrapyramidalFiberSystems",
    name="extrapyramidal fiber systems",
)
ParcellationEntity.swanson_bm_extrapyramidal_fiber_systems_cerebral_nuclei_related = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_extrapyramidalFiberSystemsCerebralNucleiRelated",
    abbreviation="epsc",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_extrapyramidalFiberSystemsCerebralNucleiRelated"
        }
    ],
    lookup_label="SwansonBM_extrapyramidalFiberSystemsCerebralNucleiRelated",
    name="extrapyramidal fiber systems, cerebral nuclei related",
)
ParcellationEntity.swanson_bm_extreme_capsule = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_extremeCapsule",
    abbreviation="ee",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_extremeCapsule"}
    ],
    lookup_label="SwansonBM_extremeCapsule",
    name="extreme capsule",
)
ParcellationEntity.swanson_bm_facial_nerve = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_facialNerve",
    abbreviation="VIIn",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_facialNerve"}
    ],
    lookup_label="SwansonBM_facialNerve",
    name="facial nerve",
)
ParcellationEntity.swanson_bm_facial_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_facialNucleus",
    abbreviation="VII",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_facialNucleus"}
    ],
    lookup_label="SwansonBM_facialNucleus",
    name="facial nucleus",
)
ParcellationEntity.swanson_bm_fasciculus_proprius = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_fasciculusProprius",
    abbreviation="fpr",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_fasciculusProprius"}
    ],
    lookup_label="SwansonBM_fasciculusProprius",
    name="fasciculus proprius",
)
ParcellationEntity.swanson_bm_fasciculus_retroflexus_meynert = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_fasciculusRetroflexusMeynert",
    abbreviation="fr",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_fasciculusRetroflexusMeynert"
        }
    ],
    lookup_label="SwansonBM_fasciculusRetroflexusMeynert",
    name="fasciculus retroflexus [Meynert]",
)
ParcellationEntity.swanson_bm_fasciola_cinerea_reil_arnold = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_fasciolaCinereaReilArnold",
    abbreviation="FC",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_fasciolaCinereaReilArnold"
        }
    ],
    lookup_label="SwansonBM_fasciolaCinereaReilArnold",
    name="fasciola cinerea [Reil, Arnold]",
)
ParcellationEntity.swanson_bm_fastigial_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_fastigialNucleus",
    abbreviation="FN",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_fastigialNucleus"}
    ],
    lookup_label="SwansonBM_fastigialNucleus",
    name="fastigial nucleus",
)
ParcellationEntity.swanson_bm_field_ca1_ammons_horn_lorente_de_no = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_fieldCA1AmmonsHornLorenteDeNo",
    abbreviation="CA1",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_fieldCA1AmmonsHornLorenteDeNo"
        }
    ],
    lookup_label="SwansonBM_fieldCA1AmmonsHornLorenteDeNo",
    name="field CA1, Ammon’s horn [Lorente de Nó]",
)
ParcellationEntity.swanson_bm_field_ca1_pyramidal_layer = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_fieldCA1PyramidalLayer",
    abbreviation="CA1sp",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_fieldCA1PyramidalLayer"
        }
    ],
    lookup_label="SwansonBM_fieldCA1PyramidalLayer",
    name="field CA1, pyramidal layer",
)
ParcellationEntity.swanson_bm_field_ca1_pyramidal_layer_deep = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_fieldCA1PyramidalLayerDeep",
    abbreviation="CA1spd",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_fieldCA1PyramidalLayerDeep"
        }
    ],
    lookup_label="SwansonBM_fieldCA1PyramidalLayerDeep",
    name="field CA1, pyramidal layer, deep",
)
ParcellationEntity.swanson_bm_field_ca1_pyramidal_layer_superficial = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_fieldCA1PyramidalLayerSuperficial",
    abbreviation="CA1sps",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_fieldCA1PyramidalLayerSuperficial"
        }
    ],
    lookup_label="SwansonBM_fieldCA1PyramidalLayerSuperficial",
    name="field CA1, pyramidal layer, superficial",
)
ParcellationEntity.swanson_bm_field_ca1_stratum_lacunosummoleculare_meynert = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_fieldCA1StratumLacunosummoleculareMeynert",
    abbreviation="CA1slm",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_fieldCA1StratumLacunosummoleculareMeynert"
        }
    ],
    lookup_label="SwansonBM_fieldCA1StratumLacunosummoleculareMeynert",
    name="field CA1, stratum lacunosum-moleculare [Meynert]",
)
ParcellationEntity.swanson_bm_field_ca1_stratum_oriens_sala = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_fieldCA1StratumOriensSala",
    abbreviation="CA1so",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_fieldCA1StratumOriensSala"
        }
    ],
    lookup_label="SwansonBM_fieldCA1StratumOriensSala",
    name="field CA1, stratum oriens [Sala]",
)
ParcellationEntity.swanson_bm_field_ca1_stratum_radiatum_meynert = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_fieldCA1StratumRadiatumMeynert",
    abbreviation="CA1sr",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_fieldCA1StratumRadiatumMeynert"
        }
    ],
    lookup_label="SwansonBM_fieldCA1StratumRadiatumMeynert",
    name="field CA1, stratum radiatum [Meynert]",
)
ParcellationEntity.swanson_bm_field_ca2_ammons_horn_lorente_de_no = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_fieldCA2AmmonsHornLorenteDeNo",
    abbreviation="CA2",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_fieldCA2AmmonsHornLorenteDeNo"
        }
    ],
    lookup_label="SwansonBM_fieldCA2AmmonsHornLorenteDeNo",
    name="field CA2, Ammon’s horn [Lorente de Nó]",
)
ParcellationEntity.swanson_bm_field_ca2_pyramidal_layer = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_fieldCA2PyramidalLayer",
    abbreviation="CA2sp",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_fieldCA2PyramidalLayer"
        }
    ],
    lookup_label="SwansonBM_fieldCA2PyramidalLayer",
    name="field CA2, pyramidal layer",
)
ParcellationEntity.swanson_bm_field_ca2_stratum_lacunosummoleculare = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_fieldCA2StratumLacunosummoleculare",
    abbreviation="CA2slm",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_fieldCA2StratumLacunosummoleculare"
        }
    ],
    lookup_label="SwansonBM_fieldCA2StratumLacunosummoleculare",
    name="field CA2, stratum lacunosum-moleculare",
)
ParcellationEntity.swanson_bm_field_ca2_stratum_oriens = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_fieldCA2StratumOriens",
    abbreviation="CA2so",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_fieldCA2StratumOriens"
        }
    ],
    lookup_label="SwansonBM_fieldCA2StratumOriens",
    name="field CA2, stratum oriens",
)
ParcellationEntity.swanson_bm_field_ca2_stratum_radiatum = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_fieldCA2StratumRadiatum",
    abbreviation="CA2sr",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_fieldCA2StratumRadiatum"
        }
    ],
    lookup_label="SwansonBM_fieldCA2StratumRadiatum",
    name="field CA2, stratum radiatum",
)
ParcellationEntity.swanson_bm_field_ca3_ammons_horn_lorente_de_no = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_fieldCA3AmmonsHornLorenteDeNo",
    abbreviation="CA3",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_fieldCA3AmmonsHornLorenteDeNo"
        }
    ],
    lookup_label="SwansonBM_fieldCA3AmmonsHornLorenteDeNo",
    name="field CA3, Ammon’s horn [Lorente de Nó]",
)
ParcellationEntity.swanson_bm_field_ca3_pyramidal_layer = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_fieldCA3PyramidalLayer",
    abbreviation="CA3sp",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_fieldCA3PyramidalLayer"
        }
    ],
    lookup_label="SwansonBM_fieldCA3PyramidalLayer",
    name="field CA3, pyramidal layer",
)
ParcellationEntity.swanson_bm_field_ca3_stratum_lacunosummoleculare = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_fieldCA3StratumLacunosummoleculare",
    abbreviation="CA3slm",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_fieldCA3StratumLacunosummoleculare"
        }
    ],
    lookup_label="SwansonBM_fieldCA3StratumLacunosummoleculare",
    name="field CA3, stratum lacunosum-moleculare",
)
ParcellationEntity.swanson_bm_field_ca3_stratum_lucidum_honegger = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_fieldCA3StratumLucidumHonegger",
    abbreviation="CA3slu",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_fieldCA3StratumLucidumHonegger"
        }
    ],
    lookup_label="SwansonBM_fieldCA3StratumLucidumHonegger",
    name="field CA3, stratum lucidum [Honegger]",
)
ParcellationEntity.swanson_bm_field_ca3_stratum_oriens = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_fieldCA3StratumOriens",
    abbreviation="CA3so",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_fieldCA3StratumOriens"
        }
    ],
    lookup_label="SwansonBM_fieldCA3StratumOriens",
    name="field CA3, stratum oriens",
)
ParcellationEntity.swanson_bm_field_ca3_stratum_radiatum = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_fieldCA3StratumRadiatum",
    abbreviation="CA3sr",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_fieldCA3StratumRadiatum"
        }
    ],
    lookup_label="SwansonBM_fieldCA3StratumRadiatum",
    name="field CA3, stratum radiatum",
)
ParcellationEntity.swanson_bm_fields_of_forel = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_fieldsOfForel",
    abbreviation="FF",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_fieldsOfForel"}
    ],
    lookup_label="SwansonBM_fieldsOfForel",
    name="fields of Forel",
)
ParcellationEntity.swanson_bm_filum_terminale = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_filumTerminale",
    abbreviation="ft",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_filumTerminale"}
    ],
    lookup_label="SwansonBM_filumTerminale",
    name="filum terminale",
)
ParcellationEntity.swanson_bm_fimbria_vieussens = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_fimbriaVieussens",
    abbreviation="fi",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_fimbriaVieussens"}
    ],
    lookup_label="SwansonBM_fimbriaVieussens",
    name="fimbria [Vieussens]",
)
ParcellationEntity.swanson_bm_flocculonodular_lobe_cerebellum = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_flocculonodularLobeCerebellum",
    abbreviation="FNL",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_flocculonodularLobeCerebellum"
        }
    ],
    lookup_label="SwansonBM_flocculonodularLobeCerebellum",
    name="flocculonodular lobe cerebellum",
)
ParcellationEntity.swanson_bm_flocculus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_flocculus",
    abbreviation="FL",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_flocculus"}
    ],
    lookup_label="SwansonBM_flocculus",
    name="flocculus",
)
ParcellationEntity.swanson_bm_foliumtuber_vermis_vii = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_foliumtuberVermisVII",
    abbreviation="FOTU",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_foliumtuberVermisVII"
        }
    ],
    lookup_label="SwansonBM_foliumtuberVermisVII",
    name="folium-tuber vermis (VII)",
)
ParcellationEntity.swanson_bm_forebrain = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_forebrain",
    abbreviation="FB",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_forebrain"}
    ],
    lookup_label="SwansonBM_forebrain",
    name="forebrain",
)
ParcellationEntity.swanson_bm_fornix_system_galen = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_fornixSystemGalen",
    abbreviation="fxs",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_fornixSystemGalen"}
    ],
    lookup_label="SwansonBM_fornixSystemGalen",
    name="fornix system [Galen]",
)
ParcellationEntity.swanson_bm_fourth_ventricle_general = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_fourthVentricleGeneral",
    abbreviation="V4g",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_fourthVentricleGeneral"
        }
    ],
    lookup_label="SwansonBM_fourthVentricleGeneral",
    name="fourth ventricle, general",
)
ParcellationEntity.swanson_bm_fourth_ventricle_lateral_recess = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_fourthVentricleLateralRecess",
    abbreviation="V4r",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_fourthVentricleLateralRecess"
        }
    ],
    lookup_label="SwansonBM_fourthVentricleLateralRecess",
    name="fourth ventricle, lateral recess",
)
ParcellationEntity.swanson_bm_fourth_ventricle_proper = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_fourthVentricleProper",
    abbreviation="V4",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_fourthVentricleProper"
        }
    ],
    lookup_label="SwansonBM_fourthVentricleProper",
    name="fourth ventricle proper",
)
ParcellationEntity.swanson_bm_frontal_pole_cerebral_cortex = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_frontalPoleCerebralCortex",
    abbreviation="FRP",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_frontalPoleCerebralCortex"
        }
    ],
    lookup_label="SwansonBM_frontalPoleCerebralCortex",
    name="frontal pole, cerebral cortex",
)
ParcellationEntity.swanson_bm_frontal_region = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_frontalRegion",
    abbreviation="FRO",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_frontalRegion"}
    ],
    lookup_label="SwansonBM_frontalRegion",
    name="frontal region",
)
ParcellationEntity.swanson_bm_ganglia = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_ganglia",
    abbreviation="G",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_ganglia"}
    ],
    lookup_label="SwansonBM_ganglia",
    name="ganglia",
)
ParcellationEntity.swanson_bm_geniculate_ganglion = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_geniculateGanglion",
    abbreviation="GgVII",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_geniculateGanglion"}
    ],
    lookup_label="SwansonBM_geniculateGanglion",
    name="geniculate ganglion",
)
ParcellationEntity.swanson_bm_geniculate_group_of_the_dorsal_thalamus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_geniculateGroupOfTheDorsalThalamus",
    abbreviation="GENd",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_geniculateGroupOfTheDorsalThalamus"
        }
    ],
    lookup_label="SwansonBM_geniculateGroupOfTheDorsalThalamus",
    name="geniculate group of the dorsal thalamus",
)
ParcellationEntity.swanson_bm_geniculate_group_of_the_ventral_thalamus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_geniculateGroupOfTheVentralThalamus",
    abbreviation="GENv",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_geniculateGroupOfTheVentralThalamus"
        }
    ],
    lookup_label="SwansonBM_geniculateGroupOfTheVentralThalamus",
    name="geniculate group of the ventral thalamus",
)
ParcellationEntity.swanson_bm_genu_of_the_facial_nerve = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_genuOfTheFacialNerve",
    abbreviation="gVIIn",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_genuOfTheFacialNerve"
        }
    ],
    lookup_label="SwansonBM_genuOfTheFacialNerve",
    name="genu of the facial nerve",
)
ParcellationEntity.swanson_bm_gigantocellular_reticular_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_gigantocellularReticularNucleus",
    abbreviation="GRN",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_gigantocellularReticularNucleus"
        }
    ],
    lookup_label="SwansonBM_gigantocellularReticularNucleus",
    name="gigantocellular reticular nucleus",
)
ParcellationEntity.swanson_bm_globus_pallidus_burdach = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_globusPallidusBurdach",
    abbreviation="GP",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_globusPallidusBurdach"
        }
    ],
    lookup_label="SwansonBM_globusPallidusBurdach",
    name="globus pallidus [Burdach]",
)
ParcellationEntity.swanson_bm_globus_pallidus_external_segment = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_globusPallidusExternalSegment",
    abbreviation="GPe",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_globusPallidusExternalSegment"
        }
    ],
    lookup_label="SwansonBM_globusPallidusExternalSegment",
    name="globus pallidus, external segment",
)
ParcellationEntity.swanson_bm_globus_pallidus_internal_segment = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_globusPallidusInternalSegment",
    abbreviation="GPi",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_globusPallidusInternalSegment"
        }
    ],
    lookup_label="SwansonBM_globusPallidusInternalSegment",
    name="globus pallidus, internal segment",
)
ParcellationEntity.swanson_bm_glossopharyngeal_nerve = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_glossopharyngealNerve",
    abbreviation="IXn",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_glossopharyngealNerve"
        }
    ],
    lookup_label="SwansonBM_glossopharyngealNerve",
    name="glossopharyngeal nerve",
)
ParcellationEntity.swanson_bm_gracile_fascicle_goll = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_gracileFascicleGoll",
    abbreviation="grf",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_gracileFascicleGoll"
        }
    ],
    lookup_label="SwansonBM_gracileFascicleGoll",
    name="gracile fascicle [Goll]",
)
ParcellationEntity.swanson_bm_gracile_nucleus_general_goll = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_gracileNucleusGeneralGoll",
    abbreviation="GRg",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_gracileNucleusGeneralGoll"
        }
    ],
    lookup_label="SwansonBM_gracileNucleusGeneralGoll",
    name="gracile nucleus, general [Goll]",
)
ParcellationEntity.swanson_bm_gracile_nucleus_median_part_bischoff = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_gracileNucleusMedianPartBischoff",
    abbreviation="GRm",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_gracileNucleusMedianPartBischoff"
        }
    ],
    lookup_label="SwansonBM_gracileNucleusMedianPartBischoff",
    name="gracile nucleus, median part [Bischoff]",
)
ParcellationEntity.swanson_bm_gracile_nucleus_principal_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_gracileNucleusPrincipalPart",
    abbreviation="GR",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_gracileNucleusPrincipalPart"
        }
    ],
    lookup_label="SwansonBM_gracileNucleusPrincipalPart",
    name="gracile nucleus, principal part",
)
ParcellationEntity.swanson_bm_grooves = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_grooves",
    abbreviation="grv",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_grooves"}
    ],
    lookup_label="SwansonBM_grooves",
    name="grooves",
)
ParcellationEntity.swanson_bm_gustatory_area = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_gustatoryArea",
    abbreviation="GU",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_gustatoryArea"}
    ],
    lookup_label="SwansonBM_gustatoryArea",
    name="gustatory area",
)
ParcellationEntity.swanson_bm_habenular_commissure_haller = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_habenularCommissureHaller",
    abbreviation="hbc",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_habenularCommissureHaller"
        }
    ],
    lookup_label="SwansonBM_habenularCommissureHaller",
    name="habenular commissure [Haller]",
)
ParcellationEntity.swanson_bm_hemispheric_region_cerebellum = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_hemisphericRegionCerebellum",
    abbreviation="HEM",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_hemisphericRegionCerebellum"
        }
    ],
    lookup_label="SwansonBM_hemisphericRegionCerebellum",
    name="hemispheric region, cerebellum",
)
ParcellationEntity.swanson_bm_hindbrain = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_hindbrain",
    abbreviation="HB",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_hindbrain"}
    ],
    lookup_label="SwansonBM_hindbrain",
    name="hindbrain",
)
ParcellationEntity.swanson_bm_hippocampal_commissures_david = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_hippocampalCommissuresDavid",
    abbreviation="hc",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_hippocampalCommissuresDavid"
        }
    ],
    lookup_label="SwansonBM_hippocampalCommissuresDavid",
    name="hippocampal commissures [David]",
)
ParcellationEntity.swanson_bm_hippocampal_fissure_gratiolet = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_hippocampalFissureGratiolet",
    abbreviation="hf",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_hippocampalFissureGratiolet"
        }
    ],
    lookup_label="SwansonBM_hippocampalFissureGratiolet",
    name="hippocampal fissure [Gratiolet]",
)
ParcellationEntity.swanson_bm_hippocampal_formation = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_hippocampalFormation",
    abbreviation="HPF",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_hippocampalFormation"
        }
    ],
    lookup_label="SwansonBM_hippocampalFormation",
    name="hippocampal formation",
)
ParcellationEntity.swanson_bm_hippocampal_region_aranzi = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_hippocampalRegionAranzi",
    abbreviation="HIP",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_hippocampalRegionAranzi"
        }
    ],
    lookup_label="SwansonBM_hippocampalRegionAranzi",
    name="hippocampal region [Aranzi]",
)
ParcellationEntity.swanson_bm_hypoglossal_nerve = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_hypoglossalNerve",
    abbreviation="XIIn",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_hypoglossalNerve"}
    ],
    lookup_label="SwansonBM_hypoglossalNerve",
    name="hypoglossal nerve",
)
ParcellationEntity.swanson_bm_hypoglossal_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_hypoglossalNucleus",
    abbreviation="XII",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_hypoglossalNucleus"}
    ],
    lookup_label="SwansonBM_hypoglossalNucleus",
    name="hypoglossal nucleus",
)
ParcellationEntity.swanson_bm_hypothalamic_lateral_zone = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_hypothalamicLateralZone",
    abbreviation="LZ",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_hypothalamicLateralZone"
        }
    ],
    lookup_label="SwansonBM_hypothalamicLateralZone",
    name="hypothalamic lateral zone",
)
ParcellationEntity.swanson_bm_hypothalamic_lateral_zone_motor_related = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_hypothalamicLateralZoneMotorRelated",
    abbreviation="LZm",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_hypothalamicLateralZoneMotorRelated"
        }
    ],
    lookup_label="SwansonBM_hypothalamicLateralZoneMotorRelated",
    name="hypothalamic lateral zone, motor related",
)
ParcellationEntity.swanson_bm_hypothalamic_lateral_zone_state_related = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_hypothalamicLateralZoneStateRelated",
    abbreviation="LZs",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_hypothalamicLateralZoneStateRelated"
        }
    ],
    lookup_label="SwansonBM_hypothalamicLateralZoneStateRelated",
    name="hypothalamic lateral zone, state related",
)
ParcellationEntity.swanson_bm_hypothalamic_periventricular_region = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_hypothalamicPeriventricularRegion",
    abbreviation="PVR",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_hypothalamicPeriventricularRegion"
        }
    ],
    lookup_label="SwansonBM_hypothalamicPeriventricularRegion",
    name="hypothalamic periventricular region",
)
ParcellationEntity.swanson_bm_hypothalamohypophysial_tract = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_hypothalamohypophysialTract",
    abbreviation="hht",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_hypothalamohypophysialTract"
        }
    ],
    lookup_label="SwansonBM_hypothalamohypophysialTract",
    name="hypothalamohypophysial tract",
)
ParcellationEntity.swanson_bm_hypothalamus_his = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_hypothalamusHis",
    abbreviation="HY",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_hypothalamusHis"}
    ],
    lookup_label="SwansonBM_hypothalamusHis",
    name="hypothalamus [His]",
)
ParcellationEntity.swanson_bm_induseum_griseum_valentin = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_induseumGriseumValentin",
    abbreviation="IG",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_induseumGriseumValentin"
        }
    ],
    lookup_label="SwansonBM_induseumGriseumValentin",
    name="induseum griseum [Valentin]",
)
ParcellationEntity.swanson_bm_inferior_cerebellar_peduncle_ridley = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_inferiorCerebellarPeduncleRidley",
    abbreviation="icp",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_inferiorCerebellarPeduncleRidley"
        }
    ],
    lookup_label="SwansonBM_inferiorCerebellarPeduncleRidley",
    name="inferior cerebellar peduncle [Ridley]",
)
ParcellationEntity.swanson_bm_inferior_colliculus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_inferiorColliculus",
    abbreviation="IC",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_inferiorColliculus"}
    ],
    lookup_label="SwansonBM_inferiorColliculus",
    name="inferior colliculus",
)
ParcellationEntity.swanson_bm_inferior_colliculus_central_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_inferiorColliculusCentralNucleus",
    abbreviation="ICc",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_inferiorColliculusCentralNucleus"
        }
    ],
    lookup_label="SwansonBM_inferiorColliculusCentralNucleus",
    name="inferior colliculus, central nucleus",
)
ParcellationEntity.swanson_bm_inferior_colliculus_commissure = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_inferiorColliculusCommissure",
    abbreviation="cic",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_inferiorColliculusCommissure"
        }
    ],
    lookup_label="SwansonBM_inferiorColliculusCommissure",
    name="inferior colliculus commissure",
)
ParcellationEntity.swanson_bm_inferior_colliculus_dorsal_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_inferiorColliculusDorsalNucleus",
    abbreviation="ICd",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_inferiorColliculusDorsalNucleus"
        }
    ],
    lookup_label="SwansonBM_inferiorColliculusDorsalNucleus",
    name="inferior colliculus, dorsal nucleus",
)
ParcellationEntity.swanson_bm_inferior_colliculus_external_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_inferiorColliculusExternalNucleus",
    abbreviation="ICe",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_inferiorColliculusExternalNucleus"
        }
    ],
    lookup_label="SwansonBM_inferiorColliculusExternalNucleus",
    name="inferior colliculus, external nucleus",
)
ParcellationEntity.swanson_bm_inferior_mesenteric_ganglia = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_inferiorMesentericGanglia",
    abbreviation="GIM",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_inferiorMesentericGanglia"
        }
    ],
    lookup_label="SwansonBM_inferiorMesentericGanglia",
    name="inferior mesenteric ganglia",
)
ParcellationEntity.swanson_bm_inferior_olivary_complex_dorsal_accessory_olive = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_inferiorOlivaryComplexDorsalAccessoryOlive",
    abbreviation="IOda",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_inferiorOlivaryComplexDorsalAccessoryOlive"
        }
    ],
    lookup_label="SwansonBM_inferiorOlivaryComplexDorsalAccessoryOlive",
    name="inferior olivary complex, dorsal accessory olive",
)
ParcellationEntity.swanson_bm_inferior_olivary_complex_medial_accessory_olive = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_inferiorOlivaryComplexMedialAccessoryOlive",
    abbreviation="IOma",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_inferiorOlivaryComplexMedialAccessoryOlive"
        }
    ],
    lookup_label="SwansonBM_inferiorOlivaryComplexMedialAccessoryOlive",
    name="inferior olivary complex, medial accessory olive",
)
ParcellationEntity.swanson_bm_inferior_olivary_complex_principal_olive = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_inferiorOlivaryComplexPrincipalOlive",
    abbreviation="IOpr",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_inferiorOlivaryComplexPrincipalOlive"
        }
    ],
    lookup_label="SwansonBM_inferiorOlivaryComplexPrincipalOlive",
    name="inferior olivary complex, principal olive",
)
ParcellationEntity.swanson_bm_inferior_olivary_complex_vieussens = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_inferiorOlivaryComplexVieussens",
    abbreviation="IO",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_inferiorOlivaryComplexVieussens"
        }
    ],
    lookup_label="SwansonBM_inferiorOlivaryComplexVieussens",
    name="inferior olivary complex [Vieussens]",
)
ParcellationEntity.swanson_bm_inferior_salivatory_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_inferiorSalivatoryNucleus",
    abbreviation="ISN",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_inferiorSalivatoryNucleus"
        }
    ],
    lookup_label="SwansonBM_inferiorSalivatoryNucleus",
    name="inferior salivatory nucleus",
)
ParcellationEntity.swanson_bm_infracerebellar_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_infracerebellarNucleus",
    abbreviation="ICB",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_infracerebellarNucleus"
        }
    ],
    lookup_label="SwansonBM_infracerebellarNucleus",
    name="infracerebellar nucleus",
)
ParcellationEntity.swanson_bm_infralimbic_area = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_infralimbicArea",
    abbreviation="ILA",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_infralimbicArea"}
    ],
    lookup_label="SwansonBM_infralimbicArea",
    name="infralimbic area",
)
ParcellationEntity.swanson_bm_infundibulum_external_lamina = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_infundibulumExternalLamina",
    abbreviation="INFex",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_infundibulumExternalLamina"
        }
    ],
    lookup_label="SwansonBM_infundibulumExternalLamina",
    name="infundibulum, external lamina",
)
ParcellationEntity.swanson_bm_infundibulum_galen = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_infundibulumGalen",
    abbreviation="INF",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_infundibulumGalen"}
    ],
    lookup_label="SwansonBM_infundibulumGalen",
    name="infundibulum [Galen]",
)
ParcellationEntity.swanson_bm_infundibulum_internal_lamina = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_infundibulumInternalLamina",
    abbreviation="INFin",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_infundibulumInternalLamina"
        }
    ],
    lookup_label="SwansonBM_infundibulumInternalLamina",
    name="infundibulum, internal lamina",
)
ParcellationEntity.swanson_bm_insular_region = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_insularRegion",
    abbreviation="INS",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_insularRegion"}
    ],
    lookup_label="SwansonBM_insularRegion",
    name="insular region",
)
ParcellationEntity.swanson_bm_interanterodorsal_nucleus_thalamus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_interanterodorsalNucleusThalamus",
    abbreviation="IAD",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_interanterodorsalNucleusThalamus"
        }
    ],
    lookup_label="SwansonBM_interanterodorsalNucleusThalamus",
    name="interanterodorsal nucleus thalamus",
)
ParcellationEntity.swanson_bm_interanteromedial_nucleus_thalamus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_interanteromedialNucleusThalamus",
    abbreviation="IAM",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_interanteromedialNucleusThalamus"
        }
    ],
    lookup_label="SwansonBM_interanteromedialNucleusThalamus",
    name="interanteromedial nucleus thalamus",
)
ParcellationEntity.swanson_bm_interbrain = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_interbrain",
    abbreviation="IB",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_interbrain"}
    ],
    lookup_label="SwansonBM_interbrain",
    name="interbrain",
)
ParcellationEntity.swanson_bm_intercalated_amygdalar_nuclei = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_intercalatedAmygdalarNuclei",
    abbreviation="IA",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_intercalatedAmygdalarNuclei"
        }
    ],
    lookup_label="SwansonBM_intercalatedAmygdalarNuclei",
    name="intercalated amygdalar nuclei",
)
ParcellationEntity.swanson_bm_intercalated_nucleus_of_the_spinal_cord = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_intercalatedNucleusOfTheSpinalCord",
    abbreviation="ICS",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_intercalatedNucleusOfTheSpinalCord"
        }
    ],
    lookup_label="SwansonBM_intercalatedNucleusOfTheSpinalCord",
    name="intercalated nucleus of the spinal cord",
)
ParcellationEntity.swanson_bm_intercrural_fissure = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_intercruralFissure",
    abbreviation="icf",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_intercruralFissure"}
    ],
    lookup_label="SwansonBM_intercruralFissure",
    name="intercrural fissure",
)
ParcellationEntity.swanson_bm_interfascicular_nucleus_raphe = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_interfascicularNucleusRaphe",
    abbreviation="IF",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_interfascicularNucleusRaphe"
        }
    ],
    lookup_label="SwansonBM_interfascicularNucleusRaphe",
    name="interfascicular nucleus raphé",
)
ParcellationEntity.swanson_bm_intermediate_acoustic_stria_held = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_intermediateAcousticStriaHeld",
    abbreviation="ias",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_intermediateAcousticStriaHeld"
        }
    ],
    lookup_label="SwansonBM_intermediateAcousticStriaHeld",
    name="intermediate acoustic stria [Held]",
)
ParcellationEntity.swanson_bm_intermediate_gray_spinal_cord_general = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_intermediateGraySpinalCordGeneral",
    abbreviation="IHg",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_intermediateGraySpinalCordGeneral"
        }
    ],
    lookup_label="SwansonBM_intermediateGraySpinalCordGeneral",
    name="intermediate gray spinal cord, general",
)
ParcellationEntity.swanson_bm_intermediate_gray_spinal_cord_proper = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_intermediateGraySpinalCordProper",
    abbreviation="IH",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_intermediateGraySpinalCordProper"
        }
    ],
    lookup_label="SwansonBM_intermediateGraySpinalCordProper",
    name="intermediate gray spinal cord proper",
)
ParcellationEntity.swanson_bm_intermediate_nerve_wrisberg = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_intermediateNerveWrisberg",
    abbreviation="iVIIn",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_intermediateNerveWrisberg"
        }
    ],
    lookup_label="SwansonBM_intermediateNerveWrisberg",
    name="intermediate nerve [Wrisberg]",
)
ParcellationEntity.swanson_bm_intermediodorsal_nucleus_thalamus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_intermediodorsalNucleusThalamus",
    abbreviation="IMD",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_intermediodorsalNucleusThalamus"
        }
    ],
    lookup_label="SwansonBM_intermediodorsalNucleusThalamus",
    name="intermediodorsal nucleus thalamus",
)
ParcellationEntity.swanson_bm_intermediolateral_spinal_column = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_intermediolateralSpinalColumn",
    abbreviation="IML",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_intermediolateralSpinalColumn"
        }
    ],
    lookup_label="SwansonBM_intermediolateralSpinalColumn",
    name="intermediolateral spinal column",
)
ParcellationEntity.swanson_bm_intermediolateral_spinal_column_sacral_division = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_intermediolateralSpinalColumnSacralDivision",
    abbreviation="IMLp",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_intermediolateralSpinalColumnSacralDivision"
        }
    ],
    lookup_label="SwansonBM_intermediolateralSpinalColumnSacralDivision",
    name="intermediolateral spinal column, sacral division",
)
ParcellationEntity.swanson_bm_intermediolateral_spinal_column_thoracolumbar_division = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_intermediolateralSpinalColumnThoracolumbarDivision",
    abbreviation="IMLs",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_intermediolateralSpinalColumnThoracolumbarDivision"
        }
    ],
    lookup_label="SwansonBM_intermediolateralSpinalColumnThoracolumbarDivision",
    name="intermediolateral spinal column, thoracolumbar division",
)
ParcellationEntity.swanson_bm_intermediolateral_visual_area = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_intermediolateralVisualArea",
    abbreviation="VISli",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_intermediolateralVisualArea"
        }
    ],
    lookup_label="SwansonBM_intermediolateralVisualArea",
    name="intermediolateral visual area",
)
ParcellationEntity.swanson_bm_intermediomedial_spinal_column = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_intermediomedialSpinalColumn",
    abbreviation="IMM",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_intermediomedialSpinalColumn"
        }
    ],
    lookup_label="SwansonBM_intermediomedialSpinalColumn",
    name="intermediomedial spinal column",
)
ParcellationEntity.swanson_bm_internal_arcuate_fibers = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_internalArcuateFibers",
    abbreviation="iaf",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_internalArcuateFibers"
        }
    ],
    lookup_label="SwansonBM_internalArcuateFibers",
    name="internal arcuate fibers",
)
ParcellationEntity.swanson_bm_internal_capsule_burdach = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_internalCapsuleBurdach",
    abbreviation="int",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_internalCapsuleBurdach"
        }
    ],
    lookup_label="SwansonBM_internalCapsuleBurdach",
    name="internal capsule [Burdach]",
)
ParcellationEntity.swanson_bm_internal_medullary_lamina_thalamus_burdach = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_internalMedullaryLaminaThalamusBurdach",
    abbreviation="im",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_internalMedullaryLaminaThalamusBurdach"
        }
    ],
    lookup_label="SwansonBM_internalMedullaryLaminaThalamusBurdach",
    name="internal medullary lamina thalamus [Burdach]",
)
ParcellationEntity.swanson_bm_internuclear_area_hypothalamic_periventricular_region = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_internuclearAreaHypothalamicPeriventricularRegion",
    abbreviation="I",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_internuclearAreaHypothalamicPeriventricularRegion"
        }
    ],
    lookup_label="SwansonBM_internuclearAreaHypothalamicPeriventricularRegion",
    name="internuclear area, hypothalamic periventricular region",
)
ParcellationEntity.swanson_bm_interpeduncular_nucleus_apical_subnucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_interpeduncularNucleusApicalSubnucleus",
    abbreviation="IPNa",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_interpeduncularNucleusApicalSubnucleus"
        }
    ],
    lookup_label="SwansonBM_interpeduncularNucleusApicalSubnucleus",
    name="interpeduncular nucleus, apical subnucleus",
)
ParcellationEntity.swanson_bm_interpeduncular_nucleus_central_subnucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_interpeduncularNucleusCentralSubnucleus",
    abbreviation="IPNc",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_interpeduncularNucleusCentralSubnucleus"
        }
    ],
    lookup_label="SwansonBM_interpeduncularNucleusCentralSubnucleus",
    name="interpeduncular nucleus, central subnucleus",
)
ParcellationEntity.swanson_bm_interpeduncular_nucleus_dorsomedial_subnucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_interpeduncularNucleusDorsomedialSubnucleus",
    abbreviation="IPNd",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_interpeduncularNucleusDorsomedialSubnucleus"
        }
    ],
    lookup_label="SwansonBM_interpeduncularNucleusDorsomedialSubnucleus",
    name="interpeduncular nucleus, dorsomedial subnucleus",
)
ParcellationEntity.swanson_bm_interpeduncular_nucleus_gudden = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_interpeduncularNucleusGudden",
    abbreviation="IPN",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_interpeduncularNucleusGudden"
        }
    ],
    lookup_label="SwansonBM_interpeduncularNucleusGudden",
    name="interpeduncular nucleus [Gudden]",
)
ParcellationEntity.swanson_bm_interpeduncular_nucleus_intermediate_subnucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_interpeduncularNucleusIntermediateSubnucleus",
    abbreviation="IPNi",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_interpeduncularNucleusIntermediateSubnucleus"
        }
    ],
    lookup_label="SwansonBM_interpeduncularNucleusIntermediateSubnucleus",
    name="interpeduncular nucleus, intermediate subnucleus",
)
ParcellationEntity.swanson_bm_interpeduncular_nucleus_lateral_subnucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_interpeduncularNucleusLateralSubnucleus",
    abbreviation="IPNl",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_interpeduncularNucleusLateralSubnucleus"
        }
    ],
    lookup_label="SwansonBM_interpeduncularNucleusLateralSubnucleus",
    name="interpeduncular nucleus, lateral subnucleus",
)
ParcellationEntity.swanson_bm_interpeduncular_nucleus_lateral_subnucleus_dorsal_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_interpeduncularNucleusLateralSubnucleusDorsalPart",
    abbreviation="IPNld",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_interpeduncularNucleusLateralSubnucleusDorsalPart"
        }
    ],
    lookup_label="SwansonBM_interpeduncularNucleusLateralSubnucleusDorsalPart",
    name="interpeduncular nucleus, lateral subnucleus, dorsal part",
)
ParcellationEntity.swanson_bm_interpeduncular_nucleus_lateral_subnucleus_intermediate_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_interpeduncularNucleusLateralSubnucleusIntermediatePart",
    abbreviation="IPNli",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_interpeduncularNucleusLateralSubnucleusIntermediatePart"
        }
    ],
    lookup_label="SwansonBM_interpeduncularNucleusLateralSubnucleusIntermediatePart",
    name="interpeduncular nucleus, lateral subnucleus, intermediate part",
)
ParcellationEntity.swanson_bm_interpeduncular_nucleus_lateral_subnucleus_rostral_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_interpeduncularNucleusLateralSubnucleusRostralPart",
    abbreviation="IPNlr",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_interpeduncularNucleusLateralSubnucleusRostralPart"
        }
    ],
    lookup_label="SwansonBM_interpeduncularNucleusLateralSubnucleusRostralPart",
    name="interpeduncular nucleus, lateral subnucleus, rostral part",
)
ParcellationEntity.swanson_bm_interpeduncular_nucleus_lateral_subnucleus_ventral_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_interpeduncularNucleusLateralSubnucleusVentralPart",
    abbreviation="IPNlv",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_interpeduncularNucleusLateralSubnucleusVentralPart"
        }
    ],
    lookup_label="SwansonBM_interpeduncularNucleusLateralSubnucleusVentralPart",
    name="interpeduncular nucleus, lateral subnucleus, ventral part",
)
ParcellationEntity.swanson_bm_interpeduncular_nucleus_rostral_subnucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_interpeduncularNucleusRostralSubnucleus",
    abbreviation="IPNr",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_interpeduncularNucleusRostralSubnucleus"
        }
    ],
    lookup_label="SwansonBM_interpeduncularNucleusRostralSubnucleus",
    name="interpeduncular nucleus, rostral subnucleus",
)
ParcellationEntity.swanson_bm_interposed_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_interposedNucleus",
    abbreviation="IP",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_interposedNucleus"}
    ],
    lookup_label="SwansonBM_interposedNucleus",
    name="interposed nucleus",
)
ParcellationEntity.swanson_bm_interposed_nucleus_main_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_interposedNucleusMainPart",
    abbreviation="IPm",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_interposedNucleusMainPart"
        }
    ],
    lookup_label="SwansonBM_interposedNucleusMainPart",
    name="interposed nucleus, main part",
)
ParcellationEntity.swanson_bm_interposed_nucleus_parvicellular_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_interposedNucleusParvicellularPart",
    abbreviation="IPp",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_interposedNucleusParvicellularPart"
        }
    ],
    lookup_label="SwansonBM_interposedNucleusParvicellularPart",
    name="interposed nucleus, parvicellular part",
)
ParcellationEntity.swanson_bm_interstitial_nucleus_auditory_nerve = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_interstitialNucleusAuditoryNerve",
    abbreviation="IAN",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_interstitialNucleusAuditoryNerve"
        }
    ],
    lookup_label="SwansonBM_interstitialNucleusAuditoryNerve",
    name="interstitial nucleus auditory nerve",
)
ParcellationEntity.swanson_bm_interstitial_nucleus_of_cajal = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_interstitialNucleusOfCajal",
    abbreviation="INC",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_interstitialNucleusOfCajal"
        }
    ],
    lookup_label="SwansonBM_interstitialNucleusOfCajal",
    name="interstitial nucleus of Cajal",
)
ParcellationEntity.swanson_bm_interstitial_nucleus_vestibular_nerve = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_interstitialNucleusVestibularNerve",
    abbreviation="INV",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_interstitialNucleusVestibularNerve"
        }
    ],
    lookup_label="SwansonBM_interstitialNucleusVestibularNerve",
    name="interstitial nucleus vestibular nerve",
)
ParcellationEntity.swanson_bm_interventricular_foramen_monro = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_interventricularForamenMonro",
    abbreviation="IVF",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_interventricularForamenMonro"
        }
    ],
    lookup_label="SwansonBM_interventricularForamenMonro",
    name="interventricular foramen [Monro]",
)
ParcellationEntity.swanson_bm_intracentral_fissure2 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_intracentralFissure2",
    abbreviation="ice2",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_intracentralFissure2"
        }
    ],
    lookup_label="SwansonBM_intracentralFissure2",
    name="intracentral fissure 2",
)
ParcellationEntity.swanson_bm_intraculminate_fissure1 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_intraculminateFissure1",
    abbreviation="icu1",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_intraculminateFissure1"
        }
    ],
    lookup_label="SwansonBM_intraculminateFissure1",
    name="intraculminate fissure 1",
)
ParcellationEntity.swanson_bm_intralaminar_nuclei_dorsal_thalamus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_intralaminarNucleiDorsalThalamus",
    abbreviation="ILM",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_intralaminarNucleiDorsalThalamus"
        }
    ],
    lookup_label="SwansonBM_intralaminarNucleiDorsalThalamus",
    name="intralaminar nuclei, dorsal thalamus",
)
ParcellationEntity.swanson_bm_intraparafloccular_fissure = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_intraparafloccularFissure",
    abbreviation="ipf",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_intraparafloccularFissure"
        }
    ],
    lookup_label="SwansonBM_intraparafloccularFissure",
    name="intraparafloccular fissure",
)
ParcellationEntity.swanson_bm_islands_of_calleja_olfactory_tubercle = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_islandsOfCallejaOlfactoryTubercle",
    abbreviation="isl",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_islandsOfCallejaOlfactoryTubercle"
        }
    ],
    lookup_label="SwansonBM_islandsOfCallejaOlfactoryTubercle",
    name="islands of Calleja (olfactory tubercle)",
)
ParcellationEntity.swanson_bm_isocortex = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_isocortex",
    abbreviation="ISO",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_isocortex"}
    ],
    lookup_label="SwansonBM_isocortex",
    name="isocortex",
)
ParcellationEntity.swanson_bm_isocortex_deep_supragranular_pyramidal_layer = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_isocortexDeepSupragranularPyramidalLayer",
    abbreviation="ISO3",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_isocortexDeepSupragranularPyramidalLayer"
        }
    ],
    lookup_label="SwansonBM_isocortexDeepSupragranularPyramidalLayer",
    name="isocortex, deep supragranular pyramidal layer",
)
ParcellationEntity.swanson_bm_isocortex_granular_layer = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_isocortexGranularLayer",
    abbreviation="ISO4",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_isocortexGranularLayer"
        }
    ],
    lookup_label="SwansonBM_isocortexGranularLayer",
    name="isocortex, granular layer",
)
ParcellationEntity.swanson_bm_isocortex_infragranular_pyramidal_layer = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_isocortexInfragranularPyramidalLayer",
    abbreviation="ISO5",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_isocortexInfragranularPyramidalLayer"
        }
    ],
    lookup_label="SwansonBM_isocortexInfragranularPyramidalLayer",
    name="isocortex, infragranular pyramidal layer",
)
ParcellationEntity.swanson_bm_isocortex_molecular_layer = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_isocortexMolecularLayer",
    abbreviation="ISO1",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_isocortexMolecularLayer"
        }
    ],
    lookup_label="SwansonBM_isocortexMolecularLayer",
    name="isocortex, molecular layer",
)
ParcellationEntity.swanson_bm_isocortex_polymorph_layer = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_isocortexPolymorphLayer",
    abbreviation="ISO6",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_isocortexPolymorphLayer"
        }
    ],
    lookup_label="SwansonBM_isocortexPolymorphLayer",
    name="isocortex, polymorph layer",
)
ParcellationEntity.swanson_bm_isocortex_superficial_supragranular_pyramidal_layer = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_isocortexSuperficialSupragranularPyramidalLayer",
    abbreviation="ISO2",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_isocortexSuperficialSupragranularPyramidalLayer"
        }
    ],
    lookup_label="SwansonBM_isocortexSuperficialSupragranularPyramidalLayer",
    name="isocortex, superficial supragranular pyramidal layer",
)
ParcellationEntity.swanson_bm_juxtarestiform_body = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_juxtarestiformBody",
    abbreviation="jrb",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_juxtarestiformBody"}
    ],
    lookup_label="SwansonBM_juxtarestiformBody",
    name="juxtarestiform body",
)
ParcellationEntity.swanson_bm_lateral_amygdalar_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_lateralAmygdalarNucleus",
    abbreviation="LA",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralAmygdalarNucleus"
        }
    ],
    lookup_label="SwansonBM_lateralAmygdalarNucleus",
    name="lateral amygdalar nucleus",
)
ParcellationEntity.swanson_bm_lateral_aperture_fourth_ventricle_luschka = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_lateralApertureFourthVentricleLuschka",
    abbreviation="LAP",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralApertureFourthVentricleLuschka"
        }
    ],
    lookup_label="SwansonBM_lateralApertureFourthVentricleLuschka",
    name="lateral aperture, fourth ventricle [Luschka]",
)
ParcellationEntity.swanson_bm_lateral_cervical_nucleus_rexed_brodal = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_lateralCervicalNucleusRexedBrodal",
    abbreviation="LCN",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralCervicalNucleusRexedBrodal"
        }
    ],
    lookup_label="SwansonBM_lateralCervicalNucleusRexedBrodal",
    name="lateral cervical nucleus [Rexed-Brodal]",
)
ParcellationEntity.swanson_bm_lateral_dorsal_nucleus_thalamus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_lateralDorsalNucleusThalamus",
    abbreviation="LD",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralDorsalNucleusThalamus"
        }
    ],
    lookup_label="SwansonBM_lateralDorsalNucleusThalamus",
    name="lateral dorsal nucleus thalamus",
)
ParcellationEntity.swanson_bm_lateral_forebrain_bundle = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_lateralForebrainBundle",
    abbreviation="lfb",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralForebrainBundle"
        }
    ],
    lookup_label="SwansonBM_lateralForebrainBundle",
    name="lateral forebrain bundle",
)
ParcellationEntity.swanson_bm_lateral_forebrain_bundle_system = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_lateralForebrainBundleSystem",
    abbreviation="lfbs",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralForebrainBundleSystem"
        }
    ],
    lookup_label="SwansonBM_lateralForebrainBundleSystem",
    name="lateral forebrain bundle system",
)
ParcellationEntity.swanson_bm_lateral_forebrain_bundle_system_thalamus_related = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_lateralForebrainBundleSystemThalamusRelated",
    abbreviation="lfbst",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralForebrainBundleSystemThalamusRelated"
        }
    ],
    lookup_label="SwansonBM_lateralForebrainBundleSystemThalamusRelated",
    name="lateral forebrain bundle system, thalamus related",
)
ParcellationEntity.swanson_bm_lateral_funiculus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_lateralFuniculus",
    abbreviation="lf",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralFuniculus"}
    ],
    lookup_label="SwansonBM_lateralFuniculus",
    name="lateral funiculus",
)
ParcellationEntity.swanson_bm_lateral_geniculate_complex_dorsal_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_lateralGeniculateComplexDorsalPart",
    abbreviation="LGd",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralGeniculateComplexDorsalPart"
        }
    ],
    lookup_label="SwansonBM_lateralGeniculateComplexDorsalPart",
    name="lateral geniculate complex, dorsal part",
)
ParcellationEntity.swanson_bm_lateral_geniculate_complex_intergeniculate_leaflet = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_lateralGeniculateComplexIntergeniculateLeaflet",
    abbreviation="IGL",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralGeniculateComplexIntergeniculateLeaflet"
        }
    ],
    lookup_label="SwansonBM_lateralGeniculateComplexIntergeniculateLeaflet",
    name="lateral geniculate complex, intergeniculate leaflet",
)
ParcellationEntity.swanson_bm_lateral_geniculate_complex_santorini = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_lateralGeniculateComplexSantorini",
    abbreviation="LG",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralGeniculateComplexSantorini"
        }
    ],
    lookup_label="SwansonBM_lateralGeniculateComplexSantorini",
    name="lateral geniculate complex [Santorini]",
)
ParcellationEntity.swanson_bm_lateral_geniculate_complex_ventral_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_lateralGeniculateComplexVentralPart",
    abbreviation="LGv",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralGeniculateComplexVentralPart"
        }
    ],
    lookup_label="SwansonBM_lateralGeniculateComplexVentralPart",
    name="lateral geniculate complex, ventral part",
)
ParcellationEntity.swanson_bm_lateral_geniculate_complex_ventral_part_lateral_zone = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_lateralGeniculateComplexVentralPartLateralZone",
    abbreviation="LGvl",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralGeniculateComplexVentralPartLateralZone"
        }
    ],
    lookup_label="SwansonBM_lateralGeniculateComplexVentralPartLateralZone",
    name="lateral geniculate complex, ventral part, lateral zone",
)
ParcellationEntity.swanson_bm_lateral_geniculate_complex_ventral_part_medial_zone = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_lateralGeniculateComplexVentralPartMedialZone",
    abbreviation="LGvm",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralGeniculateComplexVentralPartMedialZone"
        }
    ],
    lookup_label="SwansonBM_lateralGeniculateComplexVentralPartMedialZone",
    name="lateral geniculate complex, ventral part, medial zone",
)
ParcellationEntity.swanson_bm_lateral_habenula_nissl = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_lateralHabenulaNissl",
    abbreviation="LH",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralHabenulaNissl"
        }
    ],
    lookup_label="SwansonBM_lateralHabenulaNissl",
    name="lateral habenula [Nissl]",
)
ParcellationEntity.swanson_bm_lateral_hypothalamic_area_anterior_region = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_lateralHypothalamicAreaAnteriorRegion",
    abbreviation="LHAa",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralHypothalamicAreaAnteriorRegion"
        }
    ],
    lookup_label="SwansonBM_lateralHypothalamicAreaAnteriorRegion",
    name="lateral hypothalamic area, anterior region",
)
ParcellationEntity.swanson_bm_lateral_hypothalamic_area_anterior_region_dorsal_zone = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_lateralHypothalamicAreaAnteriorRegionDorsalZone",
    abbreviation="LHAad",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralHypothalamicAreaAnteriorRegionDorsalZone"
        }
    ],
    lookup_label="SwansonBM_lateralHypothalamicAreaAnteriorRegionDorsalZone",
    name="lateral hypothalamic area, anterior region, dorsal zone",
)
ParcellationEntity.swanson_bm_lateral_hypothalamic_area_anterior_region_intermediate_zone = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_lateralHypothalamicAreaAnteriorRegionIntermediateZone",
    abbreviation="LHAai",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralHypothalamicAreaAnteriorRegionIntermediateZone"
        }
    ],
    lookup_label="SwansonBM_lateralHypothalamicAreaAnteriorRegionIntermediateZone",
    name="lateral hypothalamic area, anterior region, intermediate zone",
)
ParcellationEntity.swanson_bm_lateral_hypothalamic_area_anterior_region_ventral_zone = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_lateralHypothalamicAreaAnteriorRegionVentralZone",
    abbreviation="LHAav",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralHypothalamicAreaAnteriorRegionVentralZone"
        }
    ],
    lookup_label="SwansonBM_lateralHypothalamicAreaAnteriorRegionVentralZone",
    name="lateral hypothalamic area, anterior region, ventral zone",
)
ParcellationEntity.swanson_bm_lateral_hypothalamic_area_dorsal_region = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_lateralHypothalamicAreaDorsalRegion",
    abbreviation="LHAd",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralHypothalamicAreaDorsalRegion"
        }
    ],
    lookup_label="SwansonBM_lateralHypothalamicAreaDorsalRegion",
    name="lateral hypothalamic area, dorsal region",
)
ParcellationEntity.swanson_bm_lateral_hypothalamic_area_juxtadorsomedial_region = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_lateralHypothalamicAreaJuxtadorsomedialRegion",
    abbreviation="LHAjd",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralHypothalamicAreaJuxtadorsomedialRegion"
        }
    ],
    lookup_label="SwansonBM_lateralHypothalamicAreaJuxtadorsomedialRegion",
    name="lateral hypothalamic area, juxtadorsomedial region",
)
ParcellationEntity.swanson_bm_lateral_hypothalamic_area_juxtaparaventricular_region = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_lateralHypothalamicAreaJuxtaparaventricularRegion",
    abbreviation="LHAjp",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralHypothalamicAreaJuxtaparaventricularRegion"
        }
    ],
    lookup_label="SwansonBM_lateralHypothalamicAreaJuxtaparaventricularRegion",
    name="lateral hypothalamic area, juxtaparaventricular region",
)
ParcellationEntity.swanson_bm_lateral_hypothalamic_area_juxtaventromedial_region = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_lateralHypothalamicAreaJuxtaventromedialRegion",
    abbreviation="LHAjv",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralHypothalamicAreaJuxtaventromedialRegion"
        }
    ],
    lookup_label="SwansonBM_lateralHypothalamicAreaJuxtaventromedialRegion",
    name="lateral hypothalamic area, juxtaventromedial region",
)
ParcellationEntity.swanson_bm_lateral_hypothalamic_area_juxtaventromedial_region_dorsal_zone = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_lateralHypothalamicAreaJuxtaventromedialRegionDorsalZone",
    abbreviation="LHAjvd",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralHypothalamicAreaJuxtaventromedialRegionDorsalZone"
        }
    ],
    lookup_label="SwansonBM_lateralHypothalamicAreaJuxtaventromedialRegionDorsalZone",
    name="lateral hypothalamic area, juxtaventromedial region, dorsal zone",
)
ParcellationEntity.swanson_bm_lateral_hypothalamic_area_juxtaventromedial_region_ventral_zone = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_lateralHypothalamicAreaJuxtaventromedialRegionVentralZone",
    abbreviation="LHAjvv",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralHypothalamicAreaJuxtaventromedialRegionVentralZone"
        }
    ],
    lookup_label="SwansonBM_lateralHypothalamicAreaJuxtaventromedialRegionVentralZone",
    name="lateral hypothalamic area, juxtaventromedial region, ventral zone",
)
ParcellationEntity.swanson_bm_lateral_hypothalamic_area_magnocellular_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_lateralHypothalamicAreaMagnocellularNucleus",
    abbreviation="LHAm",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralHypothalamicAreaMagnocellularNucleus"
        }
    ],
    lookup_label="SwansonBM_lateralHypothalamicAreaMagnocellularNucleus",
    name="lateral hypothalamic area, magnocellular nucleus",
)
ParcellationEntity.swanson_bm_lateral_hypothalamic_area_motor_related = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_lateralHypothalamicAreaMotorRelated",
    abbreviation="LHAmo",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralHypothalamicAreaMotorRelated"
        }
    ],
    lookup_label="SwansonBM_lateralHypothalamicAreaMotorRelated",
    name="lateral hypothalamic area, motor related",
)
ParcellationEntity.swanson_bm_lateral_hypothalamic_area_nissl = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_lateralHypothalamicAreaNissl",
    abbreviation="LHA",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralHypothalamicAreaNissl"
        }
    ],
    lookup_label="SwansonBM_lateralHypothalamicAreaNissl",
    name="lateral hypothalamic area [Nissl]",
)
ParcellationEntity.swanson_bm_lateral_hypothalamic_area_parvicellular_region = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_lateralHypothalamicAreaParvicellularRegion",
    abbreviation="LHApc",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralHypothalamicAreaParvicellularRegion"
        }
    ],
    lookup_label="SwansonBM_lateralHypothalamicAreaParvicellularRegion",
    name="lateral hypothalamic area, parvicellular region",
)
ParcellationEntity.swanson_bm_lateral_hypothalamic_area_posterior_region = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_lateralHypothalamicAreaPosteriorRegion",
    abbreviation="LHAp",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralHypothalamicAreaPosteriorRegion"
        }
    ],
    lookup_label="SwansonBM_lateralHypothalamicAreaPosteriorRegion",
    name="lateral hypothalamic area, posterior region",
)
ParcellationEntity.swanson_bm_lateral_hypothalamic_area_subfornical_region_anterior_zone = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_lateralHypothalamicAreaSubfornicalRegionAnteriorZone",
    abbreviation="LHAsfa",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralHypothalamicAreaSubfornicalRegionAnteriorZone"
        }
    ],
    lookup_label="SwansonBM_lateralHypothalamicAreaSubfornicalRegionAnteriorZone",
    name="lateral hypothalamic area, subfornical region, anterior zone",
)
ParcellationEntity.swanson_bm_lateral_hypothalamic_area_subfornical_region_posterior_zone = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_lateralHypothalamicAreaSubfornicalRegionPosteriorZone",
    abbreviation="LHAsfp",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralHypothalamicAreaSubfornicalRegionPosteriorZone"
        }
    ],
    lookup_label="SwansonBM_lateralHypothalamicAreaSubfornicalRegionPosteriorZone",
    name="lateral hypothalamic area, subfornical region, posterior zone",
)
ParcellationEntity.swanson_bm_lateral_hypothalamic_area_subfornical_region_premammillary_zone = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_lateralHypothalamicAreaSubfornicalRegionPremammillaryZone",
    abbreviation="LHAsfpm",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralHypothalamicAreaSubfornicalRegionPremammillaryZone"
        }
    ],
    lookup_label="SwansonBM_lateralHypothalamicAreaSubfornicalRegionPremammillaryZone",
    name="lateral hypothalamic area, subfornical region, premammillary zone",
)
ParcellationEntity.swanson_bm_lateral_hypothalamic_area_suprafornical_region = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_lateralHypothalamicAreaSuprafornicalRegion",
    abbreviation="LHAs",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralHypothalamicAreaSuprafornicalRegion"
        }
    ],
    lookup_label="SwansonBM_lateralHypothalamicAreaSuprafornicalRegion",
    name="lateral hypothalamic area, suprafornical region",
)
ParcellationEntity.swanson_bm_lateral_hypothalamic_area_ventral_region = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_lateralHypothalamicAreaVentralRegion",
    abbreviation="LHAv",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralHypothalamicAreaVentralRegion"
        }
    ],
    lookup_label="SwansonBM_lateralHypothalamicAreaVentralRegion",
    name="lateral hypothalamic area, ventral region",
)
ParcellationEntity.swanson_bm_lateral_hypothalamic_area_ventral_region_lateral_zone = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_lateralHypothalamicAreaVentralRegionLateralZone",
    abbreviation="LHAvl",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralHypothalamicAreaVentralRegionLateralZone"
        }
    ],
    lookup_label="SwansonBM_lateralHypothalamicAreaVentralRegionLateralZone",
    name="lateral hypothalamic area, ventral region, lateral zone",
)
ParcellationEntity.swanson_bm_lateral_hypothalamic_area_ventral_region_medial_zone = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_lateralHypothalamicAreaVentralRegionMedialZone",
    abbreviation="LHAvm",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralHypothalamicAreaVentralRegionMedialZone"
        }
    ],
    lookup_label="SwansonBM_lateralHypothalamicAreaVentralRegionMedialZone",
    name="lateral hypothalamic area, ventral region, medial zone",
)
ParcellationEntity.swanson_bm_lateral_lemniscus_reil = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_lateralLemniscusReil",
    abbreviation="ll",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralLemniscusReil"
        }
    ],
    lookup_label="SwansonBM_lateralLemniscusReil",
    name="lateral lemniscus [Reil]",
)
ParcellationEntity.swanson_bm_lateral_mammillary_nucleus_gudden = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_lateralMammillaryNucleusGudden",
    abbreviation="LM",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralMammillaryNucleusGudden"
        }
    ],
    lookup_label="SwansonBM_lateralMammillaryNucleusGudden",
    name="lateral mammillary nucleus [Gudden]",
)
ParcellationEntity.swanson_bm_lateral_nuclei_dorsal_thalamus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_lateralNucleiDorsalThalamus",
    abbreviation="LAT",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralNucleiDorsalThalamus"
        }
    ],
    lookup_label="SwansonBM_lateralNucleiDorsalThalamus",
    name="lateral nuclei, dorsal thalamus",
)
ParcellationEntity.swanson_bm_lateral_olfactory_tract_body = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_lateralOlfactoryTractBody",
    abbreviation="lot",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralOlfactoryTractBody"
        }
    ],
    lookup_label="SwansonBM_lateralOlfactoryTractBody",
    name="lateral olfactory tract, body",
)
ParcellationEntity.swanson_bm_lateral_olfactory_tract_dorsal_limb = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_lateralOlfactoryTractDorsalLimb",
    abbreviation="lotd",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralOlfactoryTractDorsalLimb"
        }
    ],
    lookup_label="SwansonBM_lateralOlfactoryTractDorsalLimb",
    name="lateral olfactory tract, dorsal limb",
)
ParcellationEntity.swanson_bm_lateral_olfactory_tract_general = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_lateralOlfactoryTractGeneral",
    abbreviation="lotg",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralOlfactoryTractGeneral"
        }
    ],
    lookup_label="SwansonBM_lateralOlfactoryTractGeneral",
    name="lateral olfactory tract, general",
)
ParcellationEntity.swanson_bm_lateral_posterior_nucleus_thalamus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_lateralPosteriorNucleusThalamus",
    abbreviation="LP",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralPosteriorNucleusThalamus"
        }
    ],
    lookup_label="SwansonBM_lateralPosteriorNucleusThalamus",
    name="lateral posterior nucleus thalamus",
)
ParcellationEntity.swanson_bm_lateral_preoptic_area = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_lateralPreopticArea",
    abbreviation="LPO",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralPreopticArea"
        }
    ],
    lookup_label="SwansonBM_lateralPreopticArea",
    name="lateral preoptic area",
)
ParcellationEntity.swanson_bm_lateral_propriohypothalamic_pathways = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_lateralPropriohypothalamicPathways",
    abbreviation="phpl",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralPropriohypothalamicPathways"
        }
    ],
    lookup_label="SwansonBM_lateralPropriohypothalamicPathways",
    name="lateral propriohypothalamic pathways",
)
ParcellationEntity.swanson_bm_lateral_reticular_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_lateralReticularNucleus",
    abbreviation="LRN",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralReticularNucleus"
        }
    ],
    lookup_label="SwansonBM_lateralReticularNucleus",
    name="lateral reticular nucleus",
)
ParcellationEntity.swanson_bm_lateral_reticular_nucleus_magnocellular_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_lateralReticularNucleusMagnocellularPart",
    abbreviation="LRNm",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralReticularNucleusMagnocellularPart"
        }
    ],
    lookup_label="SwansonBM_lateralReticularNucleusMagnocellularPart",
    name="lateral reticular nucleus, magnocellular part",
)
ParcellationEntity.swanson_bm_lateral_reticular_nucleus_parvicellular_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_lateralReticularNucleusParvicellularPart",
    abbreviation="LRNp",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralReticularNucleusParvicellularPart"
        }
    ],
    lookup_label="SwansonBM_lateralReticularNucleusParvicellularPart",
    name="lateral reticular nucleus, parvicellular part",
)
ParcellationEntity.swanson_bm_lateral_septal_complex_risold_swanson = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_lateralSeptalComplexRisoldSwanson",
    abbreviation="LSX",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralSeptalComplexRisoldSwanson"
        }
    ],
    lookup_label="SwansonBM_lateralSeptalComplexRisoldSwanson",
    name="lateral septal complex [Risold-Swanson]",
)
ParcellationEntity.swanson_bm_lateral_septal_nucleus_cajal = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_lateralSeptalNucleusCajal",
    abbreviation="LS",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralSeptalNucleusCajal"
        }
    ],
    lookup_label="SwansonBM_lateralSeptalNucleusCajal",
    name="lateral septal nucleus [Cajal]",
)
ParcellationEntity.swanson_bm_lateral_septal_nucleus_caudal_caudodorsal_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_lateralSeptalNucleusCaudalCaudodorsalPart",
    abbreviation="LSc",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralSeptalNucleusCaudalCaudodorsalPart"
        }
    ],
    lookup_label="SwansonBM_lateralSeptalNucleusCaudalCaudodorsalPart",
    name="lateral septal nucleus, caudal (caudodorsal) part",
)
ParcellationEntity.swanson_bm_lateral_septal_nucleus_caudal_part_dorsal_zone = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_lateralSeptalNucleusCaudalPartDorsalZone",
    abbreviation="LSc.d",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralSeptalNucleusCaudalPartDorsalZone"
        }
    ],
    lookup_label="SwansonBM_lateralSeptalNucleusCaudalPartDorsalZone",
    name="lateral septal nucleus, caudal part, dorsal zone",
)
ParcellationEntity.swanson_bm_lateral_septal_nucleus_caudal_part_dorsal_zone_dorsal_region = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_lateralSeptalNucleusCaudalPartDorsalZoneDorsalRegion",
    abbreviation="LSc.d.d",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralSeptalNucleusCaudalPartDorsalZoneDorsalRegion"
        }
    ],
    lookup_label="SwansonBM_lateralSeptalNucleusCaudalPartDorsalZoneDorsalRegion",
    name="lateral septal nucleus, caudal part, dorsal zone, dorsal region",
)
ParcellationEntity.swanson_bm_lateral_septal_nucleus_caudal_part_dorsal_zone_lateral_region = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_lateralSeptalNucleusCaudalPartDorsalZoneLateralRegion",
    abbreviation="LSc.d.l",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralSeptalNucleusCaudalPartDorsalZoneLateralRegion"
        }
    ],
    lookup_label="SwansonBM_lateralSeptalNucleusCaudalPartDorsalZoneLateralRegion",
    name="lateral septal nucleus, caudal part, dorsal zone, lateral region",
)
ParcellationEntity.swanson_bm_lateral_septal_nucleus_caudal_part_dorsal_zone_rostral_region = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_lateralSeptalNucleusCaudalPartDorsalZoneRostralRegion",
    abbreviation="LSc.d.r",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralSeptalNucleusCaudalPartDorsalZoneRostralRegion"
        }
    ],
    lookup_label="SwansonBM_lateralSeptalNucleusCaudalPartDorsalZoneRostralRegion",
    name="lateral septal nucleus, caudal part, dorsal zone, rostral region",
)
ParcellationEntity.swanson_bm_lateral_septal_nucleus_caudal_part_dorsal_zone_ventral_region = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_lateralSeptalNucleusCaudalPartDorsalZoneVentralRegion",
    abbreviation="LSc.d.v",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralSeptalNucleusCaudalPartDorsalZoneVentralRegion"
        }
    ],
    lookup_label="SwansonBM_lateralSeptalNucleusCaudalPartDorsalZoneVentralRegion",
    name="lateral septal nucleus, caudal part, dorsal zone, ventral region",
)
ParcellationEntity.swanson_bm_lateral_septal_nucleus_caudal_part_ventral_zone = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_lateralSeptalNucleusCaudalPartVentralZone",
    abbreviation="LSc.v",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralSeptalNucleusCaudalPartVentralZone"
        }
    ],
    lookup_label="SwansonBM_lateralSeptalNucleusCaudalPartVentralZone",
    name="lateral septal nucleus, caudal part, ventral zone",
)
ParcellationEntity.swanson_bm_lateral_septal_nucleus_caudal_part_ventral_zone_intermediate_region = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_lateralSeptalNucleusCaudalPartVentralZoneIntermediateRegion",
    abbreviation="LSc.v.i",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralSeptalNucleusCaudalPartVentralZoneIntermediateRegion"
        }
    ],
    lookup_label="SwansonBM_lateralSeptalNucleusCaudalPartVentralZoneIntermediateRegion",
    name="lateral septal nucleus, caudal part, ventral zone, intermediate region",
)
ParcellationEntity.swanson_bm_lateral_septal_nucleus_caudal_part_ventral_zone_lateral_region = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_lateralSeptalNucleusCaudalPartVentralZoneLateralRegion",
    abbreviation="LSc.v.l",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralSeptalNucleusCaudalPartVentralZoneLateralRegion"
        }
    ],
    lookup_label="SwansonBM_lateralSeptalNucleusCaudalPartVentralZoneLateralRegion",
    name="lateral septal nucleus, caudal part, ventral zone, lateral region",
)
ParcellationEntity.swanson_bm_lateral_septal_nucleus_caudal_part_ventral_zone_lateral_region_dorsal_domain = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_lateralSeptalNucleusCaudalPartVentralZoneLateralRegionDorsalDomain",
    abbreviation="LSc.v.l.d",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralSeptalNucleusCaudalPartVentralZoneLateralRegionDorsalDomain"
        }
    ],
    lookup_label="SwansonBM_lateralSeptalNucleusCaudalPartVentralZoneLateralRegionDorsalDomain",
    name="lateral septal nucleus, caudal part, ventral zone, lateral region, dorsal domain",
)
ParcellationEntity.swanson_bm_lateral_septal_nucleus_caudal_part_ventral_zone_lateral_region_ventral_domain = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_lateralSeptalNucleusCaudalPartVentralZoneLateralRegionVentralDomain",
    abbreviation="LSc.v.l.v",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralSeptalNucleusCaudalPartVentralZoneLateralRegionVentralDomain"
        }
    ],
    lookup_label="SwansonBM_lateralSeptalNucleusCaudalPartVentralZoneLateralRegionVentralDomain",
    name="lateral septal nucleus, caudal part, ventral zone, lateral region, ventral domain",
)
ParcellationEntity.swanson_bm_lateral_septal_nucleus_caudal_part_ventral_zone_medial_region = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_lateralSeptalNucleusCaudalPartVentralZoneMedialRegion",
    abbreviation="LSc.v.m",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralSeptalNucleusCaudalPartVentralZoneMedialRegion"
        }
    ],
    lookup_label="SwansonBM_lateralSeptalNucleusCaudalPartVentralZoneMedialRegion",
    name="lateral septal nucleus, caudal part, ventral zone, medial region",
)
ParcellationEntity.swanson_bm_lateral_septal_nucleus_caudal_part_ventral_zone_medial_region_dorsal_domain = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_lateralSeptalNucleusCaudalPartVentralZoneMedialRegionDorsalDomain",
    abbreviation="LSc.v.m.d",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralSeptalNucleusCaudalPartVentralZoneMedialRegionDorsalDomain"
        }
    ],
    lookup_label="SwansonBM_lateralSeptalNucleusCaudalPartVentralZoneMedialRegionDorsalDomain",
    name="lateral septal nucleus, caudal part, ventral zone, medial region, dorsal domain",
)
ParcellationEntity.swanson_bm_lateral_septal_nucleus_caudal_part_ventral_zone_medial_region_ventral_domain = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_lateralSeptalNucleusCaudalPartVentralZoneMedialRegionVentralDomain",
    abbreviation="LSc.v.m.v",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralSeptalNucleusCaudalPartVentralZoneMedialRegionVentralDomain"
        }
    ],
    lookup_label="SwansonBM_lateralSeptalNucleusCaudalPartVentralZoneMedialRegionVentralDomain",
    name="lateral septal nucleus, caudal part, ventral zone, medial region, ventral domain",
)
ParcellationEntity.swanson_bm_lateral_septal_nucleus_rostral_part_dorsolateral_zone = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_lateralSeptalNucleusRostralPartDorsolateralZone",
    abbreviation="LSr.dl",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralSeptalNucleusRostralPartDorsolateralZone"
        }
    ],
    lookup_label="SwansonBM_lateralSeptalNucleusRostralPartDorsolateralZone",
    name="lateral septal nucleus, rostral part, dorsolateral zone",
)
ParcellationEntity.swanson_bm_lateral_septal_nucleus_rostral_part_dorsolateral_zone_lateral_region = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_lateralSeptalNucleusRostralPartDorsolateralZoneLateralRegion",
    abbreviation="LSr.dl.l",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralSeptalNucleusRostralPartDorsolateralZoneLateralRegion"
        }
    ],
    lookup_label="SwansonBM_lateralSeptalNucleusRostralPartDorsolateralZoneLateralRegion",
    name="lateral septal nucleus, rostral part, dorsolateral zone, lateral region",
)
ParcellationEntity.swanson_bm_lateral_septal_nucleus_rostral_part_dorsolateral_zone_lateral_region_dorsal_domain = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_lateralSeptalNucleusRostralPartDorsolateralZoneLateralRegionDorsalDomain",
    abbreviation="LSr.dl.l.d",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralSeptalNucleusRostralPartDorsolateralZoneLateralRegionDorsalDomain"
        }
    ],
    lookup_label="SwansonBM_lateralSeptalNucleusRostralPartDorsolateralZoneLateralRegionDorsalDomain",
    name="lateral septal nucleus, rostral part, dorsolateral zone, lateral region, dorsal domain",
)
ParcellationEntity.swanson_bm_lateral_septal_nucleus_rostral_part_dorsolateral_zone_lateral_region_ventral_domain = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_lateralSeptalNucleusRostralPartDorsolateralZoneLateralRegionVentralDomain",
    abbreviation="LSr.dl.l.v",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralSeptalNucleusRostralPartDorsolateralZoneLateralRegionVentralDomain"
        }
    ],
    lookup_label="SwansonBM_lateralSeptalNucleusRostralPartDorsolateralZoneLateralRegionVentralDomain",
    name="lateral septal nucleus, rostral part, dorsolateral zone, lateral region, ventral domain",
)
ParcellationEntity.swanson_bm_lateral_septal_nucleus_rostral_part_dorsolateral_zone_medial_region = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_lateralSeptalNucleusRostralPartDorsolateralZoneMedialRegion",
    abbreviation="LSr.dl.m",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralSeptalNucleusRostralPartDorsolateralZoneMedialRegion"
        }
    ],
    lookup_label="SwansonBM_lateralSeptalNucleusRostralPartDorsolateralZoneMedialRegion",
    name="lateral septal nucleus, rostral part, dorsolateral zone, medial region",
)
ParcellationEntity.swanson_bm_lateral_septal_nucleus_rostral_part_dorsolateral_zone_medial_region_dorsal_domain = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_lateralSeptalNucleusRostralPartDorsolateralZoneMedialRegionDorsalDomain",
    abbreviation="LSr.dl.m.d",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralSeptalNucleusRostralPartDorsolateralZoneMedialRegionDorsalDomain"
        }
    ],
    lookup_label="SwansonBM_lateralSeptalNucleusRostralPartDorsolateralZoneMedialRegionDorsalDomain",
    name="lateral septal nucleus, rostral part, dorsolateral zone, medial region, dorsal domain",
)
ParcellationEntity.swanson_bm_lateral_septal_nucleus_rostral_part_dorsolateral_zone_medial_region_ventral_domain = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_lateralSeptalNucleusRostralPartDorsolateralZoneMedialRegionVentralDomain",
    abbreviation="LSr.dl.m.v",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralSeptalNucleusRostralPartDorsolateralZoneMedialRegionVentralDomain"
        }
    ],
    lookup_label="SwansonBM_lateralSeptalNucleusRostralPartDorsolateralZoneMedialRegionVentralDomain",
    name="lateral septal nucleus, rostral part, dorsolateral zone, medial region, ventral domain",
)
ParcellationEntity.swanson_bm_lateral_septal_nucleus_rostral_part_medial_zone = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_lateralSeptalNucleusRostralPartMedialZone",
    abbreviation="LSr.m",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralSeptalNucleusRostralPartMedialZone"
        }
    ],
    lookup_label="SwansonBM_lateralSeptalNucleusRostralPartMedialZone",
    name="lateral septal nucleus, rostral part, medial zone",
)
ParcellationEntity.swanson_bm_lateral_septal_nucleus_rostral_part_medial_zone_dorsal_region = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_lateralSeptalNucleusRostralPartMedialZoneDorsalRegion",
    abbreviation="LSr.m.d",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralSeptalNucleusRostralPartMedialZoneDorsalRegion"
        }
    ],
    lookup_label="SwansonBM_lateralSeptalNucleusRostralPartMedialZoneDorsalRegion",
    name="lateral septal nucleus, rostral part, medial zone, dorsal region",
)
ParcellationEntity.swanson_bm_lateral_septal_nucleus_rostral_part_medial_zone_ventral_region = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_lateralSeptalNucleusRostralPartMedialZoneVentralRegion",
    abbreviation="LSr.m.v",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralSeptalNucleusRostralPartMedialZoneVentralRegion"
        }
    ],
    lookup_label="SwansonBM_lateralSeptalNucleusRostralPartMedialZoneVentralRegion",
    name="lateral septal nucleus, rostral part, medial zone, ventral region",
)
ParcellationEntity.swanson_bm_lateral_septal_nucleus_rostral_part_medial_zone_ventral_region_caudal_domain = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_lateralSeptalNucleusRostralPartMedialZoneVentralRegionCaudalDomain",
    abbreviation="LSr.m.v.c",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralSeptalNucleusRostralPartMedialZoneVentralRegionCaudalDomain"
        }
    ],
    lookup_label="SwansonBM_lateralSeptalNucleusRostralPartMedialZoneVentralRegionCaudalDomain",
    name="lateral septal nucleus, rostral part, medial zone, ventral region, caudal domain",
)
ParcellationEntity.swanson_bm_lateral_septal_nucleus_rostral_part_medial_zone_ventral_region_rostral_domain = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_lateralSeptalNucleusRostralPartMedialZoneVentralRegionRostralDomain",
    abbreviation="LSr.m.v.r",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralSeptalNucleusRostralPartMedialZoneVentralRegionRostralDomain"
        }
    ],
    lookup_label="SwansonBM_lateralSeptalNucleusRostralPartMedialZoneVentralRegionRostralDomain",
    name="lateral septal nucleus, rostral part, medial zone, ventral region, rostral domain",
)
ParcellationEntity.swanson_bm_lateral_septal_nucleus_rostral_part_ventrolateral_zone = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_lateralSeptalNucleusRostralPartVentrolateralZone",
    abbreviation="LSr.vl",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralSeptalNucleusRostralPartVentrolateralZone"
        }
    ],
    lookup_label="SwansonBM_lateralSeptalNucleusRostralPartVentrolateralZone",
    name="lateral septal nucleus, rostral part, ventrolateral zone",
)
ParcellationEntity.swanson_bm_lateral_septal_nucleus_rostral_part_ventrolateral_zone_dorsal_region = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_lateralSeptalNucleusRostralPartVentrolateralZoneDorsalRegion",
    abbreviation="LSr.vl.d",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralSeptalNucleusRostralPartVentrolateralZoneDorsalRegion"
        }
    ],
    lookup_label="SwansonBM_lateralSeptalNucleusRostralPartVentrolateralZoneDorsalRegion",
    name="lateral septal nucleus, rostral part, ventrolateral zone, dorsal region",
)
ParcellationEntity.swanson_bm_lateral_septal_nucleus_rostral_part_ventrolateral_zone_dorsal_region_lateral_domain = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_lateralSeptalNucleusRostralPartVentrolateralZoneDorsalRegionLateralDomain",
    abbreviation="LSr.vl.d.l",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralSeptalNucleusRostralPartVentrolateralZoneDorsalRegionLateralDomain"
        }
    ],
    lookup_label="SwansonBM_lateralSeptalNucleusRostralPartVentrolateralZoneDorsalRegionLateralDomain",
    name="lateral septal nucleus, rostral part, ventrolateral zone, dorsal region, lateral domain",
)
ParcellationEntity.swanson_bm_lateral_septal_nucleus_rostral_part_ventrolateral_zone_dorsal_region_medial_domain = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_lateralSeptalNucleusRostralPartVentrolateralZoneDorsalRegionMedialDomain",
    abbreviation="LSr.vl.d.m",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralSeptalNucleusRostralPartVentrolateralZoneDorsalRegionMedialDomain"
        }
    ],
    lookup_label="SwansonBM_lateralSeptalNucleusRostralPartVentrolateralZoneDorsalRegionMedialDomain",
    name="lateral septal nucleus, rostral part, ventrolateral zone, dorsal region, medial domain",
)
ParcellationEntity.swanson_bm_lateral_septal_nucleus_rostral_part_ventrolateral_zone_ventral_region = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_lateralSeptalNucleusRostralPartVentrolateralZoneVentralRegion",
    abbreviation="LSr.vl.v",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralSeptalNucleusRostralPartVentrolateralZoneVentralRegion"
        }
    ],
    lookup_label="SwansonBM_lateralSeptalNucleusRostralPartVentrolateralZoneVentralRegion",
    name="lateral septal nucleus, rostral part, ventrolateral zone, ventral region",
)
ParcellationEntity.swanson_bm_lateral_septal_nucleus_rostral_rostroventral_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_lateralSeptalNucleusRostralRostroventralPart",
    abbreviation="LSr",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralSeptalNucleusRostralRostroventralPart"
        }
    ],
    lookup_label="SwansonBM_lateralSeptalNucleusRostralRostroventralPart",
    name="lateral septal nucleus, rostral (rostroventral) part",
)
ParcellationEntity.swanson_bm_lateral_septal_nucleus_ventral_part_risold_swanson = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_lateralSeptalNucleusVentralPartRisoldSwanson",
    abbreviation="LSv",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralSeptalNucleusVentralPartRisoldSwanson"
        }
    ],
    lookup_label="SwansonBM_lateralSeptalNucleusVentralPartRisoldSwanson",
    name="lateral septal nucleus, ventral part [Risold-Swanson]",
)
ParcellationEntity.swanson_bm_lateral_spinal_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_lateralSpinalNucleus",
    abbreviation="LSN",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralSpinalNucleus"
        }
    ],
    lookup_label="SwansonBM_lateralSpinalNucleus",
    name="lateral spinal nucleus",
)
ParcellationEntity.swanson_bm_lateral_spinothalamic_tract = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_lateralSpinothalamicTract",
    abbreviation="sttl",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralSpinothalamicTract"
        }
    ],
    lookup_label="SwansonBM_lateralSpinothalamicTract",
    name="lateral spinothalamic tract",
)
ParcellationEntity.swanson_bm_lateral_tegmental_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_lateralTegmentalNucleus",
    abbreviation="LTN",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralTegmentalNucleus"
        }
    ],
    lookup_label="SwansonBM_lateralTegmentalNucleus",
    name="lateral tegmental nucleus",
)
ParcellationEntity.swanson_bm_lateral_terminal_nucleus_accessory_optic_tract = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_lateralTerminalNucleusAccessoryOpticTract",
    abbreviation="LT",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralTerminalNucleusAccessoryOpticTract"
        }
    ],
    lookup_label="SwansonBM_lateralTerminalNucleusAccessoryOpticTract",
    name="lateral terminal nucleus accessory optic tract",
)
ParcellationEntity.swanson_bm_lateral_ventricle = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_lateralVentricle",
    abbreviation="VL",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralVentricle"}
    ],
    lookup_label="SwansonBM_lateralVentricle",
    name="lateral ventricle",
)
ParcellationEntity.swanson_bm_lateral_vestibular_nucleus_deiters = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_lateralVestibularNucleusDeiters",
    abbreviation="LAV",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralVestibularNucleusDeiters"
        }
    ],
    lookup_label="SwansonBM_lateralVestibularNucleusDeiters",
    name="lateral vestibular nucleus [Deiters]",
)
ParcellationEntity.swanson_bm_laterodorsal_tegmental_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_laterodorsalTegmentalNucleus",
    abbreviation="LDT",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_laterodorsalTegmentalNucleus"
        }
    ],
    lookup_label="SwansonBM_laterodorsalTegmentalNucleus",
    name="laterodorsal tegmental nucleus",
)
ParcellationEntity.swanson_bm_laterolateral_visual_area = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_laterolateralVisualArea",
    abbreviation="VISll",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_laterolateralVisualArea"
        }
    ],
    lookup_label="SwansonBM_laterolateralVisualArea",
    name="laterolateral visual area",
)
ParcellationEntity.swanson_bm_linear_nucleus_medulla = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_linearNucleusMedulla",
    abbreviation="LIN",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_linearNucleusMedulla"
        }
    ],
    lookup_label="SwansonBM_linearNucleusMedulla",
    name="linear nucleus medulla",
)
ParcellationEntity.swanson_bm_lingula_i = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_lingulaI",
    abbreviation="LING",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lingulaI"}
    ],
    lookup_label="SwansonBM_lingulaI",
    name="lingula (I)",
)
ParcellationEntity.swanson_bm_locus_ceruleus_vicq_d_azyr = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_locusCeruleusVicqDAzyr",
    abbreviation="LC",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_locusCeruleusVicqDAzyr"
        }
    ],
    lookup_label="SwansonBM_locusCeruleusVicqDAzyr",
    name="locus ceruleus [Vicq d’Azyr]",
)
ParcellationEntity.swanson_bm_longitudinal_association_bundle = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_longitudinalAssociationBundle",
    abbreviation="lab",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_longitudinalAssociationBundle"
        }
    ],
    lookup_label="SwansonBM_longitudinalAssociationBundle",
    name="longitudinal association bundle",
)
ParcellationEntity.swanson_bm_lumbar_spinal_ganglia16 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_lumbarSpinalGanglia16",
    abbreviation="G-L1-6",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lumbarSpinalGanglia16"
        }
    ],
    lookup_label="SwansonBM_lumbarSpinalGanglia16",
    name="lumbar spinal ganglia, 1-6",
)
ParcellationEntity.swanson_bm_lumbar_sympathetic_ganglia16 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_lumbarSympatheticGanglia16",
    abbreviation="Gs-L1-6",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lumbarSympatheticGanglia16"
        }
    ],
    lookup_label="SwansonBM_lumbarSympatheticGanglia16",
    name="lumbar sympathetic ganglia, 1-6",
)
ParcellationEntity.swanson_bm_lumbosacral_plexus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_lumbosacralPlexus",
    abbreviation="lsp",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lumbosacralPlexus"}
    ],
    lookup_label="SwansonBM_lumbosacralPlexus",
    name="lumbosacral plexus",
)
ParcellationEntity.swanson_bm_magnocellular_nucleus_loo = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_magnocellularNucleusLoo",
    abbreviation="MA",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_magnocellularNucleusLoo"
        }
    ],
    lookup_label="SwansonBM_magnocellularNucleusLoo",
    name="magnocellular nucleus [Loo]",
)
ParcellationEntity.swanson_bm_magnocellular_reticular_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_magnocellularReticularNucleus",
    abbreviation="MARN",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_magnocellularReticularNucleus"
        }
    ],
    lookup_label="SwansonBM_magnocellularReticularNucleus",
    name="magnocellular reticular nucleus",
)
ParcellationEntity.swanson_bm_main_olfactory_bulb_glomerular_layer = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_mainOlfactoryBulbGlomerularLayer",
    abbreviation="MOBgl",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_mainOlfactoryBulbGlomerularLayer"
        }
    ],
    lookup_label="SwansonBM_mainOlfactoryBulbGlomerularLayer",
    name="main olfactory bulb, glomerular layer",
)
ParcellationEntity.swanson_bm_main_olfactory_bulb_granule_cell_layer = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_mainOlfactoryBulbGranuleCellLayer",
    abbreviation="MOBgr",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_mainOlfactoryBulbGranuleCellLayer"
        }
    ],
    lookup_label="SwansonBM_mainOlfactoryBulbGranuleCellLayer",
    name="main olfactory bulb, granule cell layer",
)
ParcellationEntity.swanson_bm_main_olfactory_bulb_inner_plexiform_layer = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_mainOlfactoryBulbInnerPlexiformLayer",
    abbreviation="MOBipl",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_mainOlfactoryBulbInnerPlexiformLayer"
        }
    ],
    lookup_label="SwansonBM_mainOlfactoryBulbInnerPlexiformLayer",
    name="main olfactory bulb, inner plexiform layer",
)
ParcellationEntity.swanson_bm_main_olfactory_bulb_mitral_layer = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_mainOlfactoryBulbMitralLayer",
    abbreviation="MOBmi",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_mainOlfactoryBulbMitralLayer"
        }
    ],
    lookup_label="SwansonBM_mainOlfactoryBulbMitralLayer",
    name="main olfactory bulb, mitral layer",
)
ParcellationEntity.swanson_bm_main_olfactory_bulb_outer_plexiform_layer = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_mainOlfactoryBulbOuterPlexiformLayer",
    abbreviation="MOBopl",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_mainOlfactoryBulbOuterPlexiformLayer"
        }
    ],
    lookup_label="SwansonBM_mainOlfactoryBulbOuterPlexiformLayer",
    name="main olfactory bulb, outer plexiform layer",
)
ParcellationEntity.swanson_bm_main_olfactory_bulb_soemmerring = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_mainOlfactoryBulbSoemmerring",
    abbreviation="MOB",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_mainOlfactoryBulbSoemmerring"
        }
    ],
    lookup_label="SwansonBM_mainOlfactoryBulbSoemmerring",
    name="main olfactory bulb [Soemmerring]",
)
ParcellationEntity.swanson_bm_major_island_of_calleja_olfactory_tubercle = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_majorIslandOfCallejaOlfactoryTubercle",
    abbreviation="islm",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_majorIslandOfCallejaOlfactoryTubercle"
        }
    ],
    lookup_label="SwansonBM_majorIslandOfCallejaOlfactoryTubercle",
    name="major island of Calleja (olfactory tubercle)",
)
ParcellationEntity.swanson_bm_mammillary_body_gall_spurzheim = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_mammillaryBodyGallSpurzheim",
    abbreviation="MBO",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_mammillaryBodyGallSpurzheim"
        }
    ],
    lookup_label="SwansonBM_mammillaryBodyGallSpurzheim",
    name="mammillary body [Gall-Spurzheim]",
)
ParcellationEntity.swanson_bm_mammillary_peduncle_meynert = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_mammillaryPeduncleMeynert",
    abbreviation="mp",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_mammillaryPeduncleMeynert"
        }
    ],
    lookup_label="SwansonBM_mammillaryPeduncleMeynert",
    name="mammillary peduncle [Meynert]",
)
ParcellationEntity.swanson_bm_mammillotegmental_tract_gudden = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_mammillotegmentalTractGudden",
    abbreviation="mtg",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_mammillotegmentalTractGudden"
        }
    ],
    lookup_label="SwansonBM_mammillotegmentalTractGudden",
    name="mammillotegmental tract [Gudden]",
)
ParcellationEntity.swanson_bm_mammillothalamic_tract_vicq_d_azyr = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_mammillothalamicTractVicqDAzyr",
    abbreviation="mtt",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_mammillothalamicTractVicqDAzyr"
        }
    ],
    lookup_label="SwansonBM_mammillothalamicTractVicqDAzyr",
    name="mammillothalamic tract [Vicq d'Azyr]",
)
ParcellationEntity.swanson_bm_marginal_zone_spinal_cord_waldeyer = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_marginalZoneSpinalCordWaldeyer",
    abbreviation="MZ",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_marginalZoneSpinalCordWaldeyer"
        }
    ],
    lookup_label="SwansonBM_marginalZoneSpinalCordWaldeyer",
    name="marginal zone spinal cord [Waldeyer]",
)
ParcellationEntity.swanson_bm_medial_accessory_oculomotor_nucleus_bechterew = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_medialAccessoryOculomotorNucleusBechterew",
    abbreviation="MAN",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_medialAccessoryOculomotorNucleusBechterew"
        }
    ],
    lookup_label="SwansonBM_medialAccessoryOculomotorNucleusBechterew",
    name="medial accessory oculomotor nucleus [Bechterew]",
)
ParcellationEntity.swanson_bm_medial_amygdalar_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_medialAmygdalarNucleus",
    abbreviation="MEA",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_medialAmygdalarNucleus"
        }
    ],
    lookup_label="SwansonBM_medialAmygdalarNucleus",
    name="medial amygdalar nucleus",
)
ParcellationEntity.swanson_bm_medial_amygdalar_nucleus_anterodorsal_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_medialAmygdalarNucleusAnterodorsalPart",
    abbreviation="MEAad",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_medialAmygdalarNucleusAnterodorsalPart"
        }
    ],
    lookup_label="SwansonBM_medialAmygdalarNucleusAnterodorsalPart",
    name="medial amygdalar nucleus, anterodorsal part",
)
ParcellationEntity.swanson_bm_medial_amygdalar_nucleus_anteroventral_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_medialAmygdalarNucleusAnteroventralPart",
    abbreviation="MEAav",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_medialAmygdalarNucleusAnteroventralPart"
        }
    ],
    lookup_label="SwansonBM_medialAmygdalarNucleusAnteroventralPart",
    name="medial amygdalar nucleus, anteroventral part",
)
ParcellationEntity.swanson_bm_medial_amygdalar_nucleus_posterodorsal_part_sublayers_ac = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_medialAmygdalarNucleusPosterodorsalPartSublayersAc",
    abbreviation="MEApd-a,b,c",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_medialAmygdalarNucleusPosterodorsalPartSublayersAc"
        }
    ],
    lookup_label="SwansonBM_medialAmygdalarNucleusPosterodorsalPartSublayersAc",
    name="medial amygdalar nucleus, posterodorsal part, sublayers a-c",
)
ParcellationEntity.swanson_bm_medial_amygdalar_nucleus_posteroventral_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_medialAmygdalarNucleusPosteroventralPart",
    abbreviation="MEApv",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_medialAmygdalarNucleusPosteroventralPart"
        }
    ],
    lookup_label="SwansonBM_medialAmygdalarNucleusPosteroventralPart",
    name="medial amygdalar nucleus, posteroventral part",
)
ParcellationEntity.swanson_bm_medial_corticohypothalamic_tract = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_medialCorticohypothalamicTract",
    abbreviation="mct",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_medialCorticohypothalamicTract"
        }
    ],
    lookup_label="SwansonBM_medialCorticohypothalamicTract",
    name="medial corticohypothalamic tract",
)
ParcellationEntity.swanson_bm_medial_forebrain_bundle_edinger = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_medialForebrainBundleEdinger",
    abbreviation="mfb",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_medialForebrainBundleEdinger"
        }
    ],
    lookup_label="SwansonBM_medialForebrainBundleEdinger",
    name="medial forebrain bundle [Edinger]",
)
ParcellationEntity.swanson_bm_medial_forebrain_bundle_system = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_medialForebrainBundleSystem",
    abbreviation="mfbs",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_medialForebrainBundleSystem"
        }
    ],
    lookup_label="SwansonBM_medialForebrainBundleSystem",
    name="medial forebrain bundle system",
)
ParcellationEntity.swanson_bm_medial_forebrain_bundle_system_cerebrum_related = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_medialForebrainBundleSystemCerebrumRelated",
    abbreviation="mfbsc",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_medialForebrainBundleSystemCerebrumRelated"
        }
    ],
    lookup_label="SwansonBM_medialForebrainBundleSystemCerebrumRelated",
    name="medial forebrain bundle system, cerebrum related",
)
ParcellationEntity.swanson_bm_medial_forebrain_bundle_system_epithalamus_related = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_medialForebrainBundleSystemEpithalamusRelated",
    abbreviation="mfbse",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_medialForebrainBundleSystemEpithalamusRelated"
        }
    ],
    lookup_label="SwansonBM_medialForebrainBundleSystemEpithalamusRelated",
    name="medial forebrain bundle system, epithalamus related",
)
ParcellationEntity.swanson_bm_medial_forebrain_bundle_system_hypothalamus_related = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_medialForebrainBundleSystemHypothalamusRelated",
    abbreviation="mfbshy",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_medialForebrainBundleSystemHypothalamusRelated"
        }
    ],
    lookup_label="SwansonBM_medialForebrainBundleSystemHypothalamusRelated",
    name="medial forebrain bundle system, hypothalamus related",
)
ParcellationEntity.swanson_bm_medial_forebrain_bundle_system_mammillary_related = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_medialForebrainBundleSystemMammillaryRelated",
    abbreviation="mfbsma",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_medialForebrainBundleSystemMammillaryRelated"
        }
    ],
    lookup_label="SwansonBM_medialForebrainBundleSystemMammillaryRelated",
    name="medial forebrain bundle system, mammillary related",
)
ParcellationEntity.swanson_bm_medial_forebrain_bundle_system_midbrain_related = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_medialForebrainBundleSystemMidbrainRelated",
    abbreviation="mfbsm",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_medialForebrainBundleSystemMidbrainRelated"
        }
    ],
    lookup_label="SwansonBM_medialForebrainBundleSystemMidbrainRelated",
    name="medial forebrain bundle system, midbrain related",
)
ParcellationEntity.swanson_bm_medial_forebrain_bundle_system_thalamus_related = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_medialForebrainBundleSystemThalamusRelated",
    abbreviation="mfbst",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_medialForebrainBundleSystemThalamusRelated"
        }
    ],
    lookup_label="SwansonBM_medialForebrainBundleSystemThalamusRelated",
    name="medial forebrain bundle system, thalamus related",
)
ParcellationEntity.swanson_bm_medial_geniculate_complex = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_medialGeniculateComplex",
    abbreviation="MG",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_medialGeniculateComplex"
        }
    ],
    lookup_label="SwansonBM_medialGeniculateComplex",
    name="medial geniculate complex",
)
ParcellationEntity.swanson_bm_medial_geniculate_complex_dorsal_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_medialGeniculateComplexDorsalPart",
    abbreviation="MGd",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_medialGeniculateComplexDorsalPart"
        }
    ],
    lookup_label="SwansonBM_medialGeniculateComplexDorsalPart",
    name="medial geniculate complex, dorsal part",
)
ParcellationEntity.swanson_bm_medial_geniculate_complex_medial_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_medialGeniculateComplexMedialPart",
    abbreviation="MGm",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_medialGeniculateComplexMedialPart"
        }
    ],
    lookup_label="SwansonBM_medialGeniculateComplexMedialPart",
    name="medial geniculate complex, medial part",
)
ParcellationEntity.swanson_bm_medial_geniculate_complex_ventral_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_medialGeniculateComplexVentralPart",
    abbreviation="MGv",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_medialGeniculateComplexVentralPart"
        }
    ],
    lookup_label="SwansonBM_medialGeniculateComplexVentralPart",
    name="medial geniculate complex, ventral part",
)
ParcellationEntity.swanson_bm_medial_habenula_dorsal_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_medialHabenulaDorsalPart",
    abbreviation="MHd",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_medialHabenulaDorsalPart"
        }
    ],
    lookup_label="SwansonBM_medialHabenulaDorsalPart",
    name="medial habenula, dorsal part",
)
ParcellationEntity.swanson_bm_medial_habenula_nissl = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_medialHabenulaNissl",
    abbreviation="MH",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_medialHabenulaNissl"
        }
    ],
    lookup_label="SwansonBM_medialHabenulaNissl",
    name="medial habenula [Nissl]",
)
ParcellationEntity.swanson_bm_medial_habenula_ventral_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_medialHabenulaVentralPart",
    abbreviation="MHv",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_medialHabenulaVentralPart"
        }
    ],
    lookup_label="SwansonBM_medialHabenulaVentralPart",
    name="medial habenula, ventral part",
)
ParcellationEntity.swanson_bm_medial_lemniscus_reil = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_medialLemniscusReil",
    abbreviation="ml",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_medialLemniscusReil"
        }
    ],
    lookup_label="SwansonBM_medialLemniscusReil",
    name="medial lemniscus [Reil]",
)
ParcellationEntity.swanson_bm_medial_longitudinal_fascicle = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_medialLongitudinalFascicle",
    abbreviation="mlf",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_medialLongitudinalFascicle"
        }
    ],
    lookup_label="SwansonBM_medialLongitudinalFascicle",
    name="medial longitudinal fascicle",
)
ParcellationEntity.swanson_bm_medial_mammillary_nucleus_body = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_medialMammillaryNucleusBody",
    abbreviation="MM",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_medialMammillaryNucleusBody"
        }
    ],
    lookup_label="SwansonBM_medialMammillaryNucleusBody",
    name="medial mammillary nucleus, body",
)
ParcellationEntity.swanson_bm_medial_mammillary_nucleus_general_gudden = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_medialMammillaryNucleusGeneralGudden",
    abbreviation="MMg",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_medialMammillaryNucleusGeneralGudden"
        }
    ],
    lookup_label="SwansonBM_medialMammillaryNucleusGeneralGudden",
    name="medial mammillary nucleus, general [Gudden]",
)
ParcellationEntity.swanson_bm_medial_mammillary_nucleus_median_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_medialMammillaryNucleusMedianPart",
    abbreviation="MMme",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_medialMammillaryNucleusMedianPart"
        }
    ],
    lookup_label="SwansonBM_medialMammillaryNucleusMedianPart",
    name="medial mammillary nucleus, median part",
)
ParcellationEntity.swanson_bm_medial_nuclei_dorsal_thalamus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_medialNucleiDorsalThalamus",
    abbreviation="MED",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_medialNucleiDorsalThalamus"
        }
    ],
    lookup_label="SwansonBM_medialNucleiDorsalThalamus",
    name="medial nuclei, dorsal thalamus",
)
ParcellationEntity.swanson_bm_medial_preoptic_area = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_medialPreopticArea",
    abbreviation="MPO",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_medialPreopticArea"}
    ],
    lookup_label="SwansonBM_medialPreopticArea",
    name="medial preoptic area",
)
ParcellationEntity.swanson_bm_medial_preoptic_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_medialPreopticNucleus",
    abbreviation="MPN",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_medialPreopticNucleus"
        }
    ],
    lookup_label="SwansonBM_medialPreopticNucleus",
    name="medial preoptic nucleus",
)
ParcellationEntity.swanson_bm_medial_preoptic_nucleus_central_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_medialPreopticNucleusCentralPart",
    abbreviation="MPNc",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_medialPreopticNucleusCentralPart"
        }
    ],
    lookup_label="SwansonBM_medialPreopticNucleusCentralPart",
    name="medial preoptic nucleus, central part",
)
ParcellationEntity.swanson_bm_medial_preoptic_nucleus_lateral_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_medialPreopticNucleusLateralPart",
    abbreviation="MPNl",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_medialPreopticNucleusLateralPart"
        }
    ],
    lookup_label="SwansonBM_medialPreopticNucleusLateralPart",
    name="medial preoptic nucleus, lateral part",
)
ParcellationEntity.swanson_bm_medial_preoptic_nucleus_medial_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_medialPreopticNucleusMedialPart",
    abbreviation="MPNm",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_medialPreopticNucleusMedialPart"
        }
    ],
    lookup_label="SwansonBM_medialPreopticNucleusMedialPart",
    name="medial preoptic nucleus, medial part",
)
ParcellationEntity.swanson_bm_medial_pretectal_area = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_medialPretectalArea",
    abbreviation="MPT",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_medialPretectalArea"
        }
    ],
    lookup_label="SwansonBM_medialPretectalArea",
    name="medial pretectal area",
)
ParcellationEntity.swanson_bm_medial_propriohypothalamic_pathways = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_medialPropriohypothalamicPathways",
    abbreviation="phpm",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_medialPropriohypothalamicPathways"
        }
    ],
    lookup_label="SwansonBM_medialPropriohypothalamicPathways",
    name="medial propriohypothalamic pathways",
)
ParcellationEntity.swanson_bm_medial_septal_complex = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_medialSeptalComplex",
    abbreviation="MSC",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_medialSeptalComplex"
        }
    ],
    lookup_label="SwansonBM_medialSeptalComplex",
    name="medial septal complex",
)
ParcellationEntity.swanson_bm_medial_septal_nucleus_cajal = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_medialSeptalNucleusCajal",
    abbreviation="MS",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_medialSeptalNucleusCajal"
        }
    ],
    lookup_label="SwansonBM_medialSeptalNucleusCajal",
    name="medial septal nucleus [Cajal]",
)
ParcellationEntity.swanson_bm_medial_terminal_nucleus_accessory_optic_tract_edinger = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_medialTerminalNucleusAccessoryOpticTractEdinger",
    abbreviation="MT",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_medialTerminalNucleusAccessoryOpticTractEdinger"
        }
    ],
    lookup_label="SwansonBM_medialTerminalNucleusAccessoryOpticTractEdinger",
    name="medial terminal nucleus accessory optic tract [Edinger]",
)
ParcellationEntity.swanson_bm_medial_vestibular_nucleus_schwalbe = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_medialVestibularNucleusSchwalbe",
    abbreviation="MV",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_medialVestibularNucleusSchwalbe"
        }
    ],
    lookup_label="SwansonBM_medialVestibularNucleusSchwalbe",
    name="medial vestibular nucleus [Schwalbe]",
)
ParcellationEntity.swanson_bm_median_aperture_fourth_ventricle_magendie = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_medianApertureFourthVentricleMagendie",
    abbreviation="MAP",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_medianApertureFourthVentricleMagendie"
        }
    ],
    lookup_label="SwansonBM_medianApertureFourthVentricleMagendie",
    name="median aperture, fourth ventricle [Magendie]",
)
ParcellationEntity.swanson_bm_median_eminence = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_medianEminence",
    abbreviation="ME",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_medianEminence"}
    ],
    lookup_label="SwansonBM_medianEminence",
    name="median eminence",
)
ParcellationEntity.swanson_bm_median_eminence_external_lamina = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_medianEminenceExternalLamina",
    abbreviation="MEex",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_medianEminenceExternalLamina"
        }
    ],
    lookup_label="SwansonBM_medianEminenceExternalLamina",
    name="median eminence, external lamina",
)
ParcellationEntity.swanson_bm_median_eminence_internal_lamina = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_medianEminenceInternalLamina",
    abbreviation="MEin",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_medianEminenceInternalLamina"
        }
    ],
    lookup_label="SwansonBM_medianEminenceInternalLamina",
    name="median eminence, internal lamina",
)
ParcellationEntity.swanson_bm_median_preoptic_nucleus_loo = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_medianPreopticNucleusLoo",
    abbreviation="MEPO",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_medianPreopticNucleusLoo"
        }
    ],
    lookup_label="SwansonBM_medianPreopticNucleusLoo",
    name="median preoptic nucleus [Loo]",
)
ParcellationEntity.swanson_bm_mediodorsal_nucleus_thalamus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_mediodorsalNucleusThalamus",
    abbreviation="MD",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_mediodorsalNucleusThalamus"
        }
    ],
    lookup_label="SwansonBM_mediodorsalNucleusThalamus",
    name="mediodorsal nucleus thalamus",
)
ParcellationEntity.swanson_bm_mediodorsal_nucleus_thalamus_central_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_mediodorsalNucleusThalamusCentralPart",
    abbreviation="MDc",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_mediodorsalNucleusThalamusCentralPart"
        }
    ],
    lookup_label="SwansonBM_mediodorsalNucleusThalamusCentralPart",
    name="mediodorsal nucleus thalamus, central part",
)
ParcellationEntity.swanson_bm_mediodorsal_nucleus_thalamus_lateral_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_mediodorsalNucleusThalamusLateralPart",
    abbreviation="MDl",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_mediodorsalNucleusThalamusLateralPart"
        }
    ],
    lookup_label="SwansonBM_mediodorsalNucleusThalamusLateralPart",
    name="mediodorsal nucleus thalamus, lateral part",
)
ParcellationEntity.swanson_bm_mediodorsal_nucleus_thalamus_medial_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_mediodorsalNucleusThalamusMedialPart",
    abbreviation="MDm",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_mediodorsalNucleusThalamusMedialPart"
        }
    ],
    lookup_label="SwansonBM_mediodorsalNucleusThalamusMedialPart",
    name="mediodorsal nucleus thalamus, medial part",
)
ParcellationEntity.swanson_bm_mediolateral_visual_area = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_mediolateralVisualArea",
    abbreviation="VISlm",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_mediolateralVisualArea"
        }
    ],
    lookup_label="SwansonBM_mediolateralVisualArea",
    name="mediolateral visual area",
)
ParcellationEntity.swanson_bm_medulla = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_medulla",
    abbreviation="MY",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_medulla"}
    ],
    lookup_label="SwansonBM_medulla",
    name="medulla",
)
ParcellationEntity.swanson_bm_medullary_reticular_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_medullaryReticularNucleus",
    abbreviation="MDRN",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_medullaryReticularNucleus"
        }
    ],
    lookup_label="SwansonBM_medullaryReticularNucleus",
    name="medullary reticular nucleus",
)
ParcellationEntity.swanson_bm_medullary_reticular_nucleus_dorsal_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_medullaryReticularNucleusDorsalPart",
    abbreviation="MDRNd",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_medullaryReticularNucleusDorsalPart"
        }
    ],
    lookup_label="SwansonBM_medullaryReticularNucleusDorsalPart",
    name="medullary reticular nucleus, dorsal part",
)
ParcellationEntity.swanson_bm_medullary_reticular_nucleus_ventral_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_medullaryReticularNucleusVentralPart",
    abbreviation="MDRNv",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_medullaryReticularNucleusVentralPart"
        }
    ],
    lookup_label="SwansonBM_medullaryReticularNucleusVentralPart",
    name="medullary reticular nucleus, ventral part",
)
ParcellationEntity.swanson_bm_meninges = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_meninges",
    abbreviation="MEN",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_meninges"}
    ],
    lookup_label="SwansonBM_meninges",
    name="meninges",
)
ParcellationEntity.swanson_bm_midbrain = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_midbrain",
    abbreviation="MB",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_midbrain"}
    ],
    lookup_label="SwansonBM_midbrain",
    name="midbrain",
)
ParcellationEntity.swanson_bm_midbrain_reticular_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_midbrainReticularNucleus",
    abbreviation="MRN",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_midbrainReticularNucleus"
        }
    ],
    lookup_label="SwansonBM_midbrainReticularNucleus",
    name="midbrain reticular nucleus",
)
ParcellationEntity.swanson_bm_midbrain_reticular_nucleus_magnocellular_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_midbrainReticularNucleusMagnocellularPart",
    abbreviation="MRNm",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_midbrainReticularNucleusMagnocellularPart"
        }
    ],
    lookup_label="SwansonBM_midbrainReticularNucleusMagnocellularPart",
    name="midbrain reticular nucleus, magnocellular part",
)
ParcellationEntity.swanson_bm_midbrain_reticular_nucleus_magnocellular_part_general = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_midbrainReticularNucleusMagnocellularPartGeneral",
    abbreviation="MRNmg",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_midbrainReticularNucleusMagnocellularPartGeneral"
        }
    ],
    lookup_label="SwansonBM_midbrainReticularNucleusMagnocellularPartGeneral",
    name="midbrain reticular nucleus, magnocellular part, general",
)
ParcellationEntity.swanson_bm_midbrain_reticular_nucleus_parvicellular_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_midbrainReticularNucleusParvicellularPart",
    abbreviation="MRNp",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_midbrainReticularNucleusParvicellularPart"
        }
    ],
    lookup_label="SwansonBM_midbrainReticularNucleusParvicellularPart",
    name="midbrain reticular nucleus, parvicellular part",
)
ParcellationEntity.swanson_bm_midbrain_reticular_nucleus_retrorubral_area = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_midbrainReticularNucleusRetrorubralArea",
    abbreviation="RR",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_midbrainReticularNucleusRetrorubralArea"
        }
    ],
    lookup_label="SwansonBM_midbrainReticularNucleusRetrorubralArea",
    name="midbrain reticular nucleus, retrorubral area",
)
ParcellationEntity.swanson_bm_midbrain_tract_of_the_trigeminal_nerve = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_midbrainTractOfTheTrigeminalNerve",
    abbreviation="mtV",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_midbrainTractOfTheTrigeminalNerve"
        }
    ],
    lookup_label="SwansonBM_midbrainTractOfTheTrigeminalNerve",
    name="midbrain tract of the trigeminal nerve",
)
ParcellationEntity.swanson_bm_midbrain_trigeminal_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_midbrainTrigeminalNucleus",
    abbreviation="MEV",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_midbrainTrigeminalNucleus"
        }
    ],
    lookup_label="SwansonBM_midbrainTrigeminalNucleus",
    name="midbrain trigeminal nucleus",
)
ParcellationEntity.swanson_bm_middle_cerebellar_peduncle = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_middleCerebellarPeduncle",
    abbreviation="mcp",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_middleCerebellarPeduncle"
        }
    ],
    lookup_label="SwansonBM_middleCerebellarPeduncle",
    name="middle cerebellar peduncle",
)
ParcellationEntity.swanson_bm_middle_cervical_ganglion = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_middleCervicalGanglion",
    abbreviation="GMC",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_middleCervicalGanglion"
        }
    ],
    lookup_label="SwansonBM_middleCervicalGanglion",
    name="middle cervical ganglion",
)
ParcellationEntity.swanson_bm_middle_commissure_of_the_thalamus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_middleCommissureOfTheThalamus",
    abbreviation="mtc",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_middleCommissureOfTheThalamus"
        }
    ],
    lookup_label="SwansonBM_middleCommissureOfTheThalamus",
    name="middle commissure of the thalamus",
)
ParcellationEntity.swanson_bm_midline_group_dorsal_thalamus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_midlineGroupDorsalThalamus",
    abbreviation="MTN",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_midlineGroupDorsalThalamus"
        }
    ],
    lookup_label="SwansonBM_midlineGroupDorsalThalamus",
    name="midline group, dorsal thalamus",
)
ParcellationEntity.swanson_bm_midline_nuclei_dorsal_thalamus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_midlineNucleiDorsalThalamus",
    abbreviation="MID",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_midlineNucleiDorsalThalamus"
        }
    ],
    lookup_label="SwansonBM_midlineNucleiDorsalThalamus",
    name="midline nuclei, dorsal thalamus",
)
ParcellationEntity.swanson_bm_motoneuron_groups = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_motoneuronGroups",
    abbreviation="MNG",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_motoneuronGroups"}
    ],
    lookup_label="SwansonBM_motoneuronGroups",
    name="motoneuron groups",
)
ParcellationEntity.swanson_bm_motor_nucleus_of_the_trigeminal_magnocellular_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_motorNucleusOfTheTrigeminalMagnocellularPart",
    abbreviation="Vma",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_motorNucleusOfTheTrigeminalMagnocellularPart"
        }
    ],
    lookup_label="SwansonBM_motorNucleusOfTheTrigeminalMagnocellularPart",
    name="motor nucleus of the trigeminal, magnocellular part",
)
ParcellationEntity.swanson_bm_motor_nucleus_of_the_trigeminal_nerve = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_motorNucleusOfTheTrigeminalNerve",
    abbreviation="V",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_motorNucleusOfTheTrigeminalNerve"
        }
    ],
    lookup_label="SwansonBM_motorNucleusOfTheTrigeminalNerve",
    name="motor nucleus of the trigeminal nerve",
)
ParcellationEntity.swanson_bm_motor_nucleus_of_the_trigeminal_nerve_parvicellular_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_motorNucleusOfTheTrigeminalNerveParvicellularPart",
    abbreviation="Vpc",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_motorNucleusOfTheTrigeminalNerveParvicellularPart"
        }
    ],
    lookup_label="SwansonBM_motorNucleusOfTheTrigeminalNerveParvicellularPart",
    name="motor nucleus of the trigeminal nerve, parvicellular part",
)
ParcellationEntity.swanson_bm_motor_root_of_the_trigeminal_nerve = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_motorRootOfTheTrigeminalNerve",
    abbreviation="moV",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_motorRootOfTheTrigeminalNerve"
        }
    ],
    lookup_label="SwansonBM_motorRootOfTheTrigeminalNerve",
    name="motor root of the trigeminal nerve",
)
ParcellationEntity.swanson_bm_motor_system = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_motorSystem",
    abbreviation="MOT",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_motorSystem"}
    ],
    lookup_label="SwansonBM_motorSystem",
    name="motor system",
)
ParcellationEntity.swanson_bm_myenteric_plexus_auerbach = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_myentericPlexusAuerbach",
    abbreviation="myp",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_myentericPlexusAuerbach"
        }
    ],
    lookup_label="SwansonBM_myentericPlexusAuerbach",
    name="myenteric plexus [Auerbach]",
)
ParcellationEntity.swanson_bm_nerve_fibers = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_nerveFibers",
    abbreviation="nfi",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_nerveFibers"}
    ],
    lookup_label="SwansonBM_nerveFibers",
    name="nerve fibers",
)
ParcellationEntity.swanson_bm_nerve_plexuses = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_nervePlexuses",
    abbreviation="plx",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_nervePlexuses"}
    ],
    lookup_label="SwansonBM_nervePlexuses",
    name="nerve plexuses",
)
ParcellationEntity.swanson_bm_nerves = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_nerves",
    abbreviation="n",
    has_versions=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_nerves"}],
    lookup_label="SwansonBM_nerves",
    name="nerves",
)
ParcellationEntity.swanson_bm_nervous_system = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_nervousSystem",
    abbreviation="NS",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_nervousSystem"}
    ],
    lookup_label="SwansonBM_nervousSystem",
    name="nervous system",
)
ParcellationEntity.swanson_bm_neuroendocrine_motor_zone = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_neuroendocrineMotorZone",
    abbreviation="NEM",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_neuroendocrineMotorZone"
        }
    ],
    lookup_label="SwansonBM_neuroendocrineMotorZone",
    name="neuroendocrine motor zone",
)
ParcellationEntity.swanson_bm_neuroendocrine_motor_zone_magnocellular = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_neuroendocrineMotorZoneMagnocellular",
    abbreviation="NEMm",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_neuroendocrineMotorZoneMagnocellular"
        }
    ],
    lookup_label="SwansonBM_neuroendocrineMotorZoneMagnocellular",
    name="neuroendocrine motor zone, magnocellular",
)
ParcellationEntity.swanson_bm_neuroendocrine_motor_zone_parvicellular = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_neuroendocrineMotorZoneParvicellular",
    abbreviation="NEMp",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_neuroendocrineMotorZoneParvicellular"
        }
    ],
    lookup_label="SwansonBM_neuroendocrineMotorZoneParvicellular",
    name="neuroendocrine motor zone, parvicellular",
)
ParcellationEntity.swanson_bm_nigrostriatal_tract = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_nigrostriatalTract",
    abbreviation="nst",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_nigrostriatalTract"}
    ],
    lookup_label="SwansonBM_nigrostriatalTract",
    name="nigrostriatal tract",
)
ParcellationEntity.swanson_bm_nigrothalamic_fibers = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_nigrothalamicFibers",
    abbreviation="ntt",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_nigrothalamicFibers"
        }
    ],
    lookup_label="SwansonBM_nigrothalamicFibers",
    name="nigrothalamic fibers",
)
ParcellationEntity.swanson_bm_nodular_fissure = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_nodularFissure",
    abbreviation="nf",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_nodularFissure"}
    ],
    lookup_label="SwansonBM_nodularFissure",
    name="nodular fissure",
)
ParcellationEntity.swanson_bm_nodulus_x_sublobules_ab = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_nodulusXSublobulesAb",
    abbreviation="NODa,b",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_nodulusXSublobulesAb"
        }
    ],
    lookup_label="SwansonBM_nodulusXSublobulesAb",
    name="nodulus (X), sublobules a,b",
)
ParcellationEntity.swanson_bm_nucleus_accumbens = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_nucleusAccumbens",
    abbreviation="ACB",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_nucleusAccumbens"}
    ],
    lookup_label="SwansonBM_nucleusAccumbens",
    name="nucleus accumbens",
)
ParcellationEntity.swanson_bm_nucleus_ambiguus_dorsal_division = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_nucleusAmbiguusDorsalDivision",
    abbreviation="AMBd",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_nucleusAmbiguusDorsalDivision"
        }
    ],
    lookup_label="SwansonBM_nucleusAmbiguusDorsalDivision",
    name="nucleus ambiguus, dorsal division",
)
ParcellationEntity.swanson_bm_nucleus_ambiguus_ventral_division = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_nucleusAmbiguusVentralDivision",
    abbreviation="AMBv",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_nucleusAmbiguusVentralDivision"
        }
    ],
    lookup_label="SwansonBM_nucleusAmbiguusVentralDivision",
    name="nucleus ambiguus, ventral division",
)
ParcellationEntity.swanson_bm_nucleus_brachium_inferior_colliculus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_nucleusBrachiumInferiorColliculus",
    abbreviation="NB",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_nucleusBrachiumInferiorColliculus"
        }
    ],
    lookup_label="SwansonBM_nucleusBrachiumInferiorColliculus",
    name="nucleus brachium inferior colliculus",
)
ParcellationEntity.swanson_bm_nucleus_circularis = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_nucleusCircularis",
    abbreviation="NC",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_nucleusCircularis"}
    ],
    lookup_label="SwansonBM_nucleusCircularis",
    name="nucleus circularis",
)
ParcellationEntity.swanson_bm_nucleus_incertus_compact_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_nucleusIncertusCompactPart",
    abbreviation="NIc",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_nucleusIncertusCompactPart"
        }
    ],
    lookup_label="SwansonBM_nucleusIncertusCompactPart",
    name="nucleus incertus, compact part",
)
ParcellationEntity.swanson_bm_nucleus_incertus_diffuse_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_nucleusIncertusDiffusePart",
    abbreviation="NId",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_nucleusIncertusDiffusePart"
        }
    ],
    lookup_label="SwansonBM_nucleusIncertusDiffusePart",
    name="nucleus incertus, diffuse part",
)
ParcellationEntity.swanson_bm_nucleus_incertus_streeter = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_nucleusIncertusStreeter",
    abbreviation="NI",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_nucleusIncertusStreeter"
        }
    ],
    lookup_label="SwansonBM_nucleusIncertusStreeter",
    name="nucleus incertus [Streeter]",
)
ParcellationEntity.swanson_bm_nucleus_intercalatus_staderini = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_nucleusIntercalatusStaderini",
    abbreviation="NIS",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_nucleusIntercalatusStaderini"
        }
    ],
    lookup_label="SwansonBM_nucleusIntercalatusStaderini",
    name="nucleus intercalatus [Staderini]",
)
ParcellationEntity.swanson_bm_nucleus_of_darkschewitsch = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_nucleusOfDarkschewitsch",
    abbreviation="ND",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_nucleusOfDarkschewitsch"
        }
    ],
    lookup_label="SwansonBM_nucleusOfDarkschewitsch",
    name="nucleus of Darkschewitsch",
)
ParcellationEntity.swanson_bm_nucleus_of_roller = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_nucleusOfRoller",
    abbreviation="NR",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_nucleusOfRoller"}
    ],
    lookup_label="SwansonBM_nucleusOfRoller",
    name="nucleus of Roller",
)
ParcellationEntity.swanson_bm_nucleus_of_the_bulbocavernosus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_nucleusOfTheBulbocavernosus",
    abbreviation="NBC",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_nucleusOfTheBulbocavernosus"
        }
    ],
    lookup_label="SwansonBM_nucleusOfTheBulbocavernosus",
    name="nucleus of the bulbocavernosus",
)
ParcellationEntity.swanson_bm_nucleus_of_the_lateral_lemniscus_bechterew = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_nucleusOfTheLateralLemniscusBechterew",
    abbreviation="NLL",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_nucleusOfTheLateralLemniscusBechterew"
        }
    ],
    lookup_label="SwansonBM_nucleusOfTheLateralLemniscusBechterew",
    name="nucleus of the lateral lemniscus [Bechterew]",
)
ParcellationEntity.swanson_bm_nucleus_of_the_lateral_lemniscus_dorsal_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_nucleusOfTheLateralLemniscusDorsalPart",
    abbreviation="NLLd",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_nucleusOfTheLateralLemniscusDorsalPart"
        }
    ],
    lookup_label="SwansonBM_nucleusOfTheLateralLemniscusDorsalPart",
    name="nucleus of the lateral lemniscus, dorsal part",
)
ParcellationEntity.swanson_bm_nucleus_of_the_lateral_lemniscus_horizontal_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_nucleusOfTheLateralLemniscusHorizontalPart",
    abbreviation="NLLh",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_nucleusOfTheLateralLemniscusHorizontalPart"
        }
    ],
    lookup_label="SwansonBM_nucleusOfTheLateralLemniscusHorizontalPart",
    name="nucleus of the lateral lemniscus, horizontal part",
)
ParcellationEntity.swanson_bm_nucleus_of_the_lateral_lemniscus_ventral_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_nucleusOfTheLateralLemniscusVentralPart",
    abbreviation="NLLv",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_nucleusOfTheLateralLemniscusVentralPart"
        }
    ],
    lookup_label="SwansonBM_nucleusOfTheLateralLemniscusVentralPart",
    name="nucleus of the lateral lemniscus, ventral part",
)
ParcellationEntity.swanson_bm_nucleus_of_the_lateral_olfactory_tract_dorsal_cap = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_nucleusOfTheLateralOlfactoryTractDorsalCap",
    abbreviation="NLOT3",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_nucleusOfTheLateralOlfactoryTractDorsalCap"
        }
    ],
    lookup_label="SwansonBM_nucleusOfTheLateralOlfactoryTractDorsalCap",
    name="nucleus of the lateral olfactory tract, dorsal cap",
)
ParcellationEntity.swanson_bm_nucleus_of_the_lateral_olfactory_tract_ganser = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_nucleusOfTheLateralOlfactoryTractGanser",
    abbreviation="NLOT",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_nucleusOfTheLateralOlfactoryTractGanser"
        }
    ],
    lookup_label="SwansonBM_nucleusOfTheLateralOlfactoryTractGanser",
    name="nucleus of the lateral olfactory tract [Ganser]",
)
ParcellationEntity.swanson_bm_nucleus_of_the_lateral_olfactory_tract_molecular_layer = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_nucleusOfTheLateralOlfactoryTractMolecularLayer",
    abbreviation="NLOT1",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_nucleusOfTheLateralOlfactoryTractMolecularLayer"
        }
    ],
    lookup_label="SwansonBM_nucleusOfTheLateralOlfactoryTractMolecularLayer",
    name="nucleus of the lateral olfactory tract, molecular layer",
)
ParcellationEntity.swanson_bm_nucleus_of_the_lateral_olfactory_tract_pyramidal_layer = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_nucleusOfTheLateralOlfactoryTractPyramidalLayer",
    abbreviation="NLOT2",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_nucleusOfTheLateralOlfactoryTractPyramidalLayer"
        }
    ],
    lookup_label="SwansonBM_nucleusOfTheLateralOlfactoryTractPyramidalLayer",
    name="nucleus of the lateral olfactory tract, pyramidal layer",
)
ParcellationEntity.swanson_bm_nucleus_of_the_optic_tract = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_nucleusOfTheOpticTract",
    abbreviation="NOT",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_nucleusOfTheOpticTract"
        }
    ],
    lookup_label="SwansonBM_nucleusOfTheOpticTract",
    name="nucleus of the optic tract",
)
ParcellationEntity.swanson_bm_nucleus_of_the_posterior_commissure = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_nucleusOfThePosteriorCommissure",
    abbreviation="NPC",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_nucleusOfThePosteriorCommissure"
        }
    ],
    lookup_label="SwansonBM_nucleusOfThePosteriorCommissure",
    name="nucleus of the posterior commissure",
)
ParcellationEntity.swanson_bm_nucleus_of_the_solitary_tract = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_nucleusOfTheSolitaryTract",
    abbreviation="NTS",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_nucleusOfTheSolitaryTract"
        }
    ],
    lookup_label="SwansonBM_nucleusOfTheSolitaryTract",
    name="nucleus of the solitary tract",
)
ParcellationEntity.swanson_bm_nucleus_of_the_solitary_tract_central_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_nucleusOfTheSolitaryTractCentralPart",
    abbreviation="NTSce",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_nucleusOfTheSolitaryTractCentralPart"
        }
    ],
    lookup_label="SwansonBM_nucleusOfTheSolitaryTractCentralPart",
    name="nucleus of the solitary tract, central part",
)
ParcellationEntity.swanson_bm_nucleus_of_the_solitary_tract_commissural_part_cajal = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_nucleusOfTheSolitaryTractCommissuralPartCajal",
    abbreviation="NTSco",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_nucleusOfTheSolitaryTractCommissuralPartCajal"
        }
    ],
    lookup_label="SwansonBM_nucleusOfTheSolitaryTractCommissuralPartCajal",
    name="nucleus of the solitary tract, commissural part [Cajal]",
)
ParcellationEntity.swanson_bm_nucleus_of_the_solitary_tract_gelatinous_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_nucleusOfTheSolitaryTractGelatinousPart",
    abbreviation="NTSge",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_nucleusOfTheSolitaryTractGelatinousPart"
        }
    ],
    lookup_label="SwansonBM_nucleusOfTheSolitaryTractGelatinousPart",
    name="nucleus of the solitary tract, gelatinous part",
)
ParcellationEntity.swanson_bm_nucleus_of_the_solitary_tract_lateral_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_nucleusOfTheSolitaryTractLateralPart",
    abbreviation="NTSl",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_nucleusOfTheSolitaryTractLateralPart"
        }
    ],
    lookup_label="SwansonBM_nucleusOfTheSolitaryTractLateralPart",
    name="nucleus of the solitary tract, lateral part",
)
ParcellationEntity.swanson_bm_nucleus_of_the_solitary_tract_medial_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_nucleusOfTheSolitaryTractMedialPart",
    abbreviation="NTSm",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_nucleusOfTheSolitaryTractMedialPart"
        }
    ],
    lookup_label="SwansonBM_nucleusOfTheSolitaryTractMedialPart",
    name="nucleus of the solitary tract, medial part",
)
ParcellationEntity.swanson_bm_nucleus_of_the_spinal_accessory_nerve = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_nucleusOfTheSpinalAccessoryNerve",
    abbreviation="XI",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_nucleusOfTheSpinalAccessoryNerve"
        }
    ],
    lookup_label="SwansonBM_nucleusOfTheSpinalAccessoryNerve",
    name="nucleus of the spinal accessory nerve",
)
ParcellationEntity.swanson_bm_nucleus_of_the_trapezoid_body = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_nucleusOfTheTrapezoidBody",
    abbreviation="NTB",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_nucleusOfTheTrapezoidBody"
        }
    ],
    lookup_label="SwansonBM_nucleusOfTheTrapezoidBody",
    name="nucleus of the trapezoid body",
)
ParcellationEntity.swanson_bm_nucleus_prepositus_marburg = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_nucleusPrepositusMarburg",
    abbreviation="PRP",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_nucleusPrepositusMarburg"
        }
    ],
    lookup_label="SwansonBM_nucleusPrepositusMarburg",
    name="nucleus prepositus [Marburg]",
)
ParcellationEntity.swanson_bm_nucleus_proprius_of_the_spinal_cord = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_nucleusPropriusOfTheSpinalCord",
    abbreviation="NP",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_nucleusPropriusOfTheSpinalCord"
        }
    ],
    lookup_label="SwansonBM_nucleusPropriusOfTheSpinalCord",
    name="nucleus proprius of the spinal cord",
)
ParcellationEntity.swanson_bm_nucleus_raphe_magnus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_nucleusRapheMagnus",
    abbreviation="RM",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_nucleusRapheMagnus"}
    ],
    lookup_label="SwansonBM_nucleusRapheMagnus",
    name="nucleus raphé magnus",
)
ParcellationEntity.swanson_bm_nucleus_raphe_obscurus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_nucleusRapheObscurus",
    abbreviation="RO",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_nucleusRapheObscurus"
        }
    ],
    lookup_label="SwansonBM_nucleusRapheObscurus",
    name="nucleus raphé obscurus",
)
ParcellationEntity.swanson_bm_nucleus_raphe_pallidus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_nucleusRaphePallidus",
    abbreviation="RPA",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_nucleusRaphePallidus"
        }
    ],
    lookup_label="SwansonBM_nucleusRaphePallidus",
    name="nucleus raphé pallidus",
)
ParcellationEntity.swanson_bm_nucleus_raphe_pontis = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_nucleusRaphePontis",
    abbreviation="RPO",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_nucleusRaphePontis"}
    ],
    lookup_label="SwansonBM_nucleusRaphePontis",
    name="nucleus raphé pontis",
)
ParcellationEntity.swanson_bm_nucleus_reuniens_caudal_division = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_nucleusReuniensCaudalDivision",
    abbreviation="REc",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_nucleusReuniensCaudalDivision"
        }
    ],
    lookup_label="SwansonBM_nucleusReuniensCaudalDivision",
    name="nucleus reuniens, caudal division",
)
ParcellationEntity.swanson_bm_nucleus_reuniens_caudal_division_dorsal_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_nucleusReuniensCaudalDivisionDorsalPart",
    abbreviation="REcd",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_nucleusReuniensCaudalDivisionDorsalPart"
        }
    ],
    lookup_label="SwansonBM_nucleusReuniensCaudalDivisionDorsalPart",
    name="nucleus reuniens, caudal division, dorsal part",
)
ParcellationEntity.swanson_bm_nucleus_reuniens_caudal_division_median_part_gurdjian = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_nucleusReuniensCaudalDivisionMedianPartGurdjian",
    abbreviation="REcm",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_nucleusReuniensCaudalDivisionMedianPartGurdjian"
        }
    ],
    lookup_label="SwansonBM_nucleusReuniensCaudalDivisionMedianPartGurdjian",
    name="nucleus reuniens, caudal division, median part [Gurdjian]",
)
ParcellationEntity.swanson_bm_nucleus_reuniens_caudal_division_posterior_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_nucleusReuniensCaudalDivisionPosteriorPart",
    abbreviation="REp",
    alternate_names=["REcp"],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_nucleusReuniensCaudalDivisionPosteriorPart"
        }
    ],
    lookup_label="SwansonBM_nucleusReuniensCaudalDivisionPosteriorPart",
    name="nucleus reuniens, caudal division, posterior part",
)
ParcellationEntity.swanson_bm_nucleus_reuniens_malone = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_nucleusReuniensMalone",
    abbreviation="RE",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_nucleusReuniensMalone"
        }
    ],
    lookup_label="SwansonBM_nucleusReuniensMalone",
    name="nucleus reuniens [Malone]",
)
ParcellationEntity.swanson_bm_nucleus_reuniens_rostral_division = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_nucleusReuniensRostralDivision",
    abbreviation="REr",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_nucleusReuniensRostralDivision"
        }
    ],
    lookup_label="SwansonBM_nucleusReuniensRostralDivision",
    name="nucleus reuniens, rostral division",
)
ParcellationEntity.swanson_bm_nucleus_reuniens_rostral_division_anterior_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_nucleusReuniensRostralDivisionAnteriorPart",
    abbreviation="REa",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_nucleusReuniensRostralDivisionAnteriorPart"
        }
    ],
    lookup_label="SwansonBM_nucleusReuniensRostralDivisionAnteriorPart",
    name="nucleus reuniens, rostral division, anterior part",
)
ParcellationEntity.swanson_bm_nucleus_reuniens_rostral_division_dorsal_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_nucleusReuniensRostralDivisionDorsalPart",
    abbreviation="REd",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_nucleusReuniensRostralDivisionDorsalPart"
        }
    ],
    lookup_label="SwansonBM_nucleusReuniensRostralDivisionDorsalPart",
    name="nucleus reuniens, rostral division, dorsal part",
)
ParcellationEntity.swanson_bm_nucleus_reuniens_rostral_division_lateral_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_nucleusReuniensRostralDivisionLateralPart",
    abbreviation="REl",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_nucleusReuniensRostralDivisionLateralPart"
        }
    ],
    lookup_label="SwansonBM_nucleusReuniensRostralDivisionLateralPart",
    name="nucleus reuniens, rostral division, lateral part",
)
ParcellationEntity.swanson_bm_nucleus_reuniens_rostral_division_median_part_gurdjian = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_nucleusReuniensRostralDivisionMedianPartGurdjian",
    abbreviation="REm",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_nucleusReuniensRostralDivisionMedianPartGurdjian"
        }
    ],
    lookup_label="SwansonBM_nucleusReuniensRostralDivisionMedianPartGurdjian",
    name="nucleus reuniens, rostral division, median part [Gurdjian]",
)
ParcellationEntity.swanson_bm_nucleus_reuniens_rostral_division_ventral_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_nucleusReuniensRostralDivisionVentralPart",
    abbreviation="REv",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_nucleusReuniensRostralDivisionVentralPart"
        }
    ],
    lookup_label="SwansonBM_nucleusReuniensRostralDivisionVentralPart",
    name="nucleus reuniens, rostral division, ventral part",
)
ParcellationEntity.swanson_bm_nucleus_sagulum = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_nucleusSagulum",
    abbreviation="SAG",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_nucleusSagulum"}
    ],
    lookup_label="SwansonBM_nucleusSagulum",
    name="nucleus sagulum",
)
ParcellationEntity.swanson_bm_nucleus_x_brodal_pompeiano = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_nucleusXBrodalPompeiano",
    abbreviation="x",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_nucleusXBrodalPompeiano"
        }
    ],
    lookup_label="SwansonBM_nucleusXBrodalPompeiano",
    name="nucleus x [Brodal-Pompeiano]",
)
ParcellationEntity.swanson_bm_nucleus_y_brodal_pompeiano = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_nucleusYBrodalPompeiano",
    abbreviation="y",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_nucleusYBrodalPompeiano"
        }
    ],
    lookup_label="SwansonBM_nucleusYBrodalPompeiano",
    name="nucleus y [Brodal-Pompeiano]",
)
ParcellationEntity.swanson_bm_nucleus_z_brodal_pompeiano = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_nucleusZBrodalPompeiano",
    abbreviation="z",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_nucleusZBrodalPompeiano"
        }
    ],
    lookup_label="SwansonBM_nucleusZBrodalPompeiano",
    name="nucleus z [Brodal-Pompeiano]",
)
ParcellationEntity.swanson_bm_occipital_pole_cerebral_cortex = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_occipitalPoleCerebralCortex",
    abbreviation="OCP",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_occipitalPoleCerebralCortex"
        }
    ],
    lookup_label="SwansonBM_occipitalPoleCerebralCortex",
    name="occipital pole, cerebral cortex",
)
ParcellationEntity.swanson_bm_occipital_region = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_occipitalRegion",
    abbreviation="OCC",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_occipitalRegion"}
    ],
    lookup_label="SwansonBM_occipitalRegion",
    name="occipital region",
)
ParcellationEntity.swanson_bm_oculomotor_nerve = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_oculomotorNerve",
    abbreviation="IIIn",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_oculomotorNerve"}
    ],
    lookup_label="SwansonBM_oculomotorNerve",
    name="oculomotor nerve",
)
ParcellationEntity.swanson_bm_oculomotor_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_oculomotorNucleus",
    abbreviation="III",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_oculomotorNucleus"}
    ],
    lookup_label="SwansonBM_oculomotorNucleus",
    name="oculomotor nucleus",
)
ParcellationEntity.swanson_bm_olfactory_cortex = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_olfactoryCortex",
    abbreviation="OLF",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_olfactoryCortex"}
    ],
    lookup_label="SwansonBM_olfactoryCortex",
    name="olfactory cortex",
)
ParcellationEntity.swanson_bm_olfactory_nerve = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_olfactoryNerve",
    abbreviation="In",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_olfactoryNerve"}
    ],
    lookup_label="SwansonBM_olfactoryNerve",
    name="olfactory nerve",
)
ParcellationEntity.swanson_bm_olfactory_tubercle_ganser = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_olfactoryTubercleGanser",
    abbreviation="OT",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_olfactoryTubercleGanser"
        }
    ],
    lookup_label="SwansonBM_olfactoryTubercleGanser",
    name="olfactory tubercle [Ganser]",
)
ParcellationEntity.swanson_bm_olfactory_tubercle_molecular_layer = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_olfactoryTubercleMolecularLayer",
    abbreviation="OT1",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_olfactoryTubercleMolecularLayer"
        }
    ],
    lookup_label="SwansonBM_olfactoryTubercleMolecularLayer",
    name="olfactory tubercle, molecular layer",
)
ParcellationEntity.swanson_bm_olfactory_tubercle_polymorph_layer = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_olfactoryTuberclePolymorphLayer",
    abbreviation="OT3",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_olfactoryTuberclePolymorphLayer"
        }
    ],
    lookup_label="SwansonBM_olfactoryTuberclePolymorphLayer",
    name="olfactory tubercle, polymorph layer",
)
ParcellationEntity.swanson_bm_olfactory_tubercle_pyramidal_layer = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_olfactoryTuberclePyramidalLayer",
    abbreviation="OT2",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_olfactoryTuberclePyramidalLayer"
        }
    ],
    lookup_label="SwansonBM_olfactoryTuberclePyramidalLayer",
    name="olfactory tubercle, pyramidal layer",
)
ParcellationEntity.swanson_bm_olivary_pretectal_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_olivaryPretectalNucleus",
    abbreviation="OP",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_olivaryPretectalNucleus"
        }
    ],
    lookup_label="SwansonBM_olivaryPretectalNucleus",
    name="olivary pretectal nucleus",
)
ParcellationEntity.swanson_bm_olivocerebellar_tract = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_olivocerebellarTract",
    abbreviation="oct",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_olivocerebellarTract"
        }
    ],
    lookup_label="SwansonBM_olivocerebellarTract",
    name="olivocerebellar tract",
)
ParcellationEntity.swanson_bm_optic_chiasm = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_opticChiasm",
    abbreviation="och",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_opticChiasm"}
    ],
    lookup_label="SwansonBM_opticChiasm",
    name="optic chiasm",
)
ParcellationEntity.swanson_bm_optic_nerve = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_opticNerve",
    abbreviation="IIn",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_opticNerve"}
    ],
    lookup_label="SwansonBM_opticNerve",
    name="optic nerve",
)
ParcellationEntity.swanson_bm_optic_tract = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_opticTract",
    abbreviation="opt",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_opticTract"}
    ],
    lookup_label="SwansonBM_opticTract",
    name="optic tract",
)
ParcellationEntity.swanson_bm_orbital_area = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_orbitalArea",
    abbreviation="ORB",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_orbitalArea"}
    ],
    lookup_label="SwansonBM_orbitalArea",
    name="orbital area",
)
ParcellationEntity.swanson_bm_orbital_area_lateral_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_orbitalAreaLateralPart",
    abbreviation="ORBl",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_orbitalAreaLateralPart"
        }
    ],
    lookup_label="SwansonBM_orbitalAreaLateralPart",
    name="orbital area, lateral part",
)
ParcellationEntity.swanson_bm_orbital_area_medial_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_orbitalAreaMedialPart",
    abbreviation="ORBm",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_orbitalAreaMedialPart"
        }
    ],
    lookup_label="SwansonBM_orbitalAreaMedialPart",
    name="orbital area, medial part",
)
ParcellationEntity.swanson_bm_orbital_area_ventral_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_orbitalAreaVentralPart",
    abbreviation="ORBv",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_orbitalAreaVentralPart"
        }
    ],
    lookup_label="SwansonBM_orbitalAreaVentralPart",
    name="orbital area, ventral part",
)
ParcellationEntity.swanson_bm_orbital_area_ventrolateral_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_orbitalAreaVentrolateralPart",
    abbreviation="ORBvl",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_orbitalAreaVentrolateralPart"
        }
    ],
    lookup_label="SwansonBM_orbitalAreaVentrolateralPart",
    name="orbital area, ventrolateral part",
)
ParcellationEntity.swanson_bm_otic_ganglion_arnold = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_oticGanglionArnold",
    abbreviation="GoIX",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_oticGanglionArnold"}
    ],
    lookup_label="SwansonBM_oticGanglionArnold",
    name="otic ganglion [Arnold]",
)
ParcellationEntity.swanson_bm_pallidotegmental_fascicle = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_pallidotegmentalFascicle",
    abbreviation="ptf",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_pallidotegmentalFascicle"
        }
    ],
    lookup_label="SwansonBM_pallidotegmentalFascicle",
    name="pallidotegmental fascicle",
)
ParcellationEntity.swanson_bm_pallidothalamic_pathway = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_pallidothalamicPathway",
    abbreviation="pap",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_pallidothalamicPathway"
        }
    ],
    lookup_label="SwansonBM_pallidothalamicPathway",
    name="pallidothalamic pathway",
)
ParcellationEntity.swanson_bm_pallidum = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_pallidum",
    abbreviation="PAL",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_pallidum"}
    ],
    lookup_label="SwansonBM_pallidum",
    name="pallidum",
)
ParcellationEntity.swanson_bm_parabigeminal_nucleus_bechterew = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_parabigeminalNucleusBechterew",
    abbreviation="PBG",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_parabigeminalNucleusBechterew"
        }
    ],
    lookup_label="SwansonBM_parabigeminalNucleusBechterew",
    name="parabigeminal nucleus [Bechterew]",
)
ParcellationEntity.swanson_bm_parabrachial_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_parabrachialNucleus",
    abbreviation="PB",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_parabrachialNucleus"
        }
    ],
    lookup_label="SwansonBM_parabrachialNucleus",
    name="parabrachial nucleus",
)
ParcellationEntity.swanson_bm_parabrachial_nucleus_central_lateral_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_parabrachialNucleusCentralLateralPart",
    abbreviation="PBlc",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_parabrachialNucleusCentralLateralPart"
        }
    ],
    lookup_label="SwansonBM_parabrachialNucleusCentralLateralPart",
    name="parabrachial nucleus, central lateral part",
)
ParcellationEntity.swanson_bm_parabrachial_nucleus_dorsal_lateral_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_parabrachialNucleusDorsalLateralPart",
    abbreviation="PBld",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_parabrachialNucleusDorsalLateralPart"
        }
    ],
    lookup_label="SwansonBM_parabrachialNucleusDorsalLateralPart",
    name="parabrachial nucleus, dorsal lateral part",
)
ParcellationEntity.swanson_bm_parabrachial_nucleus_external_lateral_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_parabrachialNucleusExternalLateralPart",
    abbreviation="PBle",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_parabrachialNucleusExternalLateralPart"
        }
    ],
    lookup_label="SwansonBM_parabrachialNucleusExternalLateralPart",
    name="parabrachial nucleus, external lateral part",
)
ParcellationEntity.swanson_bm_parabrachial_nucleus_external_medial_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_parabrachialNucleusExternalMedialPart",
    abbreviation="PBme",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_parabrachialNucleusExternalMedialPart"
        }
    ],
    lookup_label="SwansonBM_parabrachialNucleusExternalMedialPart",
    name="parabrachial nucleus, external medial part",
)
ParcellationEntity.swanson_bm_parabrachial_nucleus_extreme_lateral_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_parabrachialNucleusExtremeLateralPart",
    abbreviation="PBlex",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_parabrachialNucleusExtremeLateralPart"
        }
    ],
    lookup_label="SwansonBM_parabrachialNucleusExtremeLateralPart",
    name="parabrachial nucleus, extreme lateral part",
)
ParcellationEntity.swanson_bm_parabrachial_nucleus_internal_lateral_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_parabrachialNucleusInternalLateralPart",
    abbreviation="PBli",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_parabrachialNucleusInternalLateralPart"
        }
    ],
    lookup_label="SwansonBM_parabrachialNucleusInternalLateralPart",
    name="parabrachial nucleus, internal lateral part",
)
ParcellationEntity.swanson_bm_parabrachial_nucleus_lateral_division = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_parabrachialNucleusLateralDivision",
    abbreviation="PBl",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_parabrachialNucleusLateralDivision"
        }
    ],
    lookup_label="SwansonBM_parabrachialNucleusLateralDivision",
    name="parabrachial nucleus, lateral division",
)
ParcellationEntity.swanson_bm_parabrachial_nucleus_medial_division = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_parabrachialNucleusMedialDivision",
    abbreviation="PBm",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_parabrachialNucleusMedialDivision"
        }
    ],
    lookup_label="SwansonBM_parabrachialNucleusMedialDivision",
    name="parabrachial nucleus, medial division",
)
ParcellationEntity.swanson_bm_parabrachial_nucleus_medial_medial_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_parabrachialNucleusMedialMedialPart",
    abbreviation="PBmm",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_parabrachialNucleusMedialMedialPart"
        }
    ],
    lookup_label="SwansonBM_parabrachialNucleusMedialMedialPart",
    name="parabrachial nucleus, medial medial part",
)
ParcellationEntity.swanson_bm_parabrachial_nucleus_superior_lateral_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_parabrachialNucleusSuperiorLateralPart",
    abbreviation="PBls",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_parabrachialNucleusSuperiorLateralPart"
        }
    ],
    lookup_label="SwansonBM_parabrachialNucleusSuperiorLateralPart",
    name="parabrachial nucleus, superior lateral part",
)
ParcellationEntity.swanson_bm_parabrachial_nucleus_ventral_lateral_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_parabrachialNucleusVentralLateralPart",
    abbreviation="PBlv",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_parabrachialNucleusVentralLateralPart"
        }
    ],
    lookup_label="SwansonBM_parabrachialNucleusVentralLateralPart",
    name="parabrachial nucleus, ventral lateral part",
)
ParcellationEntity.swanson_bm_parabrachial_nucleus_ventral_medial_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_parabrachialNucleusVentralMedialPart",
    abbreviation="PBmv",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_parabrachialNucleusVentralMedialPart"
        }
    ],
    lookup_label="SwansonBM_parabrachialNucleusVentralMedialPart",
    name="parabrachial nucleus, ventral medial part",
)
ParcellationEntity.swanson_bm_paracentral_nucleus_thalamus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_paracentralNucleusThalamus",
    abbreviation="PCN",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_paracentralNucleusThalamus"
        }
    ],
    lookup_label="SwansonBM_paracentralNucleusThalamus",
    name="paracentral nucleus thalamus",
)
ParcellationEntity.swanson_bm_parafascicular_nucleus_vogt = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_parafascicularNucleusVogt",
    abbreviation="PF",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_parafascicularNucleusVogt"
        }
    ],
    lookup_label="SwansonBM_parafascicularNucleusVogt",
    name="parafascicular nucleus [Vogt]",
)
ParcellationEntity.swanson_bm_parafloccular_sulcus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_parafloccularSulcus",
    abbreviation="pfs",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_parafloccularSulcus"
        }
    ],
    lookup_label="SwansonBM_parafloccularSulcus",
    name="parafloccular sulcus",
)
ParcellationEntity.swanson_bm_paraflocculus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_paraflocculus",
    abbreviation="PFL",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_paraflocculus"}
    ],
    lookup_label="SwansonBM_paraflocculus",
    name="paraflocculus",
)
ParcellationEntity.swanson_bm_paragigantocellular_reticular_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_paragigantocellularReticularNucleus",
    abbreviation="PGRN",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_paragigantocellularReticularNucleus"
        }
    ],
    lookup_label="SwansonBM_paragigantocellularReticularNucleus",
    name="paragigantocellular reticular nucleus",
)
ParcellationEntity.swanson_bm_paragigantocellular_reticular_nucleus_dorsal_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_paragigantocellularReticularNucleusDorsalPart",
    abbreviation="PGRNd",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_paragigantocellularReticularNucleusDorsalPart"
        }
    ],
    lookup_label="SwansonBM_paragigantocellularReticularNucleusDorsalPart",
    name="paragigantocellular reticular nucleus, dorsal part",
)
ParcellationEntity.swanson_bm_paragigantocellular_reticular_nucleus_lateral_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_paragigantocellularReticularNucleusLateralPart",
    abbreviation="PGRNl",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_paragigantocellularReticularNucleusLateralPart"
        }
    ],
    lookup_label="SwansonBM_paragigantocellularReticularNucleusLateralPart",
    name="paragigantocellular reticular nucleus, lateral part",
)
ParcellationEntity.swanson_bm_paramedian_lobule = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_paramedianLobule",
    abbreviation="PRM",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_paramedianLobule"}
    ],
    lookup_label="SwansonBM_paramedianLobule",
    name="paramedian lobule",
)
ParcellationEntity.swanson_bm_paramedian_reticular_nucleus_mislawsky = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_paramedianReticularNucleusMislawsky",
    abbreviation="PMR",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_paramedianReticularNucleusMislawsky"
        }
    ],
    lookup_label="SwansonBM_paramedianReticularNucleusMislawsky",
    name="paramedian reticular nucleus [Mislawsky]",
)
ParcellationEntity.swanson_bm_paramedian_sulcus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_paramedianSulcus",
    abbreviation="pms",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_paramedianSulcus"}
    ],
    lookup_label="SwansonBM_paramedianSulcus",
    name="paramedian sulcus",
)
ParcellationEntity.swanson_bm_parapyramidal_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_parapyramidalNucleus",
    abbreviation="PPY",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_parapyramidalNucleus"
        }
    ],
    lookup_label="SwansonBM_parapyramidalNucleus",
    name="parapyramidal nucleus",
)
ParcellationEntity.swanson_bm_parapyramidal_nucleus_deep_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_parapyramidalNucleusDeepPart",
    abbreviation="PPYd",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_parapyramidalNucleusDeepPart"
        }
    ],
    lookup_label="SwansonBM_parapyramidalNucleusDeepPart",
    name="parapyramidal nucleus, deep part",
)
ParcellationEntity.swanson_bm_parapyramidal_nucleus_superficial_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_parapyramidalNucleusSuperficialPart",
    abbreviation="PPYs",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_parapyramidalNucleusSuperficialPart"
        }
    ],
    lookup_label="SwansonBM_parapyramidalNucleusSuperficialPart",
    name="parapyramidal nucleus, superficial part",
)
ParcellationEntity.swanson_bm_parasolitary_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_parasolitaryNucleus",
    abbreviation="PAS",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_parasolitaryNucleus"
        }
    ],
    lookup_label="SwansonBM_parasolitaryNucleus",
    name="parasolitary nucleus",
)
ParcellationEntity.swanson_bm_parastrial_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_parastrialNucleus",
    abbreviation="PS",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_parastrialNucleus"}
    ],
    lookup_label="SwansonBM_parastrialNucleus",
    name="parastrial nucleus",
)
ParcellationEntity.swanson_bm_parasubiculum_layers16 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_parasubiculumLayers16",
    abbreviation="PAR1-6",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_parasubiculumLayers16"
        }
    ],
    lookup_label="SwansonBM_parasubiculumLayers16",
    name="parasubiculum, layers 1-6",
)
ParcellationEntity.swanson_bm_parasubthalamic_nucleus_zhang_wang = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_parasubthalamicNucleusZhangWang",
    abbreviation="PSTN",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_parasubthalamicNucleusZhangWang"
        }
    ],
    lookup_label="SwansonBM_parasubthalamicNucleusZhangWang",
    name="parasubthalamic nucleus [Zhang-Wang]",
)
ParcellationEntity.swanson_bm_parasympathetic_ganglia = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_parasympatheticGanglia",
    abbreviation="GPA",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_parasympatheticGanglia"
        }
    ],
    lookup_label="SwansonBM_parasympatheticGanglia",
    name="parasympathetic ganglia",
)
ParcellationEntity.swanson_bm_parasympathetic_plexuses = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_parasympatheticPlexuses",
    abbreviation="PPX",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_parasympatheticPlexuses"
        }
    ],
    lookup_label="SwansonBM_parasympatheticPlexuses",
    name="parasympathetic plexuses",
)
ParcellationEntity.swanson_bm_parasympathetic_system = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_parasympatheticSystem",
    abbreviation="PSY",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_parasympatheticSystem"
        }
    ],
    lookup_label="SwansonBM_parasympatheticSystem",
    name="parasympathetic system",
)
ParcellationEntity.swanson_bm_paratenial_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_paratenialNucleus",
    abbreviation="PT",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_paratenialNucleus"}
    ],
    lookup_label="SwansonBM_paratenialNucleus",
    name="paratenial nucleus",
)
ParcellationEntity.swanson_bm_paratrigeminal_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_paratrigeminalNucleus",
    abbreviation="PAT",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_paratrigeminalNucleus"
        }
    ],
    lookup_label="SwansonBM_paratrigeminalNucleus",
    name="paratrigeminal nucleus",
)
ParcellationEntity.swanson_bm_paraventricular_hypothalamic_nucleus_anterior_magnocellular_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_paraventricularHypothalamicNucleusAnteriorMagnocellularPart",
    abbreviation="PVHam",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_paraventricularHypothalamicNucleusAnteriorMagnocellularPart"
        }
    ],
    lookup_label="SwansonBM_paraventricularHypothalamicNucleusAnteriorMagnocellularPart",
    name="paraventricular hypothalamic nucleus, anterior magnocellular part",
)
ParcellationEntity.swanson_bm_paraventricular_hypothalamic_nucleus_anterior_parvicellular_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_paraventricularHypothalamicNucleusAnteriorParvicellularPart",
    abbreviation="PVHap",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_paraventricularHypothalamicNucleusAnteriorParvicellularPart"
        }
    ],
    lookup_label="SwansonBM_paraventricularHypothalamicNucleusAnteriorParvicellularPart",
    name="paraventricular hypothalamic nucleus, anterior parvicellular part",
)
ParcellationEntity.swanson_bm_paraventricular_hypothalamic_nucleus_descending_division = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_paraventricularHypothalamicNucleusDescendingDivision",
    abbreviation="PVHd",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_paraventricularHypothalamicNucleusDescendingDivision"
        }
    ],
    lookup_label="SwansonBM_paraventricularHypothalamicNucleusDescendingDivision",
    name="paraventricular hypothalamic nucleus, descending division",
)
ParcellationEntity.swanson_bm_paraventricular_hypothalamic_nucleus_dorsal_parvicellular_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_paraventricularHypothalamicNucleusDorsalParvicellularPart",
    abbreviation="PVHdp",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_paraventricularHypothalamicNucleusDorsalParvicellularPart"
        }
    ],
    lookup_label="SwansonBM_paraventricularHypothalamicNucleusDorsalParvicellularPart",
    name="paraventricular hypothalamic nucleus, dorsal parvicellular part",
)
ParcellationEntity.swanson_bm_paraventricular_hypothalamic_nucleus_forniceal_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_paraventricularHypothalamicNucleusFornicealPart",
    abbreviation="PVHf",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_paraventricularHypothalamicNucleusFornicealPart"
        }
    ],
    lookup_label="SwansonBM_paraventricularHypothalamicNucleusFornicealPart",
    name="paraventricular hypothalamic nucleus, forniceal part",
)
ParcellationEntity.swanson_bm_paraventricular_hypothalamic_nucleus_lateral_parvicellular_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_paraventricularHypothalamicNucleusLateralParvicellularPart",
    abbreviation="PVHlp",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_paraventricularHypothalamicNucleusLateralParvicellularPart"
        }
    ],
    lookup_label="SwansonBM_paraventricularHypothalamicNucleusLateralParvicellularPart",
    name="paraventricular hypothalamic nucleus, lateral parvicellular part",
)
ParcellationEntity.swanson_bm_paraventricular_hypothalamic_nucleus_magnocellular_division = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_paraventricularHypothalamicNucleusMagnocellularDivision",
    abbreviation="PVHm",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_paraventricularHypothalamicNucleusMagnocellularDivision"
        }
    ],
    lookup_label="SwansonBM_paraventricularHypothalamicNucleusMagnocellularDivision",
    name="paraventricular hypothalamic nucleus, magnocellular division",
)
ParcellationEntity.swanson_bm_paraventricular_hypothalamic_nucleus_malone = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_paraventricularHypothalamicNucleusMalone",
    abbreviation="PVH",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_paraventricularHypothalamicNucleusMalone"
        }
    ],
    lookup_label="SwansonBM_paraventricularHypothalamicNucleusMalone",
    name="paraventricular hypothalamic nucleus [Malone]",
)
ParcellationEntity.swanson_bm_paraventricular_hypothalamic_nucleus_medial_magnocellular_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_paraventricularHypothalamicNucleusMedialMagnocellularPart",
    abbreviation="PVHmm",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_paraventricularHypothalamicNucleusMedialMagnocellularPart"
        }
    ],
    lookup_label="SwansonBM_paraventricularHypothalamicNucleusMedialMagnocellularPart",
    name="paraventricular hypothalamic nucleus, medial magnocellular part",
)
ParcellationEntity.swanson_bm_paraventricular_hypothalamic_nucleus_medial_parvicellular_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_paraventricularHypothalamicNucleusMedialParvicellularPart",
    abbreviation="PVHmp",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_paraventricularHypothalamicNucleusMedialParvicellularPart"
        }
    ],
    lookup_label="SwansonBM_paraventricularHypothalamicNucleusMedialParvicellularPart",
    name="paraventricular hypothalamic nucleus, medial parvicellular part",
)
ParcellationEntity.swanson_bm_paraventricular_hypothalamic_nucleus_medial_parvicellular_part_dorsal_zone = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_paraventricularHypothalamicNucleusMedialParvicellularPartDorsalZone",
    abbreviation="PVHmpd",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_paraventricularHypothalamicNucleusMedialParvicellularPartDorsalZone"
        }
    ],
    lookup_label="SwansonBM_paraventricularHypothalamicNucleusMedialParvicellularPartDorsalZone",
    name="paraventricular hypothalamic nucleus, medial parvicellular part, dorsal zone",
)
ParcellationEntity.swanson_bm_paraventricular_hypothalamic_nucleus_medial_parvicellular_part_ventral_zone = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_paraventricularHypothalamicNucleusMedialParvicellularPartVentralZone",
    abbreviation="PVHmpv",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_paraventricularHypothalamicNucleusMedialParvicellularPartVentralZone"
        }
    ],
    lookup_label="SwansonBM_paraventricularHypothalamicNucleusMedialParvicellularPartVentralZone",
    name="paraventricular hypothalamic nucleus, medial parvicellular part, ventral zone",
)
ParcellationEntity.swanson_bm_paraventricular_hypothalamic_nucleus_neuroendocrine_component = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_paraventricularHypothalamicNucleusNeuroendocrineComponent",
    abbreviation="PVHne",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_paraventricularHypothalamicNucleusNeuroendocrineComponent"
        }
    ],
    lookup_label="SwansonBM_paraventricularHypothalamicNucleusNeuroendocrineComponent",
    name="paraventricular hypothalamic nucleus, neuroendocrine component",
)
ParcellationEntity.swanson_bm_paraventricular_hypothalamic_nucleus_parvicellular_division = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_paraventricularHypothalamicNucleusParvicellularDivision",
    abbreviation="PVHp",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_paraventricularHypothalamicNucleusParvicellularDivision"
        }
    ],
    lookup_label="SwansonBM_paraventricularHypothalamicNucleusParvicellularDivision",
    name="paraventricular hypothalamic nucleus, parvicellular division",
)
ParcellationEntity.swanson_bm_paraventricular_hypothalamic_nucleus_periventricular_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_paraventricularHypothalamicNucleusPeriventricularPart",
    abbreviation="PVHpv",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_paraventricularHypothalamicNucleusPeriventricularPart"
        }
    ],
    lookup_label="SwansonBM_paraventricularHypothalamicNucleusPeriventricularPart",
    name="paraventricular hypothalamic nucleus, periventricular part",
)
ParcellationEntity.swanson_bm_paraventricular_hypothalamic_nucleus_posterior_magnocellular_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_paraventricularHypothalamicNucleusPosteriorMagnocellularPart",
    abbreviation="PVHpm",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_paraventricularHypothalamicNucleusPosteriorMagnocellularPart"
        }
    ],
    lookup_label="SwansonBM_paraventricularHypothalamicNucleusPosteriorMagnocellularPart",
    name="paraventricular hypothalamic nucleus, posterior magnocellular part",
)
ParcellationEntity.swanson_bm_paraventricular_hypothalamic_nucleus_posterior_magnocellular_part_lateral_zone = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_paraventricularHypothalamicNucleusPosteriorMagnocellularPartLateralZone",
    abbreviation="PVHpml",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_paraventricularHypothalamicNucleusPosteriorMagnocellularPartLateralZone"
        }
    ],
    lookup_label="SwansonBM_paraventricularHypothalamicNucleusPosteriorMagnocellularPartLateralZone",
    name="paraventricular hypothalamic nucleus, posterior magnocellular part, lateral zone",
)
ParcellationEntity.swanson_bm_paraventricular_hypothalamic_nucleus_posterior_magnocellular_part_medial_zone = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_paraventricularHypothalamicNucleusPosteriorMagnocellularPartMedialZone",
    abbreviation="PVHpmm",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_paraventricularHypothalamicNucleusPosteriorMagnocellularPartMedialZone"
        }
    ],
    lookup_label="SwansonBM_paraventricularHypothalamicNucleusPosteriorMagnocellularPartMedialZone",
    name="paraventricular hypothalamic nucleus, posterior magnocellular part, medial zone",
)
ParcellationEntity.swanson_bm_paraventricular_thalamic_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_paraventricularThalamicNucleus",
    abbreviation="PVT",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_paraventricularThalamicNucleus"
        }
    ],
    lookup_label="SwansonBM_paraventricularThalamicNucleus",
    name="paraventricular thalamic nucleus",
)
ParcellationEntity.swanson_bm_paravertebral_sympathetic_ganglia = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_paravertebralSympatheticGanglia",
    abbreviation="GPAS",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_paravertebralSympatheticGanglia"
        }
    ],
    lookup_label="SwansonBM_paravertebralSympatheticGanglia",
    name="paravertebral sympathetic ganglia",
)
ParcellationEntity.swanson_bm_parietal_region = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_parietalRegion",
    abbreviation="PTL",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_parietalRegion"}
    ],
    lookup_label="SwansonBM_parietalRegion",
    name="parietal region",
)
ParcellationEntity.swanson_bm_parietal_region_posterior_association_areas = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_parietalRegionPosteriorAssociationAreas",
    abbreviation="PTLp",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_parietalRegionPosteriorAssociationAreas"
        }
    ],
    lookup_label="SwansonBM_parietalRegionPosteriorAssociationAreas",
    name="parietal region, posterior association areas",
)
ParcellationEntity.swanson_bm_parvicellular_reticular_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_parvicellularReticularNucleus",
    abbreviation="PARN",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_parvicellularReticularNucleus"
        }
    ],
    lookup_label="SwansonBM_parvicellularReticularNucleus",
    name="parvicellular reticular nucleus",
)
ParcellationEntity.swanson_bm_pedunculopontine_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_pedunculopontineNucleus",
    abbreviation="PPN",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_pedunculopontineNucleus"
        }
    ],
    lookup_label="SwansonBM_pedunculopontineNucleus",
    name="pedunculopontine nucleus",
)
ParcellationEntity.swanson_bm_pelvic_ganglion = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_pelvicGanglion",
    abbreviation="GPEL",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_pelvicGanglion"}
    ],
    lookup_label="SwansonBM_pelvicGanglion",
    name="pelvic ganglion",
)
ParcellationEntity.swanson_bm_perforant_path = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_perforantPath",
    abbreviation="per",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_perforantPath"}
    ],
    lookup_label="SwansonBM_perforantPath",
    name="perforant path",
)
ParcellationEntity.swanson_bm_periaqueductal_gray = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_periaqueductalGray",
    abbreviation="PAG",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_periaqueductalGray"}
    ],
    lookup_label="SwansonBM_periaqueductalGray",
    name="periaqueductal gray",
)
ParcellationEntity.swanson_bm_periaqueductal_gray_dorsal_division_beitz = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_periaqueductalGrayDorsalDivisionBeitz",
    abbreviation="PAGd",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_periaqueductalGrayDorsalDivisionBeitz"
        }
    ],
    lookup_label="SwansonBM_periaqueductalGrayDorsalDivisionBeitz",
    name="periaqueductal gray, dorsal division [Beitz]",
)
ParcellationEntity.swanson_bm_periaqueductal_gray_dorsolateral_division_beitz = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_periaqueductalGrayDorsolateralDivisionBeitz",
    abbreviation="PAGdl",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_periaqueductalGrayDorsolateralDivisionBeitz"
        }
    ],
    lookup_label="SwansonBM_periaqueductalGrayDorsolateralDivisionBeitz",
    name="periaqueductal gray, dorsolateral division [Beitz]",
)
ParcellationEntity.swanson_bm_periaqueductal_gray_medial_division_beitz = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_periaqueductalGrayMedialDivisionBeitz",
    abbreviation="PAGm",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_periaqueductalGrayMedialDivisionBeitz"
        }
    ],
    lookup_label="SwansonBM_periaqueductalGrayMedialDivisionBeitz",
    name="periaqueductal gray, medial division [Beitz]",
)
ParcellationEntity.swanson_bm_periaqueductal_gray_rostrolateral_division = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_periaqueductalGrayRostrolateralDivision",
    abbreviation="PAGrl",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_periaqueductalGrayRostrolateralDivision"
        }
    ],
    lookup_label="SwansonBM_periaqueductalGrayRostrolateralDivision",
    name="periaqueductal gray, rostrolateral division",
)
ParcellationEntity.swanson_bm_periaqueductal_gray_rostromedial_division = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_periaqueductalGrayRostromedialDivision",
    abbreviation="PAGrm",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_periaqueductalGrayRostromedialDivision"
        }
    ],
    lookup_label="SwansonBM_periaqueductalGrayRostromedialDivision",
    name="periaqueductal gray, rostromedial division",
)
ParcellationEntity.swanson_bm_periaqueductal_gray_ventrolateral_division_beitz = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_periaqueductalGrayVentrolateralDivisionBeitz",
    abbreviation="PAGvl",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_periaqueductalGrayVentrolateralDivisionBeitz"
        }
    ],
    lookup_label="SwansonBM_periaqueductalGrayVentrolateralDivisionBeitz",
    name="periaqueductal gray, ventrolateral division [Beitz]",
)
ParcellationEntity.swanson_bm_perihypoglossal_nuclei = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_perihypoglossalNuclei",
    abbreviation="PHY",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_perihypoglossalNuclei"
        }
    ],
    lookup_label="SwansonBM_perihypoglossalNuclei",
    name="perihypoglossal nuclei",
)
ParcellationEntity.swanson_bm_periolivary_region = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_periolivaryRegion",
    abbreviation="POR",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_periolivaryRegion"}
    ],
    lookup_label="SwansonBM_periolivaryRegion",
    name="periolivary region",
)
ParcellationEntity.swanson_bm_peripeduncular_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_peripeduncularNucleus",
    abbreviation="PP",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_peripeduncularNucleus"
        }
    ],
    lookup_label="SwansonBM_peripeduncularNucleus",
    name="peripeduncular nucleus",
)
ParcellationEntity.swanson_bm_peripheral_nervous_system = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_peripheralNervousSystem",
    abbreviation="PNS",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_peripheralNervousSystem"
        }
    ],
    lookup_label="SwansonBM_peripheralNervousSystem",
    name="peripheral nervous system",
)
ParcellationEntity.swanson_bm_perireuniens_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_perireuniensNucleus",
    abbreviation="PR",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_perireuniensNucleus"
        }
    ],
    lookup_label="SwansonBM_perireuniensNucleus",
    name="perireuniens nucleus",
)
ParcellationEntity.swanson_bm_perirhinal_area = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_perirhinalArea",
    abbreviation="PERI",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_perirhinalArea"}
    ],
    lookup_label="SwansonBM_perirhinalArea",
    name="perirhinal area",
)
ParcellationEntity.swanson_bm_periventricular_bundle_hypothalamus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_periventricularBundleHypothalamus",
    abbreviation="pvbh",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_periventricularBundleHypothalamus"
        }
    ],
    lookup_label="SwansonBM_periventricularBundleHypothalamus",
    name="periventricular bundle hypothalamus",
)
ParcellationEntity.swanson_bm_periventricular_bundle_thalamus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_periventricularBundleThalamus",
    abbreviation="pvbt",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_periventricularBundleThalamus"
        }
    ],
    lookup_label="SwansonBM_periventricularBundleThalamus",
    name="periventricular bundle thalamus",
)
ParcellationEntity.swanson_bm_periventricular_hypothalamic_nucleus_anterior_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_periventricularHypothalamicNucleusAnteriorPart",
    abbreviation="PVa",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_periventricularHypothalamicNucleusAnteriorPart"
        }
    ],
    lookup_label="SwansonBM_periventricularHypothalamicNucleusAnteriorPart",
    name="periventricular hypothalamic nucleus, anterior part",
)
ParcellationEntity.swanson_bm_periventricular_hypothalamic_nucleus_intermediate_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_periventricularHypothalamicNucleusIntermediatePart",
    abbreviation="PVi",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_periventricularHypothalamicNucleusIntermediatePart"
        }
    ],
    lookup_label="SwansonBM_periventricularHypothalamicNucleusIntermediatePart",
    name="periventricular hypothalamic nucleus, intermediate part",
)
ParcellationEntity.swanson_bm_periventricular_hypothalamic_nucleus_posterior_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_periventricularHypothalamicNucleusPosteriorPart",
    abbreviation="PVp",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_periventricularHypothalamicNucleusPosteriorPart"
        }
    ],
    lookup_label="SwansonBM_periventricularHypothalamicNucleusPosteriorPart",
    name="periventricular hypothalamic nucleus, posterior part",
)
ParcellationEntity.swanson_bm_periventricular_region_hypothalamus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_periventricularRegionHypothalamus",
    abbreviation="PE",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_periventricularRegionHypothalamus"
        }
    ],
    lookup_label="SwansonBM_periventricularRegionHypothalamus",
    name="periventricular region, hypothalamus",
)
ParcellationEntity.swanson_bm_phrenic_nerve = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_phrenicNerve",
    abbreviation="phn",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_phrenicNerve"}
    ],
    lookup_label="SwansonBM_phrenicNerve",
    name="phrenic nerve",
)
ParcellationEntity.swanson_bm_phrenic_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_phrenicNucleus",
    abbreviation="PN",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_phrenicNucleus"}
    ],
    lookup_label="SwansonBM_phrenicNucleus",
    name="phrenic nucleus",
)
ParcellationEntity.swanson_bm_pia = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_pia",
    abbreviation="PI",
    has_versions=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_pia"}],
    lookup_label="SwansonBM_pia",
    name="pia",
)
ParcellationEntity.swanson_bm_pineal_gland_galen = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_pinealGlandGalen",
    abbreviation="PIN",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_pinealGlandGalen"}
    ],
    lookup_label="SwansonBM_pinealGlandGalen",
    name="pineal gland [Galen]",
)
ParcellationEntity.swanson_bm_pineal_stalk = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_pinealStalk",
    abbreviation="PIS",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_pinealStalk"}
    ],
    lookup_label="SwansonBM_pinealStalk",
    name="pineal stalk",
)
ParcellationEntity.swanson_bm_piriform_area = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_piriformArea",
    abbreviation="PIR",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_piriformArea"}
    ],
    lookup_label="SwansonBM_piriformArea",
    name="piriform area",
)
ParcellationEntity.swanson_bm_piriform_area_molecular_layer = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_piriformAreaMolecularLayer",
    abbreviation="PIR1",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_piriformAreaMolecularLayer"
        }
    ],
    lookup_label="SwansonBM_piriformAreaMolecularLayer",
    name="piriform area, molecular layer",
)
ParcellationEntity.swanson_bm_piriform_area_polymorph_layer = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_piriformAreaPolymorphLayer",
    abbreviation="PIR3",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_piriformAreaPolymorphLayer"
        }
    ],
    lookup_label="SwansonBM_piriformAreaPolymorphLayer",
    name="piriform area, polymorph layer",
)
ParcellationEntity.swanson_bm_piriform_area_pyramidal_layer = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_piriformAreaPyramidalLayer",
    abbreviation="PIR2",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_piriformAreaPyramidalLayer"
        }
    ],
    lookup_label="SwansonBM_piriformAreaPyramidalLayer",
    name="piriform area, pyramidal layer",
)
ParcellationEntity.swanson_bm_piriformamygdalar_area = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_piriformamygdalarArea",
    abbreviation="PAA",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_piriformamygdalarArea"
        }
    ],
    lookup_label="SwansonBM_piriformamygdalarArea",
    name="piriform-amygdalar area",
)
ParcellationEntity.swanson_bm_pituitary_gland_anterior_lobe = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_pituitaryGlandAnteriorLobe",
    abbreviation="AL",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_pituitaryGlandAnteriorLobe"
        }
    ],
    lookup_label="SwansonBM_pituitaryGlandAnteriorLobe",
    name="pituitary gland, anterior lobe",
)
ParcellationEntity.swanson_bm_pituitary_gland_galen = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_pituitaryGlandGalen",
    abbreviation="PIT",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_pituitaryGlandGalen"
        }
    ],
    lookup_label="SwansonBM_pituitaryGlandGalen",
    name="pituitary gland [Galen]",
)
ParcellationEntity.swanson_bm_pituitary_gland_intermediate_lobe = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_pituitaryGlandIntermediateLobe",
    abbreviation="IL",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_pituitaryGlandIntermediateLobe"
        }
    ],
    lookup_label="SwansonBM_pituitaryGlandIntermediateLobe",
    name="pituitary gland, intermediate lobe",
)
ParcellationEntity.swanson_bm_pituitary_gland_neural_lobe = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_pituitaryGlandNeuralLobe",
    abbreviation="NL",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_pituitaryGlandNeuralLobe"
        }
    ],
    lookup_label="SwansonBM_pituitaryGlandNeuralLobe",
    name="pituitary gland, neural lobe",
)
ParcellationEntity.swanson_bm_pons_varolio = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_ponsVarolio",
    abbreviation="P",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_ponsVarolio"}
    ],
    lookup_label="SwansonBM_ponsVarolio",
    name="pons [Varolio]",
)
ParcellationEntity.swanson_bm_pontine_central_gray = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_pontineCentralGray",
    abbreviation="PCG",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_pontineCentralGray"}
    ],
    lookup_label="SwansonBM_pontineCentralGray",
    name="pontine central gray",
)
ParcellationEntity.swanson_bm_pontine_central_gray_general = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_pontineCentralGrayGeneral",
    abbreviation="PCGg",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_pontineCentralGrayGeneral"
        }
    ],
    lookup_label="SwansonBM_pontineCentralGrayGeneral",
    name="pontine central gray, general",
)
ParcellationEntity.swanson_bm_pontine_gray = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_pontineGray",
    abbreviation="PG",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_pontineGray"}
    ],
    lookup_label="SwansonBM_pontineGray",
    name="pontine gray",
)
ParcellationEntity.swanson_bm_pontine_gray_general = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_pontineGrayGeneral",
    abbreviation="PGg",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_pontineGrayGeneral"}
    ],
    lookup_label="SwansonBM_pontineGrayGeneral",
    name="pontine gray, general",
)
ParcellationEntity.swanson_bm_pontine_reticular_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_pontineReticularNucleus",
    abbreviation="PRN",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_pontineReticularNucleus"
        }
    ],
    lookup_label="SwansonBM_pontineReticularNucleus",
    name="pontine reticular nucleus",
)
ParcellationEntity.swanson_bm_pontine_reticular_nucleus_caudal_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_pontineReticularNucleusCaudalPart",
    abbreviation="PRNc",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_pontineReticularNucleusCaudalPart"
        }
    ],
    lookup_label="SwansonBM_pontineReticularNucleusCaudalPart",
    name="pontine reticular nucleus, caudal part",
)
ParcellationEntity.swanson_bm_pontine_reticular_nucleus_rostral_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_pontineReticularNucleusRostralPart",
    abbreviation="PRNr",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_pontineReticularNucleusRostralPart"
        }
    ],
    lookup_label="SwansonBM_pontineReticularNucleusRostralPart",
    name="pontine reticular nucleus, rostral part",
)
ParcellationEntity.swanson_bm_post_and_precerebellar_nuclei = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_postAndPrecerebellarNuclei",
    abbreviation="CBPP",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_postAndPrecerebellarNuclei"
        }
    ],
    lookup_label="SwansonBM_postAndPrecerebellarNuclei",
    name="post- and precerebellar nuclei",
)
ParcellationEntity.swanson_bm_postcommissural_fornix_elliot_smith = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_postcommissuralFornixElliotSmith",
    abbreviation="fxpo",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_postcommissuralFornixElliotSmith"
        }
    ],
    lookup_label="SwansonBM_postcommissuralFornixElliotSmith",
    name="postcommissural fornix [Elliot Smith]",
)
ParcellationEntity.swanson_bm_posterior_amygdalar_nucleus_canteras_swanson = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_posteriorAmygdalarNucleusCanterasSwanson",
    abbreviation="PA",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_posteriorAmygdalarNucleusCanterasSwanson"
        }
    ],
    lookup_label="SwansonBM_posteriorAmygdalarNucleusCanterasSwanson",
    name="posterior amygdalar nucleus [Canteras-Swanson]",
)
ParcellationEntity.swanson_bm_posterior_auditory_area = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_posteriorAuditoryArea",
    abbreviation="AUDpo",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_posteriorAuditoryArea"
        }
    ],
    lookup_label="SwansonBM_posteriorAuditoryArea",
    name="posterior auditory area",
)
ParcellationEntity.swanson_bm_posterior_commissure_lieutaud = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_posteriorCommissureLieutaud",
    abbreviation="pc",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_posteriorCommissureLieutaud"
        }
    ],
    lookup_label="SwansonBM_posteriorCommissureLieutaud",
    name="posterior commissure [Lieutaud]",
)
ParcellationEntity.swanson_bm_posterior_complex_thalamus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_posteriorComplexThalamus",
    abbreviation="PO",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_posteriorComplexThalamus"
        }
    ],
    lookup_label="SwansonBM_posteriorComplexThalamus",
    name="posterior complex thalamus",
)
ParcellationEntity.swanson_bm_posterior_hypothalamic_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_posteriorHypothalamicNucleus",
    abbreviation="PH",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_posteriorHypothalamicNucleus"
        }
    ],
    lookup_label="SwansonBM_posteriorHypothalamicNucleus",
    name="posterior hypothalamic nucleus",
)
ParcellationEntity.swanson_bm_posterior_limiting_nucleus_thalamus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_posteriorLimitingNucleusThalamus",
    abbreviation="POL",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_posteriorLimitingNucleusThalamus"
        }
    ],
    lookup_label="SwansonBM_posteriorLimitingNucleusThalamus",
    name="posterior limiting nucleus thalamus",
)
ParcellationEntity.swanson_bm_posterior_lobe_cerebellum = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_posteriorLobeCerebellum",
    abbreviation="PLC",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_posteriorLobeCerebellum"
        }
    ],
    lookup_label="SwansonBM_posteriorLobeCerebellum",
    name="posterior lobe cerebellum",
)
ParcellationEntity.swanson_bm_posterior_pretectal_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_posteriorPretectalNucleus",
    abbreviation="PPT",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_posteriorPretectalNucleus"
        }
    ],
    lookup_label="SwansonBM_posteriorPretectalNucleus",
    name="posterior pretectal nucleus",
)
ParcellationEntity.swanson_bm_posterior_septal_complex = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_posteriorSeptalComplex",
    abbreviation="PSC",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_posteriorSeptalComplex"
        }
    ],
    lookup_label="SwansonBM_posteriorSeptalComplex",
    name="posterior septal complex",
)
ParcellationEntity.swanson_bm_posterior_superior_fissure = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_posteriorSuperiorFissure",
    abbreviation="psf",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_posteriorSuperiorFissure"
        }
    ],
    lookup_label="SwansonBM_posteriorSuperiorFissure",
    name="posterior superior fissure",
)
ParcellationEntity.swanson_bm_posterodorsal_intraculminate_fissure = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_posterodorsalIntraculminateFissure",
    abbreviation="icupd",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_posterodorsalIntraculminateFissure"
        }
    ],
    lookup_label="SwansonBM_posterodorsalIntraculminateFissure",
    name="posterodorsal intraculminate fissure",
)
ParcellationEntity.swanson_bm_posterodorsal_preoptic_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_posterodorsalPreopticNucleus",
    abbreviation="PD",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_posterodorsalPreopticNucleus"
        }
    ],
    lookup_label="SwansonBM_posterodorsalPreopticNucleus",
    name="posterodorsal preoptic nucleus",
)
ParcellationEntity.swanson_bm_posterolateral_fissure = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_posterolateralFissure",
    abbreviation="plf",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_posterolateralFissure"
        }
    ],
    lookup_label="SwansonBM_posterolateralFissure",
    name="posterolateral fissure",
)
ParcellationEntity.swanson_bm_posterolateral_visual_area = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_posterolateralVisualArea",
    abbreviation="VISpl",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_posterolateralVisualArea"
        }
    ],
    lookup_label="SwansonBM_posterolateralVisualArea",
    name="posterolateral visual area",
)
ParcellationEntity.swanson_bm_posteromedial_visual_area = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_posteromedialVisualArea",
    abbreviation="VISpm",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_posteromedialVisualArea"
        }
    ],
    lookup_label="SwansonBM_posteromedialVisualArea",
    name="posteromedial visual area",
)
ParcellationEntity.swanson_bm_postpiriform_transition_area = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_postpiriformTransitionArea",
    abbreviation="TR",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_postpiriformTransitionArea"
        }
    ],
    lookup_label="SwansonBM_postpiriformTransitionArea",
    name="postpiriform transition area",
)
ParcellationEntity.swanson_bm_postsubiculum_layers16 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_postsubiculumLayers16",
    abbreviation="POST1-6",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_postsubiculumLayers16"
        }
    ],
    lookup_label="SwansonBM_postsubiculumLayers16",
    name="postsubiculum, layers 1-6",
)
ParcellationEntity.swanson_bm_precentral_fissure = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_precentralFissure",
    abbreviation="pce",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_precentralFissure"}
    ],
    lookup_label="SwansonBM_precentralFissure",
    name="precentral fissure",
)
ParcellationEntity.swanson_bm_precentral_fissure_a = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_precentralFissureA",
    abbreviation="pcea",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_precentralFissureA"}
    ],
    lookup_label="SwansonBM_precentralFissureA",
    name="precentral fissure a",
)
ParcellationEntity.swanson_bm_precentral_fissure_b = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_precentralFissureB",
    abbreviation="pceb",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_precentralFissureB"}
    ],
    lookup_label="SwansonBM_precentralFissureB",
    name="precentral fissure b",
)
ParcellationEntity.swanson_bm_precommissural_fornix_elliot_smith = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_precommissuralFornixElliotSmith",
    abbreviation="fxpr",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_precommissuralFornixElliotSmith"
        }
    ],
    lookup_label="SwansonBM_precommissuralFornixElliotSmith",
    name="precommissural fornix [Elliot Smith]",
)
ParcellationEntity.swanson_bm_precommissural_fornix_general = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_precommissuralFornixGeneral",
    abbreviation="fxprg",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_precommissuralFornixGeneral"
        }
    ],
    lookup_label="SwansonBM_precommissuralFornixGeneral",
    name="precommissural fornix, general",
)
ParcellationEntity.swanson_bm_precommissural_nucleus_periaqueductal_gray_paxinos_watson = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_precommissuralNucleusPeriaqueductalGrayPaxinosWatson",
    abbreviation="PRC",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_precommissuralNucleusPeriaqueductalGrayPaxinosWatson"
        }
    ],
    lookup_label="SwansonBM_precommissuralNucleusPeriaqueductalGrayPaxinosWatson",
    name="precommissural nucleus, periaqueductal gray [Paxinos-Watson]",
)
ParcellationEntity.swanson_bm_preculminate_fissure = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_preculminateFissure",
    abbreviation="pcf",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_preculminateFissure"
        }
    ],
    lookup_label="SwansonBM_preculminateFissure",
    name="preculminate fissure",
)
ParcellationEntity.swanson_bm_prefrontal_region = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_prefrontalRegion",
    abbreviation="PFR",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_prefrontalRegion"}
    ],
    lookup_label="SwansonBM_prefrontalRegion",
    name="prefrontal region",
)
ParcellationEntity.swanson_bm_preganglionic_autonomic_pools = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_preganglionicAutonomicPools",
    abbreviation="ANSpre",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_preganglionicAutonomicPools"
        }
    ],
    lookup_label="SwansonBM_preganglionicAutonomicPools",
    name="preganglionic autonomic pools",
)
ParcellationEntity.swanson_bm_preganglionic_autonomic_pools_parasympathetic = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_preganglionicAutonomicPoolsParasympathetic",
    abbreviation="ANSprep",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_preganglionicAutonomicPoolsParasympathetic"
        }
    ],
    lookup_label="SwansonBM_preganglionicAutonomicPoolsParasympathetic",
    name="preganglionic autonomic pools, parasympathetic",
)
ParcellationEntity.swanson_bm_preganglionic_autonomic_pools_sympathetic = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_preganglionicAutonomicPoolsSympathetic",
    abbreviation="ANSpres",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_preganglionicAutonomicPoolsSympathetic"
        }
    ],
    lookup_label="SwansonBM_preganglionicAutonomicPoolsSympathetic",
    name="preganglionic autonomic pools, sympathetic",
)
ParcellationEntity.swanson_bm_prelimbic_area = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_prelimbicArea",
    abbreviation="PL",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_prelimbicArea"}
    ],
    lookup_label="SwansonBM_prelimbicArea",
    name="prelimbic area",
)
ParcellationEntity.swanson_bm_premammillary_commissure_risold_et_al = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_premammillaryCommissureRisoldEtAl",
    abbreviation="pmx",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_premammillaryCommissureRisoldEtAl"
        }
    ],
    lookup_label="SwansonBM_premammillaryCommissureRisoldEtAl",
    name="premammillary commissure [Risold et al.]",
)
ParcellationEntity.swanson_bm_preoptic_commissure_risold_et_al = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_preopticCommissureRisoldEtAl",
    abbreviation="poc",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_preopticCommissureRisoldEtAl"
        }
    ],
    lookup_label="SwansonBM_preopticCommissureRisoldEtAl",
    name="preoptic commissure [Risold et al.]",
)
ParcellationEntity.swanson_bm_preoptic_level_hypothalamus_edinger = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_preopticLevelHypothalamusEdinger",
    abbreviation="PRO",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_preopticLevelHypothalamusEdinger"
        }
    ],
    lookup_label="SwansonBM_preopticLevelHypothalamusEdinger",
    name="preoptic level, hypothalamus [Edinger]",
)
ParcellationEntity.swanson_bm_preoptic_periventricular_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_preopticPeriventricularNucleus",
    abbreviation="PVpo",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_preopticPeriventricularNucleus"
        }
    ],
    lookup_label="SwansonBM_preopticPeriventricularNucleus",
    name="preoptic periventricular nucleus",
)
ParcellationEntity.swanson_bm_preparasubthalamic_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_preparasubthalamicNucleus",
    abbreviation="PST",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_preparasubthalamicNucleus"
        }
    ],
    lookup_label="SwansonBM_preparasubthalamicNucleus",
    name="preparasubthalamic nucleus",
)
ParcellationEntity.swanson_bm_prepyramidal_fissure = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_prepyramidalFissure",
    abbreviation="ppf",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_prepyramidalFissure"
        }
    ],
    lookup_label="SwansonBM_prepyramidalFissure",
    name="prepyramidal fissure",
)
ParcellationEntity.swanson_bm_presubiculum_layers16_cajal = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_presubiculumLayers16Cajal",
    abbreviation="PRE1-6",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_presubiculumLayers16Cajal"
        }
    ],
    lookup_label="SwansonBM_presubiculumLayers16Cajal",
    name="presubiculum, layers 1-6 [Cajal]",
)
ParcellationEntity.swanson_bm_pretectal_region_edinger = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_pretectalRegionEdinger",
    abbreviation="PRT",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_pretectalRegionEdinger"
        }
    ],
    lookup_label="SwansonBM_pretectalRegionEdinger",
    name="pretectal region [Edinger]",
)
ParcellationEntity.swanson_bm_prevertebral_sympathetic_ganglia = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_prevertebralSympatheticGanglia",
    abbreviation="GPRS",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_prevertebralSympatheticGanglia"
        }
    ],
    lookup_label="SwansonBM_prevertebralSympatheticGanglia",
    name="prevertebral sympathetic ganglia",
)
ParcellationEntity.swanson_bm_primary_auditory_area = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_primaryAuditoryArea",
    abbreviation="AUDp",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_primaryAuditoryArea"
        }
    ],
    lookup_label="SwansonBM_primaryAuditoryArea",
    name="primary auditory area",
)
ParcellationEntity.swanson_bm_primary_fissure = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_primaryFissure",
    abbreviation="pri",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_primaryFissure"}
    ],
    lookup_label="SwansonBM_primaryFissure",
    name="primary fissure",
)
ParcellationEntity.swanson_bm_primary_somatomotor_area = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_primarySomatomotorArea",
    abbreviation="MOp",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_primarySomatomotorArea"
        }
    ],
    lookup_label="SwansonBM_primarySomatomotorArea",
    name="primary somatomotor area",
)
ParcellationEntity.swanson_bm_primary_somatosensory_area = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_primarySomatosensoryArea",
    abbreviation="SSp",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_primarySomatosensoryArea"
        }
    ],
    lookup_label="SwansonBM_primarySomatosensoryArea",
    name="primary somatosensory area",
)
ParcellationEntity.swanson_bm_primary_somatosensory_area_barrel_field = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_primarySomatosensoryAreaBarrelField",
    abbreviation="SSp-bfd",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_primarySomatosensoryAreaBarrelField"
        }
    ],
    lookup_label="SwansonBM_primarySomatosensoryAreaBarrelField",
    name="primary somatosensory area, barrel field",
)
ParcellationEntity.swanson_bm_primary_somatosensory_area_lower_limb_region = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_primarySomatosensoryAreaLowerLimbRegion",
    abbreviation="SSp-ll",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_primarySomatosensoryAreaLowerLimbRegion"
        }
    ],
    lookup_label="SwansonBM_primarySomatosensoryAreaLowerLimbRegion",
    name="primary somatosensory area, lower limb region",
)
ParcellationEntity.swanson_bm_primary_somatosensory_area_mouth_region = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_primarySomatosensoryAreaMouthRegion",
    abbreviation="SSp-m",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_primarySomatosensoryAreaMouthRegion"
        }
    ],
    lookup_label="SwansonBM_primarySomatosensoryAreaMouthRegion",
    name="primary somatosensory area, mouth region",
)
ParcellationEntity.swanson_bm_primary_somatosensory_area_nose_region = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_primarySomatosensoryAreaNoseRegion",
    abbreviation="SSp-n",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_primarySomatosensoryAreaNoseRegion"
        }
    ],
    lookup_label="SwansonBM_primarySomatosensoryAreaNoseRegion",
    name="primary somatosensory area, nose region",
)
ParcellationEntity.swanson_bm_primary_somatosensory_area_trunk_region = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_primarySomatosensoryAreaTrunkRegion",
    abbreviation="SSp-tr",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_primarySomatosensoryAreaTrunkRegion"
        }
    ],
    lookup_label="SwansonBM_primarySomatosensoryAreaTrunkRegion",
    name="primary somatosensory area, trunk region",
)
ParcellationEntity.swanson_bm_primary_somatosensory_area_upper_limb_region = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_primarySomatosensoryAreaUpperLimbRegion",
    abbreviation="SSp-ul",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_primarySomatosensoryAreaUpperLimbRegion"
        }
    ],
    lookup_label="SwansonBM_primarySomatosensoryAreaUpperLimbRegion",
    name="primary somatosensory area, upper limb region",
)
ParcellationEntity.swanson_bm_primary_visual_area = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_primaryVisualArea",
    abbreviation="VISp",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_primaryVisualArea"}
    ],
    lookup_label="SwansonBM_primaryVisualArea",
    name="primary visual area",
)
ParcellationEntity.swanson_bm_principal_mammillary_tract_kolliker = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_principalMammillaryTractKolliker",
    abbreviation="pm",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_principalMammillaryTractKolliker"
        }
    ],
    lookup_label="SwansonBM_principalMammillaryTractKolliker",
    name="principal mammillary tract [Kölliker]",
)
ParcellationEntity.swanson_bm_principal_sensory_nucleus_of_the_trigeminal = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_principalSensoryNucleusOfTheTrigeminal",
    abbreviation="PSV",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_principalSensoryNucleusOfTheTrigeminal"
        }
    ],
    lookup_label="SwansonBM_principalSensoryNucleusOfTheTrigeminal",
    name="principal sensory nucleus of the trigeminal",
)
ParcellationEntity.swanson_bm_propriohypothalamic_pathways = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_propriohypothalamicPathways",
    abbreviation="php",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_propriohypothalamicPathways"
        }
    ],
    lookup_label="SwansonBM_propriohypothalamicPathways",
    name="propriohypothalamic pathways",
)
ParcellationEntity.swanson_bm_proximal_glossopharyngeal_ganglion = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_proximalGlossopharyngealGanglion",
    abbreviation="GpIX",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_proximalGlossopharyngealGanglion"
        }
    ],
    lookup_label="SwansonBM_proximalGlossopharyngealGanglion",
    name="proximal glossopharyngeal ganglion",
)
ParcellationEntity.swanson_bm_proximal_glossopharyngeovagal_placode = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_proximalGlossopharyngeovagalPlacode",
    abbreviation="IX/Xpp",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_proximalGlossopharyngeovagalPlacode"
        }
    ],
    lookup_label="SwansonBM_proximalGlossopharyngeovagalPlacode",
    name="proximal glossopharyngeovagal placode",
)
ParcellationEntity.swanson_bm_proximal_vagal_ganglion_ehrenritter = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_proximalVagalGanglionEhrenritter",
    abbreviation="GpX",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_proximalVagalGanglionEhrenritter"
        }
    ],
    lookup_label="SwansonBM_proximalVagalGanglionEhrenritter",
    name="proximal vagal ganglion [Ehrenritter]",
)
ParcellationEntity.swanson_bm_pterygopalatine_ganglion_meckel = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_pterygopalatineGanglionMeckel",
    abbreviation="GptVII",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_pterygopalatineGanglionMeckel"
        }
    ],
    lookup_label="SwansonBM_pterygopalatineGanglionMeckel",
    name="pterygopalatine ganglion [Meckel]",
)
ParcellationEntity.swanson_bm_pudental_plexus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_pudentalPlexus",
    abbreviation="pup",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_pudentalPlexus"}
    ],
    lookup_label="SwansonBM_pudentalPlexus",
    name="pudental plexus",
)
ParcellationEntity.swanson_bm_pyramid_willis = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_pyramidWillis",
    abbreviation="py",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_pyramidWillis"}
    ],
    lookup_label="SwansonBM_pyramidWillis",
    name="pyramid [Willis]",
)
ParcellationEntity.swanson_bm_pyramidal_decussation_pourfour_du_petit = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_pyramidalDecussationPourfourDuPetit",
    abbreviation="pyd",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_pyramidalDecussationPourfourDuPetit"
        }
    ],
    lookup_label="SwansonBM_pyramidalDecussationPourfourDuPetit",
    name="pyramidal decussation [Pourfour du Petit]",
)
ParcellationEntity.swanson_bm_pyramidal_fissure = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_pyramidalFissure",
    abbreviation="pyf",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_pyramidalFissure"}
    ],
    lookup_label="SwansonBM_pyramidalFissure",
    name="pyramidal fissure",
)
ParcellationEntity.swanson_bm_pyramus_viii_sublobules_ab = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_pyramusVIIISublobulesAb",
    abbreviation="PYRa,b",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_pyramusVIIISublobulesAb"
        }
    ],
    lookup_label="SwansonBM_pyramusVIIISublobulesAb",
    name="pyramus (VIII), sublobules a,b",
)
ParcellationEntity.swanson_bm_raphe_nuclei = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_rapheNuclei",
    abbreviation="RA",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_rapheNuclei"}
    ],
    lookup_label="SwansonBM_rapheNuclei",
    name="raphé nuclei",
)
ParcellationEntity.swanson_bm_red_nucleus_burdach = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_redNucleusBurdach",
    abbreviation="RN",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_redNucleusBurdach"}
    ],
    lookup_label="SwansonBM_redNucleusBurdach",
    name="red nucleus [Burdach]",
)
ParcellationEntity.swanson_bm_reticular_formation_j_lenhossek = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_reticularFormationJLenhossek",
    abbreviation="RET",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_reticularFormationJLenhossek"
        }
    ],
    lookup_label="SwansonBM_reticularFormationJLenhossek",
    name="reticular formation [J. Lenhossék]",
)
ParcellationEntity.swanson_bm_reticular_nucleus_spinal_cord = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_reticularNucleusSpinalCord",
    abbreviation="RS",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_reticularNucleusSpinalCord"
        }
    ],
    lookup_label="SwansonBM_reticularNucleusSpinalCord",
    name="reticular nucleus spinal cord",
)
ParcellationEntity.swanson_bm_reticular_nucleus_thalamus_arnold = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_reticularNucleusThalamusArnold",
    abbreviation="RT",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_reticularNucleusThalamusArnold"
        }
    ],
    lookup_label="SwansonBM_reticularNucleusThalamusArnold",
    name="reticular nucleus thalamus [Arnold]",
)
ParcellationEntity.swanson_bm_reticulocerebellar_tract = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_reticulocerebellarTract",
    abbreviation="rct",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_reticulocerebellarTract"
        }
    ],
    lookup_label="SwansonBM_reticulocerebellarTract",
    name="reticulocerebellar tract",
)
ParcellationEntity.swanson_bm_reticulospinal_tract = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_reticulospinalTract",
    abbreviation="rst",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_reticulospinalTract"
        }
    ],
    lookup_label="SwansonBM_reticulospinalTract",
    name="reticulospinal tract",
)
ParcellationEntity.swanson_bm_reticulospinal_tract_lateral_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_reticulospinalTractLateralPart",
    abbreviation="rstl",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_reticulospinalTractLateralPart"
        }
    ],
    lookup_label="SwansonBM_reticulospinalTractLateralPart",
    name="reticulospinal tract , lateral part",
)
ParcellationEntity.swanson_bm_reticulospinal_tract_medial_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_reticulospinalTractMedialPart",
    abbreviation="rstm",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_reticulospinalTractMedialPart"
        }
    ],
    lookup_label="SwansonBM_reticulospinalTractMedialPart",
    name="reticulospinal tract, medial part",
)
ParcellationEntity.swanson_bm_retina = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_retina",
    abbreviation="R",
    has_versions=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_retina"}],
    lookup_label="SwansonBM_retina",
    name="retina",
)
ParcellationEntity.swanson_bm_retina_ganglion_cell_layer = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_retinaGanglionCellLayer",
    abbreviation="Rgcl",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_retinaGanglionCellLayer"
        }
    ],
    lookup_label="SwansonBM_retinaGanglionCellLayer",
    name="retina, ganglion cell layer",
)
ParcellationEntity.swanson_bm_retina_inner_nuclear_layer = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_retinaInnerNuclearLayer",
    abbreviation="Rinl",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_retinaInnerNuclearLayer"
        }
    ],
    lookup_label="SwansonBM_retinaInnerNuclearLayer",
    name="retina, inner nuclear layer",
)
ParcellationEntity.swanson_bm_retina_inner_plexiform_layer = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_retinaInnerPlexiformLayer",
    abbreviation="Ripl",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_retinaInnerPlexiformLayer"
        }
    ],
    lookup_label="SwansonBM_retinaInnerPlexiformLayer",
    name="retina, inner plexiform layer",
)
ParcellationEntity.swanson_bm_retina_outer_nuclear_layer = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_retinaOuterNuclearLayer",
    abbreviation="Ronl",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_retinaOuterNuclearLayer"
        }
    ],
    lookup_label="SwansonBM_retinaOuterNuclearLayer",
    name="retina, outer nuclear layer",
)
ParcellationEntity.swanson_bm_retina_outer_plexiform_layer = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_retinaOuterPlexiformLayer",
    abbreviation="Ropl",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_retinaOuterPlexiformLayer"
        }
    ],
    lookup_label="SwansonBM_retinaOuterPlexiformLayer",
    name="retina, outer plexiform layer",
)
ParcellationEntity.swanson_bm_retrochiasmatic_area_lateral_hypothalamic_area = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_retrochiasmaticAreaLateralHypothalamicArea",
    abbreviation="RCH",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_retrochiasmaticAreaLateralHypothalamicArea"
        }
    ],
    lookup_label="SwansonBM_retrochiasmaticAreaLateralHypothalamicArea",
    name="retrochiasmatic area, lateral hypothalamic area",
)
ParcellationEntity.swanson_bm_retrohippocampal_region = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_retrohippocampalRegion",
    abbreviation="RHP",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_retrohippocampalRegion"
        }
    ],
    lookup_label="SwansonBM_retrohippocampalRegion",
    name="retrohippocampal region",
)
ParcellationEntity.swanson_bm_retrosplenial_area = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_retrosplenialArea",
    abbreviation="RSP",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_retrosplenialArea"}
    ],
    lookup_label="SwansonBM_retrosplenialArea",
    name="retrosplenial area",
)
ParcellationEntity.swanson_bm_retrosplenial_area_dorsal_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_retrosplenialAreaDorsalPart",
    abbreviation="RSPd",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_retrosplenialAreaDorsalPart"
        }
    ],
    lookup_label="SwansonBM_retrosplenialAreaDorsalPart",
    name="retrosplenial area, dorsal part",
)
ParcellationEntity.swanson_bm_retrosplenial_area_lateral_agranular_part_risold_swanson = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_retrosplenialAreaLateralAgranularPartRisoldSwanson",
    abbreviation="RSPagl",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_retrosplenialAreaLateralAgranularPartRisoldSwanson"
        }
    ],
    lookup_label="SwansonBM_retrosplenialAreaLateralAgranularPartRisoldSwanson",
    name="retrosplenial area, lateral agranular part [Risold-Swanson]",
)
ParcellationEntity.swanson_bm_retrosplenial_area_ventral_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_retrosplenialAreaVentralPart",
    abbreviation="RSPv",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_retrosplenialAreaVentralPart"
        }
    ],
    lookup_label="SwansonBM_retrosplenialAreaVentralPart",
    name="retrosplenial area, ventral part",
)
ParcellationEntity.swanson_bm_retrosplenial_area_ventral_part_zone_a = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_retrosplenialAreaVentralPartZoneA",
    abbreviation="RSPv.a",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_retrosplenialAreaVentralPartZoneA"
        }
    ],
    lookup_label="SwansonBM_retrosplenialAreaVentralPartZoneA",
    name="retrosplenial area, ventral part, zone a",
)
ParcellationEntity.swanson_bm_retrosplenial_area_ventral_part_zone_bc = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_retrosplenialAreaVentralPartZoneBc",
    abbreviation="RSPv.b/c",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_retrosplenialAreaVentralPartZoneBc"
        }
    ],
    lookup_label="SwansonBM_retrosplenialAreaVentralPartZoneBc",
    name="retrosplenial area, ventral part, zone b/c",
)
ParcellationEntity.swanson_bm_rhinal_fissure = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_rhinalFissure",
    abbreviation="rf",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_rhinalFissure"}
    ],
    lookup_label="SwansonBM_rhinalFissure",
    name="rhinal fissure",
)
ParcellationEntity.swanson_bm_rhinal_incisure = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_rhinalIncisure",
    abbreviation="ri",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_rhinalIncisure"}
    ],
    lookup_label="SwansonBM_rhinalIncisure",
    name="rhinal incisure",
)
ParcellationEntity.swanson_bm_rhinal_region = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_rhinalRegion",
    abbreviation="RHI",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_rhinalRegion"}
    ],
    lookup_label="SwansonBM_rhinalRegion",
    name="rhinal region",
)
ParcellationEntity.swanson_bm_rhinocele = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_rhinocele",
    abbreviation="RC",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_rhinocele"}
    ],
    lookup_label="SwansonBM_rhinocele",
    name="rhinocele",
)
ParcellationEntity.swanson_bm_rhomboid_nucleus_cajal = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_rhomboidNucleusCajal",
    abbreviation="RH",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_rhomboidNucleusCajal"
        }
    ],
    lookup_label="SwansonBM_rhomboidNucleusCajal",
    name="rhomboid nucleus [Cajal]",
)
ParcellationEntity.swanson_bm_rostral_linear_nucleus_raphe = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_rostralLinearNucleusRaphe",
    abbreviation="RL",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_rostralLinearNucleusRaphe"
        }
    ],
    lookup_label="SwansonBM_rostralLinearNucleusRaphe",
    name="rostral linear nucleus raphé",
)
ParcellationEntity.swanson_bm_rostral_medullary_velum_vieussens = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_rostralMedullaryVelumVieussens",
    abbreviation="RMVE",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_rostralMedullaryVelumVieussens"
        }
    ],
    lookup_label="SwansonBM_rostralMedullaryVelumVieussens",
    name="rostral medullary velum [Vieussens]",
)
ParcellationEntity.swanson_bm_rostral_neuropore = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_rostralNeuropore",
    abbreviation="rnp",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_rostralNeuropore"}
    ],
    lookup_label="SwansonBM_rostralNeuropore",
    name="rostral neuropore",
)
ParcellationEntity.swanson_bm_rostrolateral_visual_area = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_rostrolateralVisualArea",
    abbreviation="VISrl",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_rostrolateralVisualArea"
        }
    ],
    lookup_label="SwansonBM_rostrolateralVisualArea",
    name="rostrolateral visual area",
)
ParcellationEntity.swanson_bm_rubroreticular_tract = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_rubroreticularTract",
    abbreviation="rrt",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_rubroreticularTract"
        }
    ],
    lookup_label="SwansonBM_rubroreticularTract",
    name="rubroreticular tract",
)
ParcellationEntity.swanson_bm_rubrospinal_tract_monakow = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_rubrospinalTractMonakow",
    abbreviation="rust",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_rubrospinalTractMonakow"
        }
    ],
    lookup_label="SwansonBM_rubrospinalTractMonakow",
    name="rubrospinal tract [Monakow]",
)
ParcellationEntity.swanson_bm_sacral_parasympathetic_ganglia = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_sacralParasympatheticGanglia",
    abbreviation="GPS",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_sacralParasympatheticGanglia"
        }
    ],
    lookup_label="SwansonBM_sacralParasympatheticGanglia",
    name="sacral parasympathetic ganglia",
)
ParcellationEntity.swanson_bm_sacral_spinal_ganglia14 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_sacralSpinalGanglia14",
    abbreviation="G-S1-4",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_sacralSpinalGanglia14"
        }
    ],
    lookup_label="SwansonBM_sacralSpinalGanglia14",
    name="sacral spinal ganglia, 1-4",
)
ParcellationEntity.swanson_bm_sacral_sympathetic_ganglia14 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_sacralSympatheticGanglia14",
    abbreviation="Gs-S1-4",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_sacralSympatheticGanglia14"
        }
    ],
    lookup_label="SwansonBM_sacralSympatheticGanglia14",
    name="sacral sympathetic ganglia, 1-4",
)
ParcellationEntity.swanson_bm_secondary_fissure = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_secondaryFissure",
    abbreviation="sec",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_secondaryFissure"}
    ],
    lookup_label="SwansonBM_secondaryFissure",
    name="secondary fissure",
)
ParcellationEntity.swanson_bm_secondary_somatomotor_areas = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_secondarySomatomotorAreas",
    abbreviation="MOs",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_secondarySomatomotorAreas"
        }
    ],
    lookup_label="SwansonBM_secondarySomatomotorAreas",
    name="secondary somatomotor areas",
)
ParcellationEntity.swanson_bm_sensory_ganglia = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_sensoryGanglia",
    abbreviation="GSE",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_sensoryGanglia"}
    ],
    lookup_label="SwansonBM_sensoryGanglia",
    name="sensory ganglia",
)
ParcellationEntity.swanson_bm_sensory_root_of_the_trigeminal_nerve = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_sensoryRootOfTheTrigeminalNerve",
    abbreviation="sV",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_sensoryRootOfTheTrigeminalNerve"
        }
    ],
    lookup_label="SwansonBM_sensoryRootOfTheTrigeminalNerve",
    name="sensory root of the trigeminal nerve",
)
ParcellationEntity.swanson_bm_sensory_system = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_sensorySystem",
    abbreviation="SEN",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_sensorySystem"}
    ],
    lookup_label="SwansonBM_sensorySystem",
    name="sensory system",
)
ParcellationEntity.swanson_bm_sensory_system_auditory = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_sensorySystemAuditory",
    abbreviation="SENaud",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_sensorySystemAuditory"
        }
    ],
    lookup_label="SwansonBM_sensorySystemAuditory",
    name="sensory system, auditory",
)
ParcellationEntity.swanson_bm_sensory_system_gustatory = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_sensorySystemGustatory",
    abbreviation="SENgu",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_sensorySystemGustatory"
        }
    ],
    lookup_label="SwansonBM_sensorySystemGustatory",
    name="sensory system, gustatory",
)
ParcellationEntity.swanson_bm_sensory_system_humorosensory = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_sensorySystemHumorosensory",
    abbreviation="SENhum",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_sensorySystemHumorosensory"
        }
    ],
    lookup_label="SwansonBM_sensorySystemHumorosensory",
    name="sensory system, humorosensory",
)
ParcellationEntity.swanson_bm_sensory_system_somatosensory = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_sensorySystemSomatosensory",
    abbreviation="SENss",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_sensorySystemSomatosensory"
        }
    ],
    lookup_label="SwansonBM_sensorySystemSomatosensory",
    name="sensory system, somatosensory",
)
ParcellationEntity.swanson_bm_sensory_system_visceral = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_sensorySystemVisceral",
    abbreviation="SENvsc",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_sensorySystemVisceral"
        }
    ],
    lookup_label="SwansonBM_sensorySystemVisceral",
    name="sensory system, visceral",
)
ParcellationEntity.swanson_bm_sensory_system_visual = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_sensorySystemVisual",
    abbreviation="SENvis",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_sensorySystemVisual"
        }
    ],
    lookup_label="SwansonBM_sensorySystemVisual",
    name="sensory system, visual",
)
ParcellationEntity.swanson_bm_septal_region_meynert = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_septalRegionMeynert",
    abbreviation="SEP",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_septalRegionMeynert"
        }
    ],
    lookup_label="SwansonBM_septalRegionMeynert",
    name="septal region [Meynert]",
)
ParcellationEntity.swanson_bm_septofimbrial_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_septofimbrialNucleus",
    abbreviation="SF",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_septofimbrialNucleus"
        }
    ],
    lookup_label="SwansonBM_septofimbrialNucleus",
    name="septofimbrial nucleus",
)
ParcellationEntity.swanson_bm_septohippocampal_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_septohippocampalNucleus",
    abbreviation="SH",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_septohippocampalNucleus"
        }
    ],
    lookup_label="SwansonBM_septohippocampalNucleus",
    name="septohippocampal nucleus",
)
ParcellationEntity.swanson_bm_simple_fissure = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_simpleFissure",
    abbreviation="sif",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_simpleFissure"}
    ],
    lookup_label="SwansonBM_simpleFissure",
    name="simple fissure",
)
ParcellationEntity.swanson_bm_simple_lobule_sublobules_ab = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_simpleLobuleSublobulesAb",
    abbreviation="SIMa,b",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_simpleLobuleSublobulesAb"
        }
    ],
    lookup_label="SwansonBM_simpleLobuleSublobulesAb",
    name="simple lobule, sublobules a,b",
)
ParcellationEntity.swanson_bm_solitary_tract = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_solitaryTract",
    abbreviation="ts",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_solitaryTract"}
    ],
    lookup_label="SwansonBM_solitaryTract",
    name="solitary tract",
)
ParcellationEntity.swanson_bm_somatic_nervous_system = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_somaticNervousSystem",
    abbreviation="SMS",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_somaticNervousSystem"
        }
    ],
    lookup_label="SwansonBM_somaticNervousSystem",
    name="somatic nervous system",
)
ParcellationEntity.swanson_bm_somatomotor_areas = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_somatomotorAreas",
    abbreviation="MO",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_somatomotorAreas"}
    ],
    lookup_label="SwansonBM_somatomotorAreas",
    name="somatomotor areas",
)
ParcellationEntity.swanson_bm_somatomotor_motoneuron_pools = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_somatomotorMotoneuronPools",
    abbreviation="SMM",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_somatomotorMotoneuronPools"
        }
    ],
    lookup_label="SwansonBM_somatomotorMotoneuronPools",
    name="somatomotor motoneuron pools",
)
ParcellationEntity.swanson_bm_somatosensory_areas = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_somatosensoryAreas",
    abbreviation="SS",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_somatosensoryAreas"}
    ],
    lookup_label="SwansonBM_somatosensoryAreas",
    name="somatosensory areas",
)
ParcellationEntity.swanson_bm_spinal_central_gray = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_spinalCentralGray",
    abbreviation="CGS",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_spinalCentralGray"}
    ],
    lookup_label="SwansonBM_spinalCentralGray",
    name="spinal central gray",
)
ParcellationEntity.swanson_bm_spinal_cord = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_spinalCord",
    abbreviation="SP",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_spinalCord"}
    ],
    lookup_label="SwansonBM_spinalCord",
    name="spinal cord",
)
ParcellationEntity.swanson_bm_spinal_cord_cervical_level_segments18 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_spinalCordCervicalLevelSegments18",
    abbreviation="SP-C1-8",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_spinalCordCervicalLevelSegments18"
        }
    ],
    lookup_label="SwansonBM_spinalCordCervicalLevelSegments18",
    name="spinal cord, cervical level, segments 1-8",
)
ParcellationEntity.swanson_bm_spinal_cord_coccygeal_level_segments13 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_spinalCordCoccygealLevelSegments13",
    abbreviation="SP-Co1-3",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_spinalCordCoccygealLevelSegments13"
        }
    ],
    lookup_label="SwansonBM_spinalCordCoccygealLevelSegments13",
    name="spinal cord, coccygeal level, segments 1-3",
)
ParcellationEntity.swanson_bm_spinal_cord_grooves = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_spinalCordGrooves",
    abbreviation="grvs",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_spinalCordGrooves"}
    ],
    lookup_label="SwansonBM_spinalCordGrooves",
    name="spinal cord grooves",
)
ParcellationEntity.swanson_bm_spinal_cord_lumbar_level_segments16 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_spinalCordLumbarLevelSegments16",
    abbreviation="SP-L1-6",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_spinalCordLumbarLevelSegments16"
        }
    ],
    lookup_label="SwansonBM_spinalCordLumbarLevelSegments16",
    name="spinal cord, lumbar level, segments 1-6",
)
ParcellationEntity.swanson_bm_spinal_cord_sacral_level_segments14 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_spinalCordSacralLevelSegments14",
    abbreviation="SP-S1-4",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_spinalCordSacralLevelSegments14"
        }
    ],
    lookup_label="SwansonBM_spinalCordSacralLevelSegments14",
    name="spinal cord, sacral level, segments 1-4",
)
ParcellationEntity.swanson_bm_spinal_cord_thoracic_level_segments113 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_spinalCordThoracicLevelSegments113",
    abbreviation="SP-T1-13",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_spinalCordThoracicLevelSegments113"
        }
    ],
    lookup_label="SwansonBM_spinalCordThoracicLevelSegments113",
    name="spinal cord, thoracic level, segments 1-13",
)
ParcellationEntity.swanson_bm_spinal_nerves = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_spinalNerves",
    abbreviation="spin",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_spinalNerves"}
    ],
    lookup_label="SwansonBM_spinalNerves",
    name="spinal nerves",
)
ParcellationEntity.swanson_bm_spinal_nucleus_of_the_trigeminal = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_spinalNucleusOfTheTrigeminal",
    abbreviation="SPV",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_spinalNucleusOfTheTrigeminal"
        }
    ],
    lookup_label="SwansonBM_spinalNucleusOfTheTrigeminal",
    name="spinal nucleus of the trigeminal",
)
ParcellationEntity.swanson_bm_spinal_nucleus_of_the_trigeminal_caudal_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_spinalNucleusOfTheTrigeminalCaudalPart",
    abbreviation="SPVC",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_spinalNucleusOfTheTrigeminalCaudalPart"
        }
    ],
    lookup_label="SwansonBM_spinalNucleusOfTheTrigeminalCaudalPart",
    name="spinal nucleus of the trigeminal, caudal part",
)
ParcellationEntity.swanson_bm_spinal_nucleus_of_the_trigeminal_interpolar_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_spinalNucleusOfTheTrigeminalInterpolarPart",
    abbreviation="SPVI",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_spinalNucleusOfTheTrigeminalInterpolarPart"
        }
    ],
    lookup_label="SwansonBM_spinalNucleusOfTheTrigeminalInterpolarPart",
    name="spinal nucleus of the trigeminal, interpolar part",
)
ParcellationEntity.swanson_bm_spinal_nucleus_of_the_trigeminal_oral_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_spinalNucleusOfTheTrigeminalOralPart",
    abbreviation="SPVO",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_spinalNucleusOfTheTrigeminalOralPart"
        }
    ],
    lookup_label="SwansonBM_spinalNucleusOfTheTrigeminalOralPart",
    name="spinal nucleus of the trigeminal, oral part",
)
ParcellationEntity.swanson_bm_spinal_nucleus_of_the_trigeminal_oral_part_caudal_dorsomedial_region = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_spinalNucleusOfTheTrigeminalOralPartCaudalDorsomedialRegion",
    abbreviation="SPVOcdm",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_spinalNucleusOfTheTrigeminalOralPartCaudalDorsomedialRegion"
        }
    ],
    lookup_label="SwansonBM_spinalNucleusOfTheTrigeminalOralPartCaudalDorsomedialRegion",
    name="spinal nucleus of the trigeminal, oral part, caudal dorsomedial region",
)
ParcellationEntity.swanson_bm_spinal_nucleus_of_the_trigeminal_oral_part_middle_dorsomedial_region_dorsal_zone = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_spinalNucleusOfTheTrigeminalOralPartMiddleDorsomedialRegionDorsalZone",
    abbreviation="SPVOmdmd",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_spinalNucleusOfTheTrigeminalOralPartMiddleDorsomedialRegionDorsalZone"
        }
    ],
    lookup_label="SwansonBM_spinalNucleusOfTheTrigeminalOralPartMiddleDorsomedialRegionDorsalZone",
    name="spinal nucleus of the trigeminal, oral part, middle dorsomedial region, dorsal zone",
)
ParcellationEntity.swanson_bm_spinal_nucleus_of_the_trigeminal_oral_part_middle_dorsomedial_region_ventral_zone = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_spinalNucleusOfTheTrigeminalOralPartMiddleDorsomedialRegionVentralZone",
    abbreviation="SPVOmdmv",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_spinalNucleusOfTheTrigeminalOralPartMiddleDorsomedialRegionVentralZone"
        }
    ],
    lookup_label="SwansonBM_spinalNucleusOfTheTrigeminalOralPartMiddleDorsomedialRegionVentralZone",
    name="spinal nucleus of the trigeminal, oral part, middle dorsomedial region, ventral zone",
)
ParcellationEntity.swanson_bm_spinal_nucleus_of_the_trigeminal_oral_part_rostral_dorsomedial_region = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_spinalNucleusOfTheTrigeminalOralPartRostralDorsomedialRegion",
    abbreviation="SPVOrdm",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_spinalNucleusOfTheTrigeminalOralPartRostralDorsomedialRegion"
        }
    ],
    lookup_label="SwansonBM_spinalNucleusOfTheTrigeminalOralPartRostralDorsomedialRegion",
    name="spinal nucleus of the trigeminal oral part, rostral dorsomedial region",
)
ParcellationEntity.swanson_bm_spinal_nucleus_of_the_trigeminal_oral_part_ventrolateral_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_spinalNucleusOfTheTrigeminalOralPartVentrolateralPart",
    abbreviation="SPVOvl",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_spinalNucleusOfTheTrigeminalOralPartVentrolateralPart"
        }
    ],
    lookup_label="SwansonBM_spinalNucleusOfTheTrigeminalOralPartVentrolateralPart",
    name="spinal nucleus of the trigeminal, oral part, ventrolateral part",
)
ParcellationEntity.swanson_bm_spinal_plexuses = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_spinalPlexuses",
    abbreviation="plxs",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_spinalPlexuses"}
    ],
    lookup_label="SwansonBM_spinalPlexuses",
    name="spinal plexuses",
)
ParcellationEntity.swanson_bm_spinal_sensory_ganglia = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_spinalSensoryGanglia",
    abbreviation="GSP",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_spinalSensoryGanglia"
        }
    ],
    lookup_label="SwansonBM_spinalSensoryGanglia",
    name="spinal sensory ganglia",
)
ParcellationEntity.swanson_bm_spinal_tract_of_the_trigeminal_nerve = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_spinalTractOfTheTrigeminalNerve",
    abbreviation="sptV",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_spinalTractOfTheTrigeminalNerve"
        }
    ],
    lookup_label="SwansonBM_spinalTractOfTheTrigeminalNerve",
    name="spinal tract of the trigeminal nerve",
)
ParcellationEntity.swanson_bm_spinal_vestibular_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_spinalVestibularNucleus",
    abbreviation="SPIV",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_spinalVestibularNucleus"
        }
    ],
    lookup_label="SwansonBM_spinalVestibularNucleus",
    name="spinal vestibular nucleus",
)
ParcellationEntity.swanson_bm_spinocerebellar_tracts = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_spinocerebellarTracts",
    abbreviation="sct",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_spinocerebellarTracts"
        }
    ],
    lookup_label="SwansonBM_spinocerebellarTracts",
    name="spinocerebellar tracts",
)
ParcellationEntity.swanson_bm_spinocervical_tract = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_spinocervicalTract",
    abbreviation="scrt",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_spinocervicalTract"}
    ],
    lookup_label="SwansonBM_spinocervicalTract",
    name="spinocervical tract",
)
ParcellationEntity.swanson_bm_spinohypothalamic_pathway = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_spinohypothalamicPathway",
    abbreviation="shp",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_spinohypothalamicPathway"
        }
    ],
    lookup_label="SwansonBM_spinohypothalamicPathway",
    name="spinohypothalamic pathway",
)
ParcellationEntity.swanson_bm_spinoolivary_pathway = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_spinoolivaryPathway",
    abbreviation="sop",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_spinoolivaryPathway"
        }
    ],
    lookup_label="SwansonBM_spinoolivaryPathway",
    name="spino-olivary pathway",
)
ParcellationEntity.swanson_bm_spinoreticular_pathway = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_spinoreticularPathway",
    abbreviation="srp",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_spinoreticularPathway"
        }
    ],
    lookup_label="SwansonBM_spinoreticularPathway",
    name="spinoreticular pathway",
)
ParcellationEntity.swanson_bm_spinotectal_pathway = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_spinotectalPathway",
    abbreviation="stp",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_spinotectalPathway"}
    ],
    lookup_label="SwansonBM_spinotectalPathway",
    name="spinotectal pathway",
)
ParcellationEntity.swanson_bm_spinotelencephalic_pathway = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_spinotelencephalicPathway",
    abbreviation="step",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_spinotelencephalicPathway"
        }
    ],
    lookup_label="SwansonBM_spinotelencephalicPathway",
    name="spinotelencephalic pathway",
)
ParcellationEntity.swanson_bm_spinothalamic_tract_thiele_horsley = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_spinothalamicTractThieleHorsley",
    abbreviation="stt",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_spinothalamicTractThieleHorsley"
        }
    ],
    lookup_label="SwansonBM_spinothalamicTractThieleHorsley",
    name="spinothalamic tract [Thiele-Horsley]",
)
ParcellationEntity.swanson_bm_spinovestibular_pathway = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_spinovestibularPathway",
    abbreviation="svp",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_spinovestibularPathway"
        }
    ],
    lookup_label="SwansonBM_spinovestibularPathway",
    name="spinovestibular pathway",
)
ParcellationEntity.swanson_bm_spiral_ganglion_corti = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_spiralGanglionCorti",
    abbreviation="GcVIII",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_spiralGanglionCorti"
        }
    ],
    lookup_label="SwansonBM_spiralGanglionCorti",
    name="spiral ganglion [Corti]",
)
ParcellationEntity.swanson_bm_splanchnic_nerves = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_splanchnicNerves",
    abbreviation="spn",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_splanchnicNerves"}
    ],
    lookup_label="SwansonBM_splanchnicNerves",
    name="splanchnic nerves",
)
ParcellationEntity.swanson_bm_stellate_ganglion = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_stellateGanglion",
    abbreviation="GSTL",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_stellateGanglion"}
    ],
    lookup_label="SwansonBM_stellateGanglion",
    name="stellate ganglion",
)
ParcellationEntity.swanson_bm_stratum_zonale_thalamus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_stratumZonaleThalamus",
    abbreviation="sz",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_stratumZonaleThalamus"
        }
    ],
    lookup_label="SwansonBM_stratumZonaleThalamus",
    name="stratum zonale, thalamus",
)
ParcellationEntity.swanson_bm_stria_medullaris = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_striaMedullaris",
    abbreviation="sm",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_striaMedullaris"}
    ],
    lookup_label="SwansonBM_striaMedullaris",
    name="stria medullaris",
)
ParcellationEntity.swanson_bm_stria_terminalis_wenzel_wenzel = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_striaTerminalisWenzelWenzel",
    abbreviation="st",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_striaTerminalisWenzelWenzel"
        }
    ],
    lookup_label="SwansonBM_striaTerminalisWenzelWenzel",
    name="stria terminalis [Wenzel-Wenzel]",
)
ParcellationEntity.swanson_bm_striatal_fundus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_striatalFundus",
    abbreviation="FS",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_striatalFundus"}
    ],
    lookup_label="SwansonBM_striatalFundus",
    name="striatal fundus",
)
ParcellationEntity.swanson_bm_striatonigral_pathway = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_striatonigralPathway",
    abbreviation="snp",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_striatonigralPathway"
        }
    ],
    lookup_label="SwansonBM_striatonigralPathway",
    name="striatonigral pathway",
)
ParcellationEntity.swanson_bm_striatum = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_striatum",
    abbreviation="STR",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_striatum"}
    ],
    lookup_label="SwansonBM_striatum",
    name="striatum",
)
ParcellationEntity.swanson_bm_subceruleus_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_subceruleusNucleus",
    abbreviation="SLC",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_subceruleusNucleus"}
    ],
    lookup_label="SwansonBM_subceruleusNucleus",
    name="subceruleus nucleus",
)
ParcellationEntity.swanson_bm_subcommissural_organ = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_subcommissuralOrgan",
    abbreviation="SCO",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_subcommissuralOrgan"
        }
    ],
    lookup_label="SwansonBM_subcommissuralOrgan",
    name="subcommissural organ",
)
ParcellationEntity.swanson_bm_subependymal_zone = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_subependymalZone",
    abbreviation="SEZ",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_subependymalZone"}
    ],
    lookup_label="SwansonBM_subependymalZone",
    name="subependymal zone",
)
ParcellationEntity.swanson_bm_subfornical_organ_pines = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_subfornicalOrganPines",
    abbreviation="SFO",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_subfornicalOrganPines"
        }
    ],
    lookup_label="SwansonBM_subfornicalOrganPines",
    name="subfornical organ [Pines]",
)
ParcellationEntity.swanson_bm_subiculum_burdach = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_subiculumBurdach",
    abbreviation="SUB",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_subiculumBurdach"}
    ],
    lookup_label="SwansonBM_subiculumBurdach",
    name="subiculum [Burdach]",
)
ParcellationEntity.swanson_bm_subiculum_dorsal_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_subiculumDorsalPart",
    abbreviation="SUBd",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_subiculumDorsalPart"
        }
    ],
    lookup_label="SwansonBM_subiculumDorsalPart",
    name="subiculum, dorsal part",
)
ParcellationEntity.swanson_bm_subiculum_dorsal_part_molecular_layer = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_subiculumDorsalPartMolecularLayer",
    abbreviation="SUBd-m",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_subiculumDorsalPartMolecularLayer"
        }
    ],
    lookup_label="SwansonBM_subiculumDorsalPartMolecularLayer",
    name="subiculum, dorsal part, molecular layer",
)
ParcellationEntity.swanson_bm_subiculum_dorsal_part_pyramidal_layer = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_subiculumDorsalPartPyramidalLayer",
    abbreviation="SUBd-sp",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_subiculumDorsalPartPyramidalLayer"
        }
    ],
    lookup_label="SwansonBM_subiculumDorsalPartPyramidalLayer",
    name="subiculum, dorsal part, pyramidal layer",
)
ParcellationEntity.swanson_bm_subiculum_dorsal_part_stratum_radiatum = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_subiculumDorsalPartStratumRadiatum",
    abbreviation="SUBd-sr",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_subiculumDorsalPartStratumRadiatum"
        }
    ],
    lookup_label="SwansonBM_subiculumDorsalPartStratumRadiatum",
    name="subiculum, dorsal part, stratum radiatum",
)
ParcellationEntity.swanson_bm_subiculum_ventral_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_subiculumVentralPart",
    abbreviation="SUBv",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_subiculumVentralPart"
        }
    ],
    lookup_label="SwansonBM_subiculumVentralPart",
    name="subiculum, ventral part",
)
ParcellationEntity.swanson_bm_subiculum_ventral_part_molecular_layer = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_subiculumVentralPartMolecularLayer",
    abbreviation="SUBv-m",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_subiculumVentralPartMolecularLayer"
        }
    ],
    lookup_label="SwansonBM_subiculumVentralPartMolecularLayer",
    name="subiculum, ventral part, molecular layer",
)
ParcellationEntity.swanson_bm_subiculum_ventral_part_pyramidal_layer = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_subiculumVentralPartPyramidalLayer",
    abbreviation="SUBv-sp",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_subiculumVentralPartPyramidalLayer"
        }
    ],
    lookup_label="SwansonBM_subiculumVentralPartPyramidalLayer",
    name="subiculum, ventral part, pyramidal layer",
)
ParcellationEntity.swanson_bm_subiculum_ventral_part_stratum_radiatum = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_subiculumVentralPartStratumRadiatum",
    abbreviation="SUBv-sr",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_subiculumVentralPartStratumRadiatum"
        }
    ],
    lookup_label="SwansonBM_subiculumVentralPartStratumRadiatum",
    name="subiculum, ventral part, stratum radiatum",
)
ParcellationEntity.swanson_bm_sublaterodorsal_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_sublaterodorsalNucleus",
    abbreviation="SLD",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_sublaterodorsalNucleus"
        }
    ],
    lookup_label="SwansonBM_sublaterodorsalNucleus",
    name="sublaterodorsal nucleus",
)
ParcellationEntity.swanson_bm_submandibular_ganglion = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_submandibularGanglion",
    abbreviation="GsVII",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_submandibularGanglion"
        }
    ],
    lookup_label="SwansonBM_submandibularGanglion",
    name="submandibular ganglion",
)
ParcellationEntity.swanson_bm_submedial_nucleus_thalamus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_submedialNucleusThalamus",
    abbreviation="SMT",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_submedialNucleusThalamus"
        }
    ],
    lookup_label="SwansonBM_submedialNucleusThalamus",
    name="submedial nucleus thalamus",
)
ParcellationEntity.swanson_bm_submucosal_plexus_meissner = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_submucosalPlexusMeissner",
    abbreviation="smp",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_submucosalPlexusMeissner"
        }
    ],
    lookup_label="SwansonBM_submucosalPlexusMeissner",
    name="submucosal plexus [Meissner]",
)
ParcellationEntity.swanson_bm_subparafascicular_nucleus_thalamus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_subparafascicularNucleusThalamus",
    abbreviation="SPF",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_subparafascicularNucleusThalamus"
        }
    ],
    lookup_label="SwansonBM_subparafascicularNucleusThalamus",
    name="subparafascicular nucleus thalamus",
)
ParcellationEntity.swanson_bm_subparafascicular_nucleus_thalamus_magnocellular_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_subparafascicularNucleusThalamusMagnocellularPart",
    abbreviation="SPFm",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_subparafascicularNucleusThalamusMagnocellularPart"
        }
    ],
    lookup_label="SwansonBM_subparafascicularNucleusThalamusMagnocellularPart",
    name="subparafascicular nucleus thalamus, magnocellular part",
)
ParcellationEntity.swanson_bm_subparafascicular_nucleus_thalamus_parvicellular_part_lateral_division = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_subparafascicularNucleusThalamusParvicellularPartLateralDivision",
    abbreviation="SPFpl",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_subparafascicularNucleusThalamusParvicellularPartLateralDivision"
        }
    ],
    lookup_label="SwansonBM_subparafascicularNucleusThalamusParvicellularPartLateralDivision",
    name="subparafascicular nucleus thalamus, parvicellular part, lateral division",
)
ParcellationEntity.swanson_bm_subparafascicular_nucleus_thalamus_parvicellular_part_medial_division = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_subparafascicularNucleusThalamusParvicellularPartMedialDivision",
    abbreviation="SPFpm",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_subparafascicularNucleusThalamusParvicellularPartMedialDivision"
        }
    ],
    lookup_label="SwansonBM_subparafascicularNucleusThalamusParvicellularPartMedialDivision",
    name="subparafascicular nucleus thalamus, parvicellular part, medial division",
)
ParcellationEntity.swanson_bm_subparaventricular_zone_hypothalamus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_subparaventricularZoneHypothalamus",
    abbreviation="SBPV",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_subparaventricularZoneHypothalamus"
        }
    ],
    lookup_label="SwansonBM_subparaventricularZoneHypothalamus",
    name="subparaventricular zone hypothalamus",
)
ParcellationEntity.swanson_bm_substantia_gelatinosa_spinal_cord_rolando = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_substantiaGelatinosaSpinalCordRolando",
    abbreviation="SGE",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_substantiaGelatinosaSpinalCordRolando"
        }
    ],
    lookup_label="SwansonBM_substantiaGelatinosaSpinalCordRolando",
    name="substantia gelatinosa spinal cord [Rolando]",
)
ParcellationEntity.swanson_bm_substantia_innominata_reil_reichert = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_substantiaInnominataReilReichert",
    abbreviation="SI",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_substantiaInnominataReilReichert"
        }
    ],
    lookup_label="SwansonBM_substantiaInnominataReilReichert",
    name="substantia innominata [Reil, Reichert]",
)
ParcellationEntity.swanson_bm_substantia_nigra_compact_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_substantiaNigraCompactPart",
    abbreviation="SNc",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_substantiaNigraCompactPart"
        }
    ],
    lookup_label="SwansonBM_substantiaNigraCompactPart",
    name="substantia nigra, compact part",
)
ParcellationEntity.swanson_bm_substantia_nigra_reticular_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_substantiaNigraReticularPart",
    abbreviation="SNr",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_substantiaNigraReticularPart"
        }
    ],
    lookup_label="SwansonBM_substantiaNigraReticularPart",
    name="substantia nigra, reticular part",
)
ParcellationEntity.swanson_bm_substantia_nigra_soemmerring_vicq_d_azyr = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_substantiaNigraSoemmerringVicqDAzyr",
    abbreviation="SN",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_substantiaNigraSoemmerringVicqDAzyr"
        }
    ],
    lookup_label="SwansonBM_substantiaNigraSoemmerringVicqDAzyr",
    name="substantia nigra [Soemmerring, Vicq d’Azyr]",
)
ParcellationEntity.swanson_bm_subthalamic_fascicle = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_subthalamicFascicle",
    abbreviation="stf",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_subthalamicFascicle"
        }
    ],
    lookup_label="SwansonBM_subthalamicFascicle",
    name="subthalamic fascicle",
)
ParcellationEntity.swanson_bm_subthalamic_nucleus_luys = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_subthalamicNucleusLuys",
    abbreviation="STN",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_subthalamicNucleusLuys"
        }
    ],
    lookup_label="SwansonBM_subthalamicNucleusLuys",
    name="subthalamic nucleus [Luys]",
)
ParcellationEntity.swanson_bm_superior_central_nucleus_raphe_bechterew = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_superiorCentralNucleusRapheBechterew",
    abbreviation="CS",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_superiorCentralNucleusRapheBechterew"
        }
    ],
    lookup_label="SwansonBM_superiorCentralNucleusRapheBechterew",
    name="superior central nucleus raphé [Bechterew]",
)
ParcellationEntity.swanson_bm_superior_central_nucleus_raphe_lateral_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_superiorCentralNucleusRapheLateralPart",
    abbreviation="CSl",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_superiorCentralNucleusRapheLateralPart"
        }
    ],
    lookup_label="SwansonBM_superiorCentralNucleusRapheLateralPart",
    name="superior central nucleus raphé, lateral part",
)
ParcellationEntity.swanson_bm_superior_central_nucleus_raphe_medial_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_superiorCentralNucleusRapheMedialPart",
    abbreviation="CSm",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_superiorCentralNucleusRapheMedialPart"
        }
    ],
    lookup_label="SwansonBM_superiorCentralNucleusRapheMedialPart",
    name="superior central nucleus raphé, medial part",
)
ParcellationEntity.swanson_bm_superior_cerebellar_peduncle = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_superiorCerebellarPeduncle",
    abbreviation="scp",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_superiorCerebellarPeduncle"
        }
    ],
    lookup_label="SwansonBM_superiorCerebellarPeduncle",
    name="superior cerebellar peduncle",
)
ParcellationEntity.swanson_bm_superior_cerebellar_peduncle_wernekinck = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_superiorCerebellarPeduncleWernekinck",
    abbreviation="dscp",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_superiorCerebellarPeduncleWernekinck"
        }
    ],
    lookup_label="SwansonBM_superiorCerebellarPeduncleWernekinck",
    name="superior cerebellar peduncle [Wernekinck]",
)
ParcellationEntity.swanson_bm_superior_cervical_ganglion = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_superiorCervicalGanglion",
    abbreviation="GSC",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_superiorCervicalGanglion"
        }
    ],
    lookup_label="SwansonBM_superiorCervicalGanglion",
    name="superior cervical ganglion",
)
ParcellationEntity.swanson_bm_superior_colliculus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_superiorColliculus",
    abbreviation="SC",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_superiorColliculus"}
    ],
    lookup_label="SwansonBM_superiorColliculus",
    name="superior colliculus",
)
ParcellationEntity.swanson_bm_superior_colliculus_commissure = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_superiorColliculusCommissure",
    abbreviation="csc",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_superiorColliculusCommissure"
        }
    ],
    lookup_label="SwansonBM_superiorColliculusCommissure",
    name="superior colliculus commissure",
)
ParcellationEntity.swanson_bm_superior_colliculus_deep_gray_layer = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_superiorColliculusDeepGrayLayer",
    abbreviation="SCdg",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_superiorColliculusDeepGrayLayer"
        }
    ],
    lookup_label="SwansonBM_superiorColliculusDeepGrayLayer",
    name="superior colliculus, deep gray layer",
)
ParcellationEntity.swanson_bm_superior_colliculus_deep_white_layer = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_superiorColliculusDeepWhiteLayer",
    abbreviation="SCdw",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_superiorColliculusDeepWhiteLayer"
        }
    ],
    lookup_label="SwansonBM_superiorColliculusDeepWhiteLayer",
    name="superior colliculus, deep white layer",
)
ParcellationEntity.swanson_bm_superior_colliculus_intermediate_gray_layer_sublayer_a = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_superiorColliculusIntermediateGrayLayerSublayerA",
    abbreviation="SCig.a",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_superiorColliculusIntermediateGrayLayerSublayerA"
        }
    ],
    lookup_label="SwansonBM_superiorColliculusIntermediateGrayLayerSublayerA",
    name="superior colliculus, intermediate gray layer, sublayer a",
)
ParcellationEntity.swanson_bm_superior_colliculus_intermediate_gray_layer_sublayer_b = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_superiorColliculusIntermediateGrayLayerSublayerB",
    abbreviation="SCig.b",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_superiorColliculusIntermediateGrayLayerSublayerB"
        }
    ],
    lookup_label="SwansonBM_superiorColliculusIntermediateGrayLayerSublayerB",
    name="superior colliculus, intermediate gray layer, sublayer b",
)
ParcellationEntity.swanson_bm_superior_colliculus_intermediate_gray_layer_sublayer_c = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_superiorColliculusIntermediateGrayLayerSublayerC",
    abbreviation="SCig.c",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_superiorColliculusIntermediateGrayLayerSublayerC"
        }
    ],
    lookup_label="SwansonBM_superiorColliculusIntermediateGrayLayerSublayerC",
    name="superior colliculus, intermediate gray layer, sublayer c",
)
ParcellationEntity.swanson_bm_superior_colliculus_intermediate_white_layer = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_superiorColliculusIntermediateWhiteLayer",
    abbreviation="SCiw",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_superiorColliculusIntermediateWhiteLayer"
        }
    ],
    lookup_label="SwansonBM_superiorColliculusIntermediateWhiteLayer",
    name="superior colliculus, intermediate white layer",
)
ParcellationEntity.swanson_bm_superior_colliculus_motor_related = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_superiorColliculusMotorRelated",
    abbreviation="SCm",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_superiorColliculusMotorRelated"
        }
    ],
    lookup_label="SwansonBM_superiorColliculusMotorRelated",
    name="superior colliculus, motor related",
)
ParcellationEntity.swanson_bm_superior_colliculus_optic_layer = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_superiorColliculusOpticLayer",
    abbreviation="SCop",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_superiorColliculusOpticLayer"
        }
    ],
    lookup_label="SwansonBM_superiorColliculusOpticLayer",
    name="superior colliculus, optic layer",
)
ParcellationEntity.swanson_bm_superior_colliculus_sensory_related = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_superiorColliculusSensoryRelated",
    abbreviation="SCs",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_superiorColliculusSensoryRelated"
        }
    ],
    lookup_label="SwansonBM_superiorColliculusSensoryRelated",
    name="superior colliculus, sensory related",
)
ParcellationEntity.swanson_bm_superior_colliculus_superficial_gray_layer = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_superiorColliculusSuperficialGrayLayer",
    abbreviation="SCsg",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_superiorColliculusSuperficialGrayLayer"
        }
    ],
    lookup_label="SwansonBM_superiorColliculusSuperficialGrayLayer",
    name="superior colliculus, superficial gray layer",
)
ParcellationEntity.swanson_bm_superior_colliculus_zonal_layer = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_superiorColliculusZonalLayer",
    abbreviation="SCzo",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_superiorColliculusZonalLayer"
        }
    ],
    lookup_label="SwansonBM_superiorColliculusZonalLayer",
    name="superior colliculus, zonal layer",
)
ParcellationEntity.swanson_bm_superior_mesenteric_ganglion = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_superiorMesentericGanglion",
    abbreviation="GSM",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_superiorMesentericGanglion"
        }
    ],
    lookup_label="SwansonBM_superiorMesentericGanglion",
    name="superior mesenteric ganglion",
)
ParcellationEntity.swanson_bm_superior_olivary_complex_lateral_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_superiorOlivaryComplexLateralPart",
    abbreviation="SOCl",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_superiorOlivaryComplexLateralPart"
        }
    ],
    lookup_label="SwansonBM_superiorOlivaryComplexLateralPart",
    name="superior olivary complex, lateral part",
)
ParcellationEntity.swanson_bm_superior_olivary_complex_medial_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_superiorOlivaryComplexMedialPart",
    abbreviation="SOCm",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_superiorOlivaryComplexMedialPart"
        }
    ],
    lookup_label="SwansonBM_superiorOlivaryComplexMedialPart",
    name="superior olivary complex, medial part",
)
ParcellationEntity.swanson_bm_superior_olivary_complex_schroeder_van_der_kolk = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_superiorOlivaryComplexSchroederVanDerKolk",
    abbreviation="SOC",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_superiorOlivaryComplexSchroederVanDerKolk"
        }
    ],
    lookup_label="SwansonBM_superiorOlivaryComplexSchroederVanDerKolk",
    name="superior olivary complex [Schroeder van der Kolk]",
)
ParcellationEntity.swanson_bm_superior_salivatory_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_superiorSalivatoryNucleus",
    abbreviation="SSN",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_superiorSalivatoryNucleus"
        }
    ],
    lookup_label="SwansonBM_superiorSalivatoryNucleus",
    name="superior salivatory nucleus",
)
ParcellationEntity.swanson_bm_superior_vestibular_nucleus_bechterew = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_superiorVestibularNucleusBechterew",
    abbreviation="SUV",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_superiorVestibularNucleusBechterew"
        }
    ],
    lookup_label="SwansonBM_superiorVestibularNucleusBechterew",
    name="superior vestibular nucleus [Bechterew]",
)
ParcellationEntity.swanson_bm_supplemental_somatosensory_area = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_supplementalSomatosensoryArea",
    abbreviation="SSs",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_supplementalSomatosensoryArea"
        }
    ],
    lookup_label="SwansonBM_supplementalSomatosensoryArea",
    name="supplemental somatosensory area",
)
ParcellationEntity.swanson_bm_suprachiasmatic_nucleus_dorsomedial_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_suprachiasmaticNucleusDorsomedialPart",
    abbreviation="SCHd",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_suprachiasmaticNucleusDorsomedialPart"
        }
    ],
    lookup_label="SwansonBM_suprachiasmaticNucleusDorsomedialPart",
    name="suprachiasmatic nucleus, dorsomedial part",
)
ParcellationEntity.swanson_bm_suprachiasmatic_nucleus_spiegel_zwieg = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_suprachiasmaticNucleusSpiegelZwieg",
    abbreviation="SCH",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_suprachiasmaticNucleusSpiegelZwieg"
        }
    ],
    lookup_label="SwansonBM_suprachiasmaticNucleusSpiegelZwieg",
    name="suprachiasmatic nucleus [Spiegel-Zwieg]",
)
ParcellationEntity.swanson_bm_suprachiasmatic_nucleus_ventrolateral_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_suprachiasmaticNucleusVentrolateralPart",
    abbreviation="SCHv",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_suprachiasmaticNucleusVentrolateralPart"
        }
    ],
    lookup_label="SwansonBM_suprachiasmaticNucleusVentrolateralPart",
    name="suprachiasmatic nucleus, ventrolateral part",
)
ParcellationEntity.swanson_bm_suprachiasmatic_preoptic_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_suprachiasmaticPreopticNucleus",
    abbreviation="PSCH",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_suprachiasmaticPreopticNucleus"
        }
    ],
    lookup_label="SwansonBM_suprachiasmaticPreopticNucleus",
    name="suprachiasmatic preoptic nucleus",
)
ParcellationEntity.swanson_bm_suprageniculate_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_suprageniculateNucleus",
    abbreviation="SGN",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_suprageniculateNucleus"
        }
    ],
    lookup_label="SwansonBM_suprageniculateNucleus",
    name="suprageniculate nucleus",
)
ParcellationEntity.swanson_bm_supragenual_nucleus_meessen_olszewski = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_supragenualNucleusMeessenOlszewski",
    abbreviation="SG",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_supragenualNucleusMeessenOlszewski"
        }
    ],
    lookup_label="SwansonBM_supragenualNucleusMeessenOlszewski",
    name="supragenual nucleus [Meessen-Olszewskí]",
)
ParcellationEntity.swanson_bm_supramammillary_decussation = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_supramammillaryDecussation",
    abbreviation="smd",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_supramammillaryDecussation"
        }
    ],
    lookup_label="SwansonBM_supramammillaryDecussation",
    name="supramammillary decussation",
)
ParcellationEntity.swanson_bm_supramammillary_nucleus_cajal = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_supramammillaryNucleusCajal",
    abbreviation="SUM",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_supramammillaryNucleusCajal"
        }
    ],
    lookup_label="SwansonBM_supramammillaryNucleusCajal",
    name="supramammillary nucleus [Cajal]",
)
ParcellationEntity.swanson_bm_supramammillary_nucleus_lateral_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_supramammillaryNucleusLateralPart",
    abbreviation="SUMl",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_supramammillaryNucleusLateralPart"
        }
    ],
    lookup_label="SwansonBM_supramammillaryNucleusLateralPart",
    name="supramammillary nucleus, lateral part",
)
ParcellationEntity.swanson_bm_supramammillary_nucleus_medial_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_supramammillaryNucleusMedialPart",
    abbreviation="SUMm",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_supramammillaryNucleusMedialPart"
        }
    ],
    lookup_label="SwansonBM_supramammillaryNucleusMedialPart",
    name="supramammillary nucleus, medial part",
)
ParcellationEntity.swanson_bm_supraoptic_commissures = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_supraopticCommissures",
    abbreviation="sup",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_supraopticCommissures"
        }
    ],
    lookup_label="SwansonBM_supraopticCommissures",
    name="supraoptic commissures",
)
ParcellationEntity.swanson_bm_supraoptic_commissures_anterior_ganser = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_supraopticCommissuresAnteriorGanser",
    abbreviation="supa",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_supraopticCommissuresAnteriorGanser"
        }
    ],
    lookup_label="SwansonBM_supraopticCommissuresAnteriorGanser",
    name="supraoptic commissures, anterior [Ganser]",
)
ParcellationEntity.swanson_bm_supraoptic_commissures_dorsal_meynert = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_supraopticCommissuresDorsalMeynert",
    abbreviation="supd",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_supraopticCommissuresDorsalMeynert"
        }
    ],
    lookup_label="SwansonBM_supraopticCommissuresDorsalMeynert",
    name="supraoptic commissures, dorsal [Meynert]",
)
ParcellationEntity.swanson_bm_supraoptic_commissures_ventral_gudden = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_supraopticCommissuresVentralGudden",
    abbreviation="supv",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_supraopticCommissuresVentralGudden"
        }
    ],
    lookup_label="SwansonBM_supraopticCommissuresVentralGudden",
    name="supraoptic commissures, ventral [Gudden]",
)
ParcellationEntity.swanson_bm_supraoptic_nucleus_general_lenhossek = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_supraopticNucleusGeneralLenhossek",
    abbreviation="SOg",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_supraopticNucleusGeneralLenhossek"
        }
    ],
    lookup_label="SwansonBM_supraopticNucleusGeneralLenhossek",
    name="supraoptic nucleus, general [Lenhossék]",
)
ParcellationEntity.swanson_bm_supraoptic_nucleus_proper = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_supraopticNucleusProper",
    abbreviation="SO",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_supraopticNucleusProper"
        }
    ],
    lookup_label="SwansonBM_supraopticNucleusProper",
    name="supraoptic nucleus, proper",
)
ParcellationEntity.swanson_bm_supraoptic_nucleus_retrochiasmatic_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_supraopticNucleusRetrochiasmaticPart",
    abbreviation="SOr",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_supraopticNucleusRetrochiasmaticPart"
        }
    ],
    lookup_label="SwansonBM_supraopticNucleusRetrochiasmaticPart",
    name="supraoptic nucleus, retrochiasmatic part",
)
ParcellationEntity.swanson_bm_supratrigeminal_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_supratrigeminalNucleus",
    abbreviation="SUT",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_supratrigeminalNucleus"
        }
    ],
    lookup_label="SwansonBM_supratrigeminalNucleus",
    name="supratrigeminal nucleus",
)
ParcellationEntity.swanson_bm_sympathetic_chain = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_sympatheticChain",
    abbreviation="S",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_sympatheticChain"}
    ],
    lookup_label="SwansonBM_sympatheticChain",
    name="sympathetic chain",
)
ParcellationEntity.swanson_bm_sympathetic_ganglia = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_sympatheticGanglia",
    abbreviation="GSY",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_sympatheticGanglia"}
    ],
    lookup_label="SwansonBM_sympatheticGanglia",
    name="sympathetic ganglia",
)
ParcellationEntity.swanson_bm_sympathetic_plexuses = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_sympatheticPlexuses",
    abbreviation="SPX",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_sympatheticPlexuses"
        }
    ],
    lookup_label="SwansonBM_sympatheticPlexuses",
    name="sympathetic plexuses",
)
ParcellationEntity.swanson_bm_sympathetic_system = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_sympatheticSystem",
    abbreviation="SYM",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_sympatheticSystem"}
    ],
    lookup_label="SwansonBM_sympatheticSystem",
    name="sympathetic system",
)
ParcellationEntity.swanson_bm_tectospinal_pathway = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_tectospinalPathway",
    abbreviation="tsp",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_tectospinalPathway"}
    ],
    lookup_label="SwansonBM_tectospinalPathway",
    name="tectospinal pathway",
)
ParcellationEntity.swanson_bm_tectospinal_pathway_crossed_edinger = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_tectospinalPathwayCrossedEdinger",
    abbreviation="tspc",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_tectospinalPathwayCrossedEdinger"
        }
    ],
    lookup_label="SwansonBM_tectospinalPathwayCrossedEdinger",
    name="tectospinal pathway, crossed [Edinger]",
)
ParcellationEntity.swanson_bm_tectospinal_pathway_direct = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_tectospinalPathwayDirect",
    abbreviation="tspd",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_tectospinalPathwayDirect"
        }
    ],
    lookup_label="SwansonBM_tectospinalPathwayDirect",
    name="tectospinal pathway, direct",
)
ParcellationEntity.swanson_bm_tectothalamic_pathway = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_tectothalamicPathway",
    abbreviation="ttp",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_tectothalamicPathway"
        }
    ],
    lookup_label="SwansonBM_tectothalamicPathway",
    name="tectothalamic pathway",
)
ParcellationEntity.swanson_bm_tectum = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_tectum",
    abbreviation="TC",
    has_versions=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_tectum"}],
    lookup_label="SwansonBM_tectum",
    name="tectum",
)
ParcellationEntity.swanson_bm_tegmental_reticular_nucleus_pontine_gray_bechterew = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_tegmentalReticularNucleusPontineGrayBechterew",
    abbreviation="TRN",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_tegmentalReticularNucleusPontineGrayBechterew"
        }
    ],
    lookup_label="SwansonBM_tegmentalReticularNucleusPontineGrayBechterew",
    name="tegmental reticular nucleus, pontine gray [Bechterew]",
)
ParcellationEntity.swanson_bm_tegmentum = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_tegmentum",
    abbreviation="TG",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_tegmentum"}
    ],
    lookup_label="SwansonBM_tegmentum",
    name="tegmentum",
)
ParcellationEntity.swanson_bm_telencephalic_roof_plate = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_telencephalicRoofPlate",
    abbreviation="trp",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_telencephalicRoofPlate"
        }
    ],
    lookup_label="SwansonBM_telencephalicRoofPlate",
    name="telencephalic roof plate",
)
ParcellationEntity.swanson_bm_telencephalon = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_telencephalon",
    abbreviation="TL",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_telencephalon"}
    ],
    lookup_label="SwansonBM_telencephalon",
    name="telencephalon",
)
ParcellationEntity.swanson_bm_temporal_association_areas = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_temporalAssociationAreas",
    abbreviation="TEa",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_temporalAssociationAreas"
        }
    ],
    lookup_label="SwansonBM_temporalAssociationAreas",
    name="temporal association areas",
)
ParcellationEntity.swanson_bm_temporal_pole_cerebral_cortex = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_temporalPoleCerebralCortex",
    abbreviation="TEP",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_temporalPoleCerebralCortex"
        }
    ],
    lookup_label="SwansonBM_temporalPoleCerebralCortex",
    name="temporal pole, cerebral cortex",
)
ParcellationEntity.swanson_bm_temporal_region = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_temporalRegion",
    abbreviation="TE",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_temporalRegion"}
    ],
    lookup_label="SwansonBM_temporalRegion",
    name="temporal region",
)
ParcellationEntity.swanson_bm_tenia_tecta = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_teniaTecta",
    abbreviation="TT",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_teniaTecta"}
    ],
    lookup_label="SwansonBM_teniaTecta",
    name="tenia tecta",
)
ParcellationEntity.swanson_bm_tenia_tecta_dorsal_part_layers14 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_teniaTectaDorsalPartLayers14",
    abbreviation="TTd1-4",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_teniaTectaDorsalPartLayers14"
        }
    ],
    lookup_label="SwansonBM_teniaTectaDorsalPartLayers14",
    name="tenia tecta, dorsal part, layers 1-4",
)
ParcellationEntity.swanson_bm_tenia_tecta_ventral_part_layers13 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_teniaTectaVentralPartLayers13",
    abbreviation="TTv1-3",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_teniaTectaVentralPartLayers13"
        }
    ],
    lookup_label="SwansonBM_teniaTectaVentralPartLayers13",
    name="tenia tecta, ventral part, layers 1-3",
)
ParcellationEntity.swanson_bm_terminal_ganglion = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_terminalGanglion",
    abbreviation="GTE",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_terminalGanglion"}
    ],
    lookup_label="SwansonBM_terminalGanglion",
    name="terminal ganglion",
)
ParcellationEntity.swanson_bm_terminal_nerve = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_terminalNerve",
    abbreviation="tn",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_terminalNerve"}
    ],
    lookup_label="SwansonBM_terminalNerve",
    name="terminal nerve",
)
ParcellationEntity.swanson_bm_thalamic_peduncles = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_thalamicPeduncles",
    abbreviation="tp",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_thalamicPeduncles"}
    ],
    lookup_label="SwansonBM_thalamicPeduncles",
    name="thalamic peduncles",
)
ParcellationEntity.swanson_bm_thalamus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_thalamus",
    abbreviation="TH",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_thalamus"}
    ],
    lookup_label="SwansonBM_thalamus",
    name="thalamus",
)
ParcellationEntity.swanson_bm_third_ventricle = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_thirdVentricle",
    abbreviation="V3",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_thirdVentricle"}
    ],
    lookup_label="SwansonBM_thirdVentricle",
    name="third ventricle",
)
ParcellationEntity.swanson_bm_third_ventricle_hypothalamic_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_thirdVentricleHypothalamicPart",
    abbreviation="V3h",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_thirdVentricleHypothalamicPart"
        }
    ],
    lookup_label="SwansonBM_thirdVentricleHypothalamicPart",
    name="third ventricle, hypothalamic part",
)
ParcellationEntity.swanson_bm_third_ventricle_infundibular_recess = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_thirdVentricleInfundibularRecess",
    abbreviation="V3ir",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_thirdVentricleInfundibularRecess"
        }
    ],
    lookup_label="SwansonBM_thirdVentricleInfundibularRecess",
    name="third ventricle, infundibular recess",
)
ParcellationEntity.swanson_bm_third_ventricle_mammillary_recess = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_thirdVentricleMammillaryRecess",
    abbreviation="V3m",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_thirdVentricleMammillaryRecess"
        }
    ],
    lookup_label="SwansonBM_thirdVentricleMammillaryRecess",
    name="third ventricle, mammillary recess",
)
ParcellationEntity.swanson_bm_third_ventricle_periventricular_recess = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_thirdVentriclePeriventricularRecess",
    abbreviation="V3r",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_thirdVentriclePeriventricularRecess"
        }
    ],
    lookup_label="SwansonBM_thirdVentriclePeriventricularRecess",
    name="third ventricle, periventricular recess",
)
ParcellationEntity.swanson_bm_third_ventricle_pineal_recess = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_thirdVentriclePinealRecess",
    abbreviation="V3pi",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_thirdVentriclePinealRecess"
        }
    ],
    lookup_label="SwansonBM_thirdVentriclePinealRecess",
    name="third ventricle, pineal recess",
)
ParcellationEntity.swanson_bm_third_ventricle_preoptic_recess_edinger = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_thirdVentriclePreopticRecessEdinger",
    abbreviation="V3p",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_thirdVentriclePreopticRecessEdinger"
        }
    ],
    lookup_label="SwansonBM_thirdVentriclePreopticRecessEdinger",
    name="third ventricle, preoptic recess [Edinger]",
)
ParcellationEntity.swanson_bm_third_ventricle_thalamic_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_thirdVentricleThalamicPart",
    abbreviation="V3t",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_thirdVentricleThalamicPart"
        }
    ],
    lookup_label="SwansonBM_thirdVentricleThalamicPart",
    name="third ventricle, thalamic part",
)
ParcellationEntity.swanson_bm_thoracic_spinal_ganglia113 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_thoracicSpinalGanglia113",
    abbreviation="G-T1-13",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_thoracicSpinalGanglia113"
        }
    ],
    lookup_label="SwansonBM_thoracicSpinalGanglia113",
    name="thoracic spinal ganglia, 1-13",
)
ParcellationEntity.swanson_bm_thoracic_sympathetic_ganglia313 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_thoracicSympatheticGanglia313",
    abbreviation="Gs-T3-13",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_thoracicSympatheticGanglia313"
        }
    ],
    lookup_label="SwansonBM_thoracicSympatheticGanglia313",
    name="thoracic sympathetic ganglia, 3-13",
)
ParcellationEntity.swanson_bm_trapezoid_body_treviranus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_trapezoidBodyTreviranus",
    abbreviation="tb",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_trapezoidBodyTreviranus"
        }
    ],
    lookup_label="SwansonBM_trapezoidBodyTreviranus",
    name="trapezoid body [Treviranus]",
)
ParcellationEntity.swanson_bm_triangular_nucleus_septum_cajal = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_triangularNucleusSeptumCajal",
    abbreviation="TRS",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_triangularNucleusSeptumCajal"
        }
    ],
    lookup_label="SwansonBM_triangularNucleusSeptumCajal",
    name="triangular nucleus septum [Cajal]",
)
ParcellationEntity.swanson_bm_trigeminal_ganglion_vieussens_gasser = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_trigeminalGanglionVieussensGasser",
    abbreviation="GV",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_trigeminalGanglionVieussensGasser"
        }
    ],
    lookup_label="SwansonBM_trigeminalGanglionVieussensGasser",
    name="trigeminal ganglion [Vieussens, Gasser]",
)
ParcellationEntity.swanson_bm_trigeminal_nerve = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_trigeminalNerve",
    abbreviation="Vn",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_trigeminalNerve"}
    ],
    lookup_label="SwansonBM_trigeminalNerve",
    name="trigeminal nerve",
)
ParcellationEntity.swanson_bm_trigeminocerebellar_tract = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_trigeminocerebellarTract",
    abbreviation="tct",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_trigeminocerebellarTract"
        }
    ],
    lookup_label="SwansonBM_trigeminocerebellarTract",
    name="trigeminocerebellar tract",
)
ParcellationEntity.swanson_bm_trochlear_nerve = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_trochlearNerve",
    abbreviation="IVn",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_trochlearNerve"}
    ],
    lookup_label="SwansonBM_trochlearNerve",
    name="trochlear nerve",
)
ParcellationEntity.swanson_bm_trochlear_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_trochlearNucleus",
    abbreviation="IV",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_trochlearNucleus"}
    ],
    lookup_label="SwansonBM_trochlearNucleus",
    name="trochlear nucleus",
)
ParcellationEntity.swanson_bm_tuberal_nucleus_intermediate_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_tuberalNucleusIntermediatePart",
    abbreviation="Toy",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_tuberalNucleusIntermediatePart"
        }
    ],
    lookup_label="SwansonBM_tuberalNucleusIntermediatePart",
    name="tuberal nucleus, intermediate part",
)
ParcellationEntity.swanson_bm_tuberal_nucleus_lateral_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_tuberalNucleusLateralPart",
    abbreviation="TUl",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_tuberalNucleusLateralPart"
        }
    ],
    lookup_label="SwansonBM_tuberalNucleusLateralPart",
    name="tuberal nucleus, lateral part",
)
ParcellationEntity.swanson_bm_tuberal_nucleus_malone = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_tuberalNucleusMalone",
    abbreviation="TU",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_tuberalNucleusMalone"
        }
    ],
    lookup_label="SwansonBM_tuberalNucleusMalone",
    name="tuberal nucleus [Malone]",
)
ParcellationEntity.swanson_bm_tuberal_nucleus_subventricular_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_tuberalNucleusSubventricularPart",
    abbreviation="TUsv",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_tuberalNucleusSubventricularPart"
        }
    ],
    lookup_label="SwansonBM_tuberalNucleusSubventricularPart",
    name="tuberal nucleus, subventricular part",
)
ParcellationEntity.swanson_bm_tuberal_nucleus_terete_subnucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_tuberalNucleusTereteSubnucleus",
    abbreviation="TUte",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_tuberalNucleusTereteSubnucleus"
        }
    ],
    lookup_label="SwansonBM_tuberalNucleusTereteSubnucleus",
    name="tuberal nucleus, terete subnucleus",
)
ParcellationEntity.swanson_bm_tuberomammillary_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_tuberomammillaryNucleus",
    abbreviation="TM",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_tuberomammillaryNucleus"
        }
    ],
    lookup_label="SwansonBM_tuberomammillaryNucleus",
    name="tuberomammillary nucleus",
)
ParcellationEntity.swanson_bm_tuberomammillary_nucleus_dorsal_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_tuberomammillaryNucleusDorsalPart",
    abbreviation="TMd",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_tuberomammillaryNucleusDorsalPart"
        }
    ],
    lookup_label="SwansonBM_tuberomammillaryNucleusDorsalPart",
    name="tuberomammillary nucleus, dorsal part",
)
ParcellationEntity.swanson_bm_tuberomammillary_nucleus_ventral_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_tuberomammillaryNucleusVentralPart",
    abbreviation="TMv",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_tuberomammillaryNucleusVentralPart"
        }
    ],
    lookup_label="SwansonBM_tuberomammillaryNucleusVentralPart",
    name="tuberomammillary nucleus, ventral part",
)
ParcellationEntity.swanson_bm_uncinate_fascicle_russell = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_uncinateFascicleRussell",
    abbreviation="uf",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_uncinateFascicleRussell"
        }
    ],
    lookup_label="SwansonBM_uncinateFascicleRussell",
    name="uncinate fascicle [Russell]",
)
ParcellationEntity.swanson_bm_uvula_ix_sublobules_abc = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_uvulaIXSublobulesAbc",
    abbreviation="UVUab,c",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_uvulaIXSublobulesAbc"
        }
    ],
    lookup_label="SwansonBM_uvulaIXSublobulesAbc",
    name="uvula (IX), sublobules ab,c",
)
ParcellationEntity.swanson_bm_uvular_fissure1 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_uvularFissure1",
    abbreviation="uf1",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_uvularFissure1"}
    ],
    lookup_label="SwansonBM_uvularFissure1",
    name="uvular fissure 1",
)
ParcellationEntity.swanson_bm_vagal_commissure = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_vagalCommissure",
    abbreviation="Xc",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_vagalCommissure"}
    ],
    lookup_label="SwansonBM_vagalCommissure",
    name="vagal commissure",
)
ParcellationEntity.swanson_bm_vagus_nerve = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_vagusNerve",
    abbreviation="Xn",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_vagusNerve"}
    ],
    lookup_label="SwansonBM_vagusNerve",
    name="vagus nerve",
)
ParcellationEntity.swanson_bm_vascular_organ_of_the_lamina_terminalis = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_vascularOrganOfTheLaminaTerminalis",
    abbreviation="OV",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_vascularOrganOfTheLaminaTerminalis"
        }
    ],
    lookup_label="SwansonBM_vascularOrganOfTheLaminaTerminalis",
    name="vascular organ of the lamina terminalis",
)
ParcellationEntity.swanson_bm_ventral_anteriorlateral_complex_thalamus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_ventralAnteriorlateralComplexThalamus",
    abbreviation="VAL",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_ventralAnteriorlateralComplexThalamus"
        }
    ],
    lookup_label="SwansonBM_ventralAnteriorlateralComplexThalamus",
    name="ventral anterior-lateral complex thalamus",
)
ParcellationEntity.swanson_bm_ventral_auditory_areas = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_ventralAuditoryAreas",
    abbreviation="AUDv",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_ventralAuditoryAreas"
        }
    ],
    lookup_label="SwansonBM_ventralAuditoryAreas",
    name="ventral auditory areas",
)
ParcellationEntity.swanson_bm_ventral_cochlear_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_ventralCochlearNucleus",
    abbreviation="VCO",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_ventralCochlearNucleus"
        }
    ],
    lookup_label="SwansonBM_ventralCochlearNucleus",
    name="ventral cochlear nucleus",
)
ParcellationEntity.swanson_bm_ventral_cochlear_nucleus_anterior_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_ventralCochlearNucleusAnteriorPart",
    abbreviation="VCOa",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_ventralCochlearNucleusAnteriorPart"
        }
    ],
    lookup_label="SwansonBM_ventralCochlearNucleusAnteriorPart",
    name="ventral cochlear nucleus, anterior part",
)
ParcellationEntity.swanson_bm_ventral_cochlear_nucleus_posterior_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_ventralCochlearNucleusPosteriorPart",
    abbreviation="VCOp",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_ventralCochlearNucleusPosteriorPart"
        }
    ],
    lookup_label="SwansonBM_ventralCochlearNucleusPosteriorPart",
    name="ventral cochlear nucleus, posterior part",
)
ParcellationEntity.swanson_bm_ventral_commissure_of_the_spinal_cord = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_ventralCommissureOfTheSpinalCord",
    abbreviation="vc",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_ventralCommissureOfTheSpinalCord"
        }
    ],
    lookup_label="SwansonBM_ventralCommissureOfTheSpinalCord",
    name="ventral commissure of the spinal cord",
)
ParcellationEntity.swanson_bm_ventral_commissure_spinal_cord = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_ventralCommissureSpinalCord",
    abbreviation="vwc",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_ventralCommissureSpinalCord"
        }
    ],
    lookup_label="SwansonBM_ventralCommissureSpinalCord",
    name="ventral commissure, spinal cord",
)
ParcellationEntity.swanson_bm_ventral_funiculus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_ventralFuniculus",
    abbreviation="vf",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_ventralFuniculus"}
    ],
    lookup_label="SwansonBM_ventralFuniculus",
    name="ventral funiculus",
)
ParcellationEntity.swanson_bm_ventral_hippocampal_commissure = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_ventralHippocampalCommissure",
    abbreviation="vhc",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_ventralHippocampalCommissure"
        }
    ],
    lookup_label="SwansonBM_ventralHippocampalCommissure",
    name="ventral hippocampal commissure",
)
ParcellationEntity.swanson_bm_ventral_horn_spinal_cord = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_ventralHornSpinalCord",
    abbreviation="VH",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_ventralHornSpinalCord"
        }
    ],
    lookup_label="SwansonBM_ventralHornSpinalCord",
    name="ventral horn spinal cord",
)
ParcellationEntity.swanson_bm_ventral_horn_spinal_cord_general = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_ventralHornSpinalCordGeneral",
    abbreviation="VHg",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_ventralHornSpinalCordGeneral"
        }
    ],
    lookup_label="SwansonBM_ventralHornSpinalCordGeneral",
    name="ventral horn spinal cord, general",
)
ParcellationEntity.swanson_bm_ventral_medial_nucleus_thalamus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_ventralMedialNucleusThalamus",
    abbreviation="VM",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_ventralMedialNucleusThalamus"
        }
    ],
    lookup_label="SwansonBM_ventralMedialNucleusThalamus",
    name="ventral medial nucleus thalamus",
)
ParcellationEntity.swanson_bm_ventral_median_fissure = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_ventralMedianFissure",
    abbreviation="vmf",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_ventralMedianFissure"
        }
    ],
    lookup_label="SwansonBM_ventralMedianFissure",
    name="ventral median fissure",
)
ParcellationEntity.swanson_bm_ventral_nuclei_dorsal_thalamus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_ventralNucleiDorsalThalamus",
    abbreviation="VENT",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_ventralNucleiDorsalThalamus"
        }
    ],
    lookup_label="SwansonBM_ventralNucleiDorsalThalamus",
    name="ventral nuclei, dorsal thalamus",
)
ParcellationEntity.swanson_bm_ventral_posterior_complex_thalamus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_ventralPosteriorComplexThalamus",
    abbreviation="VP",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_ventralPosteriorComplexThalamus"
        }
    ],
    lookup_label="SwansonBM_ventralPosteriorComplexThalamus",
    name="ventral posterior complex thalamus",
)
ParcellationEntity.swanson_bm_ventral_posterolateral_nucleus_thalamus_general = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_ventralPosterolateralNucleusThalamusGeneral",
    abbreviation="VPLg",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_ventralPosterolateralNucleusThalamusGeneral"
        }
    ],
    lookup_label="SwansonBM_ventralPosterolateralNucleusThalamusGeneral",
    name="ventral posterolateral nucleus thalamus, general",
)
ParcellationEntity.swanson_bm_ventral_posterolateral_nucleus_thalamus_parvicellular_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_ventralPosterolateralNucleusThalamusParvicellularPart",
    abbreviation="VPLpc",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_ventralPosterolateralNucleusThalamusParvicellularPart"
        }
    ],
    lookup_label="SwansonBM_ventralPosterolateralNucleusThalamusParvicellularPart",
    name="ventral posterolateral nucleus thalamus, parvicellular part",
)
ParcellationEntity.swanson_bm_ventral_posterolateral_nucleus_thalamus_principal_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_ventralPosterolateralNucleusThalamusPrincipalPart",
    abbreviation="VPL",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_ventralPosterolateralNucleusThalamusPrincipalPart"
        }
    ],
    lookup_label="SwansonBM_ventralPosterolateralNucleusThalamusPrincipalPart",
    name="ventral posterolateral nucleus thalamus, principal part",
)
ParcellationEntity.swanson_bm_ventral_posteromedial_nucleus_thalamus_general = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_ventralPosteromedialNucleusThalamusGeneral",
    abbreviation="VPMg",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_ventralPosteromedialNucleusThalamusGeneral"
        }
    ],
    lookup_label="SwansonBM_ventralPosteromedialNucleusThalamusGeneral",
    name="ventral posteromedial nucleus thalamus, general",
)
ParcellationEntity.swanson_bm_ventral_posteromedial_nucleus_thalamus_parvicellular_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_ventralPosteromedialNucleusThalamusParvicellularPart",
    abbreviation="VPMpc",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_ventralPosteromedialNucleusThalamusParvicellularPart"
        }
    ],
    lookup_label="SwansonBM_ventralPosteromedialNucleusThalamusParvicellularPart",
    name="ventral posteromedial nucleus thalamus, parvicellular part",
)
ParcellationEntity.swanson_bm_ventral_posteromedial_nucleus_thalamus_principal_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_ventralPosteromedialNucleusThalamusPrincipalPart",
    abbreviation="VPM",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_ventralPosteromedialNucleusThalamusPrincipalPart"
        }
    ],
    lookup_label="SwansonBM_ventralPosteromedialNucleusThalamusPrincipalPart",
    name="ventral posteromedial nucleus thalamus, principal part",
)
ParcellationEntity.swanson_bm_ventral_premammillary_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_ventralPremammillaryNucleus",
    abbreviation="PMv",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_ventralPremammillaryNucleus"
        }
    ],
    lookup_label="SwansonBM_ventralPremammillaryNucleus",
    name="ventral premammillary nucleus",
)
ParcellationEntity.swanson_bm_ventral_propriohypothalamic_pathways = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_ventralPropriohypothalamicPathways",
    abbreviation="phpv",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_ventralPropriohypothalamicPathways"
        }
    ],
    lookup_label="SwansonBM_ventralPropriohypothalamicPathways",
    name="ventral propriohypothalamic pathways",
)
ParcellationEntity.swanson_bm_ventral_roots_coiter = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_ventralRootsCoiter",
    abbreviation="vrt",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_ventralRootsCoiter"}
    ],
    lookup_label="SwansonBM_ventralRootsCoiter",
    name="ventral roots [Coiter]",
)
ParcellationEntity.swanson_bm_ventral_spinocerebellar_tract_gowers = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_ventralSpinocerebellarTractGowers",
    abbreviation="sctv",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_ventralSpinocerebellarTractGowers"
        }
    ],
    lookup_label="SwansonBM_ventralSpinocerebellarTractGowers",
    name="ventral spinocerebellar tract [Gowers]",
)
ParcellationEntity.swanson_bm_ventral_spinothalamic_tract = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_ventralSpinothalamicTract",
    abbreviation="sttv",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_ventralSpinothalamicTract"
        }
    ],
    lookup_label="SwansonBM_ventralSpinothalamicTract",
    name="ventral spinothalamic tract",
)
ParcellationEntity.swanson_bm_ventral_tegmental_area_tsai = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_ventralTegmentalAreaTsai",
    abbreviation="VTA",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_ventralTegmentalAreaTsai"
        }
    ],
    lookup_label="SwansonBM_ventralTegmentalAreaTsai",
    name="ventral tegmental area [Tsai]",
)
ParcellationEntity.swanson_bm_ventral_tegmental_decussation_forel = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_ventralTegmentalDecussationForel",
    abbreviation="vtd",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_ventralTegmentalDecussationForel"
        }
    ],
    lookup_label="SwansonBM_ventralTegmentalDecussationForel",
    name="ventral tegmental decussation [Forel]",
)
ParcellationEntity.swanson_bm_ventral_tegmental_nucleus_gudden = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_ventralTegmentalNucleusGudden",
    abbreviation="VTN",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_ventralTegmentalNucleusGudden"
        }
    ],
    lookup_label="SwansonBM_ventralTegmentalNucleusGudden",
    name="ventral tegmental nucleus [Gudden]",
)
ParcellationEntity.swanson_bm_ventral_thalamus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_ventralThalamus",
    abbreviation="VNT",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_ventralThalamus"}
    ],
    lookup_label="SwansonBM_ventralThalamus",
    name="ventral thalamus",
)
ParcellationEntity.swanson_bm_ventricular_system = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_ventricularSystem",
    abbreviation="VS",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_ventricularSystem"}
    ],
    lookup_label="SwansonBM_ventricularSystem",
    name="ventricular system",
)
ParcellationEntity.swanson_bm_ventrolateral_hypothalamic_tract = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_ventrolateralHypothalamicTract",
    abbreviation="vlt",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_ventrolateralHypothalamicTract"
        }
    ],
    lookup_label="SwansonBM_ventrolateralHypothalamicTract",
    name="ventrolateral hypothalamic tract",
)
ParcellationEntity.swanson_bm_ventrolateral_preoptic_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_ventrolateralPreopticNucleus",
    abbreviation="VLP",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_ventrolateralPreopticNucleus"
        }
    ],
    lookup_label="SwansonBM_ventrolateralPreopticNucleus",
    name="ventrolateral preoptic nucleus",
)
ParcellationEntity.swanson_bm_ventromedial_hypothalamic_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_ventromedialHypothalamicNucleus",
    abbreviation="VMH",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_ventromedialHypothalamicNucleus"
        }
    ],
    lookup_label="SwansonBM_ventromedialHypothalamicNucleus",
    name="ventromedial hypothalamic nucleus",
)
ParcellationEntity.swanson_bm_ventromedial_nucleus_hypothalamus_anterior_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_ventromedialNucleusHypothalamusAnteriorPart",
    abbreviation="VMHa",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_ventromedialNucleusHypothalamusAnteriorPart"
        }
    ],
    lookup_label="SwansonBM_ventromedialNucleusHypothalamusAnteriorPart",
    name="ventromedial nucleus hypothalamus, anterior part",
)
ParcellationEntity.swanson_bm_ventromedial_nucleus_hypothalamus_central_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_ventromedialNucleusHypothalamusCentralPart",
    abbreviation="VMHc",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_ventromedialNucleusHypothalamusCentralPart"
        }
    ],
    lookup_label="SwansonBM_ventromedialNucleusHypothalamusCentralPart",
    name="ventromedial nucleus hypothalamus, central part",
)
ParcellationEntity.swanson_bm_ventromedial_nucleus_hypothalamus_dorsomedial_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_ventromedialNucleusHypothalamusDorsomedialPart",
    abbreviation="VMHdm",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_ventromedialNucleusHypothalamusDorsomedialPart"
        }
    ],
    lookup_label="SwansonBM_ventromedialNucleusHypothalamusDorsomedialPart",
    name="ventromedial nucleus hypothalamus, dorsomedial part",
)
ParcellationEntity.swanson_bm_ventromedial_nucleus_hypothalamus_ventrolateral_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_ventromedialNucleusHypothalamusVentrolateralPart",
    abbreviation="VMHvl",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_ventromedialNucleusHypothalamusVentrolateralPart"
        }
    ],
    lookup_label="SwansonBM_ventromedialNucleusHypothalamusVentrolateralPart",
    name="ventromedial nucleus hypothalamus, ventrolateral part",
)
ParcellationEntity.swanson_bm_vermal_regions_cerebellum = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_vermalRegionsCerebellum",
    abbreviation="VERM",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_vermalRegionsCerebellum"
        }
    ],
    lookup_label="SwansonBM_vermalRegionsCerebellum",
    name="vermal regions, cerebellum",
)
ParcellationEntity.swanson_bm_vestibular_ganglion_scarpa = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_vestibularGanglionScarpa",
    abbreviation="GvVIII",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_vestibularGanglionScarpa"
        }
    ],
    lookup_label="SwansonBM_vestibularGanglionScarpa",
    name="vestibular ganglion [Scarpa]",
)
ParcellationEntity.swanson_bm_vestibular_nerve = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_vestibularNerve",
    abbreviation="vVIIIn",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_vestibularNerve"}
    ],
    lookup_label="SwansonBM_vestibularNerve",
    name="vestibular nerve",
)
ParcellationEntity.swanson_bm_vestibular_nuclei = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_vestibularNuclei",
    abbreviation="VNC",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_vestibularNuclei"}
    ],
    lookup_label="SwansonBM_vestibularNuclei",
    name="vestibular nuclei",
)
ParcellationEntity.swanson_bm_vestibulocochlear_nerve = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_vestibulocochlearNerve",
    abbreviation="VIIIn",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_vestibulocochlearNerve"
        }
    ],
    lookup_label="SwansonBM_vestibulocochlearNerve",
    name="vestibulocochlear nerve",
)
ParcellationEntity.swanson_bm_vestibulomotor_regions = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_vestibulomotorRegions",
    abbreviation="VMO",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_vestibulomotorRegions"
        }
    ],
    lookup_label="SwansonBM_vestibulomotorRegions",
    name="vestibulomotor regions",
)
ParcellationEntity.swanson_bm_vestibulospinal_pathway = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_vestibulospinalPathway",
    abbreviation="vsp",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_vestibulospinalPathway"
        }
    ],
    lookup_label="SwansonBM_vestibulospinalPathway",
    name="vestibulospinal pathway",
)
ParcellationEntity.swanson_bm_visceral_area = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_visceralArea",
    abbreviation="VISC",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_visceralArea"}
    ],
    lookup_label="SwansonBM_visceralArea",
    name="visceral area",
)
ParcellationEntity.swanson_bm_visceral_sensorymotor_areas = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_visceralSensorymotorAreas",
    abbreviation="VSM",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_visceralSensorymotorAreas"
        }
    ],
    lookup_label="SwansonBM_visceralSensorymotorAreas",
    name="visceral sensory-motor areas",
)
ParcellationEntity.swanson_bm_visual_areas = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_visualAreas",
    abbreviation="VIS",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_visualAreas"}
    ],
    lookup_label="SwansonBM_visualAreas",
    name="visual areas",
)
ParcellationEntity.swanson_bm_vomeronasal_nerve = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_vomeronasalNerve",
    abbreviation="von",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_vomeronasalNerve"}
    ],
    lookup_label="SwansonBM_vomeronasalNerve",
    name="vomeronasal nerve",
)
ParcellationEntity.swanson_bm_zona_incerta = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_zonaIncerta",
    abbreviation="ZI",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_zonaIncerta"}
    ],
    lookup_label="SwansonBM_zonaIncerta",
    name="zona incerta",
)
ParcellationEntity.swanson_bm_zona_incerta_dopaminergic_group = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_zonaIncertaDopaminergicGroup",
    abbreviation="ZIda",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_zonaIncertaDopaminergicGroup"
        }
    ],
    lookup_label="SwansonBM_zonaIncertaDopaminergicGroup",
    name="zona incerta, dopaminergic group",
)
ParcellationEntity.swanson_bm_zona_incerta_general = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_zonaIncertaGeneral",
    abbreviation="ZIg",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_zonaIncertaGeneral"}
    ],
    lookup_label="SwansonBM_zonaIncertaGeneral",
    name="zona incerta, general",
)
ParcellationEntity.swanson_bm_zona_limitans = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/SwansonBM_zonaLimitans",
    abbreviation="zl",
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_zonaLimitans"}
    ],
    lookup_label="SwansonBM_zonaLimitans",
    name="zona limitans",
)
ParcellationEntity.swma__cu__li_0 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SWMA_Cu-Li_0",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/SWMA_superficialWhiteMatter"}],
    has_versions=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SWMA_2018_Cu-Li_0"}],
    lookup_label="SWMA_Cu-Li_0",
    name="Cu-Li_0",
)
ParcellationEntity.swma__fu_lo_0 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SWMA_Fu-LO_0",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/SWMA_superficialWhiteMatter"}],
    has_versions=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SWMA_2018_Fu-LO_0"}],
    lookup_label="SWMA_Fu-LO_0",
    name="Fu-LO_0",
)
ParcellationEntity.swma__fu_lo_1 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SWMA_Fu-LO_1",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/SWMA_superficialWhiteMatter"}],
    has_versions=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SWMA_2018_Fu-LO_1"}],
    lookup_label="SWMA_Fu-LO_1",
    name="Fu-LO_1",
)
ParcellationEntity.swma__op__ins_0 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SWMA_Op-Ins_0",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/SWMA_superficialWhiteMatter"}],
    has_versions=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SWMA_2018_Op-Ins_0"}],
    lookup_label="SWMA_Op-Ins_0",
    name="Op-Ins_0",
)
ParcellationEntity.swma__op__pr_c_0 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SWMA_Op-PrC_0",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/SWMA_superficialWhiteMatter"}],
    has_versions=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SWMA_2018_Op-PrC_0"}],
    lookup_label="SWMA_Op-PrC_0",
    name="Op-PrC_0",
)
ParcellationEntity.swma__op__tr_0 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SWMA_Op-Tr_0",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/SWMA_superficialWhiteMatter"}],
    has_versions=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SWMA_2018_Op-Tr_0"}],
    lookup_label="SWMA_Op-Tr_0",
    name="Op-Tr_0",
)
ParcellationEntity.swma__op_sf_0 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SWMA_Op-SF_0",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/SWMA_superficialWhiteMatter"}],
    has_versions=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SWMA_2018_Op-SF_0"}],
    lookup_label="SWMA_Op-SF_0",
    name="Op-SF_0",
)
ParcellationEntity.swma__or__ins_0 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SWMA_Or-Ins_0",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/SWMA_superficialWhiteMatter"}],
    has_versions=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SWMA_2018_Or-Ins_0"}],
    lookup_label="SWMA_Or-Ins_0",
    name="Or-Ins_0",
)
ParcellationEntity.swma__po_c__ins_0 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SWMA_PoC-Ins_0",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/SWMA_superficialWhiteMatter"}],
    has_versions=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SWMA_2018_PoC-Ins_0"}],
    lookup_label="SWMA_PoC-Ins_0",
    name="PoC-Ins_0",
)
ParcellationEntity.swma__po_c__pr_c_0 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SWMA_PoC-PrC_0",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/SWMA_superficialWhiteMatter"}],
    has_versions=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SWMA_2018_PoC-PrC_0"}],
    lookup_label="SWMA_PoC-PrC_0",
    name="PoC-PrC_0",
)
ParcellationEntity.swma__po_c__pr_c_1 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SWMA_PoC-PrC_1",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/SWMA_superficialWhiteMatter"}],
    has_versions=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SWMA_2018_PoC-PrC_1"}],
    lookup_label="SWMA_PoC-PrC_1",
    name="PoC-PrC_1",
)
ParcellationEntity.swma__po_c__pr_c_2 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SWMA_PoC-PrC_2",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/SWMA_superficialWhiteMatter"}],
    has_versions=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SWMA_2018_PoC-PrC_2"}],
    lookup_label="SWMA_PoC-PrC_2",
    name="PoC-PrC_2",
)
ParcellationEntity.swma__po_c__pr_c_3 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SWMA_PoC-PrC_3",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/SWMA_superficialWhiteMatter"}],
    has_versions=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SWMA_2018_PoC-PrC_3"}],
    lookup_label="SWMA_PoC-PrC_3",
    name="PoC-PrC_3",
)
ParcellationEntity.swma__po_c_sm_0 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SWMA_PoC-SM_0",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/SWMA_superficialWhiteMatter"}],
    has_versions=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SWMA_2018_PoC-SM_0"}],
    lookup_label="SWMA_PoC-SM_0",
    name="PoC-SM_0",
)
ParcellationEntity.swma__po_c_sm_1 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SWMA_PoC-SM_1",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/SWMA_superficialWhiteMatter"}],
    has_versions=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SWMA_2018_PoC-SM_1"}],
    lookup_label="SWMA_PoC-SM_1",
    name="PoC-SM_1",
)
ParcellationEntity.swma__po_c_sp_0 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SWMA_PoC-SP_0",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/SWMA_superficialWhiteMatter"}],
    has_versions=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SWMA_2018_PoC-SP_0"}],
    lookup_label="SWMA_PoC-SP_0",
    name="PoC-SP_0",
)
ParcellationEntity.swma__po_c_sp_1 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SWMA_PoC-SP_1",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/SWMA_superficialWhiteMatter"}],
    has_versions=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SWMA_2018_PoC-SP_1"}],
    lookup_label="SWMA_PoC-SP_1",
    name="PoC-SP_1",
)
ParcellationEntity.swma__po_ci__pr_cu_0 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SWMA_PoCi-PrCu_0",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/SWMA_superficialWhiteMatter"}],
    has_versions=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SWMA_2018_PoCi-PrCu_0"}],
    lookup_label="SWMA_PoCi-PrCu_0",
    name="PoCi-PrCu_0",
)
ParcellationEntity.swma__po_ci__pr_cu_1 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SWMA_PoCi-PrCu_1",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/SWMA_superficialWhiteMatter"}],
    has_versions=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SWMA_2018_PoCi-PrCu_1"}],
    lookup_label="SWMA_PoCi-PrCu_1",
    name="PoCi-PrCu_1",
)
ParcellationEntity.swma__po_ci__pr_cu_2 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SWMA_PoCi-PrCu_2",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/SWMA_superficialWhiteMatter"}],
    has_versions=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SWMA_2018_PoCi-PrCu_2"}],
    lookup_label="SWMA_PoCi-PrCu_2",
    name="PoCi-PrCu_2",
)
ParcellationEntity.swma__po_ci_rac_0 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SWMA_PoCi-RAC_0",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/SWMA_superficialWhiteMatter"}],
    has_versions=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SWMA_2018_PoCi-RAC_0"}],
    lookup_label="SWMA_PoCi-RAC_0",
    name="PoCi-RAC_0",
)
ParcellationEntity.swma__po_ci_sf_0 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SWMA_PoCi-SF_0",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/SWMA_superficialWhiteMatter"}],
    has_versions=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SWMA_2018_PoCi-SF_0"}],
    lookup_label="SWMA_PoCi-SF_0",
    name="PoCi-SF_0",
)
ParcellationEntity.swma__pr_c__ins_0 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SWMA_PrC-Ins_0",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/SWMA_superficialWhiteMatter"}],
    has_versions=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SWMA_2018_PrC-Ins_0"}],
    lookup_label="SWMA_PrC-Ins_0",
    name="PrC-Ins_0",
)
ParcellationEntity.swma__pr_c_sf_0 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SWMA_PrC-SF_0",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/SWMA_superficialWhiteMatter"}],
    has_versions=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SWMA_2018_PrC-SF_0"}],
    lookup_label="SWMA_PrC-SF_0",
    name="PrC-SF_0",
)
ParcellationEntity.swma__pr_c_sm_0 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SWMA_PrC-SM_0",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/SWMA_superficialWhiteMatter"}],
    has_versions=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SWMA_2018_PrC-SM_0"}],
    lookup_label="SWMA_PrC-SM_0",
    name="PrC-SM_0",
)
ParcellationEntity.swma__pr_c_sp_0 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SWMA_PrC-SP_0",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/SWMA_superficialWhiteMatter"}],
    has_versions=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SWMA_2018_PrC-SP_0"}],
    lookup_label="SWMA_PrC-SP_0",
    name="PrC-SP_0",
)
ParcellationEntity.swma__tr__ins_0 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SWMA_Tr-Ins_0",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/SWMA_superficialWhiteMatter"}],
    has_versions=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SWMA_2018_Tr-Ins_0"}],
    lookup_label="SWMA_Tr-Ins_0",
    name="Tr-Ins_0",
)
ParcellationEntity.swma__tr_sf_0 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SWMA_Tr-SF_0",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/SWMA_superficialWhiteMatter"}],
    has_versions=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SWMA_2018_Tr-SF_0"}],
    lookup_label="SWMA_Tr-SF_0",
    name="Tr-SF_0",
)
ParcellationEntity.swma_cac__po_ci_0 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SWMA_CAC-PoCi_0",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/SWMA_superficialWhiteMatter"}],
    has_versions=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SWMA_2018_CAC-PoCi_0"}],
    lookup_label="SWMA_CAC-PoCi_0",
    name="CAC-PoCi_0",
)
ParcellationEntity.swma_cac__pr_cu_0 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SWMA_CAC-PrCu_0",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/SWMA_superficialWhiteMatter"}],
    has_versions=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SWMA_2018_CAC-PrCu_0"}],
    lookup_label="SWMA_CAC-PrCu_0",
    name="CAC-PrCu_0",
)
ParcellationEntity.swma_cmf__op_0 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SWMA_CMF-Op_0",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/SWMA_superficialWhiteMatter"}],
    has_versions=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SWMA_2018_CMF-Op_0"}],
    lookup_label="SWMA_CMF-Op_0",
    name="CMF-Op_0",
)
ParcellationEntity.swma_cmf__po_c_0 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SWMA_CMF-PoC_0",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/SWMA_superficialWhiteMatter"}],
    has_versions=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SWMA_2018_CMF-PoC_0"}],
    lookup_label="SWMA_CMF-PoC_0",
    name="CMF-PoC_0",
)
ParcellationEntity.swma_cmf__pr_c_0 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SWMA_CMF-PrC_0",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/SWMA_superficialWhiteMatter"}],
    has_versions=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SWMA_2018_CMF-PrC_0"}],
    lookup_label="SWMA_CMF-PrC_0",
    name="CMF-PrC_0",
)
ParcellationEntity.swma_cmf__pr_c_1 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SWMA_CMF-PrC_1",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/SWMA_superficialWhiteMatter"}],
    has_versions=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SWMA_2018_CMF-PrC_1"}],
    lookup_label="SWMA_CMF-PrC_1",
    name="CMF-PrC_1",
)
ParcellationEntity.swma_cmf_rmf_0 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SWMA_CMF-RMF_0",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/SWMA_superficialWhiteMatter"}],
    has_versions=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SWMA_2018_CMF-RMF_0"}],
    lookup_label="SWMA_CMF-RMF_0",
    name="CMF-RMF_0",
)
ParcellationEntity.swma_cmf_sf_0 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SWMA_CMF-SF_0",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/SWMA_superficialWhiteMatter"}],
    has_versions=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SWMA_2018_CMF-SF_0"}],
    lookup_label="SWMA_CMF-SF_0",
    name="CMF-SF_0",
)
ParcellationEntity.swma_cmf_sf_1 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SWMA_CMF-SF_1",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/SWMA_superficialWhiteMatter"}],
    has_versions=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SWMA_2018_CMF-SF_1"}],
    lookup_label="SWMA_CMF-SF_1",
    name="CMF-SF_1",
)
ParcellationEntity.swma_ic__pr_cu_0 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SWMA_IC-PrCu_0",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/SWMA_superficialWhiteMatter"}],
    has_versions=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SWMA_2018_IC-PrCu_0"}],
    lookup_label="SWMA_IC-PrCu_0",
    name="IC-PrCu_0",
)
ParcellationEntity.swma_ip_it_0 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SWMA_IP-IT_0",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/SWMA_superficialWhiteMatter"}],
    has_versions=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SWMA_2018_IP-IT_0"}],
    lookup_label="SWMA_IP-IT_0",
    name="IP-IT_0",
)
ParcellationEntity.swma_ip_lo_0 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SWMA_IP-LO_0",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/SWMA_superficialWhiteMatter"}],
    has_versions=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SWMA_2018_IP-LO_0"}],
    lookup_label="SWMA_IP-LO_0",
    name="IP-LO_0",
)
ParcellationEntity.swma_ip_lo_1 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SWMA_IP-LO_1",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/SWMA_superficialWhiteMatter"}],
    has_versions=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SWMA_2018_IP-LO_1"}],
    lookup_label="SWMA_IP-LO_1",
    name="IP-LO_1",
)
ParcellationEntity.swma_ip_mt_0 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SWMA_IP-MT_0",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/SWMA_superficialWhiteMatter"}],
    has_versions=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SWMA_2018_IP-MT_0"}],
    lookup_label="SWMA_IP-MT_0",
    name="IP-MT_0",
)
ParcellationEntity.swma_ip_sm_0 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SWMA_IP-SM_0",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/SWMA_superficialWhiteMatter"}],
    has_versions=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SWMA_2018_IP-SM_0"}],
    lookup_label="SWMA_IP-SM_0",
    name="IP-SM_0",
)
ParcellationEntity.swma_ip_sp_0 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SWMA_IP-SP_0",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/SWMA_superficialWhiteMatter"}],
    has_versions=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SWMA_2018_IP-SP_0"}],
    lookup_label="SWMA_IP-SP_0",
    name="IP-SP_0",
)
ParcellationEntity.swma_ip_sp_1 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SWMA_IP-SP_1",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/SWMA_superficialWhiteMatter"}],
    has_versions=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SWMA_2018_IP-SP_1"}],
    lookup_label="SWMA_IP-SP_1",
    name="IP-SP_1",
)
ParcellationEntity.swma_it_mt_0 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SWMA_IT-MT_0",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/SWMA_superficialWhiteMatter"}],
    has_versions=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SWMA_2018_IT-MT_0"}],
    lookup_label="SWMA_IT-MT_0",
    name="IT-MT_0",
)
ParcellationEntity.swma_it_mt_1 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SWMA_IT-MT_1",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/SWMA_superficialWhiteMatter"}],
    has_versions=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SWMA_2018_IT-MT_1"}],
    lookup_label="SWMA_IT-MT_1",
    name="IT-MT_1",
)
ParcellationEntity.swma_it_mt_2 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SWMA_IT-MT_2",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/SWMA_superficialWhiteMatter"}],
    has_versions=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SWMA_2018_IT-MT_2"}],
    lookup_label="SWMA_IT-MT_2",
    name="IT-MT_2",
)
ParcellationEntity.swma_lo_sp_0 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SWMA_LO-SP_0",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/SWMA_superficialWhiteMatter"}],
    has_versions=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SWMA_2018_LO-SP_0"}],
    lookup_label="SWMA_LO-SP_0",
    name="LO-SP_0",
)
ParcellationEntity.swma_lof__or_0 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SWMA_LOF-Or_0",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/SWMA_superficialWhiteMatter"}],
    has_versions=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SWMA_2018_LOF-Or_0"}],
    lookup_label="SWMA_LOF-Or_0",
    name="LOF-Or_0",
)
ParcellationEntity.swma_lof_mof_0 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SWMA_LOF-MOF_0",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/SWMA_superficialWhiteMatter"}],
    has_versions=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SWMA_2018_LOF-MOF_0"}],
    lookup_label="SWMA_LOF-MOF_0",
    name="LOF-MOF_0",
)
ParcellationEntity.swma_lof_rmf_0 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SWMA_LOF-RMF_0",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/SWMA_superficialWhiteMatter"}],
    has_versions=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SWMA_2018_LOF-RMF_0"}],
    lookup_label="SWMA_LOF-RMF_0",
    name="LOF-RMF_0",
)
ParcellationEntity.swma_lof_rmf_1 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SWMA_LOF-RMF_1",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/SWMA_superficialWhiteMatter"}],
    has_versions=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SWMA_2018_LOF-RMF_1"}],
    lookup_label="SWMA_LOF-RMF_1",
    name="LOF-RMF_1",
)
ParcellationEntity.swma_lof_st_0 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SWMA_LOF-ST_0",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/SWMA_superficialWhiteMatter"}],
    has_versions=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SWMA_2018_LOF-ST_0"}],
    lookup_label="SWMA_LOF-ST_0",
    name="LOF-ST_0",
)
ParcellationEntity.swma_mof_st_0 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SWMA_MOF-ST_0",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/SWMA_superficialWhiteMatter"}],
    has_versions=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SWMA_2018_MOF-ST_0"}],
    lookup_label="SWMA_MOF-ST_0",
    name="MOF-ST_0",
)
ParcellationEntity.swma_mt_sm_0 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SWMA_MT-SM_0",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/SWMA_superficialWhiteMatter"}],
    has_versions=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SWMA_2018_MT-SM_0"}],
    lookup_label="SWMA_MT-SM_0",
    name="MT-SM_0",
)
ParcellationEntity.swma_mt_st_0 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SWMA_MT-ST_0",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/SWMA_superficialWhiteMatter"}],
    has_versions=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SWMA_2018_MT-ST_0"}],
    lookup_label="SWMA_MT-ST_0",
    name="MT-ST_0",
)
ParcellationEntity.swma_rac_sf_0 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SWMA_RAC-SF_0",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/SWMA_superficialWhiteMatter"}],
    has_versions=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SWMA_2018_RAC-SF_0"}],
    lookup_label="SWMA_RAC-SF_0",
    name="RAC-SF_0",
)
ParcellationEntity.swma_rac_sf_1 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SWMA_RAC-SF_1",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/SWMA_superficialWhiteMatter"}],
    has_versions=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SWMA_2018_RAC-SF_1"}],
    lookup_label="SWMA_RAC-SF_1",
    name="RAC-SF_1",
)
ParcellationEntity.swma_rmf_sf_0 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SWMA_RMF-SF_0",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/SWMA_superficialWhiteMatter"}],
    has_versions=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SWMA_2018_RMF-SF_0"}],
    lookup_label="SWMA_RMF-SF_0",
    name="RMF-SF_0",
)
ParcellationEntity.swma_rmf_sf_1 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SWMA_RMF-SF_1",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/SWMA_superficialWhiteMatter"}],
    has_versions=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SWMA_2018_RMF-SF_1"}],
    lookup_label="SWMA_RMF-SF_1",
    name="RMF-SF_1",
)
ParcellationEntity.swma_sm__ins_0 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SWMA_SM-Ins_0",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/SWMA_superficialWhiteMatter"}],
    has_versions=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SWMA_2018_SM-Ins_0"}],
    lookup_label="SWMA_SM-Ins_0",
    name="SM-Ins_0",
)
ParcellationEntity.swma_sp_sm_0 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SWMA_SP-SM_0",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/SWMA_superficialWhiteMatter"}],
    has_versions=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SWMA_2018_SP-SM_0"}],
    lookup_label="SWMA_SP-SM_0",
    name="SP-SM_0",
)
ParcellationEntity.swma_st__ins_0 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SWMA_ST-Ins_0",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/SWMA_superficialWhiteMatter"}],
    has_versions=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SWMA_2018_ST-Ins_0"}],
    lookup_label="SWMA_ST-Ins_0",
    name="ST-Ins_0",
)
ParcellationEntity.swma_st_tt_0 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SWMA_ST-TT_0",
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/SWMA_superficialWhiteMatter"}],
    has_versions=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/SWMA_2018_ST-TT_0"}],
    lookup_label="SWMA_ST-TT_0",
    name="ST-TT_0",
)
ParcellationEntity.swma_superficial_white_matter = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SWMA_superficialWhiteMatter",
    abbreviation="SWM",
    lookup_label="SWMA_superficialWhiteMatter",
    name="superficial white matter",
)
ParcellationEntity.whss_datlas_4th_ventricle = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_4thVentricle",
    alternate_names=["4V"],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_4thVentricle"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_4thVentricle"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_4thVentricle"},
    ],
    lookup_label="WHSSDatlas_4thVentricle",
    name="4th ventricle",
)
ParcellationEntity.whss_datlas_acoustic_striae = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_acousticStriae",
    alternate_names=["as"],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_acousticStriae"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_acousticStriae"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_acousticStriae"},
    ],
    lookup_label="WHSSDatlas_acousticStriae",
    name="acoustic striae",
)
ParcellationEntity.whss_datlas_agranular_insular_cortex = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_agranularInsularCortex",
    alternate_names=["AI"],
    lookup_label="WHSSDatlas_agranularInsularCortex",
    name="agranular insular cortex",
)
ParcellationEntity.whss_datlas_agranular_insular_cortex_dorsal_area = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_agranularInsularCortexDorsalArea",
    alternate_names=["AI-d"],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_agranularInsularCortexDorsalArea"
        }
    ],
    lookup_label="WHSSDatlas_agranularInsularCortexDorsalArea",
    name="agranular insular cortex dorsal area",
)
ParcellationEntity.whss_datlas_agranular_insular_cortex_posterior_area = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_agranularInsularCortexPosteriorArea",
    alternate_names=["AI-p"],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_agranularInsularCortexPosteriorArea"
        }
    ],
    lookup_label="WHSSDatlas_agranularInsularCortexPosteriorArea",
    name="agranular insular cortex, posterior area",
)
ParcellationEntity.whss_datlas_agranular_insular_cortex_ventral_area = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_agranularInsularCortexVentralArea",
    alternate_names=["AI-v"],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_agranularInsularCortexVentralArea"
        }
    ],
    lookup_label="WHSSDatlas_agranularInsularCortexVentralArea",
    name="agranular insular cortex, ventral area",
)
ParcellationEntity.whss_datlas_alveus_of_the_hippocampus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_alveusOfTheHippocampus",
    alternate_names=["alv"],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v1.01_alveusOfTheHippocampus"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v2_alveusOfTheHippocampus"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_alveusOfTheHippocampus"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_alveusOfTheHippocampus"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_alveusOfTheHippocampus"
        },
    ],
    lookup_label="WHSSDatlas_alveusOfTheHippocampus",
    name="alveus of the hippocampus",
)
ParcellationEntity.whss_datlas_amygdaloid_area_unspecified = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_amygdaloidAreaUnspecified",
    alternate_names=["Am-u"],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_amygdaloidAreaUnspecified"
        }
    ],
    lookup_label="WHSSDatlas_amygdaloidAreaUnspecified",
    name="amygdaloid area, unspecified",
)
ParcellationEntity.whss_datlas_angular_thalamic_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_angularThalamicNucleus",
    alternate_names=["Ang"],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_angularThalamicNucleus"
        }
    ],
    lookup_label="WHSSDatlas_angularThalamicNucleus",
    name="angular thalamic nucleus",
)
ParcellationEntity.whss_datlas_anterior_commissure = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_anteriorCommissure",
    alternate_names=["ac"],
    lookup_label="WHSSDatlas_anteriorCommissure",
    name="anterior commissure",
)
ParcellationEntity.whss_datlas_anterior_commissure_anterior_limb = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_anteriorCommissureAnteriorLimb",
    alternate_names=["aca", "anterior commissure, anterior part"],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v1.01_anteriorCommissureAnteriorPart"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v2_anteriorCommissureAnteriorPart"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_anteriorCommissureAnteriorPart"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_anteriorCommissureAnteriorPart"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_anteriorCommissureAnteriorLimb"
        },
    ],
    lookup_label="WHSSDatlas_anteriorCommissureAnteriorLimb",
    name="anterior commissure, anterior limb",
)
ParcellationEntity.whss_datlas_anterior_commissure_intrabulbar_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_anteriorCommissureIntrabulbarPart",
    alternate_names=["aci"],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v1.01_anteriorCommissureIntrabulbarPart"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v2_anteriorCommissure"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_anteriorCommissure"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_anteriorCommissure"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_anteriorCommissureIntrabulbarPart"
        },
    ],
    lookup_label="WHSSDatlas_anteriorCommissureIntrabulbarPart",
    name="anterior commissure, intrabulbar part",
)
ParcellationEntity.whss_datlas_anterior_commissure_posterior_limb = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_anteriorCommissurePosteriorLimb",
    alternate_names=["acp", "anterior commissure, posterior part"],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v1.01_anteriorCommissurePosteriorPart"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v2_anteriorCommissurePosteriorPart"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_anteriorCommissurePosteriorPart"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_anteriorCommissurePosteriorPart"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_anteriorCommissurePosteriorLimb"
        },
    ],
    lookup_label="WHSSDatlas_anteriorCommissurePosteriorLimb",
    name="anterior commissure, posterior limb",
)
ParcellationEntity.whss_datlas_anterior_nuclei_of_the_dorsal_thalamus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_anteriorNucleiOfTheDorsalThalamus",
    alternate_names=["ANT"],
    lookup_label="WHSSDatlas_anteriorNucleiOfTheDorsalThalamus",
    name="anterior nuclei of the dorsal thalamus",
)
ParcellationEntity.whss_datlas_anterodorsal_thalamic_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_anterodorsalThalamicNucleus",
    alternate_names=["AD"],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_anterodorsalThalamicNucleus"
        }
    ],
    lookup_label="WHSSDatlas_anterodorsalThalamicNucleus",
    name="anterodorsal thalamic nucleus",
)
ParcellationEntity.whss_datlas_anteromedial_thalamic_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_anteromedialThalamicNucleus",
    alternate_names=["AM"],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_anteromedialThalamicNucleus"
        }
    ],
    lookup_label="WHSSDatlas_anteromedialThalamicNucleus",
    name="anteromedial thalamic nucleus",
)
ParcellationEntity.whss_datlas_anteroventral_thalamic_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_anteroventralThalamicNucleus",
    alternate_names=["AV"],
    lookup_label="WHSSDatlas_anteroventralThalamicNucleus",
    name="anteroventral thalamic nucleus",
)
ParcellationEntity.whss_datlas_anteroventral_thalamic_nucleus_dorsomedial_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_anteroventralThalamicNucleusDorsomedialPart",
    alternate_names=["AV-dm"],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_anteroventralThalamicNucleusDorsomedialPart"
        }
    ],
    lookup_label="WHSSDatlas_anteroventralThalamicNucleusDorsomedialPart",
    name="anteroventral thalamic nucleus, dorsomedial part",
)
ParcellationEntity.whss_datlas_anteroventral_thalamic_nucleus_ventrolateral_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_anteroventralThalamicNucleusVentrolateralPart",
    alternate_names=["AV-vl"],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_anteroventralThalamicNucleusVentrolateralPart"
        }
    ],
    lookup_label="WHSSDatlas_anteroventralThalamicNucleusVentrolateralPart",
    name="anteroventral thalamic nucleus, ventrolateral part",
)
ParcellationEntity.whss_datlas_ascending_fibers_of_the_facial_nerve = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_ascendingFibersOfTheFacialNerve",
    alternate_names=["asc7"],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v1.01_ascendingFibersOfTheFacialNerve"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v2_ascendingFibersOfTheFacialNerve"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_ascendingFibersOfTheFacialNerve"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_ascendingFibersOfTheFacialNerve"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_ascendingFibersOfTheFacialNerve"
        },
    ],
    lookup_label="WHSSDatlas_ascendingFibersOfTheFacialNerve",
    name="ascending fibers of the facial nerve",
)
ParcellationEntity.whss_datlas_auditory_cortex = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_auditoryCortex",
    alternate_names=["Au"],
    lookup_label="WHSSDatlas_auditoryCortex",
    name="auditory cortex",
)
ParcellationEntity.whss_datlas_basal_forebrain_region = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_basalForebrainRegion",
    alternate_names=["BRF"],
    lookup_label="WHSSDatlas_basalForebrainRegion",
    name="basal forebrain region",
)
ParcellationEntity.whss_datlas_basal_forebrain_region_unspecified = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_basalForebrainRegionUnspecified",
    alternate_names=["BFR-u"],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v1.01_basalForebrainRegion"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v2_basalForebrainRegion"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_basalForebrainRegion"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_basalForebrainRegion"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_basalForebrainRegionUnspecified"
        },
    ],
    lookup_label="WHSSDatlas_basalForebrainRegionUnspecified",
    name="basal forebrain region, unspecified",
)
ParcellationEntity.whss_datlas_bed_nucleus_of_the_stria_terminalis = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_bedNucleusOfTheStriaTerminalis",
    alternate_names=["BNST"],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v1.01_bedNucleusOfTheStriaTerminalis"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v2_bedNucleusOfTheStriaTerminalis"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_bedNucleusOfTheStriaTerminalis"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_bedNucleusOfTheStriaTerminalis"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_bedNucleusOfTheStriaTerminalis"
        },
    ],
    lookup_label="WHSSDatlas_bedNucleusOfTheStriaTerminalis",
    name="bed nucleus of the stria terminalis",
)
ParcellationEntity.whss_datlas_brachium_of_the_superior_colliculus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_brachiumOfTheSuperiorColliculus",
    alternate_names=["bsc"],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v1.01_brachiumOfTheSuperiorColliculus"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v2_brachiumOfTheSuperiorColliculus"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_brachiumOfTheSuperiorColliculus"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_brachiumOfTheSuperiorColliculus"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_brachiumOfTheSuperiorColliculus"
        },
    ],
    lookup_label="WHSSDatlas_brachiumOfTheSuperiorColliculus",
    name="brachium of the superior colliculus",
)
ParcellationEntity.whss_datlas_brain = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_brain",
    alternate_names=["whole brain"],
    lookup_label="WHSSDatlas_brain",
    name="brain",
)
ParcellationEntity.whss_datlas_brainstem = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_brainstem",
    alternate_names=["BS"],
    lookup_label="WHSSDatlas_brainstem",
    name="brainstem",
)
ParcellationEntity.whss_datlas_brainstem_unspecified = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_brainstemUnspecified",
    alternate_names=["BS-u", "brain stem, unspecified"],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v1.01_brainstem"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v2_brainstem"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_brainstem"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_brainstem"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_brainstemUnspecified"},
    ],
    lookup_label="WHSSDatlas_brainstemUnspecified",
    name="brainstem, unspecified",
)
ParcellationEntity.whss_datlas_caudal_entorhinal_field = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_caudalEntorhinalField",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v1.01_caudalEntorhinalField"
        }
    ],
    lookup_label="WHSSDatlas_caudalEntorhinalField",
    name="caudal entorhinal field",
)
ParcellationEntity.whss_datlas_caudate_putamen = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_caudatePutamen",
    alternate_names=["CPu"],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_caudatePutamen"}
    ],
    lookup_label="WHSSDatlas_caudatePutamen",
    name="caudate putamen",
)
ParcellationEntity.whss_datlas_central_canal = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_centralCanal",
    alternate_names=["CC"],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v1.01_centralCanal"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v2_centralCanal"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_centralCanal"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_centralCanal"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_centralCanal"},
    ],
    lookup_label="WHSSDatlas_centralCanal",
    name="central canal",
)
ParcellationEntity.whss_datlas_central_lateral_thalamic_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_centralLateralThalamicNucleus",
    alternate_names=["CL"],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_centralLateralThalamicNucleus"
        }
    ],
    lookup_label="WHSSDatlas_centralLateralThalamicNucleus",
    name="central lateral thalamic nucleus",
)
ParcellationEntity.whss_datlas_central_medial_thalamic_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_centralMedialThalamicNucleus",
    alternate_names=["CM"],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_centralMedialThalamicNucleus"
        }
    ],
    lookup_label="WHSSDatlas_centralMedialThalamicNucleus",
    name="central medial thalamic nucleus",
)
ParcellationEntity.whss_datlas_cerebellar_and_precerebellar_white_matter = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_cerebellarAndPrecerebellarWhiteMatter",
    alternate_names=["cbt"],
    lookup_label="WHSSDatlas_cerebellarAndPrecerebellarWhiteMatter",
    name="cerebellar and precerebellar white matter",
)
ParcellationEntity.whss_datlas_cerebellum = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_cerebellum",
    alternate_names=["Cb"],
    lookup_label="WHSSDatlas_cerebellum",
    name="cerebellum",
)
ParcellationEntity.whss_datlas_cerebellum_unspecified = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_cerebellumUnspecified",
    alternate_names=["Cb-u", "deeper cerebellum"],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v1.01_deeperCerebellum"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v2_granuleCellLevelOfTheCerebellum"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_granuleCellLevelOfTheCerebellum"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_granuleCellLevelOfTheCerebellum"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_cerebellumUnspecified"
        },
    ],
    lookup_label="WHSSDatlas_cerebellumUnspecified",
    name="cerebellum, unspecified",
)
ParcellationEntity.whss_datlas_cerebral_cortex = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_cerebralCortex",
    alternate_names=["Cx"],
    lookup_label="WHSSDatlas_cerebralCortex",
    name="cerebral cortex",
)
ParcellationEntity.whss_datlas_cerebral_cortex_including_the_neocortex_and_the_hippocampus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_cerebralCortexIncludingTheNeocortexAndTheHippocampus",
    lookup_label="WHSSDatlas_cerebralCortexIncludingTheNeocortexAndTheHippocampus",
    name="cerebral cortex including the neocortex and the hippocampus",
)
ParcellationEntity.whss_datlas_cerebral_nuclei = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_cerebralNuclei",
    alternate_names=["CNc"],
    lookup_label="WHSSDatlas_cerebralNuclei",
    name="cerebral nuclei",
)
ParcellationEntity.whss_datlas_cerebrum = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_cerebrum",
    alternate_names=["CER"],
    lookup_label="WHSSDatlas_cerebrum",
    name="cerebrum",
)
ParcellationEntity.whss_datlas_cingulate_area1 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_cingulateArea1",
    alternate_names=["Cg1"],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_cingulateArea1"}
    ],
    lookup_label="WHSSDatlas_cingulateArea1",
    name="cingulate area 1",
)
ParcellationEntity.whss_datlas_cingulate_area2 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_cingulateArea2",
    alternate_names=["Cg2", "cingulate cortex, area 2"],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v1.01_cingulateCortexArea2"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v2_cingulateCortexArea2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_cingulateCortexArea2"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_cingulateCortexArea2"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_cingulateArea2"},
    ],
    lookup_label="WHSSDatlas_cingulateArea2",
    name="cingulate area 2",
)
ParcellationEntity.whss_datlas_cingulate_cortex = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_cingulateCortex",
    alternate_names=["Cg"],
    lookup_label="WHSSDatlas_cingulateCortex",
    name="cingulate cortex",
)
ParcellationEntity.whss_datlas_cingulate_region = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_cingulateRegion",
    alternate_names=["CgR"],
    lookup_label="WHSSDatlas_cingulateRegion",
    name="cingulate region",
)
ParcellationEntity.whss_datlas_claustrum = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_claustrum",
    alternate_names=["CLA"],
    has_versions=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_claustrum"}],
    lookup_label="WHSSDatlas_claustrum",
    name="claustrum",
)
ParcellationEntity.whss_datlas_cochlea = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_cochlea",
    alternate_names=["Co"],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_cochlea"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_cochlea"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_cochlea"},
    ],
    lookup_label="WHSSDatlas_cochlea",
    name="cochlea",
)
ParcellationEntity.whss_datlas_cochlear_nerve = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_cochlearNerve",
    alternate_names=["8cn"],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_cochlearNerve"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_cochlearNerve"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_cochlearNerve"},
    ],
    lookup_label="WHSSDatlas_cochlearNerve",
    name="cochlear nerve",
)
ParcellationEntity.whss_datlas_cochlear_nucleus_dorsal_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_cochlearNucleusDorsalPart",
    alternate_names=["DCN"],
    lookup_label="WHSSDatlas_cochlearNucleusDorsalPart",
    name="cochlear nucleus, dorsal part",
)
ParcellationEntity.whss_datlas_cochlear_nucleus_ventral_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_cochlearNucleusVentralPart",
    alternate_names=["VCN"],
    lookup_label="WHSSDatlas_cochlearNucleusVentralPart",
    name="cochlear nucleus, ventral part",
)
ParcellationEntity.whss_datlas_commissural_stria_terminalis = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_commissuralStriaTerminalis",
    alternate_names=["cst"],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v1.01_commissuralStriaTerminalis"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v2_commissuralStriaTerminalis"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_commissuralStriaTerminalis"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_commissuralStriaTerminalis"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_commissuralStriaTerminalis"
        },
    ],
    lookup_label="WHSSDatlas_commissuralStriaTerminalis",
    name="commissural stria terminalis",
)
ParcellationEntity.whss_datlas_commissure_of_the_superior_colliculus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_commissureOfTheSuperiorColliculus",
    alternate_names=["csc"],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v1.01_commissureOfTheSuperiorColliculus"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v2_commissureOfTheSuperiorColliculus"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_commissureOfTheSuperiorColliculus"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_commissureOfTheSuperiorColliculus"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_commissureOfTheSuperiorColliculus"
        },
    ],
    lookup_label="WHSSDatlas_commissureOfTheSuperiorColliculus",
    name="commissure of the superior colliculus",
)
ParcellationEntity.whss_datlas_cornu_ammonis = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_cornuAmmonis",
    alternate_names=["CA"],
    lookup_label="WHSSDatlas_cornuAmmonis",
    name="cornu ammonis",
)
ParcellationEntity.whss_datlas_cornu_ammonis1 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_cornuAmmonis1",
    alternate_names=["CA1"],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v2_cornuAmmonis1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_cornuAmmonis1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_cornuAmmonis1"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_cornuAmmonis1"},
    ],
    lookup_label="WHSSDatlas_cornuAmmonis1",
    name="cornu ammonis 1",
)
ParcellationEntity.whss_datlas_cornu_ammonis2 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_cornuAmmonis2",
    alternate_names=["CA2"],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v2_cornuAmmonis2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_cornuAmmonis2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_cornuAmmonis2"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_cornuAmmonis2"},
    ],
    lookup_label="WHSSDatlas_cornuAmmonis2",
    name="cornu ammonis 2",
)
ParcellationEntity.whss_datlas_cornu_ammonis3 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_cornuAmmonis3",
    alternate_names=["CA3"],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v2_cornuAmmonis3"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_cornuAmmonis3"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_cornuAmmonis3"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_cornuAmmonis3"},
    ],
    lookup_label="WHSSDatlas_cornuAmmonis3",
    name="cornu ammonis 3",
)
ParcellationEntity.whss_datlas_corpus_callosum_and_associated_subcortical_white_matter = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_corpusCallosumAndAssociatedSubcorticalWhiteMatter",
    alternate_names=["cc-ec-cing-dwm"],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v1.01_corpusCallosumAndAssociatedSubcorticalWhiteMatter"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v2_corpusCallosumAndAssociatedSubcorticalWhiteMatter"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_corpusCallosumAndAssociatedSubcorticalWhiteMatter"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_corpusCallosumAndAssociatedSubcorticalWhiteMatter"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_corpusCallosumAndAssociatedSubcorticalWhiteMatter"
        },
    ],
    lookup_label="WHSSDatlas_corpusCallosumAndAssociatedSubcorticalWhiteMatter",
    name="corpus callosum and associated subcortical white matter",
)
ParcellationEntity.whss_datlas_cortical_plate = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_corticalPlate",
    alternate_names=["CPl"],
    lookup_label="WHSSDatlas_corticalPlate",
    name="cortical plate",
)
ParcellationEntity.whss_datlas_cortical_subplate = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_corticalSubplate",
    alternate_names=["CSP"],
    lookup_label="WHSSDatlas_corticalSubplate",
    name="cortical subplate",
)
ParcellationEntity.whss_datlas_corticofugal_pathways = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_corticofugalPathways",
    alternate_names=["cfp"],
    lookup_label="WHSSDatlas_corticofugalPathways",
    name="corticofugal pathways",
)
ParcellationEntity.whss_datlas_corticofugal_tract_and_corona_radiata = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_corticofugalTractAndCoronaRadiata",
    alternate_names=["ic-cp-lfp-py", "descending corticofugal pathways"],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v1.01_descendingCorticofugalPathways"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v2_descendingCorticofugalPathways"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_descendingCorticofugalPathways"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_descendingCorticofugalPathways"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_corticofugalTractAndCoronaRadiata"
        },
    ],
    lookup_label="WHSSDatlas_corticofugalTractAndCoronaRadiata",
    name="corticofugal tract and corona radiata",
)
ParcellationEntity.whss_datlas_deeper_layers_of_the_superior_colliculus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_deeperLayersOfTheSuperiorColliculus",
    alternate_names=["SuD"],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v1.01_deeperLayersOfTheSuperiorColliculus"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v2_deeperLayersOfTheSuperiorColliculus"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_deeperLayersOfTheSuperiorColliculus"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_deeperLayersOfTheSuperiorColliculus"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_deeperLayersOfTheSuperiorColliculus"
        },
    ],
    lookup_label="WHSSDatlas_deeperLayersOfTheSuperiorColliculus",
    name="deeper layers of the superior colliculus",
)
ParcellationEntity.whss_datlas_dentate_gyrus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_dentateGyrus",
    alternate_names=["DG"],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v2_dentateGyrus"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_dentateGyrus"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_dentateGyrus"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_dentateGyrus"},
    ],
    lookup_label="WHSSDatlas_dentateGyrus",
    name="dentate gyrus",
)
ParcellationEntity.whss_datlas_diencephalon = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_diencephalon",
    alternate_names=["Dien"],
    lookup_label="WHSSDatlas_diencephalon",
    name="diencephalon",
)
ParcellationEntity.whss_datlas_dorsal_cochlear_nucleus_deep_core = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_dorsalCochlearNucleusDeepCore",
    alternate_names=["DCND"],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_dorsalCochlearNucleusDeepCore"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_dorsalCochlearNucleusDeepCore"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_dorsalCochlearNucleusDeepCore"
        },
    ],
    lookup_label="WHSSDatlas_dorsalCochlearNucleusDeepCore",
    name="dorsal cochlear nucleus, deep core",
)
ParcellationEntity.whss_datlas_dorsal_cochlear_nucleus_fusiform_and_granule_layer = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_dorsalCochlearNucleusFusiformAndGranuleLayer",
    alternate_names=["DCNFG"],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_dorsalCochlearNucleusFusiformAndGranuleLayer"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_dorsalCochlearNucleusFusiformAndGranuleLayer"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_dorsalCochlearNucleusFusiformAndGranuleLayer"
        },
    ],
    lookup_label="WHSSDatlas_dorsalCochlearNucleusFusiformAndGranuleLayer",
    name="dorsal cochlear nucleus, fusiform and granule layer",
)
ParcellationEntity.whss_datlas_dorsal_cochlear_nucleus_molecular_layer = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_dorsalCochlearNucleusMolecularLayer",
    alternate_names=["DCNM"],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_dorsalCochlearNucleusMolecularLayer"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_dorsalCochlearNucleusMolecularLayer"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_dorsalCochlearNucleusMolecularLayer"
        },
    ],
    lookup_label="WHSSDatlas_dorsalCochlearNucleusMolecularLayer",
    name="dorsal cochlear nucleus, molecular layer",
)
ParcellationEntity.whss_datlas_dorsal_lateral_geniculate_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_dorsalLateralGeniculateNucleus",
    alternate_names=["DLG"],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_dorsalLateralGeniculateNucleus"
        }
    ],
    lookup_label="WHSSDatlas_dorsalLateralGeniculateNucleus",
    name="dorsal lateral geniculate nucleus",
)
ParcellationEntity.whss_datlas_dorsal_thalamus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_dorsalThalamus",
    alternate_names=["Thal-D"],
    lookup_label="WHSSDatlas_dorsalThalamus",
    name="dorsal thalamus",
)
ParcellationEntity.whss_datlas_dorsalcaudal_midline_group_of_the_dorsal_thalamus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_dorsalcaudalMidlineGroupOfTheDorsalThalamus",
    alternate_names=["DC-MID"],
    lookup_label="WHSSDatlas_dorsalcaudalMidlineGroupOfTheDorsalThalamus",
    name="dorsal-caudal midline group of the dorsal thalamus",
)
ParcellationEntity.whss_datlas_dorsalintermediate_entorhinal_area = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_dorsalintermediateEntorhinalArea",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v1.01_dorsalintermediateEntorhinalArea"
        }
    ],
    lookup_label="WHSSDatlas_dorsalintermediateEntorhinalArea",
    name="dorsal-intermediate entorhinal area",
)
ParcellationEntity.whss_datlas_dorsallateral_entorhinal_area = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_dorsallateralEntorhinalArea",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v1.01_dorsallateralEntorhinalArea"
        }
    ],
    lookup_label="WHSSDatlas_dorsallateralEntorhinalArea",
    name="dorsal-lateral entorhinal area",
)
ParcellationEntity.whss_datlas_dorsolateral_orbital_area = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_dorsolateralOrbitalArea",
    alternate_names=["DLO"],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_dorsolateralOrbitalArea"
        }
    ],
    lookup_label="WHSSDatlas_dorsolateralOrbitalArea",
    name="dorsolateral orbital area",
)
ParcellationEntity.whss_datlas_dysgranular_insular_cortex = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_dysgranularInsularCortex",
    alternate_names=["DI"],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_dysgranularInsularCortex"
        }
    ],
    lookup_label="WHSSDatlas_dysgranularInsularCortex",
    name="dysgranular insular cortex",
)
ParcellationEntity.whss_datlas_endopiriform_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_endopiriformNucleus",
    alternate_names=["Endo"],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_endopiriformNucleus"}
    ],
    lookup_label="WHSSDatlas_endopiriformNucleus",
    name="endopiriform nucleus",
)
ParcellationEntity.whss_datlas_entopeduncular_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_entopeduncularNucleus",
    alternate_names=["EP"],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v1.01_entopeduncularNucleus"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v2_entopeduncularNucleus"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_entopeduncularNucleus"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_entopeduncularNucleus"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_entopeduncularNucleus"
        },
    ],
    lookup_label="WHSSDatlas_entopeduncularNucleus",
    name="entopeduncular nucleus",
)
ParcellationEntity.whss_datlas_entorhinal_cortex = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_entorhinalCortex",
    alternate_names=["EC"],
    lookup_label="WHSSDatlas_entorhinalCortex",
    name="entorhinal cortex",
)
ParcellationEntity.whss_datlas_epithalamus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_epithalamus",
    alternate_names=["Thal-EPI"],
    lookup_label="WHSSDatlas_epithalamus",
    name="epithalamus",
)
ParcellationEntity.whss_datlas_ethmoid_limitans_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_ethmoidLimitansNucleus",
    alternate_names=["Eth"],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_ethmoidLimitansNucleus"
        }
    ],
    lookup_label="WHSSDatlas_ethmoidLimitansNucleus",
    name="ethmoid-Limitans nucleus",
)
ParcellationEntity.whss_datlas_external_medullary_lamina = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_externalMedullaryLamina",
    alternate_names=["eml"],
    lookup_label="WHSSDatlas_externalMedullaryLamina",
    name="external medullary lamina",
)
ParcellationEntity.whss_datlas_external_medullary_lamina_auditory_radiation = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_externalMedullaryLaminaAuditoryRadiation",
    alternate_names=["eml-ar", "auditory radiation"],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_auditoryRadiation"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_auditoryRadiation"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_externalMedullaryLaminaAuditoryRadiation"
        },
    ],
    lookup_label="WHSSDatlas_externalMedullaryLaminaAuditoryRadiation",
    name="external medullary lamina, auditory radiation",
)
ParcellationEntity.whss_datlas_external_medullary_lamina_unspecified = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_externalMedullaryLaminaUnspecified",
    alternate_names=["eml-u"],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_externalMedullaryLaminaUnspecified"
        }
    ],
    lookup_label="WHSSDatlas_externalMedullaryLaminaUnspecified",
    name="external medullary lamina, unspecified",
)
ParcellationEntity.whss_datlas_facial_nerve = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_facialNerve",
    alternate_names=["7n"],
    lookup_label="WHSSDatlas_facialNerve",
    name="facial nerve",
)
ParcellationEntity.whss_datlas_facial_nerve_unspecified = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_facialNerveUnspecified",
    alternate_names=["7n-u"],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v1.01_facialNerve"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v2_facialNerve"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_facialNerve"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_facialNerve"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_facialNerveUnspecified"
        },
    ],
    lookup_label="WHSSDatlas_facialNerveUnspecified",
    name="facial nerve, unspecified",
)
ParcellationEntity.whss_datlas_fasciculus_retroflexus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_fasciculusRetroflexus",
    alternate_names=["fr"],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v1.01_fasciculusRetroflexus"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v2_fasciculusRetroflexus"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_fasciculusRetroflexus"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_fasciculusRetroflexus"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_fasciculusRetroflexus"
        },
    ],
    lookup_label="WHSSDatlas_fasciculusRetroflexus",
    name="fasciculus retroflexus",
)
ParcellationEntity.whss_datlas_fasciola_cinereum = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_fasciolaCinereum",
    alternate_names=["FC"],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v2_fasciolaCinereum"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_fasciolaCinereum"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_fasciolaCinereum"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_fasciolaCinereum"},
    ],
    lookup_label="WHSSDatlas_fasciolaCinereum",
    name="fasciola cinereum",
)
ParcellationEntity.whss_datlas_fields_of_forel = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_fieldsOfForel",
    alternate_names=["FoF"],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_fieldsOfForel"}
    ],
    lookup_label="WHSSDatlas_fieldsOfForel",
    name="fields of Forel",
)
ParcellationEntity.whss_datlas_fimbria_of_the_hippocampus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_fimbriaOfTheHippocampus",
    alternate_names=["fi"],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v1.01_fimbriaOfTheHippocampus"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v2_fimbriaOfTheHippocampus"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_fimbriaOfTheHippocampus"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_fimbriaOfTheHippocampus"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_fimbriaOfTheHippocampus"
        },
    ],
    lookup_label="WHSSDatlas_fimbriaOfTheHippocampus",
    name="fimbria of the hippocampus",
)
ParcellationEntity.whss_datlas_fornix = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_fornix",
    alternate_names=["f"],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v1.01_fornix"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v2_fornix"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_fornix"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_fornix"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_fornix"},
    ],
    lookup_label="WHSSDatlas_fornix",
    name="fornix",
)
ParcellationEntity.whss_datlas_frontal_association_area3 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_frontalAssociationArea3",
    alternate_names=["Fr3"],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_frontalAssociationArea3"
        }
    ],
    lookup_label="WHSSDatlas_frontalAssociationArea3",
    name="frontal association area 3",
)
ParcellationEntity.whss_datlas_frontal_association_cortex = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_frontalAssociationCortex",
    alternate_names=["FrA"],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v1.01_frontalAssociationCortex"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v2_frontalAssociationCortex"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_frontalAssociationCortex"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_frontalAssociationCortex"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_frontalAssociationCortex"
        },
    ],
    lookup_label="WHSSDatlas_frontalAssociationCortex",
    name="frontal association cortex",
)
ParcellationEntity.whss_datlas_frontal_region = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_frontalRegion",
    alternate_names=["Front"],
    lookup_label="WHSSDatlas_frontalRegion",
    name="frontal region",
)
ParcellationEntity.whss_datlas_genu_of_the_facial_nerve = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_genuOfTheFacialNerve",
    alternate_names=["g7"],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v1.01_genuOfTheFacialNerve"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v2_genuOfTheFacialNerve"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_genuOfTheFacialNerve"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_genuOfTheFacialNerve"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_genuOfTheFacialNerve"},
    ],
    lookup_label="WHSSDatlas_genuOfTheFacialNerve",
    name="genu of the facial nerve",
)
ParcellationEntity.whss_datlas_globus_pallidus_external = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_globusPallidusExternal",
    alternate_names=["Gpe", "globus pallidus"],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v1.01_globusPallidus"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v2_globusPallidus"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_globusPallidus"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_globusPallidus"},
    ],
    lookup_label="WHSSDatlas_globusPallidusExternal",
    name="globus pallidus external",
)
ParcellationEntity.whss_datlas_globus_pallidus_external_lateral_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_globusPallidusExternalLateralPart",
    alternate_names=["GPe-l"],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_globusPallidusExternalLateralPart"
        }
    ],
    lookup_label="WHSSDatlas_globusPallidusExternalLateralPart",
    name="globus pallidus external, lateral part",
)
ParcellationEntity.whss_datlas_globus_pallidus_external_medial_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_globusPallidusExternalMedialPart",
    alternate_names=["GPe-m"],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_globusPallidusExternalMedialPart"
        }
    ],
    lookup_label="WHSSDatlas_globusPallidusExternalMedialPart",
    name="globus pallidus external, medial part",
)
ParcellationEntity.whss_datlas_glomerular_layer_of_the_accessory_olfactory_bulb = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_glomerularLayerOfTheAccessoryOlfactoryBulb",
    alternate_names=["GlA"],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v1.01_glomerularLayerOfTheAccessoryOlfactoryBulb"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v2_glomerularLayerOfTheAccessoryOlfactoryBulb"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_glomerularLayerOfTheAccessoryOlfactoryBulb"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_glomerularLayerOfTheAccessoryOlfactoryBulb"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_glomerularLayerOfTheAccessoryOlfactoryBulb"
        },
    ],
    lookup_label="WHSSDatlas_glomerularLayerOfTheAccessoryOlfactoryBulb",
    name="glomerular layer of the accessory olfactory bulb",
)
ParcellationEntity.whss_datlas_glomerular_layer_of_the_olfactory_bulb = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_glomerularLayerOfTheOlfactoryBulb",
    alternate_names=["Gl"],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v1.01_glomerularLayerOfTheOlfactoryBulb"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v2_glomerularLayerOfTheOlfactoryBulb"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_glomerularLayerOfTheOlfactoryBulb"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_glomerularLayerOfTheOlfactoryBulb"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_glomerularLayerOfTheOlfactoryBulb"
        },
    ],
    lookup_label="WHSSDatlas_glomerularLayerOfTheOlfactoryBulb",
    name="glomerular layer of the olfactory bulb",
)
ParcellationEntity.whss_datlas_granular_insular_cortex = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_granularInsularCortex",
    alternate_names=["GI"],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_granularInsularCortex"}
    ],
    lookup_label="WHSSDatlas_granularInsularCortex",
    name="granular insular cortex",
)
ParcellationEntity.whss_datlas_gray_matter = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_grayMatter",
    alternate_names=["GM"],
    lookup_label="WHSSDatlas_grayMatter",
    name="gray matter",
)
ParcellationEntity.whss_datlas_habenular_commissure = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_habenularCommissure",
    alternate_names=["hbc"],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v1.01_habenularCommissure"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v2_habenularCommissure"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_habenularCommissure"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_habenularCommissure"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_habenularCommissure"},
    ],
    lookup_label="WHSSDatlas_habenularCommissure",
    name="habenular commissure",
)
ParcellationEntity.whss_datlas_hindbrain = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_hindbrain",
    alternate_names=["HB"],
    lookup_label="WHSSDatlas_hindbrain",
    name="hindbrain",
)
ParcellationEntity.whss_datlas_hippocampal_formation = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_hippocampalFormation",
    alternate_names=["HF"],
    lookup_label="WHSSDatlas_hippocampalFormation",
    name="hippocampal formation",
)
ParcellationEntity.whss_datlas_hippocampal_formation_unspecified = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_hippocampalFormationUnspecified",
    alternate_names=["HF-u"],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v1.01_hippocampalFormation"
        }
    ],
    lookup_label="WHSSDatlas_hippocampalFormationUnspecified",
    name="hippocampal formation, unspecified",
)
ParcellationEntity.whss_datlas_hippocampal_region = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_hippocampalRegion",
    alternate_names=["HR"],
    lookup_label="WHSSDatlas_hippocampalRegion",
    name="hippocampal region",
)
ParcellationEntity.whss_datlas_hippocampal_white_matter = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_hippocampalWhiteMatter",
    alternate_names=["hiw"],
    lookup_label="WHSSDatlas_hippocampalWhiteMatter",
    name="hippocampal white matter",
)
ParcellationEntity.whss_datlas_hypothalamic_region_unspecified = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_hypothalamicRegionUnspecified",
    alternate_names=["HTh-u"],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v1.01_hypothalamicRegion"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v2_hypothalamicRegion"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_hypothalamicRegion"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_hypothalamicRegion"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_hypothalamicRegionUnspecified"
        },
    ],
    lookup_label="WHSSDatlas_hypothalamicRegionUnspecified",
    name="hypothalamic region, unspecified",
)
ParcellationEntity.whss_datlas_hypothalamus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_hypothalamus",
    alternate_names=["HY"],
    lookup_label="WHSSDatlas_hypothalamus",
    name="hypothalamus",
)
ParcellationEntity.whss_datlas_inferior_cerebellar_peduncle = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_inferiorCerebellarPeduncle",
    alternate_names=["icp"],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v1.01_inferiorCerebellarPeduncle"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v2_inferiorCerebellarPeduncle"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_inferiorCerebellarPeduncle"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_inferiorCerebellarPeduncle"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_inferiorCerebellarPeduncle"
        },
    ],
    lookup_label="WHSSDatlas_inferiorCerebellarPeduncle",
    name="inferior cerebellar peduncle",
)
ParcellationEntity.whss_datlas_inferior_colliculus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_inferiorColliculus",
    alternate_names=["IC"],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v1.01_inferiorColliculus"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v2_inferiorColliculus"},
    ],
    lookup_label="WHSSDatlas_inferiorColliculus",
    name="inferior colliculus",
)
ParcellationEntity.whss_datlas_inferior_colliculus_brachium = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_inferiorColliculusBrachium",
    alternate_names=["bic"],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_inferiorColliculusBrachium"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_inferiorColliculusBrachium"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_inferiorColliculusBrachium"
        },
    ],
    lookup_label="WHSSDatlas_inferiorColliculusBrachium",
    name="inferior colliculus, brachium",
)
ParcellationEntity.whss_datlas_inferior_colliculus_central_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_inferiorColliculusCentralNucleus",
    alternate_names=["CNIC"],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_inferiorColliculusCentralNucleus"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_inferiorColliculusCentralNucleus"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_inferiorColliculusCentralNucleus"
        },
    ],
    lookup_label="WHSSDatlas_inferiorColliculusCentralNucleus",
    name="inferior colliculus, central nucleus",
)
ParcellationEntity.whss_datlas_inferior_colliculus_commissure = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_inferiorColliculusCommissure",
    alternate_names=["cic", "commissure of the inferior colliculus"],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v1.01_commissureOfTheInferiorColliculus"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v2_commissureOfTheInferiorColliculus"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_inferiorColliculusCommissure"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_inferiorColliculusCommissure"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_inferiorColliculusCommissure"
        },
    ],
    lookup_label="WHSSDatlas_inferiorColliculusCommissure",
    name="inferior colliculus, commissure",
)
ParcellationEntity.whss_datlas_inferior_colliculus_dorsal_cortex = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_inferiorColliculusDorsalCortex",
    alternate_names=["DCIC"],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_inferiorColliculusDorsalCortex"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_inferiorColliculusDorsalCortex"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_inferiorColliculusDorsalCortex"
        },
    ],
    lookup_label="WHSSDatlas_inferiorColliculusDorsalCortex",
    name="inferior colliculus, dorsal cortex",
)
ParcellationEntity.whss_datlas_inferior_colliculus_external_cortex = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_inferiorColliculusExternalCortex",
    alternate_names=["ECIC"],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_inferiorColliculusExternalCortex"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_inferiorColliculusExternalCortex"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_inferiorColliculusExternalCortex"
        },
    ],
    lookup_label="WHSSDatlas_inferiorColliculusExternalCortex",
    name="inferior colliculus, external cortex",
)
ParcellationEntity.whss_datlas_inferior_olive = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_inferiorOlive",
    alternate_names=["IO"],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v1.01_inferiorOlive"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v2_inferiorOlive"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_inferiorOlive"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_inferiorOlive"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_inferiorOlive"},
    ],
    lookup_label="WHSSDatlas_inferiorOlive",
    name="inferior olive",
)
ParcellationEntity.whss_datlas_infralimbic_area = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_infralimbicArea",
    alternate_names=["IL"],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_infralimbicArea"}
    ],
    lookup_label="WHSSDatlas_infralimbicArea",
    name="infralimbic area",
)
ParcellationEntity.whss_datlas_inner_ear = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_innerEar",
    alternate_names=["IE"],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v1.01_innerEar"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v2_innerEar"},
    ],
    lookup_label="WHSSDatlas_innerEar",
    name="inner ear",
)
ParcellationEntity.whss_datlas_insular_region = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_insularRegion",
    alternate_names=["INS"],
    lookup_label="WHSSDatlas_insularRegion",
    name="insular region",
)
ParcellationEntity.whss_datlas_interanteromedial_thalamic_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_interanteromedialThalamicNucleus",
    alternate_names=["IAM"],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_interanteromedialThalamicNucleus"
        }
    ],
    lookup_label="WHSSDatlas_interanteromedialThalamicNucleus",
    name="interanteromedial thalamic nucleus",
)
ParcellationEntity.whss_datlas_interbrain = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_interbrain",
    alternate_names=["ItB"],
    lookup_label="WHSSDatlas_interbrain",
    name="interbrain",
)
ParcellationEntity.whss_datlas_intergeniculate_leaflet = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_intergeniculateLeaflet",
    alternate_names=["IGL"],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_intergeniculateLeaflet"
        }
    ],
    lookup_label="WHSSDatlas_intergeniculateLeaflet",
    name="intergeniculate leaflet",
)
ParcellationEntity.whss_datlas_intermediodorsal_thalamic_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_intermediodorsalThalamicNucleus",
    alternate_names=["IMD"],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_intermediodorsalThalamicNucleus"
        }
    ],
    lookup_label="WHSSDatlas_intermediodorsalThalamicNucleus",
    name="intermediodorsal thalamic nucleus",
)
ParcellationEntity.whss_datlas_internal_medullary_lamina = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_internalMedullaryLamina",
    alternate_names=["iml"],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_internalMedullaryLamina"
        }
    ],
    lookup_label="WHSSDatlas_internalMedullaryLamina",
    name="internal medullary lamina",
)
ParcellationEntity.whss_datlas_interpeduncular_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_interpeduncularNucleus",
    alternate_names=["IP"],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v1.01_interpeduncularNucleus"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v2_interpeduncularNucleus"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_interpeduncularNucleus"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_interpeduncularNucleus"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_interpeduncularNucleus"
        },
    ],
    lookup_label="WHSSDatlas_interpeduncularNucleus",
    name="interpeduncular nucleus",
)
ParcellationEntity.whss_datlas_intralaminar_nuclei_of_the_dorsal_thalamus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_intralaminarNucleiOfTheDorsalThalamus",
    alternate_names=["ILM"],
    lookup_label="WHSSDatlas_intralaminarNucleiOfTheDorsalThalamus",
    name="intralaminar nuclei of the dorsal thalamus",
)
ParcellationEntity.whss_datlas_intramedullary_thalamic_area = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_intramedullaryThalamicArea",
    alternate_names=["ima"],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_intramedullaryThalamicArea"
        }
    ],
    lookup_label="WHSSDatlas_intramedullaryThalamicArea",
    name="intramedullary thalamic area",
)
ParcellationEntity.whss_datlas_isocortex = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_isocortex",
    alternate_names=["Icx"],
    lookup_label="WHSSDatlas_isocortex",
    name="isocortex",
)
ParcellationEntity.whss_datlas_laminated_pallium = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_laminatedPallium",
    alternate_names=["LamP"],
    lookup_label="WHSSDatlas_laminatedPallium",
    name="laminated pallium",
)
ParcellationEntity.whss_datlas_lateral_entorhinal_cortex = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_lateralEntorhinalCortex",
    alternate_names=["LEC"],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v2_lateralEntorhinalCortex"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_lateralEntorhinalCortex"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_lateralEntorhinalCortex"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_lateralEntorhinalCortex"
        },
    ],
    lookup_label="WHSSDatlas_lateralEntorhinalCortex",
    name="lateral entorhinal cortex",
)
ParcellationEntity.whss_datlas_lateral_habenular_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_lateralHabenularNucleus",
    alternate_names=["LHb"],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_lateralHabenularNucleus"
        }
    ],
    lookup_label="WHSSDatlas_lateralHabenularNucleus",
    name="lateral habenular nucleus",
)
ParcellationEntity.whss_datlas_lateral_lemniscus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_lateralLemniscus",
    alternate_names=["ll"],
    lookup_label="WHSSDatlas_lateralLemniscus",
    name="lateral lemniscus",
)
ParcellationEntity.whss_datlas_lateral_lemniscus_commissure = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_lateralLemniscusCommissure",
    alternate_names=["ll-c"],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_lateralLemniscusCommissure"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_lateralLemniscusCommissure"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_lateralLemniscusCommissure"
        },
    ],
    lookup_label="WHSSDatlas_lateralLemniscusCommissure",
    name="lateral lemniscus, commissure",
)
ParcellationEntity.whss_datlas_lateral_lemniscus_dorsal_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_lateralLemniscusDorsalNucleus",
    alternate_names=["DLL"],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_lateralLemniscusDorsalNucleus"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_lateralLemniscusDorsalNucleus"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_lateralLemniscusDorsalNucleus"
        },
    ],
    lookup_label="WHSSDatlas_lateralLemniscusDorsalNucleus",
    name="lateral lemniscus, dorsal nucleus",
)
ParcellationEntity.whss_datlas_lateral_lemniscus_intermediate_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_lateralLemniscusIntermediateNucleus",
    alternate_names=["ILL"],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_lateralLemniscusIntermediateNucleus"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_lateralLemniscusIntermediateNucleus"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_lateralLemniscusIntermediateNucleus"
        },
    ],
    lookup_label="WHSSDatlas_lateralLemniscusIntermediateNucleus",
    name="lateral lemniscus, intermediate nucleus",
)
ParcellationEntity.whss_datlas_lateral_lemniscus_unspecified = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_lateralLemniscusUnspecified",
    alternate_names=["ll-u"],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_lateralLemniscus"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_lateralLemniscus"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_lateralLemniscusUnspecified"
        },
    ],
    lookup_label="WHSSDatlas_lateralLemniscusUnspecified",
    name="lateral lemniscus, unspecified",
)
ParcellationEntity.whss_datlas_lateral_lemniscus_ventral_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_lateralLemniscusVentralNucleus",
    alternate_names=["VLL"],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_lateralLemniscusVentralNucleus"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_lateralLemniscusVentralNucleus"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_lateralLemniscusVentralNucleus"
        },
    ],
    lookup_label="WHSSDatlas_lateralLemniscusVentralNucleus",
    name="lateral lemniscus, ventral nucleus",
)
ParcellationEntity.whss_datlas_lateral_olfactory_tract = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_lateralOlfactoryTract",
    alternate_names=["lot"],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_lateralOlfactoryTract"}
    ],
    lookup_label="WHSSDatlas_lateralOlfactoryTract",
    name="lateral olfactory tract",
)
ParcellationEntity.whss_datlas_lateral_orbital_area = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_lateralOrbitalArea",
    alternate_names=["LO"],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_lateralOrbitalArea"}
    ],
    lookup_label="WHSSDatlas_lateralOrbitalArea",
    name="lateral orbital area",
)
ParcellationEntity.whss_datlas_lateral_posterior_pulvinar_complex_of_the_dorsal_thalamus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_lateralPosteriorPulvinarComplexOfTheDorsalThalamus",
    alternate_names=["LP"],
    lookup_label="WHSSDatlas_lateralPosteriorPulvinarComplexOfTheDorsalThalamus",
    name="lateral posterior (pulvinar) complex of the dorsal thalamus",
)
ParcellationEntity.whss_datlas_lateral_posterior_thalamic_nucleus_lateral_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_lateralPosteriorThalamicNucleusLateralPart",
    alternate_names=["LP-l"],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_lateralPosteriorThalamicNucleusLateralPart"
        }
    ],
    lookup_label="WHSSDatlas_lateralPosteriorThalamicNucleusLateralPart",
    name="lateral posterior thalamic nucleus, lateral part",
)
ParcellationEntity.whss_datlas_lateral_posterior_thalamic_nucleus_mediocaudal_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_lateralPosteriorThalamicNucleusMediocaudalPart",
    alternate_names=["LP-mc"],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_lateralPosteriorThalamicNucleusMediocaudalPart"
        }
    ],
    lookup_label="WHSSDatlas_lateralPosteriorThalamicNucleusMediocaudalPart",
    name="lateral posterior thalamic nucleus, mediocaudal part",
)
ParcellationEntity.whss_datlas_lateral_posterior_thalamic_nucleus_mediorostral_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_lateralPosteriorThalamicNucleusMediorostralPart",
    alternate_names=["LP-mr"],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_lateralPosteriorThalamicNucleusMediorostralPart"
        }
    ],
    lookup_label="WHSSDatlas_lateralPosteriorThalamicNucleusMediorostralPart",
    name="lateral posterior thalamic nucleus, mediorostral part",
)
ParcellationEntity.whss_datlas_lateral_superior_olive = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_lateralSuperiorOlive",
    alternate_names=["LSO"],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_lateralSuperiorOlive"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_lateralSuperiorOlive"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_lateralSuperiorOlive"},
    ],
    lookup_label="WHSSDatlas_lateralSuperiorOlive",
    name="lateral superior olive",
)
ParcellationEntity.whss_datlas_laterodorsal_thalamic_nuclei_of_the_dorsal_thalamus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_laterodorsalThalamicNucleiOfTheDorsalThalamus",
    alternate_names=["LD"],
    lookup_label="WHSSDatlas_laterodorsalThalamicNucleiOfTheDorsalThalamus",
    name="laterodorsal thalamic nuclei of the dorsal thalamus",
)
ParcellationEntity.whss_datlas_laterodorsal_thalamic_nucleus_dorsomedial_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_laterodorsalThalamicNucleusDorsomedialPart",
    alternate_names=["LD-dm"],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_laterodorsalThalamicNucleusDorsomedialPart"
        }
    ],
    lookup_label="WHSSDatlas_laterodorsalThalamicNucleusDorsomedialPart",
    name="laterodorsal thalamic nucleus, dorsomedial part",
)
ParcellationEntity.whss_datlas_laterodorsal_thalamic_nucleus_ventrolateral_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_laterodorsalThalamicNucleusVentrolateralPart",
    alternate_names=["LD-vl"],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_laterodorsalThalamicNucleusVentrolateralPart"
        }
    ],
    lookup_label="WHSSDatlas_laterodorsalThalamicNucleusVentrolateralPart",
    name="laterodorsal thalamic nucleus, ventrolateral part",
)
ParcellationEntity.whss_datlas_mammillotegmental_tract = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_mammillotegmentalTract",
    alternate_names=["mtg"],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v1.01_mammillothalamicTract"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v2_mammillothalamicTract"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_mammillothalamicTract"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_mammillothalamicTract"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_mammillotegmentalTract"
        },
    ],
    lookup_label="WHSSDatlas_mammillotegmentalTract",
    name="mammillotegmental tract",
)
ParcellationEntity.whss_datlas_medial_entorhinal_cortex = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_medialEntorhinalCortex",
    alternate_names=["MEC"],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v2_entorhinalCortex"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_entorhinalCortex"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_entorhinalCortex"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_medialEntorhinalCortex"
        },
    ],
    lookup_label="WHSSDatlas_medialEntorhinalCortex",
    name="medial entorhinal cortex",
)
ParcellationEntity.whss_datlas_medial_entorhinal_field = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_medialEntorhinalField",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v1.01_medialEntorhinalField"
        }
    ],
    lookup_label="WHSSDatlas_medialEntorhinalField",
    name="medial entorhinal field",
)
ParcellationEntity.whss_datlas_medial_geniculate_body_dorsal_division = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_medialGeniculateBodyDorsalDivision",
    alternate_names=["MG-d"],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_medialGeniculateBodyDorsalDivision"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_medialGeniculateBodyDorsalDivision"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_medialGeniculateBodyDorsalDivision"
        },
    ],
    lookup_label="WHSSDatlas_medialGeniculateBodyDorsalDivision",
    name="medial geniculate body, dorsal division",
)
ParcellationEntity.whss_datlas_medial_geniculate_body_marginal_zone = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_medialGeniculateBodyMarginalZone",
    alternate_names=["MG-mz"],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_medialGeniculateBodyMarginalZone"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_medialGeniculateBodyMarginalZone"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_medialGeniculateBodyMarginalZone"
        },
    ],
    lookup_label="WHSSDatlas_medialGeniculateBodyMarginalZone",
    name="medial geniculate body, marginal zone",
)
ParcellationEntity.whss_datlas_medial_geniculate_body_medial_division = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_medialGeniculateBodyMedialDivision",
    alternate_names=["MG-m"],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_medialGeniculateBodyMedialDivision"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_medialGeniculateBodyMedialDivision"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_medialGeniculateBodyMedialDivision"
        },
    ],
    lookup_label="WHSSDatlas_medialGeniculateBodyMedialDivision",
    name="medial geniculate body, medial division",
)
ParcellationEntity.whss_datlas_medial_geniculate_body_suprageniculate_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_medialGeniculateBodySuprageniculateNucleus",
    alternate_names=["MG-sg"],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_medialGeniculateBodySuprageniculateNucleus"
        }
    ],
    lookup_label="WHSSDatlas_medialGeniculateBodySuprageniculateNucleus",
    name="medial geniculate body, suprageniculate nucleus",
)
ParcellationEntity.whss_datlas_medial_geniculate_body_ventral_division = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_medialGeniculateBodyVentralDivision",
    alternate_names=["MG-v"],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_medialGeniculateBodyVentralDivision"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_medialGeniculateBodyVentralDivision"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_medialGeniculateBodyVentralDivision"
        },
    ],
    lookup_label="WHSSDatlas_medialGeniculateBodyVentralDivision",
    name="medial geniculate body, ventral division",
)
ParcellationEntity.whss_datlas_medial_geniculate_complex_of_the_dorsal_thalamus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_medialGeniculateComplexOfTheDorsalThalamus",
    alternate_names=["MG", "medial geniculate body"],
    lookup_label="WHSSDatlas_medialGeniculateComplexOfTheDorsalThalamus",
    name="medial geniculate complex of the dorsal thalamus",
)
ParcellationEntity.whss_datlas_medial_habenular_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_medialHabenularNucleus",
    alternate_names=["MHb"],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_medialHabenularNucleus"
        }
    ],
    lookup_label="WHSSDatlas_medialHabenularNucleus",
    name="medial habenular nucleus",
)
ParcellationEntity.whss_datlas_medial_lemniscus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_medialLemniscus",
    alternate_names=["ml"],
    lookup_label="WHSSDatlas_medialLemniscus",
    name="medial lemniscus",
)
ParcellationEntity.whss_datlas_medial_lemniscus_decussation = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_medialLemniscusDecussation",
    alternate_names=["mlx"],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v1.01_medialLemniscusDecussation"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v2_medialLemniscusDecussation"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_medialLemniscusDecussation"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_medialLemniscusDecussation"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_medialLemniscusDecussation"
        },
    ],
    lookup_label="WHSSDatlas_medialLemniscusDecussation",
    name="medial lemniscus decussation",
)
ParcellationEntity.whss_datlas_medial_lemniscus_unspecified = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_medialLemniscusUnspecified",
    alternate_names=["ml-u"],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v1.01_medialLemniscus"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v2_medialLemniscus"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_medialLemniscus"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_medialLemniscus"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_medialLemniscusUnspecified"
        },
    ],
    lookup_label="WHSSDatlas_medialLemniscusUnspecified",
    name="medial lemniscus, unspecified",
)
ParcellationEntity.whss_datlas_medial_orbital_area = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_medialOrbitalArea",
    alternate_names=["MO"],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_medialOrbitalArea"}
    ],
    lookup_label="WHSSDatlas_medialOrbitalArea",
    name="medial orbital area",
)
ParcellationEntity.whss_datlas_medial_superior_olive = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_medialSuperiorOlive",
    alternate_names=["MSO"],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_medialSuperiorOlive"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_medialSuperiorOlive"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_medialSuperiorOlive"},
    ],
    lookup_label="WHSSDatlas_medialSuperiorOlive",
    name="medial superior olive",
)
ParcellationEntity.whss_datlas_mediodorsal_nucleus_of_the_dorsal_thalamus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_mediodorsalNucleusOfTheDorsalThalamus",
    alternate_names=["MD"],
    lookup_label="WHSSDatlas_mediodorsalNucleusOfTheDorsalThalamus",
    name="mediodorsal nucleus of the dorsal thalamus",
)
ParcellationEntity.whss_datlas_mediodorsal_thalamic_nucleus_central_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_mediodorsalThalamicNucleusCentralPart",
    alternate_names=["MD-c"],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_mediodorsalThalamicNucleusCentralPart"
        }
    ],
    lookup_label="WHSSDatlas_mediodorsalThalamicNucleusCentralPart",
    name="mediodorsal thalamic nucleus, central part",
)
ParcellationEntity.whss_datlas_mediodorsal_thalamic_nucleus_lateral_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_mediodorsalThalamicNucleusLateralPart",
    alternate_names=["MD-l"],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_mediodorsalThalamicNucleusLateralPart"
        }
    ],
    lookup_label="WHSSDatlas_mediodorsalThalamicNucleusLateralPart",
    name="mediodorsal thalamic nucleus, lateral part",
)
ParcellationEntity.whss_datlas_mediodorsal_thalamic_nucleus_medial_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_mediodorsalThalamicNucleusMedialPart",
    alternate_names=["MD-m"],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_mediodorsalThalamicNucleusMedialPart"
        }
    ],
    lookup_label="WHSSDatlas_mediodorsalThalamicNucleusMedialPart",
    name="mediodorsal thalamic nucleus, medial part",
)
ParcellationEntity.whss_datlas_mediofrontal_cortex = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_mediofrontalCortex",
    alternate_names=["MFC"],
    lookup_label="WHSSDatlas_mediofrontalCortex",
    name="mediofrontal cortex",
)
ParcellationEntity.whss_datlas_medulla_oblongata = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_medullaOblongata",
    alternate_names=["MOb"],
    lookup_label="WHSSDatlas_medullaOblongata",
    name="medulla oblongata",
)
ParcellationEntity.whss_datlas_mesencephalon = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_mesencephalon",
    alternate_names=["Mes"],
    lookup_label="WHSSDatlas_mesencephalon",
    name="mesencephalon",
)
ParcellationEntity.whss_datlas_metencephalon = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_metencephalon",
    alternate_names=["Met"],
    lookup_label="WHSSDatlas_metencephalon",
    name="metencephalon",
)
ParcellationEntity.whss_datlas_midbrain = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_midbrain",
    alternate_names=["MB"],
    lookup_label="WHSSDatlas_midbrain",
    name="midbrain",
)
ParcellationEntity.whss_datlas_middle_cerebellar_peduncle = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_middleCerebellarPeduncle",
    alternate_names=["mcp"],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v1.01_middleCerebellarPeduncle"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v2_middleCerebellarPeduncle"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_middleCerebellarPeduncle"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_middleCerebellarPeduncle"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_middleCerebellarPeduncle"
        },
    ],
    lookup_label="WHSSDatlas_middleCerebellarPeduncle",
    name="middle cerebellar peduncle",
)
ParcellationEntity.whss_datlas_molecular_cell_layer_of_the_cerebellum = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_molecularCellLayerOfTheCerebellum",
    alternate_names=["Cb-m"],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v1.01_molecularCellLayerOfTheCerebellum"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v2_molecularLayerOfTheCerebellum"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_molecularLayerOfTheCerebellum"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_molecularLayerOfTheCerebellum"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_molecularCellLayerOfTheCerebellum"
        },
    ],
    lookup_label="WHSSDatlas_molecularCellLayerOfTheCerebellum",
    name="molecular cell layer of the cerebellum",
)
ParcellationEntity.whss_datlas_motor_cortex = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_motorCortex",
    alternate_names=["M"],
    lookup_label="WHSSDatlas_motorCortex",
    name="motor cortex",
)
ParcellationEntity.whss_datlas_myelencephalon = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_myelencephalon",
    alternate_names=["Myel"],
    lookup_label="WHSSDatlas_myelencephalon",
    name="myelencephalon",
)
ParcellationEntity.whss_datlas_neocortex_unspecified = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_neocortexUnspecified",
    alternate_names=["Ncx-u"],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v1.01_neocortex"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v2_neocortex"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_neocortex"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_neocortex"},
    ],
    lookup_label="WHSSDatlas_neocortexUnspecified",
    name="neocortex, unspecified",
)
ParcellationEntity.whss_datlas_nonlaminated_pallium = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_nonlaminatedPallium",
    alternate_names=["N-LamP"],
    lookup_label="WHSSDatlas_nonlaminatedPallium",
    name="non-laminated pallium",
)
ParcellationEntity.whss_datlas_nuclei_of_the_lateral_lemniscus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_nucleiOfTheLateralLemniscus",
    alternate_names=["NLL"],
    lookup_label="WHSSDatlas_nucleiOfTheLateralLemniscus",
    name="nuclei of the lateral lemniscus",
)
ParcellationEntity.whss_datlas_nucleus_accumbens = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_nucleusAccumbens",
    alternate_names=["NAc"],
    lookup_label="WHSSDatlas_nucleusAccumbens",
    name="nucleus accumbens",
)
ParcellationEntity.whss_datlas_nucleus_accumbens_core = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_nucleusAccumbensCore",
    alternate_names=["NAc-c"],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_nucleusAccumbensCore"}
    ],
    lookup_label="WHSSDatlas_nucleusAccumbensCore",
    name="nucleus accumbens, core",
)
ParcellationEntity.whss_datlas_nucleus_accumbens_shell = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_nucleusAccumbensShell",
    alternate_names=["NAc-sh"],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_nucleusAccumbensShell"}
    ],
    lookup_label="WHSSDatlas_nucleusAccumbensShell",
    name="nucleus accumbens, shell",
)
ParcellationEntity.whss_datlas_nucleus_of_the_lateral_olfactory_tract = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_nucleusOfTheLateralOlfactoryTract",
    alternate_names=["NLOT"],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_nucleusOfTheLateralOlfactoryTract"
        }
    ],
    lookup_label="WHSSDatlas_nucleusOfTheLateralOlfactoryTract",
    name="nucleus of the lateral olfactory tract",
)
ParcellationEntity.whss_datlas_nucleus_of_the_stria_medullaris = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_nucleusOfTheStriaMedullaris",
    alternate_names=["SMn"],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v1.01_nucleusOfTheStriaMedullaris"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v2_nucleusOfTheStriaMedullaris"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_nucleusOfTheStriaMedullaris"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_nucleusOfTheStriaMedullaris"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_nucleusOfTheStriaMedullaris"
        },
    ],
    lookup_label="WHSSDatlas_nucleusOfTheStriaMedullaris",
    name="nucleus of the stria medullaris",
)
ParcellationEntity.whss_datlas_nucleus_of_the_trapezoid_body = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_nucleusOfTheTrapezoidBody",
    alternate_names=["NTB"],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_nucleusOfTheTrapezoidBody"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_nucleusOfTheTrapezoidBody"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_nucleusOfTheTrapezoidBody"
        },
    ],
    lookup_label="WHSSDatlas_nucleusOfTheTrapezoidBody",
    name="nucleus of the trapezoid body",
)
ParcellationEntity.whss_datlas_nucleus_sagulum = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_nucleusSagulum",
    alternate_names=["Sag"],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_nucleusSagulum"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_nucleusSagulum"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_nucleusSagulum"},
    ],
    lookup_label="WHSSDatlas_nucleusSagulum",
    name="nucleus sagulum",
)
ParcellationEntity.whss_datlas_occipital_region = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_occipitalRegion",
    alternate_names=["Oc"],
    lookup_label="WHSSDatlas_occipitalRegion",
    name="occipital region",
)
ParcellationEntity.whss_datlas_olfactory_bulb = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_olfactoryBulb",
    alternate_names=["OB", "olfactory system", "olfactory areas"],
    lookup_label="WHSSDatlas_olfactoryBulb",
    name="olfactory bulb",
)
ParcellationEntity.whss_datlas_olfactory_bulb_unspecified = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_olfactoryBulbUnspecified",
    alternate_names=["OB-u"],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v1.01_olfactoryBulb"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v2_olfactoryBulb"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_olfactoryBulb"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_olfactoryBulb"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_olfactoryBulbUnspecified"
        },
    ],
    lookup_label="WHSSDatlas_olfactoryBulbUnspecified",
    name="olfactory bulb, unspecified",
)
ParcellationEntity.whss_datlas_olfactory_white_matter = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_olfactoryWhiteMatter",
    alternate_names=["olf"],
    lookup_label="WHSSDatlas_olfactoryWhiteMatter",
    name="olfactory white matter",
)
ParcellationEntity.whss_datlas_optic_fiber_system_and_supraoptic_decussation = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_opticFiberSystemAndSupraopticDecussation",
    alternate_names=["ofs"],
    lookup_label="WHSSDatlas_opticFiberSystemAndSupraopticDecussation",
    name="optic fiber system and supraoptic decussation",
)
ParcellationEntity.whss_datlas_optic_nerve = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_opticNerve",
    alternate_names=["2n"],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v1.01_opticNerve"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v2_opticNerve"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_opticNerve"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_opticNerve"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_opticNerve"},
    ],
    lookup_label="WHSSDatlas_opticNerve",
    name="optic nerve",
)
ParcellationEntity.whss_datlas_optic_tract_and_optic_chiasm = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_opticTractAndOpticChiasm",
    alternate_names=["opt-och"],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v1.01_opticTractAndOpticChiasm"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v2_opticTractAndOpticChiasm"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_opticTractAndOpticChiasm"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_opticTractAndOpticChiasm"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_opticTractAndOpticChiasm"
        },
    ],
    lookup_label="WHSSDatlas_opticTractAndOpticChiasm",
    name="optic tract and optic chiasm",
)
ParcellationEntity.whss_datlas_orbitofrontal_cortex = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_orbitofrontalCortex",
    alternate_names=["Orb"],
    lookup_label="WHSSDatlas_orbitofrontalCortex",
    name="orbitofrontal cortex",
)
ParcellationEntity.whss_datlas_pallidum = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_pallidum",
    alternate_names=["PAL"],
    lookup_label="WHSSDatlas_pallidum",
    name="pallidum",
)
ParcellationEntity.whss_datlas_paracentral_thalamic_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_paracentralThalamicNucleus",
    alternate_names=["PCN"],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_paracentralThalamicNucleus"
        }
    ],
    lookup_label="WHSSDatlas_paracentralThalamicNucleus",
    name="paracentral thalamic nucleus",
)
ParcellationEntity.whss_datlas_parafascicular_thalamic_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_parafascicularThalamicNucleus",
    alternate_names=["PF"],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_parafascicularThalamicNucleus"
        }
    ],
    lookup_label="WHSSDatlas_parafascicularThalamicNucleus",
    name="parafascicular thalamic nucleus",
)
ParcellationEntity.whss_datlas_parahippocampal_region = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_parahippocampalRegion",
    alternate_names=["PHR"],
    lookup_label="WHSSDatlas_parahippocampalRegion",
    name="parahippocampal region",
)
ParcellationEntity.whss_datlas_parasubiculum = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_parasubiculum",
    alternate_names=["PaS"],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v2_parasubiculum"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_parasubiculum"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_parasubiculum"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_parasubiculum"},
    ],
    lookup_label="WHSSDatlas_parasubiculum",
    name="parasubiculum",
)
ParcellationEntity.whss_datlas_parataenial_thalamic_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_parataenialThalamicNucleus",
    alternate_names=["PT"],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_parataenialThalamicNucleus"
        }
    ],
    lookup_label="WHSSDatlas_parataenialThalamicNucleus",
    name="parataenial thalamic nucleus",
)
ParcellationEntity.whss_datlas_paraventricular_thalamic_nuclei_anterior_and_posterior = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_paraventricularThalamicNucleiAnteriorAndPosterior",
    alternate_names=["PV"],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_paraventricularThalamicNucleiAnteriorAndPosterior"
        }
    ],
    lookup_label="WHSSDatlas_paraventricularThalamicNucleiAnteriorAndPosterior",
    name="paraventricular thalamic nuclei (anterior and posterior)",
)
ParcellationEntity.whss_datlas_parietal_association_cortex_lateral_area = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_parietalAssociationCortexLateralArea",
    alternate_names=["lPPC"],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_parietalAssociationCortexLateralArea"
        }
    ],
    lookup_label="WHSSDatlas_parietalAssociationCortexLateralArea",
    name="parietal association cortex, lateral area",
)
ParcellationEntity.whss_datlas_parietal_association_cortex_medial_area = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_parietalAssociationCortexMedialArea",
    alternate_names=["mPPC"],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_parietalAssociationCortexMedialArea"
        }
    ],
    lookup_label="WHSSDatlas_parietalAssociationCortexMedialArea",
    name="parietal association cortex, medial area",
)
ParcellationEntity.whss_datlas_parietal_association_cortex_posterior_area = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_parietalAssociationCortexPosteriorArea",
    alternate_names=["PtP"],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_parietalAssociationCortexPosteriorArea"
        }
    ],
    lookup_label="WHSSDatlas_parietalAssociationCortexPosteriorArea",
    name="parietal association cortex, posterior area",
)
ParcellationEntity.whss_datlas_parietal_region = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_parietalRegion",
    alternate_names=["Par"],
    lookup_label="WHSSDatlas_parietalRegion",
    name="parietal region",
)
ParcellationEntity.whss_datlas_periaqueductal_gray = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_periaqueductalGray",
    alternate_names=["PAG"],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v1.01_periaqueductalGray"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v2_periaqueductalGray"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_periaqueductalGray"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_periaqueductalGray"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_periaqueductalGray"},
    ],
    lookup_label="WHSSDatlas_periaqueductalGray",
    name="periaqueductal gray",
)
ParcellationEntity.whss_datlas_peripeduncular_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_peripeduncularNucleus",
    alternate_names=["PP"],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_peripeduncularNucleus"}
    ],
    lookup_label="WHSSDatlas_peripeduncularNucleus",
    name="peripeduncular nucleus",
)
ParcellationEntity.whss_datlas_perirhinal_area35 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_perirhinalArea35",
    alternate_names=["PER35"],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v2_perirhinalArea35"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_perirhinalArea35"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_perirhinalArea35"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_perirhinalArea35"},
    ],
    lookup_label="WHSSDatlas_perirhinalArea35",
    name="perirhinal area 35",
)
ParcellationEntity.whss_datlas_perirhinal_area36 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_perirhinalArea36",
    alternate_names=["PER36"],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v2_perirhinalArea36"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_perirhinalArea36"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_perirhinalArea36"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_perirhinalArea36"},
    ],
    lookup_label="WHSSDatlas_perirhinalArea36",
    name="perirhinal area 36",
)
ParcellationEntity.whss_datlas_perirhinal_cortex = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_perirhinalCortex",
    alternate_names=["PER"],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v1.01_perirhinalCortex"}
    ],
    lookup_label="WHSSDatlas_perirhinalCortex",
    name="perirhinal cortex",
)
ParcellationEntity.whss_datlas_periventricular_gray = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_periventricularGray",
    alternate_names=["PVG"],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v1.01_periventricularGray"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v2_periventricularGray"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_periventricularGray"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_periventricularGray"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_periventricularGray"},
    ],
    lookup_label="WHSSDatlas_periventricularGray",
    name="periventricular gray",
)
ParcellationEntity.whss_datlas_pineal_gland = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_pinealGland",
    alternate_names=["PG"],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v1.01_pinealGland"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v2_pinealGland"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_pinealGland"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_pinealGland"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_pinealGland"},
    ],
    lookup_label="WHSSDatlas_pinealGland",
    name="pineal gland",
)
ParcellationEntity.whss_datlas_piriform_cortex = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_piriformCortex",
    alternate_names=["PIR"],
    lookup_label="WHSSDatlas_piriformCortex",
    name="piriform cortex",
)
ParcellationEntity.whss_datlas_piriform_cortex_layer1 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_piriformCortexLayer1",
    alternate_names=["PIR1"],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_piriformCortexLayer1"}
    ],
    lookup_label="WHSSDatlas_piriformCortexLayer1",
    name="piriform cortex, layer 1",
)
ParcellationEntity.whss_datlas_piriform_cortex_layer2 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_piriformCortexLayer2",
    alternate_names=["PIR2"],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_piriformCortexLayer2"}
    ],
    lookup_label="WHSSDatlas_piriformCortexLayer2",
    name="piriform cortex, layer 2",
)
ParcellationEntity.whss_datlas_piriform_cortex_layer3 = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_piriformCortexLayer3",
    alternate_names=["PIR3"],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_piriformCortexLayer3"}
    ],
    lookup_label="WHSSDatlas_piriformCortexLayer3",
    name="piriform cortex, layer 3",
)
ParcellationEntity.whss_datlas_pons = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_pons",
    alternate_names=["P"],
    lookup_label="WHSSDatlas_pons",
    name="pons",
)
ParcellationEntity.whss_datlas_pontine_nuclei = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_pontineNuclei",
    alternate_names=["Pn"],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v1.01_pontineNuclei"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v2_pontineNuclei"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_pontineNuclei"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_pontineNuclei"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_pontineNuclei"},
    ],
    lookup_label="WHSSDatlas_pontineNuclei",
    name="pontine nuclei",
)
ParcellationEntity.whss_datlas_posterior_commissure = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_posteriorCommissure",
    alternate_names=["pc"],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v1.01_posteriorCommissure"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v2_posteriorCommissure"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_posteriorCommissure"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_posteriorCommissure"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_posteriorCommissure"},
    ],
    lookup_label="WHSSDatlas_posteriorCommissure",
    name="posterior commissure",
)
ParcellationEntity.whss_datlas_posterior_complex_of_the_dorsal_thalamus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_posteriorComplexOfTheDorsalThalamus",
    alternate_names=["PoC"],
    lookup_label="WHSSDatlas_posteriorComplexOfTheDorsalThalamus",
    name="posterior complex of the dorsal thalamus",
)
ParcellationEntity.whss_datlas_posterior_intralaminar_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_posteriorIntralaminarNucleus",
    alternate_names=["PIL"],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_posteriorIntralaminarNucleus"
        }
    ],
    lookup_label="WHSSDatlas_posteriorIntralaminarNucleus",
    name="posterior intralaminar nucleus",
)
ParcellationEntity.whss_datlas_posterior_parietal_cortex = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_posteriorParietalCortex",
    alternate_names=["PPC"],
    lookup_label="WHSSDatlas_posteriorParietalCortex",
    name="posterior parietal cortex",
)
ParcellationEntity.whss_datlas_posterior_thalamic_nuclear_group_triangular_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_posteriorThalamicNuclearGroupTriangularPart",
    alternate_names=["Po-t"],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_posteriorThalamicNuclearGroupTriangularPart"
        }
    ],
    lookup_label="WHSSDatlas_posteriorThalamicNuclearGroupTriangularPart",
    name="posterior thalamic nuclear group, triangular part",
)
ParcellationEntity.whss_datlas_posterior_thalamic_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_posteriorThalamicNucleus",
    alternate_names=["Po"],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_posteriorThalamicNucleus"
        }
    ],
    lookup_label="WHSSDatlas_posteriorThalamicNucleus",
    name="posterior thalamic nucleus",
)
ParcellationEntity.whss_datlas_postrhinal_cortex = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_postrhinalCortex",
    alternate_names=["POR"],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v1.01_postrhinalCortex"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v2_postrhinalCortex"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_postrhinalCortex"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_postrhinalCortex"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_postrhinalCortex"},
    ],
    lookup_label="WHSSDatlas_postrhinalCortex",
    name="postrhinal cortex",
)
ParcellationEntity.whss_datlas_pregeniculate_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_pregeniculateNucleus",
    alternate_names=["PrG"],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_pregeniculateNucleus"}
    ],
    lookup_label="WHSSDatlas_pregeniculateNucleus",
    name="pregeniculate nucleus",
)
ParcellationEntity.whss_datlas_prelimbic_area = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_prelimbicArea",
    alternate_names=["PrL"],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_prelimbicArea"}
    ],
    lookup_label="WHSSDatlas_prelimbicArea",
    name="prelimbic area",
)
ParcellationEntity.whss_datlas_presubiculum = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_presubiculum",
    alternate_names=["PrS"],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v2_presubiculum"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_presubiculum"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_presubiculum"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_presubiculum"},
    ],
    lookup_label="WHSSDatlas_presubiculum",
    name="presubiculum",
)
ParcellationEntity.whss_datlas_pretectal_region = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_pretectalRegion",
    alternate_names=["PRT"],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v1.01_pretectalRegion"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v2_pretectalRegion"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_pretectalRegion"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_pretectalRegion"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_pretectalRegion"},
    ],
    lookup_label="WHSSDatlas_pretectalRegion",
    name="pretectal region",
)
ParcellationEntity.whss_datlas_pretectothalamic_lamina = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_pretectothalamicLamina",
    alternate_names=["ptl"],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_pretectothalamicLamina"
        }
    ],
    lookup_label="WHSSDatlas_pretectothalamicLamina",
    name="pretectothalamic lamina",
)
ParcellationEntity.whss_datlas_pretectum = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_pretectum",
    alternate_names=["PreT"],
    lookup_label="WHSSDatlas_pretectum",
    name="pretectum",
)
ParcellationEntity.whss_datlas_prethalamus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_prethalamus",
    alternate_names=["Thal-Pre"],
    lookup_label="WHSSDatlas_prethalamus",
    name="prethalamus",
)
ParcellationEntity.whss_datlas_primary_auditory_area = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_primaryAuditoryArea",
    alternate_names=["Au1"],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_primaryAuditoryCortex"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_primaryAuditoryCortex"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_primaryAuditoryArea"},
    ],
    lookup_label="WHSSDatlas_primaryAuditoryArea",
    name="primary auditory area",
)
ParcellationEntity.whss_datlas_primary_motor_area = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_primaryMotorArea",
    alternate_names=["M1"],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_primaryMotorArea"}
    ],
    lookup_label="WHSSDatlas_primaryMotorArea",
    name="primary motor area",
)
ParcellationEntity.whss_datlas_primary_somatosensory_area_barrel_field = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_primarySomatosensoryAreaBarrelField",
    alternate_names=["S1-bf"],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_primarySomatosensoryAreaBarrelField"
        }
    ],
    lookup_label="WHSSDatlas_primarySomatosensoryAreaBarrelField",
    name="primary somatosensory area, barrel field",
)
ParcellationEntity.whss_datlas_primary_somatosensory_area_dysgranular_zone = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_primarySomatosensoryAreaDysgranularZone",
    alternate_names=["S1-dz"],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_primarySomatosensoryAreaDysgranularZone"
        }
    ],
    lookup_label="WHSSDatlas_primarySomatosensoryAreaDysgranularZone",
    name="primary somatosensory area, dysgranular zone",
)
ParcellationEntity.whss_datlas_primary_somatosensory_area_face_representation = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_primarySomatosensoryAreaFaceRepresentation",
    alternate_names=["S1-f"],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_primarySomatosensoryAreaFaceRepresentation"
        }
    ],
    lookup_label="WHSSDatlas_primarySomatosensoryAreaFaceRepresentation",
    name="primary somatosensory area, face representation",
)
ParcellationEntity.whss_datlas_primary_somatosensory_area_forelimb_representation = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_primarySomatosensoryAreaForelimbRepresentation",
    alternate_names=["S1-fl"],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_primarySomatosensoryAreaForelimbRepresentation"
        }
    ],
    lookup_label="WHSSDatlas_primarySomatosensoryAreaForelimbRepresentation",
    name="primary somatosensory area, forelimb representation",
)
ParcellationEntity.whss_datlas_primary_somatosensory_area_hindlimb_representation = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_primarySomatosensoryAreaHindlimbRepresentation",
    alternate_names=["S1-hl"],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_primarySomatosensoryAreaHindlimbRepresentation"
        }
    ],
    lookup_label="WHSSDatlas_primarySomatosensoryAreaHindlimbRepresentation",
    name="primary somatosensory area, hindlimb representation",
)
ParcellationEntity.whss_datlas_primary_somatosensory_area_trunk_representation = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_primarySomatosensoryAreaTrunkRepresentation",
    alternate_names=["S1-tr"],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_primarySomatosensoryAreaTrunkRepresentation"
        }
    ],
    lookup_label="WHSSDatlas_primarySomatosensoryAreaTrunkRepresentation",
    name="primary somatosensory area, trunk representation",
)
ParcellationEntity.whss_datlas_primary_somatosensory_cortex = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_primarySomatosensoryCortex",
    alternate_names=["S1"],
    lookup_label="WHSSDatlas_primarySomatosensoryCortex",
    name="primary somatosensory cortex",
)
ParcellationEntity.whss_datlas_primary_visual_area = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_primaryVisualArea",
    alternate_names=["V1"],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_primaryVisualArea"}
    ],
    lookup_label="WHSSDatlas_primaryVisualArea",
    name="primary visual area",
)
ParcellationEntity.whss_datlas_pyramidal_decussation = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_pyramidalDecussation",
    alternate_names=["pyx"],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v1.01_pyramidalDecussation"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v2_pyramidalDecussation"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_pyramidalDecussation"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_pyramidalDecussation"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_pyramidalDecussation"},
    ],
    lookup_label="WHSSDatlas_pyramidalDecussation",
    name="pyramidal decussation",
)
ParcellationEntity.whss_datlas_reticular_prethalamic_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_reticularPrethalamicNucleus",
    alternate_names=["RT", "reticular nucleus of the thalamus"],
    lookup_label="WHSSDatlas_reticularPrethalamicNucleus",
    name="reticular (pre)thalamic nucleus",
)
ParcellationEntity.whss_datlas_reticular_prethalamic_nucleus_auditory_segment = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_reticularPrethalamicNucleusAuditorySegment",
    alternate_names=["RT-a", "reticular thalamic nucleus, auditory segment"],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_reticularThalamicNucleusAuditorySegment"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_reticularThalamicNucleusAuditorySegment"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_reticularPrethalamicNucleusAuditorySegment"
        },
    ],
    lookup_label="WHSSDatlas_reticularPrethalamicNucleusAuditorySegment",
    name="reticular (pre)thalamic nucleus, auditory segment",
)
ParcellationEntity.whss_datlas_reticular_prethalamic_nucleus_unspecified = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_reticularPrethalamicNucleusUnspecified",
    alternate_names=["RT-u"],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_reticularPrethalamicNucleusUnspecified"
        }
    ],
    lookup_label="WHSSDatlas_reticularPrethalamicNucleusUnspecified",
    name="reticular (pre)thalamic nucleus, unspecified",
)
ParcellationEntity.whss_datlas_retroreuniens_thalamic_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_retroreuniensThalamicNucleus",
    alternate_names=["RRe"],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_retroreuniensThalamicNucleus"
        }
    ],
    lookup_label="WHSSDatlas_retroreuniensThalamicNucleus",
    name="retroreuniens thalamic nucleus",
)
ParcellationEntity.whss_datlas_retrosplenial_cortex = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_retrosplenialCortex",
    alternate_names=["RS"],
    lookup_label="WHSSDatlas_retrosplenialCortex",
    name="retrosplenial cortex",
)
ParcellationEntity.whss_datlas_retrosplenial_dysgranular_area = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_retrosplenialDysgranularArea",
    alternate_names=["RSD"],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_retrosplenialDysgranularArea"
        }
    ],
    lookup_label="WHSSDatlas_retrosplenialDysgranularArea",
    name="retrosplenial dysgranular area",
)
ParcellationEntity.whss_datlas_retrosplenial_granular_area = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_retrosplenialGranularArea",
    alternate_names=["RSG"],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_retrosplenialGranularArea"
        }
    ],
    lookup_label="WHSSDatlas_retrosplenialGranularArea",
    name="retrosplenial granular area",
)
ParcellationEntity.whss_datlas_reuniens_thalamic_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_reuniensThalamicNucleus",
    alternate_names=["Re"],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_reuniensThalamicNucleus"
        }
    ],
    lookup_label="WHSSDatlas_reuniensThalamicNucleus",
    name="reuniens thalamic nucleus",
)
ParcellationEntity.whss_datlas_rhombencephalon = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_rhombencephalon",
    alternate_names=["Rho"],
    lookup_label="WHSSDatlas_rhombencephalon",
    name="rhombencephalon",
)
ParcellationEntity.whss_datlas_rhomboid_thalamic_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_rhomboidThalamicNucleus",
    alternate_names=["Rh"],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_rhomboidThalamicNucleus"
        }
    ],
    lookup_label="WHSSDatlas_rhomboidThalamicNucleus",
    name="rhomboid thalamic nucleus",
)
ParcellationEntity.whss_datlas_secondary_auditory_area = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_secondaryAuditoryArea",
    alternate_names=["Au2"],
    lookup_label="WHSSDatlas_secondaryAuditoryArea",
    name="secondary auditory area",
)
ParcellationEntity.whss_datlas_secondary_auditory_area_dorsal_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_secondaryAuditoryAreaDorsalPart",
    alternate_names=["Au2-d"],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_secondaryAuditoryCortexDorsalArea"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_secondaryAuditoryCortexDorsalArea"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_secondaryAuditoryAreaDorsalPart"
        },
    ],
    lookup_label="WHSSDatlas_secondaryAuditoryAreaDorsalPart",
    name="secondary auditory area, dorsal part",
)
ParcellationEntity.whss_datlas_secondary_auditory_area_ventral_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_secondaryAuditoryAreaVentralPart",
    alternate_names=["Au2-v"],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_secondaryAuditoryCortexVentralArea"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_secondaryAuditoryCortexVentralArea"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_secondaryAuditoryAreaVentralPart"
        },
    ],
    lookup_label="WHSSDatlas_secondaryAuditoryAreaVentralPart",
    name="secondary auditory area, ventral part",
)
ParcellationEntity.whss_datlas_secondary_motor_area = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_secondaryMotorArea",
    alternate_names=["M2"],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_secondaryMotorArea"}
    ],
    lookup_label="WHSSDatlas_secondaryMotorArea",
    name="secondary motor area",
)
ParcellationEntity.whss_datlas_secondary_somatosensory_area = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_secondarySomatosensoryArea",
    alternate_names=["S2"],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_secondarySomatosensoryArea"
        }
    ],
    lookup_label="WHSSDatlas_secondarySomatosensoryArea",
    name="secondary somatosensory area",
)
ParcellationEntity.whss_datlas_secondary_visual_area_lateral_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_secondaryVisualAreaLateralPart",
    alternate_names=["V2L"],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_secondaryVisualAreaLateralPart"
        }
    ],
    lookup_label="WHSSDatlas_secondaryVisualAreaLateralPart",
    name="secondary visual area, lateral part",
)
ParcellationEntity.whss_datlas_secondary_visual_area_medial_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_secondaryVisualAreaMedialPart",
    alternate_names=["V2M"],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_secondaryVisualAreaMedialPart"
        }
    ],
    lookup_label="WHSSDatlas_secondaryVisualAreaMedialPart",
    name="secondary visual area, medial part",
)
ParcellationEntity.whss_datlas_secondary_visual_cortex = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_secondaryVisualCortex",
    alternate_names=["V2"],
    lookup_label="WHSSDatlas_secondaryVisualCortex",
    name="secondary visual cortex",
)
ParcellationEntity.whss_datlas_septal_region = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_septalRegion",
    alternate_names=["Sep"],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v1.01_septalRegion"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v2_septalRegion"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_septalRegion"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_septalRegion"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_septalRegion"},
    ],
    lookup_label="WHSSDatlas_septalRegion",
    name="septal region",
)
ParcellationEntity.whss_datlas_somatosensory_cortex = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_somatosensoryCortex",
    alternate_names=["SS"],
    lookup_label="WHSSDatlas_somatosensoryCortex",
    name="somatosensory cortex",
)
ParcellationEntity.whss_datlas_spinal_cord = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_spinalCord",
    alternate_names=["SpC"],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v1.01_spinalCord"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v2_spinalCord"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_spinalCord"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_spinalCord"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_spinalCord"},
    ],
    lookup_label="WHSSDatlas_spinalCord",
    name="spinal cord",
)
ParcellationEntity.whss_datlas_spinal_trigeminal_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_spinalTrigeminalNucleus",
    alternate_names=["Sp5n"],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v1.01_spinalTrigeminalNucleus"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v2_spinalTrigeminalNucleus"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_spinalTrigeminalNucleus"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_spinalTrigeminalNucleus"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_spinalTrigeminalNucleus"
        },
    ],
    lookup_label="WHSSDatlas_spinalTrigeminalNucleus",
    name="spinal trigeminal nucleus",
)
ParcellationEntity.whss_datlas_spinal_trigeminal_tract = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_spinalTrigeminalTract",
    alternate_names=["sp5t"],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v1.01_spinalTrigeminalTract"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v2_spinalTrigeminalTract"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_spinalTrigeminalTract"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_spinalTrigeminalTract"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_spinalTrigeminalTract"
        },
    ],
    lookup_label="WHSSDatlas_spinalTrigeminalTract",
    name="spinal trigeminal tract",
)
ParcellationEntity.whss_datlas_spiral_ganglion = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_spiralGanglion",
    alternate_names=["SpG"],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_spiralGanglion"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_spiralGanglion"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_spiralGanglion"},
    ],
    lookup_label="WHSSDatlas_spiralGanglion",
    name="spiral ganglion",
)
ParcellationEntity.whss_datlas_stria_medullaris_thalami = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_striaMedullarisThalami",
    alternate_names=["sm", "stria medullaris of the thalamus"],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v1.01_striaMedullarisOfTheThalamus"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v2_striaMedullarisOfTheThalamus"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_striaMedullarisOfTheThalamus"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_striaMedullarisOfTheThalamus"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_striaMedullarisThalami"
        },
    ],
    lookup_label="WHSSDatlas_striaMedullarisThalami",
    name="stria medullaris thalami",
)
ParcellationEntity.whss_datlas_stria_terminalis = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_striaTerminalis",
    alternate_names=["st"],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v1.01_striaTerminalis"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v2_striaTerminalis"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_striaTerminalis"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_striaTerminalis"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_striaTerminalis"},
    ],
    lookup_label="WHSSDatlas_striaTerminalis",
    name="stria terminalis",
)
ParcellationEntity.whss_datlas_striatum = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_striatum",
    alternate_names=["Str"],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v1.01_striatum"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v2_striatum"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_striatum"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_striatum"},
    ],
    lookup_label="WHSSDatlas_striatum",
    name="striatum",
)
ParcellationEntity.whss_datlas_subgeniculate_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_subgeniculateNucleus",
    alternate_names=["SubG"],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_subgeniculateNucleus"}
    ],
    lookup_label="WHSSDatlas_subgeniculateNucleus",
    name="subgeniculate nucleus",
)
ParcellationEntity.whss_datlas_subiculum = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_subiculum",
    alternate_names=["SUB"],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v1.01_subiculum"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v2_subiculum"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_subiculum"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_subiculum"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_subiculum"},
    ],
    lookup_label="WHSSDatlas_subiculum",
    name="subiculum",
)
ParcellationEntity.whss_datlas_submedius_thalamic_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_submediusThalamicNucleus",
    alternate_names=["SMT"],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_submediusThalamicNucleus"
        }
    ],
    lookup_label="WHSSDatlas_submediusThalamicNucleus",
    name="submedius thalamic nucleus",
)
ParcellationEntity.whss_datlas_subpallium = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_subpallium",
    alternate_names=["SubPAL"],
    lookup_label="WHSSDatlas_subpallium",
    name="subpallium",
)
ParcellationEntity.whss_datlas_subparafascicular_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_subparafascicularNucleus",
    alternate_names=["SPF"],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_subparafascicularNucleus"
        }
    ],
    lookup_label="WHSSDatlas_subparafascicularNucleus",
    name="subparafascicular nucleus",
)
ParcellationEntity.whss_datlas_substantia_nigra = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_substantiaNigra",
    alternate_names=["SN"],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v1.01_substantiaNigra"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v2_substantiaNigra"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_substantiaNigra"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_substantiaNigra"},
    ],
    lookup_label="WHSSDatlas_substantiaNigra",
    name="substantia nigra",
)
ParcellationEntity.whss_datlas_substantia_nigra_compact_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_substantiaNigraCompactPart",
    alternate_names=["SN-c"],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_substantiaNigraCompactPart"
        }
    ],
    lookup_label="WHSSDatlas_substantiaNigraCompactPart",
    name="substantia nigra, compact part",
)
ParcellationEntity.whss_datlas_substantia_nigra_lateral_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_substantiaNigraLateralPart",
    alternate_names=["SN-l"],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_substantiaNigraLateralPart"
        }
    ],
    lookup_label="WHSSDatlas_substantiaNigraLateralPart",
    name="substantia nigra, lateral part",
)
ParcellationEntity.whss_datlas_substantia_nigra_reticular_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_substantiaNigraReticularPart",
    alternate_names=["SN-r"],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_substantiaNigraReticularPart"
        }
    ],
    lookup_label="WHSSDatlas_substantiaNigraReticularPart",
    name="substantia nigra, reticular part",
)
ParcellationEntity.whss_datlas_subthalamic_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_subthalamicNucleus",
    alternate_names=["STh"],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v1.01_subthalamicNucleus"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v2_subthalamicNucleus"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_subthalamicNucleus"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_subthalamicNucleus"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_subthalamicNucleus"},
    ],
    lookup_label="WHSSDatlas_subthalamicNucleus",
    name="subthalamic nucleus",
)
ParcellationEntity.whss_datlas_superficial_gray_layer_of_the_superior_colliculus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_superficialGrayLayerOfTheSuperiorColliculus",
    alternate_names=["SuG"],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v1.01_superficialGrayLayerOfTheSuperiorColliculus"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v2_superficialGrayLayerOfTheSuperiorColliculus"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_superficialGrayLayerOfTheSuperiorColliculus"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_superficialGrayLayerOfTheSuperiorColliculus"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_superficialGrayLayerOfTheSuperiorColliculus"
        },
    ],
    lookup_label="WHSSDatlas_superficialGrayLayerOfTheSuperiorColliculus",
    name="superficial gray layer of the superior colliculus",
)
ParcellationEntity.whss_datlas_superior_cerebellar_peduncle_and_prerubral_field = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_superiorCerebellarPeduncleAndPrerubralField",
    alternate_names=["scp-pr"],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_superiorCerebellarPeduncleAndPrerubralField"
        }
    ],
    lookup_label="WHSSDatlas_superiorCerebellarPeduncleAndPrerubralField",
    name="superior cerebellar peduncle and prerubral field",
)
ParcellationEntity.whss_datlas_superior_colliculus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_superiorColliculus",
    alternate_names=["Su"],
    lookup_label="WHSSDatlas_superiorColliculus",
    name="superior colliculus",
)
ParcellationEntity.whss_datlas_superior_olivary_complex = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_superiorOlivaryComplex",
    alternate_names=["SO"],
    lookup_label="WHSSDatlas_superiorOlivaryComplex",
    name="superior olivary complex",
)
ParcellationEntity.whss_datlas_superior_paraolivary_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_superiorParaolivaryNucleus",
    alternate_names=["SPN"],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_superiorParaolivaryNucleus"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_superiorParaolivaryNucleus"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_superiorParaolivaryNucleus"
        },
    ],
    lookup_label="WHSSDatlas_superiorParaolivaryNucleus",
    name="superior paraolivary nucleus",
)
ParcellationEntity.whss_datlas_superior_periolivary_region = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_superiorPeriolivaryRegion",
    alternate_names=["SPR"],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_superiorPeriolivaryRegion"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_superiorPeriolivaryRegion"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_superiorPeriolivaryRegion"
        },
    ],
    lookup_label="WHSSDatlas_superiorPeriolivaryRegion",
    name="superior periolivary region",
)
ParcellationEntity.whss_datlas_supraoptic_decussation = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_supraopticDecussation",
    alternate_names=["sox"],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v1.01_supraopticDecussation"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v2_supraopticDecussation"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_supraopticDecussation"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_supraopticDecussation"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_supraopticDecussation"
        },
    ],
    lookup_label="WHSSDatlas_supraopticDecussation",
    name="supraoptic decussation",
)
ParcellationEntity.whss_datlas_tectum = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_tectum",
    alternate_names=["Tc"],
    lookup_label="WHSSDatlas_tectum",
    name="tectum",
)
ParcellationEntity.whss_datlas_tegmentum = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_tegmentum",
    alternate_names=["Tg"],
    lookup_label="WHSSDatlas_tegmentum",
    name="tegmentum",
)
ParcellationEntity.whss_datlas_telencephalon = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_telencephalon",
    alternate_names=["medial "],
    lookup_label="WHSSDatlas_telencephalon",
    name="telencephalon",
)
ParcellationEntity.whss_datlas_temporal_association_cortex = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_temporalAssociationCortex",
    alternate_names=["TeA"],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_temporalAssociationCortex"
        }
    ],
    lookup_label="WHSSDatlas_temporalAssociationCortex",
    name="temporal association cortex",
)
ParcellationEntity.whss_datlas_temporal_region = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_temporalRegion",
    alternate_names=["Te"],
    lookup_label="WHSSDatlas_temporalRegion",
    name="temporal region",
)
ParcellationEntity.whss_datlas_thalamic_tracts = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_thalamicTracts",
    alternate_names=["tht"],
    lookup_label="WHSSDatlas_thalamicTracts",
    name="thalamic tracts",
)
ParcellationEntity.whss_datlas_thalamus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_thalamus",
    alternate_names=["Thal"],
    lookup_label="WHSSDatlas_thalamus",
    name="thalamus",
)
ParcellationEntity.whss_datlas_thalamus_unspecified = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_thalamusUnspecified",
    alternate_names=["Thal-u"],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v1.01_thalamus"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v2_thalamus"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_thalamus"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_thalamus"},
    ],
    lookup_label="WHSSDatlas_thalamusUnspecified",
    name="thalamus, unspecified",
)
ParcellationEntity.whss_datlas_transverse_fibers_of_the_pons = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_transverseFibersOfThePons",
    alternate_names=["tfp"],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v1.01_transverseFibersOfThePons"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v2_transverseFibersOfThePons"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_transverseFibersOfThePons"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_transverseFibersOfThePons"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_transverseFibersOfThePons"
        },
    ],
    lookup_label="WHSSDatlas_transverseFibersOfThePons",
    name="transverse fibers of the pons",
)
ParcellationEntity.whss_datlas_trapezoid_body = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_trapezoidBody",
    alternate_names=["tz"],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_trapezoidBody"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_trapezoidBody"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_trapezoidBody"},
    ],
    lookup_label="WHSSDatlas_trapezoidBody",
    name="trapezoid body",
)
ParcellationEntity.whss_datlas_ventral_anterior_thalamic_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_ventralAnteriorThalamicNucleus",
    alternate_names=["VA"],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_ventralAnteriorThalamicNucleus"
        }
    ],
    lookup_label="WHSSDatlas_ventralAnteriorThalamicNucleus",
    name="ventral anterior thalamic nucleus",
)
ParcellationEntity.whss_datlas_ventral_cochlear_nucleus_anterior_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_ventralCochlearNucleusAnteriorPart",
    alternate_names=["AVCN"],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_ventralCochlearNucleusAnteriorPart"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_ventralCochlearNucleusAnteriorPart"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_ventralCochlearNucleusAnteriorPart"
        },
    ],
    lookup_label="WHSSDatlas_ventralCochlearNucleusAnteriorPart",
    name="ventral cochlear nucleus, anterior part",
)
ParcellationEntity.whss_datlas_ventral_cochlear_nucleus_cap_area = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_ventralCochlearNucleusCapArea",
    alternate_names=["Cap"],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_ventralCochlearNucleusCapArea"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_ventralCochlearNucleusCapArea"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_ventralCochlearNucleusCapArea"
        },
    ],
    lookup_label="WHSSDatlas_ventralCochlearNucleusCapArea",
    name="ventral cochlear nucleus, cap area",
)
ParcellationEntity.whss_datlas_ventral_cochlear_nucleus_granule_cell_layer = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_ventralCochlearNucleusGranuleCellLayer",
    alternate_names=["GCL"],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_ventralCochlearNucleusGranuleCellLayer"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_ventralCochlearNucleusGranuleCellLayer"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_ventralCochlearNucleusGranuleCellLayer"
        },
    ],
    lookup_label="WHSSDatlas_ventralCochlearNucleusGranuleCellLayer",
    name="ventral cochlear nucleus, granule cell layer",
)
ParcellationEntity.whss_datlas_ventral_cochlear_nucleus_posterior_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_ventralCochlearNucleusPosteriorPart",
    alternate_names=["PVCN"],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_ventralCochlearNucleusPosteriorPart"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_ventralCochlearNucleusPosteriorPart"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_ventralCochlearNucleusPosteriorPart"
        },
    ],
    lookup_label="WHSSDatlas_ventralCochlearNucleusPosteriorPart",
    name="ventral cochlear nucleus, posterior part",
)
ParcellationEntity.whss_datlas_ventral_hippocampal_commissure = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_ventralHippocampalCommissure",
    alternate_names=["vhc"],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v1.01_ventralHippocampalCommissure"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v2_ventralHippocampalCommissure"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_ventralHippocampalCommissure"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_ventralHippocampalCommissure"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_ventralHippocampalCommissure"
        },
    ],
    lookup_label="WHSSDatlas_ventralHippocampalCommissure",
    name="ventral hippocampal commissure",
)
ParcellationEntity.whss_datlas_ventral_midline_group_of_the_dorsal_thalamus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_ventralMidlineGroupOfTheDorsalThalamus",
    alternate_names=["V-MID"],
    lookup_label="WHSSDatlas_ventralMidlineGroupOfTheDorsalThalamus",
    name="ventral midline group of the dorsal thalamus",
)
ParcellationEntity.whss_datlas_ventral_nuclei_of_the_dorsal_thalamus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_ventralNucleiOfTheDorsalThalamus",
    alternate_names=["VENT"],
    lookup_label="WHSSDatlas_ventralNucleiOfTheDorsalThalamus",
    name="ventral nuclei of the dorsal thalamus",
)
ParcellationEntity.whss_datlas_ventral_orbital_area = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_ventralOrbitalArea",
    alternate_names=["VO"],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_ventralOrbitalArea"}
    ],
    lookup_label="WHSSDatlas_ventralOrbitalArea",
    name="ventral orbital area",
)
ParcellationEntity.whss_datlas_ventral_pallidum = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_ventralPallidum",
    alternate_names=["VP"],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_ventralPallidum"}
    ],
    lookup_label="WHSSDatlas_ventralPallidum",
    name="ventral pallidum",
)
ParcellationEntity.whss_datlas_ventral_periolivary_nuclei = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_ventralPeriolivaryNuclei",
    alternate_names=["VPO"],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_ventralPeriolivaryNuclei"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_ventralPeriolivaryNuclei"
        },
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_ventralPeriolivaryNuclei"
        },
    ],
    lookup_label="WHSSDatlas_ventralPeriolivaryNuclei",
    name="ventral periolivary nuclei",
)
ParcellationEntity.whss_datlas_ventral_posterior_nucleus_of_the_thalamus_parvicellular_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_ventralPosteriorNucleusOfTheThalamusParvicellularPart",
    alternate_names=["VP-pc"],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_ventralPosteriorNucleusOfTheThalamusParvicellularPart"
        }
    ],
    lookup_label="WHSSDatlas_ventralPosteriorNucleusOfTheThalamusParvicellularPart",
    name="ventral posterior nucleus of the thalamus, parvicellular part",
)
ParcellationEntity.whss_datlas_ventral_posterior_thalamic_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_ventralPosteriorThalamicNucleus",
    alternate_names=["VPN"],
    lookup_label="WHSSDatlas_ventralPosteriorThalamicNucleus",
    name="ventral posterior thalamic nucleus",
)
ParcellationEntity.whss_datlas_ventral_posterolateral_thalamic_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_ventralPosterolateralThalamicNucleus",
    alternate_names=["VPL"],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_ventralPosterolateralThalamicNucleus"
        }
    ],
    lookup_label="WHSSDatlas_ventralPosterolateralThalamicNucleus",
    name="ventral posterolateral thalamic nucleus",
)
ParcellationEntity.whss_datlas_ventral_posteromedial_thalamic_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_ventralPosteromedialThalamicNucleus",
    alternate_names=["VPM"],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_ventralPosteromedialThalamicNucleus"
        }
    ],
    lookup_label="WHSSDatlas_ventralPosteromedialThalamicNucleus",
    name="ventral posteromedial thalamic nucleus",
)
ParcellationEntity.whss_datlas_ventral_striatal_region_unspecified = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_ventralStriatalRegionUnspecified",
    alternate_names=["VSR-u"],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_ventralStriatalRegionUnspecified"
        }
    ],
    lookup_label="WHSSDatlas_ventralStriatalRegionUnspecified",
    name="ventral striatal region, unspecified",
)
ParcellationEntity.whss_datlas_ventral_tegmental_area = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_ventralTegmentalArea",
    alternate_names=["VTA"],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_ventralTegmentalArea"}
    ],
    lookup_label="WHSSDatlas_ventralTegmentalArea",
    name="ventral tegmental area",
)
ParcellationEntity.whss_datlas_ventralintermediate_entorhinal_area = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_ventralintermediateEntorhinalArea",
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v1.01_ventralintermediateEntorhinalArea"
        }
    ],
    lookup_label="WHSSDatlas_ventralintermediateEntorhinalArea",
    name="ventral-intermediate entorhinal area",
)
ParcellationEntity.whss_datlas_ventricular_system = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_ventricularSystem",
    alternate_names=["V"],
    lookup_label="WHSSDatlas_ventricularSystem",
    name="ventricular system",
)
ParcellationEntity.whss_datlas_ventricular_system_unspecified = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_ventricularSystemUnspecified",
    alternate_names=["V-u"],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v1.01_ventricularSystem"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v2_ventricularSystem"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_ventricularSystem"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_ventricularSystem"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_ventricularSystemUnspecified"
        },
    ],
    lookup_label="WHSSDatlas_ventricularSystemUnspecified",
    name="ventricular system, unspecified",
)
ParcellationEntity.whss_datlas_ventrolateral_orbital_area = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_ventrolateralOrbitalArea",
    alternate_names=["VLO"],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_ventrolateralOrbitalArea"
        }
    ],
    lookup_label="WHSSDatlas_ventrolateralOrbitalArea",
    name="ventrolateral orbital area",
)
ParcellationEntity.whss_datlas_ventrolateral_thalamic_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_ventrolateralThalamicNucleus",
    alternate_names=["VL"],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_ventrolateralThalamicNucleus"
        }
    ],
    lookup_label="WHSSDatlas_ventrolateralThalamicNucleus",
    name="ventrolateral thalamic nucleus",
)
ParcellationEntity.whss_datlas_ventromedial_thalamic_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_ventromedialThalamicNucleus",
    alternate_names=["VM"],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_ventromedialThalamicNucleus"
        }
    ],
    lookup_label="WHSSDatlas_ventromedialThalamicNucleus",
    name="ventromedial thalamic nucleus",
)
ParcellationEntity.whss_datlas_vestibular_apparatus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_vestibularApparatus",
    alternate_names=["VeA"],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_vestibularApparatus"},
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_vestibularApparatus"
        },
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_vestibularApparatus"},
    ],
    lookup_label="WHSSDatlas_vestibularApparatus",
    name="vestibular apparatus",
)
ParcellationEntity.whss_datlas_vestibular_nerve = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_vestibularNerve",
    alternate_names=["8vn"],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_vestibularNerve"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_vestibularNerve"},
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_vestibularNerve"},
    ],
    lookup_label="WHSSDatlas_vestibularNerve",
    name="vestibular nerve",
)
ParcellationEntity.whss_datlas_visual_cortex = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_visualCortex",
    alternate_names=["Vis"],
    lookup_label="WHSSDatlas_visualCortex",
    name="visual cortex",
)
ParcellationEntity.whss_datlas_white_matter = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_whiteMatter",
    alternate_names=["wmt"],
    lookup_label="WHSSDatlas_whiteMatter",
    name="white matter",
)
ParcellationEntity.whss_datlas_white_matter_of_the_brainstem = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_whiteMatterOfTheBrainstem",
    alternate_names=["bsw"],
    lookup_label="WHSSDatlas_whiteMatterOfTheBrainstem",
    name="white matter of the brainstem",
)
ParcellationEntity.whss_datlas_white_matter_of_the_tectum = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_whiteMatterOfTheTectum",
    alternate_names=["tew"],
    lookup_label="WHSSDatlas_whiteMatterOfTheTectum",
    name="white matter of the tectum",
)
ParcellationEntity.whss_datlas_xiphoid_thalamic_nucleus = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_xiphoidThalamicNucleus",
    alternate_names=["Xi"],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_xiphoidThalamicNucleus"
        }
    ],
    lookup_label="WHSSDatlas_xiphoidThalamicNucleus",
    name="xiphoid thalamic nucleus",
)
ParcellationEntity.whss_datlas_zona_incerta = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_zonaIncerta",
    alternate_names=["ZI"],
    lookup_label="WHSSDatlas_zonaIncerta",
    name="zona incerta",
)
ParcellationEntity.whss_datlas_zona_incerta_a11_dopamine_cells = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_zonaIncertaA11DopamineCells",
    alternate_names=["ZI-A11"],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_zonaIncertaA11DopamineCells"
        }
    ],
    lookup_label="WHSSDatlas_zonaIncertaA11DopamineCells",
    name="zona incerta, A11 dopamine cells",
)
ParcellationEntity.whss_datlas_zona_incerta_a13_dopamine_cells = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_zonaIncertaA13DopamineCells",
    alternate_names=["ZI-A13"],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_zonaIncertaA13DopamineCells"
        }
    ],
    lookup_label="WHSSDatlas_zonaIncertaA13DopamineCells",
    name="zona incerta, A13 dopamine cells",
)
ParcellationEntity.whss_datlas_zona_incerta_caudal_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_zonaIncertaCaudalPart",
    alternate_names=["ZI-c"],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_zonaIncertaCaudalPart"}
    ],
    lookup_label="WHSSDatlas_zonaIncertaCaudalPart",
    name="zona incerta, caudal part",
)
ParcellationEntity.whss_datlas_zona_incerta_dorsal_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_zonaIncertaDorsalPart",
    alternate_names=["ZI-d"],
    has_versions=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_zonaIncertaDorsalPart"}
    ],
    lookup_label="WHSSDatlas_zonaIncertaDorsalPart",
    name="zona incerta, dorsal part",
)
ParcellationEntity.whss_datlas_zona_incerta_rostral_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_zonaIncertaRostralPart",
    alternate_names=["ZI-r"],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_zonaIncertaRostralPart"
        }
    ],
    lookup_label="WHSSDatlas_zonaIncertaRostralPart",
    name="zona incerta, rostral part",
)
ParcellationEntity.whss_datlas_zona_incerta_ventral_part = ParcellationEntity(
    id="https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_zonaIncertaVentralPart",
    alternate_names=["ZI-v"],
    has_versions=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_zonaIncertaVentralPart"
        }
    ],
    lookup_label="WHSSDatlas_zonaIncertaVentralPart",
    name="zona incerta, ventral part",
)
